"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PublishRequestBuilder = exports.serializePublishPostRequestBody = exports.deserializeIntoPublishPostRequestBody = exports.createPublishPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const browserSharedCookie_1 = require("../../../../../../models/browserSharedCookie");
const browserSite_1 = require("../../../../../../models/browserSite");
const browserSiteList_1 = require("../../../../../../models/browserSiteList");
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPublishPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPublishPostRequestBody;
}
exports.createPublishPostRequestBodyFromDiscriminatorValue = createPublishPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPublishPostRequestBody(publishPostRequestBody = {}) {
    return {
        "revision": n => { publishPostRequestBody.revision = n.getStringValue(); },
        "sharedCookies": n => { publishPostRequestBody.sharedCookies = n.getCollectionOfObjectValues(browserSharedCookie_1.createBrowserSharedCookieFromDiscriminatorValue); },
        "sites": n => { publishPostRequestBody.sites = n.getCollectionOfObjectValues(browserSite_1.createBrowserSiteFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPublishPostRequestBody = deserializeIntoPublishPostRequestBody;
function serializePublishPostRequestBody(writer, publishPostRequestBody = {}) {
    writer.writeStringValue("revision", publishPostRequestBody.revision);
    writer.writeCollectionOfObjectValues("sharedCookies", publishPostRequestBody.sharedCookies, browserSharedCookie_1.serializeBrowserSharedCookie);
    writer.writeCollectionOfObjectValues("sites", publishPostRequestBody.sites, browserSite_1.serializeBrowserSite);
    writer.writeAdditionalData(publishPostRequestBody.additionalData);
}
exports.serializePublishPostRequestBody = serializePublishPostRequestBody;
/**
 * Provides operations to call the publish method.
 */
class PublishRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PublishRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/admin/edge/internetExplorerMode/siteLists/{browserSiteList%2Did}/publish");
    }
    ;
    /**
     * Publish the specified browserSiteList for devices to download.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of BrowserSiteList
     * @see {@link https://learn.microsoft.com/graph/api/browsersitelist-publish?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, browserSiteList_1.createBrowserSiteListFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Publish the specified browserSiteList for devices to download.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePublishPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a publishRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PublishRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PublishRequestBuilder = PublishRequestBuilder;
// tslint:enable
// eslint-enable
