import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArchivePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface ArchivePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function createArchivePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArchivePostRequestBody;
export declare function createArchivePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArchivePostResponse;
export declare function deserializeIntoArchivePostRequestBody(archivePostRequestBody?: ArchivePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoArchivePostResponse(archivePostResponse?: ArchivePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArchivePostRequestBody(writer: SerializationWriter, archivePostRequestBody?: ArchivePostRequestBody | undefined): void;
export declare function serializeArchivePostResponse(writer: SerializationWriter, archivePostResponse?: ArchivePostResponse | undefined): void;
/**
 * Provides operations to call the archive method.
 */
export declare class ArchiveRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ArchiveRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Archive a list of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArchivePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-archive?view=graph-rest-1.0|Find more info here}
     */
    post(body: ArchivePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ArchivePostResponse | undefined>;
    /**
     * Archive a list of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ArchivePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a archiveRequestBuilder
     */
    withUrl(rawUrl: string): ArchiveRequestBuilder;
}
