import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFavoritePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFavoritePostRequestBody;
export declare function createFavoritePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFavoritePostResponse;
export declare function deserializeIntoFavoritePostRequestBody(favoritePostRequestBody?: FavoritePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoFavoritePostResponse(favoritePostResponse?: FavoritePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FavoritePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface FavoritePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeFavoritePostRequestBody(writer: SerializationWriter, favoritePostRequestBody?: FavoritePostRequestBody | undefined): void;
export declare function serializeFavoritePostResponse(writer: SerializationWriter, favoritePostResponse?: FavoritePostResponse | undefined): void;
/**
 * Provides operations to call the favorite method.
 */
export declare class FavoriteRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FavoriteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Change the status of a list of serviceUpdateMessages to favorite for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FavoritePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-favorite?view=graph-rest-1.0|Find more info here}
     */
    post(body: FavoritePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<FavoritePostResponse | undefined>;
    /**
     * Change the status of a list of serviceUpdateMessages to favorite for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: FavoritePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a favoriteRequestBuilder
     */
    withUrl(rawUrl: string): FavoriteRequestBuilder;
}
