import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkReadPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkReadPostRequestBody;
export declare function createMarkReadPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkReadPostResponse;
export declare function deserializeIntoMarkReadPostRequestBody(markReadPostRequestBody?: MarkReadPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoMarkReadPostResponse(markReadPostResponse?: MarkReadPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkReadPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface MarkReadPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeMarkReadPostRequestBody(writer: SerializationWriter, markReadPostRequestBody?: MarkReadPostRequestBody | undefined): void;
export declare function serializeMarkReadPostResponse(writer: SerializationWriter, markReadPostResponse?: MarkReadPostResponse | undefined): void;
/**
 * Provides operations to call the markRead method.
 */
export declare class MarkReadRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MarkReadRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Mark a list of serviceUpdateMessages as read for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MarkReadPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-markread?view=graph-rest-1.0|Find more info here}
     */
    post(body: MarkReadPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<MarkReadPostResponse | undefined>;
    /**
     * Mark a list of serviceUpdateMessages as read for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: MarkReadPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a markReadRequestBuilder
     */
    withUrl(rawUrl: string): MarkReadRequestBuilder;
}
