import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMarkUnreadPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkUnreadPostRequestBody;
export declare function createMarkUnreadPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMarkUnreadPostResponse;
export declare function deserializeIntoMarkUnreadPostRequestBody(markUnreadPostRequestBody?: MarkUnreadPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoMarkUnreadPostResponse(markUnreadPostResponse?: MarkUnreadPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MarkUnreadPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface MarkUnreadPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeMarkUnreadPostRequestBody(writer: SerializationWriter, markUnreadPostRequestBody?: MarkUnreadPostRequestBody | undefined): void;
export declare function serializeMarkUnreadPostResponse(writer: SerializationWriter, markUnreadPostResponse?: MarkUnreadPostResponse | undefined): void;
/**
 * Provides operations to call the markUnread method.
 */
export declare class MarkUnreadRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MarkUnreadRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Mark a list of serviceUpdateMessages as unread for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MarkUnreadPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-markunread?view=graph-rest-1.0|Find more info here}
     */
    post(body: MarkUnreadPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<MarkUnreadPostResponse | undefined>;
    /**
     * Mark a list of serviceUpdateMessages as unread for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: MarkUnreadPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a markUnreadRequestBuilder
     */
    withUrl(rawUrl: string): MarkUnreadRequestBuilder;
}
