"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarkUnreadRequestBuilder = exports.serializeMarkUnreadPostResponse = exports.serializeMarkUnreadPostRequestBody = exports.deserializeIntoMarkUnreadPostResponse = exports.deserializeIntoMarkUnreadPostRequestBody = exports.createMarkUnreadPostResponseFromDiscriminatorValue = exports.createMarkUnreadPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createMarkUnreadPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkUnreadPostRequestBody;
}
exports.createMarkUnreadPostRequestBodyFromDiscriminatorValue = createMarkUnreadPostRequestBodyFromDiscriminatorValue;
function createMarkUnreadPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkUnreadPostResponse;
}
exports.createMarkUnreadPostResponseFromDiscriminatorValue = createMarkUnreadPostResponseFromDiscriminatorValue;
function deserializeIntoMarkUnreadPostRequestBody(markUnreadPostRequestBody = {}) {
    return {
        "messageIds": n => { markUnreadPostRequestBody.messageIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoMarkUnreadPostRequestBody = deserializeIntoMarkUnreadPostRequestBody;
function deserializeIntoMarkUnreadPostResponse(markUnreadPostResponse = {}) {
    return {
        "value": n => { markUnreadPostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMarkUnreadPostResponse = deserializeIntoMarkUnreadPostResponse;
function serializeMarkUnreadPostRequestBody(writer, markUnreadPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("messageIds", markUnreadPostRequestBody.messageIds);
    writer.writeAdditionalData(markUnreadPostRequestBody.additionalData);
}
exports.serializeMarkUnreadPostRequestBody = serializeMarkUnreadPostRequestBody;
function serializeMarkUnreadPostResponse(writer, markUnreadPostResponse = {}) {
    writer.writeBooleanValue("value", markUnreadPostResponse.value);
    writer.writeAdditionalData(markUnreadPostResponse.additionalData);
}
exports.serializeMarkUnreadPostResponse = serializeMarkUnreadPostResponse;
/**
 * Provides operations to call the markUnread method.
 */
class MarkUnreadRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MarkUnreadRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/admin/serviceAnnouncement/messages/markUnread");
    }
    ;
    /**
     * Mark a list of serviceUpdateMessages as unread for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MarkUnreadPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-markunread?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createMarkUnreadPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Mark a list of serviceUpdateMessages as unread for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeMarkUnreadPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a markUnreadRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MarkUnreadRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MarkUnreadRequestBuilder = MarkUnreadRequestBuilder;
// tslint:enable
// eslint-enable
