import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnarchivePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnarchivePostRequestBody;
export declare function createUnarchivePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnarchivePostResponse;
export declare function deserializeIntoUnarchivePostRequestBody(unarchivePostRequestBody?: UnarchivePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoUnarchivePostResponse(unarchivePostResponse?: UnarchivePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnarchivePostRequestBody(writer: SerializationWriter, unarchivePostRequestBody?: UnarchivePostRequestBody | undefined): void;
export declare function serializeUnarchivePostResponse(writer: SerializationWriter, unarchivePostResponse?: UnarchivePostResponse | undefined): void;
export interface UnarchivePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface UnarchivePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
/**
 * Provides operations to call the unarchive method.
 */
export declare class UnarchiveRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UnarchiveRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Unarchive a list of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UnarchivePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-unarchive?view=graph-rest-1.0|Find more info here}
     */
    post(body: UnarchivePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UnarchivePostResponse | undefined>;
    /**
     * Unarchive a list of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UnarchivePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a unarchiveRequestBuilder
     */
    withUrl(rawUrl: string): UnarchiveRequestBuilder;
}
