import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnfavoritePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnfavoritePostRequestBody;
export declare function createUnfavoritePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnfavoritePostResponse;
export declare function deserializeIntoUnfavoritePostRequestBody(unfavoritePostRequestBody?: UnfavoritePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoUnfavoritePostResponse(unfavoritePostResponse?: UnfavoritePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnfavoritePostRequestBody(writer: SerializationWriter, unfavoritePostRequestBody?: UnfavoritePostRequestBody | undefined): void;
export declare function serializeUnfavoritePostResponse(writer: SerializationWriter, unfavoritePostResponse?: UnfavoritePostResponse | undefined): void;
export interface UnfavoritePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The messageIds property
     */
    messageIds?: string[];
}
export interface UnfavoritePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
/**
 * Provides operations to call the unfavorite method.
 */
export declare class UnfavoriteRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UnfavoriteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Remove the favorite status of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UnfavoritePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/serviceupdatemessage-unfavorite?view=graph-rest-1.0|Find more info here}
     */
    post(body: UnfavoritePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UnfavoritePostResponse | undefined>;
    /**
     * Remove the favorite status of serviceUpdateMessages for the signed in user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UnfavoritePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a unfavoriteRequestBuilder
     */
    withUrl(rawUrl: string): UnfavoriteRequestBuilder;
}
