import { type AppCatalogs } from '../models/appCatalogs';
import { TeamsAppsRequestBuilder } from './teamsApps/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface AppCatalogsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the appCatalogs singleton.
 */
export declare class AppCatalogsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the teamsApps property of the microsoft.graph.appCatalogs entity.
     */
    get teamsApps(): TeamsAppsRequestBuilder;
    /**
     * Instantiates a new AppCatalogsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get appCatalogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AppCatalogs
     */
    get(requestConfiguration?: RequestConfiguration<AppCatalogsRequestBuilderGetQueryParameters> | undefined): Promise<AppCatalogs | undefined>;
    /**
     * Update appCatalogs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AppCatalogs
     */
    patch(body: AppCatalogs, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AppCatalogs | undefined>;
    /**
     * Get appCatalogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AppCatalogsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update appCatalogs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AppCatalogs, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a appCatalogsRequestBuilder
     */
    withUrl(rawUrl: string): AppCatalogsRequestBuilder;
}
