"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstantiateRequestBuilder = exports.serializeInstantiatePostRequestBody = exports.deserializeIntoInstantiatePostRequestBody = exports.createInstantiatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const applicationServicePrincipal_1 = require("../../../models/applicationServicePrincipal");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createInstantiatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInstantiatePostRequestBody;
}
exports.createInstantiatePostRequestBodyFromDiscriminatorValue = createInstantiatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoInstantiatePostRequestBody(instantiatePostRequestBody = {}) {
    return {
        "displayName": n => { instantiatePostRequestBody.displayName = n.getStringValue(); },
    };
}
exports.deserializeIntoInstantiatePostRequestBody = deserializeIntoInstantiatePostRequestBody;
function serializeInstantiatePostRequestBody(writer, instantiatePostRequestBody = {}) {
    writer.writeStringValue("displayName", instantiatePostRequestBody.displayName);
    writer.writeAdditionalData(instantiatePostRequestBody.additionalData);
}
exports.serializeInstantiatePostRequestBody = serializeInstantiatePostRequestBody;
/**
 * Provides operations to call the instantiate method.
 */
class InstantiateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new InstantiateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applicationTemplates/{applicationTemplate%2Did}/instantiate");
    }
    ;
    /**
     * Add an instance of an application from the Microsoft Entra application gallery into your directory. You can also use this API to instantiate non-gallery apps. Use the following ID for the applicationTemplate object: 8adf8e6e-67b2-4cf2-a259-e3dc5476c621.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ApplicationServicePrincipal
     * @see {@link https://learn.microsoft.com/graph/api/applicationtemplate-instantiate?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, applicationServicePrincipal_1.createApplicationServicePrincipalFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add an instance of an application from the Microsoft Entra application gallery into your directory. You can also use this API to instantiate non-gallery apps. Use the following ID for the applicationTemplate object: 8adf8e6e-67b2-4cf2-a259-e3dc5476c621.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeInstantiatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a instantiateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new InstantiateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.InstantiateRequestBuilder = InstantiateRequestBuilder;
// tslint:enable
// eslint-enable
