"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByIdsRequestBuilder = exports.serializeGetByIdsPostResponse = exports.serializeGetByIdsPostRequestBody = exports.deserializeIntoGetByIdsPostResponse = exports.deserializeIntoGetByIdsPostRequestBody = exports.createGetByIdsPostResponseFromDiscriminatorValue = exports.createGetByIdsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../models/baseCollectionPaginationCountResponse");
const directoryObject_1 = require("../../models/directoryObject");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetByIdsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetByIdsPostRequestBody;
}
exports.createGetByIdsPostRequestBodyFromDiscriminatorValue = createGetByIdsPostRequestBodyFromDiscriminatorValue;
function createGetByIdsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetByIdsPostResponse;
}
exports.createGetByIdsPostResponseFromDiscriminatorValue = createGetByIdsPostResponseFromDiscriminatorValue;
function deserializeIntoGetByIdsPostRequestBody(getByIdsPostRequestBody = {}) {
    return {
        "ids": n => { getByIdsPostRequestBody.ids = n.getCollectionOfPrimitiveValues(); },
        "types": n => { getByIdsPostRequestBody.types = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoGetByIdsPostRequestBody = deserializeIntoGetByIdsPostRequestBody;
function deserializeIntoGetByIdsPostResponse(getByIdsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getByIdsPostResponse)), { "value": n => { getByIdsPostResponse.value = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); } });
}
exports.deserializeIntoGetByIdsPostResponse = deserializeIntoGetByIdsPostResponse;
function serializeGetByIdsPostRequestBody(writer, getByIdsPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("ids", getByIdsPostRequestBody.ids);
    writer.writeCollectionOfPrimitiveValues("types", getByIdsPostRequestBody.types);
    writer.writeAdditionalData(getByIdsPostRequestBody.additionalData);
}
exports.serializeGetByIdsPostRequestBody = serializeGetByIdsPostRequestBody;
function serializeGetByIdsPostResponse(writer, getByIdsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getByIdsPostResponse);
    writer.writeCollectionOfObjectValues("value", getByIdsPostResponse.value, directoryObject_1.serializeDirectoryObject);
}
exports.serializeGetByIdsPostResponse = serializeGetByIdsPostResponse;
/**
 * Provides operations to call the getByIds method.
 */
class GetByIdsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetByIdsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/getByIds");
    }
    ;
    /**
     * Return the directory objects specified in a list of IDs. Only a subset of user properties are returned by default in v1.0. Some common uses for this function are to:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByIdsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getbyids?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetByIdsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Return the directory objects specified in a list of IDs. Only a subset of user properties are returned by default in v1.0. Some common uses for this function are to:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetByIdsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByIdsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetByIdsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetByIdsRequestBuilder = GetByIdsRequestBuilder;
// tslint:enable
// eslint-enable
