"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddKeyRequestBuilder = exports.serializeAddKeyPostRequestBody = exports.deserializeIntoAddKeyPostRequestBody = exports.createAddKeyPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const keyCredential_1 = require("../../../models/keyCredential");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const passwordCredential_1 = require("../../../models/passwordCredential");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddKeyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddKeyPostRequestBody;
}
exports.createAddKeyPostRequestBodyFromDiscriminatorValue = createAddKeyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddKeyPostRequestBody(addKeyPostRequestBody = {}) {
    return {
        "keyCredential": n => { addKeyPostRequestBody.keyCredential = n.getObjectValue(keyCredential_1.createKeyCredentialFromDiscriminatorValue); },
        "passwordCredential": n => { addKeyPostRequestBody.passwordCredential = n.getObjectValue(passwordCredential_1.createPasswordCredentialFromDiscriminatorValue); },
        "proof": n => { addKeyPostRequestBody.proof = n.getStringValue(); },
    };
}
exports.deserializeIntoAddKeyPostRequestBody = deserializeIntoAddKeyPostRequestBody;
function serializeAddKeyPostRequestBody(writer, addKeyPostRequestBody = {}) {
    writer.writeObjectValue("keyCredential", addKeyPostRequestBody.keyCredential, keyCredential_1.serializeKeyCredential);
    writer.writeObjectValue("passwordCredential", addKeyPostRequestBody.passwordCredential, passwordCredential_1.serializePasswordCredential);
    writer.writeStringValue("proof", addKeyPostRequestBody.proof);
    writer.writeAdditionalData(addKeyPostRequestBody.additionalData);
}
exports.serializeAddKeyPostRequestBody = serializeAddKeyPostRequestBody;
/**
 * Provides operations to call the addKey method.
 */
class AddKeyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddKeyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/{application%2Did}/addKey");
    }
    ;
    /**
     * Add a key credential to an application. This method, along with removeKey can be used by an application to automate rolling its expiring keys. As part of the request validation for this method, a proof of possession of an existing key is verified before the action can be performed.  Applications that don’t have any existing valid certificates (no certificates have been added yet, or all certificates have expired), won’t be able to use this service action. You can use the Update application operation to perform an update instead.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of KeyCredential
     * @see {@link https://learn.microsoft.com/graph/api/application-addkey?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, keyCredential_1.createKeyCredentialFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add a key credential to an application. This method, along with removeKey can be used by an application to automate rolling its expiring keys. As part of the request validation for this method, a proof of possession of an existing key is verified before the action can be performed.  Applications that don’t have any existing valid certificates (no certificates have been added yet, or all certificates have expired), won’t be able to use this service action. You can use the Update application operation to perform an update instead.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddKeyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addKeyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddKeyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddKeyRequestBuilder = AddKeyRequestBuilder;
// tslint:enable
// eslint-enable
