import { type PasswordCredential } from '../../../models/passwordCredential';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddPasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The passwordCredential property
     */
    passwordCredential?: PasswordCredential;
}
export declare function createAddPasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPasswordPostRequestBody;
export declare function deserializeIntoAddPasswordPostRequestBody(addPasswordPostRequestBody?: AddPasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddPasswordPostRequestBody(writer: SerializationWriter, addPasswordPostRequestBody?: AddPasswordPostRequestBody | undefined): void;
/**
 * Provides operations to call the addPassword method.
 */
export declare class AddPasswordRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AddPasswordRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Adds a strong password or secret to an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PasswordCredential
     * @see {@link https://learn.microsoft.com/graph/api/application-addpassword?view=graph-rest-1.0|Find more info here}
     */
    post(body: AddPasswordPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<PasswordCredential | undefined>;
    /**
     * Adds a strong password or secret to an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddPasswordPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addPasswordRequestBuilder
     */
    withUrl(rawUrl: string): AddPasswordRequestBuilder;
}
