import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createRemovePasswordPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePasswordPostRequestBody;
export declare function deserializeIntoRemovePasswordPostRequestBody(removePasswordPostRequestBody?: RemovePasswordPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovePasswordPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keyId property
     */
    keyId?: Guid;
}
export declare function serializeRemovePasswordPostRequestBody(writer: SerializationWriter, removePasswordPostRequestBody?: RemovePasswordPostRequestBody | undefined): void;
/**
 * Provides operations to call the removePassword method.
 */
export declare class RemovePasswordRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RemovePasswordRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Remove a password from an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/application-removepassword?view=graph-rest-1.0|Find more info here}
     */
    post(body: RemovePasswordPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Remove a password from an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: RemovePasswordPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removePasswordRequestBuilder
     */
    withUrl(rawUrl: string): RemovePasswordRequestBuilder;
}
