"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetVerifiedPublisherRequestBuilder = exports.serializeSetVerifiedPublisherPostRequestBody = exports.deserializeIntoSetVerifiedPublisherPostRequestBody = exports.createSetVerifiedPublisherPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetVerifiedPublisherPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetVerifiedPublisherPostRequestBody;
}
exports.createSetVerifiedPublisherPostRequestBodyFromDiscriminatorValue = createSetVerifiedPublisherPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetVerifiedPublisherPostRequestBody(setVerifiedPublisherPostRequestBody = {}) {
    return {
        "verifiedPublisherId": n => { setVerifiedPublisherPostRequestBody.verifiedPublisherId = n.getStringValue(); },
    };
}
exports.deserializeIntoSetVerifiedPublisherPostRequestBody = deserializeIntoSetVerifiedPublisherPostRequestBody;
function serializeSetVerifiedPublisherPostRequestBody(writer, setVerifiedPublisherPostRequestBody = {}) {
    writer.writeStringValue("verifiedPublisherId", setVerifiedPublisherPostRequestBody.verifiedPublisherId);
    writer.writeAdditionalData(setVerifiedPublisherPostRequestBody.additionalData);
}
exports.serializeSetVerifiedPublisherPostRequestBody = serializeSetVerifiedPublisherPostRequestBody;
/**
 * Provides operations to call the setVerifiedPublisher method.
 */
class SetVerifiedPublisherRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetVerifiedPublisherRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/{application%2Did}/setVerifiedPublisher");
    }
    ;
    /**
     * Set the verifiedPublisher on an application. For more information, including prerequisites to setting a verified publisher, see Publisher verification.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/application-setverifiedpublisher?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Set the verifiedPublisher on an application. For more information, including prerequisites to setting a verified publisher, see Publisher verification.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetVerifiedPublisherPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setVerifiedPublisherRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetVerifiedPublisherRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetVerifiedPublisherRequestBuilder = SetVerifiedPublisherRequestBuilder;
// tslint:enable
// eslint-enable
