import { type SynchronizationSecretKeyStringValuePair } from '../../../../models/synchronizationSecretKeyStringValuePair';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcquireAccessTokenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The credentials property
     */
    credentials?: SynchronizationSecretKeyStringValuePair[];
}
export declare function createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcquireAccessTokenPostRequestBody;
export declare function deserializeIntoAcquireAccessTokenPostRequestBody(acquireAccessTokenPostRequestBody?: AcquireAccessTokenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcquireAccessTokenPostRequestBody(writer: SerializationWriter, acquireAccessTokenPostRequestBody?: AcquireAccessTokenPostRequestBody | undefined): void;
/**
 * Provides operations to call the acquireAccessToken method.
 */
export declare class AcquireAccessTokenRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AcquireAccessTokenRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Acquire an OAuth access token to authorize the Microsoft Entra provisioning service to provision users into an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronization-acquireaccesstoken?view=graph-rest-1.0|Find more info here}
     */
    post(body: AcquireAccessTokenPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Acquire an OAuth access token to authorize the Microsoft Entra provisioning service to provision users into an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AcquireAccessTokenPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a acquireAccessTokenRequestBuilder
     */
    withUrl(rawUrl: string): AcquireAccessTokenRequestBuilder;
}
