"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AcquireAccessTokenRequestBuilder = exports.serializeAcquireAccessTokenPostRequestBody = exports.deserializeIntoAcquireAccessTokenPostRequestBody = exports.createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const synchronizationSecretKeyStringValuePair_1 = require("../../../../models/synchronizationSecretKeyStringValuePair");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAcquireAccessTokenPostRequestBody;
}
exports.createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue = createAcquireAccessTokenPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAcquireAccessTokenPostRequestBody(acquireAccessTokenPostRequestBody = {}) {
    return {
        "credentials": n => { acquireAccessTokenPostRequestBody.credentials = n.getCollectionOfObjectValues(synchronizationSecretKeyStringValuePair_1.createSynchronizationSecretKeyStringValuePairFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAcquireAccessTokenPostRequestBody = deserializeIntoAcquireAccessTokenPostRequestBody;
function serializeAcquireAccessTokenPostRequestBody(writer, acquireAccessTokenPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("credentials", acquireAccessTokenPostRequestBody.credentials, synchronizationSecretKeyStringValuePair_1.serializeSynchronizationSecretKeyStringValuePair);
    writer.writeAdditionalData(acquireAccessTokenPostRequestBody.additionalData);
}
exports.serializeAcquireAccessTokenPostRequestBody = serializeAcquireAccessTokenPostRequestBody;
/**
 * Provides operations to call the acquireAccessToken method.
 */
class AcquireAccessTokenRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AcquireAccessTokenRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/{application%2Did}/synchronization/acquireAccessToken");
    }
    ;
    /**
     * Acquire an OAuth access token to authorize the Microsoft Entra provisioning service to provision users into an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronization-acquireaccesstoken?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Acquire an OAuth access token to authorize the Microsoft Entra provisioning service to provision users into an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAcquireAccessTokenPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a acquireAccessTokenRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AcquireAccessTokenRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AcquireAccessTokenRequestBuilder = AcquireAccessTokenRequestBuilder;
// tslint:enable
// eslint-enable
