"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProvisionOnDemandRequestBuilder = exports.serializeProvisionOnDemandPostRequestBody = exports.deserializeIntoProvisionOnDemandPostRequestBody = exports.createProvisionOnDemandPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const stringKeyStringValuePair_1 = require("../../../../../../models/stringKeyStringValuePair");
const synchronizationJobApplicationParameters_1 = require("../../../../../../models/synchronizationJobApplicationParameters");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createProvisionOnDemandPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProvisionOnDemandPostRequestBody;
}
exports.createProvisionOnDemandPostRequestBodyFromDiscriminatorValue = createProvisionOnDemandPostRequestBodyFromDiscriminatorValue;
function deserializeIntoProvisionOnDemandPostRequestBody(provisionOnDemandPostRequestBody = {}) {
    return {
        "parameters": n => { provisionOnDemandPostRequestBody.parameters = n.getCollectionOfObjectValues(synchronizationJobApplicationParameters_1.createSynchronizationJobApplicationParametersFromDiscriminatorValue); },
    };
}
exports.deserializeIntoProvisionOnDemandPostRequestBody = deserializeIntoProvisionOnDemandPostRequestBody;
function serializeProvisionOnDemandPostRequestBody(writer, provisionOnDemandPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("parameters", provisionOnDemandPostRequestBody.parameters, synchronizationJobApplicationParameters_1.serializeSynchronizationJobApplicationParameters);
    writer.writeAdditionalData(provisionOnDemandPostRequestBody.additionalData);
}
exports.serializeProvisionOnDemandPostRequestBody = serializeProvisionOnDemandPostRequestBody;
/**
 * Provides operations to call the provisionOnDemand method.
 */
class ProvisionOnDemandRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ProvisionOnDemandRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/{application%2Did}/synchronization/jobs/{synchronizationJob%2Did}/provisionOnDemand");
    }
    ;
    /**
     * Select a user and provision the account on-demand. The rate limit for this API is 5 requests per 10 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of StringKeyStringValuePair
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationjob-provisionondemand?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, stringKeyStringValuePair_1.createStringKeyStringValuePairFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Select a user and provision the account on-demand. The rate limit for this API is 5 requests per 10 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeProvisionOnDemandPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a provisionOnDemandRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ProvisionOnDemandRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ProvisionOnDemandRequestBuilder = ProvisionOnDemandRequestBuilder;
// tslint:enable
// eslint-enable
