import { type BaseCollectionPaginationCountResponse } from '../../../../../../../models/baseCollectionPaginationCountResponse';
import { type FilterOperatorSchema } from '../../../../../../../models/filterOperatorSchema';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterOperatorsGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterOperatorsGetResponse;
export declare function deserializeIntoFilterOperatorsGetResponse(filterOperatorsGetResponse?: FilterOperatorsGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterOperatorsGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: FilterOperatorSchema[];
}
export interface FilterOperatorsRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeFilterOperatorsGetResponse(writer: SerializationWriter, filterOperatorsGetResponse?: FilterOperatorsGetResponse | undefined): void;
/**
 * Provides operations to call the filterOperators method.
 */
export declare class FilterOperatorsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FilterOperatorsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FilterOperatorsGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<FilterOperatorsRequestBuilderGetQueryParameters> | undefined): Promise<FilterOperatorsGetResponse | undefined>;
    /**
     * Invoke function filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<FilterOperatorsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a filterOperatorsRequestBuilder
     */
    withUrl(rawUrl: string): FilterOperatorsRequestBuilder;
}
