"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidateCredentialsRequestBuilder = exports.serializeValidateCredentialsPostRequestBody = exports.deserializeIntoValidateCredentialsPostRequestBody = exports.createValidateCredentialsPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const synchronizationSecretKeyStringValuePair_1 = require("../../../../../../models/synchronizationSecretKeyStringValuePair");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createValidateCredentialsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoValidateCredentialsPostRequestBody;
}
exports.createValidateCredentialsPostRequestBodyFromDiscriminatorValue = createValidateCredentialsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoValidateCredentialsPostRequestBody(validateCredentialsPostRequestBody = {}) {
    return {
        "applicationIdentifier": n => { validateCredentialsPostRequestBody.applicationIdentifier = n.getStringValue(); },
        "credentials": n => { validateCredentialsPostRequestBody.credentials = n.getCollectionOfObjectValues(synchronizationSecretKeyStringValuePair_1.createSynchronizationSecretKeyStringValuePairFromDiscriminatorValue); },
        "templateId": n => { validateCredentialsPostRequestBody.templateId = n.getStringValue(); },
        "useSavedCredentials": n => { validateCredentialsPostRequestBody.useSavedCredentials = n.getBooleanValue(); },
    };
}
exports.deserializeIntoValidateCredentialsPostRequestBody = deserializeIntoValidateCredentialsPostRequestBody;
function serializeValidateCredentialsPostRequestBody(writer, validateCredentialsPostRequestBody = {}) {
    writer.writeStringValue("applicationIdentifier", validateCredentialsPostRequestBody.applicationIdentifier);
    writer.writeCollectionOfObjectValues("credentials", validateCredentialsPostRequestBody.credentials, synchronizationSecretKeyStringValuePair_1.serializeSynchronizationSecretKeyStringValuePair);
    writer.writeStringValue("templateId", validateCredentialsPostRequestBody.templateId);
    writer.writeBooleanValue("useSavedCredentials", validateCredentialsPostRequestBody.useSavedCredentials);
    writer.writeAdditionalData(validateCredentialsPostRequestBody.additionalData);
}
exports.serializeValidateCredentialsPostRequestBody = serializeValidateCredentialsPostRequestBody;
/**
 * Provides operations to call the validateCredentials method.
 */
class ValidateCredentialsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ValidateCredentialsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/applications/{application%2Did}/synchronization/jobs/{synchronizationJob%2Did}/validateCredentials");
    }
    ;
    /**
     * Validate that the credentials are valid in the tenant.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationjob-validatecredentials?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Validate that the credentials are valid in the tenant.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeValidateCredentialsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a validateCredentialsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ValidateCredentialsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ValidateCredentialsRequestBuilder = ValidateCredentialsRequestBuilder;
// tslint:enable
// eslint-enable
