import { type SynchronizationSecretKeyStringValuePair } from '../../../../../models/synchronizationSecretKeyStringValuePair';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createValidateCredentialsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValidateCredentialsPostRequestBody;
export declare function deserializeIntoValidateCredentialsPostRequestBody(validateCredentialsPostRequestBody?: ValidateCredentialsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValidateCredentialsPostRequestBody(writer: SerializationWriter, validateCredentialsPostRequestBody?: ValidateCredentialsPostRequestBody | undefined): void;
export interface ValidateCredentialsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The applicationIdentifier property
     */
    applicationIdentifier?: string;
    /**
     * The credentials property
     */
    credentials?: SynchronizationSecretKeyStringValuePair[];
    /**
     * The templateId property
     */
    templateId?: string;
    /**
     * The useSavedCredentials property
     */
    useSavedCredentials?: boolean;
}
/**
 * Provides operations to call the validateCredentials method.
 */
export declare class ValidateCredentialsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ValidateCredentialsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action validateCredentials
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ValidateCredentialsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action validateCredentials
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ValidateCredentialsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a validateCredentialsRequestBuilder
     */
    withUrl(rawUrl: string): ValidateCredentialsRequestBuilder;
}
