import { type ProvisioningObjectSummary } from '../../../models/provisioningObjectSummary';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ProvisioningObjectSummaryItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the provisioning property of the microsoft.graph.auditLogRoot entity.
 */
export declare class ProvisioningObjectSummaryItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ProvisioningObjectSummaryItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property provisioning for auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Get provisioning from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ProvisioningObjectSummary
     */
    get(requestConfiguration?: RequestConfiguration<ProvisioningObjectSummaryItemRequestBuilderGetQueryParameters> | undefined): Promise<ProvisioningObjectSummary | undefined>;
    /**
     * Update the navigation property provisioning in auditLogs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ProvisioningObjectSummary
     */
    patch(body: ProvisioningObjectSummary, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ProvisioningObjectSummary | undefined>;
    /**
     * Delete navigation property provisioning for auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Get provisioning from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ProvisioningObjectSummaryItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property provisioning in auditLogs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ProvisioningObjectSummary, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ProvisioningObjectSummaryItemRequestBuilder
     */
    withUrl(rawUrl: string): ProvisioningObjectSummaryItemRequestBuilder;
}
