"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MarkChatUnreadForUserRequestBuilder = exports.serializeMarkChatUnreadForUserPostRequestBody = exports.deserializeIntoMarkChatUnreadForUserPostRequestBody = exports.createMarkChatUnreadForUserPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const teamworkUserIdentity_1 = require("../../../models/teamworkUserIdentity");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createMarkChatUnreadForUserPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMarkChatUnreadForUserPostRequestBody;
}
exports.createMarkChatUnreadForUserPostRequestBodyFromDiscriminatorValue = createMarkChatUnreadForUserPostRequestBodyFromDiscriminatorValue;
function deserializeIntoMarkChatUnreadForUserPostRequestBody(markChatUnreadForUserPostRequestBody = {}) {
    return {
        "lastMessageReadDateTime": n => { markChatUnreadForUserPostRequestBody.lastMessageReadDateTime = n.getDateValue(); },
        "user": n => { markChatUnreadForUserPostRequestBody.user = n.getObjectValue(teamworkUserIdentity_1.createTeamworkUserIdentityFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMarkChatUnreadForUserPostRequestBody = deserializeIntoMarkChatUnreadForUserPostRequestBody;
function serializeMarkChatUnreadForUserPostRequestBody(writer, markChatUnreadForUserPostRequestBody = {}) {
    writer.writeDateValue("lastMessageReadDateTime", markChatUnreadForUserPostRequestBody.lastMessageReadDateTime);
    writer.writeObjectValue("user", markChatUnreadForUserPostRequestBody.user, teamworkUserIdentity_1.serializeTeamworkUserIdentity);
    writer.writeAdditionalData(markChatUnreadForUserPostRequestBody.additionalData);
}
exports.serializeMarkChatUnreadForUserPostRequestBody = serializeMarkChatUnreadForUserPostRequestBody;
/**
 * Provides operations to call the markChatUnreadForUser method.
 */
class MarkChatUnreadForUserRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MarkChatUnreadForUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/chats/{chat%2Did}/markChatUnreadForUser");
    }
    ;
    /**
     * Mark a chat as unread for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-markchatunreadforuser?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Mark a chat as unread for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeMarkChatUnreadForUserPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a markChatUnreadForUserRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MarkChatUnreadForUserRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MarkChatUnreadForUserRequestBuilder = MarkChatUnreadForUserRequestBuilder;
// tslint:enable
// eslint-enable
