import { type TeamworkUserIdentity } from '../../../models/teamworkUserIdentity';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnhideForUserPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnhideForUserPostRequestBody;
export declare function deserializeIntoUnhideForUserPostRequestBody(unhideForUserPostRequestBody?: UnhideForUserPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnhideForUserPostRequestBody(writer: SerializationWriter, unhideForUserPostRequestBody?: UnhideForUserPostRequestBody | undefined): void;
export interface UnhideForUserPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user property
     */
    user?: TeamworkUserIdentity;
}
/**
 * Provides operations to call the unhideForUser method.
 */
export declare class UnhideForUserRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UnhideForUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Unhide a chat for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-unhideforuser?view=graph-rest-1.0|Find more info here}
     */
    post(body: UnhideForUserPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Unhide a chat for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UnhideForUserPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a unhideForUserRequestBuilder
     */
    withUrl(rawUrl: string): UnhideForUserRequestBuilder;
}
