"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnhideForUserRequestBuilder = exports.serializeUnhideForUserPostRequestBody = exports.deserializeIntoUnhideForUserPostRequestBody = exports.createUnhideForUserPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const teamworkUserIdentity_1 = require("../../../models/teamworkUserIdentity");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUnhideForUserPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnhideForUserPostRequestBody;
}
exports.createUnhideForUserPostRequestBodyFromDiscriminatorValue = createUnhideForUserPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUnhideForUserPostRequestBody(unhideForUserPostRequestBody = {}) {
    return {
        "user": n => { unhideForUserPostRequestBody.user = n.getObjectValue(teamworkUserIdentity_1.createTeamworkUserIdentityFromDiscriminatorValue); },
    };
}
exports.deserializeIntoUnhideForUserPostRequestBody = deserializeIntoUnhideForUserPostRequestBody;
function serializeUnhideForUserPostRequestBody(writer, unhideForUserPostRequestBody = {}) {
    writer.writeObjectValue("user", unhideForUserPostRequestBody.user, teamworkUserIdentity_1.serializeTeamworkUserIdentity);
    writer.writeAdditionalData(unhideForUserPostRequestBody.additionalData);
}
exports.serializeUnhideForUserPostRequestBody = serializeUnhideForUserPostRequestBody;
/**
 * Provides operations to call the unhideForUser method.
 */
class UnhideForUserRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UnhideForUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/chats/{chat%2Did}/unhideForUser");
    }
    ;
    /**
     * Unhide a chat for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-unhideforuser?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Unhide a chat for a user.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUnhideForUserPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a unhideForUserRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UnhideForUserRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UnhideForUserRequestBuilder = UnhideForUserRequestBuilder;
// tslint:enable
// eslint-enable
