"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder = exports.serializeGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = exports.deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = exports.createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const directRoutingLogRow_1 = require("../../../models/callRecords/directRoutingLogRow");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse;
}
exports.createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue = createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue;
function deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse(getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse)), { "value": n => { getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse.value = n.getCollectionOfObjectValues(directRoutingLogRow_1.createDirectRoutingLogRowFromDiscriminatorValue); } });
}
exports.deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = deserializeIntoGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse;
function serializeGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse(writer, getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse);
    writer.writeCollectionOfObjectValues("value", getDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse.value, directRoutingLogRow_1.serializeDirectRoutingLogRow);
}
exports.serializeGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse = serializeGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse;
/**
 * Provides operations to call the getDirectRoutingCalls method.
 */
class MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder and sets the default values.
     * @param fromDateTime Usage: fromDateTime={fromDateTime}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param toDateTime Usage: toDateTime={toDateTime}
     */
    constructor(pathParameters, requestAdapter, fromDateTime, toDateTime) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/callRecords/microsoft.graph.callRecords.getDirectRoutingCalls(fromDateTime={fromDateTime},toDateTime={toDateTime}){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["fromDateTime"] = fromDateTime;
        this.pathParameters["toDateTime"] = toDateTime;
    }
    ;
    /**
     * Invoke function getDirectRoutingCalls
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetDirectRoutingCallsWithFromDateTimeWithToDateTimeGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getDirectRoutingCalls
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, microsoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder = MicrosoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilder;
const microsoftGraphCallRecordsGetDirectRoutingCallsWithFromDateTimeWithToDateTimeRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
