"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddLargeGalleryViewRequestBuilder = exports.serializeAddLargeGalleryViewPostRequestBody = exports.deserializeIntoAddLargeGalleryViewPostRequestBody = exports.createAddLargeGalleryViewPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const addLargeGalleryViewOperation_1 = require("../../../../models/addLargeGalleryViewOperation");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddLargeGalleryViewPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddLargeGalleryViewPostRequestBody;
}
exports.createAddLargeGalleryViewPostRequestBodyFromDiscriminatorValue = createAddLargeGalleryViewPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddLargeGalleryViewPostRequestBody(addLargeGalleryViewPostRequestBody = {}) {
    return {
        "clientContext": n => { addLargeGalleryViewPostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoAddLargeGalleryViewPostRequestBody = deserializeIntoAddLargeGalleryViewPostRequestBody;
function serializeAddLargeGalleryViewPostRequestBody(writer, addLargeGalleryViewPostRequestBody = {}) {
    writer.writeStringValue("clientContext", addLargeGalleryViewPostRequestBody.clientContext);
    writer.writeAdditionalData(addLargeGalleryViewPostRequestBody.additionalData);
}
exports.serializeAddLargeGalleryViewPostRequestBody = serializeAddLargeGalleryViewPostRequestBody;
/**
 * Provides operations to call the addLargeGalleryView method.
 */
class AddLargeGalleryViewRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddLargeGalleryViewRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/addLargeGalleryView");
    }
    ;
    /**
     * Add the large gallery view to a call.  For details about how to identify a large gallery view participant in a roster so that you can retrieve the relevant data to subscribe to the video feed, see Identify large gallery view participants in a roster.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddLargeGalleryViewOperation
     * @see {@link https://learn.microsoft.com/graph/api/call-addlargegalleryview?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, addLargeGalleryViewOperation_1.createAddLargeGalleryViewOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add the large gallery view to a call.  For details about how to identify a large gallery view participant in a roster so that you can retrieve the relevant data to subscribe to the video feed, see Identify large gallery view participants in a roster.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddLargeGalleryViewPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addLargeGalleryViewRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddLargeGalleryViewRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddLargeGalleryViewRequestBuilder = AddLargeGalleryViewRequestBuilder;
// tslint:enable
// eslint-enable
