"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnswerRequestBuilder = exports.serializeAnswerPostRequestBody = exports.deserializeIntoAnswerPostRequestBody = exports.createAnswerPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const incomingCallOptions_1 = require("../../../../models/incomingCallOptions");
const mediaConfig_1 = require("../../../../models/mediaConfig");
const modality_1 = require("../../../../models/modality");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAnswerPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAnswerPostRequestBody;
}
exports.createAnswerPostRequestBodyFromDiscriminatorValue = createAnswerPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAnswerPostRequestBody(answerPostRequestBody = {}) {
    return {
        "acceptedModalities": n => { answerPostRequestBody.acceptedModalities = n.getCollectionOfEnumValues(modality_1.Modality); },
        "callbackUri": n => { answerPostRequestBody.callbackUri = n.getStringValue(); },
        "callOptions": n => { answerPostRequestBody.callOptions = n.getObjectValue(incomingCallOptions_1.createIncomingCallOptionsFromDiscriminatorValue); },
        "mediaConfig": n => { answerPostRequestBody.mediaConfig = n.getObjectValue(mediaConfig_1.createMediaConfigFromDiscriminatorValue); },
        "participantCapacity": n => { answerPostRequestBody.participantCapacity = n.getNumberValue(); },
    };
}
exports.deserializeIntoAnswerPostRequestBody = deserializeIntoAnswerPostRequestBody;
function serializeAnswerPostRequestBody(writer, answerPostRequestBody = {}) {
    if (answerPostRequestBody.acceptedModalities)
        writer.writeEnumValue("acceptedModalities", ...answerPostRequestBody.acceptedModalities);
    writer.writeStringValue("callbackUri", answerPostRequestBody.callbackUri);
    writer.writeObjectValue("callOptions", answerPostRequestBody.callOptions, incomingCallOptions_1.serializeIncomingCallOptions);
    writer.writeObjectValue("mediaConfig", answerPostRequestBody.mediaConfig, mediaConfig_1.serializeMediaConfig);
    writer.writeNumberValue("participantCapacity", answerPostRequestBody.participantCapacity);
    writer.writeAdditionalData(answerPostRequestBody.additionalData);
}
exports.serializeAnswerPostRequestBody = serializeAnswerPostRequestBody;
/**
 * Provides operations to call the answer method.
 */
class AnswerRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AnswerRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/answer");
    }
    ;
    /**
     * Enable a bot to answer an incoming call. The incoming call request can be an invite from a participant in a group call or a peer-to-peer call. If an invite to a group call is received, the notification will contain the chatInfo and meetingInfo parameters. The bot is expected to answer, reject, or redirect the call before the call times out. The current timeout value is 15 seconds for regular scenarios, and 5 seconds for policy-based recording scenarios.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-answer?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Enable a bot to answer an incoming call. The incoming call request can be an invite from a participant in a group call or a peer-to-peer call. If an invite to a group call is received, the notification will contain the chatInfo and meetingInfo parameters. The bot is expected to answer, reject, or redirect the call before the call times out. The current timeout value is 15 seconds for regular scenarios, and 5 seconds for policy-based recording scenarios.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAnswerPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a answerRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AnswerRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AnswerRequestBuilder = AnswerRequestBuilder;
// tslint:enable
// eslint-enable
