"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CancelMediaProcessingRequestBuilder = exports.serializeCancelMediaProcessingPostRequestBody = exports.deserializeIntoCancelMediaProcessingPostRequestBody = exports.createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const cancelMediaProcessingOperation_1 = require("../../../../models/cancelMediaProcessingOperation");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCancelMediaProcessingPostRequestBody;
}
exports.createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue = createCancelMediaProcessingPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCancelMediaProcessingPostRequestBody(cancelMediaProcessingPostRequestBody = {}) {
    return {
        "clientContext": n => { cancelMediaProcessingPostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoCancelMediaProcessingPostRequestBody = deserializeIntoCancelMediaProcessingPostRequestBody;
function serializeCancelMediaProcessingPostRequestBody(writer, cancelMediaProcessingPostRequestBody = {}) {
    writer.writeStringValue("clientContext", cancelMediaProcessingPostRequestBody.clientContext);
    writer.writeAdditionalData(cancelMediaProcessingPostRequestBody.additionalData);
}
exports.serializeCancelMediaProcessingPostRequestBody = serializeCancelMediaProcessingPostRequestBody;
/**
 * Provides operations to call the cancelMediaProcessing method.
 */
class CancelMediaProcessingRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CancelMediaProcessingRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/cancelMediaProcessing");
    }
    ;
    /**
     * Cancels processing for any in-progress media operations. Media operations refer to the IVR operations playPrompt and recordResponse, which are by default queued to process in order. The cancelMediaProcessing method cancels any operation that is in-process as well as operations that are queued. For example, this method can be used to clean up the IVR operation queue for a new media operation. However, it will not cancel a subscribeToTone operation because it operates independent of any operation queue.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CancelMediaProcessingOperation
     * @see {@link https://learn.microsoft.com/graph/api/call-cancelmediaprocessing?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, cancelMediaProcessingOperation_1.createCancelMediaProcessingOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Cancels processing for any in-progress media operations. Media operations refer to the IVR operations playPrompt and recordResponse, which are by default queued to process in order. The cancelMediaProcessing method cancels any operation that is in-process as well as operations that are queued. For example, this method can be used to clean up the IVR operation queue for a new media operation. However, it will not cancel a subscribeToTone operation because it operates independent of any operation queue.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCancelMediaProcessingPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cancelMediaProcessingRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CancelMediaProcessingRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CancelMediaProcessingRequestBuilder = CancelMediaProcessingRequestBuilder;
// tslint:enable
// eslint-enable
