"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChangeScreenSharingRoleRequestBuilder = exports.serializeChangeScreenSharingRolePostRequestBody = exports.deserializeIntoChangeScreenSharingRolePostRequestBody = exports.createChangeScreenSharingRolePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const screenSharingRole_1 = require("../../../../models/screenSharingRole");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createChangeScreenSharingRolePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChangeScreenSharingRolePostRequestBody;
}
exports.createChangeScreenSharingRolePostRequestBodyFromDiscriminatorValue = createChangeScreenSharingRolePostRequestBodyFromDiscriminatorValue;
function deserializeIntoChangeScreenSharingRolePostRequestBody(changeScreenSharingRolePostRequestBody = {}) {
    return {
        "role": n => { changeScreenSharingRolePostRequestBody.role = n.getEnumValue(screenSharingRole_1.ScreenSharingRole); },
    };
}
exports.deserializeIntoChangeScreenSharingRolePostRequestBody = deserializeIntoChangeScreenSharingRolePostRequestBody;
function serializeChangeScreenSharingRolePostRequestBody(writer, changeScreenSharingRolePostRequestBody = {}) {
    writer.writeEnumValue("role", changeScreenSharingRolePostRequestBody.role);
    writer.writeAdditionalData(changeScreenSharingRolePostRequestBody.additionalData);
}
exports.serializeChangeScreenSharingRolePostRequestBody = serializeChangeScreenSharingRolePostRequestBody;
/**
 * Provides operations to call the changeScreenSharingRole method.
 */
class ChangeScreenSharingRoleRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ChangeScreenSharingRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/changeScreenSharingRole");
    }
    ;
    /**
     * Allow applications to share screen content with the participants of a group call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-changescreensharingrole?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Allow applications to share screen content with the participants of a group call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeChangeScreenSharingRolePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a changeScreenSharingRoleRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ChangeScreenSharingRoleRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ChangeScreenSharingRoleRequestBuilder = ChangeScreenSharingRoleRequestBuilder;
// tslint:enable
// eslint-enable
