"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const call_1 = require("../../../models/call");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const addLargeGalleryView_1 = require("./addLargeGalleryView/");
const answer_1 = require("./answer/");
const audioRoutingGroups_1 = require("./audioRoutingGroups/");
const cancelMediaProcessing_1 = require("./cancelMediaProcessing/");
const changeScreenSharingRole_1 = require("./changeScreenSharingRole/");
const contentSharingSessions_1 = require("./contentSharingSessions/");
const keepAlive_1 = require("./keepAlive/");
const mute_1 = require("./mute/");
const operations_1 = require("./operations/");
const participants_1 = require("./participants/");
const playPrompt_1 = require("./playPrompt/");
const recordResponse_1 = require("./recordResponse/");
const redirect_1 = require("./redirect/");
const reject_1 = require("./reject/");
const subscribeToTone_1 = require("./subscribeToTone/");
const transfer_1 = require("./transfer/");
const unmute_1 = require("./unmute/");
const updateRecordingStatus_1 = require("./updateRecordingStatus/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the calls property of the microsoft.graph.cloudCommunications entity.
 */
class CallItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the addLargeGalleryView method.
     */
    get addLargeGalleryView() {
        return new addLargeGalleryView_1.AddLargeGalleryViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the answer method.
     */
    get answer() {
        return new answer_1.AnswerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the audioRoutingGroups property of the microsoft.graph.call entity.
     */
    get audioRoutingGroups() {
        return new audioRoutingGroups_1.AudioRoutingGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cancelMediaProcessing method.
     */
    get cancelMediaProcessing() {
        return new cancelMediaProcessing_1.CancelMediaProcessingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the changeScreenSharingRole method.
     */
    get changeScreenSharingRole() {
        return new changeScreenSharingRole_1.ChangeScreenSharingRoleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the contentSharingSessions property of the microsoft.graph.call entity.
     */
    get contentSharingSessions() {
        return new contentSharingSessions_1.ContentSharingSessionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the keepAlive method.
     */
    get keepAlive() {
        return new keepAlive_1.KeepAliveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mute method.
     */
    get mute() {
        return new mute_1.MuteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the operations property of the microsoft.graph.call entity.
     */
    get operations() {
        return new operations_1.OperationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the participants property of the microsoft.graph.call entity.
     */
    get participants() {
        return new participants_1.ParticipantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the playPrompt method.
     */
    get playPrompt() {
        return new playPrompt_1.PlayPromptRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the recordResponse method.
     */
    get recordResponse() {
        return new recordResponse_1.RecordResponseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the redirect method.
     */
    get redirect() {
        return new redirect_1.RedirectRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the reject method.
     */
    get reject() {
        return new reject_1.RejectRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the subscribeToTone method.
     */
    get subscribeToTone() {
        return new subscribeToTone_1.SubscribeToToneRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the transfer method.
     */
    get transfer() {
        return new transfer_1.TransferRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unmute method.
     */
    get unmute() {
        return new unmute_1.UnmuteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the updateRecordingStatus method.
     */
    get updateRecordingStatus() {
        return new updateRecordingStatus_1.UpdateRecordingStatusRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new CallItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Delete or hang up an active call. For group calls, this will only delete your call leg and the underlying group call will still continue.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Retrieve the properties and relationships of a call object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Call
     * @see {@link https://learn.microsoft.com/graph/api/call-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, call_1.createCallFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the navigation property calls in communications
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Call
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, call_1.createCallFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete or hang up an active call. For group calls, this will only delete your call leg and the underlying group call will still continue.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Retrieve the properties and relationships of a call object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, callItemRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property calls in communications
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, call_1.serializeCall);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a CallItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CallItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CallItemRequestBuilder = CallItemRequestBuilder;
const callItemRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
