"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InviteRequestBuilder = exports.serializeInvitePostRequestBody = exports.deserializeIntoInvitePostRequestBody = exports.createInvitePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const invitationParticipantInfo_1 = require("../../../../../models/invitationParticipantInfo");
const inviteParticipantsOperation_1 = require("../../../../../models/inviteParticipantsOperation");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createInvitePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInvitePostRequestBody;
}
exports.createInvitePostRequestBodyFromDiscriminatorValue = createInvitePostRequestBodyFromDiscriminatorValue;
function deserializeIntoInvitePostRequestBody(invitePostRequestBody = {}) {
    return {
        "clientContext": n => { invitePostRequestBody.clientContext = n.getStringValue(); },
        "participants": n => { invitePostRequestBody.participants = n.getCollectionOfObjectValues(invitationParticipantInfo_1.createInvitationParticipantInfoFromDiscriminatorValue); },
    };
}
exports.deserializeIntoInvitePostRequestBody = deserializeIntoInvitePostRequestBody;
function serializeInvitePostRequestBody(writer, invitePostRequestBody = {}) {
    writer.writeStringValue("clientContext", invitePostRequestBody.clientContext);
    writer.writeCollectionOfObjectValues("participants", invitePostRequestBody.participants, invitationParticipantInfo_1.serializeInvitationParticipantInfo);
    writer.writeAdditionalData(invitePostRequestBody.additionalData);
}
exports.serializeInvitePostRequestBody = serializeInvitePostRequestBody;
/**
 * Provides operations to call the invite method.
 */
class InviteRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new InviteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/participants/invite");
    }
    ;
    /**
     * Delete a specific participant in a call. In some situations, it is appropriate for an application to remove a participant from an active call. This action can be done before or after the participant answers the call. When an active caller is removed, they are immediately dropped from the call with no pre- or post-removal notification. When an invited participant is removed, any outstanding add participant request is canceled.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of InviteParticipantsOperation
     * @see {@link https://learn.microsoft.com/graph/api/participant-delete?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, inviteParticipantsOperation_1.createInviteParticipantsOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete a specific participant in a call. In some situations, it is appropriate for an application to remove a participant from an active call. This action can be done before or after the participant answers the call. When an active caller is removed, they are immediately dropped from the call with no pre- or post-removal notification. When an invited participant is removed, any outstanding add participant request is canceled.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeInvitePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a inviteRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new InviteRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.InviteRequestBuilder = InviteRequestBuilder;
// tslint:enable
// eslint-enable
