"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MuteRequestBuilder = exports.serializeMutePostRequestBody = exports.deserializeIntoMutePostRequestBody = exports.createMutePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const muteParticipantOperation_1 = require("../../../../../../models/muteParticipantOperation");
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createMutePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMutePostRequestBody;
}
exports.createMutePostRequestBodyFromDiscriminatorValue = createMutePostRequestBodyFromDiscriminatorValue;
function deserializeIntoMutePostRequestBody(mutePostRequestBody = {}) {
    return {
        "clientContext": n => { mutePostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoMutePostRequestBody = deserializeIntoMutePostRequestBody;
function serializeMutePostRequestBody(writer, mutePostRequestBody = {}) {
    writer.writeStringValue("clientContext", mutePostRequestBody.clientContext);
    writer.writeAdditionalData(mutePostRequestBody.additionalData);
}
exports.serializeMutePostRequestBody = serializeMutePostRequestBody;
/**
 * Provides operations to call the mute method.
 */
class MuteRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MuteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/participants/{participant%2Did}/mute");
    }
    ;
    /**
     * Mute a specific participant in the call. This is a server mute, meaning that the server will drop all audio packets for this participant, even if the participant continues to stream audio. For more information about how to handle mute operations, see muteParticipantOperation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MuteParticipantOperation
     * @see {@link https://learn.microsoft.com/graph/api/participant-mute?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, muteParticipantOperation_1.createMuteParticipantOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Mute a specific participant in the call. This is a server mute, meaning that the server will drop all audio packets for this participant, even if the participant continues to stream audio. For more information about how to handle mute operations, see muteParticipantOperation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeMutePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a muteRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MuteRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MuteRequestBuilder = MuteRequestBuilder;
// tslint:enable
// eslint-enable
