"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StopHoldMusicRequestBuilder = exports.serializeStopHoldMusicPostRequestBody = exports.deserializeIntoStopHoldMusicPostRequestBody = exports.createStopHoldMusicPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const stopHoldMusicOperation_1 = require("../../../../../../models/stopHoldMusicOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createStopHoldMusicPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoStopHoldMusicPostRequestBody;
}
exports.createStopHoldMusicPostRequestBodyFromDiscriminatorValue = createStopHoldMusicPostRequestBodyFromDiscriminatorValue;
function deserializeIntoStopHoldMusicPostRequestBody(stopHoldMusicPostRequestBody = {}) {
    return {
        "clientContext": n => { stopHoldMusicPostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoStopHoldMusicPostRequestBody = deserializeIntoStopHoldMusicPostRequestBody;
function serializeStopHoldMusicPostRequestBody(writer, stopHoldMusicPostRequestBody = {}) {
    writer.writeStringValue("clientContext", stopHoldMusicPostRequestBody.clientContext);
    writer.writeAdditionalData(stopHoldMusicPostRequestBody.additionalData);
}
exports.serializeStopHoldMusicPostRequestBody = serializeStopHoldMusicPostRequestBody;
/**
 * Provides operations to call the stopHoldMusic method.
 */
class StopHoldMusicRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new StopHoldMusicRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/participants/{participant%2Did}/stopHoldMusic");
    }
    ;
    /**
     * Reincorporate a participant previously put on hold to the call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of StopHoldMusicOperation
     * @see {@link https://learn.microsoft.com/graph/api/participant-stopholdmusic?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, stopHoldMusicOperation_1.createStopHoldMusicOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Reincorporate a participant previously put on hold to the call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeStopHoldMusicPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a stopHoldMusicRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new StopHoldMusicRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.StopHoldMusicRequestBuilder = StopHoldMusicRequestBuilder;
// tslint:enable
// eslint-enable
