import { type PlayPromptOperation } from '../../../../models/playPromptOperation';
import { type Prompt } from '../../../../models/prompt';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlayPromptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlayPromptPostRequestBody;
export declare function deserializeIntoPlayPromptPostRequestBody(playPromptPostRequestBody?: PlayPromptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PlayPromptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clientContext property
     */
    clientContext?: string;
    /**
     * The prompts property
     */
    prompts?: Prompt[];
}
export declare function serializePlayPromptPostRequestBody(writer: SerializationWriter, playPromptPostRequestBody?: PlayPromptPostRequestBody | undefined): void;
/**
 * Provides operations to call the playPrompt method.
 */
export declare class PlayPromptRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PlayPromptRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Play a prompt in the call. For more information about how to handle operations, see commsOperation
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PlayPromptOperation
     * @see {@link https://learn.microsoft.com/graph/api/call-playprompt?view=graph-rest-1.0|Find more info here}
     */
    post(body: PlayPromptPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<PlayPromptOperation | undefined>;
    /**
     * Play a prompt in the call. For more information about how to handle operations, see commsOperation
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: PlayPromptPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a playPromptRequestBuilder
     */
    withUrl(rawUrl: string): PlayPromptRequestBuilder;
}
