"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedirectRequestBuilder = exports.serializeRedirectPostRequestBody = exports.deserializeIntoRedirectPostRequestBody = exports.createRedirectPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const invitationParticipantInfo_1 = require("../../../../models/invitationParticipantInfo");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRedirectPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRedirectPostRequestBody;
}
exports.createRedirectPostRequestBodyFromDiscriminatorValue = createRedirectPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRedirectPostRequestBody(redirectPostRequestBody = {}) {
    return {
        "callbackUri": n => { redirectPostRequestBody.callbackUri = n.getStringValue(); },
        "targets": n => { redirectPostRequestBody.targets = n.getCollectionOfObjectValues(invitationParticipantInfo_1.createInvitationParticipantInfoFromDiscriminatorValue); },
        "timeout": n => { redirectPostRequestBody.timeout = n.getNumberValue(); },
    };
}
exports.deserializeIntoRedirectPostRequestBody = deserializeIntoRedirectPostRequestBody;
function serializeRedirectPostRequestBody(writer, redirectPostRequestBody = {}) {
    writer.writeStringValue("callbackUri", redirectPostRequestBody.callbackUri);
    writer.writeCollectionOfObjectValues("targets", redirectPostRequestBody.targets, invitationParticipantInfo_1.serializeInvitationParticipantInfo);
    writer.writeNumberValue("timeout", redirectPostRequestBody.timeout);
    writer.writeAdditionalData(redirectPostRequestBody.additionalData);
}
exports.serializeRedirectPostRequestBody = serializeRedirectPostRequestBody;
/**
 * Provides operations to call the redirect method.
 */
class RedirectRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RedirectRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/redirect");
    }
    ;
    /**
     * Redirect an incoming call that hasn't been answered or rejected yet. The terms 'redirecting' and 'forwarding' a call are used interchangeably. The bot is expected to redirect the call before the call times out. The current timeout value is 15 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-redirect?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Redirect an incoming call that hasn't been answered or rejected yet. The terms 'redirecting' and 'forwarding' a call are used interchangeably. The bot is expected to redirect the call before the call times out. The current timeout value is 15 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRedirectPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a redirectRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RedirectRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RedirectRequestBuilder = RedirectRequestBuilder;
// tslint:enable
// eslint-enable
