"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscribeToToneRequestBuilder = exports.serializeSubscribeToTonePostRequestBody = exports.deserializeIntoSubscribeToTonePostRequestBody = exports.createSubscribeToTonePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const subscribeToToneOperation_1 = require("../../../../models/subscribeToToneOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSubscribeToTonePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSubscribeToTonePostRequestBody;
}
exports.createSubscribeToTonePostRequestBodyFromDiscriminatorValue = createSubscribeToTonePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSubscribeToTonePostRequestBody(subscribeToTonePostRequestBody = {}) {
    return {
        "clientContext": n => { subscribeToTonePostRequestBody.clientContext = n.getStringValue(); },
    };
}
exports.deserializeIntoSubscribeToTonePostRequestBody = deserializeIntoSubscribeToTonePostRequestBody;
function serializeSubscribeToTonePostRequestBody(writer, subscribeToTonePostRequestBody = {}) {
    writer.writeStringValue("clientContext", subscribeToTonePostRequestBody.clientContext);
    writer.writeAdditionalData(subscribeToTonePostRequestBody.additionalData);
}
exports.serializeSubscribeToTonePostRequestBody = serializeSubscribeToTonePostRequestBody;
/**
 * Provides operations to call the subscribeToTone method.
 */
class SubscribeToToneRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SubscribeToToneRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/subscribeToTone");
    }
    ;
    /**
     * Subscribe to DTMF (dual-tone multi-frequency signaling) which allows you to be notified when the user presses keys on a 'dialpad'.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SubscribeToToneOperation
     * @see {@link https://learn.microsoft.com/graph/api/call-subscribetotone?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, subscribeToToneOperation_1.createSubscribeToToneOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Subscribe to DTMF (dual-tone multi-frequency signaling) which allows you to be notified when the user presses keys on a 'dialpad'.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSubscribeToTonePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a subscribeToToneRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SubscribeToToneRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SubscribeToToneRequestBuilder = SubscribeToToneRequestBuilder;
// tslint:enable
// eslint-enable
