"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransferRequestBuilder = exports.serializeTransferPostRequestBody = exports.deserializeIntoTransferPostRequestBody = exports.createTransferPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const invitationParticipantInfo_1 = require("../../../../models/invitationParticipantInfo");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const participantInfo_1 = require("../../../../models/participantInfo");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createTransferPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTransferPostRequestBody;
}
exports.createTransferPostRequestBodyFromDiscriminatorValue = createTransferPostRequestBodyFromDiscriminatorValue;
function deserializeIntoTransferPostRequestBody(transferPostRequestBody = {}) {
    return {
        "transferee": n => { transferPostRequestBody.transferee = n.getObjectValue(participantInfo_1.createParticipantInfoFromDiscriminatorValue); },
        "transferTarget": n => { transferPostRequestBody.transferTarget = n.getObjectValue(invitationParticipantInfo_1.createInvitationParticipantInfoFromDiscriminatorValue); },
    };
}
exports.deserializeIntoTransferPostRequestBody = deserializeIntoTransferPostRequestBody;
function serializeTransferPostRequestBody(writer, transferPostRequestBody = {}) {
    writer.writeObjectValue("transferee", transferPostRequestBody.transferee, participantInfo_1.serializeParticipantInfo);
    writer.writeObjectValue("transferTarget", transferPostRequestBody.transferTarget, invitationParticipantInfo_1.serializeInvitationParticipantInfo);
    writer.writeAdditionalData(transferPostRequestBody.additionalData);
}
exports.serializeTransferPostRequestBody = serializeTransferPostRequestBody;
/**
 * Provides operations to call the transfer method.
 */
class TransferRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new TransferRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/calls/{call%2Did}/transfer");
    }
    ;
    /**
     * Transfer an active peer-to-peer call or group call. A consultative transfer means that the transferor can inform the person they want to transfer the call to (the transferee), before the transfer is made. This is opposed to transfering the call directly.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/call-transfer?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Transfer an active peer-to-peer call or group call. A consultative transfer means that the transferor can inform the person they want to transfer the call to (the transferee), before the transfer is made. This is opposed to transfering the call directly.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeTransferPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a transferRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new TransferRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.TransferRequestBuilder = TransferRequestBuilder;
// tslint:enable
// eslint-enable
