import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type Presence } from '../../models/presence';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetPresencesByUserIdPostRequestBody;
export declare function createGetPresencesByUserIdPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetPresencesByUserIdPostResponse;
export declare function deserializeIntoGetPresencesByUserIdPostRequestBody(getPresencesByUserIdPostRequestBody?: GetPresencesByUserIdPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetPresencesByUserIdPostResponse(getPresencesByUserIdPostResponse?: GetPresencesByUserIdPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetPresencesByUserIdPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export interface GetPresencesByUserIdPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Presence[];
}
export declare function serializeGetPresencesByUserIdPostRequestBody(writer: SerializationWriter, getPresencesByUserIdPostRequestBody?: GetPresencesByUserIdPostRequestBody | undefined): void;
export declare function serializeGetPresencesByUserIdPostResponse(writer: SerializationWriter, getPresencesByUserIdPostResponse?: GetPresencesByUserIdPostResponse | undefined): void;
/**
 * Provides operations to call the getPresencesByUserId method.
 */
export declare class GetPresencesByUserIdRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetPresencesByUserIdRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the presence information for multiple users.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetPresencesByUserIdPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/cloudcommunications-getpresencesbyuserid?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetPresencesByUserIdPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetPresencesByUserIdPostResponse | undefined>;
    /**
     * Get the presence information for multiple users.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetPresencesByUserIdPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getPresencesByUserIdRequestBuilder
     */
    withUrl(rawUrl: string): GetPresencesByUserIdRequestBuilder;
}
