"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPresencesByUserIdRequestBuilder = exports.serializeGetPresencesByUserIdPostResponse = exports.serializeGetPresencesByUserIdPostRequestBody = exports.deserializeIntoGetPresencesByUserIdPostResponse = exports.deserializeIntoGetPresencesByUserIdPostRequestBody = exports.createGetPresencesByUserIdPostResponseFromDiscriminatorValue = exports.createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const presence_1 = require("../../models/presence");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPresencesByUserIdPostRequestBody;
}
exports.createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue = createGetPresencesByUserIdPostRequestBodyFromDiscriminatorValue;
function createGetPresencesByUserIdPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPresencesByUserIdPostResponse;
}
exports.createGetPresencesByUserIdPostResponseFromDiscriminatorValue = createGetPresencesByUserIdPostResponseFromDiscriminatorValue;
function deserializeIntoGetPresencesByUserIdPostRequestBody(getPresencesByUserIdPostRequestBody = {}) {
    return {
        "ids": n => { getPresencesByUserIdPostRequestBody.ids = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoGetPresencesByUserIdPostRequestBody = deserializeIntoGetPresencesByUserIdPostRequestBody;
function deserializeIntoGetPresencesByUserIdPostResponse(getPresencesByUserIdPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getPresencesByUserIdPostResponse)), { "value": n => { getPresencesByUserIdPostResponse.value = n.getCollectionOfObjectValues(presence_1.createPresenceFromDiscriminatorValue); } });
}
exports.deserializeIntoGetPresencesByUserIdPostResponse = deserializeIntoGetPresencesByUserIdPostResponse;
function serializeGetPresencesByUserIdPostRequestBody(writer, getPresencesByUserIdPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("ids", getPresencesByUserIdPostRequestBody.ids);
    writer.writeAdditionalData(getPresencesByUserIdPostRequestBody.additionalData);
}
exports.serializeGetPresencesByUserIdPostRequestBody = serializeGetPresencesByUserIdPostRequestBody;
function serializeGetPresencesByUserIdPostResponse(writer, getPresencesByUserIdPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getPresencesByUserIdPostResponse);
    writer.writeCollectionOfObjectValues("value", getPresencesByUserIdPostResponse.value, presence_1.serializePresence);
}
exports.serializeGetPresencesByUserIdPostResponse = serializeGetPresencesByUserIdPostResponse;
/**
 * Provides operations to call the getPresencesByUserId method.
 */
class GetPresencesByUserIdRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetPresencesByUserIdRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/communications/getPresencesByUserId");
    }
    ;
    /**
     * Get the presence information for multiple users.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetPresencesByUserIdPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/cloudcommunications-getpresencesbyuserid?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetPresencesByUserIdPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get the presence information for multiple users.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetPresencesByUserIdPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getPresencesByUserIdRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetPresencesByUserIdRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetPresencesByUserIdRequestBuilder = GetPresencesByUserIdRequestBuilder;
// tslint:enable
// eslint-enable
