import { type ChatInfo } from '../../../models/chatInfo';
import { type MeetingParticipants } from '../../../models/meetingParticipants';
import { type OnlineMeeting } from '../../../models/onlineMeeting';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateOrGetPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateOrGetPostRequestBody;
export interface CreateOrGetPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The chatInfo property
     */
    chatInfo?: ChatInfo;
    /**
     * The endDateTime property
     */
    endDateTime?: Date;
    /**
     * The externalId property
     */
    externalId?: string;
    /**
     * The participants property
     */
    participants?: MeetingParticipants;
    /**
     * The startDateTime property
     */
    startDateTime?: Date;
    /**
     * The subject property
     */
    subject?: string;
}
export declare function deserializeIntoCreateOrGetPostRequestBody(createOrGetPostRequestBody?: CreateOrGetPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateOrGetPostRequestBody(writer: SerializationWriter, createOrGetPostRequestBody?: CreateOrGetPostRequestBody | undefined): void;
/**
 * Provides operations to call the createOrGet method.
 */
export declare class CreateOrGetRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CreateOrGetRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Create an onlineMeeting object with a custom specified external ID. If the external ID already exists, this API will return the onlineMeeting object with that external ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnlineMeeting
     * @see {@link https://learn.microsoft.com/graph/api/onlinemeeting-createorget?view=graph-rest-1.0|Find more info here}
     */
    post(body: CreateOrGetPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<OnlineMeeting | undefined>;
    /**
     * Create an onlineMeeting object with a custom specified external ID. If the external ID already exists, this API will return the onlineMeeting object with that external ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CreateOrGetPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createOrGetRequestBuilder
     */
    withUrl(rawUrl: string): CreateOrGetRequestBuilder;
}
