import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPresencePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPresencePostRequestBody;
export declare function deserializeIntoSetPresencePostRequestBody(setPresencePostRequestBody?: SetPresencePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPresencePostRequestBody(writer: SerializationWriter, setPresencePostRequestBody?: SetPresencePostRequestBody | undefined): void;
export interface SetPresencePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The activity property
     */
    activity?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The availability property
     */
    availability?: string;
    /**
     * The expirationDuration property
     */
    expirationDuration?: Duration;
    /**
     * The sessionId property
     */
    sessionId?: string;
}
/**
 * Provides operations to call the setPresence method.
 */
export declare class SetPresenceRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetPresenceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Set the state of a user's presence session as an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/presence-setpresence?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetPresencePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Set the state of a user's presence session as an application.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetPresencePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setPresenceRequestBuilder
     */
    withUrl(rawUrl: string): SetPresenceRequestBuilder;
}
