"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder = exports.serializeAddActivitiesPostResponse = exports.serializeAddActivitiesPostRequestBody = exports.deserializeIntoAddActivitiesPostResponse = exports.deserializeIntoAddActivitiesPostRequestBody = exports.createAddActivitiesPostResponseFromDiscriminatorValue = exports.createAddActivitiesPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const externalActivity_1 = require("../../../../../models/externalConnectors/externalActivity");
const externalActivityResult_1 = require("../../../../../models/externalConnectors/externalActivityResult");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddActivitiesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddActivitiesPostRequestBody;
}
exports.createAddActivitiesPostRequestBodyFromDiscriminatorValue = createAddActivitiesPostRequestBodyFromDiscriminatorValue;
function createAddActivitiesPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddActivitiesPostResponse;
}
exports.createAddActivitiesPostResponseFromDiscriminatorValue = createAddActivitiesPostResponseFromDiscriminatorValue;
function deserializeIntoAddActivitiesPostRequestBody(addActivitiesPostRequestBody = {}) {
    return {
        "activities": n => { addActivitiesPostRequestBody.activities = n.getCollectionOfObjectValues(externalActivity_1.createExternalActivityFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAddActivitiesPostRequestBody = deserializeIntoAddActivitiesPostRequestBody;
function deserializeIntoAddActivitiesPostResponse(addActivitiesPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(addActivitiesPostResponse)), { "value": n => { addActivitiesPostResponse.value = n.getCollectionOfObjectValues(externalActivityResult_1.createExternalActivityResultFromDiscriminatorValue); } });
}
exports.deserializeIntoAddActivitiesPostResponse = deserializeIntoAddActivitiesPostResponse;
function serializeAddActivitiesPostRequestBody(writer, addActivitiesPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("activities", addActivitiesPostRequestBody.activities, externalActivity_1.serializeExternalActivity);
    writer.writeAdditionalData(addActivitiesPostRequestBody.additionalData);
}
exports.serializeAddActivitiesPostRequestBody = serializeAddActivitiesPostRequestBody;
function serializeAddActivitiesPostResponse(writer, addActivitiesPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, addActivitiesPostResponse);
    writer.writeCollectionOfObjectValues("value", addActivitiesPostResponse.value, externalActivityResult_1.serializeExternalActivityResult);
}
exports.serializeAddActivitiesPostResponse = serializeAddActivitiesPostResponse;
/**
 * Provides operations to call the addActivities method.
 */
class MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/connections/{externalConnection%2Did}/items/{externalItem%2Did}/microsoft.graph.externalConnectors.addActivities");
    }
    ;
    /**
     * Invoke action addActivities
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddActivitiesPostResponse
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAddActivitiesPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action addActivities
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddActivitiesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphExternalConnectorsAddActivitiesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder = MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder;
// tslint:enable
// eslint-enable
