import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
/**
 * Provides operations to call the retryServiceProvisioning method.
 */
export declare class RetryServiceProvisioningRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RetryServiceProvisioningRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action retryServiceProvisioning
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action retryServiceProvisioning
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a retryServiceProvisioningRequestBuilder
     */
    withUrl(rawUrl: string): RetryServiceProvisioningRequestBuilder;
}
