"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckMemberObjectsRequestBuilder = exports.serializeCheckMemberObjectsPostResponse = exports.serializeCheckMemberObjectsPostRequestBody = exports.deserializeIntoCheckMemberObjectsPostResponse = exports.deserializeIntoCheckMemberObjectsPostRequestBody = exports.createCheckMemberObjectsPostResponseFromDiscriminatorValue = exports.createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckMemberObjectsPostRequestBody;
}
exports.createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue = createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue;
function createCheckMemberObjectsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckMemberObjectsPostResponse;
}
exports.createCheckMemberObjectsPostResponseFromDiscriminatorValue = createCheckMemberObjectsPostResponseFromDiscriminatorValue;
function deserializeIntoCheckMemberObjectsPostRequestBody(checkMemberObjectsPostRequestBody = {}) {
    return {
        "ids": n => { checkMemberObjectsPostRequestBody.ids = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoCheckMemberObjectsPostRequestBody = deserializeIntoCheckMemberObjectsPostRequestBody;
function deserializeIntoCheckMemberObjectsPostResponse(checkMemberObjectsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(checkMemberObjectsPostResponse)), { "value": n => { checkMemberObjectsPostResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoCheckMemberObjectsPostResponse = deserializeIntoCheckMemberObjectsPostResponse;
function serializeCheckMemberObjectsPostRequestBody(writer, checkMemberObjectsPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("ids", checkMemberObjectsPostRequestBody.ids);
    writer.writeAdditionalData(checkMemberObjectsPostRequestBody.additionalData);
}
exports.serializeCheckMemberObjectsPostRequestBody = serializeCheckMemberObjectsPostRequestBody;
function serializeCheckMemberObjectsPostResponse(writer, checkMemberObjectsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, checkMemberObjectsPostResponse);
    writer.writeCollectionOfPrimitiveValues("value", checkMemberObjectsPostResponse.value);
}
exports.serializeCheckMemberObjectsPostResponse = serializeCheckMemberObjectsPostResponse;
/**
 * Provides operations to call the checkMemberObjects method.
 */
class CheckMemberObjectsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CheckMemberObjectsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/contracts/{contract%2Did}/checkMemberObjects");
    }
    ;
    /**
     * Invoke action checkMemberObjects
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CheckMemberObjectsPostResponse
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createCheckMemberObjectsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action checkMemberObjects
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCheckMemberObjectsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkMemberObjectsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CheckMemberObjectsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CheckMemberObjectsRequestBuilder = CheckMemberObjectsRequestBuilder;
// tslint:enable
// eslint-enable
