import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetUserIdsWithFlaggedAppRegistrationGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetUserIdsWithFlaggedAppRegistrationGetResponse;
export declare function deserializeIntoGetUserIdsWithFlaggedAppRegistrationGetResponse(getUserIdsWithFlaggedAppRegistrationGetResponse?: GetUserIdsWithFlaggedAppRegistrationGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetUserIdsWithFlaggedAppRegistrationGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: string[];
}
export interface GetUserIdsWithFlaggedAppRegistrationRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetUserIdsWithFlaggedAppRegistrationGetResponse(writer: SerializationWriter, getUserIdsWithFlaggedAppRegistrationGetResponse?: GetUserIdsWithFlaggedAppRegistrationGetResponse | undefined): void;
/**
 * Provides operations to call the getUserIdsWithFlaggedAppRegistration method.
 */
export declare class GetUserIdsWithFlaggedAppRegistrationRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetUserIdsWithFlaggedAppRegistrationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getUserIdsWithFlaggedAppRegistration
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetUserIdsWithFlaggedAppRegistrationGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetUserIdsWithFlaggedAppRegistrationRequestBuilderGetQueryParameters> | undefined): Promise<GetUserIdsWithFlaggedAppRegistrationGetResponse | undefined>;
    /**
     * Invoke function getUserIdsWithFlaggedAppRegistration
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetUserIdsWithFlaggedAppRegistrationRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getUserIdsWithFlaggedAppRegistrationRequestBuilder
     */
    withUrl(rawUrl: string): GetUserIdsWithFlaggedAppRegistrationRequestBuilder;
}
