"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppsRequestBuilder = void 0;
const mobileApp_1 = require("../../models/mobileApp");
const mobileAppCollectionResponse_1 = require("../../models/mobileAppCollectionResponse");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const count_1 = require("./count/");
const graphAndroidLobApp_1 = require("./graphAndroidLobApp/");
const graphAndroidStoreApp_1 = require("./graphAndroidStoreApp/");
const graphIosLobApp_1 = require("./graphIosLobApp/");
const graphIosStoreApp_1 = require("./graphIosStoreApp/");
const graphIosVppApp_1 = require("./graphIosVppApp/");
const graphMacOSDmgApp_1 = require("./graphMacOSDmgApp/");
const graphMacOSLobApp_1 = require("./graphMacOSLobApp/");
const graphManagedAndroidLobApp_1 = require("./graphManagedAndroidLobApp/");
const graphManagedIOSLobApp_1 = require("./graphManagedIOSLobApp/");
const graphManagedMobileLobApp_1 = require("./graphManagedMobileLobApp/");
const graphMicrosoftStoreForBusinessApp_1 = require("./graphMicrosoftStoreForBusinessApp/");
const graphWin32LobApp_1 = require("./graphWin32LobApp/");
const graphWindowsAppX_1 = require("./graphWindowsAppX/");
const graphWindowsMobileMSI_1 = require("./graphWindowsMobileMSI/");
const graphWindowsUniversalAppX_1 = require("./graphWindowsUniversalAppX/");
const graphWindowsWebApp_1 = require("./graphWindowsWebApp/");
const item_1 = require("./item/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
 */
class MobileAppsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count() {
        return new count_1.CountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to androidLobApp.
     */
    get graphAndroidLobApp() {
        return new graphAndroidLobApp_1.GraphAndroidLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to androidStoreApp.
     */
    get graphAndroidStoreApp() {
        return new graphAndroidStoreApp_1.GraphAndroidStoreAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosLobApp.
     */
    get graphIosLobApp() {
        return new graphIosLobApp_1.GraphIosLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosStoreApp.
     */
    get graphIosStoreApp() {
        return new graphIosStoreApp_1.GraphIosStoreAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosVppApp.
     */
    get graphIosVppApp() {
        return new graphIosVppApp_1.GraphIosVppAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to macOSDmgApp.
     */
    get graphMacOSDmgApp() {
        return new graphMacOSDmgApp_1.GraphMacOSDmgAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to macOSLobApp.
     */
    get graphMacOSLobApp() {
        return new graphMacOSLobApp_1.GraphMacOSLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedAndroidLobApp.
     */
    get graphManagedAndroidLobApp() {
        return new graphManagedAndroidLobApp_1.GraphManagedAndroidLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedIOSLobApp.
     */
    get graphManagedIOSLobApp() {
        return new graphManagedIOSLobApp_1.GraphManagedIOSLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedMobileLobApp.
     */
    get graphManagedMobileLobApp() {
        return new graphManagedMobileLobApp_1.GraphManagedMobileLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to microsoftStoreForBusinessApp.
     */
    get graphMicrosoftStoreForBusinessApp() {
        return new graphMicrosoftStoreForBusinessApp_1.GraphMicrosoftStoreForBusinessAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to win32LobApp.
     */
    get graphWin32LobApp() {
        return new graphWin32LobApp_1.GraphWin32LobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsAppX.
     */
    get graphWindowsAppX() {
        return new graphWindowsAppX_1.GraphWindowsAppXRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsMobileMSI.
     */
    get graphWindowsMobileMSI() {
        return new graphWindowsMobileMSI_1.GraphWindowsMobileMSIRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsUniversalAppX.
     */
    get graphWindowsUniversalAppX() {
        return new graphWindowsUniversalAppX_1.GraphWindowsUniversalAppXRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsWebApp.
     */
    get graphWindowsWebApp() {
        return new graphWindowsWebApp_1.GraphWindowsWebAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
     * @param mobileAppId The unique identifier of mobileApp
     * @returns a MobileAppItemRequestBuilder
     */
    byMobileAppId(mobileAppId) {
        if (!mobileAppId)
            throw new Error("mobileAppId cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["mobileApp%2Did"] = mobileAppId;
        return new item_1.MobileAppItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Instantiates a new MobileAppsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceAppManagement/mobileApps{?%24top,%24skip,%24search,%24filter,%24count,%24orderby,%24select,%24expand}");
    }
    ;
    /**
     * List properties and relationships of the managedIOSStoreApp objects.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileAppCollectionResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-managediosstoreapp-list?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, mobileAppCollectionResponse_1.createMobileAppCollectionResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create a new webApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-webapp-create?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, mobileApp_1.createMobileAppFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * List properties and relationships of the managedIOSStoreApp objects.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, mobileAppsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Create a new webApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, mobileApp_1.serializeMobileApp);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a mobileAppsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MobileAppsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MobileAppsRequestBuilder = MobileAppsRequestBuilder;
const mobileAppsRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "expand": "%24expand",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
