import { type FileEncryptionInfo } from '../../../../../../../../../models/fileEncryptionInfo';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommitPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fileEncryptionInfo property
     */
    fileEncryptionInfo?: FileEncryptionInfo;
}
export declare function createCommitPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommitPostRequestBody;
export declare function deserializeIntoCommitPostRequestBody(commitPostRequestBody?: CommitPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommitPostRequestBody(writer: SerializationWriter, commitPostRequestBody?: CommitPostRequestBody | undefined): void;
/**
 * Provides operations to call the commit method.
 */
export declare class CommitRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CommitRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Commits a file of a given app.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: CommitPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Commits a file of a given app.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CommitPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a commitRequestBuilder
     */
    withUrl(rawUrl: string): CommitRequestBuilder;
}
