import { type IosStoreApp } from '../../../../models/';
import { AssignmentsRequestBuilder } from './assignments/';
import { CategoriesRequestBuilder } from './categories/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GraphIosStoreAppRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Casts the previous resource to iosStoreApp.
 */
export declare class GraphIosStoreAppRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Instantiates a new GraphIosStoreAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.iosStoreApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IosStoreApp
     */
    get(requestConfiguration?: RequestConfiguration<GraphIosStoreAppRequestBuilderGetQueryParameters> | undefined): Promise<IosStoreApp | undefined>;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.iosStoreApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GraphIosStoreAppRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphIosStoreAppRequestBuilder
     */
    withUrl(rawUrl: string): GraphIosStoreAppRequestBuilder;
}
