"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommitRequestBuilder = exports.serializeCommitPostRequestBody = exports.deserializeIntoCommitPostRequestBody = exports.createCommitPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const fileEncryptionInfo_1 = require("../../../../../../../../../models/fileEncryptionInfo");
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCommitPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCommitPostRequestBody;
}
exports.createCommitPostRequestBodyFromDiscriminatorValue = createCommitPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCommitPostRequestBody(commitPostRequestBody = {}) {
    return {
        "fileEncryptionInfo": n => { commitPostRequestBody.fileEncryptionInfo = n.getObjectValue(fileEncryptionInfo_1.createFileEncryptionInfoFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCommitPostRequestBody = deserializeIntoCommitPostRequestBody;
function serializeCommitPostRequestBody(writer, commitPostRequestBody = {}) {
    writer.writeObjectValue("fileEncryptionInfo", commitPostRequestBody.fileEncryptionInfo, fileEncryptionInfo_1.serializeFileEncryptionInfo);
    writer.writeAdditionalData(commitPostRequestBody.additionalData);
}
exports.serializeCommitPostRequestBody = serializeCommitPostRequestBody;
/**
 * Provides operations to call the commit method.
 */
class CommitRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CommitRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceAppManagement/mobileApps/{mobileApp%2Did}/graph.macOSDmgApp/contentVersions/{mobileAppContent%2Did}/files/{mobileAppContentFile%2Did}/commit");
    }
    ;
    /**
     * Commits a file of a given app.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Commits a file of a given app.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCommitPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a commitRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CommitRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CommitRequestBuilder = CommitRequestBuilder;
// tslint:enable
// eslint-enable
