import { type ManagedAndroidLobApp } from '../../../../models/';
import { AssignmentsRequestBuilder } from './assignments/';
import { CategoriesRequestBuilder } from './categories/';
import { ContentVersionsRequestBuilder } from './contentVersions/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GraphManagedAndroidLobAppRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Casts the previous resource to managedAndroidLobApp.
 */
export declare class GraphManagedAndroidLobAppRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Provides operations to manage the contentVersions property of the microsoft.graph.managedMobileLobApp entity.
     */
    get contentVersions(): ContentVersionsRequestBuilder;
    /**
     * Instantiates a new GraphManagedAndroidLobAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.managedAndroidLobApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedAndroidLobApp
     */
    get(requestConfiguration?: RequestConfiguration<GraphManagedAndroidLobAppRequestBuilderGetQueryParameters> | undefined): Promise<ManagedAndroidLobApp | undefined>;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.managedAndroidLobApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GraphManagedAndroidLobAppRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphManagedAndroidLobAppRequestBuilder
     */
    withUrl(rawUrl: string): GraphManagedAndroidLobAppRequestBuilder;
}
