"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GraphMicrosoftStoreForBusinessAppRequestBuilder = void 0;
const microsoftStoreForBusinessApp_1 = require("../../../../models/microsoftStoreForBusinessApp");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const assignments_1 = require("./assignments/");
const categories_1 = require("./categories/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Casts the previous resource to microsoftStoreForBusinessApp.
 */
class GraphMicrosoftStoreForBusinessAppRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments() {
        return new assignments_1.AssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories() {
        return new categories_1.CategoriesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new GraphMicrosoftStoreForBusinessAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceAppManagement/mobileApps/{mobileApp%2Did}/graph.microsoftStoreForBusinessApp{?%24select,%24expand}");
    }
    ;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.microsoftStoreForBusinessApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MicrosoftStoreForBusinessApp
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, microsoftStoreForBusinessApp_1.createMicrosoftStoreForBusinessAppFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get the item of type microsoft.graph.mobileApp as microsoft.graph.microsoftStoreForBusinessApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, graphMicrosoftStoreForBusinessAppRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphMicrosoftStoreForBusinessAppRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GraphMicrosoftStoreForBusinessAppRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GraphMicrosoftStoreForBusinessAppRequestBuilder = GraphMicrosoftStoreForBusinessAppRequestBuilder;
const graphMicrosoftStoreForBusinessAppRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
