import { type MobileContainedApp } from '../../../../../../models/mobileContainedApp';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface MobileContainedAppItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the committedContainedApps property of the microsoft.graph.windowsUniversalAppX entity.
 */
export declare class MobileContainedAppItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MobileContainedAppItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property committedContainedApps for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * The collection of contained apps in the committed mobileAppContent of a windowsUniversalAppX app.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileContainedApp
     */
    get(requestConfiguration?: RequestConfiguration<MobileContainedAppItemRequestBuilderGetQueryParameters> | undefined): Promise<MobileContainedApp | undefined>;
    /**
     * Update the navigation property committedContainedApps in deviceAppManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileContainedApp
     */
    patch(body: MobileContainedApp, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<MobileContainedApp | undefined>;
    /**
     * Delete navigation property committedContainedApps for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * The collection of contained apps in the committed mobileAppContent of a windowsUniversalAppX app.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MobileContainedAppItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property committedContainedApps in deviceAppManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: MobileContainedApp, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a MobileContainedAppItemRequestBuilder
     */
    withUrl(rawUrl: string): MobileContainedAppItemRequestBuilder;
}
