import { type MobileApp } from '../../../models/mobileApp';
import { AssignRequestBuilder } from './assign/';
import { AssignmentsRequestBuilder } from './assignments/';
import { CategoriesRequestBuilder } from './categories/';
import { GraphAndroidLobAppRequestBuilder } from './graphAndroidLobApp/';
import { GraphAndroidStoreAppRequestBuilder } from './graphAndroidStoreApp/';
import { GraphIosLobAppRequestBuilder } from './graphIosLobApp/';
import { GraphIosStoreAppRequestBuilder } from './graphIosStoreApp/';
import { GraphIosVppAppRequestBuilder } from './graphIosVppApp/';
import { GraphMacOSDmgAppRequestBuilder } from './graphMacOSDmgApp/';
import { GraphMacOSLobAppRequestBuilder } from './graphMacOSLobApp/';
import { GraphManagedAndroidLobAppRequestBuilder } from './graphManagedAndroidLobApp/';
import { GraphManagedIOSLobAppRequestBuilder } from './graphManagedIOSLobApp/';
import { GraphManagedMobileLobAppRequestBuilder } from './graphManagedMobileLobApp/';
import { GraphMicrosoftStoreForBusinessAppRequestBuilder } from './graphMicrosoftStoreForBusinessApp/';
import { GraphWin32LobAppRequestBuilder } from './graphWin32LobApp/';
import { GraphWindowsAppXRequestBuilder } from './graphWindowsAppX/';
import { GraphWindowsMobileMSIRequestBuilder } from './graphWindowsMobileMSI/';
import { GraphWindowsUniversalAppXRequestBuilder } from './graphWindowsUniversalAppX/';
import { GraphWindowsWebAppRequestBuilder } from './graphWindowsWebApp/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface MobileAppItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
 */
export declare class MobileAppItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the assign method.
     */
    get assign(): AssignRequestBuilder;
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments(): AssignmentsRequestBuilder;
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories(): CategoriesRequestBuilder;
    /**
     * Casts the previous resource to androidLobApp.
     */
    get graphAndroidLobApp(): GraphAndroidLobAppRequestBuilder;
    /**
     * Casts the previous resource to androidStoreApp.
     */
    get graphAndroidStoreApp(): GraphAndroidStoreAppRequestBuilder;
    /**
     * Casts the previous resource to iosLobApp.
     */
    get graphIosLobApp(): GraphIosLobAppRequestBuilder;
    /**
     * Casts the previous resource to iosStoreApp.
     */
    get graphIosStoreApp(): GraphIosStoreAppRequestBuilder;
    /**
     * Casts the previous resource to iosVppApp.
     */
    get graphIosVppApp(): GraphIosVppAppRequestBuilder;
    /**
     * Casts the previous resource to macOSDmgApp.
     */
    get graphMacOSDmgApp(): GraphMacOSDmgAppRequestBuilder;
    /**
     * Casts the previous resource to macOSLobApp.
     */
    get graphMacOSLobApp(): GraphMacOSLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedAndroidLobApp.
     */
    get graphManagedAndroidLobApp(): GraphManagedAndroidLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedIOSLobApp.
     */
    get graphManagedIOSLobApp(): GraphManagedIOSLobAppRequestBuilder;
    /**
     * Casts the previous resource to managedMobileLobApp.
     */
    get graphManagedMobileLobApp(): GraphManagedMobileLobAppRequestBuilder;
    /**
     * Casts the previous resource to microsoftStoreForBusinessApp.
     */
    get graphMicrosoftStoreForBusinessApp(): GraphMicrosoftStoreForBusinessAppRequestBuilder;
    /**
     * Casts the previous resource to win32LobApp.
     */
    get graphWin32LobApp(): GraphWin32LobAppRequestBuilder;
    /**
     * Casts the previous resource to windowsAppX.
     */
    get graphWindowsAppX(): GraphWindowsAppXRequestBuilder;
    /**
     * Casts the previous resource to windowsMobileMSI.
     */
    get graphWindowsMobileMSI(): GraphWindowsMobileMSIRequestBuilder;
    /**
     * Casts the previous resource to windowsUniversalAppX.
     */
    get graphWindowsUniversalAppX(): GraphWindowsUniversalAppXRequestBuilder;
    /**
     * Casts the previous resource to windowsWebApp.
     */
    get graphWindowsWebApp(): GraphWindowsWebAppRequestBuilder;
    /**
     * Instantiates a new MobileAppItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Deletes a windowsMicrosoftEdgeApp.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-windowsmicrosoftedgeapp-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read properties and relationships of the iosStoreApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-iosstoreapp-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<MobileAppItemRequestBuilderGetQueryParameters> | undefined): Promise<MobileApp | undefined>;
    /**
     * Update the properties of a managedAndroidLobApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-managedandroidlobapp-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: MobileApp, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<MobileApp | undefined>;
    /**
     * Deletes a windowsMicrosoftEdgeApp.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read properties and relationships of the iosStoreApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MobileAppItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a managedAndroidLobApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: MobileApp, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a MobileAppItemRequestBuilder
     */
    withUrl(rawUrl: string): MobileAppItemRequestBuilder;
}
