"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const mobileApp_1 = require("../../../models/mobileApp");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const assign_1 = require("./assign/");
const assignments_1 = require("./assignments/");
const categories_1 = require("./categories/");
const graphAndroidLobApp_1 = require("./graphAndroidLobApp/");
const graphAndroidStoreApp_1 = require("./graphAndroidStoreApp/");
const graphIosLobApp_1 = require("./graphIosLobApp/");
const graphIosStoreApp_1 = require("./graphIosStoreApp/");
const graphIosVppApp_1 = require("./graphIosVppApp/");
const graphMacOSDmgApp_1 = require("./graphMacOSDmgApp/");
const graphMacOSLobApp_1 = require("./graphMacOSLobApp/");
const graphManagedAndroidLobApp_1 = require("./graphManagedAndroidLobApp/");
const graphManagedIOSLobApp_1 = require("./graphManagedIOSLobApp/");
const graphManagedMobileLobApp_1 = require("./graphManagedMobileLobApp/");
const graphMicrosoftStoreForBusinessApp_1 = require("./graphMicrosoftStoreForBusinessApp/");
const graphWin32LobApp_1 = require("./graphWin32LobApp/");
const graphWindowsAppX_1 = require("./graphWindowsAppX/");
const graphWindowsMobileMSI_1 = require("./graphWindowsMobileMSI/");
const graphWindowsUniversalAppX_1 = require("./graphWindowsUniversalAppX/");
const graphWindowsWebApp_1 = require("./graphWindowsWebApp/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity.
 */
class MobileAppItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the assign method.
     */
    get assign() {
        return new assign_1.AssignRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the assignments property of the microsoft.graph.mobileApp entity.
     */
    get assignments() {
        return new assignments_1.AssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the categories property of the microsoft.graph.mobileApp entity.
     */
    get categories() {
        return new categories_1.CategoriesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to androidLobApp.
     */
    get graphAndroidLobApp() {
        return new graphAndroidLobApp_1.GraphAndroidLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to androidStoreApp.
     */
    get graphAndroidStoreApp() {
        return new graphAndroidStoreApp_1.GraphAndroidStoreAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosLobApp.
     */
    get graphIosLobApp() {
        return new graphIosLobApp_1.GraphIosLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosStoreApp.
     */
    get graphIosStoreApp() {
        return new graphIosStoreApp_1.GraphIosStoreAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to iosVppApp.
     */
    get graphIosVppApp() {
        return new graphIosVppApp_1.GraphIosVppAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to macOSDmgApp.
     */
    get graphMacOSDmgApp() {
        return new graphMacOSDmgApp_1.GraphMacOSDmgAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to macOSLobApp.
     */
    get graphMacOSLobApp() {
        return new graphMacOSLobApp_1.GraphMacOSLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedAndroidLobApp.
     */
    get graphManagedAndroidLobApp() {
        return new graphManagedAndroidLobApp_1.GraphManagedAndroidLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedIOSLobApp.
     */
    get graphManagedIOSLobApp() {
        return new graphManagedIOSLobApp_1.GraphManagedIOSLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to managedMobileLobApp.
     */
    get graphManagedMobileLobApp() {
        return new graphManagedMobileLobApp_1.GraphManagedMobileLobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to microsoftStoreForBusinessApp.
     */
    get graphMicrosoftStoreForBusinessApp() {
        return new graphMicrosoftStoreForBusinessApp_1.GraphMicrosoftStoreForBusinessAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to win32LobApp.
     */
    get graphWin32LobApp() {
        return new graphWin32LobApp_1.GraphWin32LobAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsAppX.
     */
    get graphWindowsAppX() {
        return new graphWindowsAppX_1.GraphWindowsAppXRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsMobileMSI.
     */
    get graphWindowsMobileMSI() {
        return new graphWindowsMobileMSI_1.GraphWindowsMobileMSIRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsUniversalAppX.
     */
    get graphWindowsUniversalAppX() {
        return new graphWindowsUniversalAppX_1.GraphWindowsUniversalAppXRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to windowsWebApp.
     */
    get graphWindowsWebApp() {
        return new graphWindowsWebApp_1.GraphWindowsWebAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new MobileAppItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceAppManagement/mobileApps/{mobileApp%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Deletes a windowsMicrosoftEdgeApp.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-windowsmicrosoftedgeapp-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the iosStoreApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-iosstoreapp-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, mobileApp_1.createMobileAppFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a managedAndroidLobApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MobileApp
     * @see {@link https://learn.microsoft.com/graph/api/intune-apps-managedandroidlobapp-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, mobileApp_1.createMobileAppFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Deletes a windowsMicrosoftEdgeApp.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the iosStoreApp object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, mobileAppItemRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a managedAndroidLobApp object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, mobileApp_1.serializeMobileApp);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a MobileAppItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MobileAppItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MobileAppItemRequestBuilder = MobileAppItemRequestBuilder;
const mobileAppItemRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
