import { type ManagedMobileApp } from '../../../../models/managedMobileApp';
import { TargetedManagedAppGroupType } from '../../../../models/targetedManagedAppGroupType';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetAppsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetAppsPostRequestBody;
export declare function deserializeIntoTargetAppsPostRequestBody(targetAppsPostRequestBody?: TargetAppsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetAppsPostRequestBody(writer: SerializationWriter, targetAppsPostRequestBody?: TargetAppsPostRequestBody | undefined): void;
export interface TargetAppsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The appGroupType property
     */
    appGroupType?: TargetedManagedAppGroupType;
    /**
     * The apps property
     */
    apps?: ManagedMobileApp[];
}
/**
 * Provides operations to call the targetApps method.
 */
export declare class TargetAppsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new TargetAppsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-mam-targetedmanagedappconfiguration-targetapps?view=graph-rest-1.0|Find more info here}
     */
    post(body: TargetAppsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: TargetAppsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a targetAppsRequestBuilder
     */
    withUrl(rawUrl: string): TargetAppsRequestBuilder;
}
