import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse;
export declare function deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse(downloadApplePushNotificationCertificateSigningRequestGetResponse?: DownloadApplePushNotificationCertificateSigningRequestGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DownloadApplePushNotificationCertificateSigningRequestGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeDownloadApplePushNotificationCertificateSigningRequestGetResponse(writer: SerializationWriter, downloadApplePushNotificationCertificateSigningRequestGetResponse?: DownloadApplePushNotificationCertificateSigningRequestGetResponse | undefined): void;
/**
 * Provides operations to call the downloadApplePushNotificationCertificateSigningRequest method.
 */
export declare class DownloadApplePushNotificationCertificateSigningRequestRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DownloadApplePushNotificationCertificateSigningRequestRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DownloadApplePushNotificationCertificateSigningRequestGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DownloadApplePushNotificationCertificateSigningRequestGetResponse | undefined>;
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a downloadApplePushNotificationCertificateSigningRequestRequestBuilder
     */
    withUrl(rawUrl: string): DownloadApplePushNotificationCertificateSigningRequestRequestBuilder;
}
