"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadApplePushNotificationCertificateSigningRequestRequestBuilder = exports.serializeDownloadApplePushNotificationCertificateSigningRequestGetResponse = exports.deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse = exports.createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse;
}
exports.createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue = createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue;
function deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse(downloadApplePushNotificationCertificateSigningRequestGetResponse = {}) {
    return {
        "value": n => { downloadApplePushNotificationCertificateSigningRequestGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse = deserializeIntoDownloadApplePushNotificationCertificateSigningRequestGetResponse;
function serializeDownloadApplePushNotificationCertificateSigningRequestGetResponse(writer, downloadApplePushNotificationCertificateSigningRequestGetResponse = {}) {
    writer.writeStringValue("value", downloadApplePushNotificationCertificateSigningRequestGetResponse.value);
    writer.writeAdditionalData(downloadApplePushNotificationCertificateSigningRequestGetResponse.additionalData);
}
exports.serializeDownloadApplePushNotificationCertificateSigningRequestGetResponse = serializeDownloadApplePushNotificationCertificateSigningRequestGetResponse;
/**
 * Provides operations to call the downloadApplePushNotificationCertificateSigningRequest method.
 */
class DownloadApplePushNotificationCertificateSigningRequestRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DownloadApplePushNotificationCertificateSigningRequestRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/applePushNotificationCertificate/downloadApplePushNotificationCertificateSigningRequest()");
    }
    ;
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DownloadApplePushNotificationCertificateSigningRequestGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createDownloadApplePushNotificationCertificateSigningRequestGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Download Apple push notification certificate signing request
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a downloadApplePushNotificationCertificateSigningRequestRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DownloadApplePushNotificationCertificateSigningRequestRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DownloadApplePushNotificationCertificateSigningRequestRequestBuilder = DownloadApplePushNotificationCertificateSigningRequestRequestBuilder;
// tslint:enable
// eslint-enable
