import { type ApplePushNotificationCertificate } from '../../models/applePushNotificationCertificate';
import { DownloadApplePushNotificationCertificateSigningRequestRequestBuilder } from './downloadApplePushNotificationCertificateSigningRequest/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ApplePushNotificationCertificateRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the applePushNotificationCertificate property of the microsoft.graph.deviceManagement entity.
 */
export declare class ApplePushNotificationCertificateRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the downloadApplePushNotificationCertificateSigningRequest method.
     */
    get downloadApplePushNotificationCertificateSigningRequest(): DownloadApplePushNotificationCertificateSigningRequestRequestBuilder;
    /**
     * Instantiates a new ApplePushNotificationCertificateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property applePushNotificationCertificate for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read properties and relationships of the applePushNotificationCertificate object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ApplePushNotificationCertificate
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-applepushnotificationcertificate-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<ApplePushNotificationCertificateRequestBuilderGetQueryParameters> | undefined): Promise<ApplePushNotificationCertificate | undefined>;
    /**
     * Update the properties of a applePushNotificationCertificate object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ApplePushNotificationCertificate
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-applepushnotificationcertificate-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: ApplePushNotificationCertificate, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ApplePushNotificationCertificate | undefined>;
    /**
     * Delete navigation property applePushNotificationCertificate for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read properties and relationships of the applePushNotificationCertificate object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ApplePushNotificationCertificateRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a applePushNotificationCertificate object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ApplePushNotificationCertificate, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applePushNotificationCertificateRequestBuilder
     */
    withUrl(rawUrl: string): ApplePushNotificationCertificateRequestBuilder;
}
