"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAuditActivityTypesWithCategoryRequestBuilder = exports.serializeGetAuditActivityTypesWithCategoryGetResponse = exports.deserializeIntoGetAuditActivityTypesWithCategoryGetResponse = exports.createGetAuditActivityTypesWithCategoryGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetAuditActivityTypesWithCategoryGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAuditActivityTypesWithCategoryGetResponse;
}
exports.createGetAuditActivityTypesWithCategoryGetResponseFromDiscriminatorValue = createGetAuditActivityTypesWithCategoryGetResponseFromDiscriminatorValue;
function deserializeIntoGetAuditActivityTypesWithCategoryGetResponse(getAuditActivityTypesWithCategoryGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getAuditActivityTypesWithCategoryGetResponse)), { "value": n => { getAuditActivityTypesWithCategoryGetResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoGetAuditActivityTypesWithCategoryGetResponse = deserializeIntoGetAuditActivityTypesWithCategoryGetResponse;
function serializeGetAuditActivityTypesWithCategoryGetResponse(writer, getAuditActivityTypesWithCategoryGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getAuditActivityTypesWithCategoryGetResponse);
    writer.writeCollectionOfPrimitiveValues("value", getAuditActivityTypesWithCategoryGetResponse.value);
}
exports.serializeGetAuditActivityTypesWithCategoryGetResponse = serializeGetAuditActivityTypesWithCategoryGetResponse;
/**
 * Provides operations to call the getAuditActivityTypes method.
 */
class GetAuditActivityTypesWithCategoryRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetAuditActivityTypesWithCategoryRequestBuilder and sets the default values.
     * @param category Usage: category='{category}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, category) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/auditEvents/getAuditActivityTypes(category='{category}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["category"] = category;
    }
    ;
    /**
     * Invoke function getAuditActivityTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAuditActivityTypesWithCategoryGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetAuditActivityTypesWithCategoryGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getAuditActivityTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getAuditActivityTypesWithCategoryRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAuditActivityTypesWithCategoryRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetAuditActivityTypesWithCategoryRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetAuditActivityTypesWithCategoryRequestBuilder = GetAuditActivityTypesWithCategoryRequestBuilder;
const getAuditActivityTypesWithCategoryRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
