"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAuditCategoriesRequestBuilder = exports.serializeGetAuditCategoriesGetResponse = exports.deserializeIntoGetAuditCategoriesGetResponse = exports.createGetAuditCategoriesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetAuditCategoriesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAuditCategoriesGetResponse;
}
exports.createGetAuditCategoriesGetResponseFromDiscriminatorValue = createGetAuditCategoriesGetResponseFromDiscriminatorValue;
function deserializeIntoGetAuditCategoriesGetResponse(getAuditCategoriesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getAuditCategoriesGetResponse)), { "value": n => { getAuditCategoriesGetResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoGetAuditCategoriesGetResponse = deserializeIntoGetAuditCategoriesGetResponse;
function serializeGetAuditCategoriesGetResponse(writer, getAuditCategoriesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getAuditCategoriesGetResponse);
    writer.writeCollectionOfPrimitiveValues("value", getAuditCategoriesGetResponse.value);
}
exports.serializeGetAuditCategoriesGetResponse = serializeGetAuditCategoriesGetResponse;
/**
 * Provides operations to call the getAuditCategories method.
 */
class GetAuditCategoriesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetAuditCategoriesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/auditEvents/getAuditCategories(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Invoke function getAuditCategories
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAuditCategoriesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetAuditCategoriesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getAuditCategories
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getAuditCategoriesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAuditCategoriesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetAuditCategoriesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetAuditCategoriesRequestBuilder = GetAuditCategoriesRequestBuilder;
const getAuditCategoriesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
