"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduleActionsForRulesRequestBuilder = exports.serializeScheduleActionsForRulesPostRequestBody = exports.deserializeIntoScheduleActionsForRulesPostRequestBody = exports.createScheduleActionsForRulesPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceComplianceScheduledActionForRule_1 = require("../../../../models/deviceComplianceScheduledActionForRule");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createScheduleActionsForRulesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoScheduleActionsForRulesPostRequestBody;
}
exports.createScheduleActionsForRulesPostRequestBodyFromDiscriminatorValue = createScheduleActionsForRulesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoScheduleActionsForRulesPostRequestBody(scheduleActionsForRulesPostRequestBody = {}) {
    return {
        "deviceComplianceScheduledActionForRules": n => { scheduleActionsForRulesPostRequestBody.deviceComplianceScheduledActionForRules = n.getCollectionOfObjectValues(deviceComplianceScheduledActionForRule_1.createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue); },
    };
}
exports.deserializeIntoScheduleActionsForRulesPostRequestBody = deserializeIntoScheduleActionsForRulesPostRequestBody;
function serializeScheduleActionsForRulesPostRequestBody(writer, scheduleActionsForRulesPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("deviceComplianceScheduledActionForRules", scheduleActionsForRulesPostRequestBody.deviceComplianceScheduledActionForRules, deviceComplianceScheduledActionForRule_1.serializeDeviceComplianceScheduledActionForRule);
    writer.writeAdditionalData(scheduleActionsForRulesPostRequestBody.additionalData);
}
exports.serializeScheduleActionsForRulesPostRequestBody = serializeScheduleActionsForRulesPostRequestBody;
/**
 * Provides operations to call the scheduleActionsForRules method.
 */
class ScheduleActionsForRulesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ScheduleActionsForRulesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/deviceCompliancePolicies/{deviceCompliancePolicy%2Did}/scheduleActionsForRules");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-devicecompliancepolicy-scheduleactionsforrules?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeScheduleActionsForRulesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a scheduleActionsForRulesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ScheduleActionsForRulesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ScheduleActionsForRulesRequestBuilder = ScheduleActionsForRulesRequestBuilder;
// tslint:enable
// eslint-enable
