"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignRequestBuilder = exports.serializeAssignPostResponse = exports.serializeAssignPostRequestBody = exports.deserializeIntoAssignPostResponse = exports.deserializeIntoAssignPostRequestBody = exports.createAssignPostResponseFromDiscriminatorValue = exports.createAssignPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const deviceConfigurationAssignment_1 = require("../../../../models/deviceConfigurationAssignment");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAssignPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignPostRequestBody;
}
exports.createAssignPostRequestBodyFromDiscriminatorValue = createAssignPostRequestBodyFromDiscriminatorValue;
function createAssignPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignPostResponse;
}
exports.createAssignPostResponseFromDiscriminatorValue = createAssignPostResponseFromDiscriminatorValue;
function deserializeIntoAssignPostRequestBody(assignPostRequestBody = {}) {
    return {
        "assignments": n => { assignPostRequestBody.assignments = n.getCollectionOfObjectValues(deviceConfigurationAssignment_1.createDeviceConfigurationAssignmentFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAssignPostRequestBody = deserializeIntoAssignPostRequestBody;
function deserializeIntoAssignPostResponse(assignPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(assignPostResponse)), { "value": n => { assignPostResponse.value = n.getCollectionOfObjectValues(deviceConfigurationAssignment_1.createDeviceConfigurationAssignmentFromDiscriminatorValue); } });
}
exports.deserializeIntoAssignPostResponse = deserializeIntoAssignPostResponse;
function serializeAssignPostRequestBody(writer, assignPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("assignments", assignPostRequestBody.assignments, deviceConfigurationAssignment_1.serializeDeviceConfigurationAssignment);
    writer.writeAdditionalData(assignPostRequestBody.additionalData);
}
exports.serializeAssignPostRequestBody = serializeAssignPostRequestBody;
function serializeAssignPostResponse(writer, assignPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, assignPostResponse);
    writer.writeCollectionOfObjectValues("value", assignPostResponse.value, deviceConfigurationAssignment_1.serializeDeviceConfigurationAssignment);
}
exports.serializeAssignPostResponse = serializeAssignPostResponse;
/**
 * Provides operations to call the assign method.
 */
class AssignRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AssignRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/deviceConfigurations/{deviceConfiguration%2Did}/assign");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AssignPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-deviceconfiguration-assign?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAssignPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAssignPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a assignRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AssignRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AssignRequestBuilder = AssignRequestBuilder;
// tslint:enable
// eslint-enable
