import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse;
export declare function deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse(getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse?: GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse(writer: SerializationWriter, getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse?: GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse | undefined): void;
/**
 * Provides operations to call the getOmaSettingPlainTextValue method.
 */
export declare class GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param secretReferenceValueId Usage: secretReferenceValueId='{secretReferenceValueId}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, secretReferenceValueId?: string | undefined);
    /**
     * Invoke function getOmaSettingPlainTextValue
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse | undefined>;
    /**
     * Invoke function getOmaSettingPlainTextValue
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder
     */
    withUrl(rawUrl: string): GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder;
}
