"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder = exports.serializeGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = exports.deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = exports.createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse;
}
exports.createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue = createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue;
function deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse(getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = {}) {
    return {
        "value": n => { getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = deserializeIntoGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse;
function serializeGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse(writer, getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = {}) {
    writer.writeStringValue("value", getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse.value);
    writer.writeAdditionalData(getOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse.additionalData);
}
exports.serializeGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse = serializeGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse;
/**
 * Provides operations to call the getOmaSettingPlainTextValue method.
 */
class GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param secretReferenceValueId Usage: secretReferenceValueId='{secretReferenceValueId}'
     */
    constructor(pathParameters, requestAdapter, secretReferenceValueId) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/deviceConfigurations/{deviceConfiguration%2Did}/getOmaSettingPlainTextValue(secretReferenceValueId='{secretReferenceValueId}')");
        this.pathParameters["secretReferenceValueId"] = secretReferenceValueId;
    }
    ;
    /**
     * Invoke function getOmaSettingPlainTextValue
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetOmaSettingPlainTextValueWithSecretReferenceValueIdGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getOmaSettingPlainTextValue
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder = GetOmaSettingPlainTextValueWithSecretReferenceValueIdRequestBuilder;
// tslint:enable
// eslint-enable
