import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPriorityPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPriorityPostRequestBody;
export declare function deserializeIntoSetPriorityPostRequestBody(setPriorityPostRequestBody?: SetPriorityPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPriorityPostRequestBody(writer: SerializationWriter, setPriorityPostRequestBody?: SetPriorityPostRequestBody | undefined): void;
export interface SetPriorityPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The priority property
     */
    priority?: number;
}
/**
 * Provides operations to call the setPriority method.
 */
export declare class SetPriorityRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetPriorityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-deviceenrollmentconfiguration-setpriority?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetPriorityPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetPriorityPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setPriorityRequestBuilder
     */
    withUrl(rawUrl: string): SetPriorityRequestBuilder;
}
