"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncRequestBuilder = exports.serializeSyncPostRequestBody = exports.deserializeIntoSyncPostRequestBody = exports.createSyncPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceManagementExchangeConnectorSyncType_1 = require("../../../../models/deviceManagementExchangeConnectorSyncType");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSyncPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSyncPostRequestBody;
}
exports.createSyncPostRequestBodyFromDiscriminatorValue = createSyncPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSyncPostRequestBody(syncPostRequestBody = {}) {
    return {
        "syncType": n => { syncPostRequestBody.syncType = n.getEnumValue(deviceManagementExchangeConnectorSyncType_1.DeviceManagementExchangeConnectorSyncType); },
    };
}
exports.deserializeIntoSyncPostRequestBody = deserializeIntoSyncPostRequestBody;
function serializeSyncPostRequestBody(writer, syncPostRequestBody = {}) {
    writer.writeEnumValue("syncType", syncPostRequestBody.syncType);
    writer.writeAdditionalData(syncPostRequestBody.additionalData);
}
exports.serializeSyncPostRequestBody = serializeSyncPostRequestBody;
/**
 * Provides operations to call the sync method.
 */
class SyncRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SyncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/exchangeConnectors/{deviceManagementExchangeConnector%2Did}/sync");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-devicemanagementexchangeconnector-sync?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSyncPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a syncRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SyncRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SyncRequestBuilder = SyncRequestBuilder;
// tslint:enable
// eslint-enable
