import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type RolePermission } from '../../models/rolePermission';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetEffectivePermissionsWithScopeGetResponse;
export declare function deserializeIntoGetEffectivePermissionsWithScopeGetResponse(getEffectivePermissionsWithScopeGetResponse?: GetEffectivePermissionsWithScopeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetEffectivePermissionsWithScopeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RolePermission[];
}
export interface GetEffectivePermissionsWithScopeRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetEffectivePermissionsWithScopeGetResponse(writer: SerializationWriter, getEffectivePermissionsWithScopeGetResponse?: GetEffectivePermissionsWithScopeGetResponse | undefined): void;
/**
 * Provides operations to call the getEffectivePermissions method.
 */
export declare class GetEffectivePermissionsWithScopeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetEffectivePermissionsWithScopeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param scope Usage: scope='{scope}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, scope?: string | undefined);
    /**
     * Retrieves the effective permissions of the currently authenticated user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetEffectivePermissionsWithScopeGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetEffectivePermissionsWithScopeRequestBuilderGetQueryParameters> | undefined): Promise<GetEffectivePermissionsWithScopeGetResponse | undefined>;
    /**
     * Retrieves the effective permissions of the currently authenticated user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetEffectivePermissionsWithScopeRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getEffectivePermissionsWithScopeRequestBuilder
     */
    withUrl(rawUrl: string): GetEffectivePermissionsWithScopeRequestBuilder;
}
