"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetEffectivePermissionsWithScopeRequestBuilder = exports.serializeGetEffectivePermissionsWithScopeGetResponse = exports.deserializeIntoGetEffectivePermissionsWithScopeGetResponse = exports.createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const rolePermission_1 = require("../../models/rolePermission");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetEffectivePermissionsWithScopeGetResponse;
}
exports.createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue = createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue;
function deserializeIntoGetEffectivePermissionsWithScopeGetResponse(getEffectivePermissionsWithScopeGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getEffectivePermissionsWithScopeGetResponse)), { "value": n => { getEffectivePermissionsWithScopeGetResponse.value = n.getCollectionOfObjectValues(rolePermission_1.createRolePermissionFromDiscriminatorValue); } });
}
exports.deserializeIntoGetEffectivePermissionsWithScopeGetResponse = deserializeIntoGetEffectivePermissionsWithScopeGetResponse;
function serializeGetEffectivePermissionsWithScopeGetResponse(writer, getEffectivePermissionsWithScopeGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getEffectivePermissionsWithScopeGetResponse);
    writer.writeCollectionOfObjectValues("value", getEffectivePermissionsWithScopeGetResponse.value, rolePermission_1.serializeRolePermission);
}
exports.serializeGetEffectivePermissionsWithScopeGetResponse = serializeGetEffectivePermissionsWithScopeGetResponse;
/**
 * Provides operations to call the getEffectivePermissions method.
 */
class GetEffectivePermissionsWithScopeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetEffectivePermissionsWithScopeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param scope Usage: scope='{scope}'
     */
    constructor(pathParameters, requestAdapter, scope) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/getEffectivePermissions(scope='{scope}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["scope"] = scope;
    }
    ;
    /**
     * Retrieves the effective permissions of the currently authenticated user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetEffectivePermissionsWithScopeGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetEffectivePermissionsWithScopeGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Retrieves the effective permissions of the currently authenticated user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getEffectivePermissionsWithScopeRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getEffectivePermissionsWithScopeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetEffectivePermissionsWithScopeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetEffectivePermissionsWithScopeRequestBuilder = GetEffectivePermissionsWithScopeRequestBuilder;
const getEffectivePermissionsWithScopeRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
