import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ImportedWindowsAutopilotDeviceIdentity } from '../../../models/importedWindowsAutopilotDeviceIdentity';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportPostRequestBody;
export declare function createImportPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportPostResponse;
export declare function deserializeIntoImportPostRequestBody(importPostRequestBody?: ImportPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoImportPostResponse(importPostResponse?: ImportPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The importedWindowsAutopilotDeviceIdentities property
     */
    importedWindowsAutopilotDeviceIdentities?: ImportedWindowsAutopilotDeviceIdentity[];
}
export interface ImportPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ImportedWindowsAutopilotDeviceIdentity[];
}
export declare function serializeImportPostRequestBody(writer: SerializationWriter, importPostRequestBody?: ImportPostRequestBody | undefined): void;
export declare function serializeImportPostResponse(writer: SerializationWriter, importPostResponse?: ImportPostResponse | undefined): void;
/**
 * Provides operations to call the import method.
 */
export declare class ImportRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ImportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImportPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-enrollment-importedwindowsautopilotdeviceidentity-import?view=graph-rest-1.0|Find more info here}
     */
    post(body: ImportPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ImportPostResponse | undefined>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ImportPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a importRequestBuilder
     */
    withUrl(rawUrl: string): ImportRequestBuilder;
}
