"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportRequestBuilder = exports.serializeImportPostResponse = exports.serializeImportPostRequestBody = exports.deserializeIntoImportPostResponse = exports.deserializeIntoImportPostRequestBody = exports.createImportPostResponseFromDiscriminatorValue = exports.createImportPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const importedWindowsAutopilotDeviceIdentity_1 = require("../../../models/importedWindowsAutopilotDeviceIdentity");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImportPostRequestBody;
}
exports.createImportPostRequestBodyFromDiscriminatorValue = createImportPostRequestBodyFromDiscriminatorValue;
function createImportPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImportPostResponse;
}
exports.createImportPostResponseFromDiscriminatorValue = createImportPostResponseFromDiscriminatorValue;
function deserializeIntoImportPostRequestBody(importPostRequestBody = {}) {
    return {
        "importedWindowsAutopilotDeviceIdentities": n => { importPostRequestBody.importedWindowsAutopilotDeviceIdentities = n.getCollectionOfObjectValues(importedWindowsAutopilotDeviceIdentity_1.createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImportPostRequestBody = deserializeIntoImportPostRequestBody;
function deserializeIntoImportPostResponse(importPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(importPostResponse)), { "value": n => { importPostResponse.value = n.getCollectionOfObjectValues(importedWindowsAutopilotDeviceIdentity_1.createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue); } });
}
exports.deserializeIntoImportPostResponse = deserializeIntoImportPostResponse;
function serializeImportPostRequestBody(writer, importPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("importedWindowsAutopilotDeviceIdentities", importPostRequestBody.importedWindowsAutopilotDeviceIdentities, importedWindowsAutopilotDeviceIdentity_1.serializeImportedWindowsAutopilotDeviceIdentity);
    writer.writeAdditionalData(importPostRequestBody.additionalData);
}
exports.serializeImportPostRequestBody = serializeImportPostRequestBody;
function serializeImportPostResponse(writer, importPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, importPostResponse);
    writer.writeCollectionOfObjectValues("value", importPostResponse.value, importedWindowsAutopilotDeviceIdentity_1.serializeImportedWindowsAutopilotDeviceIdentity);
}
exports.serializeImportPostResponse = serializeImportPostResponse;
/**
 * Provides operations to call the import method.
 */
class ImportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/importedWindowsAutopilotDeviceIdentities/import");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImportPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-enrollment-importedwindowsautopilotdeviceidentity-import?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createImportPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a importRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImportRequestBuilder = ImportRequestBuilder;
// tslint:enable
// eslint-enable
