import { type DeviceManagement } from '../models/deviceManagement';
import { ApplePushNotificationCertificateRequestBuilder } from './applePushNotificationCertificate/';
import { AuditEventsRequestBuilder } from './auditEvents/';
import { ComplianceManagementPartnersRequestBuilder } from './complianceManagementPartners/';
import { ConditionalAccessSettingsRequestBuilder } from './conditionalAccessSettings/';
import { DetectedAppsRequestBuilder } from './detectedApps/';
import { DeviceCategoriesRequestBuilder } from './deviceCategories/';
import { DeviceCompliancePoliciesRequestBuilder } from './deviceCompliancePolicies/';
import { DeviceCompliancePolicyDeviceStateSummaryRequestBuilder } from './deviceCompliancePolicyDeviceStateSummary/';
import { DeviceCompliancePolicySettingStateSummariesRequestBuilder } from './deviceCompliancePolicySettingStateSummaries/';
import { DeviceConfigurationDeviceStateSummariesRequestBuilder } from './deviceConfigurationDeviceStateSummaries/';
import { DeviceConfigurationsRequestBuilder } from './deviceConfigurations/';
import { DeviceEnrollmentConfigurationsRequestBuilder } from './deviceEnrollmentConfigurations/';
import { DeviceManagementPartnersRequestBuilder } from './deviceManagementPartners/';
import { ExchangeConnectorsRequestBuilder } from './exchangeConnectors/';
import { GetEffectivePermissionsWithScopeRequestBuilder } from './getEffectivePermissionsWithScope/';
import { ImportedWindowsAutopilotDeviceIdentitiesRequestBuilder } from './importedWindowsAutopilotDeviceIdentities/';
import { IosUpdateStatusesRequestBuilder } from './iosUpdateStatuses/';
import { ManagedDeviceOverviewRequestBuilder } from './managedDeviceOverview/';
import { ManagedDevicesRequestBuilder } from './managedDevices/';
import { MobileAppTroubleshootingEventsRequestBuilder } from './mobileAppTroubleshootingEvents/';
import { MobileThreatDefenseConnectorsRequestBuilder } from './mobileThreatDefenseConnectors/';
import { NotificationMessageTemplatesRequestBuilder } from './notificationMessageTemplates/';
import { RemoteAssistancePartnersRequestBuilder } from './remoteAssistancePartners/';
import { ReportsRequestBuilder } from './reports/';
import { ResourceOperationsRequestBuilder } from './resourceOperations/';
import { RoleAssignmentsRequestBuilder } from './roleAssignments/';
import { RoleDefinitionsRequestBuilder } from './roleDefinitions/';
import { SoftwareUpdateStatusSummaryRequestBuilder } from './softwareUpdateStatusSummary/';
import { TelecomExpenseManagementPartnersRequestBuilder } from './telecomExpenseManagementPartners/';
import { TermsAndConditionsRequestBuilder } from './termsAndConditions/';
import { TroubleshootingEventsRequestBuilder } from './troubleshootingEvents/';
import { UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder } from './userExperienceAnalyticsAppHealthApplicationPerformance/';
import { UserExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetailsRequestBuilder } from './userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetails/';
import { UserExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceIdRequestBuilder } from './userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceId/';
import { UserExperienceAnalyticsAppHealthApplicationPerformanceByOSVersionRequestBuilder } from './userExperienceAnalyticsAppHealthApplicationPerformanceByOSVersion/';
import { UserExperienceAnalyticsAppHealthDeviceModelPerformanceRequestBuilder } from './userExperienceAnalyticsAppHealthDeviceModelPerformance/';
import { UserExperienceAnalyticsAppHealthDevicePerformanceRequestBuilder } from './userExperienceAnalyticsAppHealthDevicePerformance/';
import { UserExperienceAnalyticsAppHealthDevicePerformanceDetailsRequestBuilder } from './userExperienceAnalyticsAppHealthDevicePerformanceDetails/';
import { UserExperienceAnalyticsAppHealthOSVersionPerformanceRequestBuilder } from './userExperienceAnalyticsAppHealthOSVersionPerformance/';
import { UserExperienceAnalyticsAppHealthOverviewRequestBuilder } from './userExperienceAnalyticsAppHealthOverview/';
import { UserExperienceAnalyticsBaselinesRequestBuilder } from './userExperienceAnalyticsBaselines/';
import { UserExperienceAnalyticsCategoriesRequestBuilder } from './userExperienceAnalyticsCategories/';
import { UserExperienceAnalyticsDevicePerformanceRequestBuilder } from './userExperienceAnalyticsDevicePerformance/';
import { UserExperienceAnalyticsDeviceScoresRequestBuilder } from './userExperienceAnalyticsDeviceScores/';
import { UserExperienceAnalyticsDeviceStartupHistoryRequestBuilder } from './userExperienceAnalyticsDeviceStartupHistory/';
import { UserExperienceAnalyticsDeviceStartupProcessesRequestBuilder } from './userExperienceAnalyticsDeviceStartupProcesses/';
import { UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder } from './userExperienceAnalyticsDeviceStartupProcessPerformance/';
import { UserExperienceAnalyticsMetricHistoryRequestBuilder } from './userExperienceAnalyticsMetricHistory/';
import { UserExperienceAnalyticsModelScoresRequestBuilder } from './userExperienceAnalyticsModelScores/';
import { UserExperienceAnalyticsOverviewRequestBuilder } from './userExperienceAnalyticsOverview/';
import { UserExperienceAnalyticsScoreHistoryRequestBuilder } from './userExperienceAnalyticsScoreHistory/';
import { UserExperienceAnalyticsSummarizeWorkFromAnywhereDevicesRequestBuilder } from './userExperienceAnalyticsSummarizeWorkFromAnywhereDevices/';
import { UserExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetricRequestBuilder } from './userExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric/';
import { UserExperienceAnalyticsWorkFromAnywhereMetricsRequestBuilder } from './userExperienceAnalyticsWorkFromAnywhereMetrics/';
import { UserExperienceAnalyticsWorkFromAnywhereModelPerformanceRequestBuilder } from './userExperienceAnalyticsWorkFromAnywhereModelPerformance/';
import { VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder } from './verifyWindowsEnrollmentAutoDiscoveryWithDomainName/';
import { WindowsAutopilotDeviceIdentitiesRequestBuilder } from './windowsAutopilotDeviceIdentities/';
import { WindowsInformationProtectionAppLearningSummariesRequestBuilder } from './windowsInformationProtectionAppLearningSummaries/';
import { WindowsInformationProtectionNetworkLearningSummariesRequestBuilder } from './windowsInformationProtectionNetworkLearningSummaries/';
import { WindowsMalwareInformationRequestBuilder } from './windowsMalwareInformation/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface DeviceManagementRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the deviceManagement singleton.
 */
export declare class DeviceManagementRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the applePushNotificationCertificate property of the microsoft.graph.deviceManagement entity.
     */
    get applePushNotificationCertificate(): ApplePushNotificationCertificateRequestBuilder;
    /**
     * Provides operations to manage the auditEvents property of the microsoft.graph.deviceManagement entity.
     */
    get auditEvents(): AuditEventsRequestBuilder;
    /**
     * Provides operations to manage the complianceManagementPartners property of the microsoft.graph.deviceManagement entity.
     */
    get complianceManagementPartners(): ComplianceManagementPartnersRequestBuilder;
    /**
     * Provides operations to manage the conditionalAccessSettings property of the microsoft.graph.deviceManagement entity.
     */
    get conditionalAccessSettings(): ConditionalAccessSettingsRequestBuilder;
    /**
     * Provides operations to manage the detectedApps property of the microsoft.graph.deviceManagement entity.
     */
    get detectedApps(): DetectedAppsRequestBuilder;
    /**
     * Provides operations to manage the deviceCategories property of the microsoft.graph.deviceManagement entity.
     */
    get deviceCategories(): DeviceCategoriesRequestBuilder;
    /**
     * Provides operations to manage the deviceCompliancePolicies property of the microsoft.graph.deviceManagement entity.
     */
    get deviceCompliancePolicies(): DeviceCompliancePoliciesRequestBuilder;
    /**
     * Provides operations to manage the deviceCompliancePolicyDeviceStateSummary property of the microsoft.graph.deviceManagement entity.
     */
    get deviceCompliancePolicyDeviceStateSummary(): DeviceCompliancePolicyDeviceStateSummaryRequestBuilder;
    /**
     * Provides operations to manage the deviceCompliancePolicySettingStateSummaries property of the microsoft.graph.deviceManagement entity.
     */
    get deviceCompliancePolicySettingStateSummaries(): DeviceCompliancePolicySettingStateSummariesRequestBuilder;
    /**
     * Provides operations to manage the deviceConfigurationDeviceStateSummaries property of the microsoft.graph.deviceManagement entity.
     */
    get deviceConfigurationDeviceStateSummaries(): DeviceConfigurationDeviceStateSummariesRequestBuilder;
    /**
     * Provides operations to manage the deviceConfigurations property of the microsoft.graph.deviceManagement entity.
     */
    get deviceConfigurations(): DeviceConfigurationsRequestBuilder;
    /**
     * Provides operations to manage the deviceEnrollmentConfigurations property of the microsoft.graph.deviceManagement entity.
     */
    get deviceEnrollmentConfigurations(): DeviceEnrollmentConfigurationsRequestBuilder;
    /**
     * Provides operations to manage the deviceManagementPartners property of the microsoft.graph.deviceManagement entity.
     */
    get deviceManagementPartners(): DeviceManagementPartnersRequestBuilder;
    /**
     * Provides operations to manage the exchangeConnectors property of the microsoft.graph.deviceManagement entity.
     */
    get exchangeConnectors(): ExchangeConnectorsRequestBuilder;
    /**
     * Provides operations to manage the importedWindowsAutopilotDeviceIdentities property of the microsoft.graph.deviceManagement entity.
     */
    get importedWindowsAutopilotDeviceIdentities(): ImportedWindowsAutopilotDeviceIdentitiesRequestBuilder;
    /**
     * Provides operations to manage the iosUpdateStatuses property of the microsoft.graph.deviceManagement entity.
     */
    get iosUpdateStatuses(): IosUpdateStatusesRequestBuilder;
    /**
     * Provides operations to manage the managedDeviceOverview property of the microsoft.graph.deviceManagement entity.
     */
    get managedDeviceOverview(): ManagedDeviceOverviewRequestBuilder;
    /**
     * Provides operations to manage the managedDevices property of the microsoft.graph.deviceManagement entity.
     */
    get managedDevices(): ManagedDevicesRequestBuilder;
    /**
     * Provides operations to manage the mobileAppTroubleshootingEvents property of the microsoft.graph.deviceManagement entity.
     */
    get mobileAppTroubleshootingEvents(): MobileAppTroubleshootingEventsRequestBuilder;
    /**
     * Provides operations to manage the mobileThreatDefenseConnectors property of the microsoft.graph.deviceManagement entity.
     */
    get mobileThreatDefenseConnectors(): MobileThreatDefenseConnectorsRequestBuilder;
    /**
     * Provides operations to manage the notificationMessageTemplates property of the microsoft.graph.deviceManagement entity.
     */
    get notificationMessageTemplates(): NotificationMessageTemplatesRequestBuilder;
    /**
     * Provides operations to manage the remoteAssistancePartners property of the microsoft.graph.deviceManagement entity.
     */
    get remoteAssistancePartners(): RemoteAssistancePartnersRequestBuilder;
    /**
     * Provides operations to manage the reports property of the microsoft.graph.deviceManagement entity.
     */
    get reports(): ReportsRequestBuilder;
    /**
     * Provides operations to manage the resourceOperations property of the microsoft.graph.deviceManagement entity.
     */
    get resourceOperations(): ResourceOperationsRequestBuilder;
    /**
     * Provides operations to manage the roleAssignments property of the microsoft.graph.deviceManagement entity.
     */
    get roleAssignments(): RoleAssignmentsRequestBuilder;
    /**
     * Provides operations to manage the roleDefinitions property of the microsoft.graph.deviceManagement entity.
     */
    get roleDefinitions(): RoleDefinitionsRequestBuilder;
    /**
     * Provides operations to manage the softwareUpdateStatusSummary property of the microsoft.graph.deviceManagement entity.
     */
    get softwareUpdateStatusSummary(): SoftwareUpdateStatusSummaryRequestBuilder;
    /**
     * Provides operations to manage the telecomExpenseManagementPartners property of the microsoft.graph.deviceManagement entity.
     */
    get telecomExpenseManagementPartners(): TelecomExpenseManagementPartnersRequestBuilder;
    /**
     * Provides operations to manage the termsAndConditions property of the microsoft.graph.deviceManagement entity.
     */
    get termsAndConditions(): TermsAndConditionsRequestBuilder;
    /**
     * Provides operations to manage the troubleshootingEvents property of the microsoft.graph.deviceManagement entity.
     */
    get troubleshootingEvents(): TroubleshootingEventsRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthApplicationPerformance(): UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetails property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetails(): UserExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetailsRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceId property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceId(): UserExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceIdRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformanceByOSVersion property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthApplicationPerformanceByOSVersion(): UserExperienceAnalyticsAppHealthApplicationPerformanceByOSVersionRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthDeviceModelPerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthDeviceModelPerformance(): UserExperienceAnalyticsAppHealthDeviceModelPerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthDevicePerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthDevicePerformance(): UserExperienceAnalyticsAppHealthDevicePerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthDevicePerformanceDetails property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthDevicePerformanceDetails(): UserExperienceAnalyticsAppHealthDevicePerformanceDetailsRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthOSVersionPerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthOSVersionPerformance(): UserExperienceAnalyticsAppHealthOSVersionPerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthOverview property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsAppHealthOverview(): UserExperienceAnalyticsAppHealthOverviewRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsBaselines property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsBaselines(): UserExperienceAnalyticsBaselinesRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsCategories property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsCategories(): UserExperienceAnalyticsCategoriesRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDevicePerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsDevicePerformance(): UserExperienceAnalyticsDevicePerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDeviceScores property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsDeviceScores(): UserExperienceAnalyticsDeviceScoresRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDeviceStartupHistory property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsDeviceStartupHistory(): UserExperienceAnalyticsDeviceStartupHistoryRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDeviceStartupProcesses property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsDeviceStartupProcesses(): UserExperienceAnalyticsDeviceStartupProcessesRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDeviceStartupProcessPerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsDeviceStartupProcessPerformance(): UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsMetricHistory property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsMetricHistory(): UserExperienceAnalyticsMetricHistoryRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsModelScores property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsModelScores(): UserExperienceAnalyticsModelScoresRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsOverview property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsOverview(): UserExperienceAnalyticsOverviewRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsScoreHistory property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsScoreHistory(): UserExperienceAnalyticsScoreHistoryRequestBuilder;
    /**
     * Provides operations to call the userExperienceAnalyticsSummarizeWorkFromAnywhereDevices method.
     */
    get userExperienceAnalyticsSummarizeWorkFromAnywhereDevices(): UserExperienceAnalyticsSummarizeWorkFromAnywhereDevicesRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric(): UserExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetricRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsWorkFromAnywhereMetrics property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsWorkFromAnywhereMetrics(): UserExperienceAnalyticsWorkFromAnywhereMetricsRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsWorkFromAnywhereModelPerformance property of the microsoft.graph.deviceManagement entity.
     */
    get userExperienceAnalyticsWorkFromAnywhereModelPerformance(): UserExperienceAnalyticsWorkFromAnywhereModelPerformanceRequestBuilder;
    /**
     * Provides operations to manage the windowsAutopilotDeviceIdentities property of the microsoft.graph.deviceManagement entity.
     */
    get windowsAutopilotDeviceIdentities(): WindowsAutopilotDeviceIdentitiesRequestBuilder;
    /**
     * Provides operations to manage the windowsInformationProtectionAppLearningSummaries property of the microsoft.graph.deviceManagement entity.
     */
    get windowsInformationProtectionAppLearningSummaries(): WindowsInformationProtectionAppLearningSummariesRequestBuilder;
    /**
     * Provides operations to manage the windowsInformationProtectionNetworkLearningSummaries property of the microsoft.graph.deviceManagement entity.
     */
    get windowsInformationProtectionNetworkLearningSummaries(): WindowsInformationProtectionNetworkLearningSummariesRequestBuilder;
    /**
     * Provides operations to manage the windowsMalwareInformation property of the microsoft.graph.deviceManagement entity.
     */
    get windowsMalwareInformation(): WindowsMalwareInformationRequestBuilder;
    /**
     * Instantiates a new DeviceManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Read properties and relationships of the deviceManagement object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagement
     * @see {@link https://learn.microsoft.com/graph/api/intune-rbac-devicemanagement-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<DeviceManagementRequestBuilderGetQueryParameters> | undefined): Promise<DeviceManagement | undefined>;
    /**
     * Provides operations to call the getEffectivePermissions method.
     * @param scope Usage: scope='{scope}'
     * @returns a getEffectivePermissionsWithScopeRequestBuilder
     */
    getEffectivePermissionsWithScope(scope: string | undefined): GetEffectivePermissionsWithScopeRequestBuilder;
    /**
     * Update the properties of a deviceManagement object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagement
     * @see {@link https://learn.microsoft.com/graph/api/intune-gpanalyticsservice-devicemanagement-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: DeviceManagement, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DeviceManagement | undefined>;
    /**
     * Read properties and relationships of the deviceManagement object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DeviceManagementRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a deviceManagement object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DeviceManagement, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Provides operations to call the verifyWindowsEnrollmentAutoDiscovery method.
     * @param domainName Usage: domainName='{domainName}'
     * @returns a verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder
     */
    verifyWindowsEnrollmentAutoDiscoveryWithDomainName(domainName: string | undefined): VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deviceManagementRequestBuilder
     */
    withUrl(rawUrl: string): DeviceManagementRequestBuilder;
}
