"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CleanWindowsDeviceRequestBuilder = exports.serializeCleanWindowsDevicePostRequestBody = exports.deserializeIntoCleanWindowsDevicePostRequestBody = exports.createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCleanWindowsDevicePostRequestBody;
}
exports.createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue = createCleanWindowsDevicePostRequestBodyFromDiscriminatorValue;
function deserializeIntoCleanWindowsDevicePostRequestBody(cleanWindowsDevicePostRequestBody = {}) {
    return {
        "keepUserData": n => { cleanWindowsDevicePostRequestBody.keepUserData = n.getBooleanValue(); },
    };
}
exports.deserializeIntoCleanWindowsDevicePostRequestBody = deserializeIntoCleanWindowsDevicePostRequestBody;
function serializeCleanWindowsDevicePostRequestBody(writer, cleanWindowsDevicePostRequestBody = {}) {
    writer.writeBooleanValue("keepUserData", cleanWindowsDevicePostRequestBody.keepUserData);
    writer.writeAdditionalData(cleanWindowsDevicePostRequestBody.additionalData);
}
exports.serializeCleanWindowsDevicePostRequestBody = serializeCleanWindowsDevicePostRequestBody;
/**
 * Provides operations to call the cleanWindowsDevice method.
 */
class CleanWindowsDeviceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CleanWindowsDeviceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/managedDevices/{managedDevice%2Did}/cleanWindowsDevice");
    }
    ;
    /**
     * Clean Windows device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-cleanwindowsdevice?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Clean Windows device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCleanWindowsDevicePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cleanWindowsDeviceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CleanWindowsDeviceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CleanWindowsDeviceRequestBuilder = CleanWindowsDeviceRequestBuilder;
// tslint:enable
// eslint-enable
