"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteUserFromSharedAppleDeviceRequestBuilder = exports.serializeDeleteUserFromSharedAppleDevicePostRequestBody = exports.deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody = exports.createDeleteUserFromSharedAppleDevicePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDeleteUserFromSharedAppleDevicePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody;
}
exports.createDeleteUserFromSharedAppleDevicePostRequestBodyFromDiscriminatorValue = createDeleteUserFromSharedAppleDevicePostRequestBodyFromDiscriminatorValue;
function deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody(deleteUserFromSharedAppleDevicePostRequestBody = {}) {
    return {
        "userPrincipalName": n => { deleteUserFromSharedAppleDevicePostRequestBody.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody = deserializeIntoDeleteUserFromSharedAppleDevicePostRequestBody;
function serializeDeleteUserFromSharedAppleDevicePostRequestBody(writer, deleteUserFromSharedAppleDevicePostRequestBody = {}) {
    writer.writeStringValue("userPrincipalName", deleteUserFromSharedAppleDevicePostRequestBody.userPrincipalName);
    writer.writeAdditionalData(deleteUserFromSharedAppleDevicePostRequestBody.additionalData);
}
exports.serializeDeleteUserFromSharedAppleDevicePostRequestBody = serializeDeleteUserFromSharedAppleDevicePostRequestBody;
/**
 * Provides operations to call the deleteUserFromSharedAppleDevice method.
 */
class DeleteUserFromSharedAppleDeviceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DeleteUserFromSharedAppleDeviceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/managedDevices/{managedDevice%2Did}/deleteUserFromSharedAppleDevice");
    }
    ;
    /**
     * Delete user from shared Apple device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-deleteuserfromsharedappledevice?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Delete user from shared Apple device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDeleteUserFromSharedAppleDevicePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deleteUserFromSharedAppleDeviceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DeleteUserFromSharedAppleDeviceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DeleteUserFromSharedAppleDeviceRequestBuilder = DeleteUserFromSharedAppleDeviceRequestBuilder;
// tslint:enable
// eslint-enable
