"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedDeviceItemRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const managedDevice_1 = require("../../../models/managedDevice");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const bypassActivationLock_1 = require("./bypassActivationLock/");
const cleanWindowsDevice_1 = require("./cleanWindowsDevice/");
const deleteUserFromSharedAppleDevice_1 = require("./deleteUserFromSharedAppleDevice/");
const deviceCategory_1 = require("./deviceCategory/");
const deviceCompliancePolicyStates_1 = require("./deviceCompliancePolicyStates/");
const deviceConfigurationStates_1 = require("./deviceConfigurationStates/");
const disableLostMode_1 = require("./disableLostMode/");
const locateDevice_1 = require("./locateDevice/");
const logCollectionRequests_1 = require("./logCollectionRequests/");
const logoutSharedAppleDeviceActiveUser_1 = require("./logoutSharedAppleDeviceActiveUser/");
const rebootNow_1 = require("./rebootNow/");
const recoverPasscode_1 = require("./recoverPasscode/");
const remoteLock_1 = require("./remoteLock/");
const requestRemoteAssistance_1 = require("./requestRemoteAssistance/");
const resetPasscode_1 = require("./resetPasscode/");
const retire_1 = require("./retire/");
const shutDown_1 = require("./shutDown/");
const syncDevice_1 = require("./syncDevice/");
const updateWindowsDeviceAccount_1 = require("./updateWindowsDeviceAccount/");
const users_1 = require("./users/");
const windowsDefenderScan_1 = require("./windowsDefenderScan/");
const windowsDefenderUpdateSignatures_1 = require("./windowsDefenderUpdateSignatures/");
const windowsProtectionState_1 = require("./windowsProtectionState/");
const wipe_1 = require("./wipe/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the managedDevices property of the microsoft.graph.deviceManagement entity.
 */
class ManagedDeviceItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the bypassActivationLock method.
     */
    get bypassActivationLock() {
        return new bypassActivationLock_1.BypassActivationLockRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cleanWindowsDevice method.
     */
    get cleanWindowsDevice() {
        return new cleanWindowsDevice_1.CleanWindowsDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deleteUserFromSharedAppleDevice method.
     */
    get deleteUserFromSharedAppleDevice() {
        return new deleteUserFromSharedAppleDevice_1.DeleteUserFromSharedAppleDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceCategory property of the microsoft.graph.managedDevice entity.
     */
    get deviceCategory() {
        return new deviceCategory_1.DeviceCategoryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceCompliancePolicyStates property of the microsoft.graph.managedDevice entity.
     */
    get deviceCompliancePolicyStates() {
        return new deviceCompliancePolicyStates_1.DeviceCompliancePolicyStatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceConfigurationStates property of the microsoft.graph.managedDevice entity.
     */
    get deviceConfigurationStates() {
        return new deviceConfigurationStates_1.DeviceConfigurationStatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the disableLostMode method.
     */
    get disableLostMode() {
        return new disableLostMode_1.DisableLostModeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the locateDevice method.
     */
    get locateDevice() {
        return new locateDevice_1.LocateDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the logCollectionRequests property of the microsoft.graph.managedDevice entity.
     */
    get logCollectionRequests() {
        return new logCollectionRequests_1.LogCollectionRequestsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logoutSharedAppleDeviceActiveUser method.
     */
    get logoutSharedAppleDeviceActiveUser() {
        return new logoutSharedAppleDeviceActiveUser_1.LogoutSharedAppleDeviceActiveUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rebootNow method.
     */
    get rebootNow() {
        return new rebootNow_1.RebootNowRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the recoverPasscode method.
     */
    get recoverPasscode() {
        return new recoverPasscode_1.RecoverPasscodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the remoteLock method.
     */
    get remoteLock() {
        return new remoteLock_1.RemoteLockRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the requestRemoteAssistance method.
     */
    get requestRemoteAssistance() {
        return new requestRemoteAssistance_1.RequestRemoteAssistanceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the resetPasscode method.
     */
    get resetPasscode() {
        return new resetPasscode_1.ResetPasscodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the retire method.
     */
    get retire() {
        return new retire_1.RetireRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the shutDown method.
     */
    get shutDown() {
        return new shutDown_1.ShutDownRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the syncDevice method.
     */
    get syncDevice() {
        return new syncDevice_1.SyncDeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the updateWindowsDeviceAccount method.
     */
    get updateWindowsDeviceAccount() {
        return new updateWindowsDeviceAccount_1.UpdateWindowsDeviceAccountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the users property of the microsoft.graph.managedDevice entity.
     */
    get users() {
        return new users_1.UsersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the windowsDefenderScan method.
     */
    get windowsDefenderScan() {
        return new windowsDefenderScan_1.WindowsDefenderScanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the windowsDefenderUpdateSignatures method.
     */
    get windowsDefenderUpdateSignatures() {
        return new windowsDefenderUpdateSignatures_1.WindowsDefenderUpdateSignaturesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the windowsProtectionState property of the microsoft.graph.managedDevice entity.
     */
    get windowsProtectionState() {
        return new windowsProtectionState_1.WindowsProtectionStateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the wipe method.
     */
    get wipe() {
        return new wipe_1.WipeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ManagedDeviceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/managedDevices/{managedDevice%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Deletes a managedDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the managedDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, managedDevice_1.createManagedDeviceFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a managedDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ManagedDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, managedDevice_1.createManagedDeviceFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Deletes a managedDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the managedDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, managedDeviceItemRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a managedDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, managedDevice_1.serializeManagedDevice);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ManagedDeviceItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ManagedDeviceItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ManagedDeviceItemRequestBuilder = ManagedDeviceItemRequestBuilder;
const managedDeviceItemRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
