"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateWindowsDeviceAccountRequestBuilder = exports.serializeUpdateWindowsDeviceAccountPostRequestBody = exports.deserializeIntoUpdateWindowsDeviceAccountPostRequestBody = exports.createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const updateWindowsDeviceAccountActionParameter_1 = require("../../../../models/updateWindowsDeviceAccountActionParameter");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUpdateWindowsDeviceAccountPostRequestBody;
}
exports.createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue = createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUpdateWindowsDeviceAccountPostRequestBody(updateWindowsDeviceAccountPostRequestBody = {}) {
    return {
        "updateWindowsDeviceAccountActionParameter": n => { updateWindowsDeviceAccountPostRequestBody.updateWindowsDeviceAccountActionParameter = n.getObjectValue(updateWindowsDeviceAccountActionParameter_1.createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue); },
    };
}
exports.deserializeIntoUpdateWindowsDeviceAccountPostRequestBody = deserializeIntoUpdateWindowsDeviceAccountPostRequestBody;
function serializeUpdateWindowsDeviceAccountPostRequestBody(writer, updateWindowsDeviceAccountPostRequestBody = {}) {
    writer.writeObjectValue("updateWindowsDeviceAccountActionParameter", updateWindowsDeviceAccountPostRequestBody.updateWindowsDeviceAccountActionParameter, updateWindowsDeviceAccountActionParameter_1.serializeUpdateWindowsDeviceAccountActionParameter);
    writer.writeAdditionalData(updateWindowsDeviceAccountPostRequestBody.additionalData);
}
exports.serializeUpdateWindowsDeviceAccountPostRequestBody = serializeUpdateWindowsDeviceAccountPostRequestBody;
/**
 * Provides operations to call the updateWindowsDeviceAccount method.
 */
class UpdateWindowsDeviceAccountRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UpdateWindowsDeviceAccountRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/managedDevices/{managedDevice%2Did}/updateWindowsDeviceAccount");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-updatewindowsdeviceaccount?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUpdateWindowsDeviceAccountPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a updateWindowsDeviceAccountRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UpdateWindowsDeviceAccountRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UpdateWindowsDeviceAccountRequestBuilder = UpdateWindowsDeviceAccountRequestBuilder;
// tslint:enable
// eslint-enable
