"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCachedReportRequestBuilder = exports.serializeGetCachedReportPostRequestBody = exports.deserializeIntoGetCachedReportPostRequestBody = exports.createGetCachedReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetCachedReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetCachedReportPostRequestBody;
}
exports.createGetCachedReportPostRequestBodyFromDiscriminatorValue = createGetCachedReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetCachedReportPostRequestBody(getCachedReportPostRequestBody = {}) {
    return {
        "groupBy": n => { getCachedReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "id": n => { getCachedReportPostRequestBody.id = n.getStringValue(); },
        "orderBy": n => { getCachedReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getCachedReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getCachedReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "skip": n => { getCachedReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getCachedReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetCachedReportPostRequestBody = deserializeIntoGetCachedReportPostRequestBody;
function serializeGetCachedReportPostRequestBody(writer, getCachedReportPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("groupBy", getCachedReportPostRequestBody.groupBy);
    writer.writeStringValue("id", getCachedReportPostRequestBody.id);
    writer.writeCollectionOfPrimitiveValues("orderBy", getCachedReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getCachedReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getCachedReportPostRequestBody.select);
    writer.writeNumberValue("skip", getCachedReportPostRequestBody.skip);
    writer.writeNumberValue("top", getCachedReportPostRequestBody.top);
    writer.writeAdditionalData(getCachedReportPostRequestBody.additionalData);
}
exports.serializeGetCachedReportPostRequestBody = serializeGetCachedReportPostRequestBody;
/**
 * Provides operations to call the getCachedReport method.
 */
class GetCachedReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetCachedReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getCachedReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getcachedreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetCachedReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getCachedReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetCachedReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetCachedReportRequestBuilder = GetCachedReportRequestBuilder;
// tslint:enable
// eslint-enable
