"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCompliancePolicyNonComplianceReportRequestBuilder = exports.serializeGetCompliancePolicyNonComplianceReportPostRequestBody = exports.deserializeIntoGetCompliancePolicyNonComplianceReportPostRequestBody = exports.createGetCompliancePolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetCompliancePolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetCompliancePolicyNonComplianceReportPostRequestBody;
}
exports.createGetCompliancePolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetCompliancePolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetCompliancePolicyNonComplianceReportPostRequestBody(getCompliancePolicyNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getCompliancePolicyNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getCompliancePolicyNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getCompliancePolicyNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getCompliancePolicyNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getCompliancePolicyNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getCompliancePolicyNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getCompliancePolicyNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getCompliancePolicyNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getCompliancePolicyNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetCompliancePolicyNonComplianceReportPostRequestBody = deserializeIntoGetCompliancePolicyNonComplianceReportPostRequestBody;
function serializeGetCompliancePolicyNonComplianceReportPostRequestBody(writer, getCompliancePolicyNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getCompliancePolicyNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getCompliancePolicyNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getCompliancePolicyNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getCompliancePolicyNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getCompliancePolicyNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getCompliancePolicyNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getCompliancePolicyNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getCompliancePolicyNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getCompliancePolicyNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getCompliancePolicyNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetCompliancePolicyNonComplianceReportPostRequestBody = serializeGetCompliancePolicyNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getCompliancePolicyNonComplianceReport method.
 */
class GetCompliancePolicyNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetCompliancePolicyNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getCompliancePolicyNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getcompliancepolicynoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetCompliancePolicyNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getCompliancePolicyNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetCompliancePolicyNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetCompliancePolicyNonComplianceReportRequestBuilder = GetCompliancePolicyNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
