"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCompliancePolicyNonComplianceSummaryReportRequestBuilder = exports.serializeGetCompliancePolicyNonComplianceSummaryReportPostRequestBody = exports.deserializeIntoGetCompliancePolicyNonComplianceSummaryReportPostRequestBody = exports.createGetCompliancePolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetCompliancePolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetCompliancePolicyNonComplianceSummaryReportPostRequestBody;
}
exports.createGetCompliancePolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = createGetCompliancePolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetCompliancePolicyNonComplianceSummaryReportPostRequestBody(getCompliancePolicyNonComplianceSummaryReportPostRequestBody = {}) {
    return {
        "filter": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getCompliancePolicyNonComplianceSummaryReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetCompliancePolicyNonComplianceSummaryReportPostRequestBody = deserializeIntoGetCompliancePolicyNonComplianceSummaryReportPostRequestBody;
function serializeGetCompliancePolicyNonComplianceSummaryReportPostRequestBody(writer, getCompliancePolicyNonComplianceSummaryReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.skip);
    writer.writeNumberValue("top", getCompliancePolicyNonComplianceSummaryReportPostRequestBody.top);
    writer.writeAdditionalData(getCompliancePolicyNonComplianceSummaryReportPostRequestBody.additionalData);
}
exports.serializeGetCompliancePolicyNonComplianceSummaryReportPostRequestBody = serializeGetCompliancePolicyNonComplianceSummaryReportPostRequestBody;
/**
 * Provides operations to call the getCompliancePolicyNonComplianceSummaryReport method.
 */
class GetCompliancePolicyNonComplianceSummaryReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetCompliancePolicyNonComplianceSummaryReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getCompliancePolicyNonComplianceSummaryReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getcompliancepolicynoncompliancesummaryreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetCompliancePolicyNonComplianceSummaryReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getCompliancePolicyNonComplianceSummaryReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetCompliancePolicyNonComplianceSummaryReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetCompliancePolicyNonComplianceSummaryReportRequestBuilder = GetCompliancePolicyNonComplianceSummaryReportRequestBuilder;
// tslint:enable
// eslint-enable
