"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetComplianceSettingNonComplianceReportRequestBuilder = exports.serializeGetComplianceSettingNonComplianceReportPostRequestBody = exports.deserializeIntoGetComplianceSettingNonComplianceReportPostRequestBody = exports.createGetComplianceSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetComplianceSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetComplianceSettingNonComplianceReportPostRequestBody;
}
exports.createGetComplianceSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetComplianceSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetComplianceSettingNonComplianceReportPostRequestBody(getComplianceSettingNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getComplianceSettingNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getComplianceSettingNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getComplianceSettingNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getComplianceSettingNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getComplianceSettingNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getComplianceSettingNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getComplianceSettingNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getComplianceSettingNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getComplianceSettingNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetComplianceSettingNonComplianceReportPostRequestBody = deserializeIntoGetComplianceSettingNonComplianceReportPostRequestBody;
function serializeGetComplianceSettingNonComplianceReportPostRequestBody(writer, getComplianceSettingNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getComplianceSettingNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getComplianceSettingNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getComplianceSettingNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getComplianceSettingNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getComplianceSettingNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getComplianceSettingNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getComplianceSettingNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getComplianceSettingNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getComplianceSettingNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getComplianceSettingNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetComplianceSettingNonComplianceReportPostRequestBody = serializeGetComplianceSettingNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getComplianceSettingNonComplianceReport method.
 */
class GetComplianceSettingNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetComplianceSettingNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getComplianceSettingNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getcompliancesettingnoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetComplianceSettingNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getComplianceSettingNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetComplianceSettingNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetComplianceSettingNonComplianceReportRequestBuilder = GetComplianceSettingNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
