"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetConfigurationPolicyNonComplianceReportRequestBuilder = exports.serializeGetConfigurationPolicyNonComplianceReportPostRequestBody = exports.deserializeIntoGetConfigurationPolicyNonComplianceReportPostRequestBody = exports.createGetConfigurationPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetConfigurationPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetConfigurationPolicyNonComplianceReportPostRequestBody;
}
exports.createGetConfigurationPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetConfigurationPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetConfigurationPolicyNonComplianceReportPostRequestBody(getConfigurationPolicyNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getConfigurationPolicyNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetConfigurationPolicyNonComplianceReportPostRequestBody = deserializeIntoGetConfigurationPolicyNonComplianceReportPostRequestBody;
function serializeGetConfigurationPolicyNonComplianceReportPostRequestBody(writer, getConfigurationPolicyNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getConfigurationPolicyNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getConfigurationPolicyNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getConfigurationPolicyNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getConfigurationPolicyNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getConfigurationPolicyNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getConfigurationPolicyNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getConfigurationPolicyNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getConfigurationPolicyNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getConfigurationPolicyNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getConfigurationPolicyNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetConfigurationPolicyNonComplianceReportPostRequestBody = serializeGetConfigurationPolicyNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getConfigurationPolicyNonComplianceReport method.
 */
class GetConfigurationPolicyNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetConfigurationPolicyNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getConfigurationPolicyNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getconfigurationpolicynoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetConfigurationPolicyNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getConfigurationPolicyNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetConfigurationPolicyNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetConfigurationPolicyNonComplianceReportRequestBuilder = GetConfigurationPolicyNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
