"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder = exports.serializeGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody = exports.deserializeIntoGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody = exports.createGetConfigurationPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetConfigurationPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody;
}
exports.createGetConfigurationPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = createGetConfigurationPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody(getConfigurationPolicyNonComplianceSummaryReportPostRequestBody = {}) {
    return {
        "filter": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody = deserializeIntoGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody;
function serializeGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody(writer, getConfigurationPolicyNonComplianceSummaryReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.skip);
    writer.writeNumberValue("top", getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.top);
    writer.writeAdditionalData(getConfigurationPolicyNonComplianceSummaryReportPostRequestBody.additionalData);
}
exports.serializeGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody = serializeGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody;
/**
 * Provides operations to call the getConfigurationPolicyNonComplianceSummaryReport method.
 */
class GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getConfigurationPolicyNonComplianceSummaryReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getconfigurationpolicynoncompliancesummaryreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetConfigurationPolicyNonComplianceSummaryReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getConfigurationPolicyNonComplianceSummaryReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder = GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder;
// tslint:enable
// eslint-enable
