"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetConfigurationSettingNonComplianceReportRequestBuilder = exports.serializeGetConfigurationSettingNonComplianceReportPostRequestBody = exports.deserializeIntoGetConfigurationSettingNonComplianceReportPostRequestBody = exports.createGetConfigurationSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetConfigurationSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetConfigurationSettingNonComplianceReportPostRequestBody;
}
exports.createGetConfigurationSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetConfigurationSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetConfigurationSettingNonComplianceReportPostRequestBody(getConfigurationSettingNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getConfigurationSettingNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getConfigurationSettingNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getConfigurationSettingNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getConfigurationSettingNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getConfigurationSettingNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getConfigurationSettingNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getConfigurationSettingNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getConfigurationSettingNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getConfigurationSettingNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetConfigurationSettingNonComplianceReportPostRequestBody = deserializeIntoGetConfigurationSettingNonComplianceReportPostRequestBody;
function serializeGetConfigurationSettingNonComplianceReportPostRequestBody(writer, getConfigurationSettingNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getConfigurationSettingNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getConfigurationSettingNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getConfigurationSettingNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getConfigurationSettingNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getConfigurationSettingNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getConfigurationSettingNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getConfigurationSettingNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getConfigurationSettingNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getConfigurationSettingNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getConfigurationSettingNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetConfigurationSettingNonComplianceReportPostRequestBody = serializeGetConfigurationSettingNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getConfigurationSettingNonComplianceReport method.
 */
class GetConfigurationSettingNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetConfigurationSettingNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getConfigurationSettingNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getconfigurationsettingnoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetConfigurationSettingNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getConfigurationSettingNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetConfigurationSettingNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetConfigurationSettingNonComplianceReportRequestBuilder = GetConfigurationSettingNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
