"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder = exports.serializeGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = exports.deserializeIntoGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = exports.createGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody;
}
exports.createGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBodyFromDiscriminatorValue = createGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody(getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = {}) {
    return {
        "filter": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = deserializeIntoGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody;
function serializeGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody(writer, getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = {}) {
    writer.writeStringValue("filter", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.groupBy);
    writer.writeStringValue("name", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.orderBy);
    writer.writeStringValue("search", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.select);
    writer.writeStringValue("sessionId", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.skip);
    writer.writeNumberValue("top", getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.top);
    writer.writeAdditionalData(getDeviceManagementIntentPerSettingContributingProfilesPostRequestBody.additionalData);
}
exports.serializeGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody = serializeGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody;
/**
 * Provides operations to call the getDeviceManagementIntentPerSettingContributingProfiles method.
 */
class GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getDeviceManagementIntentPerSettingContributingProfiles");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getdevicemanagementintentpersettingcontributingprofiles?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetDeviceManagementIntentPerSettingContributingProfilesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getDeviceManagementIntentPerSettingContributingProfilesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder = GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder;
// tslint:enable
// eslint-enable
