"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDeviceManagementIntentSettingsReportRequestBuilder = exports.serializeGetDeviceManagementIntentSettingsReportPostRequestBody = exports.deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody = exports.createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody;
}
exports.createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue = createGetDeviceManagementIntentSettingsReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody(getDeviceManagementIntentSettingsReportPostRequestBody = {}) {
    return {
        "filter": n => { getDeviceManagementIntentSettingsReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDeviceManagementIntentSettingsReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDeviceManagementIntentSettingsReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDeviceManagementIntentSettingsReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDeviceManagementIntentSettingsReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDeviceManagementIntentSettingsReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDeviceManagementIntentSettingsReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDeviceManagementIntentSettingsReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDeviceManagementIntentSettingsReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody = deserializeIntoGetDeviceManagementIntentSettingsReportPostRequestBody;
function serializeGetDeviceManagementIntentSettingsReportPostRequestBody(writer, getDeviceManagementIntentSettingsReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getDeviceManagementIntentSettingsReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDeviceManagementIntentSettingsReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getDeviceManagementIntentSettingsReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDeviceManagementIntentSettingsReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getDeviceManagementIntentSettingsReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDeviceManagementIntentSettingsReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getDeviceManagementIntentSettingsReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDeviceManagementIntentSettingsReportPostRequestBody.skip);
    writer.writeNumberValue("top", getDeviceManagementIntentSettingsReportPostRequestBody.top);
    writer.writeAdditionalData(getDeviceManagementIntentSettingsReportPostRequestBody.additionalData);
}
exports.serializeGetDeviceManagementIntentSettingsReportPostRequestBody = serializeGetDeviceManagementIntentSettingsReportPostRequestBody;
/**
 * Provides operations to call the getDeviceManagementIntentSettingsReport method.
 */
class GetDeviceManagementIntentSettingsReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetDeviceManagementIntentSettingsReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getDeviceManagementIntentSettingsReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getdevicemanagementintentsettingsreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetDeviceManagementIntentSettingsReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getDeviceManagementIntentSettingsReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetDeviceManagementIntentSettingsReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetDeviceManagementIntentSettingsReportRequestBuilder = GetDeviceManagementIntentSettingsReportRequestBuilder;
// tslint:enable
// eslint-enable
