"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDeviceNonComplianceReportRequestBuilder = exports.serializeGetDeviceNonComplianceReportPostRequestBody = exports.deserializeIntoGetDeviceNonComplianceReportPostRequestBody = exports.createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDeviceNonComplianceReportPostRequestBody;
}
exports.createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetDeviceNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDeviceNonComplianceReportPostRequestBody(getDeviceNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getDeviceNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDeviceNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDeviceNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDeviceNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDeviceNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDeviceNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDeviceNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDeviceNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDeviceNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDeviceNonComplianceReportPostRequestBody = deserializeIntoGetDeviceNonComplianceReportPostRequestBody;
function serializeGetDeviceNonComplianceReportPostRequestBody(writer, getDeviceNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getDeviceNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDeviceNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getDeviceNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDeviceNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getDeviceNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDeviceNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getDeviceNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDeviceNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getDeviceNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getDeviceNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetDeviceNonComplianceReportPostRequestBody = serializeGetDeviceNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getDeviceNonComplianceReport method.
 */
class GetDeviceNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetDeviceNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getDeviceNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getdevicenoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetDeviceNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getDeviceNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetDeviceNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetDeviceNonComplianceReportRequestBuilder = GetDeviceNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
