"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDevicesWithoutCompliancePolicyReportRequestBuilder = exports.serializeGetDevicesWithoutCompliancePolicyReportPostRequestBody = exports.deserializeIntoGetDevicesWithoutCompliancePolicyReportPostRequestBody = exports.createGetDevicesWithoutCompliancePolicyReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetDevicesWithoutCompliancePolicyReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetDevicesWithoutCompliancePolicyReportPostRequestBody;
}
exports.createGetDevicesWithoutCompliancePolicyReportPostRequestBodyFromDiscriminatorValue = createGetDevicesWithoutCompliancePolicyReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetDevicesWithoutCompliancePolicyReportPostRequestBody(getDevicesWithoutCompliancePolicyReportPostRequestBody = {}) {
    return {
        "filter": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getDevicesWithoutCompliancePolicyReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetDevicesWithoutCompliancePolicyReportPostRequestBody = deserializeIntoGetDevicesWithoutCompliancePolicyReportPostRequestBody;
function serializeGetDevicesWithoutCompliancePolicyReportPostRequestBody(writer, getDevicesWithoutCompliancePolicyReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getDevicesWithoutCompliancePolicyReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getDevicesWithoutCompliancePolicyReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getDevicesWithoutCompliancePolicyReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getDevicesWithoutCompliancePolicyReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getDevicesWithoutCompliancePolicyReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getDevicesWithoutCompliancePolicyReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getDevicesWithoutCompliancePolicyReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getDevicesWithoutCompliancePolicyReportPostRequestBody.skip);
    writer.writeNumberValue("top", getDevicesWithoutCompliancePolicyReportPostRequestBody.top);
    writer.writeAdditionalData(getDevicesWithoutCompliancePolicyReportPostRequestBody.additionalData);
}
exports.serializeGetDevicesWithoutCompliancePolicyReportPostRequestBody = serializeGetDevicesWithoutCompliancePolicyReportPostRequestBody;
/**
 * Provides operations to call the getDevicesWithoutCompliancePolicyReport method.
 */
class GetDevicesWithoutCompliancePolicyReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetDevicesWithoutCompliancePolicyReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getDevicesWithoutCompliancePolicyReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getdeviceswithoutcompliancepolicyreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetDevicesWithoutCompliancePolicyReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getDevicesWithoutCompliancePolicyReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetDevicesWithoutCompliancePolicyReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetDevicesWithoutCompliancePolicyReportRequestBuilder = GetDevicesWithoutCompliancePolicyReportRequestBuilder;
// tslint:enable
// eslint-enable
