"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetHistoricalReportRequestBuilder = exports.serializeGetHistoricalReportPostRequestBody = exports.deserializeIntoGetHistoricalReportPostRequestBody = exports.createGetHistoricalReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetHistoricalReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetHistoricalReportPostRequestBody;
}
exports.createGetHistoricalReportPostRequestBodyFromDiscriminatorValue = createGetHistoricalReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetHistoricalReportPostRequestBody(getHistoricalReportPostRequestBody = {}) {
    return {
        "filter": n => { getHistoricalReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getHistoricalReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getHistoricalReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getHistoricalReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getHistoricalReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getHistoricalReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "skip": n => { getHistoricalReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getHistoricalReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetHistoricalReportPostRequestBody = deserializeIntoGetHistoricalReportPostRequestBody;
function serializeGetHistoricalReportPostRequestBody(writer, getHistoricalReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getHistoricalReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getHistoricalReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getHistoricalReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getHistoricalReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getHistoricalReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getHistoricalReportPostRequestBody.select);
    writer.writeNumberValue("skip", getHistoricalReportPostRequestBody.skip);
    writer.writeNumberValue("top", getHistoricalReportPostRequestBody.top);
    writer.writeAdditionalData(getHistoricalReportPostRequestBody.additionalData);
}
exports.serializeGetHistoricalReportPostRequestBody = serializeGetHistoricalReportPostRequestBody;
/**
 * Provides operations to call the getHistoricalReport method.
 */
class GetHistoricalReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetHistoricalReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getHistoricalReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-gethistoricalreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetHistoricalReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getHistoricalReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetHistoricalReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetHistoricalReportRequestBuilder = GetHistoricalReportRequestBuilder;
// tslint:enable
// eslint-enable
