"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetNoncompliantDevicesAndSettingsReportRequestBuilder = exports.serializeGetNoncompliantDevicesAndSettingsReportPostRequestBody = exports.deserializeIntoGetNoncompliantDevicesAndSettingsReportPostRequestBody = exports.createGetNoncompliantDevicesAndSettingsReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetNoncompliantDevicesAndSettingsReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetNoncompliantDevicesAndSettingsReportPostRequestBody;
}
exports.createGetNoncompliantDevicesAndSettingsReportPostRequestBodyFromDiscriminatorValue = createGetNoncompliantDevicesAndSettingsReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetNoncompliantDevicesAndSettingsReportPostRequestBody(getNoncompliantDevicesAndSettingsReportPostRequestBody = {}) {
    return {
        "filter": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getNoncompliantDevicesAndSettingsReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetNoncompliantDevicesAndSettingsReportPostRequestBody = deserializeIntoGetNoncompliantDevicesAndSettingsReportPostRequestBody;
function serializeGetNoncompliantDevicesAndSettingsReportPostRequestBody(writer, getNoncompliantDevicesAndSettingsReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getNoncompliantDevicesAndSettingsReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getNoncompliantDevicesAndSettingsReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getNoncompliantDevicesAndSettingsReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getNoncompliantDevicesAndSettingsReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getNoncompliantDevicesAndSettingsReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getNoncompliantDevicesAndSettingsReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getNoncompliantDevicesAndSettingsReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getNoncompliantDevicesAndSettingsReportPostRequestBody.skip);
    writer.writeNumberValue("top", getNoncompliantDevicesAndSettingsReportPostRequestBody.top);
    writer.writeAdditionalData(getNoncompliantDevicesAndSettingsReportPostRequestBody.additionalData);
}
exports.serializeGetNoncompliantDevicesAndSettingsReportPostRequestBody = serializeGetNoncompliantDevicesAndSettingsReportPostRequestBody;
/**
 * Provides operations to call the getNoncompliantDevicesAndSettingsReport method.
 */
class GetNoncompliantDevicesAndSettingsReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetNoncompliantDevicesAndSettingsReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getNoncompliantDevicesAndSettingsReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getnoncompliantdevicesandsettingsreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetNoncompliantDevicesAndSettingsReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getNoncompliantDevicesAndSettingsReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetNoncompliantDevicesAndSettingsReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetNoncompliantDevicesAndSettingsReportRequestBuilder = GetNoncompliantDevicesAndSettingsReportRequestBuilder;
// tslint:enable
// eslint-enable
