"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPolicyNonComplianceMetadataRequestBuilder = exports.serializeGetPolicyNonComplianceMetadataPostRequestBody = exports.deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody = exports.createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody;
}
exports.createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue = createGetPolicyNonComplianceMetadataPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody(getPolicyNonComplianceMetadataPostRequestBody = {}) {
    return {
        "filter": n => { getPolicyNonComplianceMetadataPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getPolicyNonComplianceMetadataPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getPolicyNonComplianceMetadataPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getPolicyNonComplianceMetadataPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getPolicyNonComplianceMetadataPostRequestBody.search = n.getStringValue(); },
        "select": n => { getPolicyNonComplianceMetadataPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getPolicyNonComplianceMetadataPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getPolicyNonComplianceMetadataPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getPolicyNonComplianceMetadataPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody = deserializeIntoGetPolicyNonComplianceMetadataPostRequestBody;
function serializeGetPolicyNonComplianceMetadataPostRequestBody(writer, getPolicyNonComplianceMetadataPostRequestBody = {}) {
    writer.writeStringValue("filter", getPolicyNonComplianceMetadataPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getPolicyNonComplianceMetadataPostRequestBody.groupBy);
    writer.writeStringValue("name", getPolicyNonComplianceMetadataPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getPolicyNonComplianceMetadataPostRequestBody.orderBy);
    writer.writeStringValue("search", getPolicyNonComplianceMetadataPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getPolicyNonComplianceMetadataPostRequestBody.select);
    writer.writeStringValue("sessionId", getPolicyNonComplianceMetadataPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getPolicyNonComplianceMetadataPostRequestBody.skip);
    writer.writeNumberValue("top", getPolicyNonComplianceMetadataPostRequestBody.top);
    writer.writeAdditionalData(getPolicyNonComplianceMetadataPostRequestBody.additionalData);
}
exports.serializeGetPolicyNonComplianceMetadataPostRequestBody = serializeGetPolicyNonComplianceMetadataPostRequestBody;
/**
 * Provides operations to call the getPolicyNonComplianceMetadata method.
 */
class GetPolicyNonComplianceMetadataRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetPolicyNonComplianceMetadataRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getPolicyNonComplianceMetadata");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getpolicynoncompliancemetadata?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetPolicyNonComplianceMetadataPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getPolicyNonComplianceMetadataRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetPolicyNonComplianceMetadataRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetPolicyNonComplianceMetadataRequestBuilder = GetPolicyNonComplianceMetadataRequestBuilder;
// tslint:enable
// eslint-enable
