"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPolicyNonComplianceReportRequestBuilder = exports.serializeGetPolicyNonComplianceReportPostRequestBody = exports.deserializeIntoGetPolicyNonComplianceReportPostRequestBody = exports.createGetPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPolicyNonComplianceReportPostRequestBody;
}
exports.createGetPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetPolicyNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetPolicyNonComplianceReportPostRequestBody(getPolicyNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getPolicyNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getPolicyNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getPolicyNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getPolicyNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getPolicyNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getPolicyNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getPolicyNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getPolicyNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getPolicyNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetPolicyNonComplianceReportPostRequestBody = deserializeIntoGetPolicyNonComplianceReportPostRequestBody;
function serializeGetPolicyNonComplianceReportPostRequestBody(writer, getPolicyNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getPolicyNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getPolicyNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getPolicyNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getPolicyNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getPolicyNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getPolicyNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getPolicyNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getPolicyNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getPolicyNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getPolicyNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetPolicyNonComplianceReportPostRequestBody = serializeGetPolicyNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getPolicyNonComplianceReport method.
 */
class GetPolicyNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetPolicyNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getPolicyNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getpolicynoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetPolicyNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getPolicyNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetPolicyNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetPolicyNonComplianceReportRequestBuilder = GetPolicyNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
