"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPolicyNonComplianceSummaryReportRequestBuilder = exports.serializeGetPolicyNonComplianceSummaryReportPostRequestBody = exports.deserializeIntoGetPolicyNonComplianceSummaryReportPostRequestBody = exports.createGetPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetPolicyNonComplianceSummaryReportPostRequestBody;
}
exports.createGetPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue = createGetPolicyNonComplianceSummaryReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetPolicyNonComplianceSummaryReportPostRequestBody(getPolicyNonComplianceSummaryReportPostRequestBody = {}) {
    return {
        "filter": n => { getPolicyNonComplianceSummaryReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getPolicyNonComplianceSummaryReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getPolicyNonComplianceSummaryReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getPolicyNonComplianceSummaryReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getPolicyNonComplianceSummaryReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getPolicyNonComplianceSummaryReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getPolicyNonComplianceSummaryReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getPolicyNonComplianceSummaryReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getPolicyNonComplianceSummaryReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetPolicyNonComplianceSummaryReportPostRequestBody = deserializeIntoGetPolicyNonComplianceSummaryReportPostRequestBody;
function serializeGetPolicyNonComplianceSummaryReportPostRequestBody(writer, getPolicyNonComplianceSummaryReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getPolicyNonComplianceSummaryReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getPolicyNonComplianceSummaryReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getPolicyNonComplianceSummaryReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getPolicyNonComplianceSummaryReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getPolicyNonComplianceSummaryReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getPolicyNonComplianceSummaryReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getPolicyNonComplianceSummaryReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getPolicyNonComplianceSummaryReportPostRequestBody.skip);
    writer.writeNumberValue("top", getPolicyNonComplianceSummaryReportPostRequestBody.top);
    writer.writeAdditionalData(getPolicyNonComplianceSummaryReportPostRequestBody.additionalData);
}
exports.serializeGetPolicyNonComplianceSummaryReportPostRequestBody = serializeGetPolicyNonComplianceSummaryReportPostRequestBody;
/**
 * Provides operations to call the getPolicyNonComplianceSummaryReport method.
 */
class GetPolicyNonComplianceSummaryReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetPolicyNonComplianceSummaryReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getPolicyNonComplianceSummaryReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getpolicynoncompliancesummaryreport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetPolicyNonComplianceSummaryReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getPolicyNonComplianceSummaryReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetPolicyNonComplianceSummaryReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetPolicyNonComplianceSummaryReportRequestBuilder = GetPolicyNonComplianceSummaryReportRequestBuilder;
// tslint:enable
// eslint-enable
