"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetReportFiltersRequestBuilder = exports.serializeGetReportFiltersPostRequestBody = exports.deserializeIntoGetReportFiltersPostRequestBody = exports.createGetReportFiltersPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetReportFiltersPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetReportFiltersPostRequestBody;
}
exports.createGetReportFiltersPostRequestBodyFromDiscriminatorValue = createGetReportFiltersPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetReportFiltersPostRequestBody(getReportFiltersPostRequestBody = {}) {
    return {
        "filter": n => { getReportFiltersPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getReportFiltersPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getReportFiltersPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getReportFiltersPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getReportFiltersPostRequestBody.search = n.getStringValue(); },
        "select": n => { getReportFiltersPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getReportFiltersPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getReportFiltersPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getReportFiltersPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetReportFiltersPostRequestBody = deserializeIntoGetReportFiltersPostRequestBody;
function serializeGetReportFiltersPostRequestBody(writer, getReportFiltersPostRequestBody = {}) {
    writer.writeStringValue("filter", getReportFiltersPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getReportFiltersPostRequestBody.groupBy);
    writer.writeStringValue("name", getReportFiltersPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getReportFiltersPostRequestBody.orderBy);
    writer.writeStringValue("search", getReportFiltersPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getReportFiltersPostRequestBody.select);
    writer.writeStringValue("sessionId", getReportFiltersPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getReportFiltersPostRequestBody.skip);
    writer.writeNumberValue("top", getReportFiltersPostRequestBody.top);
    writer.writeAdditionalData(getReportFiltersPostRequestBody.additionalData);
}
exports.serializeGetReportFiltersPostRequestBody = serializeGetReportFiltersPostRequestBody;
/**
 * Provides operations to call the getReportFilters method.
 */
class GetReportFiltersRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetReportFiltersRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getReportFilters");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getreportfilters?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetReportFiltersPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getReportFiltersRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetReportFiltersRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetReportFiltersRequestBuilder = GetReportFiltersRequestBuilder;
// tslint:enable
// eslint-enable
