"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSettingNonComplianceReportRequestBuilder = exports.serializeGetSettingNonComplianceReportPostRequestBody = exports.deserializeIntoGetSettingNonComplianceReportPostRequestBody = exports.createGetSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetSettingNonComplianceReportPostRequestBody;
}
exports.createGetSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue = createGetSettingNonComplianceReportPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetSettingNonComplianceReportPostRequestBody(getSettingNonComplianceReportPostRequestBody = {}) {
    return {
        "filter": n => { getSettingNonComplianceReportPostRequestBody.filter = n.getStringValue(); },
        "groupBy": n => { getSettingNonComplianceReportPostRequestBody.groupBy = n.getCollectionOfPrimitiveValues(); },
        "name": n => { getSettingNonComplianceReportPostRequestBody.name = n.getStringValue(); },
        "orderBy": n => { getSettingNonComplianceReportPostRequestBody.orderBy = n.getCollectionOfPrimitiveValues(); },
        "search": n => { getSettingNonComplianceReportPostRequestBody.search = n.getStringValue(); },
        "select": n => { getSettingNonComplianceReportPostRequestBody.select = n.getCollectionOfPrimitiveValues(); },
        "sessionId": n => { getSettingNonComplianceReportPostRequestBody.sessionId = n.getStringValue(); },
        "skip": n => { getSettingNonComplianceReportPostRequestBody.skip = n.getNumberValue(); },
        "top": n => { getSettingNonComplianceReportPostRequestBody.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoGetSettingNonComplianceReportPostRequestBody = deserializeIntoGetSettingNonComplianceReportPostRequestBody;
function serializeGetSettingNonComplianceReportPostRequestBody(writer, getSettingNonComplianceReportPostRequestBody = {}) {
    writer.writeStringValue("filter", getSettingNonComplianceReportPostRequestBody.filter);
    writer.writeCollectionOfPrimitiveValues("groupBy", getSettingNonComplianceReportPostRequestBody.groupBy);
    writer.writeStringValue("name", getSettingNonComplianceReportPostRequestBody.name);
    writer.writeCollectionOfPrimitiveValues("orderBy", getSettingNonComplianceReportPostRequestBody.orderBy);
    writer.writeStringValue("search", getSettingNonComplianceReportPostRequestBody.search);
    writer.writeCollectionOfPrimitiveValues("select", getSettingNonComplianceReportPostRequestBody.select);
    writer.writeStringValue("sessionId", getSettingNonComplianceReportPostRequestBody.sessionId);
    writer.writeNumberValue("skip", getSettingNonComplianceReportPostRequestBody.skip);
    writer.writeNumberValue("top", getSettingNonComplianceReportPostRequestBody.top);
    writer.writeAdditionalData(getSettingNonComplianceReportPostRequestBody.additionalData);
}
exports.serializeGetSettingNonComplianceReportPostRequestBody = serializeGetSettingNonComplianceReportPostRequestBody;
/**
 * Provides operations to call the getSettingNonComplianceReport method.
 */
class GetSettingNonComplianceReportRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetSettingNonComplianceReportRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports/getSettingNonComplianceReport");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ArrayBuffer
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-getsettingnoncompliancereport?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendPrimitiveAsync(requestInfo, "ArrayBuffer", errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/octet-stream, application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetSettingNonComplianceReportPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getSettingNonComplianceReportRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetSettingNonComplianceReportRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetSettingNonComplianceReportRequestBuilder = GetSettingNonComplianceReportRequestBuilder;
// tslint:enable
// eslint-enable
