import { type DeviceManagementReports } from '../../models/deviceManagementReports';
import { ExportJobsRequestBuilder } from './exportJobs/';
import { GetCachedReportRequestBuilder } from './getCachedReport/';
import { GetCompliancePolicyNonComplianceReportRequestBuilder } from './getCompliancePolicyNonComplianceReport/';
import { GetCompliancePolicyNonComplianceSummaryReportRequestBuilder } from './getCompliancePolicyNonComplianceSummaryReport/';
import { GetComplianceSettingNonComplianceReportRequestBuilder } from './getComplianceSettingNonComplianceReport/';
import { GetConfigurationPolicyNonComplianceReportRequestBuilder } from './getConfigurationPolicyNonComplianceReport/';
import { GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder } from './getConfigurationPolicyNonComplianceSummaryReport/';
import { GetConfigurationSettingNonComplianceReportRequestBuilder } from './getConfigurationSettingNonComplianceReport/';
import { GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder } from './getDeviceManagementIntentPerSettingContributingProfiles/';
import { GetDeviceManagementIntentSettingsReportRequestBuilder } from './getDeviceManagementIntentSettingsReport/';
import { GetDeviceNonComplianceReportRequestBuilder } from './getDeviceNonComplianceReport/';
import { GetDevicesWithoutCompliancePolicyReportRequestBuilder } from './getDevicesWithoutCompliancePolicyReport/';
import { GetHistoricalReportRequestBuilder } from './getHistoricalReport/';
import { GetNoncompliantDevicesAndSettingsReportRequestBuilder } from './getNoncompliantDevicesAndSettingsReport/';
import { GetPolicyNonComplianceMetadataRequestBuilder } from './getPolicyNonComplianceMetadata/';
import { GetPolicyNonComplianceReportRequestBuilder } from './getPolicyNonComplianceReport/';
import { GetPolicyNonComplianceSummaryReportRequestBuilder } from './getPolicyNonComplianceSummaryReport/';
import { GetReportFiltersRequestBuilder } from './getReportFilters/';
import { GetSettingNonComplianceReportRequestBuilder } from './getSettingNonComplianceReport/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ReportsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the reports property of the microsoft.graph.deviceManagement entity.
 */
export declare class ReportsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the exportJobs property of the microsoft.graph.deviceManagementReports entity.
     */
    get exportJobs(): ExportJobsRequestBuilder;
    /**
     * Provides operations to call the getCachedReport method.
     */
    get getCachedReport(): GetCachedReportRequestBuilder;
    /**
     * Provides operations to call the getCompliancePolicyNonComplianceReport method.
     */
    get getCompliancePolicyNonComplianceReport(): GetCompliancePolicyNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getCompliancePolicyNonComplianceSummaryReport method.
     */
    get getCompliancePolicyNonComplianceSummaryReport(): GetCompliancePolicyNonComplianceSummaryReportRequestBuilder;
    /**
     * Provides operations to call the getComplianceSettingNonComplianceReport method.
     */
    get getComplianceSettingNonComplianceReport(): GetComplianceSettingNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getConfigurationPolicyNonComplianceReport method.
     */
    get getConfigurationPolicyNonComplianceReport(): GetConfigurationPolicyNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getConfigurationPolicyNonComplianceSummaryReport method.
     */
    get getConfigurationPolicyNonComplianceSummaryReport(): GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder;
    /**
     * Provides operations to call the getConfigurationSettingNonComplianceReport method.
     */
    get getConfigurationSettingNonComplianceReport(): GetConfigurationSettingNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getDeviceManagementIntentPerSettingContributingProfiles method.
     */
    get getDeviceManagementIntentPerSettingContributingProfiles(): GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder;
    /**
     * Provides operations to call the getDeviceManagementIntentSettingsReport method.
     */
    get getDeviceManagementIntentSettingsReport(): GetDeviceManagementIntentSettingsReportRequestBuilder;
    /**
     * Provides operations to call the getDeviceNonComplianceReport method.
     */
    get getDeviceNonComplianceReport(): GetDeviceNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getDevicesWithoutCompliancePolicyReport method.
     */
    get getDevicesWithoutCompliancePolicyReport(): GetDevicesWithoutCompliancePolicyReportRequestBuilder;
    /**
     * Provides operations to call the getHistoricalReport method.
     */
    get getHistoricalReport(): GetHistoricalReportRequestBuilder;
    /**
     * Provides operations to call the getNoncompliantDevicesAndSettingsReport method.
     */
    get getNoncompliantDevicesAndSettingsReport(): GetNoncompliantDevicesAndSettingsReportRequestBuilder;
    /**
     * Provides operations to call the getPolicyNonComplianceMetadata method.
     */
    get getPolicyNonComplianceMetadata(): GetPolicyNonComplianceMetadataRequestBuilder;
    /**
     * Provides operations to call the getPolicyNonComplianceReport method.
     */
    get getPolicyNonComplianceReport(): GetPolicyNonComplianceReportRequestBuilder;
    /**
     * Provides operations to call the getPolicyNonComplianceSummaryReport method.
     */
    get getPolicyNonComplianceSummaryReport(): GetPolicyNonComplianceSummaryReportRequestBuilder;
    /**
     * Provides operations to call the getReportFilters method.
     */
    get getReportFilters(): GetReportFiltersRequestBuilder;
    /**
     * Provides operations to call the getSettingNonComplianceReport method.
     */
    get getSettingNonComplianceReport(): GetSettingNonComplianceReportRequestBuilder;
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read properties and relationships of the deviceManagementReports object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementReports
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<ReportsRequestBuilderGetQueryParameters> | undefined): Promise<DeviceManagementReports | undefined>;
    /**
     * Update the properties of a deviceManagementReports object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementReports
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: DeviceManagementReports, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DeviceManagementReports | undefined>;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read properties and relationships of the deviceManagementReports object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ReportsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a deviceManagementReports object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DeviceManagementReports, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reportsRequestBuilder
     */
    withUrl(rawUrl: string): ReportsRequestBuilder;
}
