"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportsRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceManagementReports_1 = require("../../models/deviceManagementReports");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const exportJobs_1 = require("./exportJobs/");
const getCachedReport_1 = require("./getCachedReport/");
const getCompliancePolicyNonComplianceReport_1 = require("./getCompliancePolicyNonComplianceReport/");
const getCompliancePolicyNonComplianceSummaryReport_1 = require("./getCompliancePolicyNonComplianceSummaryReport/");
const getComplianceSettingNonComplianceReport_1 = require("./getComplianceSettingNonComplianceReport/");
const getConfigurationPolicyNonComplianceReport_1 = require("./getConfigurationPolicyNonComplianceReport/");
const getConfigurationPolicyNonComplianceSummaryReport_1 = require("./getConfigurationPolicyNonComplianceSummaryReport/");
const getConfigurationSettingNonComplianceReport_1 = require("./getConfigurationSettingNonComplianceReport/");
const getDeviceManagementIntentPerSettingContributingProfiles_1 = require("./getDeviceManagementIntentPerSettingContributingProfiles/");
const getDeviceManagementIntentSettingsReport_1 = require("./getDeviceManagementIntentSettingsReport/");
const getDeviceNonComplianceReport_1 = require("./getDeviceNonComplianceReport/");
const getDevicesWithoutCompliancePolicyReport_1 = require("./getDevicesWithoutCompliancePolicyReport/");
const getHistoricalReport_1 = require("./getHistoricalReport/");
const getNoncompliantDevicesAndSettingsReport_1 = require("./getNoncompliantDevicesAndSettingsReport/");
const getPolicyNonComplianceMetadata_1 = require("./getPolicyNonComplianceMetadata/");
const getPolicyNonComplianceReport_1 = require("./getPolicyNonComplianceReport/");
const getPolicyNonComplianceSummaryReport_1 = require("./getPolicyNonComplianceSummaryReport/");
const getReportFilters_1 = require("./getReportFilters/");
const getSettingNonComplianceReport_1 = require("./getSettingNonComplianceReport/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the reports property of the microsoft.graph.deviceManagement entity.
 */
class ReportsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the exportJobs property of the microsoft.graph.deviceManagementReports entity.
     */
    get exportJobs() {
        return new exportJobs_1.ExportJobsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getCachedReport method.
     */
    get getCachedReport() {
        return new getCachedReport_1.GetCachedReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getCompliancePolicyNonComplianceReport method.
     */
    get getCompliancePolicyNonComplianceReport() {
        return new getCompliancePolicyNonComplianceReport_1.GetCompliancePolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getCompliancePolicyNonComplianceSummaryReport method.
     */
    get getCompliancePolicyNonComplianceSummaryReport() {
        return new getCompliancePolicyNonComplianceSummaryReport_1.GetCompliancePolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getComplianceSettingNonComplianceReport method.
     */
    get getComplianceSettingNonComplianceReport() {
        return new getComplianceSettingNonComplianceReport_1.GetComplianceSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getConfigurationPolicyNonComplianceReport method.
     */
    get getConfigurationPolicyNonComplianceReport() {
        return new getConfigurationPolicyNonComplianceReport_1.GetConfigurationPolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getConfigurationPolicyNonComplianceSummaryReport method.
     */
    get getConfigurationPolicyNonComplianceSummaryReport() {
        return new getConfigurationPolicyNonComplianceSummaryReport_1.GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getConfigurationSettingNonComplianceReport method.
     */
    get getConfigurationSettingNonComplianceReport() {
        return new getConfigurationSettingNonComplianceReport_1.GetConfigurationSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getDeviceManagementIntentPerSettingContributingProfiles method.
     */
    get getDeviceManagementIntentPerSettingContributingProfiles() {
        return new getDeviceManagementIntentPerSettingContributingProfiles_1.GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getDeviceManagementIntentSettingsReport method.
     */
    get getDeviceManagementIntentSettingsReport() {
        return new getDeviceManagementIntentSettingsReport_1.GetDeviceManagementIntentSettingsReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getDeviceNonComplianceReport method.
     */
    get getDeviceNonComplianceReport() {
        return new getDeviceNonComplianceReport_1.GetDeviceNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getDevicesWithoutCompliancePolicyReport method.
     */
    get getDevicesWithoutCompliancePolicyReport() {
        return new getDevicesWithoutCompliancePolicyReport_1.GetDevicesWithoutCompliancePolicyReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getHistoricalReport method.
     */
    get getHistoricalReport() {
        return new getHistoricalReport_1.GetHistoricalReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getNoncompliantDevicesAndSettingsReport method.
     */
    get getNoncompliantDevicesAndSettingsReport() {
        return new getNoncompliantDevicesAndSettingsReport_1.GetNoncompliantDevicesAndSettingsReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getPolicyNonComplianceMetadata method.
     */
    get getPolicyNonComplianceMetadata() {
        return new getPolicyNonComplianceMetadata_1.GetPolicyNonComplianceMetadataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getPolicyNonComplianceReport method.
     */
    get getPolicyNonComplianceReport() {
        return new getPolicyNonComplianceReport_1.GetPolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getPolicyNonComplianceSummaryReport method.
     */
    get getPolicyNonComplianceSummaryReport() {
        return new getPolicyNonComplianceSummaryReport_1.GetPolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getReportFilters method.
     */
    get getReportFilters() {
        return new getReportFilters_1.GetReportFiltersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getSettingNonComplianceReport method.
     */
    get getSettingNonComplianceReport() {
        return new getSettingNonComplianceReport_1.GetSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/reports{?%24select,%24expand}");
    }
    ;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the deviceManagementReports object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementReports
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, deviceManagementReports_1.createDeviceManagementReportsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a deviceManagementReports object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementReports
     * @see {@link https://learn.microsoft.com/graph/api/intune-reporting-devicemanagementreports-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, deviceManagementReports_1.createDeviceManagementReportsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the deviceManagementReports object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, reportsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a deviceManagementReports object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, deviceManagementReports_1.serializeDeviceManagementReports);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reportsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReportsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReportsRequestBuilder = ReportsRequestBuilder;
const reportsRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
