"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SoftwareUpdateStatusSummaryRequestBuilder = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const softwareUpdateStatusSummary_1 = require("../../models/softwareUpdateStatusSummary");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the softwareUpdateStatusSummary property of the microsoft.graph.deviceManagement entity.
 */
class SoftwareUpdateStatusSummaryRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SoftwareUpdateStatusSummaryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/softwareUpdateStatusSummary{?%24select,%24expand}");
    }
    ;
    /**
     * Read properties and relationships of the softwareUpdateStatusSummary object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SoftwareUpdateStatusSummary
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-softwareupdatestatussummary-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, softwareUpdateStatusSummary_1.createSoftwareUpdateStatusSummaryFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the softwareUpdateStatusSummary object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, softwareUpdateStatusSummaryRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a softwareUpdateStatusSummaryRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SoftwareUpdateStatusSummaryRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SoftwareUpdateStatusSummaryRequestBuilder = SoftwareUpdateStatusSummaryRequestBuilder;
const softwareUpdateStatusSummaryRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
