import { type DeviceManagementTroubleshootingEvent } from '../../../models/deviceManagementTroubleshootingEvent';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface DeviceManagementTroubleshootingEventItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the troubleshootingEvents property of the microsoft.graph.deviceManagement entity.
 */
export declare class DeviceManagementTroubleshootingEventItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DeviceManagementTroubleshootingEventItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property troubleshootingEvents for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * The list of troubleshooting events for the tenant.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementTroubleshootingEvent
     */
    get(requestConfiguration?: RequestConfiguration<DeviceManagementTroubleshootingEventItemRequestBuilderGetQueryParameters> | undefined): Promise<DeviceManagementTroubleshootingEvent | undefined>;
    /**
     * Update the navigation property troubleshootingEvents in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceManagementTroubleshootingEvent
     */
    patch(body: DeviceManagementTroubleshootingEvent, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DeviceManagementTroubleshootingEvent | undefined>;
    /**
     * Delete navigation property troubleshootingEvents for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * The list of troubleshooting events for the tenant.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DeviceManagementTroubleshootingEventItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property troubleshootingEvents in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DeviceManagementTroubleshootingEvent, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a DeviceManagementTroubleshootingEventItemRequestBuilder
     */
    withUrl(rawUrl: string): DeviceManagementTroubleshootingEventItemRequestBuilder;
}
