import { type UserExperienceAnalyticsAppHealthApplicationPerformanceCollectionResponse } from '../../models/';
import { type UserExperienceAnalyticsAppHealthApplicationPerformance } from '../../models/userExperienceAnalyticsAppHealthApplicationPerformance';
import { CountRequestBuilder } from './count/';
import { UserExperienceAnalyticsAppHealthApplicationPerformanceItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformance property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsAppHealthApplicationPerformance property of the microsoft.graph.deviceManagement entity.
     * @param userExperienceAnalyticsAppHealthApplicationPerformanceId The unique identifier of userExperienceAnalyticsAppHealthApplicationPerformance
     * @returns a UserExperienceAnalyticsAppHealthApplicationPerformanceItemRequestBuilder
     */
    byUserExperienceAnalyticsAppHealthApplicationPerformanceId(userExperienceAnalyticsAppHealthApplicationPerformanceId: string): UserExperienceAnalyticsAppHealthApplicationPerformanceItemRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * User experience analytics appHealth Application Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsAppHealthApplicationPerformanceCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsAppHealthApplicationPerformanceCollectionResponse | undefined>;
    /**
     * Create new navigation property to userExperienceAnalyticsAppHealthApplicationPerformance for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsAppHealthApplicationPerformance
     */
    post(body: UserExperienceAnalyticsAppHealthApplicationPerformance, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsAppHealthApplicationPerformance | undefined>;
    /**
     * User experience analytics appHealth Application Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to userExperienceAnalyticsAppHealthApplicationPerformance for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UserExperienceAnalyticsAppHealthApplicationPerformance, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a userExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsAppHealthApplicationPerformanceRequestBuilder;
}
