import { type UserExperienceAnalyticsAppHealthDevicePerformance } from '../../../models/userExperienceAnalyticsAppHealthDevicePerformance';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsAppHealthDevicePerformance property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsAppHealthDevicePerformance for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * User experience analytics appHealth Device Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsAppHealthDevicePerformance
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsAppHealthDevicePerformance | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsAppHealthDevicePerformance in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsAppHealthDevicePerformance
     */
    patch(body: UserExperienceAnalyticsAppHealthDevicePerformance, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsAppHealthDevicePerformance | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsAppHealthDevicePerformance for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * User experience analytics appHealth Device Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsAppHealthDevicePerformance in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsAppHealthDevicePerformance, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsAppHealthDevicePerformanceItemRequestBuilder;
}
