import { type UserExperienceAnalyticsCategory } from '../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface BestPracticesMetricsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the bestPracticesMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
 */
export declare class BestPracticesMetricsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new BestPracticesMetricsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The scores and insights for the best practices metrics.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsCategory
     */
    get(requestConfiguration?: RequestConfiguration<BestPracticesMetricsRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsCategory | undefined>;
    /**
     * The scores and insights for the best practices metrics.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<BestPracticesMetricsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bestPracticesMetricsRequestBuilder
     */
    withUrl(rawUrl: string): BestPracticesMetricsRequestBuilder;
}
