import { type UserExperienceAnalyticsBaseline } from '../../../models/userExperienceAnalyticsBaseline';
import { AppHealthMetricsRequestBuilder } from './appHealthMetrics/';
import { BatteryHealthMetricsRequestBuilder } from './batteryHealthMetrics/';
import { BestPracticesMetricsRequestBuilder } from './bestPracticesMetrics/';
import { DeviceBootPerformanceMetricsRequestBuilder } from './deviceBootPerformanceMetrics/';
import { RebootAnalyticsMetricsRequestBuilder } from './rebootAnalyticsMetrics/';
import { ResourcePerformanceMetricsRequestBuilder } from './resourcePerformanceMetrics/';
import { WorkFromAnywhereMetricsRequestBuilder } from './workFromAnywhereMetrics/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsBaselineItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsBaselines property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsBaselineItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the appHealthMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get appHealthMetrics(): AppHealthMetricsRequestBuilder;
    /**
     * Provides operations to manage the batteryHealthMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get batteryHealthMetrics(): BatteryHealthMetricsRequestBuilder;
    /**
     * Provides operations to manage the bestPracticesMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get bestPracticesMetrics(): BestPracticesMetricsRequestBuilder;
    /**
     * Provides operations to manage the deviceBootPerformanceMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get deviceBootPerformanceMetrics(): DeviceBootPerformanceMetricsRequestBuilder;
    /**
     * Provides operations to manage the rebootAnalyticsMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get rebootAnalyticsMetrics(): RebootAnalyticsMetricsRequestBuilder;
    /**
     * Provides operations to manage the resourcePerformanceMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get resourcePerformanceMetrics(): ResourcePerformanceMetricsRequestBuilder;
    /**
     * Provides operations to manage the workFromAnywhereMetrics property of the microsoft.graph.userExperienceAnalyticsBaseline entity.
     */
    get workFromAnywhereMetrics(): WorkFromAnywhereMetricsRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsBaselineItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsBaselines for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * User experience analytics baselines
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsBaseline
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsBaselineItemRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsBaseline | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsBaselines in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsBaseline
     */
    patch(body: UserExperienceAnalyticsBaseline, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsBaseline | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsBaselines for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * User experience analytics baselines
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsBaselineItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsBaselines in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsBaseline, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsBaselineItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsBaselineItemRequestBuilder;
}
