import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDevicePerformance } from '../../../models/userExperienceAnalyticsDevicePerformance';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse;
export declare function deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse(summarizeDevicePerformanceDevicesWithSummarizeByGetResponse?: SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse(writer: SerializationWriter, summarizeDevicePerformanceDevicesWithSummarizeByGetResponse?: SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse | undefined): void;
export interface SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDevicePerformance[];
}
export interface SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to call the summarizeDevicePerformanceDevices method.
 */
export declare class SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param summarizeBy Usage: summarizeBy='{summarizeBy}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, summarizeBy?: string | undefined);
    /**
     * Invoke function summarizeDevicePerformanceDevices
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilderGetQueryParameters> | undefined): Promise<SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse | undefined>;
    /**
     * Invoke function summarizeDevicePerformanceDevices
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a summarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder
     */
    withUrl(rawUrl: string): SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder;
}
