"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder = exports.serializeSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse = exports.deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse = exports.createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const userExperienceAnalyticsDevicePerformance_1 = require("../../../models/userExperienceAnalyticsDevicePerformance");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse;
}
exports.createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue = createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue;
function deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse(summarizeDevicePerformanceDevicesWithSummarizeByGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(summarizeDevicePerformanceDevicesWithSummarizeByGetResponse)), { "value": n => { summarizeDevicePerformanceDevicesWithSummarizeByGetResponse.value = n.getCollectionOfObjectValues(userExperienceAnalyticsDevicePerformance_1.createUserExperienceAnalyticsDevicePerformanceFromDiscriminatorValue); } });
}
exports.deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse = deserializeIntoSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse;
function serializeSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse(writer, summarizeDevicePerformanceDevicesWithSummarizeByGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, summarizeDevicePerformanceDevicesWithSummarizeByGetResponse);
    writer.writeCollectionOfObjectValues("value", summarizeDevicePerformanceDevicesWithSummarizeByGetResponse.value, userExperienceAnalyticsDevicePerformance_1.serializeUserExperienceAnalyticsDevicePerformance);
}
exports.serializeSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse = serializeSummarizeDevicePerformanceDevicesWithSummarizeByGetResponse;
/**
 * Provides operations to call the summarizeDevicePerformanceDevices method.
 */
class SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param summarizeBy Usage: summarizeBy='{summarizeBy}'
     */
    constructor(pathParameters, requestAdapter, summarizeBy) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/userExperienceAnalyticsDevicePerformance/summarizeDevicePerformanceDevices(summarizeBy='{summarizeBy}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["summarizeBy"] = summarizeBy;
    }
    ;
    /**
     * Invoke function summarizeDevicePerformanceDevices
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SummarizeDevicePerformanceDevicesWithSummarizeByGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSummarizeDevicePerformanceDevicesWithSummarizeByGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function summarizeDevicePerformanceDevices
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, summarizeDevicePerformanceDevicesWithSummarizeByRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a summarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder = SummarizeDevicePerformanceDevicesWithSummarizeByRequestBuilder;
const summarizeDevicePerformanceDevicesWithSummarizeByRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
