import { type UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse } from '../../models/';
import { type UserExperienceAnalyticsDeviceStartupProcessPerformance } from '../../models/userExperienceAnalyticsDeviceStartupProcessPerformance';
import { CountRequestBuilder } from './count/';
import { UserExperienceAnalyticsDeviceStartupProcessPerformanceItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the userExperienceAnalyticsDeviceStartupProcessPerformance property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsDeviceStartupProcessPerformance property of the microsoft.graph.deviceManagement entity.
     * @param userExperienceAnalyticsDeviceStartupProcessPerformanceId The unique identifier of userExperienceAnalyticsDeviceStartupProcessPerformance
     * @returns a UserExperienceAnalyticsDeviceStartupProcessPerformanceItemRequestBuilder
     */
    byUserExperienceAnalyticsDeviceStartupProcessPerformanceId(userExperienceAnalyticsDeviceStartupProcessPerformanceId: string): UserExperienceAnalyticsDeviceStartupProcessPerformanceItemRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * User experience analytics device Startup Process Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse | undefined>;
    /**
     * Create new navigation property to userExperienceAnalyticsDeviceStartupProcessPerformance for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsDeviceStartupProcessPerformance
     */
    post(body: UserExperienceAnalyticsDeviceStartupProcessPerformance, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsDeviceStartupProcessPerformance | undefined>;
    /**
     * User experience analytics device Startup Process Performance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to userExperienceAnalyticsDeviceStartupProcessPerformance for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UserExperienceAnalyticsDeviceStartupProcessPerformance, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a userExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsDeviceStartupProcessPerformanceRequestBuilder;
}
