import { type UserExperienceAnalyticsMetricHistoryCollectionResponse } from '../../models/';
import { type UserExperienceAnalyticsMetricHistory } from '../../models/userExperienceAnalyticsMetricHistory';
import { CountRequestBuilder } from './count/';
import { UserExperienceAnalyticsMetricHistoryItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsMetricHistoryRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the userExperienceAnalyticsMetricHistory property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsMetricHistoryRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsMetricHistory property of the microsoft.graph.deviceManagement entity.
     * @param userExperienceAnalyticsMetricHistoryId The unique identifier of userExperienceAnalyticsMetricHistory
     * @returns a UserExperienceAnalyticsMetricHistoryItemRequestBuilder
     */
    byUserExperienceAnalyticsMetricHistoryId(userExperienceAnalyticsMetricHistoryId: string): UserExperienceAnalyticsMetricHistoryItemRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsMetricHistoryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * User experience analytics metric history
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsMetricHistoryCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsMetricHistoryRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsMetricHistoryCollectionResponse | undefined>;
    /**
     * Create new navigation property to userExperienceAnalyticsMetricHistory for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsMetricHistory
     */
    post(body: UserExperienceAnalyticsMetricHistory, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsMetricHistory | undefined>;
    /**
     * User experience analytics metric history
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsMetricHistoryRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to userExperienceAnalyticsMetricHistory for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UserExperienceAnalyticsMetricHistory, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a userExperienceAnalyticsMetricHistoryRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsMetricHistoryRequestBuilder;
}
