import { type UserExperienceAnalyticsMetricHistory } from '../../../models/userExperienceAnalyticsMetricHistory';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsMetricHistoryItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsMetricHistory property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsMetricHistoryItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UserExperienceAnalyticsMetricHistoryItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsMetricHistory for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * User experience analytics metric history
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsMetricHistory
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsMetricHistoryItemRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsMetricHistory | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsMetricHistory in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsMetricHistory
     */
    patch(body: UserExperienceAnalyticsMetricHistory, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsMetricHistory | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsMetricHistory for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * User experience analytics metric history
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsMetricHistoryItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsMetricHistory in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsMetricHistory, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsMetricHistoryItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsMetricHistoryItemRequestBuilder;
}
