import { type UserExperienceAnalyticsScoreHistoryCollectionResponse } from '../../models/';
import { type UserExperienceAnalyticsScoreHistory } from '../../models/userExperienceAnalyticsScoreHistory';
import { CountRequestBuilder } from './count/';
import { UserExperienceAnalyticsScoreHistoryItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsScoreHistoryRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the userExperienceAnalyticsScoreHistory property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsScoreHistoryRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the userExperienceAnalyticsScoreHistory property of the microsoft.graph.deviceManagement entity.
     * @param userExperienceAnalyticsScoreHistoryId The unique identifier of userExperienceAnalyticsScoreHistory
     * @returns a UserExperienceAnalyticsScoreHistoryItemRequestBuilder
     */
    byUserExperienceAnalyticsScoreHistoryId(userExperienceAnalyticsScoreHistoryId: string): UserExperienceAnalyticsScoreHistoryItemRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsScoreHistoryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * User experience analytics device Startup Score History
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsScoreHistoryCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsScoreHistoryRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsScoreHistoryCollectionResponse | undefined>;
    /**
     * Create new navigation property to userExperienceAnalyticsScoreHistory for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsScoreHistory
     */
    post(body: UserExperienceAnalyticsScoreHistory, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsScoreHistory | undefined>;
    /**
     * User experience analytics device Startup Score History
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsScoreHistoryRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to userExperienceAnalyticsScoreHistory for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UserExperienceAnalyticsScoreHistory, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a userExperienceAnalyticsScoreHistoryRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsScoreHistoryRequestBuilder;
}
