import { type UserExperienceAnalyticsWorkFromAnywhereMetric } from '../../../models/userExperienceAnalyticsWorkFromAnywhereMetric';
import { MetricDevicesRequestBuilder } from './metricDevices/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the userExperienceAnalyticsWorkFromAnywhereMetrics property of the microsoft.graph.deviceManagement entity.
 */
export declare class UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the metricDevices property of the microsoft.graph.userExperienceAnalyticsWorkFromAnywhereMetric entity.
     */
    get metricDevices(): MetricDevicesRequestBuilder;
    /**
     * Instantiates a new UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property userExperienceAnalyticsWorkFromAnywhereMetrics for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * User experience analytics work from anywhere metrics.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsWorkFromAnywhereMetric
     */
    get(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsWorkFromAnywhereMetric | undefined>;
    /**
     * Update the navigation property userExperienceAnalyticsWorkFromAnywhereMetrics in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsWorkFromAnywhereMetric
     */
    patch(body: UserExperienceAnalyticsWorkFromAnywhereMetric, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsWorkFromAnywhereMetric | undefined>;
    /**
     * Delete navigation property userExperienceAnalyticsWorkFromAnywhereMetrics for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * User experience analytics work from anywhere metrics.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property userExperienceAnalyticsWorkFromAnywhereMetrics in deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: UserExperienceAnalyticsWorkFromAnywhereMetric, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilder
     */
    withUrl(rawUrl: string): UserExperienceAnalyticsWorkFromAnywhereMetricItemRequestBuilder;
}
