import { type UserExperienceAnalyticsWorkFromAnywhereDeviceCollectionResponse } from '../../../../models/';
import { type UserExperienceAnalyticsWorkFromAnywhereDevice } from '../../../../models/userExperienceAnalyticsWorkFromAnywhereDevice';
import { CountRequestBuilder } from './count/';
import { UserExperienceAnalyticsWorkFromAnywhereDeviceItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface MetricDevicesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the metricDevices property of the microsoft.graph.userExperienceAnalyticsWorkFromAnywhereMetric entity.
 */
export declare class MetricDevicesRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the metricDevices property of the microsoft.graph.userExperienceAnalyticsWorkFromAnywhereMetric entity.
     * @param userExperienceAnalyticsWorkFromAnywhereDeviceId The unique identifier of userExperienceAnalyticsWorkFromAnywhereDevice
     * @returns a UserExperienceAnalyticsWorkFromAnywhereDeviceItemRequestBuilder
     */
    byUserExperienceAnalyticsWorkFromAnywhereDeviceId(userExperienceAnalyticsWorkFromAnywhereDeviceId: string): UserExperienceAnalyticsWorkFromAnywhereDeviceItemRequestBuilder;
    /**
     * Instantiates a new MetricDevicesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The work from anywhere metric devices. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsWorkFromAnywhereDeviceCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<MetricDevicesRequestBuilderGetQueryParameters> | undefined): Promise<UserExperienceAnalyticsWorkFromAnywhereDeviceCollectionResponse | undefined>;
    /**
     * Create new navigation property to metricDevices for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserExperienceAnalyticsWorkFromAnywhereDevice
     */
    post(body: UserExperienceAnalyticsWorkFromAnywhereDevice, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserExperienceAnalyticsWorkFromAnywhereDevice | undefined>;
    /**
     * The work from anywhere metric devices. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MetricDevicesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to metricDevices for deviceManagement
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UserExperienceAnalyticsWorkFromAnywhereDevice, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a metricDevicesRequestBuilder
     */
    withUrl(rawUrl: string): MetricDevicesRequestBuilder;
}
