"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder = exports.serializeVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = exports.deserializeIntoVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = exports.createVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse;
}
exports.createVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponseFromDiscriminatorValue = createVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponseFromDiscriminatorValue;
function deserializeIntoVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse(verifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = {}) {
    return {
        "value": n => { verifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = deserializeIntoVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse;
function serializeVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse(writer, verifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = {}) {
    writer.writeBooleanValue("value", verifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse.value);
    writer.writeAdditionalData(verifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse.additionalData);
}
exports.serializeVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse = serializeVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse;
/**
 * Provides operations to call the verifyWindowsEnrollmentAutoDiscovery method.
 */
class VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder and sets the default values.
     * @param domainName Usage: domainName='{domainName}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, domainName) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/verifyWindowsEnrollmentAutoDiscovery(domainName='{domainName}')");
        this.pathParameters["domainName"] = domainName;
    }
    ;
    /**
     * Invoke function verifyWindowsEnrollmentAutoDiscovery
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createVerifyWindowsEnrollmentAutoDiscoveryWithDomainNameGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function verifyWindowsEnrollmentAutoDiscovery
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder = VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder;
// tslint:enable
// eslint-enable
