"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignUserToDeviceRequestBuilder = exports.serializeAssignUserToDevicePostRequestBody = exports.deserializeIntoAssignUserToDevicePostRequestBody = exports.createAssignUserToDevicePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAssignUserToDevicePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignUserToDevicePostRequestBody;
}
exports.createAssignUserToDevicePostRequestBodyFromDiscriminatorValue = createAssignUserToDevicePostRequestBodyFromDiscriminatorValue;
function deserializeIntoAssignUserToDevicePostRequestBody(assignUserToDevicePostRequestBody = {}) {
    return {
        "addressableUserName": n => { assignUserToDevicePostRequestBody.addressableUserName = n.getStringValue(); },
        "userPrincipalName": n => { assignUserToDevicePostRequestBody.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoAssignUserToDevicePostRequestBody = deserializeIntoAssignUserToDevicePostRequestBody;
function serializeAssignUserToDevicePostRequestBody(writer, assignUserToDevicePostRequestBody = {}) {
    writer.writeStringValue("addressableUserName", assignUserToDevicePostRequestBody.addressableUserName);
    writer.writeStringValue("userPrincipalName", assignUserToDevicePostRequestBody.userPrincipalName);
    writer.writeAdditionalData(assignUserToDevicePostRequestBody.additionalData);
}
exports.serializeAssignUserToDevicePostRequestBody = serializeAssignUserToDevicePostRequestBody;
/**
 * Provides operations to call the assignUserToDevice method.
 */
class AssignUserToDeviceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AssignUserToDeviceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentity%2Did}/assignUserToDevice");
    }
    ;
    /**
     * Assigns user to Autopilot devices.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-enrollment-windowsautopilotdeviceidentity-assignusertodevice?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Assigns user to Autopilot devices.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAssignUserToDevicePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a assignUserToDeviceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AssignUserToDeviceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AssignUserToDeviceRequestBuilder = AssignUserToDeviceRequestBuilder;
// tslint:enable
// eslint-enable
