"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateDevicePropertiesRequestBuilder = exports.serializeUpdateDevicePropertiesPostRequestBody = exports.deserializeIntoUpdateDevicePropertiesPostRequestBody = exports.createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUpdateDevicePropertiesPostRequestBody;
}
exports.createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue = createUpdateDevicePropertiesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUpdateDevicePropertiesPostRequestBody(updateDevicePropertiesPostRequestBody = {}) {
    return {
        "addressableUserName": n => { updateDevicePropertiesPostRequestBody.addressableUserName = n.getStringValue(); },
        "displayName": n => { updateDevicePropertiesPostRequestBody.displayName = n.getStringValue(); },
        "groupTag": n => { updateDevicePropertiesPostRequestBody.groupTag = n.getStringValue(); },
        "userPrincipalName": n => { updateDevicePropertiesPostRequestBody.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoUpdateDevicePropertiesPostRequestBody = deserializeIntoUpdateDevicePropertiesPostRequestBody;
function serializeUpdateDevicePropertiesPostRequestBody(writer, updateDevicePropertiesPostRequestBody = {}) {
    writer.writeStringValue("addressableUserName", updateDevicePropertiesPostRequestBody.addressableUserName);
    writer.writeStringValue("displayName", updateDevicePropertiesPostRequestBody.displayName);
    writer.writeStringValue("groupTag", updateDevicePropertiesPostRequestBody.groupTag);
    writer.writeStringValue("userPrincipalName", updateDevicePropertiesPostRequestBody.userPrincipalName);
    writer.writeAdditionalData(updateDevicePropertiesPostRequestBody.additionalData);
}
exports.serializeUpdateDevicePropertiesPostRequestBody = serializeUpdateDevicePropertiesPostRequestBody;
/**
 * Provides operations to call the updateDeviceProperties method.
 */
class UpdateDevicePropertiesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UpdateDevicePropertiesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/deviceManagement/windowsAutopilotDeviceIdentities/{windowsAutopilotDeviceIdentity%2Did}/updateDeviceProperties");
    }
    ;
    /**
     * Updates properties on Autopilot devices.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-enrollment-windowsautopilotdeviceidentity-updatedeviceproperties?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Updates properties on Autopilot devices.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUpdateDevicePropertiesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a updateDevicePropertiesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UpdateDevicePropertiesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UpdateDevicePropertiesRequestBuilder = UpdateDevicePropertiesRequestBuilder;
// tslint:enable
// eslint-enable
