import { type WindowsInformationProtectionAppLearningSummaryCollectionResponse } from '../../models/';
import { type WindowsInformationProtectionAppLearningSummary } from '../../models/windowsInformationProtectionAppLearningSummary';
import { CountRequestBuilder } from './count/';
import { WindowsInformationProtectionAppLearningSummaryItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface WindowsInformationProtectionAppLearningSummariesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the windowsInformationProtectionAppLearningSummaries property of the microsoft.graph.deviceManagement entity.
 */
export declare class WindowsInformationProtectionAppLearningSummariesRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the windowsInformationProtectionAppLearningSummaries property of the microsoft.graph.deviceManagement entity.
     * @param windowsInformationProtectionAppLearningSummaryId The unique identifier of windowsInformationProtectionAppLearningSummary
     * @returns a WindowsInformationProtectionAppLearningSummaryItemRequestBuilder
     */
    byWindowsInformationProtectionAppLearningSummaryId(windowsInformationProtectionAppLearningSummaryId: string): WindowsInformationProtectionAppLearningSummaryItemRequestBuilder;
    /**
     * Instantiates a new WindowsInformationProtectionAppLearningSummariesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * List properties and relationships of the windowsInformationProtectionAppLearningSummary objects.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsInformationProtectionAppLearningSummaryCollectionResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-wip-windowsinformationprotectionapplearningsummary-list?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<WindowsInformationProtectionAppLearningSummariesRequestBuilderGetQueryParameters> | undefined): Promise<WindowsInformationProtectionAppLearningSummaryCollectionResponse | undefined>;
    /**
     * Create a new windowsInformationProtectionAppLearningSummary object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WindowsInformationProtectionAppLearningSummary
     * @see {@link https://learn.microsoft.com/graph/api/intune-wip-windowsinformationprotectionapplearningsummary-create?view=graph-rest-1.0|Find more info here}
     */
    post(body: WindowsInformationProtectionAppLearningSummary, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WindowsInformationProtectionAppLearningSummary | undefined>;
    /**
     * List properties and relationships of the windowsInformationProtectionAppLearningSummary objects.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<WindowsInformationProtectionAppLearningSummariesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create a new windowsInformationProtectionAppLearningSummary object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WindowsInformationProtectionAppLearningSummary, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a windowsInformationProtectionAppLearningSummariesRequestBuilder
     */
    withUrl(rawUrl: string): WindowsInformationProtectionAppLearningSummariesRequestBuilder;
}
