import { type Application } from '../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GraphApplicationRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Casts the previous resource to application.
 */
export declare class GraphApplicationRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GraphApplicationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.application
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Application
     */
    get(requestConfiguration?: RequestConfiguration<GraphApplicationRequestBuilderGetQueryParameters> | undefined): Promise<Application | undefined>;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.application
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GraphApplicationRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphApplicationRequestBuilder
     */
    withUrl(rawUrl: string): GraphApplicationRequestBuilder;
}
