import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DirectoryObject } from '../../../models/directoryObject';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetByIdsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByIdsPostRequestBody;
export declare function createGetByIdsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByIdsPostResponse;
export declare function deserializeIntoGetByIdsPostRequestBody(getByIdsPostRequestBody?: GetByIdsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetByIdsPostResponse(getByIdsPostResponse?: GetByIdsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetByIdsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
    /**
     * The types property
     */
    types?: string[];
}
export interface GetByIdsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryObject[];
}
export declare function serializeGetByIdsPostRequestBody(writer: SerializationWriter, getByIdsPostRequestBody?: GetByIdsPostRequestBody | undefined): void;
export declare function serializeGetByIdsPostResponse(writer: SerializationWriter, getByIdsPostResponse?: GetByIdsPostResponse | undefined): void;
/**
 * Provides operations to call the getByIds method.
 */
export declare class GetByIdsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetByIdsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Return the directory objects specified in a list of IDs. Only a subset of user properties are returned by default in v1.0. Some common uses for this function are to:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByIdsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getbyids?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetByIdsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetByIdsPostResponse | undefined>;
    /**
     * Return the directory objects specified in a list of IDs. Only a subset of user properties are returned by default in v1.0. Some common uses for this function are to:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetByIdsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByIdsRequestBuilder
     */
    withUrl(rawUrl: string): GetByIdsRequestBuilder;
}
