import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckMemberObjectsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ids property
     */
    ids?: string[];
}
export interface CheckMemberObjectsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: string[];
}
export declare function createCheckMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckMemberObjectsPostRequestBody;
export declare function createCheckMemberObjectsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckMemberObjectsPostResponse;
export declare function deserializeIntoCheckMemberObjectsPostRequestBody(checkMemberObjectsPostRequestBody?: CheckMemberObjectsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoCheckMemberObjectsPostResponse(checkMemberObjectsPostResponse?: CheckMemberObjectsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckMemberObjectsPostRequestBody(writer: SerializationWriter, checkMemberObjectsPostRequestBody?: CheckMemberObjectsPostRequestBody | undefined): void;
export declare function serializeCheckMemberObjectsPostResponse(writer: SerializationWriter, checkMemberObjectsPostResponse?: CheckMemberObjectsPostResponse | undefined): void;
/**
 * Provides operations to call the checkMemberObjects method.
 */
export declare class CheckMemberObjectsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CheckMemberObjectsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action checkMemberObjects
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CheckMemberObjectsPostResponse
     */
    post(body: CheckMemberObjectsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<CheckMemberObjectsPostResponse | undefined>;
    /**
     * Invoke action checkMemberObjects
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CheckMemberObjectsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkMemberObjectsRequestBuilder
     */
    withUrl(rawUrl: string): CheckMemberObjectsRequestBuilder;
}
