"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAvailableExtensionPropertiesRequestBuilder = exports.serializeGetAvailableExtensionPropertiesPostResponse = exports.serializeGetAvailableExtensionPropertiesPostRequestBody = exports.deserializeIntoGetAvailableExtensionPropertiesPostResponse = exports.deserializeIntoGetAvailableExtensionPropertiesPostRequestBody = exports.createGetAvailableExtensionPropertiesPostResponseFromDiscriminatorValue = exports.createGetAvailableExtensionPropertiesPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../models/baseCollectionPaginationCountResponse");
const extensionProperty_1 = require("../../models/extensionProperty");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetAvailableExtensionPropertiesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAvailableExtensionPropertiesPostRequestBody;
}
exports.createGetAvailableExtensionPropertiesPostRequestBodyFromDiscriminatorValue = createGetAvailableExtensionPropertiesPostRequestBodyFromDiscriminatorValue;
function createGetAvailableExtensionPropertiesPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAvailableExtensionPropertiesPostResponse;
}
exports.createGetAvailableExtensionPropertiesPostResponseFromDiscriminatorValue = createGetAvailableExtensionPropertiesPostResponseFromDiscriminatorValue;
function deserializeIntoGetAvailableExtensionPropertiesPostRequestBody(getAvailableExtensionPropertiesPostRequestBody = {}) {
    return {
        "isSyncedFromOnPremises": n => { getAvailableExtensionPropertiesPostRequestBody.isSyncedFromOnPremises = n.getBooleanValue(); },
    };
}
exports.deserializeIntoGetAvailableExtensionPropertiesPostRequestBody = deserializeIntoGetAvailableExtensionPropertiesPostRequestBody;
function deserializeIntoGetAvailableExtensionPropertiesPostResponse(getAvailableExtensionPropertiesPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getAvailableExtensionPropertiesPostResponse)), { "value": n => { getAvailableExtensionPropertiesPostResponse.value = n.getCollectionOfObjectValues(extensionProperty_1.createExtensionPropertyFromDiscriminatorValue); } });
}
exports.deserializeIntoGetAvailableExtensionPropertiesPostResponse = deserializeIntoGetAvailableExtensionPropertiesPostResponse;
function serializeGetAvailableExtensionPropertiesPostRequestBody(writer, getAvailableExtensionPropertiesPostRequestBody = {}) {
    writer.writeBooleanValue("isSyncedFromOnPremises", getAvailableExtensionPropertiesPostRequestBody.isSyncedFromOnPremises);
    writer.writeAdditionalData(getAvailableExtensionPropertiesPostRequestBody.additionalData);
}
exports.serializeGetAvailableExtensionPropertiesPostRequestBody = serializeGetAvailableExtensionPropertiesPostRequestBody;
function serializeGetAvailableExtensionPropertiesPostResponse(writer, getAvailableExtensionPropertiesPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getAvailableExtensionPropertiesPostResponse);
    writer.writeCollectionOfObjectValues("value", getAvailableExtensionPropertiesPostResponse.value, extensionProperty_1.serializeExtensionProperty);
}
exports.serializeGetAvailableExtensionPropertiesPostResponse = serializeGetAvailableExtensionPropertiesPostResponse;
/**
 * Provides operations to call the getAvailableExtensionProperties method.
 */
class GetAvailableExtensionPropertiesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetAvailableExtensionPropertiesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/directoryRoles/getAvailableExtensionProperties");
    }
    ;
    /**
     * Return all directory extension definitions that have been registered in a directory, including through multi-tenant apps. The following entities support extension properties:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAvailableExtensionPropertiesPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getavailableextensionproperties?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetAvailableExtensionPropertiesPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Return all directory extension definitions that have been registered in a directory, including through multi-tenant apps. The following entities support extension properties:
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetAvailableExtensionPropertiesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAvailableExtensionPropertiesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetAvailableExtensionPropertiesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetAvailableExtensionPropertiesRequestBuilder = GetAvailableExtensionPropertiesRequestBuilder;
// tslint:enable
// eslint-enable
