"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckMemberGroupsRequestBuilder = exports.serializeCheckMemberGroupsPostResponse = exports.serializeCheckMemberGroupsPostRequestBody = exports.deserializeIntoCheckMemberGroupsPostResponse = exports.deserializeIntoCheckMemberGroupsPostRequestBody = exports.createCheckMemberGroupsPostResponseFromDiscriminatorValue = exports.createCheckMemberGroupsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCheckMemberGroupsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckMemberGroupsPostRequestBody;
}
exports.createCheckMemberGroupsPostRequestBodyFromDiscriminatorValue = createCheckMemberGroupsPostRequestBodyFromDiscriminatorValue;
function createCheckMemberGroupsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckMemberGroupsPostResponse;
}
exports.createCheckMemberGroupsPostResponseFromDiscriminatorValue = createCheckMemberGroupsPostResponseFromDiscriminatorValue;
function deserializeIntoCheckMemberGroupsPostRequestBody(checkMemberGroupsPostRequestBody = {}) {
    return {
        "groupIds": n => { checkMemberGroupsPostRequestBody.groupIds = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoCheckMemberGroupsPostRequestBody = deserializeIntoCheckMemberGroupsPostRequestBody;
function deserializeIntoCheckMemberGroupsPostResponse(checkMemberGroupsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(checkMemberGroupsPostResponse)), { "value": n => { checkMemberGroupsPostResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoCheckMemberGroupsPostResponse = deserializeIntoCheckMemberGroupsPostResponse;
function serializeCheckMemberGroupsPostRequestBody(writer, checkMemberGroupsPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("groupIds", checkMemberGroupsPostRequestBody.groupIds);
    writer.writeAdditionalData(checkMemberGroupsPostRequestBody.additionalData);
}
exports.serializeCheckMemberGroupsPostRequestBody = serializeCheckMemberGroupsPostRequestBody;
function serializeCheckMemberGroupsPostResponse(writer, checkMemberGroupsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, checkMemberGroupsPostResponse);
    writer.writeCollectionOfPrimitiveValues("value", checkMemberGroupsPostResponse.value);
}
exports.serializeCheckMemberGroupsPostResponse = serializeCheckMemberGroupsPostResponse;
/**
 * Provides operations to call the checkMemberGroups method.
 */
class CheckMemberGroupsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CheckMemberGroupsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/directoryRoles/{directoryRole%2Did}/checkMemberGroups");
    }
    ;
    /**
     * Check for membership in a specified list of group IDs, and return from that list those groups (identified by IDs) of which the specified user, group, service principal, organizational contact, device, or directory object is a member. This function is transitive. You can check up to a maximum of 20 groups per request. This function supports all groups provisioned in Microsoft Entra ID. Because Microsoft 365 groups cannot contain other groups, membership in a Microsoft 365 group is always direct.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CheckMemberGroupsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-checkmembergroups?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createCheckMemberGroupsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Check for membership in a specified list of group IDs, and return from that list those groups (identified by IDs) of which the specified user, group, service principal, organizational contact, device, or directory object is a member. This function is transitive. You can check up to a maximum of 20 groups per request. This function supports all groups provisioned in Microsoft Entra ID. Because Microsoft 365 groups cannot contain other groups, membership in a Microsoft 365 group is always direct.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCheckMemberGroupsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkMemberGroupsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CheckMemberGroupsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CheckMemberGroupsRequestBuilder = CheckMemberGroupsRequestBuilder;
// tslint:enable
// eslint-enable
