import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPromotePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPromotePostResponse;
export declare function deserializeIntoPromotePostResponse(promotePostResponse?: PromotePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PromotePostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializePromotePostResponse(writer: SerializationWriter, promotePostResponse?: PromotePostResponse | undefined): void;
/**
 * Provides operations to call the promote method.
 */
export declare class PromoteRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PromoteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Promote a verified subdomain to the root domain. A verified domain has its isVerified property set to true.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PromotePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/domain-promote?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<PromotePostResponse | undefined>;
    /**
     * Promote a verified subdomain to the root domain. A verified domain has its isVerified property set to true.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a promoteRequestBuilder
     */
    withUrl(rawUrl: string): PromoteRequestBuilder;
}
