import { SensitivityLabelAssignmentMethod } from '../../../../../models/sensitivityLabelAssignmentMethod';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignSensitivityLabelPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The assignmentMethod property
     */
    assignmentMethod?: SensitivityLabelAssignmentMethod;
    /**
     * The justificationText property
     */
    justificationText?: string;
    /**
     * The sensitivityLabelId property
     */
    sensitivityLabelId?: string;
}
export declare function createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignSensitivityLabelPostRequestBody;
export declare function deserializeIntoAssignSensitivityLabelPostRequestBody(assignSensitivityLabelPostRequestBody?: AssignSensitivityLabelPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignSensitivityLabelPostRequestBody(writer: SerializationWriter, assignSensitivityLabelPostRequestBody?: AssignSensitivityLabelPostRequestBody | undefined): void;
/**
 * Provides operations to call the assignSensitivityLabel method.
 */
export declare class AssignSensitivityLabelRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AssignSensitivityLabelRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action assignSensitivityLabel
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: AssignSensitivityLabelPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action assignSensitivityLabel
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AssignSensitivityLabelPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a assignSensitivityLabelRequestBuilder
     */
    withUrl(rawUrl: string): AssignSensitivityLabelRequestBuilder;
}
