"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignSensitivityLabelRequestBuilder = exports.serializeAssignSensitivityLabelPostRequestBody = exports.deserializeIntoAssignSensitivityLabelPostRequestBody = exports.createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const sensitivityLabelAssignmentMethod_1 = require("../../../../../models/sensitivityLabelAssignmentMethod");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignSensitivityLabelPostRequestBody;
}
exports.createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue = createAssignSensitivityLabelPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAssignSensitivityLabelPostRequestBody(assignSensitivityLabelPostRequestBody = {}) {
    return {
        "assignmentMethod": n => { assignSensitivityLabelPostRequestBody.assignmentMethod = n.getEnumValue(sensitivityLabelAssignmentMethod_1.SensitivityLabelAssignmentMethod); },
        "justificationText": n => { assignSensitivityLabelPostRequestBody.justificationText = n.getStringValue(); },
        "sensitivityLabelId": n => { assignSensitivityLabelPostRequestBody.sensitivityLabelId = n.getStringValue(); },
    };
}
exports.deserializeIntoAssignSensitivityLabelPostRequestBody = deserializeIntoAssignSensitivityLabelPostRequestBody;
function serializeAssignSensitivityLabelPostRequestBody(writer, assignSensitivityLabelPostRequestBody = {}) {
    writer.writeEnumValue("assignmentMethod", assignSensitivityLabelPostRequestBody.assignmentMethod);
    writer.writeStringValue("justificationText", assignSensitivityLabelPostRequestBody.justificationText);
    writer.writeStringValue("sensitivityLabelId", assignSensitivityLabelPostRequestBody.sensitivityLabelId);
    writer.writeAdditionalData(assignSensitivityLabelPostRequestBody.additionalData);
}
exports.serializeAssignSensitivityLabelPostRequestBody = serializeAssignSensitivityLabelPostRequestBody;
/**
 * Provides operations to call the assignSensitivityLabel method.
 */
class AssignSensitivityLabelRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AssignSensitivityLabelRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/assignSensitivityLabel");
    }
    ;
    /**
     * Invoke action assignSensitivityLabel
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action assignSensitivityLabel
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAssignSensitivityLabelPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a assignSensitivityLabelRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AssignSensitivityLabelRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AssignSensitivityLabelRequestBuilder = AssignSensitivityLabelRequestBuilder;
// tslint:enable
// eslint-enable
