import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckinPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The checkInAs property
     */
    checkInAs?: string;
    /**
     * The comment property
     */
    comment?: string;
}
export declare function createCheckinPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckinPostRequestBody;
export declare function deserializeIntoCheckinPostRequestBody(checkinPostRequestBody?: CheckinPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckinPostRequestBody(writer: SerializationWriter, checkinPostRequestBody?: CheckinPostRequestBody | undefined): void;
/**
 * Provides operations to call the checkin method.
 */
export declare class CheckinRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CheckinRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Check in a checked out driveItem resource, which makes the version of the document available to others.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/driveitem-checkin?view=graph-rest-1.0|Find more info here}
     */
    post(body: CheckinPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Check in a checked out driveItem resource, which makes the version of the document available to others.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CheckinPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkinRequestBuilder
     */
    withUrl(rawUrl: string): CheckinRequestBuilder;
}
