"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateLinkRequestBuilder = exports.serializeCreateLinkPostRequestBody = exports.deserializeIntoCreateLinkPostRequestBody = exports.createCreateLinkPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const permission_1 = require("../../../../../models/permission");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateLinkPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateLinkPostRequestBody;
}
exports.createCreateLinkPostRequestBodyFromDiscriminatorValue = createCreateLinkPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateLinkPostRequestBody(createLinkPostRequestBody = {}) {
    return {
        "expirationDateTime": n => { createLinkPostRequestBody.expirationDateTime = n.getDateValue(); },
        "message": n => { createLinkPostRequestBody.message = n.getStringValue(); },
        "password": n => { createLinkPostRequestBody.password = n.getStringValue(); },
        "retainInheritedPermissions": n => { createLinkPostRequestBody.retainInheritedPermissions = n.getBooleanValue(); },
        "scope": n => { createLinkPostRequestBody.scope = n.getStringValue(); },
        "type": n => { createLinkPostRequestBody.type = n.getStringValue(); },
    };
}
exports.deserializeIntoCreateLinkPostRequestBody = deserializeIntoCreateLinkPostRequestBody;
function serializeCreateLinkPostRequestBody(writer, createLinkPostRequestBody = {}) {
    writer.writeDateValue("expirationDateTime", createLinkPostRequestBody.expirationDateTime);
    writer.writeStringValue("message", createLinkPostRequestBody.message);
    writer.writeStringValue("password", createLinkPostRequestBody.password);
    writer.writeBooleanValue("retainInheritedPermissions", createLinkPostRequestBody.retainInheritedPermissions);
    writer.writeStringValue("scope", createLinkPostRequestBody.scope);
    writer.writeStringValue("type", createLinkPostRequestBody.type);
    writer.writeAdditionalData(createLinkPostRequestBody.additionalData);
}
exports.serializeCreateLinkPostRequestBody = serializeCreateLinkPostRequestBody;
/**
 * Provides operations to call the createLink method.
 */
class CreateLinkRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateLinkRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/createLink");
    }
    ;
    /**
     * You can use createLink action to share a DriveItem via a sharing link. The createLink action will create a new sharing link if the specified link type doesn't already exist for the calling application.If a sharing link of the specified type already exists for the app, the existing sharing link will be returned. DriveItem resources inherit sharing permissions from their ancestors.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Permission
     * @see {@link https://learn.microsoft.com/graph/api/driveitem-createlink?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, permission_1.createPermissionFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * You can use createLink action to share a DriveItem via a sharing link. The createLink action will create a new sharing link if the specified link type doesn't already exist for the calling application.If a sharing link of the specified type already exists for the app, the existing sharing link will be returned. DriveItem resources inherit sharing permissions from their ancestors.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateLinkPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createLinkRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateLinkRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateLinkRequestBuilder = CreateLinkRequestBuilder;
// tslint:enable
// eslint-enable
