import { type BaseDeltaFunctionResponse } from '../../../../../models/baseDeltaFunctionResponse';
import { type DriveItem } from '../../../../../models/driveItem';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeltaWithTokenGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeltaWithTokenGetResponse;
export interface DeltaWithTokenGetResponse extends BaseDeltaFunctionResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export interface DeltaWithTokenRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function deserializeIntoDeltaWithTokenGetResponse(deltaWithTokenGetResponse?: DeltaWithTokenGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeltaWithTokenGetResponse(writer: SerializationWriter, deltaWithTokenGetResponse?: DeltaWithTokenGetResponse | undefined): void;
/**
 * Provides operations to call the delta method.
 */
export declare class DeltaWithTokenRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DeltaWithTokenRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param token Usage: token='{token}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, token?: string | undefined);
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeltaWithTokenGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<DeltaWithTokenRequestBuilderGetQueryParameters> | undefined): Promise<DeltaWithTokenGetResponse | undefined>;
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DeltaWithTokenRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deltaWithTokenRequestBuilder
     */
    withUrl(rawUrl: string): DeltaWithTokenRequestBuilder;
}
