"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeltaWithTokenRequestBuilder = exports.serializeDeltaWithTokenGetResponse = exports.deserializeIntoDeltaWithTokenGetResponse = exports.createDeltaWithTokenGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseDeltaFunctionResponse_1 = require("../../../../../models/baseDeltaFunctionResponse");
const driveItem_1 = require("../../../../../models/driveItem");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDeltaWithTokenGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeltaWithTokenGetResponse;
}
exports.createDeltaWithTokenGetResponseFromDiscriminatorValue = createDeltaWithTokenGetResponseFromDiscriminatorValue;
function deserializeIntoDeltaWithTokenGetResponse(deltaWithTokenGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseDeltaFunctionResponse_1.deserializeIntoBaseDeltaFunctionResponse)(deltaWithTokenGetResponse)), { "value": n => { deltaWithTokenGetResponse.value = n.getCollectionOfObjectValues(driveItem_1.createDriveItemFromDiscriminatorValue); } });
}
exports.deserializeIntoDeltaWithTokenGetResponse = deserializeIntoDeltaWithTokenGetResponse;
function serializeDeltaWithTokenGetResponse(writer, deltaWithTokenGetResponse = {}) {
    (0, baseDeltaFunctionResponse_1.serializeBaseDeltaFunctionResponse)(writer, deltaWithTokenGetResponse);
    writer.writeCollectionOfObjectValues("value", deltaWithTokenGetResponse.value, driveItem_1.serializeDriveItem);
}
exports.serializeDeltaWithTokenGetResponse = serializeDeltaWithTokenGetResponse;
/**
 * Provides operations to call the delta method.
 */
class DeltaWithTokenRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DeltaWithTokenRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param token Usage: token='{token}'
     */
    constructor(pathParameters, requestAdapter, token) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/delta(token='{token}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["token"] = token;
    }
    ;
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeltaWithTokenGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createDeltaWithTokenGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, deltaWithTokenRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deltaWithTokenRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DeltaWithTokenRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DeltaWithTokenRequestBuilder = DeltaWithTokenRequestBuilder;
const deltaWithTokenRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
