"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetActivitiesByIntervalRequestBuilder = exports.serializeGetActivitiesByIntervalGetResponse = exports.deserializeIntoGetActivitiesByIntervalGetResponse = exports.createGetActivitiesByIntervalGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const itemActivityStat_1 = require("../../../../../models/itemActivityStat");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetActivitiesByIntervalGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetActivitiesByIntervalGetResponse;
}
exports.createGetActivitiesByIntervalGetResponseFromDiscriminatorValue = createGetActivitiesByIntervalGetResponseFromDiscriminatorValue;
function deserializeIntoGetActivitiesByIntervalGetResponse(getActivitiesByIntervalGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getActivitiesByIntervalGetResponse)), { "value": n => { getActivitiesByIntervalGetResponse.value = n.getCollectionOfObjectValues(itemActivityStat_1.createItemActivityStatFromDiscriminatorValue); } });
}
exports.deserializeIntoGetActivitiesByIntervalGetResponse = deserializeIntoGetActivitiesByIntervalGetResponse;
function serializeGetActivitiesByIntervalGetResponse(writer, getActivitiesByIntervalGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getActivitiesByIntervalGetResponse);
    writer.writeCollectionOfObjectValues("value", getActivitiesByIntervalGetResponse.value, itemActivityStat_1.serializeItemActivityStat);
}
exports.serializeGetActivitiesByIntervalGetResponse = serializeGetActivitiesByIntervalGetResponse;
/**
 * Provides operations to call the getActivitiesByInterval method.
 */
class GetActivitiesByIntervalRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetActivitiesByIntervalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/getActivitiesByInterval(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function getActivitiesByInterval
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetActivitiesByIntervalGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetActivitiesByIntervalGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getActivitiesByInterval
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getActivitiesByIntervalRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getActivitiesByIntervalRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetActivitiesByIntervalRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetActivitiesByIntervalRequestBuilder = GetActivitiesByIntervalRequestBuilder;
const getActivitiesByIntervalRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
