"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InviteRequestBuilder = exports.serializeInvitePostResponse = exports.serializeInvitePostRequestBody = exports.deserializeIntoInvitePostResponse = exports.deserializeIntoInvitePostRequestBody = exports.createInvitePostResponseFromDiscriminatorValue = exports.createInvitePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const driveRecipient_1 = require("../../../../../models/driveRecipient");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const permission_1 = require("../../../../../models/permission");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createInvitePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInvitePostRequestBody;
}
exports.createInvitePostRequestBodyFromDiscriminatorValue = createInvitePostRequestBodyFromDiscriminatorValue;
function createInvitePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInvitePostResponse;
}
exports.createInvitePostResponseFromDiscriminatorValue = createInvitePostResponseFromDiscriminatorValue;
function deserializeIntoInvitePostRequestBody(invitePostRequestBody = {}) {
    return {
        "expirationDateTime": n => { invitePostRequestBody.expirationDateTime = n.getStringValue(); },
        "message": n => { invitePostRequestBody.message = n.getStringValue(); },
        "password": n => { invitePostRequestBody.password = n.getStringValue(); },
        "recipients": n => { invitePostRequestBody.recipients = n.getCollectionOfObjectValues(driveRecipient_1.createDriveRecipientFromDiscriminatorValue); },
        "requireSignIn": n => { invitePostRequestBody.requireSignIn = n.getBooleanValue(); },
        "retainInheritedPermissions": n => { invitePostRequestBody.retainInheritedPermissions = n.getBooleanValue(); },
        "roles": n => { invitePostRequestBody.roles = n.getCollectionOfPrimitiveValues(); },
        "sendInvitation": n => { invitePostRequestBody.sendInvitation = n.getBooleanValue(); },
    };
}
exports.deserializeIntoInvitePostRequestBody = deserializeIntoInvitePostRequestBody;
function deserializeIntoInvitePostResponse(invitePostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(invitePostResponse)), { "value": n => { invitePostResponse.value = n.getCollectionOfObjectValues(permission_1.createPermissionFromDiscriminatorValue); } });
}
exports.deserializeIntoInvitePostResponse = deserializeIntoInvitePostResponse;
function serializeInvitePostRequestBody(writer, invitePostRequestBody = {}) {
    writer.writeStringValue("expirationDateTime", invitePostRequestBody.expirationDateTime);
    writer.writeStringValue("message", invitePostRequestBody.message);
    writer.writeStringValue("password", invitePostRequestBody.password);
    writer.writeCollectionOfObjectValues("recipients", invitePostRequestBody.recipients, driveRecipient_1.serializeDriveRecipient);
    writer.writeBooleanValue("requireSignIn", invitePostRequestBody.requireSignIn);
    writer.writeBooleanValue("retainInheritedPermissions", invitePostRequestBody.retainInheritedPermissions);
    writer.writeCollectionOfPrimitiveValues("roles", invitePostRequestBody.roles);
    writer.writeBooleanValue("sendInvitation", invitePostRequestBody.sendInvitation);
    writer.writeAdditionalData(invitePostRequestBody.additionalData);
}
exports.serializeInvitePostRequestBody = serializeInvitePostRequestBody;
function serializeInvitePostResponse(writer, invitePostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, invitePostResponse);
    writer.writeCollectionOfObjectValues("value", invitePostResponse.value, permission_1.serializePermission);
}
exports.serializeInvitePostResponse = serializeInvitePostResponse;
/**
 * Provides operations to call the invite method.
 */
class InviteRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new InviteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/invite");
    }
    ;
    /**
     * Sends a sharing invitation for a driveItem.A sharing invitation provides permissions to the recipients and optionally sends them an email with a [sharing link][].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of InvitePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/driveitem-invite?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createInvitePostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Sends a sharing invitation for a driveItem.A sharing invitation provides permissions to the recipients and optionally sends them an email with a [sharing link][].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeInvitePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a inviteRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new InviteRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.InviteRequestBuilder = InviteRequestBuilder;
// tslint:enable
// eslint-enable
