import { type ItemPreviewInfo } from '../../../../../models/itemPreviewInfo';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPreviewPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPreviewPostRequestBody;
export declare function deserializeIntoPreviewPostRequestBody(previewPostRequestBody?: PreviewPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PreviewPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The page property
     */
    page?: string;
    /**
     * The zoom property
     */
    zoom?: number;
}
export declare function serializePreviewPostRequestBody(writer: SerializationWriter, previewPostRequestBody?: PreviewPostRequestBody | undefined): void;
/**
 * Provides operations to call the preview method.
 */
export declare class PreviewRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PreviewRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action preview
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ItemPreviewInfo
     */
    post(body: PreviewPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ItemPreviewInfo | undefined>;
    /**
     * Invoke action preview
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: PreviewPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a previewRequestBuilder
     */
    withUrl(rawUrl: string): PreviewRequestBuilder;
}
