"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreviewRequestBuilder = exports.serializePreviewPostRequestBody = exports.deserializeIntoPreviewPostRequestBody = exports.createPreviewPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const itemPreviewInfo_1 = require("../../../../../models/itemPreviewInfo");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPreviewPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPreviewPostRequestBody;
}
exports.createPreviewPostRequestBodyFromDiscriminatorValue = createPreviewPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPreviewPostRequestBody(previewPostRequestBody = {}) {
    return {
        "page": n => { previewPostRequestBody.page = n.getStringValue(); },
        "zoom": n => { previewPostRequestBody.zoom = n.getNumberValue(); },
    };
}
exports.deserializeIntoPreviewPostRequestBody = deserializeIntoPreviewPostRequestBody;
function serializePreviewPostRequestBody(writer, previewPostRequestBody = {}) {
    writer.writeStringValue("page", previewPostRequestBody.page);
    writer.writeNumberValue("zoom", previewPostRequestBody.zoom);
    writer.writeAdditionalData(previewPostRequestBody.additionalData);
}
exports.serializePreviewPostRequestBody = serializePreviewPostRequestBody;
/**
 * Provides operations to call the preview method.
 */
class PreviewRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PreviewRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/preview");
    }
    ;
    /**
     * Invoke action preview
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ItemPreviewInfo
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, itemPreviewInfo_1.createItemPreviewInfoFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action preview
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePreviewPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a previewRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PreviewRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PreviewRequestBuilder = PreviewRequestBuilder;
// tslint:enable
// eslint-enable
