"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestoreRequestBuilder = exports.serializeRestorePostRequestBody = exports.deserializeIntoRestorePostRequestBody = exports.createRestorePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const driveItem_1 = require("../../../../../models/driveItem");
const itemReference_1 = require("../../../../../models/itemReference");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRestorePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRestorePostRequestBody;
}
exports.createRestorePostRequestBodyFromDiscriminatorValue = createRestorePostRequestBodyFromDiscriminatorValue;
function deserializeIntoRestorePostRequestBody(restorePostRequestBody = {}) {
    return {
        "name": n => { restorePostRequestBody.name = n.getStringValue(); },
        "parentReference": n => { restorePostRequestBody.parentReference = n.getObjectValue(itemReference_1.createItemReferenceFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRestorePostRequestBody = deserializeIntoRestorePostRequestBody;
function serializeRestorePostRequestBody(writer, restorePostRequestBody = {}) {
    writer.writeStringValue("name", restorePostRequestBody.name);
    writer.writeObjectValue("parentReference", restorePostRequestBody.parentReference, itemReference_1.serializeItemReference);
    writer.writeAdditionalData(restorePostRequestBody.additionalData);
}
exports.serializeRestorePostRequestBody = serializeRestorePostRequestBody;
/**
 * Provides operations to call the restore method.
 */
class RestoreRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RestoreRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/restore");
    }
    ;
    /**
     * Restore a driveItem that has been deleted and is currently in the recycle bin. NOTE: This functionality is currently only available for OneDrive Personal.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DriveItem
     * @see {@link https://learn.microsoft.com/graph/api/driveitem-restore?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, driveItem_1.createDriveItemFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Restore a driveItem that has been deleted and is currently in the recycle bin. NOTE: This functionality is currently only available for OneDrive Personal.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRestorePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a restoreRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RestoreRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RestoreRequestBuilder = RestoreRequestBuilder;
// tslint:enable
// eslint-enable
