"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchWithQRequestBuilder = exports.serializeSearchWithQGetResponse = exports.deserializeIntoSearchWithQGetResponse = exports.createSearchWithQGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const driveItem_1 = require("../../../../../models/driveItem");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSearchWithQGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchWithQGetResponse;
}
exports.createSearchWithQGetResponseFromDiscriminatorValue = createSearchWithQGetResponseFromDiscriminatorValue;
function deserializeIntoSearchWithQGetResponse(searchWithQGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(searchWithQGetResponse)), { "value": n => { searchWithQGetResponse.value = n.getCollectionOfObjectValues(driveItem_1.createDriveItemFromDiscriminatorValue); } });
}
exports.deserializeIntoSearchWithQGetResponse = deserializeIntoSearchWithQGetResponse;
function serializeSearchWithQGetResponse(writer, searchWithQGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, searchWithQGetResponse);
    writer.writeCollectionOfObjectValues("value", searchWithQGetResponse.value, driveItem_1.serializeDriveItem);
}
exports.serializeSearchWithQGetResponse = serializeSearchWithQGetResponse;
/**
 * Provides operations to call the search method.
 */
class SearchWithQRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SearchWithQRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param q Usage: q='{q}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, q) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/search(q='{q}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["q"] = q;
    }
    ;
    /**
     * Invoke function search
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SearchWithQGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSearchWithQGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function search
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, searchWithQRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a searchWithQRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SearchWithQRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SearchWithQRequestBuilder = SearchWithQRequestBuilder;
const searchWithQRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
