import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createValidatePermissionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoValidatePermissionPostRequestBody;
export declare function deserializeIntoValidatePermissionPostRequestBody(validatePermissionPostRequestBody?: ValidatePermissionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeValidatePermissionPostRequestBody(writer: SerializationWriter, validatePermissionPostRequestBody?: ValidatePermissionPostRequestBody | undefined): void;
export interface ValidatePermissionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The challengeToken property
     */
    challengeToken?: string;
    /**
     * The password property
     */
    password?: string;
}
/**
 * Provides operations to call the validatePermission method.
 */
export declare class ValidatePermissionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ValidatePermissionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ValidatePermissionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ValidatePermissionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a validatePermissionRequestBuilder
     */
    withUrl(rawUrl: string): ValidatePermissionRequestBuilder;
}
