"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidatePermissionRequestBuilder = exports.serializeValidatePermissionPostRequestBody = exports.deserializeIntoValidatePermissionPostRequestBody = exports.createValidatePermissionPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createValidatePermissionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoValidatePermissionPostRequestBody;
}
exports.createValidatePermissionPostRequestBodyFromDiscriminatorValue = createValidatePermissionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoValidatePermissionPostRequestBody(validatePermissionPostRequestBody = {}) {
    return {
        "challengeToken": n => { validatePermissionPostRequestBody.challengeToken = n.getStringValue(); },
        "password": n => { validatePermissionPostRequestBody.password = n.getStringValue(); },
    };
}
exports.deserializeIntoValidatePermissionPostRequestBody = deserializeIntoValidatePermissionPostRequestBody;
function serializeValidatePermissionPostRequestBody(writer, validatePermissionPostRequestBody = {}) {
    writer.writeStringValue("challengeToken", validatePermissionPostRequestBody.challengeToken);
    writer.writeStringValue("password", validatePermissionPostRequestBody.password);
    writer.writeAdditionalData(validatePermissionPostRequestBody.additionalData);
}
exports.serializeValidatePermissionPostRequestBody = serializeValidatePermissionPostRequestBody;
/**
 * Provides operations to call the validatePermission method.
 */
class ValidatePermissionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ValidatePermissionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/validatePermission");
    }
    ;
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action validatePermission
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeValidatePermissionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a validatePermissionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ValidatePermissionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ValidatePermissionRequestBuilder = ValidatePermissionRequestBuilder;
// tslint:enable
// eslint-enable
