import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalculatePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The calculationType property
     */
    calculationType?: string;
}
export declare function createCalculatePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalculatePostRequestBody;
export declare function deserializeIntoCalculatePostRequestBody(calculatePostRequestBody?: CalculatePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalculatePostRequestBody(writer: SerializationWriter, calculatePostRequestBody?: CalculatePostRequestBody | undefined): void;
/**
 * Provides operations to call the calculate method.
 */
export declare class CalculateRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CalculateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Recalculate all currently opened workbooks in Excel.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/workbookapplication-calculate?view=graph-rest-1.0|Find more info here}
     */
    post(body: CalculatePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Recalculate all currently opened workbooks in Excel.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CalculatePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a calculateRequestBuilder
     */
    withUrl(rawUrl: string): CalculateRequestBuilder;
}
