"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalculateRequestBuilder = exports.serializeCalculatePostRequestBody = exports.deserializeIntoCalculatePostRequestBody = exports.createCalculatePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCalculatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCalculatePostRequestBody;
}
exports.createCalculatePostRequestBodyFromDiscriminatorValue = createCalculatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoCalculatePostRequestBody(calculatePostRequestBody = {}) {
    return {
        "calculationType": n => { calculatePostRequestBody.calculationType = n.getStringValue(); },
    };
}
exports.deserializeIntoCalculatePostRequestBody = deserializeIntoCalculatePostRequestBody;
function serializeCalculatePostRequestBody(writer, calculatePostRequestBody = {}) {
    writer.writeStringValue("calculationType", calculatePostRequestBody.calculationType);
    writer.writeAdditionalData(calculatePostRequestBody.additionalData);
}
exports.serializeCalculatePostRequestBody = serializeCalculatePostRequestBody;
/**
 * Provides operations to call the calculate method.
 */
class CalculateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CalculateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/application/calculate");
    }
    ;
    /**
     * Recalculate all currently opened workbooks in Excel.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/workbookapplication-calculate?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Recalculate all currently opened workbooks in Excel.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCalculatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a calculateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CalculateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CalculateRequestBuilder = CalculateRequestBuilder;
// tslint:enable
// eslint-enable
