import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccrIntPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The calcMethod property
     */
    calcMethod?: Json;
    /**
     * The firstInterest property
     */
    firstInterest?: Json;
    /**
     * The frequency property
     */
    frequency?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The par property
     */
    par?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createAccrIntPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccrIntPostRequestBody;
export declare function deserializeIntoAccrIntPostRequestBody(accrIntPostRequestBody?: AccrIntPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccrIntPostRequestBody(writer: SerializationWriter, accrIntPostRequestBody?: AccrIntPostRequestBody | undefined): void;
/**
 * Provides operations to call the accrInt method.
 */
export declare class AccrIntRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AccrIntRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action accrInt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: AccrIntPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action accrInt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AccrIntPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a accrIntRequestBuilder
     */
    withUrl(rawUrl: string): AccrIntRequestBuilder;
}
