"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccrIntRequestBuilder = exports.serializeAccrIntPostRequestBody = exports.deserializeIntoAccrIntPostRequestBody = exports.createAccrIntPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAccrIntPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccrIntPostRequestBody;
}
exports.createAccrIntPostRequestBodyFromDiscriminatorValue = createAccrIntPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAccrIntPostRequestBody(accrIntPostRequestBody = {}) {
    return {
        "basis": n => { accrIntPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "calcMethod": n => { accrIntPostRequestBody.calcMethod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "firstInterest": n => { accrIntPostRequestBody.firstInterest = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { accrIntPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { accrIntPostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "par": n => { accrIntPostRequestBody.par = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { accrIntPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { accrIntPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAccrIntPostRequestBody = deserializeIntoAccrIntPostRequestBody;
function serializeAccrIntPostRequestBody(writer, accrIntPostRequestBody = {}) {
    writer.writeObjectValue("basis", accrIntPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("calcMethod", accrIntPostRequestBody.calcMethod, json_1.serializeJson);
    writer.writeObjectValue("firstInterest", accrIntPostRequestBody.firstInterest, json_1.serializeJson);
    writer.writeObjectValue("frequency", accrIntPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("issue", accrIntPostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("par", accrIntPostRequestBody.par, json_1.serializeJson);
    writer.writeObjectValue("rate", accrIntPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("settlement", accrIntPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(accrIntPostRequestBody.additionalData);
}
exports.serializeAccrIntPostRequestBody = serializeAccrIntPostRequestBody;
/**
 * Provides operations to call the accrInt method.
 */
class AccrIntRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AccrIntRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/accrInt");
    }
    ;
    /**
     * Invoke action accrInt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action accrInt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAccrIntPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a accrIntRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AccrIntRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AccrIntRequestBuilder = AccrIntRequestBuilder;
// tslint:enable
// eslint-enable
