import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccrIntMPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The issue property
     */
    issue?: Json;
    /**
     * The par property
     */
    par?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The settlement property
     */
    settlement?: Json;
}
export declare function createAccrIntMPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccrIntMPostRequestBody;
export declare function deserializeIntoAccrIntMPostRequestBody(accrIntMPostRequestBody?: AccrIntMPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccrIntMPostRequestBody(writer: SerializationWriter, accrIntMPostRequestBody?: AccrIntMPostRequestBody | undefined): void;
/**
 * Provides operations to call the accrIntM method.
 */
export declare class AccrIntMRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AccrIntMRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action accrIntM
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: AccrIntMPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action accrIntM
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AccrIntMPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a accrIntMRequestBuilder
     */
    withUrl(rawUrl: string): AccrIntMRequestBuilder;
}
