"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccrIntMRequestBuilder = exports.serializeAccrIntMPostRequestBody = exports.deserializeIntoAccrIntMPostRequestBody = exports.createAccrIntMPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAccrIntMPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccrIntMPostRequestBody;
}
exports.createAccrIntMPostRequestBodyFromDiscriminatorValue = createAccrIntMPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAccrIntMPostRequestBody(accrIntMPostRequestBody = {}) {
    return {
        "basis": n => { accrIntMPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { accrIntMPostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "par": n => { accrIntMPostRequestBody.par = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { accrIntMPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { accrIntMPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAccrIntMPostRequestBody = deserializeIntoAccrIntMPostRequestBody;
function serializeAccrIntMPostRequestBody(writer, accrIntMPostRequestBody = {}) {
    writer.writeObjectValue("basis", accrIntMPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("issue", accrIntMPostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("par", accrIntMPostRequestBody.par, json_1.serializeJson);
    writer.writeObjectValue("rate", accrIntMPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("settlement", accrIntMPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(accrIntMPostRequestBody.additionalData);
}
exports.serializeAccrIntMPostRequestBody = serializeAccrIntMPostRequestBody;
/**
 * Provides operations to call the accrIntM method.
 */
class AccrIntMRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AccrIntMRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/accrIntM");
    }
    ;
    /**
     * Invoke action accrIntM
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action accrIntM
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAccrIntMPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a accrIntMRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AccrIntMRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AccrIntMRequestBuilder = AccrIntMRequestBuilder;
// tslint:enable
// eslint-enable
