import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AmorDegrcPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The datePurchased property
     */
    datePurchased?: Json;
    /**
     * The firstPeriod property
     */
    firstPeriod?: Json;
    /**
     * The period property
     */
    period?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
export declare function createAmorDegrcPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAmorDegrcPostRequestBody;
export declare function deserializeIntoAmorDegrcPostRequestBody(amorDegrcPostRequestBody?: AmorDegrcPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAmorDegrcPostRequestBody(writer: SerializationWriter, amorDegrcPostRequestBody?: AmorDegrcPostRequestBody | undefined): void;
/**
 * Provides operations to call the amorDegrc method.
 */
export declare class AmorDegrcRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AmorDegrcRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action amorDegrc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: AmorDegrcPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action amorDegrc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AmorDegrcPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a amorDegrcRequestBuilder
     */
    withUrl(rawUrl: string): AmorDegrcRequestBuilder;
}
