"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmorDegrcRequestBuilder = exports.serializeAmorDegrcPostRequestBody = exports.deserializeIntoAmorDegrcPostRequestBody = exports.createAmorDegrcPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAmorDegrcPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAmorDegrcPostRequestBody;
}
exports.createAmorDegrcPostRequestBodyFromDiscriminatorValue = createAmorDegrcPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAmorDegrcPostRequestBody(amorDegrcPostRequestBody = {}) {
    return {
        "basis": n => { amorDegrcPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "cost": n => { amorDegrcPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "datePurchased": n => { amorDegrcPostRequestBody.datePurchased = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "firstPeriod": n => { amorDegrcPostRequestBody.firstPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "period": n => { amorDegrcPostRequestBody.period = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { amorDegrcPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { amorDegrcPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAmorDegrcPostRequestBody = deserializeIntoAmorDegrcPostRequestBody;
function serializeAmorDegrcPostRequestBody(writer, amorDegrcPostRequestBody = {}) {
    writer.writeObjectValue("basis", amorDegrcPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("cost", amorDegrcPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("datePurchased", amorDegrcPostRequestBody.datePurchased, json_1.serializeJson);
    writer.writeObjectValue("firstPeriod", amorDegrcPostRequestBody.firstPeriod, json_1.serializeJson);
    writer.writeObjectValue("period", amorDegrcPostRequestBody.period, json_1.serializeJson);
    writer.writeObjectValue("rate", amorDegrcPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("salvage", amorDegrcPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(amorDegrcPostRequestBody.additionalData);
}
exports.serializeAmorDegrcPostRequestBody = serializeAmorDegrcPostRequestBody;
/**
 * Provides operations to call the amorDegrc method.
 */
class AmorDegrcRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AmorDegrcRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/amorDegrc");
    }
    ;
    /**
     * Invoke action amorDegrc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action amorDegrc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAmorDegrcPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a amorDegrcRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AmorDegrcRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AmorDegrcRequestBuilder = AmorDegrcRequestBuilder;
// tslint:enable
// eslint-enable
