"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmorLincRequestBuilder = exports.serializeAmorLincPostRequestBody = exports.deserializeIntoAmorLincPostRequestBody = exports.createAmorLincPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAmorLincPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAmorLincPostRequestBody;
}
exports.createAmorLincPostRequestBodyFromDiscriminatorValue = createAmorLincPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAmorLincPostRequestBody(amorLincPostRequestBody = {}) {
    return {
        "basis": n => { amorLincPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "cost": n => { amorLincPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "datePurchased": n => { amorLincPostRequestBody.datePurchased = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "firstPeriod": n => { amorLincPostRequestBody.firstPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "period": n => { amorLincPostRequestBody.period = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { amorLincPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { amorLincPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAmorLincPostRequestBody = deserializeIntoAmorLincPostRequestBody;
function serializeAmorLincPostRequestBody(writer, amorLincPostRequestBody = {}) {
    writer.writeObjectValue("basis", amorLincPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("cost", amorLincPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("datePurchased", amorLincPostRequestBody.datePurchased, json_1.serializeJson);
    writer.writeObjectValue("firstPeriod", amorLincPostRequestBody.firstPeriod, json_1.serializeJson);
    writer.writeObjectValue("period", amorLincPostRequestBody.period, json_1.serializeJson);
    writer.writeObjectValue("rate", amorLincPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("salvage", amorLincPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(amorLincPostRequestBody.additionalData);
}
exports.serializeAmorLincPostRequestBody = serializeAmorLincPostRequestBody;
/**
 * Provides operations to call the amorLinc method.
 */
class AmorLincRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AmorLincRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/amorLinc");
    }
    ;
    /**
     * Invoke action amorLinc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action amorLinc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAmorLincPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a amorLincRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AmorLincRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AmorLincRequestBuilder = AmorLincRequestBuilder;
// tslint:enable
// eslint-enable
