import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Atan2PostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The xNum property
     */
    xNum?: Json;
    /**
     * The yNum property
     */
    yNum?: Json;
}
export declare function createAtan2PostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAtan2PostRequestBody;
export declare function deserializeIntoAtan2PostRequestBody(atan2PostRequestBody?: Atan2PostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAtan2PostRequestBody(writer: SerializationWriter, atan2PostRequestBody?: Atan2PostRequestBody | undefined): void;
/**
 * Provides operations to call the atan2 method.
 */
export declare class Atan2RequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Atan2RequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action atan2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Atan2PostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action atan2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Atan2PostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a atan2RequestBuilder
     */
    withUrl(rawUrl: string): Atan2RequestBuilder;
}
