"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Atan2RequestBuilder = exports.serializeAtan2PostRequestBody = exports.deserializeIntoAtan2PostRequestBody = exports.createAtan2PostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAtan2PostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAtan2PostRequestBody;
}
exports.createAtan2PostRequestBodyFromDiscriminatorValue = createAtan2PostRequestBodyFromDiscriminatorValue;
function deserializeIntoAtan2PostRequestBody(atan2PostRequestBody = {}) {
    return {
        "xNum": n => { atan2PostRequestBody.xNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yNum": n => { atan2PostRequestBody.yNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAtan2PostRequestBody = deserializeIntoAtan2PostRequestBody;
function serializeAtan2PostRequestBody(writer, atan2PostRequestBody = {}) {
    writer.writeObjectValue("xNum", atan2PostRequestBody.xNum, json_1.serializeJson);
    writer.writeObjectValue("yNum", atan2PostRequestBody.yNum, json_1.serializeJson);
    writer.writeAdditionalData(atan2PostRequestBody.additionalData);
}
exports.serializeAtan2PostRequestBody = serializeAtan2PostRequestBody;
/**
 * Provides operations to call the atan2 method.
 */
class Atan2RequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Atan2RequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/atan2");
    }
    ;
    /**
     * Invoke action atan2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action atan2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAtan2PostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a atan2RequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Atan2RequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Atan2RequestBuilder = Atan2RequestBuilder;
// tslint:enable
// eslint-enable
