"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AverageARequestBuilder = exports.serializeAverageAPostRequestBody = exports.deserializeIntoAverageAPostRequestBody = exports.createAverageAPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAverageAPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAverageAPostRequestBody;
}
exports.createAverageAPostRequestBodyFromDiscriminatorValue = createAverageAPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAverageAPostRequestBody(averageAPostRequestBody = {}) {
    return {
        "values": n => { averageAPostRequestBody.values = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAverageAPostRequestBody = deserializeIntoAverageAPostRequestBody;
function serializeAverageAPostRequestBody(writer, averageAPostRequestBody = {}) {
    writer.writeObjectValue("values", averageAPostRequestBody.values, json_1.serializeJson);
    writer.writeAdditionalData(averageAPostRequestBody.additionalData);
}
exports.serializeAverageAPostRequestBody = serializeAverageAPostRequestBody;
/**
 * Provides operations to call the averageA method.
 */
class AverageARequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AverageARequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/averageA");
    }
    ;
    /**
     * Invoke action averageA
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action averageA
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAverageAPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a averageARequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AverageARequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AverageARequestBuilder = AverageARequestBuilder;
// tslint:enable
// eslint-enable
