import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AverageIfPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The averageRange property
     */
    averageRange?: Json;
    /**
     * The criteria property
     */
    criteria?: Json;
    /**
     * The range property
     */
    range?: Json;
}
export declare function createAverageIfPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAverageIfPostRequestBody;
export declare function deserializeIntoAverageIfPostRequestBody(averageIfPostRequestBody?: AverageIfPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAverageIfPostRequestBody(writer: SerializationWriter, averageIfPostRequestBody?: AverageIfPostRequestBody | undefined): void;
/**
 * Provides operations to call the averageIf method.
 */
export declare class AverageIfRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AverageIfRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action averageIf
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: AverageIfPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action averageIf
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AverageIfPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a averageIfRequestBuilder
     */
    withUrl(rawUrl: string): AverageIfRequestBuilder;
}
