import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BesselKPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The n property
     */
    n?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createBesselKPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBesselKPostRequestBody;
export declare function deserializeIntoBesselKPostRequestBody(besselKPostRequestBody?: BesselKPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBesselKPostRequestBody(writer: SerializationWriter, besselKPostRequestBody?: BesselKPostRequestBody | undefined): void;
/**
 * Provides operations to call the besselK method.
 */
export declare class BesselKRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new BesselKRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action besselK
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: BesselKPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action besselK
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: BesselKPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a besselKRequestBuilder
     */
    withUrl(rawUrl: string): BesselKRequestBuilder;
}
