"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BesselYRequestBuilder = exports.serializeBesselYPostRequestBody = exports.deserializeIntoBesselYPostRequestBody = exports.createBesselYPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBesselYPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBesselYPostRequestBody;
}
exports.createBesselYPostRequestBodyFromDiscriminatorValue = createBesselYPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBesselYPostRequestBody(besselYPostRequestBody = {}) {
    return {
        "n": n => { besselYPostRequestBody.n = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { besselYPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBesselYPostRequestBody = deserializeIntoBesselYPostRequestBody;
function serializeBesselYPostRequestBody(writer, besselYPostRequestBody = {}) {
    writer.writeObjectValue("n", besselYPostRequestBody.n, json_1.serializeJson);
    writer.writeObjectValue("x", besselYPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(besselYPostRequestBody.additionalData);
}
exports.serializeBesselYPostRequestBody = serializeBesselYPostRequestBody;
/**
 * Provides operations to call the besselY method.
 */
class BesselYRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new BesselYRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/besselY");
    }
    ;
    /**
     * Invoke action besselY
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action besselY
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBesselYPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a besselYRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new BesselYRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.BesselYRequestBuilder = BesselYRequestBuilder;
// tslint:enable
// eslint-enable
