import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Beta_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The A property
     */
    a?: Json;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The B property
     */
    b?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function createBeta_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBeta_DistPostRequestBody;
export declare function deserializeIntoBeta_DistPostRequestBody(beta_DistPostRequestBody?: Beta_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBeta_DistPostRequestBody(writer: SerializationWriter, beta_DistPostRequestBody?: Beta_DistPostRequestBody | undefined): void;
/**
 * Provides operations to call the beta_Dist method.
 */
export declare class Beta_DistRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Beta_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action beta_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Beta_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action beta_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Beta_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a beta_DistRequestBuilder
     */
    withUrl(rawUrl: string): Beta_DistRequestBuilder;
}
