"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Beta_DistRequestBuilder = exports.serializeBeta_DistPostRequestBody = exports.deserializeIntoBeta_DistPostRequestBody = exports.createBeta_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBeta_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBeta_DistPostRequestBody;
}
exports.createBeta_DistPostRequestBodyFromDiscriminatorValue = createBeta_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBeta_DistPostRequestBody(beta_DistPostRequestBody = {}) {
    return {
        "a": n => { beta_DistPostRequestBody.a = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "alpha": n => { beta_DistPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "b": n => { beta_DistPostRequestBody.b = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "beta": n => { beta_DistPostRequestBody.beta = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "cumulative": n => { beta_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { beta_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBeta_DistPostRequestBody = deserializeIntoBeta_DistPostRequestBody;
function serializeBeta_DistPostRequestBody(writer, beta_DistPostRequestBody = {}) {
    writer.writeObjectValue("A", beta_DistPostRequestBody.a, json_1.serializeJson);
    writer.writeObjectValue("alpha", beta_DistPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("B", beta_DistPostRequestBody.b, json_1.serializeJson);
    writer.writeObjectValue("beta", beta_DistPostRequestBody.beta, json_1.serializeJson);
    writer.writeObjectValue("cumulative", beta_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("x", beta_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(beta_DistPostRequestBody.additionalData);
}
exports.serializeBeta_DistPostRequestBody = serializeBeta_DistPostRequestBody;
/**
 * Provides operations to call the beta_Dist method.
 */
class Beta_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Beta_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/beta_Dist");
    }
    ;
    /**
     * Invoke action beta_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action beta_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBeta_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a beta_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Beta_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Beta_DistRequestBuilder = Beta_DistRequestBuilder;
// tslint:enable
// eslint-enable
