import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Beta_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The A property
     */
    a?: Json;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The B property
     */
    b?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function createBeta_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBeta_InvPostRequestBody;
export declare function deserializeIntoBeta_InvPostRequestBody(beta_InvPostRequestBody?: Beta_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBeta_InvPostRequestBody(writer: SerializationWriter, beta_InvPostRequestBody?: Beta_InvPostRequestBody | undefined): void;
/**
 * Provides operations to call the beta_Inv method.
 */
export declare class Beta_InvRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Beta_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action beta_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Beta_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action beta_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Beta_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a beta_InvRequestBuilder
     */
    withUrl(rawUrl: string): Beta_InvRequestBuilder;
}
