"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Beta_InvRequestBuilder = exports.serializeBeta_InvPostRequestBody = exports.deserializeIntoBeta_InvPostRequestBody = exports.createBeta_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBeta_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBeta_InvPostRequestBody;
}
exports.createBeta_InvPostRequestBodyFromDiscriminatorValue = createBeta_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBeta_InvPostRequestBody(beta_InvPostRequestBody = {}) {
    return {
        "a": n => { beta_InvPostRequestBody.a = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "alpha": n => { beta_InvPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "b": n => { beta_InvPostRequestBody.b = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "beta": n => { beta_InvPostRequestBody.beta = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { beta_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBeta_InvPostRequestBody = deserializeIntoBeta_InvPostRequestBody;
function serializeBeta_InvPostRequestBody(writer, beta_InvPostRequestBody = {}) {
    writer.writeObjectValue("A", beta_InvPostRequestBody.a, json_1.serializeJson);
    writer.writeObjectValue("alpha", beta_InvPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("B", beta_InvPostRequestBody.b, json_1.serializeJson);
    writer.writeObjectValue("beta", beta_InvPostRequestBody.beta, json_1.serializeJson);
    writer.writeObjectValue("probability", beta_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(beta_InvPostRequestBody.additionalData);
}
exports.serializeBeta_InvPostRequestBody = serializeBeta_InvPostRequestBody;
/**
 * Provides operations to call the beta_Inv method.
 */
class Beta_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Beta_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/beta_Inv");
    }
    ;
    /**
     * Invoke action beta_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action beta_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBeta_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a beta_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Beta_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Beta_InvRequestBuilder = Beta_InvRequestBuilder;
// tslint:enable
// eslint-enable
