"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bin2DecRequestBuilder = exports.serializeBin2DecPostRequestBody = exports.deserializeIntoBin2DecPostRequestBody = exports.createBin2DecPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBin2DecPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBin2DecPostRequestBody;
}
exports.createBin2DecPostRequestBodyFromDiscriminatorValue = createBin2DecPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBin2DecPostRequestBody(bin2DecPostRequestBody = {}) {
    return {
        "number": n => { bin2DecPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBin2DecPostRequestBody = deserializeIntoBin2DecPostRequestBody;
function serializeBin2DecPostRequestBody(writer, bin2DecPostRequestBody = {}) {
    writer.writeObjectValue("number", bin2DecPostRequestBody.number, json_1.serializeJson);
    writer.writeAdditionalData(bin2DecPostRequestBody.additionalData);
}
exports.serializeBin2DecPostRequestBody = serializeBin2DecPostRequestBody;
/**
 * Provides operations to call the bin2Dec method.
 */
class Bin2DecRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Bin2DecRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/bin2Dec");
    }
    ;
    /**
     * Invoke action bin2Dec
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action bin2Dec
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBin2DecPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bin2DecRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Bin2DecRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Bin2DecRequestBuilder = Bin2DecRequestBuilder;
// tslint:enable
// eslint-enable
