"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bin2OctRequestBuilder = exports.serializeBin2OctPostRequestBody = exports.deserializeIntoBin2OctPostRequestBody = exports.createBin2OctPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBin2OctPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBin2OctPostRequestBody;
}
exports.createBin2OctPostRequestBodyFromDiscriminatorValue = createBin2OctPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBin2OctPostRequestBody(bin2OctPostRequestBody = {}) {
    return {
        "number": n => { bin2OctPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "places": n => { bin2OctPostRequestBody.places = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBin2OctPostRequestBody = deserializeIntoBin2OctPostRequestBody;
function serializeBin2OctPostRequestBody(writer, bin2OctPostRequestBody = {}) {
    writer.writeObjectValue("number", bin2OctPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("places", bin2OctPostRequestBody.places, json_1.serializeJson);
    writer.writeAdditionalData(bin2OctPostRequestBody.additionalData);
}
exports.serializeBin2OctPostRequestBody = serializeBin2OctPostRequestBody;
/**
 * Provides operations to call the bin2Oct method.
 */
class Bin2OctRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Bin2OctRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/bin2Oct");
    }
    ;
    /**
     * Invoke action bin2Oct
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action bin2Oct
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBin2OctPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bin2OctRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Bin2OctRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Bin2OctRequestBuilder = Bin2OctRequestBuilder;
// tslint:enable
// eslint-enable
