"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Binom_DistRequestBuilder = exports.serializeBinom_DistPostRequestBody = exports.deserializeIntoBinom_DistPostRequestBody = exports.createBinom_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBinom_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBinom_DistPostRequestBody;
}
exports.createBinom_DistPostRequestBodyFromDiscriminatorValue = createBinom_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBinom_DistPostRequestBody(binom_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { binom_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberS": n => { binom_DistPostRequestBody.numberS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probabilityS": n => { binom_DistPostRequestBody.probabilityS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "trials": n => { binom_DistPostRequestBody.trials = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBinom_DistPostRequestBody = deserializeIntoBinom_DistPostRequestBody;
function serializeBinom_DistPostRequestBody(writer, binom_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", binom_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("numberS", binom_DistPostRequestBody.numberS, json_1.serializeJson);
    writer.writeObjectValue("probabilityS", binom_DistPostRequestBody.probabilityS, json_1.serializeJson);
    writer.writeObjectValue("trials", binom_DistPostRequestBody.trials, json_1.serializeJson);
    writer.writeAdditionalData(binom_DistPostRequestBody.additionalData);
}
exports.serializeBinom_DistPostRequestBody = serializeBinom_DistPostRequestBody;
/**
 * Provides operations to call the binom_Dist method.
 */
class Binom_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Binom_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/binom_Dist");
    }
    ;
    /**
     * Invoke action binom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action binom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBinom_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a binom_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Binom_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Binom_DistRequestBuilder = Binom_DistRequestBuilder;
// tslint:enable
// eslint-enable
