"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Binom_Dist_RangeRequestBuilder = exports.serializeBinom_Dist_RangePostRequestBody = exports.deserializeIntoBinom_Dist_RangePostRequestBody = exports.createBinom_Dist_RangePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBinom_Dist_RangePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBinom_Dist_RangePostRequestBody;
}
exports.createBinom_Dist_RangePostRequestBodyFromDiscriminatorValue = createBinom_Dist_RangePostRequestBodyFromDiscriminatorValue;
function deserializeIntoBinom_Dist_RangePostRequestBody(binom_Dist_RangePostRequestBody = {}) {
    return {
        "numberS": n => { binom_Dist_RangePostRequestBody.numberS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberS2": n => { binom_Dist_RangePostRequestBody.numberS2 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probabilityS": n => { binom_Dist_RangePostRequestBody.probabilityS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "trials": n => { binom_Dist_RangePostRequestBody.trials = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBinom_Dist_RangePostRequestBody = deserializeIntoBinom_Dist_RangePostRequestBody;
function serializeBinom_Dist_RangePostRequestBody(writer, binom_Dist_RangePostRequestBody = {}) {
    writer.writeObjectValue("numberS", binom_Dist_RangePostRequestBody.numberS, json_1.serializeJson);
    writer.writeObjectValue("numberS2", binom_Dist_RangePostRequestBody.numberS2, json_1.serializeJson);
    writer.writeObjectValue("probabilityS", binom_Dist_RangePostRequestBody.probabilityS, json_1.serializeJson);
    writer.writeObjectValue("trials", binom_Dist_RangePostRequestBody.trials, json_1.serializeJson);
    writer.writeAdditionalData(binom_Dist_RangePostRequestBody.additionalData);
}
exports.serializeBinom_Dist_RangePostRequestBody = serializeBinom_Dist_RangePostRequestBody;
/**
 * Provides operations to call the binom_Dist_Range method.
 */
class Binom_Dist_RangeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Binom_Dist_RangeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/binom_Dist_Range");
    }
    ;
    /**
     * Invoke action binom_Dist_Range
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action binom_Dist_Range
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBinom_Dist_RangePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a binom_Dist_RangeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Binom_Dist_RangeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Binom_Dist_RangeRequestBuilder = Binom_Dist_RangeRequestBuilder;
// tslint:enable
// eslint-enable
