"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Binom_InvRequestBuilder = exports.serializeBinom_InvPostRequestBody = exports.deserializeIntoBinom_InvPostRequestBody = exports.createBinom_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBinom_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBinom_InvPostRequestBody;
}
exports.createBinom_InvPostRequestBodyFromDiscriminatorValue = createBinom_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBinom_InvPostRequestBody(binom_InvPostRequestBody = {}) {
    return {
        "alpha": n => { binom_InvPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probabilityS": n => { binom_InvPostRequestBody.probabilityS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "trials": n => { binom_InvPostRequestBody.trials = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoBinom_InvPostRequestBody = deserializeIntoBinom_InvPostRequestBody;
function serializeBinom_InvPostRequestBody(writer, binom_InvPostRequestBody = {}) {
    writer.writeObjectValue("alpha", binom_InvPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("probabilityS", binom_InvPostRequestBody.probabilityS, json_1.serializeJson);
    writer.writeObjectValue("trials", binom_InvPostRequestBody.trials, json_1.serializeJson);
    writer.writeAdditionalData(binom_InvPostRequestBody.additionalData);
}
exports.serializeBinom_InvPostRequestBody = serializeBinom_InvPostRequestBody;
/**
 * Provides operations to call the binom_Inv method.
 */
class Binom_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Binom_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/binom_Inv");
    }
    ;
    /**
     * Invoke action binom_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action binom_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBinom_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a binom_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Binom_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Binom_InvRequestBuilder = Binom_InvRequestBuilder;
// tslint:enable
// eslint-enable
