import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitlshiftPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The shiftAmount property
     */
    shiftAmount?: Json;
}
export declare function createBitlshiftPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitlshiftPostRequestBody;
export declare function deserializeIntoBitlshiftPostRequestBody(bitlshiftPostRequestBody?: BitlshiftPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitlshiftPostRequestBody(writer: SerializationWriter, bitlshiftPostRequestBody?: BitlshiftPostRequestBody | undefined): void;
/**
 * Provides operations to call the bitlshift method.
 */
export declare class BitlshiftRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new BitlshiftRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action bitlshift
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: BitlshiftPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action bitlshift
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: BitlshiftPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bitlshiftRequestBuilder
     */
    withUrl(rawUrl: string): BitlshiftRequestBuilder;
}
