import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitrshiftPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The shiftAmount property
     */
    shiftAmount?: Json;
}
export declare function createBitrshiftPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitrshiftPostRequestBody;
export declare function deserializeIntoBitrshiftPostRequestBody(bitrshiftPostRequestBody?: BitrshiftPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitrshiftPostRequestBody(writer: SerializationWriter, bitrshiftPostRequestBody?: BitrshiftPostRequestBody | undefined): void;
/**
 * Provides operations to call the bitrshift method.
 */
export declare class BitrshiftRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new BitrshiftRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action bitrshift
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: BitrshiftPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action bitrshift
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: BitrshiftPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bitrshiftRequestBuilder
     */
    withUrl(rawUrl: string): BitrshiftRequestBuilder;
}
