"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ceiling_MathRequestBuilder = exports.serializeCeiling_MathPostRequestBody = exports.deserializeIntoCeiling_MathPostRequestBody = exports.createCeiling_MathPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCeiling_MathPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCeiling_MathPostRequestBody;
}
exports.createCeiling_MathPostRequestBodyFromDiscriminatorValue = createCeiling_MathPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCeiling_MathPostRequestBody(ceiling_MathPostRequestBody = {}) {
    return {
        "mode": n => { ceiling_MathPostRequestBody.mode = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "number": n => { ceiling_MathPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { ceiling_MathPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCeiling_MathPostRequestBody = deserializeIntoCeiling_MathPostRequestBody;
function serializeCeiling_MathPostRequestBody(writer, ceiling_MathPostRequestBody = {}) {
    writer.writeObjectValue("mode", ceiling_MathPostRequestBody.mode, json_1.serializeJson);
    writer.writeObjectValue("number", ceiling_MathPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", ceiling_MathPostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(ceiling_MathPostRequestBody.additionalData);
}
exports.serializeCeiling_MathPostRequestBody = serializeCeiling_MathPostRequestBody;
/**
 * Provides operations to call the ceiling_Math method.
 */
class Ceiling_MathRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Ceiling_MathRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ceiling_Math");
    }
    ;
    /**
     * Invoke action ceiling_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ceiling_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCeiling_MathPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ceiling_MathRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Ceiling_MathRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Ceiling_MathRequestBuilder = Ceiling_MathRequestBuilder;
// tslint:enable
// eslint-enable
