"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ceiling_PreciseRequestBuilder = exports.serializeCeiling_PrecisePostRequestBody = exports.deserializeIntoCeiling_PrecisePostRequestBody = exports.createCeiling_PrecisePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCeiling_PrecisePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCeiling_PrecisePostRequestBody;
}
exports.createCeiling_PrecisePostRequestBodyFromDiscriminatorValue = createCeiling_PrecisePostRequestBodyFromDiscriminatorValue;
function deserializeIntoCeiling_PrecisePostRequestBody(ceiling_PrecisePostRequestBody = {}) {
    return {
        "number": n => { ceiling_PrecisePostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { ceiling_PrecisePostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCeiling_PrecisePostRequestBody = deserializeIntoCeiling_PrecisePostRequestBody;
function serializeCeiling_PrecisePostRequestBody(writer, ceiling_PrecisePostRequestBody = {}) {
    writer.writeObjectValue("number", ceiling_PrecisePostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", ceiling_PrecisePostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(ceiling_PrecisePostRequestBody.additionalData);
}
exports.serializeCeiling_PrecisePostRequestBody = serializeCeiling_PrecisePostRequestBody;
/**
 * Provides operations to call the ceiling_Precise method.
 */
class Ceiling_PreciseRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Ceiling_PreciseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ceiling_Precise");
    }
    ;
    /**
     * Invoke action ceiling_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ceiling_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCeiling_PrecisePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ceiling_PreciseRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Ceiling_PreciseRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Ceiling_PreciseRequestBuilder = Ceiling_PreciseRequestBuilder;
// tslint:enable
// eslint-enable
