"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChiSq_DistRequestBuilder = exports.serializeChiSq_DistPostRequestBody = exports.deserializeIntoChiSq_DistPostRequestBody = exports.createChiSq_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createChiSq_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChiSq_DistPostRequestBody;
}
exports.createChiSq_DistPostRequestBodyFromDiscriminatorValue = createChiSq_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoChiSq_DistPostRequestBody(chiSq_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { chiSq_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "degFreedom": n => { chiSq_DistPostRequestBody.degFreedom = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { chiSq_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoChiSq_DistPostRequestBody = deserializeIntoChiSq_DistPostRequestBody;
function serializeChiSq_DistPostRequestBody(writer, chiSq_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", chiSq_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("degFreedom", chiSq_DistPostRequestBody.degFreedom, json_1.serializeJson);
    writer.writeObjectValue("x", chiSq_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(chiSq_DistPostRequestBody.additionalData);
}
exports.serializeChiSq_DistPostRequestBody = serializeChiSq_DistPostRequestBody;
/**
 * Provides operations to call the chiSq_Dist method.
 */
class ChiSq_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ChiSq_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/chiSq_Dist");
    }
    ;
    /**
     * Invoke action chiSq_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action chiSq_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeChiSq_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a chiSq_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ChiSq_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ChiSq_DistRequestBuilder = ChiSq_DistRequestBuilder;
// tslint:enable
// eslint-enable
