"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChiSq_Dist_RTRequestBuilder = exports.serializeChiSq_Dist_RTPostRequestBody = exports.deserializeIntoChiSq_Dist_RTPostRequestBody = exports.createChiSq_Dist_RTPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createChiSq_Dist_RTPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChiSq_Dist_RTPostRequestBody;
}
exports.createChiSq_Dist_RTPostRequestBodyFromDiscriminatorValue = createChiSq_Dist_RTPostRequestBodyFromDiscriminatorValue;
function deserializeIntoChiSq_Dist_RTPostRequestBody(chiSq_Dist_RTPostRequestBody = {}) {
    return {
        "degFreedom": n => { chiSq_Dist_RTPostRequestBody.degFreedom = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { chiSq_Dist_RTPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoChiSq_Dist_RTPostRequestBody = deserializeIntoChiSq_Dist_RTPostRequestBody;
function serializeChiSq_Dist_RTPostRequestBody(writer, chiSq_Dist_RTPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom", chiSq_Dist_RTPostRequestBody.degFreedom, json_1.serializeJson);
    writer.writeObjectValue("x", chiSq_Dist_RTPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(chiSq_Dist_RTPostRequestBody.additionalData);
}
exports.serializeChiSq_Dist_RTPostRequestBody = serializeChiSq_Dist_RTPostRequestBody;
/**
 * Provides operations to call the chiSq_Dist_RT method.
 */
class ChiSq_Dist_RTRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ChiSq_Dist_RTRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/chiSq_Dist_RT");
    }
    ;
    /**
     * Invoke action chiSq_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action chiSq_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeChiSq_Dist_RTPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a chiSq_Dist_RTRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ChiSq_Dist_RTRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ChiSq_Dist_RTRequestBuilder = ChiSq_Dist_RTRequestBuilder;
// tslint:enable
// eslint-enable
