"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChiSq_InvRequestBuilder = exports.serializeChiSq_InvPostRequestBody = exports.deserializeIntoChiSq_InvPostRequestBody = exports.createChiSq_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createChiSq_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChiSq_InvPostRequestBody;
}
exports.createChiSq_InvPostRequestBodyFromDiscriminatorValue = createChiSq_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoChiSq_InvPostRequestBody(chiSq_InvPostRequestBody = {}) {
    return {
        "degFreedom": n => { chiSq_InvPostRequestBody.degFreedom = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { chiSq_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoChiSq_InvPostRequestBody = deserializeIntoChiSq_InvPostRequestBody;
function serializeChiSq_InvPostRequestBody(writer, chiSq_InvPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom", chiSq_InvPostRequestBody.degFreedom, json_1.serializeJson);
    writer.writeObjectValue("probability", chiSq_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(chiSq_InvPostRequestBody.additionalData);
}
exports.serializeChiSq_InvPostRequestBody = serializeChiSq_InvPostRequestBody;
/**
 * Provides operations to call the chiSq_Inv method.
 */
class ChiSq_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ChiSq_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/chiSq_Inv");
    }
    ;
    /**
     * Invoke action chiSq_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action chiSq_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeChiSq_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a chiSq_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ChiSq_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ChiSq_InvRequestBuilder = ChiSq_InvRequestBuilder;
// tslint:enable
// eslint-enable
