"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnsRequestBuilder = exports.serializeColumnsPostRequestBody = exports.deserializeIntoColumnsPostRequestBody = exports.createColumnsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createColumnsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoColumnsPostRequestBody;
}
exports.createColumnsPostRequestBodyFromDiscriminatorValue = createColumnsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoColumnsPostRequestBody(columnsPostRequestBody = {}) {
    return {
        "array": n => { columnsPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoColumnsPostRequestBody = deserializeIntoColumnsPostRequestBody;
function serializeColumnsPostRequestBody(writer, columnsPostRequestBody = {}) {
    writer.writeObjectValue("array", columnsPostRequestBody.array, json_1.serializeJson);
    writer.writeAdditionalData(columnsPostRequestBody.additionalData);
}
exports.serializeColumnsPostRequestBody = serializeColumnsPostRequestBody;
/**
 * Provides operations to call the columns method.
 */
class ColumnsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ColumnsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/columns");
    }
    ;
    /**
     * Invoke action columns
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action columns
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeColumnsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a columnsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ColumnsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ColumnsRequestBuilder = ColumnsRequestBuilder;
// tslint:enable
// eslint-enable
