import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ComplexPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The iNum property
     */
    iNum?: Json;
    /**
     * The realNum property
     */
    realNum?: Json;
    /**
     * The suffix property
     */
    suffix?: Json;
}
export declare function createComplexPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoComplexPostRequestBody;
export declare function deserializeIntoComplexPostRequestBody(complexPostRequestBody?: ComplexPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeComplexPostRequestBody(writer: SerializationWriter, complexPostRequestBody?: ComplexPostRequestBody | undefined): void;
/**
 * Provides operations to call the complex method.
 */
export declare class ComplexRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ComplexRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action complex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: ComplexPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action complex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ComplexPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a complexRequestBuilder
     */
    withUrl(rawUrl: string): ComplexRequestBuilder;
}
