"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplexRequestBuilder = exports.serializeComplexPostRequestBody = exports.deserializeIntoComplexPostRequestBody = exports.createComplexPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createComplexPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoComplexPostRequestBody;
}
exports.createComplexPostRequestBodyFromDiscriminatorValue = createComplexPostRequestBodyFromDiscriminatorValue;
function deserializeIntoComplexPostRequestBody(complexPostRequestBody = {}) {
    return {
        "iNum": n => { complexPostRequestBody.iNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "realNum": n => { complexPostRequestBody.realNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "suffix": n => { complexPostRequestBody.suffix = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoComplexPostRequestBody = deserializeIntoComplexPostRequestBody;
function serializeComplexPostRequestBody(writer, complexPostRequestBody = {}) {
    writer.writeObjectValue("iNum", complexPostRequestBody.iNum, json_1.serializeJson);
    writer.writeObjectValue("realNum", complexPostRequestBody.realNum, json_1.serializeJson);
    writer.writeObjectValue("suffix", complexPostRequestBody.suffix, json_1.serializeJson);
    writer.writeAdditionalData(complexPostRequestBody.additionalData);
}
exports.serializeComplexPostRequestBody = serializeComplexPostRequestBody;
/**
 * Provides operations to call the complex method.
 */
class ComplexRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ComplexRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/complex");
    }
    ;
    /**
     * Invoke action complex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action complex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeComplexPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a complexRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ComplexRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ComplexRequestBuilder = ComplexRequestBuilder;
// tslint:enable
// eslint-enable
