"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Confidence_NormRequestBuilder = exports.serializeConfidence_NormPostRequestBody = exports.deserializeIntoConfidence_NormPostRequestBody = exports.createConfidence_NormPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createConfidence_NormPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConfidence_NormPostRequestBody;
}
exports.createConfidence_NormPostRequestBodyFromDiscriminatorValue = createConfidence_NormPostRequestBodyFromDiscriminatorValue;
function deserializeIntoConfidence_NormPostRequestBody(confidence_NormPostRequestBody = {}) {
    return {
        "alpha": n => { confidence_NormPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "size": n => { confidence_NormPostRequestBody.size = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "standardDev": n => { confidence_NormPostRequestBody.standardDev = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoConfidence_NormPostRequestBody = deserializeIntoConfidence_NormPostRequestBody;
function serializeConfidence_NormPostRequestBody(writer, confidence_NormPostRequestBody = {}) {
    writer.writeObjectValue("alpha", confidence_NormPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("size", confidence_NormPostRequestBody.size, json_1.serializeJson);
    writer.writeObjectValue("standardDev", confidence_NormPostRequestBody.standardDev, json_1.serializeJson);
    writer.writeAdditionalData(confidence_NormPostRequestBody.additionalData);
}
exports.serializeConfidence_NormPostRequestBody = serializeConfidence_NormPostRequestBody;
/**
 * Provides operations to call the confidence_Norm method.
 */
class Confidence_NormRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Confidence_NormRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/confidence_Norm");
    }
    ;
    /**
     * Invoke action confidence_Norm
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action confidence_Norm
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeConfidence_NormPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a confidence_NormRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Confidence_NormRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Confidence_NormRequestBuilder = Confidence_NormRequestBuilder;
// tslint:enable
// eslint-enable
