import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Confidence_TPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The size property
     */
    size?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
}
export declare function createConfidence_TPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfidence_TPostRequestBody;
export declare function deserializeIntoConfidence_TPostRequestBody(confidence_TPostRequestBody?: Confidence_TPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfidence_TPostRequestBody(writer: SerializationWriter, confidence_TPostRequestBody?: Confidence_TPostRequestBody | undefined): void;
/**
 * Provides operations to call the confidence_T method.
 */
export declare class Confidence_TRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Confidence_TRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action confidence_T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Confidence_TPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action confidence_T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Confidence_TPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a confidence_TRequestBuilder
     */
    withUrl(rawUrl: string): Confidence_TRequestBuilder;
}
