"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Confidence_TRequestBuilder = exports.serializeConfidence_TPostRequestBody = exports.deserializeIntoConfidence_TPostRequestBody = exports.createConfidence_TPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createConfidence_TPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConfidence_TPostRequestBody;
}
exports.createConfidence_TPostRequestBodyFromDiscriminatorValue = createConfidence_TPostRequestBodyFromDiscriminatorValue;
function deserializeIntoConfidence_TPostRequestBody(confidence_TPostRequestBody = {}) {
    return {
        "alpha": n => { confidence_TPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "size": n => { confidence_TPostRequestBody.size = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "standardDev": n => { confidence_TPostRequestBody.standardDev = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoConfidence_TPostRequestBody = deserializeIntoConfidence_TPostRequestBody;
function serializeConfidence_TPostRequestBody(writer, confidence_TPostRequestBody = {}) {
    writer.writeObjectValue("alpha", confidence_TPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("size", confidence_TPostRequestBody.size, json_1.serializeJson);
    writer.writeObjectValue("standardDev", confidence_TPostRequestBody.standardDev, json_1.serializeJson);
    writer.writeAdditionalData(confidence_TPostRequestBody.additionalData);
}
exports.serializeConfidence_TPostRequestBody = serializeConfidence_TPostRequestBody;
/**
 * Provides operations to call the confidence_T method.
 */
class Confidence_TRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Confidence_TRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/confidence_T");
    }
    ;
    /**
     * Invoke action confidence_T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action confidence_T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeConfidence_TPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a confidence_TRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Confidence_TRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Confidence_TRequestBuilder = Confidence_TRequestBuilder;
// tslint:enable
// eslint-enable
