import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConvertPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fromUnit property
     */
    fromUnit?: Json;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The toUnit property
     */
    toUnit?: Json;
}
export declare function createConvertPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConvertPostRequestBody;
export declare function deserializeIntoConvertPostRequestBody(convertPostRequestBody?: ConvertPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConvertPostRequestBody(writer: SerializationWriter, convertPostRequestBody?: ConvertPostRequestBody | undefined): void;
/**
 * Provides operations to call the convert method.
 */
export declare class ConvertRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ConvertRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action convert
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: ConvertPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action convert
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ConvertPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a convertRequestBuilder
     */
    withUrl(rawUrl: string): ConvertRequestBuilder;
}
