import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCumIPmtPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCumIPmtPostRequestBody;
export interface CumIPmtPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endPeriod property
     */
    endPeriod?: Json;
    /**
     * The nper property
     */
    nper?: Json;
    /**
     * The pv property
     */
    pv?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The startPeriod property
     */
    startPeriod?: Json;
    /**
     * The type property
     */
    type?: Json;
}
export declare function deserializeIntoCumIPmtPostRequestBody(cumIPmtPostRequestBody?: CumIPmtPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCumIPmtPostRequestBody(writer: SerializationWriter, cumIPmtPostRequestBody?: CumIPmtPostRequestBody | undefined): void;
/**
 * Provides operations to call the cumIPmt method.
 */
export declare class CumIPmtRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CumIPmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action cumIPmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: CumIPmtPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action cumIPmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CumIPmtPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cumIPmtRequestBuilder
     */
    withUrl(rawUrl: string): CumIPmtRequestBuilder;
}
