"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CumIPmtRequestBuilder = exports.serializeCumIPmtPostRequestBody = exports.deserializeIntoCumIPmtPostRequestBody = exports.createCumIPmtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCumIPmtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCumIPmtPostRequestBody;
}
exports.createCumIPmtPostRequestBodyFromDiscriminatorValue = createCumIPmtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCumIPmtPostRequestBody(cumIPmtPostRequestBody = {}) {
    return {
        "endPeriod": n => { cumIPmtPostRequestBody.endPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { cumIPmtPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { cumIPmtPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { cumIPmtPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startPeriod": n => { cumIPmtPostRequestBody.startPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { cumIPmtPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCumIPmtPostRequestBody = deserializeIntoCumIPmtPostRequestBody;
function serializeCumIPmtPostRequestBody(writer, cumIPmtPostRequestBody = {}) {
    writer.writeObjectValue("endPeriod", cumIPmtPostRequestBody.endPeriod, json_1.serializeJson);
    writer.writeObjectValue("nper", cumIPmtPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pv", cumIPmtPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", cumIPmtPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("startPeriod", cumIPmtPostRequestBody.startPeriod, json_1.serializeJson);
    writer.writeObjectValue("type", cumIPmtPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(cumIPmtPostRequestBody.additionalData);
}
exports.serializeCumIPmtPostRequestBody = serializeCumIPmtPostRequestBody;
/**
 * Provides operations to call the cumIPmt method.
 */
class CumIPmtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CumIPmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/cumIPmt");
    }
    ;
    /**
     * Invoke action cumIPmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action cumIPmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCumIPmtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cumIPmtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CumIPmtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CumIPmtRequestBuilder = CumIPmtRequestBuilder;
// tslint:enable
// eslint-enable
