"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CumPrincRequestBuilder = exports.serializeCumPrincPostRequestBody = exports.deserializeIntoCumPrincPostRequestBody = exports.createCumPrincPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCumPrincPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCumPrincPostRequestBody;
}
exports.createCumPrincPostRequestBodyFromDiscriminatorValue = createCumPrincPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCumPrincPostRequestBody(cumPrincPostRequestBody = {}) {
    return {
        "endPeriod": n => { cumPrincPostRequestBody.endPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { cumPrincPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { cumPrincPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { cumPrincPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startPeriod": n => { cumPrincPostRequestBody.startPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { cumPrincPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCumPrincPostRequestBody = deserializeIntoCumPrincPostRequestBody;
function serializeCumPrincPostRequestBody(writer, cumPrincPostRequestBody = {}) {
    writer.writeObjectValue("endPeriod", cumPrincPostRequestBody.endPeriod, json_1.serializeJson);
    writer.writeObjectValue("nper", cumPrincPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pv", cumPrincPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", cumPrincPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("startPeriod", cumPrincPostRequestBody.startPeriod, json_1.serializeJson);
    writer.writeObjectValue("type", cumPrincPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(cumPrincPostRequestBody.additionalData);
}
exports.serializeCumPrincPostRequestBody = serializeCumPrincPostRequestBody;
/**
 * Provides operations to call the cumPrinc method.
 */
class CumPrincRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CumPrincRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/cumPrinc");
    }
    ;
    /**
     * Invoke action cumPrinc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action cumPrinc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCumPrincPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cumPrincRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CumPrincRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CumPrincRequestBuilder = CumPrincRequestBuilder;
// tslint:enable
// eslint-enable
