"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateRequestBuilder = exports.serializeDatePostRequestBody = exports.deserializeIntoDatePostRequestBody = exports.createDatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDatePostRequestBody;
}
exports.createDatePostRequestBodyFromDiscriminatorValue = createDatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoDatePostRequestBody(datePostRequestBody = {}) {
    return {
        "day": n => { datePostRequestBody.day = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "month": n => { datePostRequestBody.month = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "year": n => { datePostRequestBody.year = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDatePostRequestBody = deserializeIntoDatePostRequestBody;
function serializeDatePostRequestBody(writer, datePostRequestBody = {}) {
    writer.writeObjectValue("day", datePostRequestBody.day, json_1.serializeJson);
    writer.writeObjectValue("month", datePostRequestBody.month, json_1.serializeJson);
    writer.writeObjectValue("year", datePostRequestBody.year, json_1.serializeJson);
    writer.writeAdditionalData(datePostRequestBody.additionalData);
}
exports.serializeDatePostRequestBody = serializeDatePostRequestBody;
/**
 * Provides operations to call the date method.
 */
class DateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/date");
    }
    ;
    /**
     * Invoke action date
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action date
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DateRequestBuilder = DateRequestBuilder;
// tslint:enable
// eslint-enable
