"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Days360RequestBuilder = exports.serializeDays360PostRequestBody = exports.deserializeIntoDays360PostRequestBody = exports.createDays360PostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDays360PostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDays360PostRequestBody;
}
exports.createDays360PostRequestBodyFromDiscriminatorValue = createDays360PostRequestBodyFromDiscriminatorValue;
function deserializeIntoDays360PostRequestBody(days360PostRequestBody = {}) {
    return {
        "endDate": n => { days360PostRequestBody.endDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "method": n => { days360PostRequestBody.method = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startDate": n => { days360PostRequestBody.startDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDays360PostRequestBody = deserializeIntoDays360PostRequestBody;
function serializeDays360PostRequestBody(writer, days360PostRequestBody = {}) {
    writer.writeObjectValue("endDate", days360PostRequestBody.endDate, json_1.serializeJson);
    writer.writeObjectValue("method", days360PostRequestBody.method, json_1.serializeJson);
    writer.writeObjectValue("startDate", days360PostRequestBody.startDate, json_1.serializeJson);
    writer.writeAdditionalData(days360PostRequestBody.additionalData);
}
exports.serializeDays360PostRequestBody = serializeDays360PostRequestBody;
/**
 * Provides operations to call the days360 method.
 */
class Days360RequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Days360RequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/days360");
    }
    ;
    /**
     * Invoke action days360
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action days360
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDays360PostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a days360RequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Days360RequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Days360RequestBuilder = Days360RequestBuilder;
// tslint:enable
// eslint-enable
