"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DbRequestBuilder = exports.serializeDbPostRequestBody = exports.deserializeIntoDbPostRequestBody = exports.createDbPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDbPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDbPostRequestBody;
}
exports.createDbPostRequestBodyFromDiscriminatorValue = createDbPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDbPostRequestBody(dbPostRequestBody = {}) {
    return {
        "cost": n => { dbPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "life": n => { dbPostRequestBody.life = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "month": n => { dbPostRequestBody.month = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "period": n => { dbPostRequestBody.period = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { dbPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDbPostRequestBody = deserializeIntoDbPostRequestBody;
function serializeDbPostRequestBody(writer, dbPostRequestBody = {}) {
    writer.writeObjectValue("cost", dbPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("life", dbPostRequestBody.life, json_1.serializeJson);
    writer.writeObjectValue("month", dbPostRequestBody.month, json_1.serializeJson);
    writer.writeObjectValue("period", dbPostRequestBody.period, json_1.serializeJson);
    writer.writeObjectValue("salvage", dbPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(dbPostRequestBody.additionalData);
}
exports.serializeDbPostRequestBody = serializeDbPostRequestBody;
/**
 * Provides operations to call the db method.
 */
class DbRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/db");
    }
    ;
    /**
     * Invoke action db
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action db
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDbPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dbRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DbRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DbRequestBuilder = DbRequestBuilder;
// tslint:enable
// eslint-enable
