import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDdbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDdbPostRequestBody;
export interface DdbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The factor property
     */
    factor?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The period property
     */
    period?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
}
export declare function deserializeIntoDdbPostRequestBody(ddbPostRequestBody?: DdbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDdbPostRequestBody(writer: SerializationWriter, ddbPostRequestBody?: DdbPostRequestBody | undefined): void;
/**
 * Provides operations to call the ddb method.
 */
export declare class DdbRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DdbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action ddb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: DdbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action ddb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: DdbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ddbRequestBuilder
     */
    withUrl(rawUrl: string): DdbRequestBuilder;
}
