"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DdbRequestBuilder = exports.serializeDdbPostRequestBody = exports.deserializeIntoDdbPostRequestBody = exports.createDdbPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDdbPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDdbPostRequestBody;
}
exports.createDdbPostRequestBodyFromDiscriminatorValue = createDdbPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDdbPostRequestBody(ddbPostRequestBody = {}) {
    return {
        "cost": n => { ddbPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "factor": n => { ddbPostRequestBody.factor = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "life": n => { ddbPostRequestBody.life = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "period": n => { ddbPostRequestBody.period = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { ddbPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDdbPostRequestBody = deserializeIntoDdbPostRequestBody;
function serializeDdbPostRequestBody(writer, ddbPostRequestBody = {}) {
    writer.writeObjectValue("cost", ddbPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("factor", ddbPostRequestBody.factor, json_1.serializeJson);
    writer.writeObjectValue("life", ddbPostRequestBody.life, json_1.serializeJson);
    writer.writeObjectValue("period", ddbPostRequestBody.period, json_1.serializeJson);
    writer.writeObjectValue("salvage", ddbPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(ddbPostRequestBody.additionalData);
}
exports.serializeDdbPostRequestBody = serializeDdbPostRequestBody;
/**
 * Provides operations to call the ddb method.
 */
class DdbRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DdbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ddb");
    }
    ;
    /**
     * Invoke action ddb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ddb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDdbPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ddbRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DdbRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DdbRequestBuilder = DdbRequestBuilder;
// tslint:enable
// eslint-enable
