"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dec2HexRequestBuilder = exports.serializeDec2HexPostRequestBody = exports.deserializeIntoDec2HexPostRequestBody = exports.createDec2HexPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDec2HexPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDec2HexPostRequestBody;
}
exports.createDec2HexPostRequestBodyFromDiscriminatorValue = createDec2HexPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDec2HexPostRequestBody(dec2HexPostRequestBody = {}) {
    return {
        "number": n => { dec2HexPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "places": n => { dec2HexPostRequestBody.places = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDec2HexPostRequestBody = deserializeIntoDec2HexPostRequestBody;
function serializeDec2HexPostRequestBody(writer, dec2HexPostRequestBody = {}) {
    writer.writeObjectValue("number", dec2HexPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("places", dec2HexPostRequestBody.places, json_1.serializeJson);
    writer.writeAdditionalData(dec2HexPostRequestBody.additionalData);
}
exports.serializeDec2HexPostRequestBody = serializeDec2HexPostRequestBody;
/**
 * Provides operations to call the dec2Hex method.
 */
class Dec2HexRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Dec2HexRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/dec2Hex");
    }
    ;
    /**
     * Invoke action dec2Hex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action dec2Hex
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDec2HexPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dec2HexRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Dec2HexRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Dec2HexRequestBuilder = Dec2HexRequestBuilder;
// tslint:enable
// eslint-enable
