"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DecimalRequestBuilder = exports.serializeDecimalPostRequestBody = exports.deserializeIntoDecimalPostRequestBody = exports.createDecimalPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDecimalPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDecimalPostRequestBody;
}
exports.createDecimalPostRequestBodyFromDiscriminatorValue = createDecimalPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDecimalPostRequestBody(decimalPostRequestBody = {}) {
    return {
        "number": n => { decimalPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "radix": n => { decimalPostRequestBody.radix = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDecimalPostRequestBody = deserializeIntoDecimalPostRequestBody;
function serializeDecimalPostRequestBody(writer, decimalPostRequestBody = {}) {
    writer.writeObjectValue("number", decimalPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("radix", decimalPostRequestBody.radix, json_1.serializeJson);
    writer.writeAdditionalData(decimalPostRequestBody.additionalData);
}
exports.serializeDecimalPostRequestBody = serializeDecimalPostRequestBody;
/**
 * Provides operations to call the decimal method.
 */
class DecimalRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DecimalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/decimal");
    }
    ;
    /**
     * Invoke action decimal
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action decimal
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDecimalPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a decimalRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DecimalRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DecimalRequestBuilder = DecimalRequestBuilder;
// tslint:enable
// eslint-enable
