"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DollarRequestBuilder = exports.serializeDollarPostRequestBody = exports.deserializeIntoDollarPostRequestBody = exports.createDollarPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDollarPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDollarPostRequestBody;
}
exports.createDollarPostRequestBodyFromDiscriminatorValue = createDollarPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDollarPostRequestBody(dollarPostRequestBody = {}) {
    return {
        "decimals": n => { dollarPostRequestBody.decimals = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "number": n => { dollarPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDollarPostRequestBody = deserializeIntoDollarPostRequestBody;
function serializeDollarPostRequestBody(writer, dollarPostRequestBody = {}) {
    writer.writeObjectValue("decimals", dollarPostRequestBody.decimals, json_1.serializeJson);
    writer.writeObjectValue("number", dollarPostRequestBody.number, json_1.serializeJson);
    writer.writeAdditionalData(dollarPostRequestBody.additionalData);
}
exports.serializeDollarPostRequestBody = serializeDollarPostRequestBody;
/**
 * Provides operations to call the dollar method.
 */
class DollarRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DollarRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/dollar");
    }
    ;
    /**
     * Invoke action dollar
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action dollar
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDollarPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dollarRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DollarRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DollarRequestBuilder = DollarRequestBuilder;
// tslint:enable
// eslint-enable
