import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDollarFrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDollarFrPostRequestBody;
export declare function deserializeIntoDollarFrPostRequestBody(dollarFrPostRequestBody?: DollarFrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DollarFrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimalDollar property
     */
    decimalDollar?: Json;
    /**
     * The fraction property
     */
    fraction?: Json;
}
export declare function serializeDollarFrPostRequestBody(writer: SerializationWriter, dollarFrPostRequestBody?: DollarFrPostRequestBody | undefined): void;
/**
 * Provides operations to call the dollarFr method.
 */
export declare class DollarFrRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DollarFrRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action dollarFr
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: DollarFrPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action dollarFr
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: DollarFrPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dollarFrRequestBuilder
     */
    withUrl(rawUrl: string): DollarFrRequestBuilder;
}
