"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DstDevRequestBuilder = exports.serializeDstDevPostRequestBody = exports.deserializeIntoDstDevPostRequestBody = exports.createDstDevPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDstDevPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDstDevPostRequestBody;
}
exports.createDstDevPostRequestBodyFromDiscriminatorValue = createDstDevPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDstDevPostRequestBody(dstDevPostRequestBody = {}) {
    return {
        "criteria": n => { dstDevPostRequestBody.criteria = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "database": n => { dstDevPostRequestBody.database = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "field": n => { dstDevPostRequestBody.field = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDstDevPostRequestBody = deserializeIntoDstDevPostRequestBody;
function serializeDstDevPostRequestBody(writer, dstDevPostRequestBody = {}) {
    writer.writeObjectValue("criteria", dstDevPostRequestBody.criteria, json_1.serializeJson);
    writer.writeObjectValue("database", dstDevPostRequestBody.database, json_1.serializeJson);
    writer.writeObjectValue("field", dstDevPostRequestBody.field, json_1.serializeJson);
    writer.writeAdditionalData(dstDevPostRequestBody.additionalData);
}
exports.serializeDstDevPostRequestBody = serializeDstDevPostRequestBody;
/**
 * Provides operations to call the dstDev method.
 */
class DstDevRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DstDevRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/dstDev");
    }
    ;
    /**
     * Invoke action dstDev
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action dstDev
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDstDevPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dstDevRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DstDevRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DstDevRequestBuilder = DstDevRequestBuilder;
// tslint:enable
// eslint-enable
