"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DurationRequestBuilder = exports.serializeDurationPostRequestBody = exports.deserializeIntoDurationPostRequestBody = exports.createDurationPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDurationPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDurationPostRequestBody;
}
exports.createDurationPostRequestBodyFromDiscriminatorValue = createDurationPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDurationPostRequestBody(durationPostRequestBody = {}) {
    return {
        "basis": n => { durationPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "coupon": n => { durationPostRequestBody.coupon = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { durationPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { durationPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { durationPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { durationPostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDurationPostRequestBody = deserializeIntoDurationPostRequestBody;
function serializeDurationPostRequestBody(writer, durationPostRequestBody = {}) {
    writer.writeObjectValue("basis", durationPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("coupon", durationPostRequestBody.coupon, json_1.serializeJson);
    writer.writeObjectValue("frequency", durationPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("maturity", durationPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("settlement", durationPostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", durationPostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(durationPostRequestBody.additionalData);
}
exports.serializeDurationPostRequestBody = serializeDurationPostRequestBody;
/**
 * Provides operations to call the duration method.
 */
class DurationRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DurationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/duration");
    }
    ;
    /**
     * Invoke action duration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action duration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDurationPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a durationRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DurationRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DurationRequestBuilder = DurationRequestBuilder;
// tslint:enable
// eslint-enable
