"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DvarRequestBuilder = exports.serializeDvarPostRequestBody = exports.deserializeIntoDvarPostRequestBody = exports.createDvarPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDvarPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDvarPostRequestBody;
}
exports.createDvarPostRequestBodyFromDiscriminatorValue = createDvarPostRequestBodyFromDiscriminatorValue;
function deserializeIntoDvarPostRequestBody(dvarPostRequestBody = {}) {
    return {
        "criteria": n => { dvarPostRequestBody.criteria = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "database": n => { dvarPostRequestBody.database = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "field": n => { dvarPostRequestBody.field = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoDvarPostRequestBody = deserializeIntoDvarPostRequestBody;
function serializeDvarPostRequestBody(writer, dvarPostRequestBody = {}) {
    writer.writeObjectValue("criteria", dvarPostRequestBody.criteria, json_1.serializeJson);
    writer.writeObjectValue("database", dvarPostRequestBody.database, json_1.serializeJson);
    writer.writeObjectValue("field", dvarPostRequestBody.field, json_1.serializeJson);
    writer.writeAdditionalData(dvarPostRequestBody.additionalData);
}
exports.serializeDvarPostRequestBody = serializeDvarPostRequestBody;
/**
 * Provides operations to call the dvar method.
 */
class DvarRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DvarRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/dvar");
    }
    ;
    /**
     * Invoke action dvar
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action dvar
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeDvarPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dvarRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DvarRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DvarRequestBuilder = DvarRequestBuilder;
// tslint:enable
// eslint-enable
