"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ecma_CeilingRequestBuilder = exports.serializeEcma_CeilingPostRequestBody = exports.deserializeIntoEcma_CeilingPostRequestBody = exports.createEcma_CeilingPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createEcma_CeilingPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEcma_CeilingPostRequestBody;
}
exports.createEcma_CeilingPostRequestBodyFromDiscriminatorValue = createEcma_CeilingPostRequestBodyFromDiscriminatorValue;
function deserializeIntoEcma_CeilingPostRequestBody(ecma_CeilingPostRequestBody = {}) {
    return {
        "number": n => { ecma_CeilingPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { ecma_CeilingPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoEcma_CeilingPostRequestBody = deserializeIntoEcma_CeilingPostRequestBody;
function serializeEcma_CeilingPostRequestBody(writer, ecma_CeilingPostRequestBody = {}) {
    writer.writeObjectValue("number", ecma_CeilingPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", ecma_CeilingPostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(ecma_CeilingPostRequestBody.additionalData);
}
exports.serializeEcma_CeilingPostRequestBody = serializeEcma_CeilingPostRequestBody;
/**
 * Provides operations to call the ecma_Ceiling method.
 */
class Ecma_CeilingRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Ecma_CeilingRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ecma_Ceiling");
    }
    ;
    /**
     * Invoke action ecma_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ecma_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeEcma_CeilingPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ecma_CeilingRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Ecma_CeilingRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Ecma_CeilingRequestBuilder = Ecma_CeilingRequestBuilder;
// tslint:enable
// eslint-enable
