"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EdateRequestBuilder = exports.serializeEdatePostRequestBody = exports.deserializeIntoEdatePostRequestBody = exports.createEdatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createEdatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEdatePostRequestBody;
}
exports.createEdatePostRequestBodyFromDiscriminatorValue = createEdatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoEdatePostRequestBody(edatePostRequestBody = {}) {
    return {
        "months": n => { edatePostRequestBody.months = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startDate": n => { edatePostRequestBody.startDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoEdatePostRequestBody = deserializeIntoEdatePostRequestBody;
function serializeEdatePostRequestBody(writer, edatePostRequestBody = {}) {
    writer.writeObjectValue("months", edatePostRequestBody.months, json_1.serializeJson);
    writer.writeObjectValue("startDate", edatePostRequestBody.startDate, json_1.serializeJson);
    writer.writeAdditionalData(edatePostRequestBody.additionalData);
}
exports.serializeEdatePostRequestBody = serializeEdatePostRequestBody;
/**
 * Provides operations to call the edate method.
 */
class EdateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new EdateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/edate");
    }
    ;
    /**
     * Invoke action edate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action edate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeEdatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a edateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new EdateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.EdateRequestBuilder = EdateRequestBuilder;
// tslint:enable
// eslint-enable
