import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEoMonthPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEoMonthPostRequestBody;
export declare function deserializeIntoEoMonthPostRequestBody(eoMonthPostRequestBody?: EoMonthPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EoMonthPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The months property
     */
    months?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function serializeEoMonthPostRequestBody(writer: SerializationWriter, eoMonthPostRequestBody?: EoMonthPostRequestBody | undefined): void;
/**
 * Provides operations to call the eoMonth method.
 */
export declare class EoMonthRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new EoMonthRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action eoMonth
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: EoMonthPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action eoMonth
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: EoMonthPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a eoMonthRequestBuilder
     */
    withUrl(rawUrl: string): EoMonthRequestBuilder;
}
