"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErfC_PreciseRequestBuilder = exports.serializeErfC_PrecisePostRequestBody = exports.deserializeIntoErfC_PrecisePostRequestBody = exports.createErfC_PrecisePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createErfC_PrecisePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoErfC_PrecisePostRequestBody;
}
exports.createErfC_PrecisePostRequestBodyFromDiscriminatorValue = createErfC_PrecisePostRequestBodyFromDiscriminatorValue;
function deserializeIntoErfC_PrecisePostRequestBody(erfC_PrecisePostRequestBody = {}) {
    return {
        "x": n => { erfC_PrecisePostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoErfC_PrecisePostRequestBody = deserializeIntoErfC_PrecisePostRequestBody;
function serializeErfC_PrecisePostRequestBody(writer, erfC_PrecisePostRequestBody = {}) {
    writer.writeObjectValue("X", erfC_PrecisePostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(erfC_PrecisePostRequestBody.additionalData);
}
exports.serializeErfC_PrecisePostRequestBody = serializeErfC_PrecisePostRequestBody;
/**
 * Provides operations to call the erfC_Precise method.
 */
class ErfC_PreciseRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ErfC_PreciseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/erfC_Precise");
    }
    ;
    /**
     * Invoke action erfC_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action erfC_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeErfC_PrecisePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a erfC_PreciseRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ErfC_PreciseRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ErfC_PreciseRequestBuilder = ErfC_PreciseRequestBuilder;
// tslint:enable
// eslint-enable
