import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErf_PrecisePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErf_PrecisePostRequestBody;
export declare function deserializeIntoErf_PrecisePostRequestBody(erf_PrecisePostRequestBody?: Erf_PrecisePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Erf_PrecisePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The X property
     */
    x?: Json;
}
export declare function serializeErf_PrecisePostRequestBody(writer: SerializationWriter, erf_PrecisePostRequestBody?: Erf_PrecisePostRequestBody | undefined): void;
/**
 * Provides operations to call the erf_Precise method.
 */
export declare class Erf_PreciseRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Erf_PreciseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action erf_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Erf_PrecisePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action erf_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Erf_PrecisePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a erf_PreciseRequestBuilder
     */
    withUrl(rawUrl: string): Erf_PreciseRequestBuilder;
}
