"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Error_TypeRequestBuilder = exports.serializeError_TypePostRequestBody = exports.deserializeIntoError_TypePostRequestBody = exports.createError_TypePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createError_TypePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoError_TypePostRequestBody;
}
exports.createError_TypePostRequestBodyFromDiscriminatorValue = createError_TypePostRequestBodyFromDiscriminatorValue;
function deserializeIntoError_TypePostRequestBody(error_TypePostRequestBody = {}) {
    return {
        "errorVal": n => { error_TypePostRequestBody.errorVal = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoError_TypePostRequestBody = deserializeIntoError_TypePostRequestBody;
function serializeError_TypePostRequestBody(writer, error_TypePostRequestBody = {}) {
    writer.writeObjectValue("errorVal", error_TypePostRequestBody.errorVal, json_1.serializeJson);
    writer.writeAdditionalData(error_TypePostRequestBody.additionalData);
}
exports.serializeError_TypePostRequestBody = serializeError_TypePostRequestBody;
/**
 * Provides operations to call the error_Type method.
 */
class Error_TypeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Error_TypeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/error_Type");
    }
    ;
    /**
     * Invoke action error_Type
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action error_Type
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeError_TypePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a error_TypeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Error_TypeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Error_TypeRequestBuilder = Error_TypeRequestBuilder;
// tslint:enable
// eslint-enable
