"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Expon_DistRequestBuilder = exports.serializeExpon_DistPostRequestBody = exports.deserializeIntoExpon_DistPostRequestBody = exports.createExpon_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createExpon_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoExpon_DistPostRequestBody;
}
exports.createExpon_DistPostRequestBodyFromDiscriminatorValue = createExpon_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoExpon_DistPostRequestBody(expon_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { expon_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "lambda": n => { expon_DistPostRequestBody.lambda = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { expon_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoExpon_DistPostRequestBody = deserializeIntoExpon_DistPostRequestBody;
function serializeExpon_DistPostRequestBody(writer, expon_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", expon_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("lambda", expon_DistPostRequestBody.lambda, json_1.serializeJson);
    writer.writeObjectValue("x", expon_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(expon_DistPostRequestBody.additionalData);
}
exports.serializeExpon_DistPostRequestBody = serializeExpon_DistPostRequestBody;
/**
 * Provides operations to call the expon_Dist method.
 */
class Expon_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Expon_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/expon_Dist");
    }
    ;
    /**
     * Invoke action expon_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action expon_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeExpon_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a expon_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Expon_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Expon_DistRequestBuilder = Expon_DistRequestBuilder;
// tslint:enable
// eslint-enable
