"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.F_DistRequestBuilder = exports.serializeF_DistPostRequestBody = exports.deserializeIntoF_DistPostRequestBody = exports.createF_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createF_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoF_DistPostRequestBody;
}
exports.createF_DistPostRequestBodyFromDiscriminatorValue = createF_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoF_DistPostRequestBody(f_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { f_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "degFreedom1": n => { f_DistPostRequestBody.degFreedom1 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "degFreedom2": n => { f_DistPostRequestBody.degFreedom2 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { f_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoF_DistPostRequestBody = deserializeIntoF_DistPostRequestBody;
function serializeF_DistPostRequestBody(writer, f_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", f_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("degFreedom1", f_DistPostRequestBody.degFreedom1, json_1.serializeJson);
    writer.writeObjectValue("degFreedom2", f_DistPostRequestBody.degFreedom2, json_1.serializeJson);
    writer.writeObjectValue("x", f_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(f_DistPostRequestBody.additionalData);
}
exports.serializeF_DistPostRequestBody = serializeF_DistPostRequestBody;
/**
 * Provides operations to call the f_Dist method.
 */
class F_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new F_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/f_Dist");
    }
    ;
    /**
     * Invoke action f_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action f_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeF_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a f_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new F_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.F_DistRequestBuilder = F_DistRequestBuilder;
// tslint:enable
// eslint-enable
