"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.F_Dist_RTRequestBuilder = exports.serializeF_Dist_RTPostRequestBody = exports.deserializeIntoF_Dist_RTPostRequestBody = exports.createF_Dist_RTPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createF_Dist_RTPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoF_Dist_RTPostRequestBody;
}
exports.createF_Dist_RTPostRequestBodyFromDiscriminatorValue = createF_Dist_RTPostRequestBodyFromDiscriminatorValue;
function deserializeIntoF_Dist_RTPostRequestBody(f_Dist_RTPostRequestBody = {}) {
    return {
        "degFreedom1": n => { f_Dist_RTPostRequestBody.degFreedom1 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "degFreedom2": n => { f_Dist_RTPostRequestBody.degFreedom2 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { f_Dist_RTPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoF_Dist_RTPostRequestBody = deserializeIntoF_Dist_RTPostRequestBody;
function serializeF_Dist_RTPostRequestBody(writer, f_Dist_RTPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom1", f_Dist_RTPostRequestBody.degFreedom1, json_1.serializeJson);
    writer.writeObjectValue("degFreedom2", f_Dist_RTPostRequestBody.degFreedom2, json_1.serializeJson);
    writer.writeObjectValue("x", f_Dist_RTPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(f_Dist_RTPostRequestBody.additionalData);
}
exports.serializeF_Dist_RTPostRequestBody = serializeF_Dist_RTPostRequestBody;
/**
 * Provides operations to call the f_Dist_RT method.
 */
class F_Dist_RTRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new F_Dist_RTRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/f_Dist_RT");
    }
    ;
    /**
     * Invoke action f_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action f_Dist_RT
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeF_Dist_RTPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a f_Dist_RTRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new F_Dist_RTRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.F_Dist_RTRequestBuilder = F_Dist_RTRequestBuilder;
// tslint:enable
// eslint-enable
