import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createF_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoF_InvPostRequestBody;
export declare function deserializeIntoF_InvPostRequestBody(f_InvPostRequestBody?: F_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface F_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The degFreedom1 property
     */
    degFreedom1?: Json;
    /**
     * The degFreedom2 property
     */
    degFreedom2?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeF_InvPostRequestBody(writer: SerializationWriter, f_InvPostRequestBody?: F_InvPostRequestBody | undefined): void;
/**
 * Provides operations to call the f_Inv method.
 */
export declare class F_InvRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new F_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action f_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: F_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action f_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: F_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a f_InvRequestBuilder
     */
    withUrl(rawUrl: string): F_InvRequestBuilder;
}
