"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.F_InvRequestBuilder = exports.serializeF_InvPostRequestBody = exports.deserializeIntoF_InvPostRequestBody = exports.createF_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createF_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoF_InvPostRequestBody;
}
exports.createF_InvPostRequestBodyFromDiscriminatorValue = createF_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoF_InvPostRequestBody(f_InvPostRequestBody = {}) {
    return {
        "degFreedom1": n => { f_InvPostRequestBody.degFreedom1 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "degFreedom2": n => { f_InvPostRequestBody.degFreedom2 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { f_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoF_InvPostRequestBody = deserializeIntoF_InvPostRequestBody;
function serializeF_InvPostRequestBody(writer, f_InvPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom1", f_InvPostRequestBody.degFreedom1, json_1.serializeJson);
    writer.writeObjectValue("degFreedom2", f_InvPostRequestBody.degFreedom2, json_1.serializeJson);
    writer.writeObjectValue("probability", f_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(f_InvPostRequestBody.additionalData);
}
exports.serializeF_InvPostRequestBody = serializeF_InvPostRequestBody;
/**
 * Provides operations to call the f_Inv method.
 */
class F_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new F_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/f_Inv");
    }
    ;
    /**
     * Invoke action f_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action f_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeF_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a f_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new F_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.F_InvRequestBuilder = F_InvRequestBuilder;
// tslint:enable
// eslint-enable
