import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFindPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFindPostRequestBody;
export declare function deserializeIntoFindPostRequestBody(findPostRequestBody?: FindPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FindPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The findText property
     */
    findText?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The withinText property
     */
    withinText?: Json;
}
export declare function serializeFindPostRequestBody(writer: SerializationWriter, findPostRequestBody?: FindPostRequestBody | undefined): void;
/**
 * Provides operations to call the find method.
 */
export declare class FindRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FindRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action find
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: FindPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action find
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: FindPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a findRequestBuilder
     */
    withUrl(rawUrl: string): FindRequestBuilder;
}
