"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindRequestBuilder = exports.serializeFindPostRequestBody = exports.deserializeIntoFindPostRequestBody = exports.createFindPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFindPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFindPostRequestBody;
}
exports.createFindPostRequestBodyFromDiscriminatorValue = createFindPostRequestBodyFromDiscriminatorValue;
function deserializeIntoFindPostRequestBody(findPostRequestBody = {}) {
    return {
        "findText": n => { findPostRequestBody.findText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startNum": n => { findPostRequestBody.startNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "withinText": n => { findPostRequestBody.withinText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoFindPostRequestBody = deserializeIntoFindPostRequestBody;
function serializeFindPostRequestBody(writer, findPostRequestBody = {}) {
    writer.writeObjectValue("findText", findPostRequestBody.findText, json_1.serializeJson);
    writer.writeObjectValue("startNum", findPostRequestBody.startNum, json_1.serializeJson);
    writer.writeObjectValue("withinText", findPostRequestBody.withinText, json_1.serializeJson);
    writer.writeAdditionalData(findPostRequestBody.additionalData);
}
exports.serializeFindPostRequestBody = serializeFindPostRequestBody;
/**
 * Provides operations to call the find method.
 */
class FindRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FindRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/find");
    }
    ;
    /**
     * Invoke action find
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action find
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeFindPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a findRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FindRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FindRequestBuilder = FindRequestBuilder;
// tslint:enable
// eslint-enable
