import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFixedPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFixedPostRequestBody;
export declare function deserializeIntoFixedPostRequestBody(fixedPostRequestBody?: FixedPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FixedPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimals property
     */
    decimals?: Json;
    /**
     * The noCommas property
     */
    noCommas?: Json;
    /**
     * The number property
     */
    number?: Json;
}
export declare function serializeFixedPostRequestBody(writer: SerializationWriter, fixedPostRequestBody?: FixedPostRequestBody | undefined): void;
/**
 * Provides operations to call the fixed method.
 */
export declare class FixedRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FixedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action fixed
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: FixedPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action fixed
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: FixedPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a fixedRequestBuilder
     */
    withUrl(rawUrl: string): FixedRequestBuilder;
}
