"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Floor_MathRequestBuilder = exports.serializeFloor_MathPostRequestBody = exports.deserializeIntoFloor_MathPostRequestBody = exports.createFloor_MathPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFloor_MathPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFloor_MathPostRequestBody;
}
exports.createFloor_MathPostRequestBodyFromDiscriminatorValue = createFloor_MathPostRequestBodyFromDiscriminatorValue;
function deserializeIntoFloor_MathPostRequestBody(floor_MathPostRequestBody = {}) {
    return {
        "mode": n => { floor_MathPostRequestBody.mode = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "number": n => { floor_MathPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { floor_MathPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoFloor_MathPostRequestBody = deserializeIntoFloor_MathPostRequestBody;
function serializeFloor_MathPostRequestBody(writer, floor_MathPostRequestBody = {}) {
    writer.writeObjectValue("mode", floor_MathPostRequestBody.mode, json_1.serializeJson);
    writer.writeObjectValue("number", floor_MathPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", floor_MathPostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(floor_MathPostRequestBody.additionalData);
}
exports.serializeFloor_MathPostRequestBody = serializeFloor_MathPostRequestBody;
/**
 * Provides operations to call the floor_Math method.
 */
class Floor_MathRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Floor_MathRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/floor_Math");
    }
    ;
    /**
     * Invoke action floor_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action floor_Math
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeFloor_MathPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a floor_MathRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Floor_MathRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Floor_MathRequestBuilder = Floor_MathRequestBuilder;
// tslint:enable
// eslint-enable
