"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Floor_PreciseRequestBuilder = exports.serializeFloor_PrecisePostRequestBody = exports.deserializeIntoFloor_PrecisePostRequestBody = exports.createFloor_PrecisePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFloor_PrecisePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFloor_PrecisePostRequestBody;
}
exports.createFloor_PrecisePostRequestBodyFromDiscriminatorValue = createFloor_PrecisePostRequestBodyFromDiscriminatorValue;
function deserializeIntoFloor_PrecisePostRequestBody(floor_PrecisePostRequestBody = {}) {
    return {
        "number": n => { floor_PrecisePostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { floor_PrecisePostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoFloor_PrecisePostRequestBody = deserializeIntoFloor_PrecisePostRequestBody;
function serializeFloor_PrecisePostRequestBody(writer, floor_PrecisePostRequestBody = {}) {
    writer.writeObjectValue("number", floor_PrecisePostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", floor_PrecisePostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(floor_PrecisePostRequestBody.additionalData);
}
exports.serializeFloor_PrecisePostRequestBody = serializeFloor_PrecisePostRequestBody;
/**
 * Provides operations to call the floor_Precise method.
 */
class Floor_PreciseRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Floor_PreciseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/floor_Precise");
    }
    ;
    /**
     * Invoke action floor_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action floor_Precise
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeFloor_PrecisePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a floor_PreciseRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Floor_PreciseRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Floor_PreciseRequestBuilder = Floor_PreciseRequestBuilder;
// tslint:enable
// eslint-enable
