"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FvRequestBuilder = exports.serializeFvPostRequestBody = exports.deserializeIntoFvPostRequestBody = exports.createFvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFvPostRequestBody;
}
exports.createFvPostRequestBodyFromDiscriminatorValue = createFvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoFvPostRequestBody(fvPostRequestBody = {}) {
    return {
        "nper": n => { fvPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pmt": n => { fvPostRequestBody.pmt = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { fvPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { fvPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { fvPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoFvPostRequestBody = deserializeIntoFvPostRequestBody;
function serializeFvPostRequestBody(writer, fvPostRequestBody = {}) {
    writer.writeObjectValue("nper", fvPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pmt", fvPostRequestBody.pmt, json_1.serializeJson);
    writer.writeObjectValue("pv", fvPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", fvPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", fvPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(fvPostRequestBody.additionalData);
}
exports.serializeFvPostRequestBody = serializeFvPostRequestBody;
/**
 * Provides operations to call the fv method.
 */
class FvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/fv");
    }
    ;
    /**
     * Invoke action fv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action fv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeFvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a fvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FvRequestBuilder = FvRequestBuilder;
// tslint:enable
// eslint-enable
