import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFvschedulePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFvschedulePostRequestBody;
export declare function deserializeIntoFvschedulePostRequestBody(fvschedulePostRequestBody?: FvschedulePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface FvschedulePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The principal property
     */
    principal?: Json;
    /**
     * The schedule property
     */
    schedule?: Json;
}
export declare function serializeFvschedulePostRequestBody(writer: SerializationWriter, fvschedulePostRequestBody?: FvschedulePostRequestBody | undefined): void;
/**
 * Provides operations to call the fvschedule method.
 */
export declare class FvscheduleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FvscheduleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action fvschedule
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: FvschedulePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action fvschedule
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: FvschedulePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a fvscheduleRequestBuilder
     */
    withUrl(rawUrl: string): FvscheduleRequestBuilder;
}
