"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gamma_DistRequestBuilder = exports.serializeGamma_DistPostRequestBody = exports.deserializeIntoGamma_DistPostRequestBody = exports.createGamma_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGamma_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGamma_DistPostRequestBody;
}
exports.createGamma_DistPostRequestBodyFromDiscriminatorValue = createGamma_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGamma_DistPostRequestBody(gamma_DistPostRequestBody = {}) {
    return {
        "alpha": n => { gamma_DistPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "beta": n => { gamma_DistPostRequestBody.beta = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "cumulative": n => { gamma_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { gamma_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoGamma_DistPostRequestBody = deserializeIntoGamma_DistPostRequestBody;
function serializeGamma_DistPostRequestBody(writer, gamma_DistPostRequestBody = {}) {
    writer.writeObjectValue("alpha", gamma_DistPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("beta", gamma_DistPostRequestBody.beta, json_1.serializeJson);
    writer.writeObjectValue("cumulative", gamma_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("x", gamma_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(gamma_DistPostRequestBody.additionalData);
}
exports.serializeGamma_DistPostRequestBody = serializeGamma_DistPostRequestBody;
/**
 * Provides operations to call the gamma_Dist method.
 */
class Gamma_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Gamma_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/gamma_Dist");
    }
    ;
    /**
     * Invoke action gamma_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action gamma_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGamma_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a gamma_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Gamma_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Gamma_DistRequestBuilder = Gamma_DistRequestBuilder;
// tslint:enable
// eslint-enable
