import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGamma_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGamma_InvPostRequestBody;
export declare function deserializeIntoGamma_InvPostRequestBody(gamma_InvPostRequestBody?: Gamma_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Gamma_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The probability property
     */
    probability?: Json;
}
export declare function serializeGamma_InvPostRequestBody(writer: SerializationWriter, gamma_InvPostRequestBody?: Gamma_InvPostRequestBody | undefined): void;
/**
 * Provides operations to call the gamma_Inv method.
 */
export declare class Gamma_InvRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Gamma_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action gamma_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Gamma_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action gamma_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Gamma_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a gamma_InvRequestBuilder
     */
    withUrl(rawUrl: string): Gamma_InvRequestBuilder;
}
