"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Gamma_InvRequestBuilder = exports.serializeGamma_InvPostRequestBody = exports.deserializeIntoGamma_InvPostRequestBody = exports.createGamma_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGamma_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGamma_InvPostRequestBody;
}
exports.createGamma_InvPostRequestBodyFromDiscriminatorValue = createGamma_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGamma_InvPostRequestBody(gamma_InvPostRequestBody = {}) {
    return {
        "alpha": n => { gamma_InvPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "beta": n => { gamma_InvPostRequestBody.beta = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { gamma_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoGamma_InvPostRequestBody = deserializeIntoGamma_InvPostRequestBody;
function serializeGamma_InvPostRequestBody(writer, gamma_InvPostRequestBody = {}) {
    writer.writeObjectValue("alpha", gamma_InvPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("beta", gamma_InvPostRequestBody.beta, json_1.serializeJson);
    writer.writeObjectValue("probability", gamma_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(gamma_InvPostRequestBody.additionalData);
}
exports.serializeGamma_InvPostRequestBody = serializeGamma_InvPostRequestBody;
/**
 * Provides operations to call the gamma_Inv method.
 */
class Gamma_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Gamma_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/gamma_Inv");
    }
    ;
    /**
     * Invoke action gamma_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action gamma_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGamma_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a gamma_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Gamma_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Gamma_InvRequestBuilder = Gamma_InvRequestBuilder;
// tslint:enable
// eslint-enable
