"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hex2BinRequestBuilder = exports.serializeHex2BinPostRequestBody = exports.deserializeIntoHex2BinPostRequestBody = exports.createHex2BinPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createHex2BinPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHex2BinPostRequestBody;
}
exports.createHex2BinPostRequestBodyFromDiscriminatorValue = createHex2BinPostRequestBodyFromDiscriminatorValue;
function deserializeIntoHex2BinPostRequestBody(hex2BinPostRequestBody = {}) {
    return {
        "number": n => { hex2BinPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "places": n => { hex2BinPostRequestBody.places = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoHex2BinPostRequestBody = deserializeIntoHex2BinPostRequestBody;
function serializeHex2BinPostRequestBody(writer, hex2BinPostRequestBody = {}) {
    writer.writeObjectValue("number", hex2BinPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("places", hex2BinPostRequestBody.places, json_1.serializeJson);
    writer.writeAdditionalData(hex2BinPostRequestBody.additionalData);
}
exports.serializeHex2BinPostRequestBody = serializeHex2BinPostRequestBody;
/**
 * Provides operations to call the hex2Bin method.
 */
class Hex2BinRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Hex2BinRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/hex2Bin");
    }
    ;
    /**
     * Invoke action hex2Bin
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action hex2Bin
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeHex2BinPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a hex2BinRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Hex2BinRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Hex2BinRequestBuilder = Hex2BinRequestBuilder;
// tslint:enable
// eslint-enable
