"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HlookupRequestBuilder = exports.serializeHlookupPostRequestBody = exports.deserializeIntoHlookupPostRequestBody = exports.createHlookupPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createHlookupPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHlookupPostRequestBody;
}
exports.createHlookupPostRequestBodyFromDiscriminatorValue = createHlookupPostRequestBodyFromDiscriminatorValue;
function deserializeIntoHlookupPostRequestBody(hlookupPostRequestBody = {}) {
    return {
        "lookupValue": n => { hlookupPostRequestBody.lookupValue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rangeLookup": n => { hlookupPostRequestBody.rangeLookup = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rowIndexNum": n => { hlookupPostRequestBody.rowIndexNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "tableArray": n => { hlookupPostRequestBody.tableArray = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoHlookupPostRequestBody = deserializeIntoHlookupPostRequestBody;
function serializeHlookupPostRequestBody(writer, hlookupPostRequestBody = {}) {
    writer.writeObjectValue("lookupValue", hlookupPostRequestBody.lookupValue, json_1.serializeJson);
    writer.writeObjectValue("rangeLookup", hlookupPostRequestBody.rangeLookup, json_1.serializeJson);
    writer.writeObjectValue("rowIndexNum", hlookupPostRequestBody.rowIndexNum, json_1.serializeJson);
    writer.writeObjectValue("tableArray", hlookupPostRequestBody.tableArray, json_1.serializeJson);
    writer.writeAdditionalData(hlookupPostRequestBody.additionalData);
}
exports.serializeHlookupPostRequestBody = serializeHlookupPostRequestBody;
/**
 * Provides operations to call the hlookup method.
 */
class HlookupRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new HlookupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/hlookup");
    }
    ;
    /**
     * Invoke action hlookup
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action hlookup
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeHlookupPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a hlookupRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new HlookupRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.HlookupRequestBuilder = HlookupRequestBuilder;
// tslint:enable
// eslint-enable
