import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHypGeom_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHypGeom_DistPostRequestBody;
export declare function deserializeIntoHypGeom_DistPostRequestBody(hypGeom_DistPostRequestBody?: HypGeom_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface HypGeom_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The numberPop property
     */
    numberPop?: Json;
    /**
     * The numberSample property
     */
    numberSample?: Json;
    /**
     * The populationS property
     */
    populationS?: Json;
    /**
     * The sampleS property
     */
    sampleS?: Json;
}
export declare function serializeHypGeom_DistPostRequestBody(writer: SerializationWriter, hypGeom_DistPostRequestBody?: HypGeom_DistPostRequestBody | undefined): void;
/**
 * Provides operations to call the hypGeom_Dist method.
 */
export declare class HypGeom_DistRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new HypGeom_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action hypGeom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: HypGeom_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action hypGeom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: HypGeom_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a hypGeom_DistRequestBuilder
     */
    withUrl(rawUrl: string): HypGeom_DistRequestBuilder;
}
