"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HypGeom_DistRequestBuilder = exports.serializeHypGeom_DistPostRequestBody = exports.deserializeIntoHypGeom_DistPostRequestBody = exports.createHypGeom_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createHypGeom_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHypGeom_DistPostRequestBody;
}
exports.createHypGeom_DistPostRequestBodyFromDiscriminatorValue = createHypGeom_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoHypGeom_DistPostRequestBody(hypGeom_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { hypGeom_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberPop": n => { hypGeom_DistPostRequestBody.numberPop = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberSample": n => { hypGeom_DistPostRequestBody.numberSample = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "populationS": n => { hypGeom_DistPostRequestBody.populationS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "sampleS": n => { hypGeom_DistPostRequestBody.sampleS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoHypGeom_DistPostRequestBody = deserializeIntoHypGeom_DistPostRequestBody;
function serializeHypGeom_DistPostRequestBody(writer, hypGeom_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", hypGeom_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("numberPop", hypGeom_DistPostRequestBody.numberPop, json_1.serializeJson);
    writer.writeObjectValue("numberSample", hypGeom_DistPostRequestBody.numberSample, json_1.serializeJson);
    writer.writeObjectValue("populationS", hypGeom_DistPostRequestBody.populationS, json_1.serializeJson);
    writer.writeObjectValue("sampleS", hypGeom_DistPostRequestBody.sampleS, json_1.serializeJson);
    writer.writeAdditionalData(hypGeom_DistPostRequestBody.additionalData);
}
exports.serializeHypGeom_DistPostRequestBody = serializeHypGeom_DistPostRequestBody;
/**
 * Provides operations to call the hypGeom_Dist method.
 */
class HypGeom_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new HypGeom_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/hypGeom_Dist");
    }
    ;
    /**
     * Invoke action hypGeom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action hypGeom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeHypGeom_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a hypGeom_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new HypGeom_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.HypGeom_DistRequestBuilder = HypGeom_DistRequestBuilder;
// tslint:enable
// eslint-enable
