"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HyperlinkRequestBuilder = exports.serializeHyperlinkPostRequestBody = exports.deserializeIntoHyperlinkPostRequestBody = exports.createHyperlinkPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createHyperlinkPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHyperlinkPostRequestBody;
}
exports.createHyperlinkPostRequestBodyFromDiscriminatorValue = createHyperlinkPostRequestBodyFromDiscriminatorValue;
function deserializeIntoHyperlinkPostRequestBody(hyperlinkPostRequestBody = {}) {
    return {
        "friendlyName": n => { hyperlinkPostRequestBody.friendlyName = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "linkLocation": n => { hyperlinkPostRequestBody.linkLocation = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoHyperlinkPostRequestBody = deserializeIntoHyperlinkPostRequestBody;
function serializeHyperlinkPostRequestBody(writer, hyperlinkPostRequestBody = {}) {
    writer.writeObjectValue("friendlyName", hyperlinkPostRequestBody.friendlyName, json_1.serializeJson);
    writer.writeObjectValue("linkLocation", hyperlinkPostRequestBody.linkLocation, json_1.serializeJson);
    writer.writeAdditionalData(hyperlinkPostRequestBody.additionalData);
}
exports.serializeHyperlinkPostRequestBody = serializeHyperlinkPostRequestBody;
/**
 * Provides operations to call the hyperlink method.
 */
class HyperlinkRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new HyperlinkRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/hyperlink");
    }
    ;
    /**
     * Invoke action hyperlink
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action hyperlink
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeHyperlinkPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a hyperlinkRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new HyperlinkRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.HyperlinkRequestBuilder = HyperlinkRequestBuilder;
// tslint:enable
// eslint-enable
