"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IfRequestBuilder = exports.serializeIfPostRequestBody = exports.deserializeIntoIfPostRequestBody = exports.createIfPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIfPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIfPostRequestBody;
}
exports.createIfPostRequestBodyFromDiscriminatorValue = createIfPostRequestBodyFromDiscriminatorValue;
function deserializeIntoIfPostRequestBody(ifPostRequestBody = {}) {
    return {
        "logicalTest": n => { ifPostRequestBody.logicalTest = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "valueIfFalse": n => { ifPostRequestBody.valueIfFalse = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "valueIfTrue": n => { ifPostRequestBody.valueIfTrue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIfPostRequestBody = deserializeIntoIfPostRequestBody;
function serializeIfPostRequestBody(writer, ifPostRequestBody = {}) {
    writer.writeObjectValue("logicalTest", ifPostRequestBody.logicalTest, json_1.serializeJson);
    writer.writeObjectValue("valueIfFalse", ifPostRequestBody.valueIfFalse, json_1.serializeJson);
    writer.writeObjectValue("valueIfTrue", ifPostRequestBody.valueIfTrue, json_1.serializeJson);
    writer.writeAdditionalData(ifPostRequestBody.additionalData);
}
exports.serializeIfPostRequestBody = serializeIfPostRequestBody;
/**
 * Provides operations to call the if method.
 */
class IfRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IfRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/if");
    }
    ;
    /**
     * Invoke action if
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action if
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIfPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ifRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IfRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IfRequestBuilder = IfRequestBuilder;
// tslint:enable
// eslint-enable
