"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImCoshRequestBuilder = exports.serializeImCoshPostRequestBody = exports.deserializeIntoImCoshPostRequestBody = exports.createImCoshPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImCoshPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImCoshPostRequestBody;
}
exports.createImCoshPostRequestBodyFromDiscriminatorValue = createImCoshPostRequestBodyFromDiscriminatorValue;
function deserializeIntoImCoshPostRequestBody(imCoshPostRequestBody = {}) {
    return {
        "inumber": n => { imCoshPostRequestBody.inumber = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImCoshPostRequestBody = deserializeIntoImCoshPostRequestBody;
function serializeImCoshPostRequestBody(writer, imCoshPostRequestBody = {}) {
    writer.writeObjectValue("inumber", imCoshPostRequestBody.inumber, json_1.serializeJson);
    writer.writeAdditionalData(imCoshPostRequestBody.additionalData);
}
exports.serializeImCoshPostRequestBody = serializeImCoshPostRequestBody;
/**
 * Provides operations to call the imCosh method.
 */
class ImCoshRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImCoshRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/imCosh");
    }
    ;
    /**
     * Invoke action imCosh
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action imCosh
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImCoshPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imCoshRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImCoshRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImCoshRequestBuilder = ImCoshRequestBuilder;
// tslint:enable
// eslint-enable
