import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImDivPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImDivPostRequestBody;
export declare function deserializeIntoImDivPostRequestBody(imDivPostRequestBody?: ImDivPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ImDivPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inumber1 property
     */
    inumber1?: Json;
    /**
     * The inumber2 property
     */
    inumber2?: Json;
}
export declare function serializeImDivPostRequestBody(writer: SerializationWriter, imDivPostRequestBody?: ImDivPostRequestBody | undefined): void;
/**
 * Provides operations to call the imDiv method.
 */
export declare class ImDivRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ImDivRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action imDiv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: ImDivPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action imDiv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ImDivPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imDivRequestBuilder
     */
    withUrl(rawUrl: string): ImDivRequestBuilder;
}
