"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImDivRequestBuilder = exports.serializeImDivPostRequestBody = exports.deserializeIntoImDivPostRequestBody = exports.createImDivPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImDivPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImDivPostRequestBody;
}
exports.createImDivPostRequestBodyFromDiscriminatorValue = createImDivPostRequestBodyFromDiscriminatorValue;
function deserializeIntoImDivPostRequestBody(imDivPostRequestBody = {}) {
    return {
        "inumber1": n => { imDivPostRequestBody.inumber1 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "inumber2": n => { imDivPostRequestBody.inumber2 = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImDivPostRequestBody = deserializeIntoImDivPostRequestBody;
function serializeImDivPostRequestBody(writer, imDivPostRequestBody = {}) {
    writer.writeObjectValue("inumber1", imDivPostRequestBody.inumber1, json_1.serializeJson);
    writer.writeObjectValue("inumber2", imDivPostRequestBody.inumber2, json_1.serializeJson);
    writer.writeAdditionalData(imDivPostRequestBody.additionalData);
}
exports.serializeImDivPostRequestBody = serializeImDivPostRequestBody;
/**
 * Provides operations to call the imDiv method.
 */
class ImDivRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImDivRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/imDiv");
    }
    ;
    /**
     * Invoke action imDiv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action imDiv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImDivPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imDivRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImDivRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImDivRequestBuilder = ImDivRequestBuilder;
// tslint:enable
// eslint-enable
