"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImLog2RequestBuilder = exports.serializeImLog2PostRequestBody = exports.deserializeIntoImLog2PostRequestBody = exports.createImLog2PostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImLog2PostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImLog2PostRequestBody;
}
exports.createImLog2PostRequestBodyFromDiscriminatorValue = createImLog2PostRequestBodyFromDiscriminatorValue;
function deserializeIntoImLog2PostRequestBody(imLog2PostRequestBody = {}) {
    return {
        "inumber": n => { imLog2PostRequestBody.inumber = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImLog2PostRequestBody = deserializeIntoImLog2PostRequestBody;
function serializeImLog2PostRequestBody(writer, imLog2PostRequestBody = {}) {
    writer.writeObjectValue("inumber", imLog2PostRequestBody.inumber, json_1.serializeJson);
    writer.writeAdditionalData(imLog2PostRequestBody.additionalData);
}
exports.serializeImLog2PostRequestBody = serializeImLog2PostRequestBody;
/**
 * Provides operations to call the imLog2 method.
 */
class ImLog2RequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImLog2RequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/imLog2");
    }
    ;
    /**
     * Invoke action imLog2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action imLog2
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImLog2PostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imLog2RequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImLog2RequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImLog2RequestBuilder = ImLog2RequestBuilder;
// tslint:enable
// eslint-enable
