"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImSqrtRequestBuilder = exports.serializeImSqrtPostRequestBody = exports.deserializeIntoImSqrtPostRequestBody = exports.createImSqrtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImSqrtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImSqrtPostRequestBody;
}
exports.createImSqrtPostRequestBodyFromDiscriminatorValue = createImSqrtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoImSqrtPostRequestBody(imSqrtPostRequestBody = {}) {
    return {
        "inumber": n => { imSqrtPostRequestBody.inumber = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImSqrtPostRequestBody = deserializeIntoImSqrtPostRequestBody;
function serializeImSqrtPostRequestBody(writer, imSqrtPostRequestBody = {}) {
    writer.writeObjectValue("inumber", imSqrtPostRequestBody.inumber, json_1.serializeJson);
    writer.writeAdditionalData(imSqrtPostRequestBody.additionalData);
}
exports.serializeImSqrtPostRequestBody = serializeImSqrtPostRequestBody;
/**
 * Provides operations to call the imSqrt method.
 */
class ImSqrtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImSqrtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/imSqrt");
    }
    ;
    /**
     * Invoke action imSqrt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action imSqrt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImSqrtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imSqrtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImSqrtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImSqrtRequestBuilder = ImSqrtRequestBuilder;
// tslint:enable
// eslint-enable
