"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImTanRequestBuilder = exports.serializeImTanPostRequestBody = exports.deserializeIntoImTanPostRequestBody = exports.createImTanPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImTanPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImTanPostRequestBody;
}
exports.createImTanPostRequestBodyFromDiscriminatorValue = createImTanPostRequestBodyFromDiscriminatorValue;
function deserializeIntoImTanPostRequestBody(imTanPostRequestBody = {}) {
    return {
        "inumber": n => { imTanPostRequestBody.inumber = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoImTanPostRequestBody = deserializeIntoImTanPostRequestBody;
function serializeImTanPostRequestBody(writer, imTanPostRequestBody = {}) {
    writer.writeObjectValue("inumber", imTanPostRequestBody.inumber, json_1.serializeJson);
    writer.writeAdditionalData(imTanPostRequestBody.additionalData);
}
exports.serializeImTanPostRequestBody = serializeImTanPostRequestBody;
/**
 * Provides operations to call the imTan method.
 */
class ImTanRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImTanRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/imTan");
    }
    ;
    /**
     * Invoke action imTan
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action imTan
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeImTanPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imTanRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImTanRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImTanRequestBuilder = ImTanRequestBuilder;
// tslint:enable
// eslint-enable
