import { type WorkbookFunctions } from '../../../../../../models/workbookFunctions';
import { AbsRequestBuilder } from './abs/';
import { AccrIntRequestBuilder } from './accrInt/';
import { AccrIntMRequestBuilder } from './accrIntM/';
import { AcosRequestBuilder } from './acos/';
import { AcoshRequestBuilder } from './acosh/';
import { AcotRequestBuilder } from './acot/';
import { AcothRequestBuilder } from './acoth/';
import { AmorDegrcRequestBuilder } from './amorDegrc/';
import { AmorLincRequestBuilder } from './amorLinc/';
import { AndRequestBuilder } from './and/';
import { ArabicRequestBuilder } from './arabic/';
import { AreasRequestBuilder } from './areas/';
import { AscRequestBuilder } from './asc/';
import { AsinRequestBuilder } from './asin/';
import { AsinhRequestBuilder } from './asinh/';
import { AtanRequestBuilder } from './atan/';
import { Atan2RequestBuilder } from './atan2/';
import { AtanhRequestBuilder } from './atanh/';
import { AveDevRequestBuilder } from './aveDev/';
import { AverageRequestBuilder } from './average/';
import { AverageARequestBuilder } from './averageA/';
import { AverageIfRequestBuilder } from './averageIf/';
import { AverageIfsRequestBuilder } from './averageIfs/';
import { BahtTextRequestBuilder } from './bahtText/';
import { BaseRequestBuilderEscaped } from './base/';
import { BesselIRequestBuilder } from './besselI/';
import { BesselJRequestBuilder } from './besselJ/';
import { BesselKRequestBuilder } from './besselK/';
import { BesselYRequestBuilder } from './besselY/';
import { Beta_DistRequestBuilder } from './beta_Dist/';
import { Beta_InvRequestBuilder } from './beta_Inv/';
import { Bin2DecRequestBuilder } from './bin2Dec/';
import { Bin2HexRequestBuilder } from './bin2Hex/';
import { Bin2OctRequestBuilder } from './bin2Oct/';
import { Binom_Dist_RangeRequestBuilder } from './binom_Dist_Range/';
import { Binom_DistRequestBuilder } from './binom_Dist/';
import { Binom_InvRequestBuilder } from './binom_Inv/';
import { BitandRequestBuilder } from './bitand/';
import { BitlshiftRequestBuilder } from './bitlshift/';
import { BitorRequestBuilder } from './bitor/';
import { BitrshiftRequestBuilder } from './bitrshift/';
import { BitxorRequestBuilder } from './bitxor/';
import { Ceiling_MathRequestBuilder } from './ceiling_Math/';
import { Ceiling_PreciseRequestBuilder } from './ceiling_Precise/';
import { CharRequestBuilder } from './char/';
import { ChiSq_Dist_RTRequestBuilder } from './chiSq_Dist_RT/';
import { ChiSq_DistRequestBuilder } from './chiSq_Dist/';
import { ChiSq_Inv_RTRequestBuilder } from './chiSq_Inv_RT/';
import { ChiSq_InvRequestBuilder } from './chiSq_Inv/';
import { ChooseRequestBuilder } from './choose/';
import { CleanRequestBuilder } from './clean/';
import { CodeRequestBuilder } from './code/';
import { ColumnsRequestBuilder } from './columns/';
import { CombinRequestBuilder } from './combin/';
import { CombinaRequestBuilder } from './combina/';
import { ComplexRequestBuilder } from './complex/';
import { ConcatenateRequestBuilder } from './concatenate/';
import { Confidence_NormRequestBuilder } from './confidence_Norm/';
import { Confidence_TRequestBuilder } from './confidence_T/';
import { ConvertRequestBuilder } from './convert/';
import { CosRequestBuilder } from './cos/';
import { CoshRequestBuilder } from './cosh/';
import { CotRequestBuilder } from './cot/';
import { CothRequestBuilder } from './coth/';
import { CountRequestBuilder } from './count/';
import { CountARequestBuilder } from './countA/';
import { CountBlankRequestBuilder } from './countBlank/';
import { CountIfRequestBuilder } from './countIf/';
import { CountIfsRequestBuilder } from './countIfs/';
import { CoupDayBsRequestBuilder } from './coupDayBs/';
import { CoupDaysRequestBuilder } from './coupDays/';
import { CoupDaysNcRequestBuilder } from './coupDaysNc/';
import { CoupNcdRequestBuilder } from './coupNcd/';
import { CoupNumRequestBuilder } from './coupNum/';
import { CoupPcdRequestBuilder } from './coupPcd/';
import { CscRequestBuilder } from './csc/';
import { CschRequestBuilder } from './csch/';
import { CumIPmtRequestBuilder } from './cumIPmt/';
import { CumPrincRequestBuilder } from './cumPrinc/';
import { DateRequestBuilder } from './date/';
import { DatevalueRequestBuilder } from './datevalue/';
import { DaverageRequestBuilder } from './daverage/';
import { DayRequestBuilder } from './day/';
import { DaysRequestBuilder } from './days/';
import { Days360RequestBuilder } from './days360/';
import { DbRequestBuilder } from './db/';
import { DbcsRequestBuilder } from './dbcs/';
import { DcountRequestBuilder } from './dcount/';
import { DcountARequestBuilder } from './dcountA/';
import { DdbRequestBuilder } from './ddb/';
import { Dec2BinRequestBuilder } from './dec2Bin/';
import { Dec2HexRequestBuilder } from './dec2Hex/';
import { Dec2OctRequestBuilder } from './dec2Oct/';
import { DecimalRequestBuilder } from './decimal/';
import { DegreesRequestBuilder } from './degrees/';
import { DeltaRequestBuilder } from './delta/';
import { DevSqRequestBuilder } from './devSq/';
import { DgetRequestBuilder } from './dget/';
import { DiscRequestBuilder } from './disc/';
import { DmaxRequestBuilder } from './dmax/';
import { DminRequestBuilder } from './dmin/';
import { DollarRequestBuilder } from './dollar/';
import { DollarDeRequestBuilder } from './dollarDe/';
import { DollarFrRequestBuilder } from './dollarFr/';
import { DproductRequestBuilder } from './dproduct/';
import { DstDevRequestBuilder } from './dstDev/';
import { DstDevPRequestBuilder } from './dstDevP/';
import { DsumRequestBuilder } from './dsum/';
import { DurationRequestBuilder } from './duration/';
import { DvarRequestBuilder } from './dvar/';
import { DvarPRequestBuilder } from './dvarP/';
import { Ecma_CeilingRequestBuilder } from './ecma_Ceiling/';
import { EdateRequestBuilder } from './edate/';
import { EffectRequestBuilder } from './effect/';
import { EoMonthRequestBuilder } from './eoMonth/';
import { Erf_PreciseRequestBuilder } from './erf_Precise/';
import { ErfRequestBuilder } from './erf/';
import { ErfC_PreciseRequestBuilder } from './erfC_Precise/';
import { ErfCRequestBuilder } from './erfC/';
import { Error_TypeRequestBuilder } from './error_Type/';
import { EvenRequestBuilder } from './even/';
import { ExactRequestBuilder } from './exact/';
import { ExpRequestBuilder } from './exp/';
import { Expon_DistRequestBuilder } from './expon_Dist/';
import { F_Dist_RTRequestBuilder } from './f_Dist_RT/';
import { F_DistRequestBuilder } from './f_Dist/';
import { F_Inv_RTRequestBuilder } from './f_Inv_RT/';
import { F_InvRequestBuilder } from './f_Inv/';
import { FactRequestBuilder } from './fact/';
import { FactDoubleRequestBuilder } from './factDouble/';
import { FalseRequestBuilder } from './falseEscaped/';
import { FindRequestBuilder } from './find/';
import { FindBRequestBuilder } from './findB/';
import { FisherRequestBuilder } from './fisher/';
import { FisherInvRequestBuilder } from './fisherInv/';
import { FixedRequestBuilder } from './fixed/';
import { Floor_MathRequestBuilder } from './floor_Math/';
import { Floor_PreciseRequestBuilder } from './floor_Precise/';
import { FvRequestBuilder } from './fv/';
import { FvscheduleRequestBuilder } from './fvschedule/';
import { Gamma_DistRequestBuilder } from './gamma_Dist/';
import { Gamma_InvRequestBuilder } from './gamma_Inv/';
import { GammaRequestBuilder } from './gamma/';
import { GammaLn_PreciseRequestBuilder } from './gammaLn_Precise/';
import { GammaLnRequestBuilder } from './gammaLn/';
import { GaussRequestBuilder } from './gauss/';
import { GcdRequestBuilder } from './gcd/';
import { GeoMeanRequestBuilder } from './geoMean/';
import { GeStepRequestBuilder } from './geStep/';
import { HarMeanRequestBuilder } from './harMean/';
import { Hex2BinRequestBuilder } from './hex2Bin/';
import { Hex2DecRequestBuilder } from './hex2Dec/';
import { Hex2OctRequestBuilder } from './hex2Oct/';
import { HlookupRequestBuilder } from './hlookup/';
import { HourRequestBuilder } from './hour/';
import { HyperlinkRequestBuilder } from './hyperlink/';
import { HypGeom_DistRequestBuilder } from './hypGeom_Dist/';
import { IfRequestBuilder } from './ifEscaped/';
import { ImAbsRequestBuilder } from './imAbs/';
import { ImaginaryRequestBuilder } from './imaginary/';
import { ImArgumentRequestBuilder } from './imArgument/';
import { ImConjugateRequestBuilder } from './imConjugate/';
import { ImCosRequestBuilder } from './imCos/';
import { ImCoshRequestBuilder } from './imCosh/';
import { ImCotRequestBuilder } from './imCot/';
import { ImCscRequestBuilder } from './imCsc/';
import { ImCschRequestBuilder } from './imCsch/';
import { ImDivRequestBuilder } from './imDiv/';
import { ImExpRequestBuilder } from './imExp/';
import { ImLnRequestBuilder } from './imLn/';
import { ImLog10RequestBuilder } from './imLog10/';
import { ImLog2RequestBuilder } from './imLog2/';
import { ImPowerRequestBuilder } from './imPower/';
import { ImProductRequestBuilder } from './imProduct/';
import { ImRealRequestBuilder } from './imReal/';
import { ImSecRequestBuilder } from './imSec/';
import { ImSechRequestBuilder } from './imSech/';
import { ImSinRequestBuilder } from './imSin/';
import { ImSinhRequestBuilder } from './imSinh/';
import { ImSqrtRequestBuilder } from './imSqrt/';
import { ImSubRequestBuilder } from './imSub/';
import { ImSumRequestBuilder } from './imSum/';
import { ImTanRequestBuilder } from './imTan/';
import { IntRequestBuilder } from './int/';
import { IntRateRequestBuilder } from './intRate/';
import { IpmtRequestBuilder } from './ipmt/';
import { IrrRequestBuilder } from './irr/';
import { IsErrRequestBuilder } from './isErr/';
import { IsErrorRequestBuilder } from './isError/';
import { IsEvenRequestBuilder } from './isEven/';
import { IsFormulaRequestBuilder } from './isFormula/';
import { IsLogicalRequestBuilder } from './isLogical/';
import { IsNARequestBuilder } from './isNA/';
import { IsNonTextRequestBuilder } from './isNonText/';
import { IsNumberRequestBuilder } from './isNumber/';
import { Iso_CeilingRequestBuilder } from './iso_Ceiling/';
import { IsOddRequestBuilder } from './isOdd/';
import { IsoWeekNumRequestBuilder } from './isoWeekNum/';
import { IspmtRequestBuilder } from './ispmt/';
import { IsrefRequestBuilder } from './isref/';
import { IsTextRequestBuilder } from './isText/';
import { KurtRequestBuilder } from './kurt/';
import { LargeRequestBuilder } from './large/';
import { LcmRequestBuilder } from './lcm/';
import { LeftRequestBuilder } from './left/';
import { LeftbRequestBuilder } from './leftb/';
import { LenRequestBuilder } from './len/';
import { LenbRequestBuilder } from './lenb/';
import { LnRequestBuilder } from './ln/';
import { LogRequestBuilder } from './log/';
import { Log10RequestBuilder } from './log10/';
import { LogNorm_DistRequestBuilder } from './logNorm_Dist/';
import { LogNorm_InvRequestBuilder } from './logNorm_Inv/';
import { LookupRequestBuilder } from './lookup/';
import { LowerRequestBuilder } from './lower/';
import { MatchRequestBuilder } from './match/';
import { MaxRequestBuilder } from './max/';
import { MaxARequestBuilder } from './maxA/';
import { MdurationRequestBuilder } from './mduration/';
import { MedianRequestBuilder } from './median/';
import { MidRequestBuilder } from './mid/';
import { MidbRequestBuilder } from './midb/';
import { MinRequestBuilder } from './min/';
import { MinARequestBuilder } from './minA/';
import { MinuteRequestBuilder } from './minute/';
import { MirrRequestBuilder } from './mirr/';
import { ModRequestBuilder } from './mod/';
import { MonthRequestBuilder } from './month/';
import { MroundRequestBuilder } from './mround/';
import { MultiNomialRequestBuilder } from './multiNomial/';
import { NRequestBuilder } from './n/';
import { NaRequestBuilder } from './na/';
import { NegBinom_DistRequestBuilder } from './negBinom_Dist/';
import { NetworkDays_IntlRequestBuilder } from './networkDays_Intl/';
import { NetworkDaysRequestBuilder } from './networkDays/';
import { NominalRequestBuilder } from './nominal/';
import { Norm_DistRequestBuilder } from './norm_Dist/';
import { Norm_InvRequestBuilder } from './norm_Inv/';
import { Norm_S_DistRequestBuilder } from './norm_S_Dist/';
import { Norm_S_InvRequestBuilder } from './norm_S_Inv/';
import { NotRequestBuilder } from './not/';
import { NowRequestBuilder } from './now/';
import { NperRequestBuilder } from './nper/';
import { NpvRequestBuilder } from './npv/';
import { NumberValueRequestBuilder } from './numberValue/';
import { Oct2BinRequestBuilder } from './oct2Bin/';
import { Oct2DecRequestBuilder } from './oct2Dec/';
import { Oct2HexRequestBuilder } from './oct2Hex/';
import { OddRequestBuilder } from './odd/';
import { OddFPriceRequestBuilder } from './oddFPrice/';
import { OddFYieldRequestBuilder } from './oddFYield/';
import { OddLPriceRequestBuilder } from './oddLPrice/';
import { OddLYieldRequestBuilder } from './oddLYield/';
import { OrRequestBuilder } from './or/';
import { PdurationRequestBuilder } from './pduration/';
import { Percentile_ExcRequestBuilder } from './percentile_Exc/';
import { Percentile_IncRequestBuilder } from './percentile_Inc/';
import { PercentRank_ExcRequestBuilder } from './percentRank_Exc/';
import { PercentRank_IncRequestBuilder } from './percentRank_Inc/';
import { PermutRequestBuilder } from './permut/';
import { PermutationaRequestBuilder } from './permutationa/';
import { PhiRequestBuilder } from './phi/';
import { PiRequestBuilder } from './pi/';
import { PmtRequestBuilder } from './pmt/';
import { Poisson_DistRequestBuilder } from './poisson_Dist/';
import { PowerRequestBuilder } from './power/';
import { PpmtRequestBuilder } from './ppmt/';
import { PriceRequestBuilder } from './price/';
import { PriceDiscRequestBuilder } from './priceDisc/';
import { PriceMatRequestBuilder } from './priceMat/';
import { ProductRequestBuilder } from './product/';
import { ProperRequestBuilder } from './proper/';
import { PvRequestBuilder } from './pv/';
import { Quartile_ExcRequestBuilder } from './quartile_Exc/';
import { Quartile_IncRequestBuilder } from './quartile_Inc/';
import { QuotientRequestBuilder } from './quotient/';
import { RadiansRequestBuilder } from './radians/';
import { RandRequestBuilder } from './rand/';
import { RandBetweenRequestBuilder } from './randBetween/';
import { Rank_AvgRequestBuilder } from './rank_Avg/';
import { Rank_EqRequestBuilder } from './rank_Eq/';
import { RateRequestBuilder } from './rate/';
import { ReceivedRequestBuilder } from './received/';
import { ReplaceRequestBuilder } from './replace/';
import { ReplaceBRequestBuilder } from './replaceB/';
import { ReptRequestBuilder } from './rept/';
import { RightRequestBuilder } from './right/';
import { RightbRequestBuilder } from './rightb/';
import { RomanRequestBuilder } from './roman/';
import { RoundRequestBuilder } from './round/';
import { RoundDownRequestBuilder } from './roundDown/';
import { RoundUpRequestBuilder } from './roundUp/';
import { RowsRequestBuilder } from './rows/';
import { RriRequestBuilder } from './rri/';
import { SecRequestBuilder } from './sec/';
import { SechRequestBuilder } from './sech/';
import { SecondRequestBuilder } from './second/';
import { SeriesSumRequestBuilder } from './seriesSum/';
import { SheetRequestBuilder } from './sheet/';
import { SheetsRequestBuilder } from './sheets/';
import { SignRequestBuilder } from './sign/';
import { SinRequestBuilder } from './sin/';
import { SinhRequestBuilder } from './sinh/';
import { Skew_pRequestBuilder } from './skew_p/';
import { SkewRequestBuilder } from './skew/';
import { SlnRequestBuilder } from './sln/';
import { SmallRequestBuilder } from './small/';
import { SqrtRequestBuilder } from './sqrt/';
import { SqrtPiRequestBuilder } from './sqrtPi/';
import { StandardizeRequestBuilder } from './standardize/';
import { StDev_PRequestBuilder } from './stDev_P/';
import { StDev_SRequestBuilder } from './stDev_S/';
import { StDevARequestBuilder } from './stDevA/';
import { StDevPARequestBuilder } from './stDevPA/';
import { SubstituteRequestBuilder } from './substitute/';
import { SubtotalRequestBuilder } from './subtotal/';
import { SumRequestBuilder } from './sum/';
import { SumIfRequestBuilder } from './sumIf/';
import { SumIfsRequestBuilder } from './sumIfs/';
import { SumSqRequestBuilder } from './sumSq/';
import { SydRequestBuilder } from './syd/';
import { T_Dist_2TRequestBuilder } from './t_Dist_2T/';
import { T_Dist_RTRequestBuilder } from './t_Dist_RT/';
import { T_DistRequestBuilder } from './t_Dist/';
import { T_Inv_2TRequestBuilder } from './t_Inv_2T/';
import { T_InvRequestBuilder } from './t_Inv/';
import { TRequestBuilder } from './t/';
import { TanRequestBuilder } from './tan/';
import { TanhRequestBuilder } from './tanh/';
import { TbillEqRequestBuilder } from './tbillEq/';
import { TbillPriceRequestBuilder } from './tbillPrice/';
import { TbillYieldRequestBuilder } from './tbillYield/';
import { TextRequestBuilder } from './text/';
import { TimeRequestBuilder } from './time/';
import { TimevalueRequestBuilder } from './timevalue/';
import { TodayRequestBuilder } from './today/';
import { TrimRequestBuilder } from './trim/';
import { TrimMeanRequestBuilder } from './trimMean/';
import { TrueRequestBuilder } from './trueEscaped/';
import { TruncRequestBuilder } from './trunc/';
import { TypeRequestBuilder } from './type/';
import { UnicharRequestBuilder } from './unichar/';
import { UnicodeRequestBuilder } from './unicode/';
import { UpperRequestBuilder } from './upper/';
import { UsdollarRequestBuilder } from './usdollar/';
import { ValueRequestBuilder } from './value/';
import { Var_PRequestBuilder } from './var_P/';
import { Var_SRequestBuilder } from './var_S/';
import { VarARequestBuilder } from './varA/';
import { VarPARequestBuilder } from './varPA/';
import { VdbRequestBuilder } from './vdb/';
import { VlookupRequestBuilder } from './vlookup/';
import { WeekdayRequestBuilder } from './weekday/';
import { WeekNumRequestBuilder } from './weekNum/';
import { Weibull_DistRequestBuilder } from './weibull_Dist/';
import { WorkDay_IntlRequestBuilder } from './workDay_Intl/';
import { WorkDayRequestBuilder } from './workDay/';
import { XirrRequestBuilder } from './xirr/';
import { XnpvRequestBuilder } from './xnpv/';
import { XorRequestBuilder } from './xor/';
import { YearRequestBuilder } from './year/';
import { YearFracRequestBuilder } from './yearFrac/';
import { YieldRequestBuilder } from './yield/';
import { YieldDiscRequestBuilder } from './yieldDisc/';
import { YieldMatRequestBuilder } from './yieldMat/';
import { Z_TestRequestBuilder } from './z_Test/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface FunctionsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the functions property of the microsoft.graph.workbook entity.
 */
export declare class FunctionsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the abs method.
     */
    get abs(): AbsRequestBuilder;
    /**
     * Provides operations to call the accrInt method.
     */
    get accrInt(): AccrIntRequestBuilder;
    /**
     * Provides operations to call the accrIntM method.
     */
    get accrIntM(): AccrIntMRequestBuilder;
    /**
     * Provides operations to call the acos method.
     */
    get acos(): AcosRequestBuilder;
    /**
     * Provides operations to call the acosh method.
     */
    get acosh(): AcoshRequestBuilder;
    /**
     * Provides operations to call the acot method.
     */
    get acot(): AcotRequestBuilder;
    /**
     * Provides operations to call the acoth method.
     */
    get acoth(): AcothRequestBuilder;
    /**
     * Provides operations to call the amorDegrc method.
     */
    get amorDegrc(): AmorDegrcRequestBuilder;
    /**
     * Provides operations to call the amorLinc method.
     */
    get amorLinc(): AmorLincRequestBuilder;
    /**
     * Provides operations to call the and method.
     */
    get and(): AndRequestBuilder;
    /**
     * Provides operations to call the arabic method.
     */
    get arabic(): ArabicRequestBuilder;
    /**
     * Provides operations to call the areas method.
     */
    get areas(): AreasRequestBuilder;
    /**
     * Provides operations to call the asc method.
     */
    get asc(): AscRequestBuilder;
    /**
     * Provides operations to call the asin method.
     */
    get asin(): AsinRequestBuilder;
    /**
     * Provides operations to call the asinh method.
     */
    get asinh(): AsinhRequestBuilder;
    /**
     * Provides operations to call the atan method.
     */
    get atan(): AtanRequestBuilder;
    /**
     * Provides operations to call the atan2 method.
     */
    get atan2(): Atan2RequestBuilder;
    /**
     * Provides operations to call the atanh method.
     */
    get atanh(): AtanhRequestBuilder;
    /**
     * Provides operations to call the aveDev method.
     */
    get aveDev(): AveDevRequestBuilder;
    /**
     * Provides operations to call the average method.
     */
    get average(): AverageRequestBuilder;
    /**
     * Provides operations to call the averageA method.
     */
    get averageA(): AverageARequestBuilder;
    /**
     * Provides operations to call the averageIf method.
     */
    get averageIf(): AverageIfRequestBuilder;
    /**
     * Provides operations to call the averageIfs method.
     */
    get averageIfs(): AverageIfsRequestBuilder;
    /**
     * Provides operations to call the bahtText method.
     */
    get bahtText(): BahtTextRequestBuilder;
    /**
     * Provides operations to call the base method.
     */
    get base(): BaseRequestBuilderEscaped;
    /**
     * Provides operations to call the besselI method.
     */
    get besselI(): BesselIRequestBuilder;
    /**
     * Provides operations to call the besselJ method.
     */
    get besselJ(): BesselJRequestBuilder;
    /**
     * Provides operations to call the besselK method.
     */
    get besselK(): BesselKRequestBuilder;
    /**
     * Provides operations to call the besselY method.
     */
    get besselY(): BesselYRequestBuilder;
    /**
     * Provides operations to call the beta_Dist method.
     */
    get beta_Dist(): Beta_DistRequestBuilder;
    /**
     * Provides operations to call the beta_Inv method.
     */
    get beta_Inv(): Beta_InvRequestBuilder;
    /**
     * Provides operations to call the bin2Dec method.
     */
    get bin2Dec(): Bin2DecRequestBuilder;
    /**
     * Provides operations to call the bin2Hex method.
     */
    get bin2Hex(): Bin2HexRequestBuilder;
    /**
     * Provides operations to call the bin2Oct method.
     */
    get bin2Oct(): Bin2OctRequestBuilder;
    /**
     * Provides operations to call the binom_Dist method.
     */
    get binom_Dist(): Binom_DistRequestBuilder;
    /**
     * Provides operations to call the binom_Dist_Range method.
     */
    get binom_Dist_Range(): Binom_Dist_RangeRequestBuilder;
    /**
     * Provides operations to call the binom_Inv method.
     */
    get binom_Inv(): Binom_InvRequestBuilder;
    /**
     * Provides operations to call the bitand method.
     */
    get bitand(): BitandRequestBuilder;
    /**
     * Provides operations to call the bitlshift method.
     */
    get bitlshift(): BitlshiftRequestBuilder;
    /**
     * Provides operations to call the bitor method.
     */
    get bitor(): BitorRequestBuilder;
    /**
     * Provides operations to call the bitrshift method.
     */
    get bitrshift(): BitrshiftRequestBuilder;
    /**
     * Provides operations to call the bitxor method.
     */
    get bitxor(): BitxorRequestBuilder;
    /**
     * Provides operations to call the ceiling_Math method.
     */
    get ceiling_Math(): Ceiling_MathRequestBuilder;
    /**
     * Provides operations to call the ceiling_Precise method.
     */
    get ceiling_Precise(): Ceiling_PreciseRequestBuilder;
    /**
     * Provides operations to call the char method.
     */
    get char(): CharRequestBuilder;
    /**
     * Provides operations to call the chiSq_Dist method.
     */
    get chiSq_Dist(): ChiSq_DistRequestBuilder;
    /**
     * Provides operations to call the chiSq_Dist_RT method.
     */
    get chiSq_Dist_RT(): ChiSq_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the chiSq_Inv method.
     */
    get chiSq_Inv(): ChiSq_InvRequestBuilder;
    /**
     * Provides operations to call the chiSq_Inv_RT method.
     */
    get chiSq_Inv_RT(): ChiSq_Inv_RTRequestBuilder;
    /**
     * Provides operations to call the choose method.
     */
    get choose(): ChooseRequestBuilder;
    /**
     * Provides operations to call the clean method.
     */
    get clean(): CleanRequestBuilder;
    /**
     * Provides operations to call the code method.
     */
    get code(): CodeRequestBuilder;
    /**
     * Provides operations to call the columns method.
     */
    get columns(): ColumnsRequestBuilder;
    /**
     * Provides operations to call the combin method.
     */
    get combin(): CombinRequestBuilder;
    /**
     * Provides operations to call the combina method.
     */
    get combina(): CombinaRequestBuilder;
    /**
     * Provides operations to call the complex method.
     */
    get complex(): ComplexRequestBuilder;
    /**
     * Provides operations to call the concatenate method.
     */
    get concatenate(): ConcatenateRequestBuilder;
    /**
     * Provides operations to call the confidence_Norm method.
     */
    get confidence_Norm(): Confidence_NormRequestBuilder;
    /**
     * Provides operations to call the confidence_T method.
     */
    get confidence_T(): Confidence_TRequestBuilder;
    /**
     * Provides operations to call the convert method.
     */
    get convert(): ConvertRequestBuilder;
    /**
     * Provides operations to call the cos method.
     */
    get cos(): CosRequestBuilder;
    /**
     * Provides operations to call the cosh method.
     */
    get cosh(): CoshRequestBuilder;
    /**
     * Provides operations to call the cot method.
     */
    get cot(): CotRequestBuilder;
    /**
     * Provides operations to call the coth method.
     */
    get coth(): CothRequestBuilder;
    /**
     * Provides operations to call the count method.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to call the countA method.
     */
    get countA(): CountARequestBuilder;
    /**
     * Provides operations to call the countBlank method.
     */
    get countBlank(): CountBlankRequestBuilder;
    /**
     * Provides operations to call the countIf method.
     */
    get countIf(): CountIfRequestBuilder;
    /**
     * Provides operations to call the countIfs method.
     */
    get countIfs(): CountIfsRequestBuilder;
    /**
     * Provides operations to call the coupDayBs method.
     */
    get coupDayBs(): CoupDayBsRequestBuilder;
    /**
     * Provides operations to call the coupDays method.
     */
    get coupDays(): CoupDaysRequestBuilder;
    /**
     * Provides operations to call the coupDaysNc method.
     */
    get coupDaysNc(): CoupDaysNcRequestBuilder;
    /**
     * Provides operations to call the coupNcd method.
     */
    get coupNcd(): CoupNcdRequestBuilder;
    /**
     * Provides operations to call the coupNum method.
     */
    get coupNum(): CoupNumRequestBuilder;
    /**
     * Provides operations to call the coupPcd method.
     */
    get coupPcd(): CoupPcdRequestBuilder;
    /**
     * Provides operations to call the csc method.
     */
    get csc(): CscRequestBuilder;
    /**
     * Provides operations to call the csch method.
     */
    get csch(): CschRequestBuilder;
    /**
     * Provides operations to call the cumIPmt method.
     */
    get cumIPmt(): CumIPmtRequestBuilder;
    /**
     * Provides operations to call the cumPrinc method.
     */
    get cumPrinc(): CumPrincRequestBuilder;
    /**
     * Provides operations to call the date method.
     */
    get date(): DateRequestBuilder;
    /**
     * Provides operations to call the datevalue method.
     */
    get datevalue(): DatevalueRequestBuilder;
    /**
     * Provides operations to call the daverage method.
     */
    get daverage(): DaverageRequestBuilder;
    /**
     * Provides operations to call the day method.
     */
    get day(): DayRequestBuilder;
    /**
     * Provides operations to call the days method.
     */
    get days(): DaysRequestBuilder;
    /**
     * Provides operations to call the days360 method.
     */
    get days360(): Days360RequestBuilder;
    /**
     * Provides operations to call the db method.
     */
    get db(): DbRequestBuilder;
    /**
     * Provides operations to call the dbcs method.
     */
    get dbcs(): DbcsRequestBuilder;
    /**
     * Provides operations to call the dcount method.
     */
    get dcount(): DcountRequestBuilder;
    /**
     * Provides operations to call the dcountA method.
     */
    get dcountA(): DcountARequestBuilder;
    /**
     * Provides operations to call the ddb method.
     */
    get ddb(): DdbRequestBuilder;
    /**
     * Provides operations to call the dec2Bin method.
     */
    get dec2Bin(): Dec2BinRequestBuilder;
    /**
     * Provides operations to call the dec2Hex method.
     */
    get dec2Hex(): Dec2HexRequestBuilder;
    /**
     * Provides operations to call the dec2Oct method.
     */
    get dec2Oct(): Dec2OctRequestBuilder;
    /**
     * Provides operations to call the decimal method.
     */
    get decimal(): DecimalRequestBuilder;
    /**
     * Provides operations to call the degrees method.
     */
    get degrees(): DegreesRequestBuilder;
    /**
     * Provides operations to call the delta method.
     */
    get delta(): DeltaRequestBuilder;
    /**
     * Provides operations to call the devSq method.
     */
    get devSq(): DevSqRequestBuilder;
    /**
     * Provides operations to call the dget method.
     */
    get dget(): DgetRequestBuilder;
    /**
     * Provides operations to call the disc method.
     */
    get disc(): DiscRequestBuilder;
    /**
     * Provides operations to call the dmax method.
     */
    get dmax(): DmaxRequestBuilder;
    /**
     * Provides operations to call the dmin method.
     */
    get dmin(): DminRequestBuilder;
    /**
     * Provides operations to call the dollar method.
     */
    get dollar(): DollarRequestBuilder;
    /**
     * Provides operations to call the dollarDe method.
     */
    get dollarDe(): DollarDeRequestBuilder;
    /**
     * Provides operations to call the dollarFr method.
     */
    get dollarFr(): DollarFrRequestBuilder;
    /**
     * Provides operations to call the dproduct method.
     */
    get dproduct(): DproductRequestBuilder;
    /**
     * Provides operations to call the dstDev method.
     */
    get dstDev(): DstDevRequestBuilder;
    /**
     * Provides operations to call the dstDevP method.
     */
    get dstDevP(): DstDevPRequestBuilder;
    /**
     * Provides operations to call the dsum method.
     */
    get dsum(): DsumRequestBuilder;
    /**
     * Provides operations to call the duration method.
     */
    get duration(): DurationRequestBuilder;
    /**
     * Provides operations to call the dvar method.
     */
    get dvar(): DvarRequestBuilder;
    /**
     * Provides operations to call the dvarP method.
     */
    get dvarP(): DvarPRequestBuilder;
    /**
     * Provides operations to call the ecma_Ceiling method.
     */
    get ecma_Ceiling(): Ecma_CeilingRequestBuilder;
    /**
     * Provides operations to call the edate method.
     */
    get edate(): EdateRequestBuilder;
    /**
     * Provides operations to call the effect method.
     */
    get effect(): EffectRequestBuilder;
    /**
     * Provides operations to call the eoMonth method.
     */
    get eoMonth(): EoMonthRequestBuilder;
    /**
     * Provides operations to call the erf method.
     */
    get erf(): ErfRequestBuilder;
    /**
     * Provides operations to call the erf_Precise method.
     */
    get erf_Precise(): Erf_PreciseRequestBuilder;
    /**
     * Provides operations to call the erfC method.
     */
    get erfC(): ErfCRequestBuilder;
    /**
     * Provides operations to call the erfC_Precise method.
     */
    get erfC_Precise(): ErfC_PreciseRequestBuilder;
    /**
     * Provides operations to call the error_Type method.
     */
    get error_Type(): Error_TypeRequestBuilder;
    /**
     * Provides operations to call the even method.
     */
    get even(): EvenRequestBuilder;
    /**
     * Provides operations to call the exact method.
     */
    get exact(): ExactRequestBuilder;
    /**
     * Provides operations to call the exp method.
     */
    get exp(): ExpRequestBuilder;
    /**
     * Provides operations to call the expon_Dist method.
     */
    get expon_Dist(): Expon_DistRequestBuilder;
    /**
     * Provides operations to call the f_Dist method.
     */
    get f_Dist(): F_DistRequestBuilder;
    /**
     * Provides operations to call the f_Dist_RT method.
     */
    get f_Dist_RT(): F_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the f_Inv method.
     */
    get f_Inv(): F_InvRequestBuilder;
    /**
     * Provides operations to call the f_Inv_RT method.
     */
    get f_Inv_RT(): F_Inv_RTRequestBuilder;
    /**
     * Provides operations to call the fact method.
     */
    get fact(): FactRequestBuilder;
    /**
     * Provides operations to call the factDouble method.
     */
    get factDouble(): FactDoubleRequestBuilder;
    /**
     * Provides operations to call the false method.
     */
    get falseEscaped(): FalseRequestBuilder;
    /**
     * Provides operations to call the find method.
     */
    get find(): FindRequestBuilder;
    /**
     * Provides operations to call the findB method.
     */
    get findB(): FindBRequestBuilder;
    /**
     * Provides operations to call the fisher method.
     */
    get fisher(): FisherRequestBuilder;
    /**
     * Provides operations to call the fisherInv method.
     */
    get fisherInv(): FisherInvRequestBuilder;
    /**
     * Provides operations to call the fixed method.
     */
    get fixed(): FixedRequestBuilder;
    /**
     * Provides operations to call the floor_Math method.
     */
    get floor_Math(): Floor_MathRequestBuilder;
    /**
     * Provides operations to call the floor_Precise method.
     */
    get floor_Precise(): Floor_PreciseRequestBuilder;
    /**
     * Provides operations to call the fv method.
     */
    get fv(): FvRequestBuilder;
    /**
     * Provides operations to call the fvschedule method.
     */
    get fvschedule(): FvscheduleRequestBuilder;
    /**
     * Provides operations to call the gamma method.
     */
    get gamma(): GammaRequestBuilder;
    /**
     * Provides operations to call the gamma_Dist method.
     */
    get gamma_Dist(): Gamma_DistRequestBuilder;
    /**
     * Provides operations to call the gamma_Inv method.
     */
    get gamma_Inv(): Gamma_InvRequestBuilder;
    /**
     * Provides operations to call the gammaLn method.
     */
    get gammaLn(): GammaLnRequestBuilder;
    /**
     * Provides operations to call the gammaLn_Precise method.
     */
    get gammaLn_Precise(): GammaLn_PreciseRequestBuilder;
    /**
     * Provides operations to call the gauss method.
     */
    get gauss(): GaussRequestBuilder;
    /**
     * Provides operations to call the gcd method.
     */
    get gcd(): GcdRequestBuilder;
    /**
     * Provides operations to call the geoMean method.
     */
    get geoMean(): GeoMeanRequestBuilder;
    /**
     * Provides operations to call the geStep method.
     */
    get geStep(): GeStepRequestBuilder;
    /**
     * Provides operations to call the harMean method.
     */
    get harMean(): HarMeanRequestBuilder;
    /**
     * Provides operations to call the hex2Bin method.
     */
    get hex2Bin(): Hex2BinRequestBuilder;
    /**
     * Provides operations to call the hex2Dec method.
     */
    get hex2Dec(): Hex2DecRequestBuilder;
    /**
     * Provides operations to call the hex2Oct method.
     */
    get hex2Oct(): Hex2OctRequestBuilder;
    /**
     * Provides operations to call the hlookup method.
     */
    get hlookup(): HlookupRequestBuilder;
    /**
     * Provides operations to call the hour method.
     */
    get hour(): HourRequestBuilder;
    /**
     * Provides operations to call the hyperlink method.
     */
    get hyperlink(): HyperlinkRequestBuilder;
    /**
     * Provides operations to call the hypGeom_Dist method.
     */
    get hypGeom_Dist(): HypGeom_DistRequestBuilder;
    /**
     * Provides operations to call the if method.
     */
    get ifEscaped(): IfRequestBuilder;
    /**
     * Provides operations to call the imAbs method.
     */
    get imAbs(): ImAbsRequestBuilder;
    /**
     * Provides operations to call the imaginary method.
     */
    get imaginary(): ImaginaryRequestBuilder;
    /**
     * Provides operations to call the imArgument method.
     */
    get imArgument(): ImArgumentRequestBuilder;
    /**
     * Provides operations to call the imConjugate method.
     */
    get imConjugate(): ImConjugateRequestBuilder;
    /**
     * Provides operations to call the imCos method.
     */
    get imCos(): ImCosRequestBuilder;
    /**
     * Provides operations to call the imCosh method.
     */
    get imCosh(): ImCoshRequestBuilder;
    /**
     * Provides operations to call the imCot method.
     */
    get imCot(): ImCotRequestBuilder;
    /**
     * Provides operations to call the imCsc method.
     */
    get imCsc(): ImCscRequestBuilder;
    /**
     * Provides operations to call the imCsch method.
     */
    get imCsch(): ImCschRequestBuilder;
    /**
     * Provides operations to call the imDiv method.
     */
    get imDiv(): ImDivRequestBuilder;
    /**
     * Provides operations to call the imExp method.
     */
    get imExp(): ImExpRequestBuilder;
    /**
     * Provides operations to call the imLn method.
     */
    get imLn(): ImLnRequestBuilder;
    /**
     * Provides operations to call the imLog10 method.
     */
    get imLog10(): ImLog10RequestBuilder;
    /**
     * Provides operations to call the imLog2 method.
     */
    get imLog2(): ImLog2RequestBuilder;
    /**
     * Provides operations to call the imPower method.
     */
    get imPower(): ImPowerRequestBuilder;
    /**
     * Provides operations to call the imProduct method.
     */
    get imProduct(): ImProductRequestBuilder;
    /**
     * Provides operations to call the imReal method.
     */
    get imReal(): ImRealRequestBuilder;
    /**
     * Provides operations to call the imSec method.
     */
    get imSec(): ImSecRequestBuilder;
    /**
     * Provides operations to call the imSech method.
     */
    get imSech(): ImSechRequestBuilder;
    /**
     * Provides operations to call the imSin method.
     */
    get imSin(): ImSinRequestBuilder;
    /**
     * Provides operations to call the imSinh method.
     */
    get imSinh(): ImSinhRequestBuilder;
    /**
     * Provides operations to call the imSqrt method.
     */
    get imSqrt(): ImSqrtRequestBuilder;
    /**
     * Provides operations to call the imSub method.
     */
    get imSub(): ImSubRequestBuilder;
    /**
     * Provides operations to call the imSum method.
     */
    get imSum(): ImSumRequestBuilder;
    /**
     * Provides operations to call the imTan method.
     */
    get imTan(): ImTanRequestBuilder;
    /**
     * Provides operations to call the int method.
     */
    get int(): IntRequestBuilder;
    /**
     * Provides operations to call the intRate method.
     */
    get intRate(): IntRateRequestBuilder;
    /**
     * Provides operations to call the ipmt method.
     */
    get ipmt(): IpmtRequestBuilder;
    /**
     * Provides operations to call the irr method.
     */
    get irr(): IrrRequestBuilder;
    /**
     * Provides operations to call the isErr method.
     */
    get isErr(): IsErrRequestBuilder;
    /**
     * Provides operations to call the isError method.
     */
    get isError(): IsErrorRequestBuilder;
    /**
     * Provides operations to call the isEven method.
     */
    get isEven(): IsEvenRequestBuilder;
    /**
     * Provides operations to call the isFormula method.
     */
    get isFormula(): IsFormulaRequestBuilder;
    /**
     * Provides operations to call the isLogical method.
     */
    get isLogical(): IsLogicalRequestBuilder;
    /**
     * Provides operations to call the isNA method.
     */
    get isNA(): IsNARequestBuilder;
    /**
     * Provides operations to call the isNonText method.
     */
    get isNonText(): IsNonTextRequestBuilder;
    /**
     * Provides operations to call the isNumber method.
     */
    get isNumber(): IsNumberRequestBuilder;
    /**
     * Provides operations to call the iso_Ceiling method.
     */
    get iso_Ceiling(): Iso_CeilingRequestBuilder;
    /**
     * Provides operations to call the isOdd method.
     */
    get isOdd(): IsOddRequestBuilder;
    /**
     * Provides operations to call the isoWeekNum method.
     */
    get isoWeekNum(): IsoWeekNumRequestBuilder;
    /**
     * Provides operations to call the ispmt method.
     */
    get ispmt(): IspmtRequestBuilder;
    /**
     * Provides operations to call the isref method.
     */
    get isref(): IsrefRequestBuilder;
    /**
     * Provides operations to call the isText method.
     */
    get isText(): IsTextRequestBuilder;
    /**
     * Provides operations to call the kurt method.
     */
    get kurt(): KurtRequestBuilder;
    /**
     * Provides operations to call the large method.
     */
    get large(): LargeRequestBuilder;
    /**
     * Provides operations to call the lcm method.
     */
    get lcm(): LcmRequestBuilder;
    /**
     * Provides operations to call the left method.
     */
    get left(): LeftRequestBuilder;
    /**
     * Provides operations to call the leftb method.
     */
    get leftb(): LeftbRequestBuilder;
    /**
     * Provides operations to call the len method.
     */
    get len(): LenRequestBuilder;
    /**
     * Provides operations to call the lenb method.
     */
    get lenb(): LenbRequestBuilder;
    /**
     * Provides operations to call the ln method.
     */
    get ln(): LnRequestBuilder;
    /**
     * Provides operations to call the log method.
     */
    get log(): LogRequestBuilder;
    /**
     * Provides operations to call the log10 method.
     */
    get log10(): Log10RequestBuilder;
    /**
     * Provides operations to call the logNorm_Dist method.
     */
    get logNorm_Dist(): LogNorm_DistRequestBuilder;
    /**
     * Provides operations to call the logNorm_Inv method.
     */
    get logNorm_Inv(): LogNorm_InvRequestBuilder;
    /**
     * Provides operations to call the lookup method.
     */
    get lookup(): LookupRequestBuilder;
    /**
     * Provides operations to call the lower method.
     */
    get lower(): LowerRequestBuilder;
    /**
     * Provides operations to call the match method.
     */
    get match(): MatchRequestBuilder;
    /**
     * Provides operations to call the max method.
     */
    get max(): MaxRequestBuilder;
    /**
     * Provides operations to call the maxA method.
     */
    get maxA(): MaxARequestBuilder;
    /**
     * Provides operations to call the mduration method.
     */
    get mduration(): MdurationRequestBuilder;
    /**
     * Provides operations to call the median method.
     */
    get median(): MedianRequestBuilder;
    /**
     * Provides operations to call the mid method.
     */
    get mid(): MidRequestBuilder;
    /**
     * Provides operations to call the midb method.
     */
    get midb(): MidbRequestBuilder;
    /**
     * Provides operations to call the min method.
     */
    get min(): MinRequestBuilder;
    /**
     * Provides operations to call the minA method.
     */
    get minA(): MinARequestBuilder;
    /**
     * Provides operations to call the minute method.
     */
    get minute(): MinuteRequestBuilder;
    /**
     * Provides operations to call the mirr method.
     */
    get mirr(): MirrRequestBuilder;
    /**
     * Provides operations to call the mod method.
     */
    get mod(): ModRequestBuilder;
    /**
     * Provides operations to call the month method.
     */
    get month(): MonthRequestBuilder;
    /**
     * Provides operations to call the mround method.
     */
    get mround(): MroundRequestBuilder;
    /**
     * Provides operations to call the multiNomial method.
     */
    get multiNomial(): MultiNomialRequestBuilder;
    /**
     * Provides operations to call the n method.
     */
    get n(): NRequestBuilder;
    /**
     * Provides operations to call the na method.
     */
    get na(): NaRequestBuilder;
    /**
     * Provides operations to call the negBinom_Dist method.
     */
    get negBinom_Dist(): NegBinom_DistRequestBuilder;
    /**
     * Provides operations to call the networkDays method.
     */
    get networkDays(): NetworkDaysRequestBuilder;
    /**
     * Provides operations to call the networkDays_Intl method.
     */
    get networkDays_Intl(): NetworkDays_IntlRequestBuilder;
    /**
     * Provides operations to call the nominal method.
     */
    get nominal(): NominalRequestBuilder;
    /**
     * Provides operations to call the norm_Dist method.
     */
    get norm_Dist(): Norm_DistRequestBuilder;
    /**
     * Provides operations to call the norm_Inv method.
     */
    get norm_Inv(): Norm_InvRequestBuilder;
    /**
     * Provides operations to call the norm_S_Dist method.
     */
    get norm_S_Dist(): Norm_S_DistRequestBuilder;
    /**
     * Provides operations to call the norm_S_Inv method.
     */
    get norm_S_Inv(): Norm_S_InvRequestBuilder;
    /**
     * Provides operations to call the not method.
     */
    get not(): NotRequestBuilder;
    /**
     * Provides operations to call the now method.
     */
    get now(): NowRequestBuilder;
    /**
     * Provides operations to call the nper method.
     */
    get nper(): NperRequestBuilder;
    /**
     * Provides operations to call the npv method.
     */
    get npv(): NpvRequestBuilder;
    /**
     * Provides operations to call the numberValue method.
     */
    get numberValue(): NumberValueRequestBuilder;
    /**
     * Provides operations to call the oct2Bin method.
     */
    get oct2Bin(): Oct2BinRequestBuilder;
    /**
     * Provides operations to call the oct2Dec method.
     */
    get oct2Dec(): Oct2DecRequestBuilder;
    /**
     * Provides operations to call the oct2Hex method.
     */
    get oct2Hex(): Oct2HexRequestBuilder;
    /**
     * Provides operations to call the odd method.
     */
    get odd(): OddRequestBuilder;
    /**
     * Provides operations to call the oddFPrice method.
     */
    get oddFPrice(): OddFPriceRequestBuilder;
    /**
     * Provides operations to call the oddFYield method.
     */
    get oddFYield(): OddFYieldRequestBuilder;
    /**
     * Provides operations to call the oddLPrice method.
     */
    get oddLPrice(): OddLPriceRequestBuilder;
    /**
     * Provides operations to call the oddLYield method.
     */
    get oddLYield(): OddLYieldRequestBuilder;
    /**
     * Provides operations to call the or method.
     */
    get or(): OrRequestBuilder;
    /**
     * Provides operations to call the pduration method.
     */
    get pduration(): PdurationRequestBuilder;
    /**
     * Provides operations to call the percentile_Exc method.
     */
    get percentile_Exc(): Percentile_ExcRequestBuilder;
    /**
     * Provides operations to call the percentile_Inc method.
     */
    get percentile_Inc(): Percentile_IncRequestBuilder;
    /**
     * Provides operations to call the percentRank_Exc method.
     */
    get percentRank_Exc(): PercentRank_ExcRequestBuilder;
    /**
     * Provides operations to call the percentRank_Inc method.
     */
    get percentRank_Inc(): PercentRank_IncRequestBuilder;
    /**
     * Provides operations to call the permut method.
     */
    get permut(): PermutRequestBuilder;
    /**
     * Provides operations to call the permutationa method.
     */
    get permutationa(): PermutationaRequestBuilder;
    /**
     * Provides operations to call the phi method.
     */
    get phi(): PhiRequestBuilder;
    /**
     * Provides operations to call the pi method.
     */
    get pi(): PiRequestBuilder;
    /**
     * Provides operations to call the pmt method.
     */
    get pmt(): PmtRequestBuilder;
    /**
     * Provides operations to call the poisson_Dist method.
     */
    get poisson_Dist(): Poisson_DistRequestBuilder;
    /**
     * Provides operations to call the power method.
     */
    get power(): PowerRequestBuilder;
    /**
     * Provides operations to call the ppmt method.
     */
    get ppmt(): PpmtRequestBuilder;
    /**
     * Provides operations to call the price method.
     */
    get price(): PriceRequestBuilder;
    /**
     * Provides operations to call the priceDisc method.
     */
    get priceDisc(): PriceDiscRequestBuilder;
    /**
     * Provides operations to call the priceMat method.
     */
    get priceMat(): PriceMatRequestBuilder;
    /**
     * Provides operations to call the product method.
     */
    get product(): ProductRequestBuilder;
    /**
     * Provides operations to call the proper method.
     */
    get proper(): ProperRequestBuilder;
    /**
     * Provides operations to call the pv method.
     */
    get pv(): PvRequestBuilder;
    /**
     * Provides operations to call the quartile_Exc method.
     */
    get quartile_Exc(): Quartile_ExcRequestBuilder;
    /**
     * Provides operations to call the quartile_Inc method.
     */
    get quartile_Inc(): Quartile_IncRequestBuilder;
    /**
     * Provides operations to call the quotient method.
     */
    get quotient(): QuotientRequestBuilder;
    /**
     * Provides operations to call the radians method.
     */
    get radians(): RadiansRequestBuilder;
    /**
     * Provides operations to call the rand method.
     */
    get rand(): RandRequestBuilder;
    /**
     * Provides operations to call the randBetween method.
     */
    get randBetween(): RandBetweenRequestBuilder;
    /**
     * Provides operations to call the rank_Avg method.
     */
    get rank_Avg(): Rank_AvgRequestBuilder;
    /**
     * Provides operations to call the rank_Eq method.
     */
    get rank_Eq(): Rank_EqRequestBuilder;
    /**
     * Provides operations to call the rate method.
     */
    get rate(): RateRequestBuilder;
    /**
     * Provides operations to call the received method.
     */
    get received(): ReceivedRequestBuilder;
    /**
     * Provides operations to call the replace method.
     */
    get replace(): ReplaceRequestBuilder;
    /**
     * Provides operations to call the replaceB method.
     */
    get replaceB(): ReplaceBRequestBuilder;
    /**
     * Provides operations to call the rept method.
     */
    get rept(): ReptRequestBuilder;
    /**
     * Provides operations to call the right method.
     */
    get right(): RightRequestBuilder;
    /**
     * Provides operations to call the rightb method.
     */
    get rightb(): RightbRequestBuilder;
    /**
     * Provides operations to call the roman method.
     */
    get roman(): RomanRequestBuilder;
    /**
     * Provides operations to call the round method.
     */
    get round(): RoundRequestBuilder;
    /**
     * Provides operations to call the roundDown method.
     */
    get roundDown(): RoundDownRequestBuilder;
    /**
     * Provides operations to call the roundUp method.
     */
    get roundUp(): RoundUpRequestBuilder;
    /**
     * Provides operations to call the rows method.
     */
    get rows(): RowsRequestBuilder;
    /**
     * Provides operations to call the rri method.
     */
    get rri(): RriRequestBuilder;
    /**
     * Provides operations to call the sec method.
     */
    get sec(): SecRequestBuilder;
    /**
     * Provides operations to call the sech method.
     */
    get sech(): SechRequestBuilder;
    /**
     * Provides operations to call the second method.
     */
    get second(): SecondRequestBuilder;
    /**
     * Provides operations to call the seriesSum method.
     */
    get seriesSum(): SeriesSumRequestBuilder;
    /**
     * Provides operations to call the sheet method.
     */
    get sheet(): SheetRequestBuilder;
    /**
     * Provides operations to call the sheets method.
     */
    get sheets(): SheetsRequestBuilder;
    /**
     * Provides operations to call the sign method.
     */
    get sign(): SignRequestBuilder;
    /**
     * Provides operations to call the sin method.
     */
    get sin(): SinRequestBuilder;
    /**
     * Provides operations to call the sinh method.
     */
    get sinh(): SinhRequestBuilder;
    /**
     * Provides operations to call the skew method.
     */
    get skew(): SkewRequestBuilder;
    /**
     * Provides operations to call the skew_p method.
     */
    get skew_p(): Skew_pRequestBuilder;
    /**
     * Provides operations to call the sln method.
     */
    get sln(): SlnRequestBuilder;
    /**
     * Provides operations to call the small method.
     */
    get small(): SmallRequestBuilder;
    /**
     * Provides operations to call the sqrt method.
     */
    get sqrt(): SqrtRequestBuilder;
    /**
     * Provides operations to call the sqrtPi method.
     */
    get sqrtPi(): SqrtPiRequestBuilder;
    /**
     * Provides operations to call the standardize method.
     */
    get standardize(): StandardizeRequestBuilder;
    /**
     * Provides operations to call the stDev_P method.
     */
    get stDev_P(): StDev_PRequestBuilder;
    /**
     * Provides operations to call the stDev_S method.
     */
    get stDev_S(): StDev_SRequestBuilder;
    /**
     * Provides operations to call the stDevA method.
     */
    get stDevA(): StDevARequestBuilder;
    /**
     * Provides operations to call the stDevPA method.
     */
    get stDevPA(): StDevPARequestBuilder;
    /**
     * Provides operations to call the substitute method.
     */
    get substitute(): SubstituteRequestBuilder;
    /**
     * Provides operations to call the subtotal method.
     */
    get subtotal(): SubtotalRequestBuilder;
    /**
     * Provides operations to call the sum method.
     */
    get sum(): SumRequestBuilder;
    /**
     * Provides operations to call the sumIf method.
     */
    get sumIf(): SumIfRequestBuilder;
    /**
     * Provides operations to call the sumIfs method.
     */
    get sumIfs(): SumIfsRequestBuilder;
    /**
     * Provides operations to call the sumSq method.
     */
    get sumSq(): SumSqRequestBuilder;
    /**
     * Provides operations to call the syd method.
     */
    get syd(): SydRequestBuilder;
    /**
     * Provides operations to call the t method.
     */
    get t(): TRequestBuilder;
    /**
     * Provides operations to call the t_Dist method.
     */
    get t_Dist(): T_DistRequestBuilder;
    /**
     * Provides operations to call the t_Dist_2T method.
     */
    get t_Dist_2T(): T_Dist_2TRequestBuilder;
    /**
     * Provides operations to call the t_Dist_RT method.
     */
    get t_Dist_RT(): T_Dist_RTRequestBuilder;
    /**
     * Provides operations to call the t_Inv method.
     */
    get t_Inv(): T_InvRequestBuilder;
    /**
     * Provides operations to call the t_Inv_2T method.
     */
    get t_Inv_2T(): T_Inv_2TRequestBuilder;
    /**
     * Provides operations to call the tan method.
     */
    get tan(): TanRequestBuilder;
    /**
     * Provides operations to call the tanh method.
     */
    get tanh(): TanhRequestBuilder;
    /**
     * Provides operations to call the tbillEq method.
     */
    get tbillEq(): TbillEqRequestBuilder;
    /**
     * Provides operations to call the tbillPrice method.
     */
    get tbillPrice(): TbillPriceRequestBuilder;
    /**
     * Provides operations to call the tbillYield method.
     */
    get tbillYield(): TbillYieldRequestBuilder;
    /**
     * Provides operations to call the text method.
     */
    get text(): TextRequestBuilder;
    /**
     * Provides operations to call the time method.
     */
    get time(): TimeRequestBuilder;
    /**
     * Provides operations to call the timevalue method.
     */
    get timevalue(): TimevalueRequestBuilder;
    /**
     * Provides operations to call the today method.
     */
    get today(): TodayRequestBuilder;
    /**
     * Provides operations to call the trim method.
     */
    get trim(): TrimRequestBuilder;
    /**
     * Provides operations to call the trimMean method.
     */
    get trimMean(): TrimMeanRequestBuilder;
    /**
     * Provides operations to call the true method.
     */
    get trueEscaped(): TrueRequestBuilder;
    /**
     * Provides operations to call the trunc method.
     */
    get trunc(): TruncRequestBuilder;
    /**
     * Provides operations to call the type method.
     */
    get type(): TypeRequestBuilder;
    /**
     * Provides operations to call the unichar method.
     */
    get unichar(): UnicharRequestBuilder;
    /**
     * Provides operations to call the unicode method.
     */
    get unicode(): UnicodeRequestBuilder;
    /**
     * Provides operations to call the upper method.
     */
    get upper(): UpperRequestBuilder;
    /**
     * Provides operations to call the usdollar method.
     */
    get usdollar(): UsdollarRequestBuilder;
    /**
     * Provides operations to call the value method.
     */
    get value(): ValueRequestBuilder;
    /**
     * Provides operations to call the var_P method.
     */
    get var_P(): Var_PRequestBuilder;
    /**
     * Provides operations to call the var_S method.
     */
    get var_S(): Var_SRequestBuilder;
    /**
     * Provides operations to call the varA method.
     */
    get varA(): VarARequestBuilder;
    /**
     * Provides operations to call the varPA method.
     */
    get varPA(): VarPARequestBuilder;
    /**
     * Provides operations to call the vdb method.
     */
    get vdb(): VdbRequestBuilder;
    /**
     * Provides operations to call the vlookup method.
     */
    get vlookup(): VlookupRequestBuilder;
    /**
     * Provides operations to call the weekday method.
     */
    get weekday(): WeekdayRequestBuilder;
    /**
     * Provides operations to call the weekNum method.
     */
    get weekNum(): WeekNumRequestBuilder;
    /**
     * Provides operations to call the weibull_Dist method.
     */
    get weibull_Dist(): Weibull_DistRequestBuilder;
    /**
     * Provides operations to call the workDay method.
     */
    get workDay(): WorkDayRequestBuilder;
    /**
     * Provides operations to call the workDay_Intl method.
     */
    get workDay_Intl(): WorkDay_IntlRequestBuilder;
    /**
     * Provides operations to call the xirr method.
     */
    get xirr(): XirrRequestBuilder;
    /**
     * Provides operations to call the xnpv method.
     */
    get xnpv(): XnpvRequestBuilder;
    /**
     * Provides operations to call the xor method.
     */
    get xor(): XorRequestBuilder;
    /**
     * Provides operations to call the year method.
     */
    get year(): YearRequestBuilder;
    /**
     * Provides operations to call the yearFrac method.
     */
    get yearFrac(): YearFracRequestBuilder;
    /**
     * Provides operations to call the yield method.
     */
    get yield(): YieldRequestBuilder;
    /**
     * Provides operations to call the yieldDisc method.
     */
    get yieldDisc(): YieldDiscRequestBuilder;
    /**
     * Provides operations to call the yieldMat method.
     */
    get yieldMat(): YieldMatRequestBuilder;
    /**
     * Provides operations to call the z_Test method.
     */
    get z_Test(): Z_TestRequestBuilder;
    /**
     * Instantiates a new FunctionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    get(requestConfiguration?: RequestConfiguration<FunctionsRequestBuilderGetQueryParameters> | undefined): Promise<WorkbookFunctions | undefined>;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    patch(body: WorkbookFunctions, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctions | undefined>;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<FunctionsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WorkbookFunctions, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a functionsRequestBuilder
     */
    withUrl(rawUrl: string): FunctionsRequestBuilder;
}
