"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntRateRequestBuilder = exports.serializeIntRatePostRequestBody = exports.deserializeIntoIntRatePostRequestBody = exports.createIntRatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIntRatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIntRatePostRequestBody;
}
exports.createIntRatePostRequestBodyFromDiscriminatorValue = createIntRatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoIntRatePostRequestBody(intRatePostRequestBody = {}) {
    return {
        "basis": n => { intRatePostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "investment": n => { intRatePostRequestBody.investment = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { intRatePostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { intRatePostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { intRatePostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIntRatePostRequestBody = deserializeIntoIntRatePostRequestBody;
function serializeIntRatePostRequestBody(writer, intRatePostRequestBody = {}) {
    writer.writeObjectValue("basis", intRatePostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("investment", intRatePostRequestBody.investment, json_1.serializeJson);
    writer.writeObjectValue("maturity", intRatePostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("redemption", intRatePostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", intRatePostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(intRatePostRequestBody.additionalData);
}
exports.serializeIntRatePostRequestBody = serializeIntRatePostRequestBody;
/**
 * Provides operations to call the intRate method.
 */
class IntRateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IntRateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/intRate");
    }
    ;
    /**
     * Invoke action intRate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action intRate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIntRatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a intRateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IntRateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IntRateRequestBuilder = IntRateRequestBuilder;
// tslint:enable
// eslint-enable
