"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IpmtRequestBuilder = exports.serializeIpmtPostRequestBody = exports.deserializeIntoIpmtPostRequestBody = exports.createIpmtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIpmtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIpmtPostRequestBody;
}
exports.createIpmtPostRequestBodyFromDiscriminatorValue = createIpmtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoIpmtPostRequestBody(ipmtPostRequestBody = {}) {
    return {
        "fv": n => { ipmtPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { ipmtPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "per": n => { ipmtPostRequestBody.per = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { ipmtPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { ipmtPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { ipmtPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIpmtPostRequestBody = deserializeIntoIpmtPostRequestBody;
function serializeIpmtPostRequestBody(writer, ipmtPostRequestBody = {}) {
    writer.writeObjectValue("fv", ipmtPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("nper", ipmtPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("per", ipmtPostRequestBody.per, json_1.serializeJson);
    writer.writeObjectValue("pv", ipmtPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", ipmtPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", ipmtPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(ipmtPostRequestBody.additionalData);
}
exports.serializeIpmtPostRequestBody = serializeIpmtPostRequestBody;
/**
 * Provides operations to call the ipmt method.
 */
class IpmtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IpmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ipmt");
    }
    ;
    /**
     * Invoke action ipmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ipmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIpmtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ipmtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IpmtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IpmtRequestBuilder = IpmtRequestBuilder;
// tslint:enable
// eslint-enable
