import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsFormulaPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsFormulaPostRequestBody;
export declare function deserializeIntoIsFormulaPostRequestBody(isFormulaPostRequestBody?: IsFormulaPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface IsFormulaPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reference property
     */
    reference?: Json;
}
export declare function serializeIsFormulaPostRequestBody(writer: SerializationWriter, isFormulaPostRequestBody?: IsFormulaPostRequestBody | undefined): void;
/**
 * Provides operations to call the isFormula method.
 */
export declare class IsFormulaRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new IsFormulaRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action isFormula
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: IsFormulaPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action isFormula
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: IsFormulaPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a isFormulaRequestBuilder
     */
    withUrl(rawUrl: string): IsFormulaRequestBuilder;
}
