"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsNARequestBuilder = exports.serializeIsNAPostRequestBody = exports.deserializeIntoIsNAPostRequestBody = exports.createIsNAPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIsNAPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIsNAPostRequestBody;
}
exports.createIsNAPostRequestBodyFromDiscriminatorValue = createIsNAPostRequestBodyFromDiscriminatorValue;
function deserializeIntoIsNAPostRequestBody(isNAPostRequestBody = {}) {
    return {
        "value": n => { isNAPostRequestBody.value = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIsNAPostRequestBody = deserializeIntoIsNAPostRequestBody;
function serializeIsNAPostRequestBody(writer, isNAPostRequestBody = {}) {
    writer.writeObjectValue("value", isNAPostRequestBody.value, json_1.serializeJson);
    writer.writeAdditionalData(isNAPostRequestBody.additionalData);
}
exports.serializeIsNAPostRequestBody = serializeIsNAPostRequestBody;
/**
 * Provides operations to call the isNA method.
 */
class IsNARequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IsNARequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/isNA");
    }
    ;
    /**
     * Invoke action isNA
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action isNA
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIsNAPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a isNARequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IsNARequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IsNARequestBuilder = IsNARequestBuilder;
// tslint:enable
// eslint-enable
