import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIso_CeilingPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIso_CeilingPostRequestBody;
export declare function deserializeIntoIso_CeilingPostRequestBody(iso_CeilingPostRequestBody?: Iso_CeilingPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Iso_CeilingPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The significance property
     */
    significance?: Json;
}
export declare function serializeIso_CeilingPostRequestBody(writer: SerializationWriter, iso_CeilingPostRequestBody?: Iso_CeilingPostRequestBody | undefined): void;
/**
 * Provides operations to call the iso_Ceiling method.
 */
export declare class Iso_CeilingRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Iso_CeilingRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action iso_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Iso_CeilingPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action iso_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Iso_CeilingPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a iso_CeilingRequestBuilder
     */
    withUrl(rawUrl: string): Iso_CeilingRequestBuilder;
}
