"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Iso_CeilingRequestBuilder = exports.serializeIso_CeilingPostRequestBody = exports.deserializeIntoIso_CeilingPostRequestBody = exports.createIso_CeilingPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIso_CeilingPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIso_CeilingPostRequestBody;
}
exports.createIso_CeilingPostRequestBodyFromDiscriminatorValue = createIso_CeilingPostRequestBodyFromDiscriminatorValue;
function deserializeIntoIso_CeilingPostRequestBody(iso_CeilingPostRequestBody = {}) {
    return {
        "number": n => { iso_CeilingPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { iso_CeilingPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIso_CeilingPostRequestBody = deserializeIntoIso_CeilingPostRequestBody;
function serializeIso_CeilingPostRequestBody(writer, iso_CeilingPostRequestBody = {}) {
    writer.writeObjectValue("number", iso_CeilingPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("significance", iso_CeilingPostRequestBody.significance, json_1.serializeJson);
    writer.writeAdditionalData(iso_CeilingPostRequestBody.additionalData);
}
exports.serializeIso_CeilingPostRequestBody = serializeIso_CeilingPostRequestBody;
/**
 * Provides operations to call the iso_Ceiling method.
 */
class Iso_CeilingRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Iso_CeilingRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/iso_Ceiling");
    }
    ;
    /**
     * Invoke action iso_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action iso_Ceiling
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIso_CeilingPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a iso_CeilingRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Iso_CeilingRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Iso_CeilingRequestBuilder = Iso_CeilingRequestBuilder;
// tslint:enable
// eslint-enable
