"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IspmtRequestBuilder = exports.serializeIspmtPostRequestBody = exports.deserializeIntoIspmtPostRequestBody = exports.createIspmtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIspmtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIspmtPostRequestBody;
}
exports.createIspmtPostRequestBodyFromDiscriminatorValue = createIspmtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoIspmtPostRequestBody(ispmtPostRequestBody = {}) {
    return {
        "nper": n => { ispmtPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "per": n => { ispmtPostRequestBody.per = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { ispmtPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { ispmtPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIspmtPostRequestBody = deserializeIntoIspmtPostRequestBody;
function serializeIspmtPostRequestBody(writer, ispmtPostRequestBody = {}) {
    writer.writeObjectValue("nper", ispmtPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("per", ispmtPostRequestBody.per, json_1.serializeJson);
    writer.writeObjectValue("pv", ispmtPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", ispmtPostRequestBody.rate, json_1.serializeJson);
    writer.writeAdditionalData(ispmtPostRequestBody.additionalData);
}
exports.serializeIspmtPostRequestBody = serializeIspmtPostRequestBody;
/**
 * Provides operations to call the ispmt method.
 */
class IspmtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IspmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ispmt");
    }
    ;
    /**
     * Invoke action ispmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ispmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeIspmtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ispmtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IspmtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IspmtRequestBuilder = IspmtRequestBuilder;
// tslint:enable
// eslint-enable
