"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeftRequestBuilder = exports.serializeLeftPostRequestBody = exports.deserializeIntoLeftPostRequestBody = exports.createLeftPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createLeftPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLeftPostRequestBody;
}
exports.createLeftPostRequestBodyFromDiscriminatorValue = createLeftPostRequestBodyFromDiscriminatorValue;
function deserializeIntoLeftPostRequestBody(leftPostRequestBody = {}) {
    return {
        "numChars": n => { leftPostRequestBody.numChars = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "text": n => { leftPostRequestBody.text = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoLeftPostRequestBody = deserializeIntoLeftPostRequestBody;
function serializeLeftPostRequestBody(writer, leftPostRequestBody = {}) {
    writer.writeObjectValue("numChars", leftPostRequestBody.numChars, json_1.serializeJson);
    writer.writeObjectValue("text", leftPostRequestBody.text, json_1.serializeJson);
    writer.writeAdditionalData(leftPostRequestBody.additionalData);
}
exports.serializeLeftPostRequestBody = serializeLeftPostRequestBody;
/**
 * Provides operations to call the left method.
 */
class LeftRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new LeftRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/left");
    }
    ;
    /**
     * Invoke action left
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action left
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeLeftPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a leftRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new LeftRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.LeftRequestBuilder = LeftRequestBuilder;
// tslint:enable
// eslint-enable
