"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeftbRequestBuilder = exports.serializeLeftbPostRequestBody = exports.deserializeIntoLeftbPostRequestBody = exports.createLeftbPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createLeftbPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLeftbPostRequestBody;
}
exports.createLeftbPostRequestBodyFromDiscriminatorValue = createLeftbPostRequestBodyFromDiscriminatorValue;
function deserializeIntoLeftbPostRequestBody(leftbPostRequestBody = {}) {
    return {
        "numBytes": n => { leftbPostRequestBody.numBytes = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "text": n => { leftbPostRequestBody.text = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoLeftbPostRequestBody = deserializeIntoLeftbPostRequestBody;
function serializeLeftbPostRequestBody(writer, leftbPostRequestBody = {}) {
    writer.writeObjectValue("numBytes", leftbPostRequestBody.numBytes, json_1.serializeJson);
    writer.writeObjectValue("text", leftbPostRequestBody.text, json_1.serializeJson);
    writer.writeAdditionalData(leftbPostRequestBody.additionalData);
}
exports.serializeLeftbPostRequestBody = serializeLeftbPostRequestBody;
/**
 * Provides operations to call the leftb method.
 */
class LeftbRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new LeftbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/leftb");
    }
    ;
    /**
     * Invoke action leftb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action leftb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeLeftbPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a leftbRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new LeftbRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.LeftbRequestBuilder = LeftbRequestBuilder;
// tslint:enable
// eslint-enable
