"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogNorm_DistRequestBuilder = exports.serializeLogNorm_DistPostRequestBody = exports.deserializeIntoLogNorm_DistPostRequestBody = exports.createLogNorm_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createLogNorm_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLogNorm_DistPostRequestBody;
}
exports.createLogNorm_DistPostRequestBodyFromDiscriminatorValue = createLogNorm_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoLogNorm_DistPostRequestBody(logNorm_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { logNorm_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "mean": n => { logNorm_DistPostRequestBody.mean = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "standardDev": n => { logNorm_DistPostRequestBody.standardDev = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { logNorm_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoLogNorm_DistPostRequestBody = deserializeIntoLogNorm_DistPostRequestBody;
function serializeLogNorm_DistPostRequestBody(writer, logNorm_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", logNorm_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("mean", logNorm_DistPostRequestBody.mean, json_1.serializeJson);
    writer.writeObjectValue("standardDev", logNorm_DistPostRequestBody.standardDev, json_1.serializeJson);
    writer.writeObjectValue("x", logNorm_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(logNorm_DistPostRequestBody.additionalData);
}
exports.serializeLogNorm_DistPostRequestBody = serializeLogNorm_DistPostRequestBody;
/**
 * Provides operations to call the logNorm_Dist method.
 */
class LogNorm_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new LogNorm_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/logNorm_Dist");
    }
    ;
    /**
     * Invoke action logNorm_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action logNorm_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeLogNorm_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a logNorm_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new LogNorm_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.LogNorm_DistRequestBuilder = LogNorm_DistRequestBuilder;
// tslint:enable
// eslint-enable
