import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLogNorm_InvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLogNorm_InvPostRequestBody;
export declare function deserializeIntoLogNorm_InvPostRequestBody(logNorm_InvPostRequestBody?: LogNorm_InvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface LogNorm_InvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mean property
     */
    mean?: Json;
    /**
     * The probability property
     */
    probability?: Json;
    /**
     * The standardDev property
     */
    standardDev?: Json;
}
export declare function serializeLogNorm_InvPostRequestBody(writer: SerializationWriter, logNorm_InvPostRequestBody?: LogNorm_InvPostRequestBody | undefined): void;
/**
 * Provides operations to call the logNorm_Inv method.
 */
export declare class LogNorm_InvRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new LogNorm_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action logNorm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: LogNorm_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action logNorm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: LogNorm_InvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a logNorm_InvRequestBuilder
     */
    withUrl(rawUrl: string): LogNorm_InvRequestBuilder;
}
