"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LogNorm_InvRequestBuilder = exports.serializeLogNorm_InvPostRequestBody = exports.deserializeIntoLogNorm_InvPostRequestBody = exports.createLogNorm_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createLogNorm_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLogNorm_InvPostRequestBody;
}
exports.createLogNorm_InvPostRequestBodyFromDiscriminatorValue = createLogNorm_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoLogNorm_InvPostRequestBody(logNorm_InvPostRequestBody = {}) {
    return {
        "mean": n => { logNorm_InvPostRequestBody.mean = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { logNorm_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "standardDev": n => { logNorm_InvPostRequestBody.standardDev = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoLogNorm_InvPostRequestBody = deserializeIntoLogNorm_InvPostRequestBody;
function serializeLogNorm_InvPostRequestBody(writer, logNorm_InvPostRequestBody = {}) {
    writer.writeObjectValue("mean", logNorm_InvPostRequestBody.mean, json_1.serializeJson);
    writer.writeObjectValue("probability", logNorm_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeObjectValue("standardDev", logNorm_InvPostRequestBody.standardDev, json_1.serializeJson);
    writer.writeAdditionalData(logNorm_InvPostRequestBody.additionalData);
}
exports.serializeLogNorm_InvPostRequestBody = serializeLogNorm_InvPostRequestBody;
/**
 * Provides operations to call the logNorm_Inv method.
 */
class LogNorm_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new LogNorm_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/logNorm_Inv");
    }
    ;
    /**
     * Invoke action logNorm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action logNorm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeLogNorm_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a logNorm_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new LogNorm_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.LogNorm_InvRequestBuilder = LogNorm_InvRequestBuilder;
// tslint:enable
// eslint-enable
