"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MatchRequestBuilder = exports.serializeMatchPostRequestBody = exports.deserializeIntoMatchPostRequestBody = exports.createMatchPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createMatchPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMatchPostRequestBody;
}
exports.createMatchPostRequestBodyFromDiscriminatorValue = createMatchPostRequestBodyFromDiscriminatorValue;
function deserializeIntoMatchPostRequestBody(matchPostRequestBody = {}) {
    return {
        "lookupArray": n => { matchPostRequestBody.lookupArray = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "lookupValue": n => { matchPostRequestBody.lookupValue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "matchType": n => { matchPostRequestBody.matchType = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMatchPostRequestBody = deserializeIntoMatchPostRequestBody;
function serializeMatchPostRequestBody(writer, matchPostRequestBody = {}) {
    writer.writeObjectValue("lookupArray", matchPostRequestBody.lookupArray, json_1.serializeJson);
    writer.writeObjectValue("lookupValue", matchPostRequestBody.lookupValue, json_1.serializeJson);
    writer.writeObjectValue("matchType", matchPostRequestBody.matchType, json_1.serializeJson);
    writer.writeAdditionalData(matchPostRequestBody.additionalData);
}
exports.serializeMatchPostRequestBody = serializeMatchPostRequestBody;
/**
 * Provides operations to call the match method.
 */
class MatchRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MatchRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/match");
    }
    ;
    /**
     * Invoke action match
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action match
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeMatchPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a matchRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MatchRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MatchRequestBuilder = MatchRequestBuilder;
// tslint:enable
// eslint-enable
