"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MdurationRequestBuilder = exports.serializeMdurationPostRequestBody = exports.deserializeIntoMdurationPostRequestBody = exports.createMdurationPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createMdurationPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMdurationPostRequestBody;
}
exports.createMdurationPostRequestBodyFromDiscriminatorValue = createMdurationPostRequestBodyFromDiscriminatorValue;
function deserializeIntoMdurationPostRequestBody(mdurationPostRequestBody = {}) {
    return {
        "basis": n => { mdurationPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "coupon": n => { mdurationPostRequestBody.coupon = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { mdurationPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { mdurationPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { mdurationPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { mdurationPostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMdurationPostRequestBody = deserializeIntoMdurationPostRequestBody;
function serializeMdurationPostRequestBody(writer, mdurationPostRequestBody = {}) {
    writer.writeObjectValue("basis", mdurationPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("coupon", mdurationPostRequestBody.coupon, json_1.serializeJson);
    writer.writeObjectValue("frequency", mdurationPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("maturity", mdurationPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("settlement", mdurationPostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", mdurationPostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(mdurationPostRequestBody.additionalData);
}
exports.serializeMdurationPostRequestBody = serializeMdurationPostRequestBody;
/**
 * Provides operations to call the mduration method.
 */
class MdurationRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MdurationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/mduration");
    }
    ;
    /**
     * Invoke action mduration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action mduration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeMdurationPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a mdurationRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MdurationRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MdurationRequestBuilder = MdurationRequestBuilder;
// tslint:enable
// eslint-enable
