import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMidbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMidbPostRequestBody;
export declare function deserializeIntoMidbPostRequestBody(midbPostRequestBody?: MidbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MidbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numBytes property
     */
    numBytes?: Json;
    /**
     * The startNum property
     */
    startNum?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeMidbPostRequestBody(writer: SerializationWriter, midbPostRequestBody?: MidbPostRequestBody | undefined): void;
/**
 * Provides operations to call the midb method.
 */
export declare class MidbRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MidbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action midb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: MidbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action midb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: MidbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a midbRequestBuilder
     */
    withUrl(rawUrl: string): MidbRequestBuilder;
}
