import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMirrPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMirrPostRequestBody;
export declare function deserializeIntoMirrPostRequestBody(mirrPostRequestBody?: MirrPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface MirrPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The financeRate property
     */
    financeRate?: Json;
    /**
     * The reinvestRate property
     */
    reinvestRate?: Json;
    /**
     * The values property
     */
    values?: Json;
}
export declare function serializeMirrPostRequestBody(writer: SerializationWriter, mirrPostRequestBody?: MirrPostRequestBody | undefined): void;
/**
 * Provides operations to call the mirr method.
 */
export declare class MirrRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MirrRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action mirr
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: MirrPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action mirr
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: MirrPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a mirrRequestBuilder
     */
    withUrl(rawUrl: string): MirrRequestBuilder;
}
