"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NegBinom_DistRequestBuilder = exports.serializeNegBinom_DistPostRequestBody = exports.deserializeIntoNegBinom_DistPostRequestBody = exports.createNegBinom_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNegBinom_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNegBinom_DistPostRequestBody;
}
exports.createNegBinom_DistPostRequestBodyFromDiscriminatorValue = createNegBinom_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNegBinom_DistPostRequestBody(negBinom_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { negBinom_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberF": n => { negBinom_DistPostRequestBody.numberF = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numberS": n => { negBinom_DistPostRequestBody.numberS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probabilityS": n => { negBinom_DistPostRequestBody.probabilityS = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNegBinom_DistPostRequestBody = deserializeIntoNegBinom_DistPostRequestBody;
function serializeNegBinom_DistPostRequestBody(writer, negBinom_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", negBinom_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("numberF", negBinom_DistPostRequestBody.numberF, json_1.serializeJson);
    writer.writeObjectValue("numberS", negBinom_DistPostRequestBody.numberS, json_1.serializeJson);
    writer.writeObjectValue("probabilityS", negBinom_DistPostRequestBody.probabilityS, json_1.serializeJson);
    writer.writeAdditionalData(negBinom_DistPostRequestBody.additionalData);
}
exports.serializeNegBinom_DistPostRequestBody = serializeNegBinom_DistPostRequestBody;
/**
 * Provides operations to call the negBinom_Dist method.
 */
class NegBinom_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new NegBinom_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/negBinom_Dist");
    }
    ;
    /**
     * Invoke action negBinom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action negBinom_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNegBinom_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a negBinom_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new NegBinom_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.NegBinom_DistRequestBuilder = NegBinom_DistRequestBuilder;
// tslint:enable
// eslint-enable
