import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNetworkDaysPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNetworkDaysPostRequestBody;
export declare function deserializeIntoNetworkDaysPostRequestBody(networkDaysPostRequestBody?: NetworkDaysPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NetworkDaysPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
export declare function serializeNetworkDaysPostRequestBody(writer: SerializationWriter, networkDaysPostRequestBody?: NetworkDaysPostRequestBody | undefined): void;
/**
 * Provides operations to call the networkDays method.
 */
export declare class NetworkDaysRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new NetworkDaysRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action networkDays
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: NetworkDaysPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action networkDays
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: NetworkDaysPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a networkDaysRequestBuilder
     */
    withUrl(rawUrl: string): NetworkDaysRequestBuilder;
}
