"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkDaysRequestBuilder = exports.serializeNetworkDaysPostRequestBody = exports.deserializeIntoNetworkDaysPostRequestBody = exports.createNetworkDaysPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNetworkDaysPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNetworkDaysPostRequestBody;
}
exports.createNetworkDaysPostRequestBodyFromDiscriminatorValue = createNetworkDaysPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNetworkDaysPostRequestBody(networkDaysPostRequestBody = {}) {
    return {
        "endDate": n => { networkDaysPostRequestBody.endDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "holidays": n => { networkDaysPostRequestBody.holidays = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startDate": n => { networkDaysPostRequestBody.startDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNetworkDaysPostRequestBody = deserializeIntoNetworkDaysPostRequestBody;
function serializeNetworkDaysPostRequestBody(writer, networkDaysPostRequestBody = {}) {
    writer.writeObjectValue("endDate", networkDaysPostRequestBody.endDate, json_1.serializeJson);
    writer.writeObjectValue("holidays", networkDaysPostRequestBody.holidays, json_1.serializeJson);
    writer.writeObjectValue("startDate", networkDaysPostRequestBody.startDate, json_1.serializeJson);
    writer.writeAdditionalData(networkDaysPostRequestBody.additionalData);
}
exports.serializeNetworkDaysPostRequestBody = serializeNetworkDaysPostRequestBody;
/**
 * Provides operations to call the networkDays method.
 */
class NetworkDaysRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new NetworkDaysRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/networkDays");
    }
    ;
    /**
     * Invoke action networkDays
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action networkDays
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNetworkDaysPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a networkDaysRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new NetworkDaysRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.NetworkDaysRequestBuilder = NetworkDaysRequestBuilder;
// tslint:enable
// eslint-enable
