import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNetworkDays_IntlPostRequestBody;
export declare function deserializeIntoNetworkDays_IntlPostRequestBody(networkDays_IntlPostRequestBody?: NetworkDays_IntlPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NetworkDays_IntlPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
    /**
     * The weekend property
     */
    weekend?: Json;
}
export declare function serializeNetworkDays_IntlPostRequestBody(writer: SerializationWriter, networkDays_IntlPostRequestBody?: NetworkDays_IntlPostRequestBody | undefined): void;
/**
 * Provides operations to call the networkDays_Intl method.
 */
export declare class NetworkDays_IntlRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new NetworkDays_IntlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: NetworkDays_IntlPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: NetworkDays_IntlPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a networkDays_IntlRequestBuilder
     */
    withUrl(rawUrl: string): NetworkDays_IntlRequestBuilder;
}
