"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NetworkDays_IntlRequestBuilder = exports.serializeNetworkDays_IntlPostRequestBody = exports.deserializeIntoNetworkDays_IntlPostRequestBody = exports.createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNetworkDays_IntlPostRequestBody;
}
exports.createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue = createNetworkDays_IntlPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNetworkDays_IntlPostRequestBody(networkDays_IntlPostRequestBody = {}) {
    return {
        "endDate": n => { networkDays_IntlPostRequestBody.endDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "holidays": n => { networkDays_IntlPostRequestBody.holidays = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startDate": n => { networkDays_IntlPostRequestBody.startDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "weekend": n => { networkDays_IntlPostRequestBody.weekend = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNetworkDays_IntlPostRequestBody = deserializeIntoNetworkDays_IntlPostRequestBody;
function serializeNetworkDays_IntlPostRequestBody(writer, networkDays_IntlPostRequestBody = {}) {
    writer.writeObjectValue("endDate", networkDays_IntlPostRequestBody.endDate, json_1.serializeJson);
    writer.writeObjectValue("holidays", networkDays_IntlPostRequestBody.holidays, json_1.serializeJson);
    writer.writeObjectValue("startDate", networkDays_IntlPostRequestBody.startDate, json_1.serializeJson);
    writer.writeObjectValue("weekend", networkDays_IntlPostRequestBody.weekend, json_1.serializeJson);
    writer.writeAdditionalData(networkDays_IntlPostRequestBody.additionalData);
}
exports.serializeNetworkDays_IntlPostRequestBody = serializeNetworkDays_IntlPostRequestBody;
/**
 * Provides operations to call the networkDays_Intl method.
 */
class NetworkDays_IntlRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new NetworkDays_IntlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/networkDays_Intl");
    }
    ;
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action networkDays_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNetworkDays_IntlPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a networkDays_IntlRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new NetworkDays_IntlRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.NetworkDays_IntlRequestBuilder = NetworkDays_IntlRequestBuilder;
// tslint:enable
// eslint-enable
