"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Norm_InvRequestBuilder = exports.serializeNorm_InvPostRequestBody = exports.deserializeIntoNorm_InvPostRequestBody = exports.createNorm_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNorm_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNorm_InvPostRequestBody;
}
exports.createNorm_InvPostRequestBodyFromDiscriminatorValue = createNorm_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNorm_InvPostRequestBody(norm_InvPostRequestBody = {}) {
    return {
        "mean": n => { norm_InvPostRequestBody.mean = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { norm_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "standardDev": n => { norm_InvPostRequestBody.standardDev = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNorm_InvPostRequestBody = deserializeIntoNorm_InvPostRequestBody;
function serializeNorm_InvPostRequestBody(writer, norm_InvPostRequestBody = {}) {
    writer.writeObjectValue("mean", norm_InvPostRequestBody.mean, json_1.serializeJson);
    writer.writeObjectValue("probability", norm_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeObjectValue("standardDev", norm_InvPostRequestBody.standardDev, json_1.serializeJson);
    writer.writeAdditionalData(norm_InvPostRequestBody.additionalData);
}
exports.serializeNorm_InvPostRequestBody = serializeNorm_InvPostRequestBody;
/**
 * Provides operations to call the norm_Inv method.
 */
class Norm_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Norm_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/norm_Inv");
    }
    ;
    /**
     * Invoke action norm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action norm_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNorm_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a norm_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Norm_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Norm_InvRequestBuilder = Norm_InvRequestBuilder;
// tslint:enable
// eslint-enable
