"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Norm_S_DistRequestBuilder = exports.serializeNorm_S_DistPostRequestBody = exports.deserializeIntoNorm_S_DistPostRequestBody = exports.createNorm_S_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNorm_S_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNorm_S_DistPostRequestBody;
}
exports.createNorm_S_DistPostRequestBodyFromDiscriminatorValue = createNorm_S_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNorm_S_DistPostRequestBody(norm_S_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { norm_S_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "z": n => { norm_S_DistPostRequestBody.z = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNorm_S_DistPostRequestBody = deserializeIntoNorm_S_DistPostRequestBody;
function serializeNorm_S_DistPostRequestBody(writer, norm_S_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", norm_S_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("z", norm_S_DistPostRequestBody.z, json_1.serializeJson);
    writer.writeAdditionalData(norm_S_DistPostRequestBody.additionalData);
}
exports.serializeNorm_S_DistPostRequestBody = serializeNorm_S_DistPostRequestBody;
/**
 * Provides operations to call the norm_S_Dist method.
 */
class Norm_S_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Norm_S_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/norm_S_Dist");
    }
    ;
    /**
     * Invoke action norm_S_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action norm_S_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNorm_S_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a norm_S_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Norm_S_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Norm_S_DistRequestBuilder = Norm_S_DistRequestBuilder;
// tslint:enable
// eslint-enable
