"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NperRequestBuilder = exports.serializeNperPostRequestBody = exports.deserializeIntoNperPostRequestBody = exports.createNperPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createNperPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNperPostRequestBody;
}
exports.createNperPostRequestBodyFromDiscriminatorValue = createNperPostRequestBodyFromDiscriminatorValue;
function deserializeIntoNperPostRequestBody(nperPostRequestBody = {}) {
    return {
        "fv": n => { nperPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pmt": n => { nperPostRequestBody.pmt = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { nperPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { nperPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { nperPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoNperPostRequestBody = deserializeIntoNperPostRequestBody;
function serializeNperPostRequestBody(writer, nperPostRequestBody = {}) {
    writer.writeObjectValue("fv", nperPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("pmt", nperPostRequestBody.pmt, json_1.serializeJson);
    writer.writeObjectValue("pv", nperPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", nperPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", nperPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(nperPostRequestBody.additionalData);
}
exports.serializeNperPostRequestBody = serializeNperPostRequestBody;
/**
 * Provides operations to call the nper method.
 */
class NperRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new NperRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/nper");
    }
    ;
    /**
     * Invoke action nper
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action nper
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeNperPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a nperRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new NperRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.NperRequestBuilder = NperRequestBuilder;
// tslint:enable
// eslint-enable
