import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNumberValuePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNumberValuePostRequestBody;
export declare function deserializeIntoNumberValuePostRequestBody(numberValuePostRequestBody?: NumberValuePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface NumberValuePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decimalSeparator property
     */
    decimalSeparator?: Json;
    /**
     * The groupSeparator property
     */
    groupSeparator?: Json;
    /**
     * The text property
     */
    text?: Json;
}
export declare function serializeNumberValuePostRequestBody(writer: SerializationWriter, numberValuePostRequestBody?: NumberValuePostRequestBody | undefined): void;
/**
 * Provides operations to call the numberValue method.
 */
export declare class NumberValueRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new NumberValueRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action numberValue
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: NumberValuePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action numberValue
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: NumberValuePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a numberValueRequestBuilder
     */
    withUrl(rawUrl: string): NumberValueRequestBuilder;
}
