"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Oct2DecRequestBuilder = exports.serializeOct2DecPostRequestBody = exports.deserializeIntoOct2DecPostRequestBody = exports.createOct2DecPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOct2DecPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOct2DecPostRequestBody;
}
exports.createOct2DecPostRequestBodyFromDiscriminatorValue = createOct2DecPostRequestBodyFromDiscriminatorValue;
function deserializeIntoOct2DecPostRequestBody(oct2DecPostRequestBody = {}) {
    return {
        "number": n => { oct2DecPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOct2DecPostRequestBody = deserializeIntoOct2DecPostRequestBody;
function serializeOct2DecPostRequestBody(writer, oct2DecPostRequestBody = {}) {
    writer.writeObjectValue("number", oct2DecPostRequestBody.number, json_1.serializeJson);
    writer.writeAdditionalData(oct2DecPostRequestBody.additionalData);
}
exports.serializeOct2DecPostRequestBody = serializeOct2DecPostRequestBody;
/**
 * Provides operations to call the oct2Dec method.
 */
class Oct2DecRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Oct2DecRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/oct2Dec");
    }
    ;
    /**
     * Invoke action oct2Dec
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action oct2Dec
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOct2DecPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a oct2DecRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Oct2DecRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Oct2DecRequestBuilder = Oct2DecRequestBuilder;
// tslint:enable
// eslint-enable
