"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OddFPriceRequestBuilder = exports.serializeOddFPricePostRequestBody = exports.deserializeIntoOddFPricePostRequestBody = exports.createOddFPricePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOddFPricePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOddFPricePostRequestBody;
}
exports.createOddFPricePostRequestBodyFromDiscriminatorValue = createOddFPricePostRequestBodyFromDiscriminatorValue;
function deserializeIntoOddFPricePostRequestBody(oddFPricePostRequestBody = {}) {
    return {
        "basis": n => { oddFPricePostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "firstCoupon": n => { oddFPricePostRequestBody.firstCoupon = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { oddFPricePostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { oddFPricePostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { oddFPricePostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { oddFPricePostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { oddFPricePostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { oddFPricePostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { oddFPricePostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOddFPricePostRequestBody = deserializeIntoOddFPricePostRequestBody;
function serializeOddFPricePostRequestBody(writer, oddFPricePostRequestBody = {}) {
    writer.writeObjectValue("basis", oddFPricePostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("firstCoupon", oddFPricePostRequestBody.firstCoupon, json_1.serializeJson);
    writer.writeObjectValue("frequency", oddFPricePostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("issue", oddFPricePostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("maturity", oddFPricePostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("rate", oddFPricePostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", oddFPricePostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", oddFPricePostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", oddFPricePostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(oddFPricePostRequestBody.additionalData);
}
exports.serializeOddFPricePostRequestBody = serializeOddFPricePostRequestBody;
/**
 * Provides operations to call the oddFPrice method.
 */
class OddFPriceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new OddFPriceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/oddFPrice");
    }
    ;
    /**
     * Invoke action oddFPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action oddFPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOddFPricePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a oddFPriceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new OddFPriceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.OddFPriceRequestBuilder = OddFPriceRequestBuilder;
// tslint:enable
// eslint-enable
