"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OddFYieldRequestBuilder = exports.serializeOddFYieldPostRequestBody = exports.deserializeIntoOddFYieldPostRequestBody = exports.createOddFYieldPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOddFYieldPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOddFYieldPostRequestBody;
}
exports.createOddFYieldPostRequestBodyFromDiscriminatorValue = createOddFYieldPostRequestBodyFromDiscriminatorValue;
function deserializeIntoOddFYieldPostRequestBody(oddFYieldPostRequestBody = {}) {
    return {
        "basis": n => { oddFYieldPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "firstCoupon": n => { oddFYieldPostRequestBody.firstCoupon = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { oddFYieldPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { oddFYieldPostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { oddFYieldPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pr": n => { oddFYieldPostRequestBody.pr = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { oddFYieldPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { oddFYieldPostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { oddFYieldPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOddFYieldPostRequestBody = deserializeIntoOddFYieldPostRequestBody;
function serializeOddFYieldPostRequestBody(writer, oddFYieldPostRequestBody = {}) {
    writer.writeObjectValue("basis", oddFYieldPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("firstCoupon", oddFYieldPostRequestBody.firstCoupon, json_1.serializeJson);
    writer.writeObjectValue("frequency", oddFYieldPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("issue", oddFYieldPostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("maturity", oddFYieldPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("pr", oddFYieldPostRequestBody.pr, json_1.serializeJson);
    writer.writeObjectValue("rate", oddFYieldPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", oddFYieldPostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", oddFYieldPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(oddFYieldPostRequestBody.additionalData);
}
exports.serializeOddFYieldPostRequestBody = serializeOddFYieldPostRequestBody;
/**
 * Provides operations to call the oddFYield method.
 */
class OddFYieldRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new OddFYieldRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/oddFYield");
    }
    ;
    /**
     * Invoke action oddFYield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action oddFYield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOddFYieldPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a oddFYieldRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new OddFYieldRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.OddFYieldRequestBuilder = OddFYieldRequestBuilder;
// tslint:enable
// eslint-enable
