"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OddLPriceRequestBuilder = exports.serializeOddLPricePostRequestBody = exports.deserializeIntoOddLPricePostRequestBody = exports.createOddLPricePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOddLPricePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOddLPricePostRequestBody;
}
exports.createOddLPricePostRequestBodyFromDiscriminatorValue = createOddLPricePostRequestBodyFromDiscriminatorValue;
function deserializeIntoOddLPricePostRequestBody(oddLPricePostRequestBody = {}) {
    return {
        "basis": n => { oddLPricePostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { oddLPricePostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "lastInterest": n => { oddLPricePostRequestBody.lastInterest = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { oddLPricePostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { oddLPricePostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { oddLPricePostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { oddLPricePostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { oddLPricePostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOddLPricePostRequestBody = deserializeIntoOddLPricePostRequestBody;
function serializeOddLPricePostRequestBody(writer, oddLPricePostRequestBody = {}) {
    writer.writeObjectValue("basis", oddLPricePostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("frequency", oddLPricePostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("lastInterest", oddLPricePostRequestBody.lastInterest, json_1.serializeJson);
    writer.writeObjectValue("maturity", oddLPricePostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("rate", oddLPricePostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", oddLPricePostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", oddLPricePostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", oddLPricePostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(oddLPricePostRequestBody.additionalData);
}
exports.serializeOddLPricePostRequestBody = serializeOddLPricePostRequestBody;
/**
 * Provides operations to call the oddLPrice method.
 */
class OddLPriceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new OddLPriceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/oddLPrice");
    }
    ;
    /**
     * Invoke action oddLPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action oddLPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOddLPricePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a oddLPriceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new OddLPriceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.OddLPriceRequestBuilder = OddLPriceRequestBuilder;
// tslint:enable
// eslint-enable
