"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OddLYieldRequestBuilder = exports.serializeOddLYieldPostRequestBody = exports.deserializeIntoOddLYieldPostRequestBody = exports.createOddLYieldPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOddLYieldPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOddLYieldPostRequestBody;
}
exports.createOddLYieldPostRequestBodyFromDiscriminatorValue = createOddLYieldPostRequestBodyFromDiscriminatorValue;
function deserializeIntoOddLYieldPostRequestBody(oddLYieldPostRequestBody = {}) {
    return {
        "basis": n => { oddLYieldPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { oddLYieldPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "lastInterest": n => { oddLYieldPostRequestBody.lastInterest = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { oddLYieldPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pr": n => { oddLYieldPostRequestBody.pr = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { oddLYieldPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { oddLYieldPostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { oddLYieldPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOddLYieldPostRequestBody = deserializeIntoOddLYieldPostRequestBody;
function serializeOddLYieldPostRequestBody(writer, oddLYieldPostRequestBody = {}) {
    writer.writeObjectValue("basis", oddLYieldPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("frequency", oddLYieldPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("lastInterest", oddLYieldPostRequestBody.lastInterest, json_1.serializeJson);
    writer.writeObjectValue("maturity", oddLYieldPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("pr", oddLYieldPostRequestBody.pr, json_1.serializeJson);
    writer.writeObjectValue("rate", oddLYieldPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", oddLYieldPostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", oddLYieldPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(oddLYieldPostRequestBody.additionalData);
}
exports.serializeOddLYieldPostRequestBody = serializeOddLYieldPostRequestBody;
/**
 * Provides operations to call the oddLYield method.
 */
class OddLYieldRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new OddLYieldRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/oddLYield");
    }
    ;
    /**
     * Invoke action oddLYield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action oddLYield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOddLYieldPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a oddLYieldRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new OddLYieldRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.OddLYieldRequestBuilder = OddLYieldRequestBuilder;
// tslint:enable
// eslint-enable
