"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PdurationRequestBuilder = exports.serializePdurationPostRequestBody = exports.deserializeIntoPdurationPostRequestBody = exports.createPdurationPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPdurationPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPdurationPostRequestBody;
}
exports.createPdurationPostRequestBodyFromDiscriminatorValue = createPdurationPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPdurationPostRequestBody(pdurationPostRequestBody = {}) {
    return {
        "fv": n => { pdurationPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { pdurationPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { pdurationPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPdurationPostRequestBody = deserializeIntoPdurationPostRequestBody;
function serializePdurationPostRequestBody(writer, pdurationPostRequestBody = {}) {
    writer.writeObjectValue("fv", pdurationPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("pv", pdurationPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", pdurationPostRequestBody.rate, json_1.serializeJson);
    writer.writeAdditionalData(pdurationPostRequestBody.additionalData);
}
exports.serializePdurationPostRequestBody = serializePdurationPostRequestBody;
/**
 * Provides operations to call the pduration method.
 */
class PdurationRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PdurationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/pduration");
    }
    ;
    /**
     * Invoke action pduration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action pduration
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePdurationPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a pdurationRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PdurationRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PdurationRequestBuilder = PdurationRequestBuilder;
// tslint:enable
// eslint-enable
