"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PercentRank_ExcRequestBuilder = exports.serializePercentRank_ExcPostRequestBody = exports.deserializeIntoPercentRank_ExcPostRequestBody = exports.createPercentRank_ExcPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPercentRank_ExcPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPercentRank_ExcPostRequestBody;
}
exports.createPercentRank_ExcPostRequestBodyFromDiscriminatorValue = createPercentRank_ExcPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPercentRank_ExcPostRequestBody(percentRank_ExcPostRequestBody = {}) {
    return {
        "array": n => { percentRank_ExcPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { percentRank_ExcPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { percentRank_ExcPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPercentRank_ExcPostRequestBody = deserializeIntoPercentRank_ExcPostRequestBody;
function serializePercentRank_ExcPostRequestBody(writer, percentRank_ExcPostRequestBody = {}) {
    writer.writeObjectValue("array", percentRank_ExcPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("significance", percentRank_ExcPostRequestBody.significance, json_1.serializeJson);
    writer.writeObjectValue("x", percentRank_ExcPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(percentRank_ExcPostRequestBody.additionalData);
}
exports.serializePercentRank_ExcPostRequestBody = serializePercentRank_ExcPostRequestBody;
/**
 * Provides operations to call the percentRank_Exc method.
 */
class PercentRank_ExcRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PercentRank_ExcRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/percentRank_Exc");
    }
    ;
    /**
     * Invoke action percentRank_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action percentRank_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePercentRank_ExcPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentRank_ExcRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PercentRank_ExcRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PercentRank_ExcRequestBuilder = PercentRank_ExcRequestBuilder;
// tslint:enable
// eslint-enable
