import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentRank_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentRank_IncPostRequestBody;
export declare function deserializeIntoPercentRank_IncPostRequestBody(percentRank_IncPostRequestBody?: PercentRank_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface PercentRank_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The significance property
     */
    significance?: Json;
    /**
     * The x property
     */
    x?: Json;
}
export declare function serializePercentRank_IncPostRequestBody(writer: SerializationWriter, percentRank_IncPostRequestBody?: PercentRank_IncPostRequestBody | undefined): void;
/**
 * Provides operations to call the percentRank_Inc method.
 */
export declare class PercentRank_IncRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PercentRank_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: PercentRank_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: PercentRank_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentRank_IncRequestBuilder
     */
    withUrl(rawUrl: string): PercentRank_IncRequestBuilder;
}
