"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PercentRank_IncRequestBuilder = exports.serializePercentRank_IncPostRequestBody = exports.deserializeIntoPercentRank_IncPostRequestBody = exports.createPercentRank_IncPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPercentRank_IncPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPercentRank_IncPostRequestBody;
}
exports.createPercentRank_IncPostRequestBodyFromDiscriminatorValue = createPercentRank_IncPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPercentRank_IncPostRequestBody(percentRank_IncPostRequestBody = {}) {
    return {
        "array": n => { percentRank_IncPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "significance": n => { percentRank_IncPostRequestBody.significance = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { percentRank_IncPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPercentRank_IncPostRequestBody = deserializeIntoPercentRank_IncPostRequestBody;
function serializePercentRank_IncPostRequestBody(writer, percentRank_IncPostRequestBody = {}) {
    writer.writeObjectValue("array", percentRank_IncPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("significance", percentRank_IncPostRequestBody.significance, json_1.serializeJson);
    writer.writeObjectValue("x", percentRank_IncPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(percentRank_IncPostRequestBody.additionalData);
}
exports.serializePercentRank_IncPostRequestBody = serializePercentRank_IncPostRequestBody;
/**
 * Provides operations to call the percentRank_Inc method.
 */
class PercentRank_IncRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PercentRank_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/percentRank_Inc");
    }
    ;
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action percentRank_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePercentRank_IncPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentRank_IncRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PercentRank_IncRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PercentRank_IncRequestBuilder = PercentRank_IncRequestBuilder;
// tslint:enable
// eslint-enable
