"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Percentile_ExcRequestBuilder = exports.serializePercentile_ExcPostRequestBody = exports.deserializeIntoPercentile_ExcPostRequestBody = exports.createPercentile_ExcPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPercentile_ExcPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPercentile_ExcPostRequestBody;
}
exports.createPercentile_ExcPostRequestBodyFromDiscriminatorValue = createPercentile_ExcPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPercentile_ExcPostRequestBody(percentile_ExcPostRequestBody = {}) {
    return {
        "array": n => { percentile_ExcPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "k": n => { percentile_ExcPostRequestBody.k = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPercentile_ExcPostRequestBody = deserializeIntoPercentile_ExcPostRequestBody;
function serializePercentile_ExcPostRequestBody(writer, percentile_ExcPostRequestBody = {}) {
    writer.writeObjectValue("array", percentile_ExcPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("k", percentile_ExcPostRequestBody.k, json_1.serializeJson);
    writer.writeAdditionalData(percentile_ExcPostRequestBody.additionalData);
}
exports.serializePercentile_ExcPostRequestBody = serializePercentile_ExcPostRequestBody;
/**
 * Provides operations to call the percentile_Exc method.
 */
class Percentile_ExcRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Percentile_ExcRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/percentile_Exc");
    }
    ;
    /**
     * Invoke action percentile_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action percentile_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePercentile_ExcPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentile_ExcRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Percentile_ExcRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Percentile_ExcRequestBuilder = Percentile_ExcRequestBuilder;
// tslint:enable
// eslint-enable
