import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPercentile_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPercentile_IncPostRequestBody;
export declare function deserializeIntoPercentile_IncPostRequestBody(percentile_IncPostRequestBody?: Percentile_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Percentile_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The k property
     */
    k?: Json;
}
export declare function serializePercentile_IncPostRequestBody(writer: SerializationWriter, percentile_IncPostRequestBody?: Percentile_IncPostRequestBody | undefined): void;
/**
 * Provides operations to call the percentile_Inc method.
 */
export declare class Percentile_IncRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Percentile_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action percentile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Percentile_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action percentile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Percentile_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentile_IncRequestBuilder
     */
    withUrl(rawUrl: string): Percentile_IncRequestBuilder;
}
