"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Percentile_IncRequestBuilder = exports.serializePercentile_IncPostRequestBody = exports.deserializeIntoPercentile_IncPostRequestBody = exports.createPercentile_IncPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPercentile_IncPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPercentile_IncPostRequestBody;
}
exports.createPercentile_IncPostRequestBodyFromDiscriminatorValue = createPercentile_IncPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPercentile_IncPostRequestBody(percentile_IncPostRequestBody = {}) {
    return {
        "array": n => { percentile_IncPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "k": n => { percentile_IncPostRequestBody.k = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPercentile_IncPostRequestBody = deserializeIntoPercentile_IncPostRequestBody;
function serializePercentile_IncPostRequestBody(writer, percentile_IncPostRequestBody = {}) {
    writer.writeObjectValue("array", percentile_IncPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("k", percentile_IncPostRequestBody.k, json_1.serializeJson);
    writer.writeAdditionalData(percentile_IncPostRequestBody.additionalData);
}
exports.serializePercentile_IncPostRequestBody = serializePercentile_IncPostRequestBody;
/**
 * Provides operations to call the percentile_Inc method.
 */
class Percentile_IncRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Percentile_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/percentile_Inc");
    }
    ;
    /**
     * Invoke action percentile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action percentile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePercentile_IncPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a percentile_IncRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Percentile_IncRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Percentile_IncRequestBuilder = Percentile_IncRequestBuilder;
// tslint:enable
// eslint-enable
