"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PmtRequestBuilder = exports.serializePmtPostRequestBody = exports.deserializeIntoPmtPostRequestBody = exports.createPmtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPmtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPmtPostRequestBody;
}
exports.createPmtPostRequestBodyFromDiscriminatorValue = createPmtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPmtPostRequestBody(pmtPostRequestBody = {}) {
    return {
        "fv": n => { pmtPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { pmtPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { pmtPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { pmtPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { pmtPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPmtPostRequestBody = deserializeIntoPmtPostRequestBody;
function serializePmtPostRequestBody(writer, pmtPostRequestBody = {}) {
    writer.writeObjectValue("fv", pmtPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("nper", pmtPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pv", pmtPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", pmtPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", pmtPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(pmtPostRequestBody.additionalData);
}
exports.serializePmtPostRequestBody = serializePmtPostRequestBody;
/**
 * Provides operations to call the pmt method.
 */
class PmtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/pmt");
    }
    ;
    /**
     * Invoke action pmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action pmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePmtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a pmtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PmtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PmtRequestBuilder = PmtRequestBuilder;
// tslint:enable
// eslint-enable
