"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Poisson_DistRequestBuilder = exports.serializePoisson_DistPostRequestBody = exports.deserializeIntoPoisson_DistPostRequestBody = exports.createPoisson_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPoisson_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPoisson_DistPostRequestBody;
}
exports.createPoisson_DistPostRequestBodyFromDiscriminatorValue = createPoisson_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPoisson_DistPostRequestBody(poisson_DistPostRequestBody = {}) {
    return {
        "cumulative": n => { poisson_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "mean": n => { poisson_DistPostRequestBody.mean = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { poisson_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPoisson_DistPostRequestBody = deserializeIntoPoisson_DistPostRequestBody;
function serializePoisson_DistPostRequestBody(writer, poisson_DistPostRequestBody = {}) {
    writer.writeObjectValue("cumulative", poisson_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("mean", poisson_DistPostRequestBody.mean, json_1.serializeJson);
    writer.writeObjectValue("x", poisson_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(poisson_DistPostRequestBody.additionalData);
}
exports.serializePoisson_DistPostRequestBody = serializePoisson_DistPostRequestBody;
/**
 * Provides operations to call the poisson_Dist method.
 */
class Poisson_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Poisson_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/poisson_Dist");
    }
    ;
    /**
     * Invoke action poisson_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action poisson_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePoisson_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a poisson_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Poisson_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Poisson_DistRequestBuilder = Poisson_DistRequestBuilder;
// tslint:enable
// eslint-enable
