"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PpmtRequestBuilder = exports.serializePpmtPostRequestBody = exports.deserializeIntoPpmtPostRequestBody = exports.createPpmtPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPpmtPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPpmtPostRequestBody;
}
exports.createPpmtPostRequestBodyFromDiscriminatorValue = createPpmtPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPpmtPostRequestBody(ppmtPostRequestBody = {}) {
    return {
        "fv": n => { ppmtPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { ppmtPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "per": n => { ppmtPostRequestBody.per = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { ppmtPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { ppmtPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { ppmtPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPpmtPostRequestBody = deserializeIntoPpmtPostRequestBody;
function serializePpmtPostRequestBody(writer, ppmtPostRequestBody = {}) {
    writer.writeObjectValue("fv", ppmtPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("nper", ppmtPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("per", ppmtPostRequestBody.per, json_1.serializeJson);
    writer.writeObjectValue("pv", ppmtPostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("rate", ppmtPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", ppmtPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(ppmtPostRequestBody.additionalData);
}
exports.serializePpmtPostRequestBody = serializePpmtPostRequestBody;
/**
 * Provides operations to call the ppmt method.
 */
class PpmtRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PpmtRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/ppmt");
    }
    ;
    /**
     * Invoke action ppmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action ppmt
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePpmtPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ppmtRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PpmtRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PpmtRequestBuilder = PpmtRequestBuilder;
// tslint:enable
// eslint-enable
