"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceRequestBuilder = exports.serializePricePostRequestBody = exports.deserializeIntoPricePostRequestBody = exports.createPricePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPricePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPricePostRequestBody;
}
exports.createPricePostRequestBodyFromDiscriminatorValue = createPricePostRequestBodyFromDiscriminatorValue;
function deserializeIntoPricePostRequestBody(pricePostRequestBody = {}) {
    return {
        "basis": n => { pricePostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { pricePostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { pricePostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { pricePostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { pricePostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { pricePostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { pricePostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPricePostRequestBody = deserializeIntoPricePostRequestBody;
function serializePricePostRequestBody(writer, pricePostRequestBody = {}) {
    writer.writeObjectValue("basis", pricePostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("frequency", pricePostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("maturity", pricePostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("rate", pricePostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", pricePostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", pricePostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", pricePostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(pricePostRequestBody.additionalData);
}
exports.serializePricePostRequestBody = serializePricePostRequestBody;
/**
 * Provides operations to call the price method.
 */
class PriceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PriceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/price");
    }
    ;
    /**
     * Invoke action price
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action price
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePricePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a priceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PriceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PriceRequestBuilder = PriceRequestBuilder;
// tslint:enable
// eslint-enable
