"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceDiscRequestBuilder = exports.serializePriceDiscPostRequestBody = exports.deserializeIntoPriceDiscPostRequestBody = exports.createPriceDiscPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPriceDiscPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPriceDiscPostRequestBody;
}
exports.createPriceDiscPostRequestBodyFromDiscriminatorValue = createPriceDiscPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPriceDiscPostRequestBody(priceDiscPostRequestBody = {}) {
    return {
        "basis": n => { priceDiscPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "discount": n => { priceDiscPostRequestBody.discount = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { priceDiscPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { priceDiscPostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { priceDiscPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPriceDiscPostRequestBody = deserializeIntoPriceDiscPostRequestBody;
function serializePriceDiscPostRequestBody(writer, priceDiscPostRequestBody = {}) {
    writer.writeObjectValue("basis", priceDiscPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("discount", priceDiscPostRequestBody.discount, json_1.serializeJson);
    writer.writeObjectValue("maturity", priceDiscPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("redemption", priceDiscPostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", priceDiscPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(priceDiscPostRequestBody.additionalData);
}
exports.serializePriceDiscPostRequestBody = serializePriceDiscPostRequestBody;
/**
 * Provides operations to call the priceDisc method.
 */
class PriceDiscRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PriceDiscRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/priceDisc");
    }
    ;
    /**
     * Invoke action priceDisc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action priceDisc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePriceDiscPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a priceDiscRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PriceDiscRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PriceDiscRequestBuilder = PriceDiscRequestBuilder;
// tslint:enable
// eslint-enable
