"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PriceMatRequestBuilder = exports.serializePriceMatPostRequestBody = exports.deserializeIntoPriceMatPostRequestBody = exports.createPriceMatPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPriceMatPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPriceMatPostRequestBody;
}
exports.createPriceMatPostRequestBodyFromDiscriminatorValue = createPriceMatPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPriceMatPostRequestBody(priceMatPostRequestBody = {}) {
    return {
        "basis": n => { priceMatPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { priceMatPostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { priceMatPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { priceMatPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { priceMatPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "yld": n => { priceMatPostRequestBody.yld = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPriceMatPostRequestBody = deserializeIntoPriceMatPostRequestBody;
function serializePriceMatPostRequestBody(writer, priceMatPostRequestBody = {}) {
    writer.writeObjectValue("basis", priceMatPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("issue", priceMatPostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("maturity", priceMatPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("rate", priceMatPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("settlement", priceMatPostRequestBody.settlement, json_1.serializeJson);
    writer.writeObjectValue("yld", priceMatPostRequestBody.yld, json_1.serializeJson);
    writer.writeAdditionalData(priceMatPostRequestBody.additionalData);
}
exports.serializePriceMatPostRequestBody = serializePriceMatPostRequestBody;
/**
 * Provides operations to call the priceMat method.
 */
class PriceMatRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PriceMatRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/priceMat");
    }
    ;
    /**
     * Invoke action priceMat
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action priceMat
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePriceMatPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a priceMatRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PriceMatRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PriceMatRequestBuilder = PriceMatRequestBuilder;
// tslint:enable
// eslint-enable
