"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PvRequestBuilder = exports.serializePvPostRequestBody = exports.deserializeIntoPvPostRequestBody = exports.createPvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPvPostRequestBody;
}
exports.createPvPostRequestBodyFromDiscriminatorValue = createPvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPvPostRequestBody(pvPostRequestBody = {}) {
    return {
        "fv": n => { pvPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { pvPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pmt": n => { pvPostRequestBody.pmt = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { pvPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { pvPostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoPvPostRequestBody = deserializeIntoPvPostRequestBody;
function serializePvPostRequestBody(writer, pvPostRequestBody = {}) {
    writer.writeObjectValue("fv", pvPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("nper", pvPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pmt", pvPostRequestBody.pmt, json_1.serializeJson);
    writer.writeObjectValue("rate", pvPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("type", pvPostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(pvPostRequestBody.additionalData);
}
exports.serializePvPostRequestBody = serializePvPostRequestBody;
/**
 * Provides operations to call the pv method.
 */
class PvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new PvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/pv");
    }
    ;
    /**
     * Invoke action pv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action pv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a pvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PvRequestBuilder = PvRequestBuilder;
// tslint:enable
// eslint-enable
