"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quartile_ExcRequestBuilder = exports.serializeQuartile_ExcPostRequestBody = exports.deserializeIntoQuartile_ExcPostRequestBody = exports.createQuartile_ExcPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createQuartile_ExcPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoQuartile_ExcPostRequestBody;
}
exports.createQuartile_ExcPostRequestBodyFromDiscriminatorValue = createQuartile_ExcPostRequestBodyFromDiscriminatorValue;
function deserializeIntoQuartile_ExcPostRequestBody(quartile_ExcPostRequestBody = {}) {
    return {
        "array": n => { quartile_ExcPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "quart": n => { quartile_ExcPostRequestBody.quart = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoQuartile_ExcPostRequestBody = deserializeIntoQuartile_ExcPostRequestBody;
function serializeQuartile_ExcPostRequestBody(writer, quartile_ExcPostRequestBody = {}) {
    writer.writeObjectValue("array", quartile_ExcPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("quart", quartile_ExcPostRequestBody.quart, json_1.serializeJson);
    writer.writeAdditionalData(quartile_ExcPostRequestBody.additionalData);
}
exports.serializeQuartile_ExcPostRequestBody = serializeQuartile_ExcPostRequestBody;
/**
 * Provides operations to call the quartile_Exc method.
 */
class Quartile_ExcRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Quartile_ExcRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/quartile_Exc");
    }
    ;
    /**
     * Invoke action quartile_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action quartile_Exc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeQuartile_ExcPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a quartile_ExcRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Quartile_ExcRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Quartile_ExcRequestBuilder = Quartile_ExcRequestBuilder;
// tslint:enable
// eslint-enable
