import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuartile_IncPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuartile_IncPostRequestBody;
export declare function deserializeIntoQuartile_IncPostRequestBody(quartile_IncPostRequestBody?: Quartile_IncPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Quartile_IncPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The quart property
     */
    quart?: Json;
}
export declare function serializeQuartile_IncPostRequestBody(writer: SerializationWriter, quartile_IncPostRequestBody?: Quartile_IncPostRequestBody | undefined): void;
/**
 * Provides operations to call the quartile_Inc method.
 */
export declare class Quartile_IncRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Quartile_IncRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action quartile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Quartile_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action quartile_Inc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Quartile_IncPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a quartile_IncRequestBuilder
     */
    withUrl(rawUrl: string): Quartile_IncRequestBuilder;
}
