import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuotientPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuotientPostRequestBody;
export declare function deserializeIntoQuotientPostRequestBody(quotientPostRequestBody?: QuotientPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface QuotientPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The denominator property
     */
    denominator?: Json;
    /**
     * The numerator property
     */
    numerator?: Json;
}
export declare function serializeQuotientPostRequestBody(writer: SerializationWriter, quotientPostRequestBody?: QuotientPostRequestBody | undefined): void;
/**
 * Provides operations to call the quotient method.
 */
export declare class QuotientRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new QuotientRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action quotient
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: QuotientPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action quotient
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: QuotientPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a quotientRequestBuilder
     */
    withUrl(rawUrl: string): QuotientRequestBuilder;
}
