import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRandBetweenPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRandBetweenPostRequestBody;
export declare function deserializeIntoRandBetweenPostRequestBody(randBetweenPostRequestBody?: RandBetweenPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface RandBetweenPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bottom property
     */
    bottom?: Json;
    /**
     * The top property
     */
    top?: Json;
}
export declare function serializeRandBetweenPostRequestBody(writer: SerializationWriter, randBetweenPostRequestBody?: RandBetweenPostRequestBody | undefined): void;
/**
 * Provides operations to call the randBetween method.
 */
export declare class RandBetweenRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RandBetweenRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action randBetween
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: RandBetweenPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action randBetween
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: RandBetweenPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a randBetweenRequestBuilder
     */
    withUrl(rawUrl: string): RandBetweenRequestBuilder;
}
