"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rank_AvgRequestBuilder = exports.serializeRank_AvgPostRequestBody = exports.deserializeIntoRank_AvgPostRequestBody = exports.createRank_AvgPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRank_AvgPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRank_AvgPostRequestBody;
}
exports.createRank_AvgPostRequestBodyFromDiscriminatorValue = createRank_AvgPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRank_AvgPostRequestBody(rank_AvgPostRequestBody = {}) {
    return {
        "number": n => { rank_AvgPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "order": n => { rank_AvgPostRequestBody.order = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "ref": n => { rank_AvgPostRequestBody.ref = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRank_AvgPostRequestBody = deserializeIntoRank_AvgPostRequestBody;
function serializeRank_AvgPostRequestBody(writer, rank_AvgPostRequestBody = {}) {
    writer.writeObjectValue("number", rank_AvgPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("order", rank_AvgPostRequestBody.order, json_1.serializeJson);
    writer.writeObjectValue("ref", rank_AvgPostRequestBody.ref, json_1.serializeJson);
    writer.writeAdditionalData(rank_AvgPostRequestBody.additionalData);
}
exports.serializeRank_AvgPostRequestBody = serializeRank_AvgPostRequestBody;
/**
 * Provides operations to call the rank_Avg method.
 */
class Rank_AvgRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Rank_AvgRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/rank_Avg");
    }
    ;
    /**
     * Invoke action rank_Avg
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action rank_Avg
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRank_AvgPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a rank_AvgRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Rank_AvgRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Rank_AvgRequestBuilder = Rank_AvgRequestBuilder;
// tslint:enable
// eslint-enable
