import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRank_EqPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRank_EqPostRequestBody;
export declare function deserializeIntoRank_EqPostRequestBody(rank_EqPostRequestBody?: Rank_EqPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface Rank_EqPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number property
     */
    number?: Json;
    /**
     * The order property
     */
    order?: Json;
    /**
     * The ref property
     */
    ref?: Json;
}
export declare function serializeRank_EqPostRequestBody(writer: SerializationWriter, rank_EqPostRequestBody?: Rank_EqPostRequestBody | undefined): void;
/**
 * Provides operations to call the rank_Eq method.
 */
export declare class Rank_EqRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Rank_EqRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action rank_Eq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Rank_EqPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action rank_Eq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Rank_EqPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a rank_EqRequestBuilder
     */
    withUrl(rawUrl: string): Rank_EqRequestBuilder;
}
