"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Rank_EqRequestBuilder = exports.serializeRank_EqPostRequestBody = exports.deserializeIntoRank_EqPostRequestBody = exports.createRank_EqPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRank_EqPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRank_EqPostRequestBody;
}
exports.createRank_EqPostRequestBodyFromDiscriminatorValue = createRank_EqPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRank_EqPostRequestBody(rank_EqPostRequestBody = {}) {
    return {
        "number": n => { rank_EqPostRequestBody.number = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "order": n => { rank_EqPostRequestBody.order = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "ref": n => { rank_EqPostRequestBody.ref = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRank_EqPostRequestBody = deserializeIntoRank_EqPostRequestBody;
function serializeRank_EqPostRequestBody(writer, rank_EqPostRequestBody = {}) {
    writer.writeObjectValue("number", rank_EqPostRequestBody.number, json_1.serializeJson);
    writer.writeObjectValue("order", rank_EqPostRequestBody.order, json_1.serializeJson);
    writer.writeObjectValue("ref", rank_EqPostRequestBody.ref, json_1.serializeJson);
    writer.writeAdditionalData(rank_EqPostRequestBody.additionalData);
}
exports.serializeRank_EqPostRequestBody = serializeRank_EqPostRequestBody;
/**
 * Provides operations to call the rank_Eq method.
 */
class Rank_EqRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Rank_EqRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/rank_Eq");
    }
    ;
    /**
     * Invoke action rank_Eq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action rank_Eq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRank_EqPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a rank_EqRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Rank_EqRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Rank_EqRequestBuilder = Rank_EqRequestBuilder;
// tslint:enable
// eslint-enable
