"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RateRequestBuilder = exports.serializeRatePostRequestBody = exports.deserializeIntoRatePostRequestBody = exports.createRatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRatePostRequestBody;
}
exports.createRatePostRequestBodyFromDiscriminatorValue = createRatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoRatePostRequestBody(ratePostRequestBody = {}) {
    return {
        "fv": n => { ratePostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "guess": n => { ratePostRequestBody.guess = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { ratePostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pmt": n => { ratePostRequestBody.pmt = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { ratePostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "type": n => { ratePostRequestBody.type = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRatePostRequestBody = deserializeIntoRatePostRequestBody;
function serializeRatePostRequestBody(writer, ratePostRequestBody = {}) {
    writer.writeObjectValue("fv", ratePostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("guess", ratePostRequestBody.guess, json_1.serializeJson);
    writer.writeObjectValue("nper", ratePostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pmt", ratePostRequestBody.pmt, json_1.serializeJson);
    writer.writeObjectValue("pv", ratePostRequestBody.pv, json_1.serializeJson);
    writer.writeObjectValue("type", ratePostRequestBody.type, json_1.serializeJson);
    writer.writeAdditionalData(ratePostRequestBody.additionalData);
}
exports.serializeRatePostRequestBody = serializeRatePostRequestBody;
/**
 * Provides operations to call the rate method.
 */
class RateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/rate");
    }
    ;
    /**
     * Invoke action rate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action rate
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a rateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RateRequestBuilder = RateRequestBuilder;
// tslint:enable
// eslint-enable
