"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReceivedRequestBuilder = exports.serializeReceivedPostRequestBody = exports.deserializeIntoReceivedPostRequestBody = exports.createReceivedPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createReceivedPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReceivedPostRequestBody;
}
exports.createReceivedPostRequestBodyFromDiscriminatorValue = createReceivedPostRequestBodyFromDiscriminatorValue;
function deserializeIntoReceivedPostRequestBody(receivedPostRequestBody = {}) {
    return {
        "basis": n => { receivedPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "discount": n => { receivedPostRequestBody.discount = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "investment": n => { receivedPostRequestBody.investment = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { receivedPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { receivedPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoReceivedPostRequestBody = deserializeIntoReceivedPostRequestBody;
function serializeReceivedPostRequestBody(writer, receivedPostRequestBody = {}) {
    writer.writeObjectValue("basis", receivedPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("discount", receivedPostRequestBody.discount, json_1.serializeJson);
    writer.writeObjectValue("investment", receivedPostRequestBody.investment, json_1.serializeJson);
    writer.writeObjectValue("maturity", receivedPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("settlement", receivedPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(receivedPostRequestBody.additionalData);
}
exports.serializeReceivedPostRequestBody = serializeReceivedPostRequestBody;
/**
 * Provides operations to call the received method.
 */
class ReceivedRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ReceivedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/received");
    }
    ;
    /**
     * Invoke action received
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action received
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeReceivedPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a receivedRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReceivedRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReceivedRequestBuilder = ReceivedRequestBuilder;
// tslint:enable
// eslint-enable
