"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReplaceRequestBuilder = exports.serializeReplacePostRequestBody = exports.deserializeIntoReplacePostRequestBody = exports.createReplacePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createReplacePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReplacePostRequestBody;
}
exports.createReplacePostRequestBodyFromDiscriminatorValue = createReplacePostRequestBodyFromDiscriminatorValue;
function deserializeIntoReplacePostRequestBody(replacePostRequestBody = {}) {
    return {
        "newText": n => { replacePostRequestBody.newText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "numChars": n => { replacePostRequestBody.numChars = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "oldText": n => { replacePostRequestBody.oldText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startNum": n => { replacePostRequestBody.startNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoReplacePostRequestBody = deserializeIntoReplacePostRequestBody;
function serializeReplacePostRequestBody(writer, replacePostRequestBody = {}) {
    writer.writeObjectValue("newText", replacePostRequestBody.newText, json_1.serializeJson);
    writer.writeObjectValue("numChars", replacePostRequestBody.numChars, json_1.serializeJson);
    writer.writeObjectValue("oldText", replacePostRequestBody.oldText, json_1.serializeJson);
    writer.writeObjectValue("startNum", replacePostRequestBody.startNum, json_1.serializeJson);
    writer.writeAdditionalData(replacePostRequestBody.additionalData);
}
exports.serializeReplacePostRequestBody = serializeReplacePostRequestBody;
/**
 * Provides operations to call the replace method.
 */
class ReplaceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ReplaceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/replace");
    }
    ;
    /**
     * Invoke action replace
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action replace
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeReplacePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a replaceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReplaceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReplaceRequestBuilder = ReplaceRequestBuilder;
// tslint:enable
// eslint-enable
