"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReptRequestBuilder = exports.serializeReptPostRequestBody = exports.deserializeIntoReptPostRequestBody = exports.createReptPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createReptPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReptPostRequestBody;
}
exports.createReptPostRequestBodyFromDiscriminatorValue = createReptPostRequestBodyFromDiscriminatorValue;
function deserializeIntoReptPostRequestBody(reptPostRequestBody = {}) {
    return {
        "numberTimes": n => { reptPostRequestBody.numberTimes = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "text": n => { reptPostRequestBody.text = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoReptPostRequestBody = deserializeIntoReptPostRequestBody;
function serializeReptPostRequestBody(writer, reptPostRequestBody = {}) {
    writer.writeObjectValue("numberTimes", reptPostRequestBody.numberTimes, json_1.serializeJson);
    writer.writeObjectValue("text", reptPostRequestBody.text, json_1.serializeJson);
    writer.writeAdditionalData(reptPostRequestBody.additionalData);
}
exports.serializeReptPostRequestBody = serializeReptPostRequestBody;
/**
 * Provides operations to call the rept method.
 */
class ReptRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ReptRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/rept");
    }
    ;
    /**
     * Invoke action rept
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action rept
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeReptPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reptRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReptRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReptRequestBuilder = ReptRequestBuilder;
// tslint:enable
// eslint-enable
