"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RriRequestBuilder = exports.serializeRriPostRequestBody = exports.deserializeIntoRriPostRequestBody = exports.createRriPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRriPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRriPostRequestBody;
}
exports.createRriPostRequestBodyFromDiscriminatorValue = createRriPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRriPostRequestBody(rriPostRequestBody = {}) {
    return {
        "fv": n => { rriPostRequestBody.fv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "nper": n => { rriPostRequestBody.nper = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pv": n => { rriPostRequestBody.pv = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRriPostRequestBody = deserializeIntoRriPostRequestBody;
function serializeRriPostRequestBody(writer, rriPostRequestBody = {}) {
    writer.writeObjectValue("fv", rriPostRequestBody.fv, json_1.serializeJson);
    writer.writeObjectValue("nper", rriPostRequestBody.nper, json_1.serializeJson);
    writer.writeObjectValue("pv", rriPostRequestBody.pv, json_1.serializeJson);
    writer.writeAdditionalData(rriPostRequestBody.additionalData);
}
exports.serializeRriPostRequestBody = serializeRriPostRequestBody;
/**
 * Provides operations to call the rri method.
 */
class RriRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RriRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/rri");
    }
    ;
    /**
     * Invoke action rri
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action rri
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRriPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a rriRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RriRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RriRequestBuilder = RriRequestBuilder;
// tslint:enable
// eslint-enable
