import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSeriesSumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSeriesSumPostRequestBody;
export declare function deserializeIntoSeriesSumPostRequestBody(seriesSumPostRequestBody?: SeriesSumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSeriesSumPostRequestBody(writer: SerializationWriter, seriesSumPostRequestBody?: SeriesSumPostRequestBody | undefined): void;
export interface SeriesSumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The coefficients property
     */
    coefficients?: Json;
    /**
     * The m property
     */
    m?: Json;
    /**
     * The n property
     */
    n?: Json;
    /**
     * The x property
     */
    x?: Json;
}
/**
 * Provides operations to call the seriesSum method.
 */
export declare class SeriesSumRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SeriesSumRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action seriesSum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: SeriesSumPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action seriesSum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SeriesSumPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a seriesSumRequestBuilder
     */
    withUrl(rawUrl: string): SeriesSumRequestBuilder;
}
