"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeriesSumRequestBuilder = exports.serializeSeriesSumPostRequestBody = exports.deserializeIntoSeriesSumPostRequestBody = exports.createSeriesSumPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSeriesSumPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSeriesSumPostRequestBody;
}
exports.createSeriesSumPostRequestBodyFromDiscriminatorValue = createSeriesSumPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSeriesSumPostRequestBody(seriesSumPostRequestBody = {}) {
    return {
        "coefficients": n => { seriesSumPostRequestBody.coefficients = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "m": n => { seriesSumPostRequestBody.m = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "n": n => { seriesSumPostRequestBody.n = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { seriesSumPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSeriesSumPostRequestBody = deserializeIntoSeriesSumPostRequestBody;
function serializeSeriesSumPostRequestBody(writer, seriesSumPostRequestBody = {}) {
    writer.writeObjectValue("coefficients", seriesSumPostRequestBody.coefficients, json_1.serializeJson);
    writer.writeObjectValue("m", seriesSumPostRequestBody.m, json_1.serializeJson);
    writer.writeObjectValue("n", seriesSumPostRequestBody.n, json_1.serializeJson);
    writer.writeObjectValue("x", seriesSumPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(seriesSumPostRequestBody.additionalData);
}
exports.serializeSeriesSumPostRequestBody = serializeSeriesSumPostRequestBody;
/**
 * Provides operations to call the seriesSum method.
 */
class SeriesSumRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SeriesSumRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/seriesSum");
    }
    ;
    /**
     * Invoke action seriesSum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action seriesSum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSeriesSumPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a seriesSumRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SeriesSumRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SeriesSumRequestBuilder = SeriesSumRequestBuilder;
// tslint:enable
// eslint-enable
