"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlnRequestBuilder = exports.serializeSlnPostRequestBody = exports.deserializeIntoSlnPostRequestBody = exports.createSlnPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSlnPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSlnPostRequestBody;
}
exports.createSlnPostRequestBodyFromDiscriminatorValue = createSlnPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSlnPostRequestBody(slnPostRequestBody = {}) {
    return {
        "cost": n => { slnPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "life": n => { slnPostRequestBody.life = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { slnPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSlnPostRequestBody = deserializeIntoSlnPostRequestBody;
function serializeSlnPostRequestBody(writer, slnPostRequestBody = {}) {
    writer.writeObjectValue("cost", slnPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("life", slnPostRequestBody.life, json_1.serializeJson);
    writer.writeObjectValue("salvage", slnPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(slnPostRequestBody.additionalData);
}
exports.serializeSlnPostRequestBody = serializeSlnPostRequestBody;
/**
 * Provides operations to call the sln method.
 */
class SlnRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SlnRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/sln");
    }
    ;
    /**
     * Invoke action sln
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action sln
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSlnPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a slnRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SlnRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SlnRequestBuilder = SlnRequestBuilder;
// tslint:enable
// eslint-enable
