import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubstitutePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubstitutePostRequestBody;
export declare function deserializeIntoSubstitutePostRequestBody(substitutePostRequestBody?: SubstitutePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubstitutePostRequestBody(writer: SerializationWriter, substitutePostRequestBody?: SubstitutePostRequestBody | undefined): void;
export interface SubstitutePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The instanceNum property
     */
    instanceNum?: Json;
    /**
     * The newText property
     */
    newText?: Json;
    /**
     * The oldText property
     */
    oldText?: Json;
    /**
     * The text property
     */
    text?: Json;
}
/**
 * Provides operations to call the substitute method.
 */
export declare class SubstituteRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SubstituteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action substitute
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: SubstitutePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action substitute
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SubstitutePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a substituteRequestBuilder
     */
    withUrl(rawUrl: string): SubstituteRequestBuilder;
}
