"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubstituteRequestBuilder = exports.serializeSubstitutePostRequestBody = exports.deserializeIntoSubstitutePostRequestBody = exports.createSubstitutePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSubstitutePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSubstitutePostRequestBody;
}
exports.createSubstitutePostRequestBodyFromDiscriminatorValue = createSubstitutePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSubstitutePostRequestBody(substitutePostRequestBody = {}) {
    return {
        "instanceNum": n => { substitutePostRequestBody.instanceNum = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "newText": n => { substitutePostRequestBody.newText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "oldText": n => { substitutePostRequestBody.oldText = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "text": n => { substitutePostRequestBody.text = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSubstitutePostRequestBody = deserializeIntoSubstitutePostRequestBody;
function serializeSubstitutePostRequestBody(writer, substitutePostRequestBody = {}) {
    writer.writeObjectValue("instanceNum", substitutePostRequestBody.instanceNum, json_1.serializeJson);
    writer.writeObjectValue("newText", substitutePostRequestBody.newText, json_1.serializeJson);
    writer.writeObjectValue("oldText", substitutePostRequestBody.oldText, json_1.serializeJson);
    writer.writeObjectValue("text", substitutePostRequestBody.text, json_1.serializeJson);
    writer.writeAdditionalData(substitutePostRequestBody.additionalData);
}
exports.serializeSubstitutePostRequestBody = serializeSubstitutePostRequestBody;
/**
 * Provides operations to call the substitute method.
 */
class SubstituteRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SubstituteRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/substitute");
    }
    ;
    /**
     * Invoke action substitute
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action substitute
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSubstitutePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a substituteRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SubstituteRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SubstituteRequestBuilder = SubstituteRequestBuilder;
// tslint:enable
// eslint-enable
