import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubtotalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubtotalPostRequestBody;
export declare function deserializeIntoSubtotalPostRequestBody(subtotalPostRequestBody?: SubtotalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubtotalPostRequestBody(writer: SerializationWriter, subtotalPostRequestBody?: SubtotalPostRequestBody | undefined): void;
export interface SubtotalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The functionNum property
     */
    functionNum?: Json;
    /**
     * The values property
     */
    values?: Json;
}
/**
 * Provides operations to call the subtotal method.
 */
export declare class SubtotalRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SubtotalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action subtotal
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: SubtotalPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action subtotal
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SubtotalPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a subtotalRequestBuilder
     */
    withUrl(rawUrl: string): SubtotalRequestBuilder;
}
