import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSumIfsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSumIfsPostRequestBody;
export declare function deserializeIntoSumIfsPostRequestBody(sumIfsPostRequestBody?: SumIfsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSumIfsPostRequestBody(writer: SerializationWriter, sumIfsPostRequestBody?: SumIfsPostRequestBody | undefined): void;
export interface SumIfsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The sumRange property
     */
    sumRange?: Json;
    /**
     * The values property
     */
    values?: Json;
}
/**
 * Provides operations to call the sumIfs method.
 */
export declare class SumIfsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SumIfsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action sumIfs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: SumIfsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action sumIfs
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SumIfsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sumIfsRequestBuilder
     */
    withUrl(rawUrl: string): SumIfsRequestBuilder;
}
