"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SydRequestBuilder = exports.serializeSydPostRequestBody = exports.deserializeIntoSydPostRequestBody = exports.createSydPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSydPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSydPostRequestBody;
}
exports.createSydPostRequestBodyFromDiscriminatorValue = createSydPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSydPostRequestBody(sydPostRequestBody = {}) {
    return {
        "cost": n => { sydPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "life": n => { sydPostRequestBody.life = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "per": n => { sydPostRequestBody.per = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { sydPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSydPostRequestBody = deserializeIntoSydPostRequestBody;
function serializeSydPostRequestBody(writer, sydPostRequestBody = {}) {
    writer.writeObjectValue("cost", sydPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("life", sydPostRequestBody.life, json_1.serializeJson);
    writer.writeObjectValue("per", sydPostRequestBody.per, json_1.serializeJson);
    writer.writeObjectValue("salvage", sydPostRequestBody.salvage, json_1.serializeJson);
    writer.writeAdditionalData(sydPostRequestBody.additionalData);
}
exports.serializeSydPostRequestBody = serializeSydPostRequestBody;
/**
 * Provides operations to call the syd method.
 */
class SydRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SydRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/syd");
    }
    ;
    /**
     * Invoke action syd
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action syd
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSydPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sydRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SydRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SydRequestBuilder = SydRequestBuilder;
// tslint:enable
// eslint-enable
