"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.T_InvRequestBuilder = exports.serializeT_InvPostRequestBody = exports.deserializeIntoT_InvPostRequestBody = exports.createT_InvPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createT_InvPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoT_InvPostRequestBody;
}
exports.createT_InvPostRequestBodyFromDiscriminatorValue = createT_InvPostRequestBodyFromDiscriminatorValue;
function deserializeIntoT_InvPostRequestBody(t_InvPostRequestBody = {}) {
    return {
        "degFreedom": n => { t_InvPostRequestBody.degFreedom = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { t_InvPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoT_InvPostRequestBody = deserializeIntoT_InvPostRequestBody;
function serializeT_InvPostRequestBody(writer, t_InvPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom", t_InvPostRequestBody.degFreedom, json_1.serializeJson);
    writer.writeObjectValue("probability", t_InvPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(t_InvPostRequestBody.additionalData);
}
exports.serializeT_InvPostRequestBody = serializeT_InvPostRequestBody;
/**
 * Provides operations to call the t_Inv method.
 */
class T_InvRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new T_InvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/t_Inv");
    }
    ;
    /**
     * Invoke action t_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action t_Inv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeT_InvPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a t_InvRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new T_InvRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.T_InvRequestBuilder = T_InvRequestBuilder;
// tslint:enable
// eslint-enable
