"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.T_Inv_2TRequestBuilder = exports.serializeT_Inv_2TPostRequestBody = exports.deserializeIntoT_Inv_2TPostRequestBody = exports.createT_Inv_2TPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createT_Inv_2TPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoT_Inv_2TPostRequestBody;
}
exports.createT_Inv_2TPostRequestBodyFromDiscriminatorValue = createT_Inv_2TPostRequestBodyFromDiscriminatorValue;
function deserializeIntoT_Inv_2TPostRequestBody(t_Inv_2TPostRequestBody = {}) {
    return {
        "degFreedom": n => { t_Inv_2TPostRequestBody.degFreedom = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "probability": n => { t_Inv_2TPostRequestBody.probability = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoT_Inv_2TPostRequestBody = deserializeIntoT_Inv_2TPostRequestBody;
function serializeT_Inv_2TPostRequestBody(writer, t_Inv_2TPostRequestBody = {}) {
    writer.writeObjectValue("degFreedom", t_Inv_2TPostRequestBody.degFreedom, json_1.serializeJson);
    writer.writeObjectValue("probability", t_Inv_2TPostRequestBody.probability, json_1.serializeJson);
    writer.writeAdditionalData(t_Inv_2TPostRequestBody.additionalData);
}
exports.serializeT_Inv_2TPostRequestBody = serializeT_Inv_2TPostRequestBody;
/**
 * Provides operations to call the t_Inv_2T method.
 */
class T_Inv_2TRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new T_Inv_2TRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/t_Inv_2T");
    }
    ;
    /**
     * Invoke action t_Inv_2T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action t_Inv_2T
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeT_Inv_2TPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a t_Inv_2TRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new T_Inv_2TRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.T_Inv_2TRequestBuilder = T_Inv_2TRequestBuilder;
// tslint:enable
// eslint-enable
