"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TbillEqRequestBuilder = exports.serializeTbillEqPostRequestBody = exports.deserializeIntoTbillEqPostRequestBody = exports.createTbillEqPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createTbillEqPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTbillEqPostRequestBody;
}
exports.createTbillEqPostRequestBodyFromDiscriminatorValue = createTbillEqPostRequestBodyFromDiscriminatorValue;
function deserializeIntoTbillEqPostRequestBody(tbillEqPostRequestBody = {}) {
    return {
        "discount": n => { tbillEqPostRequestBody.discount = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { tbillEqPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { tbillEqPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoTbillEqPostRequestBody = deserializeIntoTbillEqPostRequestBody;
function serializeTbillEqPostRequestBody(writer, tbillEqPostRequestBody = {}) {
    writer.writeObjectValue("discount", tbillEqPostRequestBody.discount, json_1.serializeJson);
    writer.writeObjectValue("maturity", tbillEqPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("settlement", tbillEqPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(tbillEqPostRequestBody.additionalData);
}
exports.serializeTbillEqPostRequestBody = serializeTbillEqPostRequestBody;
/**
 * Provides operations to call the tbillEq method.
 */
class TbillEqRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new TbillEqRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/tbillEq");
    }
    ;
    /**
     * Invoke action tbillEq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action tbillEq
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeTbillEqPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a tbillEqRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new TbillEqRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.TbillEqRequestBuilder = TbillEqRequestBuilder;
// tslint:enable
// eslint-enable
