"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TbillPriceRequestBuilder = exports.serializeTbillPricePostRequestBody = exports.deserializeIntoTbillPricePostRequestBody = exports.createTbillPricePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createTbillPricePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTbillPricePostRequestBody;
}
exports.createTbillPricePostRequestBodyFromDiscriminatorValue = createTbillPricePostRequestBodyFromDiscriminatorValue;
function deserializeIntoTbillPricePostRequestBody(tbillPricePostRequestBody = {}) {
    return {
        "discount": n => { tbillPricePostRequestBody.discount = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { tbillPricePostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { tbillPricePostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoTbillPricePostRequestBody = deserializeIntoTbillPricePostRequestBody;
function serializeTbillPricePostRequestBody(writer, tbillPricePostRequestBody = {}) {
    writer.writeObjectValue("discount", tbillPricePostRequestBody.discount, json_1.serializeJson);
    writer.writeObjectValue("maturity", tbillPricePostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("settlement", tbillPricePostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(tbillPricePostRequestBody.additionalData);
}
exports.serializeTbillPricePostRequestBody = serializeTbillPricePostRequestBody;
/**
 * Provides operations to call the tbillPrice method.
 */
class TbillPriceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new TbillPriceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/tbillPrice");
    }
    ;
    /**
     * Invoke action tbillPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action tbillPrice
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeTbillPricePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a tbillPriceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new TbillPriceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.TbillPriceRequestBuilder = TbillPriceRequestBuilder;
// tslint:enable
// eslint-enable
