"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Var_SRequestBuilder = exports.serializeVar_SPostRequestBody = exports.deserializeIntoVar_SPostRequestBody = exports.createVar_SPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createVar_SPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVar_SPostRequestBody;
}
exports.createVar_SPostRequestBodyFromDiscriminatorValue = createVar_SPostRequestBodyFromDiscriminatorValue;
function deserializeIntoVar_SPostRequestBody(var_SPostRequestBody = {}) {
    return {
        "values": n => { var_SPostRequestBody.values = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoVar_SPostRequestBody = deserializeIntoVar_SPostRequestBody;
function serializeVar_SPostRequestBody(writer, var_SPostRequestBody = {}) {
    writer.writeObjectValue("values", var_SPostRequestBody.values, json_1.serializeJson);
    writer.writeAdditionalData(var_SPostRequestBody.additionalData);
}
exports.serializeVar_SPostRequestBody = serializeVar_SPostRequestBody;
/**
 * Provides operations to call the var_S method.
 */
class Var_SRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Var_SRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/var_S");
    }
    ;
    /**
     * Invoke action var_S
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action var_S
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeVar_SPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a var_SRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Var_SRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Var_SRequestBuilder = Var_SRequestBuilder;
// tslint:enable
// eslint-enable
