import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVdbPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVdbPostRequestBody;
export declare function deserializeIntoVdbPostRequestBody(vdbPostRequestBody?: VdbPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVdbPostRequestBody(writer: SerializationWriter, vdbPostRequestBody?: VdbPostRequestBody | undefined): void;
export interface VdbPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost property
     */
    cost?: Json;
    /**
     * The endPeriod property
     */
    endPeriod?: Json;
    /**
     * The factor property
     */
    factor?: Json;
    /**
     * The life property
     */
    life?: Json;
    /**
     * The noSwitch property
     */
    noSwitch?: Json;
    /**
     * The salvage property
     */
    salvage?: Json;
    /**
     * The startPeriod property
     */
    startPeriod?: Json;
}
/**
 * Provides operations to call the vdb method.
 */
export declare class VdbRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new VdbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action vdb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: VdbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action vdb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: VdbPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a vdbRequestBuilder
     */
    withUrl(rawUrl: string): VdbRequestBuilder;
}
