"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VdbRequestBuilder = exports.serializeVdbPostRequestBody = exports.deserializeIntoVdbPostRequestBody = exports.createVdbPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createVdbPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVdbPostRequestBody;
}
exports.createVdbPostRequestBodyFromDiscriminatorValue = createVdbPostRequestBodyFromDiscriminatorValue;
function deserializeIntoVdbPostRequestBody(vdbPostRequestBody = {}) {
    return {
        "cost": n => { vdbPostRequestBody.cost = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "endPeriod": n => { vdbPostRequestBody.endPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "factor": n => { vdbPostRequestBody.factor = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "life": n => { vdbPostRequestBody.life = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "noSwitch": n => { vdbPostRequestBody.noSwitch = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "salvage": n => { vdbPostRequestBody.salvage = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startPeriod": n => { vdbPostRequestBody.startPeriod = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoVdbPostRequestBody = deserializeIntoVdbPostRequestBody;
function serializeVdbPostRequestBody(writer, vdbPostRequestBody = {}) {
    writer.writeObjectValue("cost", vdbPostRequestBody.cost, json_1.serializeJson);
    writer.writeObjectValue("endPeriod", vdbPostRequestBody.endPeriod, json_1.serializeJson);
    writer.writeObjectValue("factor", vdbPostRequestBody.factor, json_1.serializeJson);
    writer.writeObjectValue("life", vdbPostRequestBody.life, json_1.serializeJson);
    writer.writeObjectValue("noSwitch", vdbPostRequestBody.noSwitch, json_1.serializeJson);
    writer.writeObjectValue("salvage", vdbPostRequestBody.salvage, json_1.serializeJson);
    writer.writeObjectValue("startPeriod", vdbPostRequestBody.startPeriod, json_1.serializeJson);
    writer.writeAdditionalData(vdbPostRequestBody.additionalData);
}
exports.serializeVdbPostRequestBody = serializeVdbPostRequestBody;
/**
 * Provides operations to call the vdb method.
 */
class VdbRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new VdbRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/vdb");
    }
    ;
    /**
     * Invoke action vdb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action vdb
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeVdbPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a vdbRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new VdbRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.VdbRequestBuilder = VdbRequestBuilder;
// tslint:enable
// eslint-enable
