import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWeekNumPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWeekNumPostRequestBody;
export declare function deserializeIntoWeekNumPostRequestBody(weekNumPostRequestBody?: WeekNumPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWeekNumPostRequestBody(writer: SerializationWriter, weekNumPostRequestBody?: WeekNumPostRequestBody | undefined): void;
export interface WeekNumPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The returnType property
     */
    returnType?: Json;
    /**
     * The serialNumber property
     */
    serialNumber?: Json;
}
/**
 * Provides operations to call the weekNum method.
 */
export declare class WeekNumRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WeekNumRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action weekNum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: WeekNumPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action weekNum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WeekNumPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a weekNumRequestBuilder
     */
    withUrl(rawUrl: string): WeekNumRequestBuilder;
}
