"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeekNumRequestBuilder = exports.serializeWeekNumPostRequestBody = exports.deserializeIntoWeekNumPostRequestBody = exports.createWeekNumPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createWeekNumPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWeekNumPostRequestBody;
}
exports.createWeekNumPostRequestBodyFromDiscriminatorValue = createWeekNumPostRequestBodyFromDiscriminatorValue;
function deserializeIntoWeekNumPostRequestBody(weekNumPostRequestBody = {}) {
    return {
        "returnType": n => { weekNumPostRequestBody.returnType = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "serialNumber": n => { weekNumPostRequestBody.serialNumber = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoWeekNumPostRequestBody = deserializeIntoWeekNumPostRequestBody;
function serializeWeekNumPostRequestBody(writer, weekNumPostRequestBody = {}) {
    writer.writeObjectValue("returnType", weekNumPostRequestBody.returnType, json_1.serializeJson);
    writer.writeObjectValue("serialNumber", weekNumPostRequestBody.serialNumber, json_1.serializeJson);
    writer.writeAdditionalData(weekNumPostRequestBody.additionalData);
}
exports.serializeWeekNumPostRequestBody = serializeWeekNumPostRequestBody;
/**
 * Provides operations to call the weekNum method.
 */
class WeekNumRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new WeekNumRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/weekNum");
    }
    ;
    /**
     * Invoke action weekNum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action weekNum
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeWeekNumPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a weekNumRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new WeekNumRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.WeekNumRequestBuilder = WeekNumRequestBuilder;
// tslint:enable
// eslint-enable
