import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWeibull_DistPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWeibull_DistPostRequestBody;
export declare function deserializeIntoWeibull_DistPostRequestBody(weibull_DistPostRequestBody?: Weibull_DistPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWeibull_DistPostRequestBody(writer: SerializationWriter, weibull_DistPostRequestBody?: Weibull_DistPostRequestBody | undefined): void;
export interface Weibull_DistPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The alpha property
     */
    alpha?: Json;
    /**
     * The beta property
     */
    beta?: Json;
    /**
     * The cumulative property
     */
    cumulative?: Json;
    /**
     * The x property
     */
    x?: Json;
}
/**
 * Provides operations to call the weibull_Dist method.
 */
export declare class Weibull_DistRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Weibull_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action weibull_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Weibull_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action weibull_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Weibull_DistPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a weibull_DistRequestBuilder
     */
    withUrl(rawUrl: string): Weibull_DistRequestBuilder;
}
