"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weibull_DistRequestBuilder = exports.serializeWeibull_DistPostRequestBody = exports.deserializeIntoWeibull_DistPostRequestBody = exports.createWeibull_DistPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createWeibull_DistPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWeibull_DistPostRequestBody;
}
exports.createWeibull_DistPostRequestBodyFromDiscriminatorValue = createWeibull_DistPostRequestBodyFromDiscriminatorValue;
function deserializeIntoWeibull_DistPostRequestBody(weibull_DistPostRequestBody = {}) {
    return {
        "alpha": n => { weibull_DistPostRequestBody.alpha = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "beta": n => { weibull_DistPostRequestBody.beta = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "cumulative": n => { weibull_DistPostRequestBody.cumulative = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { weibull_DistPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoWeibull_DistPostRequestBody = deserializeIntoWeibull_DistPostRequestBody;
function serializeWeibull_DistPostRequestBody(writer, weibull_DistPostRequestBody = {}) {
    writer.writeObjectValue("alpha", weibull_DistPostRequestBody.alpha, json_1.serializeJson);
    writer.writeObjectValue("beta", weibull_DistPostRequestBody.beta, json_1.serializeJson);
    writer.writeObjectValue("cumulative", weibull_DistPostRequestBody.cumulative, json_1.serializeJson);
    writer.writeObjectValue("x", weibull_DistPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(weibull_DistPostRequestBody.additionalData);
}
exports.serializeWeibull_DistPostRequestBody = serializeWeibull_DistPostRequestBody;
/**
 * Provides operations to call the weibull_Dist method.
 */
class Weibull_DistRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Weibull_DistRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/weibull_Dist");
    }
    ;
    /**
     * Invoke action weibull_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action weibull_Dist
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeWeibull_DistPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a weibull_DistRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Weibull_DistRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Weibull_DistRequestBuilder = Weibull_DistRequestBuilder;
// tslint:enable
// eslint-enable
