import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkDayPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkDayPostRequestBody;
export declare function deserializeIntoWorkDayPostRequestBody(workDayPostRequestBody?: WorkDayPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkDayPostRequestBody(writer: SerializationWriter, workDayPostRequestBody?: WorkDayPostRequestBody | undefined): void;
export interface WorkDayPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The days property
     */
    days?: Json;
    /**
     * The holidays property
     */
    holidays?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
/**
 * Provides operations to call the workDay method.
 */
export declare class WorkDayRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WorkDayRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action workDay
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: WorkDayPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action workDay
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WorkDayPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a workDayRequestBuilder
     */
    withUrl(rawUrl: string): WorkDayRequestBuilder;
}
