"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkDay_IntlRequestBuilder = exports.serializeWorkDay_IntlPostRequestBody = exports.deserializeIntoWorkDay_IntlPostRequestBody = exports.createWorkDay_IntlPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createWorkDay_IntlPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWorkDay_IntlPostRequestBody;
}
exports.createWorkDay_IntlPostRequestBodyFromDiscriminatorValue = createWorkDay_IntlPostRequestBodyFromDiscriminatorValue;
function deserializeIntoWorkDay_IntlPostRequestBody(workDay_IntlPostRequestBody = {}) {
    return {
        "days": n => { workDay_IntlPostRequestBody.days = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "holidays": n => { workDay_IntlPostRequestBody.holidays = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startDate": n => { workDay_IntlPostRequestBody.startDate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "weekend": n => { workDay_IntlPostRequestBody.weekend = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoWorkDay_IntlPostRequestBody = deserializeIntoWorkDay_IntlPostRequestBody;
function serializeWorkDay_IntlPostRequestBody(writer, workDay_IntlPostRequestBody = {}) {
    writer.writeObjectValue("days", workDay_IntlPostRequestBody.days, json_1.serializeJson);
    writer.writeObjectValue("holidays", workDay_IntlPostRequestBody.holidays, json_1.serializeJson);
    writer.writeObjectValue("startDate", workDay_IntlPostRequestBody.startDate, json_1.serializeJson);
    writer.writeObjectValue("weekend", workDay_IntlPostRequestBody.weekend, json_1.serializeJson);
    writer.writeAdditionalData(workDay_IntlPostRequestBody.additionalData);
}
exports.serializeWorkDay_IntlPostRequestBody = serializeWorkDay_IntlPostRequestBody;
/**
 * Provides operations to call the workDay_Intl method.
 */
class WorkDay_IntlRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new WorkDay_IntlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/workDay_Intl");
    }
    ;
    /**
     * Invoke action workDay_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action workDay_Intl
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeWorkDay_IntlPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a workDay_IntlRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new WorkDay_IntlRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.WorkDay_IntlRequestBuilder = WorkDay_IntlRequestBuilder;
// tslint:enable
// eslint-enable
