import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createXnpvPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoXnpvPostRequestBody;
export declare function deserializeIntoXnpvPostRequestBody(xnpvPostRequestBody?: XnpvPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeXnpvPostRequestBody(writer: SerializationWriter, xnpvPostRequestBody?: XnpvPostRequestBody | undefined): void;
export interface XnpvPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The dates property
     */
    dates?: Json;
    /**
     * The rate property
     */
    rate?: Json;
    /**
     * The values property
     */
    values?: Json;
}
/**
 * Provides operations to call the xnpv method.
 */
export declare class XnpvRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new XnpvRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action xnpv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: XnpvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action xnpv
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: XnpvPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a xnpvRequestBuilder
     */
    withUrl(rawUrl: string): XnpvRequestBuilder;
}
