import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createYearFracPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoYearFracPostRequestBody;
export declare function deserializeIntoYearFracPostRequestBody(yearFracPostRequestBody?: YearFracPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeYearFracPostRequestBody(writer: SerializationWriter, yearFracPostRequestBody?: YearFracPostRequestBody | undefined): void;
export interface YearFracPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The basis property
     */
    basis?: Json;
    /**
     * The endDate property
     */
    endDate?: Json;
    /**
     * The startDate property
     */
    startDate?: Json;
}
/**
 * Provides operations to call the yearFrac method.
 */
export declare class YearFracRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new YearFracRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action yearFrac
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: YearFracPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action yearFrac
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: YearFracPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a yearFracRequestBuilder
     */
    withUrl(rawUrl: string): YearFracRequestBuilder;
}
