"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YieldRequestBuilder = exports.serializeYieldPostRequestBody = exports.deserializeIntoYieldPostRequestBody = exports.createYieldPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createYieldPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoYieldPostRequestBody;
}
exports.createYieldPostRequestBodyFromDiscriminatorValue = createYieldPostRequestBodyFromDiscriminatorValue;
function deserializeIntoYieldPostRequestBody(yieldPostRequestBody = {}) {
    return {
        "basis": n => { yieldPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "frequency": n => { yieldPostRequestBody.frequency = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { yieldPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pr": n => { yieldPostRequestBody.pr = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { yieldPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { yieldPostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { yieldPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoYieldPostRequestBody = deserializeIntoYieldPostRequestBody;
function serializeYieldPostRequestBody(writer, yieldPostRequestBody = {}) {
    writer.writeObjectValue("basis", yieldPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("frequency", yieldPostRequestBody.frequency, json_1.serializeJson);
    writer.writeObjectValue("maturity", yieldPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("pr", yieldPostRequestBody.pr, json_1.serializeJson);
    writer.writeObjectValue("rate", yieldPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("redemption", yieldPostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", yieldPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(yieldPostRequestBody.additionalData);
}
exports.serializeYieldPostRequestBody = serializeYieldPostRequestBody;
/**
 * Provides operations to call the yield method.
 */
class YieldRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new YieldRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/yield");
    }
    ;
    /**
     * Invoke action yield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action yield
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeYieldPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a yieldRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new YieldRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.YieldRequestBuilder = YieldRequestBuilder;
// tslint:enable
// eslint-enable
