"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YieldDiscRequestBuilder = exports.serializeYieldDiscPostRequestBody = exports.deserializeIntoYieldDiscPostRequestBody = exports.createYieldDiscPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createYieldDiscPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoYieldDiscPostRequestBody;
}
exports.createYieldDiscPostRequestBodyFromDiscriminatorValue = createYieldDiscPostRequestBodyFromDiscriminatorValue;
function deserializeIntoYieldDiscPostRequestBody(yieldDiscPostRequestBody = {}) {
    return {
        "basis": n => { yieldDiscPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { yieldDiscPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pr": n => { yieldDiscPostRequestBody.pr = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "redemption": n => { yieldDiscPostRequestBody.redemption = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { yieldDiscPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoYieldDiscPostRequestBody = deserializeIntoYieldDiscPostRequestBody;
function serializeYieldDiscPostRequestBody(writer, yieldDiscPostRequestBody = {}) {
    writer.writeObjectValue("basis", yieldDiscPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("maturity", yieldDiscPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("pr", yieldDiscPostRequestBody.pr, json_1.serializeJson);
    writer.writeObjectValue("redemption", yieldDiscPostRequestBody.redemption, json_1.serializeJson);
    writer.writeObjectValue("settlement", yieldDiscPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(yieldDiscPostRequestBody.additionalData);
}
exports.serializeYieldDiscPostRequestBody = serializeYieldDiscPostRequestBody;
/**
 * Provides operations to call the yieldDisc method.
 */
class YieldDiscRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new YieldDiscRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/yieldDisc");
    }
    ;
    /**
     * Invoke action yieldDisc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action yieldDisc
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeYieldDiscPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a yieldDiscRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new YieldDiscRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.YieldDiscRequestBuilder = YieldDiscRequestBuilder;
// tslint:enable
// eslint-enable
