"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YieldMatRequestBuilder = exports.serializeYieldMatPostRequestBody = exports.deserializeIntoYieldMatPostRequestBody = exports.createYieldMatPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createYieldMatPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoYieldMatPostRequestBody;
}
exports.createYieldMatPostRequestBodyFromDiscriminatorValue = createYieldMatPostRequestBodyFromDiscriminatorValue;
function deserializeIntoYieldMatPostRequestBody(yieldMatPostRequestBody = {}) {
    return {
        "basis": n => { yieldMatPostRequestBody.basis = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "issue": n => { yieldMatPostRequestBody.issue = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "maturity": n => { yieldMatPostRequestBody.maturity = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "pr": n => { yieldMatPostRequestBody.pr = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "rate": n => { yieldMatPostRequestBody.rate = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "settlement": n => { yieldMatPostRequestBody.settlement = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoYieldMatPostRequestBody = deserializeIntoYieldMatPostRequestBody;
function serializeYieldMatPostRequestBody(writer, yieldMatPostRequestBody = {}) {
    writer.writeObjectValue("basis", yieldMatPostRequestBody.basis, json_1.serializeJson);
    writer.writeObjectValue("issue", yieldMatPostRequestBody.issue, json_1.serializeJson);
    writer.writeObjectValue("maturity", yieldMatPostRequestBody.maturity, json_1.serializeJson);
    writer.writeObjectValue("pr", yieldMatPostRequestBody.pr, json_1.serializeJson);
    writer.writeObjectValue("rate", yieldMatPostRequestBody.rate, json_1.serializeJson);
    writer.writeObjectValue("settlement", yieldMatPostRequestBody.settlement, json_1.serializeJson);
    writer.writeAdditionalData(yieldMatPostRequestBody.additionalData);
}
exports.serializeYieldMatPostRequestBody = serializeYieldMatPostRequestBody;
/**
 * Provides operations to call the yieldMat method.
 */
class YieldMatRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new YieldMatRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/yieldMat");
    }
    ;
    /**
     * Invoke action yieldMat
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action yieldMat
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeYieldMatPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a yieldMatRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new YieldMatRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.YieldMatRequestBuilder = YieldMatRequestBuilder;
// tslint:enable
// eslint-enable
