import { type Json } from '../../../../../../../models/json';
import { type WorkbookFunctionResult } from '../../../../../../../models/workbookFunctionResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createZ_TestPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoZ_TestPostRequestBody;
export declare function deserializeIntoZ_TestPostRequestBody(z_TestPostRequestBody?: Z_TestPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeZ_TestPostRequestBody(writer: SerializationWriter, z_TestPostRequestBody?: Z_TestPostRequestBody | undefined): void;
export interface Z_TestPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The array property
     */
    array?: Json;
    /**
     * The sigma property
     */
    sigma?: Json;
    /**
     * The x property
     */
    x?: Json;
}
/**
 * Provides operations to call the z_Test method.
 */
export declare class Z_TestRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new Z_TestRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action z_Test
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body: Z_TestPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookFunctionResult | undefined>;
    /**
     * Invoke action z_Test
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: Z_TestPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a z_TestRequestBuilder
     */
    withUrl(rawUrl: string): Z_TestRequestBuilder;
}
