"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Z_TestRequestBuilder = exports.serializeZ_TestPostRequestBody = exports.deserializeIntoZ_TestPostRequestBody = exports.createZ_TestPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookFunctionResult_1 = require("../../../../../../../models/workbookFunctionResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createZ_TestPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoZ_TestPostRequestBody;
}
exports.createZ_TestPostRequestBodyFromDiscriminatorValue = createZ_TestPostRequestBodyFromDiscriminatorValue;
function deserializeIntoZ_TestPostRequestBody(z_TestPostRequestBody = {}) {
    return {
        "array": n => { z_TestPostRequestBody.array = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "sigma": n => { z_TestPostRequestBody.sigma = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "x": n => { z_TestPostRequestBody.x = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoZ_TestPostRequestBody = deserializeIntoZ_TestPostRequestBody;
function serializeZ_TestPostRequestBody(writer, z_TestPostRequestBody = {}) {
    writer.writeObjectValue("array", z_TestPostRequestBody.array, json_1.serializeJson);
    writer.writeObjectValue("sigma", z_TestPostRequestBody.sigma, json_1.serializeJson);
    writer.writeObjectValue("x", z_TestPostRequestBody.x, json_1.serializeJson);
    writer.writeAdditionalData(z_TestPostRequestBody.additionalData);
}
exports.serializeZ_TestPostRequestBody = serializeZ_TestPostRequestBody;
/**
 * Provides operations to call the z_Test method.
 */
class Z_TestRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new Z_TestRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions/z_Test");
    }
    ;
    /**
     * Invoke action z_Test
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctionResult
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctionResult_1.createWorkbookFunctionResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action z_Test
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeZ_TestPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a z_TestRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new Z_TestRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.Z_TestRequestBuilder = Z_TestRequestBuilder;
// tslint:enable
// eslint-enable
