"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddFormulaLocalRequestBuilder = exports.serializeAddFormulaLocalPostRequestBody = exports.deserializeIntoAddFormulaLocalPostRequestBody = exports.createAddFormulaLocalPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const workbookNamedItem_1 = require("../../../../../../../models/workbookNamedItem");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddFormulaLocalPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddFormulaLocalPostRequestBody;
}
exports.createAddFormulaLocalPostRequestBodyFromDiscriminatorValue = createAddFormulaLocalPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddFormulaLocalPostRequestBody(addFormulaLocalPostRequestBody = {}) {
    return {
        "comment": n => { addFormulaLocalPostRequestBody.comment = n.getStringValue(); },
        "formula": n => { addFormulaLocalPostRequestBody.formula = n.getStringValue(); },
        "name": n => { addFormulaLocalPostRequestBody.name = n.getStringValue(); },
    };
}
exports.deserializeIntoAddFormulaLocalPostRequestBody = deserializeIntoAddFormulaLocalPostRequestBody;
function serializeAddFormulaLocalPostRequestBody(writer, addFormulaLocalPostRequestBody = {}) {
    writer.writeStringValue("comment", addFormulaLocalPostRequestBody.comment);
    writer.writeStringValue("formula", addFormulaLocalPostRequestBody.formula);
    writer.writeStringValue("name", addFormulaLocalPostRequestBody.name);
    writer.writeAdditionalData(addFormulaLocalPostRequestBody.additionalData);
}
exports.serializeAddFormulaLocalPostRequestBody = serializeAddFormulaLocalPostRequestBody;
/**
 * Provides operations to call the addFormulaLocal method.
 */
class AddFormulaLocalRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddFormulaLocalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/names/addFormulaLocal");
    }
    ;
    /**
     * Adds a new name to the collection of the given scope using the user's locale for the formula.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookNamedItem
     * @see {@link https://learn.microsoft.com/graph/api/nameditem-addformulalocal?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookNamedItem_1.createWorkbookNamedItemFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Adds a new name to the collection of the given scope using the user's locale for the formula.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddFormulaLocalPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addFormulaLocalRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddFormulaLocalRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddFormulaLocalRequestBuilder = AddFormulaLocalRequestBuilder;
// tslint:enable
// eslint-enable
