"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountRequestBuilder = exports.serializeCountGetResponse = exports.deserializeIntoCountGetResponse = exports.createCountGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCountGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCountGetResponse;
}
exports.createCountGetResponseFromDiscriminatorValue = createCountGetResponseFromDiscriminatorValue;
function deserializeIntoCountGetResponse(countGetResponse = {}) {
    return {
        "value": n => { countGetResponse.value = n.getNumberValue(); },
    };
}
exports.deserializeIntoCountGetResponse = deserializeIntoCountGetResponse;
function serializeCountGetResponse(writer, countGetResponse = {}) {
    writer.writeNumberValue("value", countGetResponse.value);
    writer.writeAdditionalData(countGetResponse.additionalData);
}
exports.serializeCountGetResponse = serializeCountGetResponse;
/**
 * Provides operations to call the count method.
 */
class CountRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CountRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/tables/{workbookTable%2Did}/columns/count()");
    }
    ;
    /**
     * Invoke function count
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CountGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createCountGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function count
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a countRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CountRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CountRequestBuilder = CountRequestBuilder;
// tslint:enable
// eslint-enable
