"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyBottomItemsFilterRequestBuilder = exports.serializeApplyBottomItemsFilterPostRequestBody = exports.deserializeIntoApplyBottomItemsFilterPostRequestBody = exports.createApplyBottomItemsFilterPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyBottomItemsFilterPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyBottomItemsFilterPostRequestBody;
}
exports.createApplyBottomItemsFilterPostRequestBodyFromDiscriminatorValue = createApplyBottomItemsFilterPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyBottomItemsFilterPostRequestBody(applyBottomItemsFilterPostRequestBody = {}) {
    return {
        "count": n => { applyBottomItemsFilterPostRequestBody.count = n.getNumberValue(); },
    };
}
exports.deserializeIntoApplyBottomItemsFilterPostRequestBody = deserializeIntoApplyBottomItemsFilterPostRequestBody;
function serializeApplyBottomItemsFilterPostRequestBody(writer, applyBottomItemsFilterPostRequestBody = {}) {
    writer.writeNumberValue("count", applyBottomItemsFilterPostRequestBody.count);
    writer.writeAdditionalData(applyBottomItemsFilterPostRequestBody.additionalData);
}
exports.serializeApplyBottomItemsFilterPostRequestBody = serializeApplyBottomItemsFilterPostRequestBody;
/**
 * Provides operations to call the applyBottomItemsFilter method.
 */
class ApplyBottomItemsFilterRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyBottomItemsFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/tables/{workbookTable%2Did}/columns/{workbookTableColumn%2Did}/filter/applyBottomItemsFilter");
    }
    ;
    /**
     * Invoke action applyBottomItemsFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action applyBottomItemsFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyBottomItemsFilterPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyBottomItemsFilterRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyBottomItemsFilterRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyBottomItemsFilterRequestBuilder = ApplyBottomItemsFilterRequestBuilder;
// tslint:enable
// eslint-enable
