"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyDynamicFilterRequestBuilder = exports.serializeApplyDynamicFilterPostRequestBody = exports.deserializeIntoApplyDynamicFilterPostRequestBody = exports.createApplyDynamicFilterPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyDynamicFilterPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyDynamicFilterPostRequestBody;
}
exports.createApplyDynamicFilterPostRequestBodyFromDiscriminatorValue = createApplyDynamicFilterPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyDynamicFilterPostRequestBody(applyDynamicFilterPostRequestBody = {}) {
    return {
        "criteria": n => { applyDynamicFilterPostRequestBody.criteria = n.getStringValue(); },
    };
}
exports.deserializeIntoApplyDynamicFilterPostRequestBody = deserializeIntoApplyDynamicFilterPostRequestBody;
function serializeApplyDynamicFilterPostRequestBody(writer, applyDynamicFilterPostRequestBody = {}) {
    writer.writeStringValue("criteria", applyDynamicFilterPostRequestBody.criteria);
    writer.writeAdditionalData(applyDynamicFilterPostRequestBody.additionalData);
}
exports.serializeApplyDynamicFilterPostRequestBody = serializeApplyDynamicFilterPostRequestBody;
/**
 * Provides operations to call the applyDynamicFilter method.
 */
class ApplyDynamicFilterRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyDynamicFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/tables/{workbookTable%2Did}/columns/{workbookTableColumn%2Did}/filter/applyDynamicFilter");
    }
    ;
    /**
     * Invoke action applyDynamicFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action applyDynamicFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyDynamicFilterPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyDynamicFilterRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyDynamicFilterRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyDynamicFilterRequestBuilder = ApplyDynamicFilterRequestBuilder;
// tslint:enable
// eslint-enable
