import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyFontColorFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
}
export declare function createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyFontColorFilterPostRequestBody;
export declare function deserializeIntoApplyFontColorFilterPostRequestBody(applyFontColorFilterPostRequestBody?: ApplyFontColorFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyFontColorFilterPostRequestBody(writer: SerializationWriter, applyFontColorFilterPostRequestBody?: ApplyFontColorFilterPostRequestBody | undefined): void;
/**
 * Provides operations to call the applyFontColorFilter method.
 */
export declare class ApplyFontColorFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyFontColorFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyFontColorFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyFontColorFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action applyFontColorFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyFontColorFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyFontColorFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyFontColorFilterRequestBuilder;
}
