import { type WorkbookIcon } from '../../../../../../../../../../../models/workbookIcon';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyIconFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The icon property
     */
    icon?: WorkbookIcon;
}
export declare function createApplyIconFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyIconFilterPostRequestBody;
export declare function deserializeIntoApplyIconFilterPostRequestBody(applyIconFilterPostRequestBody?: ApplyIconFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyIconFilterPostRequestBody(writer: SerializationWriter, applyIconFilterPostRequestBody?: ApplyIconFilterPostRequestBody | undefined): void;
/**
 * Provides operations to call the applyIconFilter method.
 */
export declare class ApplyIconFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyIconFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyIconFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyIconFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action applyIconFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyIconFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyIconFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyIconFilterRequestBuilder;
}
