"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyTopPercentFilterRequestBuilder = exports.serializeApplyTopPercentFilterPostRequestBody = exports.deserializeIntoApplyTopPercentFilterPostRequestBody = exports.createApplyTopPercentFilterPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyTopPercentFilterPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyTopPercentFilterPostRequestBody;
}
exports.createApplyTopPercentFilterPostRequestBodyFromDiscriminatorValue = createApplyTopPercentFilterPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyTopPercentFilterPostRequestBody(applyTopPercentFilterPostRequestBody = {}) {
    return {
        "percent": n => { applyTopPercentFilterPostRequestBody.percent = n.getNumberValue(); },
    };
}
exports.deserializeIntoApplyTopPercentFilterPostRequestBody = deserializeIntoApplyTopPercentFilterPostRequestBody;
function serializeApplyTopPercentFilterPostRequestBody(writer, applyTopPercentFilterPostRequestBody = {}) {
    writer.writeNumberValue("percent", applyTopPercentFilterPostRequestBody.percent);
    writer.writeAdditionalData(applyTopPercentFilterPostRequestBody.additionalData);
}
exports.serializeApplyTopPercentFilterPostRequestBody = serializeApplyTopPercentFilterPostRequestBody;
/**
 * Provides operations to call the applyTopPercentFilter method.
 */
class ApplyTopPercentFilterRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyTopPercentFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/tables/{workbookTable%2Did}/columns/{workbookTableColumn%2Did}/filter/applyTopPercentFilter");
    }
    ;
    /**
     * Invoke action applyTopPercentFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action applyTopPercentFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyTopPercentFilterPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyTopPercentFilterRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyTopPercentFilterRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyTopPercentFilterRequestBuilder = ApplyTopPercentFilterRequestBuilder;
// tslint:enable
// eslint-enable
