import { type WorkbookSortField } from '../../../../../../../../../models/workbookSortField';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The fields property
     */
    fields?: WorkbookSortField[];
    /**
     * The matchCase property
     */
    matchCase?: boolean;
    /**
     * The method property
     */
    method?: string;
}
export declare function createApplyPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyPostRequestBody;
export declare function deserializeIntoApplyPostRequestBody(applyPostRequestBody?: ApplyPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyPostRequestBody(writer: SerializationWriter, applyPostRequestBody?: ApplyPostRequestBody | undefined): void;
/**
 * Provides operations to call the apply method.
 */
export declare class ApplyRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Perform a sort operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/tablesort-apply?view=graph-rest-1.0|Find more info here}
     */
    post(body: ApplyPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Perform a sort operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyRequestBuilder
     */
    withUrl(rawUrl: string): ApplyRequestBuilder;
}
