import { type WorkbookChartAxis } from '../../../../../../../../../../../models/workbookChartAxis';
import { FormatRequestBuilder } from './format/';
import { MajorGridlinesRequestBuilder } from './majorGridlines/';
import { MinorGridlinesRequestBuilder } from './minorGridlines/';
import { TitleRequestBuilder } from './title/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface CategoryAxisRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the categoryAxis property of the microsoft.graph.workbookChartAxes entity.
 */
export declare class CategoryAxisRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the format property of the microsoft.graph.workbookChartAxis entity.
     */
    get format(): FormatRequestBuilder;
    /**
     * Provides operations to manage the majorGridlines property of the microsoft.graph.workbookChartAxis entity.
     */
    get majorGridlines(): MajorGridlinesRequestBuilder;
    /**
     * Provides operations to manage the minorGridlines property of the microsoft.graph.workbookChartAxis entity.
     */
    get minorGridlines(): MinorGridlinesRequestBuilder;
    /**
     * Provides operations to manage the title property of the microsoft.graph.workbookChartAxis entity.
     */
    get title(): TitleRequestBuilder;
    /**
     * Instantiates a new CategoryAxisRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property categoryAxis for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Represents the category axis in a chart. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartAxis
     */
    get(requestConfiguration?: RequestConfiguration<CategoryAxisRequestBuilderGetQueryParameters> | undefined): Promise<WorkbookChartAxis | undefined>;
    /**
     * Update the navigation property categoryAxis in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartAxis
     */
    patch(body: WorkbookChartAxis, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookChartAxis | undefined>;
    /**
     * Delete navigation property categoryAxis for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Represents the category axis in a chart. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<CategoryAxisRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property categoryAxis in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WorkbookChartAxis, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a categoryAxisRequestBuilder
     */
    withUrl(rawUrl: string): CategoryAxisRequestBuilder;
}
