import { type WorkbookChartDataLabels } from '../../../../../../../../../../models/workbookChartDataLabels';
import { FormatRequestBuilder } from './format/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface DataLabelsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the dataLabels property of the microsoft.graph.workbookChart entity.
 */
export declare class DataLabelsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the format property of the microsoft.graph.workbookChartDataLabels entity.
     */
    get format(): FormatRequestBuilder;
    /**
     * Instantiates a new DataLabelsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property dataLabels for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Retrieve the properties and relationships of chartdatalabels object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartDataLabels
     * @see {@link https://learn.microsoft.com/graph/api/chartdatalabels-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<DataLabelsRequestBuilderGetQueryParameters> | undefined): Promise<WorkbookChartDataLabels | undefined>;
    /**
     * Update the properties of chartdatalabels object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookChartDataLabels
     * @see {@link https://learn.microsoft.com/graph/api/chartdatalabels-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: WorkbookChartDataLabels, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookChartDataLabels | undefined>;
    /**
     * Delete navigation property dataLabels for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Retrieve the properties and relationships of chartdatalabels object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DataLabelsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of chartdatalabels object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: WorkbookChartDataLabels, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dataLabelsRequestBuilder
     */
    withUrl(rawUrl: string): DataLabelsRequestBuilder;
}
