"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageRequestBuilder = exports.serializeImageGetResponse = exports.deserializeIntoImageGetResponse = exports.createImageGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImageGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImageGetResponse;
}
exports.createImageGetResponseFromDiscriminatorValue = createImageGetResponseFromDiscriminatorValue;
function deserializeIntoImageGetResponse(imageGetResponse = {}) {
    return {
        "value": n => { imageGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoImageGetResponse = deserializeIntoImageGetResponse;
function serializeImageGetResponse(writer, imageGetResponse = {}) {
    writer.writeStringValue("value", imageGetResponse.value);
    writer.writeAdditionalData(imageGetResponse.additionalData);
}
exports.serializeImageGetResponse = serializeImageGetResponse;
/**
 * Provides operations to call the image method.
 */
class ImageRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/image()");
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImageGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createImageGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imageRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImageRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImageRequestBuilder = ImageRequestBuilder;
// tslint:enable
// eslint-enable
