import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageWithWidthGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImageWithWidthGetResponse;
export declare function deserializeIntoImageWithWidthGetResponse(imageWithWidthGetResponse?: ImageWithWidthGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImageWithWidthGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeImageWithWidthGetResponse(writer: SerializationWriter, imageWithWidthGetResponse?: ImageWithWidthGetResponse | undefined): void;
/**
 * Provides operations to call the image method.
 */
export declare class ImageWithWidthRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ImageWithWidthRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param width Usage: width={width}
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, width?: number | undefined);
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImageWithWidthGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ImageWithWidthGetResponse | undefined>;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imageWithWidthRequestBuilder
     */
    withUrl(rawUrl: string): ImageWithWidthRequestBuilder;
}
