"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageWithWidthRequestBuilder = exports.serializeImageWithWidthGetResponse = exports.deserializeIntoImageWithWidthGetResponse = exports.createImageWithWidthGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImageWithWidthGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImageWithWidthGetResponse;
}
exports.createImageWithWidthGetResponseFromDiscriminatorValue = createImageWithWidthGetResponseFromDiscriminatorValue;
function deserializeIntoImageWithWidthGetResponse(imageWithWidthGetResponse = {}) {
    return {
        "value": n => { imageWithWidthGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoImageWithWidthGetResponse = deserializeIntoImageWithWidthGetResponse;
function serializeImageWithWidthGetResponse(writer, imageWithWidthGetResponse = {}) {
    writer.writeStringValue("value", imageWithWidthGetResponse.value);
    writer.writeAdditionalData(imageWithWidthGetResponse.additionalData);
}
exports.serializeImageWithWidthGetResponse = serializeImageWithWidthGetResponse;
/**
 * Provides operations to call the image method.
 */
class ImageWithWidthRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImageWithWidthRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param width Usage: width={width}
     */
    constructor(pathParameters, requestAdapter, width) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/image(width={width})");
        this.pathParameters["width"] = width;
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImageWithWidthGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createImageWithWidthGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imageWithWidthRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImageWithWidthRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImageWithWidthRequestBuilder = ImageWithWidthRequestBuilder;
// tslint:enable
// eslint-enable
