"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageWithWidthWithHeightRequestBuilder = exports.serializeImageWithWidthWithHeightGetResponse = exports.deserializeIntoImageWithWidthWithHeightGetResponse = exports.createImageWithWidthWithHeightGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImageWithWidthWithHeightGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImageWithWidthWithHeightGetResponse;
}
exports.createImageWithWidthWithHeightGetResponseFromDiscriminatorValue = createImageWithWidthWithHeightGetResponseFromDiscriminatorValue;
function deserializeIntoImageWithWidthWithHeightGetResponse(imageWithWidthWithHeightGetResponse = {}) {
    return {
        "value": n => { imageWithWidthWithHeightGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoImageWithWidthWithHeightGetResponse = deserializeIntoImageWithWidthWithHeightGetResponse;
function serializeImageWithWidthWithHeightGetResponse(writer, imageWithWidthWithHeightGetResponse = {}) {
    writer.writeStringValue("value", imageWithWidthWithHeightGetResponse.value);
    writer.writeAdditionalData(imageWithWidthWithHeightGetResponse.additionalData);
}
exports.serializeImageWithWidthWithHeightGetResponse = serializeImageWithWidthWithHeightGetResponse;
/**
 * Provides operations to call the image method.
 */
class ImageWithWidthWithHeightRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImageWithWidthWithHeightRequestBuilder and sets the default values.
     * @param height Usage: height={height}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param width Usage: width={width}
     */
    constructor(pathParameters, requestAdapter, height, width) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/image(width={width},height={height})");
        this.pathParameters["height"] = height;
        this.pathParameters["width"] = width;
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImageWithWidthWithHeightGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createImageWithWidthWithHeightGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imageWithWidthWithHeightRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImageWithWidthWithHeightRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImageWithWidthWithHeightRequestBuilder = ImageWithWidthWithHeightRequestBuilder;
// tslint:enable
// eslint-enable
