"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageWithWidthWithHeightWithFittingModeRequestBuilder = exports.serializeImageWithWidthWithHeightWithFittingModeGetResponse = exports.deserializeIntoImageWithWidthWithHeightWithFittingModeGetResponse = exports.createImageWithWidthWithHeightWithFittingModeGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createImageWithWidthWithHeightWithFittingModeGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImageWithWidthWithHeightWithFittingModeGetResponse;
}
exports.createImageWithWidthWithHeightWithFittingModeGetResponseFromDiscriminatorValue = createImageWithWidthWithHeightWithFittingModeGetResponseFromDiscriminatorValue;
function deserializeIntoImageWithWidthWithHeightWithFittingModeGetResponse(imageWithWidthWithHeightWithFittingModeGetResponse = {}) {
    return {
        "value": n => { imageWithWidthWithHeightWithFittingModeGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoImageWithWidthWithHeightWithFittingModeGetResponse = deserializeIntoImageWithWidthWithHeightWithFittingModeGetResponse;
function serializeImageWithWidthWithHeightWithFittingModeGetResponse(writer, imageWithWidthWithHeightWithFittingModeGetResponse = {}) {
    writer.writeStringValue("value", imageWithWidthWithHeightWithFittingModeGetResponse.value);
    writer.writeAdditionalData(imageWithWidthWithHeightWithFittingModeGetResponse.additionalData);
}
exports.serializeImageWithWidthWithHeightWithFittingModeGetResponse = serializeImageWithWidthWithHeightWithFittingModeGetResponse;
/**
 * Provides operations to call the image method.
 */
class ImageWithWidthWithHeightWithFittingModeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ImageWithWidthWithHeightWithFittingModeRequestBuilder and sets the default values.
     * @param fittingMode Usage: fittingMode='{fittingMode}'
     * @param height Usage: height={height}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param width Usage: width={width}
     */
    constructor(pathParameters, requestAdapter, fittingMode, height, width) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/image(width={width},height={height},fittingMode='{fittingMode}')");
        this.pathParameters["fittingMode"] = fittingMode;
        this.pathParameters["height"] = height;
        this.pathParameters["width"] = width;
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ImageWithWidthWithHeightWithFittingModeGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createImageWithWidthWithHeightWithFittingModeGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function image
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a imageWithWidthWithHeightWithFittingModeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ImageWithWidthWithHeightWithFittingModeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ImageWithWidthWithHeightWithFittingModeRequestBuilder = ImageWithWidthWithHeightWithFittingModeRequestBuilder;
// tslint:enable
// eslint-enable
