import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetSolidColorPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetSolidColorPostRequestBody;
export declare function deserializeIntoSetSolidColorPostRequestBody(setSolidColorPostRequestBody?: SetSolidColorPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetSolidColorPostRequestBody(writer: SerializationWriter, setSolidColorPostRequestBody?: SetSolidColorPostRequestBody | undefined): void;
export interface SetSolidColorPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
}
/**
 * Provides operations to call the setSolidColor method.
 */
export declare class SetSolidColorRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetSolidColorRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Sets the fill formatting of a chart element to a uniform color.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chartfill-setsolidcolor?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetSolidColorPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Sets the fill formatting of a chart element to a uniform color.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetSolidColorPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setSolidColorRequestBuilder
     */
    withUrl(rawUrl: string): SetSolidColorRequestBuilder;
}
