"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetSolidColorRequestBuilder = exports.serializeSetSolidColorPostRequestBody = exports.deserializeIntoSetSolidColorPostRequestBody = exports.createSetSolidColorPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetSolidColorPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetSolidColorPostRequestBody;
}
exports.createSetSolidColorPostRequestBodyFromDiscriminatorValue = createSetSolidColorPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetSolidColorPostRequestBody(setSolidColorPostRequestBody = {}) {
    return {
        "color": n => { setSolidColorPostRequestBody.color = n.getStringValue(); },
    };
}
exports.deserializeIntoSetSolidColorPostRequestBody = deserializeIntoSetSolidColorPostRequestBody;
function serializeSetSolidColorPostRequestBody(writer, setSolidColorPostRequestBody = {}) {
    writer.writeStringValue("color", setSolidColorPostRequestBody.color);
    writer.writeAdditionalData(setSolidColorPostRequestBody.additionalData);
}
exports.serializeSetSolidColorPostRequestBody = serializeSetSolidColorPostRequestBody;
/**
 * Provides operations to call the setSolidColor method.
 */
class SetSolidColorRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetSolidColorRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/series/{workbookChartSeries%2Did}/points/{workbookChartPoint%2Did}/format/fill/setSolidColor");
    }
    ;
    /**
     * Sets the fill formatting of a chart element to a uniform color.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chartfill-setsolidcolor?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Sets the fill formatting of a chart element to a uniform color.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetSolidColorPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setSolidColorRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetSolidColorRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetSolidColorRequestBuilder = SetSolidColorRequestBuilder;
// tslint:enable
// eslint-enable
