import { type Json } from '../../../../../../../../../../models/json';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetDataPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetDataPostRequestBody;
export declare function deserializeIntoSetDataPostRequestBody(setDataPostRequestBody?: SetDataPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetDataPostRequestBody(writer: SerializationWriter, setDataPostRequestBody?: SetDataPostRequestBody | undefined): void;
export interface SetDataPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The seriesBy property
     */
    seriesBy?: string;
    /**
     * The sourceData property
     */
    sourceData?: Json;
}
/**
 * Provides operations to call the setData method.
 */
export declare class SetDataRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetDataRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Resets the source data for the chart.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chart-setdata?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetDataPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Resets the source data for the chart.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetDataPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setDataRequestBuilder
     */
    withUrl(rawUrl: string): SetDataRequestBuilder;
}
