"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetDataRequestBuilder = exports.serializeSetDataPostRequestBody = exports.deserializeIntoSetDataPostRequestBody = exports.createSetDataPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetDataPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetDataPostRequestBody;
}
exports.createSetDataPostRequestBodyFromDiscriminatorValue = createSetDataPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetDataPostRequestBody(setDataPostRequestBody = {}) {
    return {
        "seriesBy": n => { setDataPostRequestBody.seriesBy = n.getStringValue(); },
        "sourceData": n => { setDataPostRequestBody.sourceData = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSetDataPostRequestBody = deserializeIntoSetDataPostRequestBody;
function serializeSetDataPostRequestBody(writer, setDataPostRequestBody = {}) {
    writer.writeStringValue("seriesBy", setDataPostRequestBody.seriesBy);
    writer.writeObjectValue("sourceData", setDataPostRequestBody.sourceData, json_1.serializeJson);
    writer.writeAdditionalData(setDataPostRequestBody.additionalData);
}
exports.serializeSetDataPostRequestBody = serializeSetDataPostRequestBody;
/**
 * Provides operations to call the setData method.
 */
class SetDataRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetDataRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/setData");
    }
    ;
    /**
     * Resets the source data for the chart.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chart-setdata?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Resets the source data for the chart.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetDataPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setDataRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetDataRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetDataRequestBuilder = SetDataRequestBuilder;
// tslint:enable
// eslint-enable
