import { type Json } from '../../../../../../../../../../models/json';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetPositionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetPositionPostRequestBody;
export declare function deserializeIntoSetPositionPostRequestBody(setPositionPostRequestBody?: SetPositionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetPositionPostRequestBody(writer: SerializationWriter, setPositionPostRequestBody?: SetPositionPostRequestBody | undefined): void;
export interface SetPositionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endCell property
     */
    endCell?: Json;
    /**
     * The startCell property
     */
    startCell?: Json;
}
/**
 * Provides operations to call the setPosition method.
 */
export declare class SetPositionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetPositionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Positions the chart relative to cells on the worksheet.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chart-setposition?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetPositionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Positions the chart relative to cells on the worksheet.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetPositionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setPositionRequestBuilder
     */
    withUrl(rawUrl: string): SetPositionRequestBuilder;
}
