"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetPositionRequestBuilder = exports.serializeSetPositionPostRequestBody = exports.deserializeIntoSetPositionPostRequestBody = exports.createSetPositionPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetPositionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetPositionPostRequestBody;
}
exports.createSetPositionPostRequestBodyFromDiscriminatorValue = createSetPositionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetPositionPostRequestBody(setPositionPostRequestBody = {}) {
    return {
        "endCell": n => { setPositionPostRequestBody.endCell = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
        "startCell": n => { setPositionPostRequestBody.startCell = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSetPositionPostRequestBody = deserializeIntoSetPositionPostRequestBody;
function serializeSetPositionPostRequestBody(writer, setPositionPostRequestBody = {}) {
    writer.writeObjectValue("endCell", setPositionPostRequestBody.endCell, json_1.serializeJson);
    writer.writeObjectValue("startCell", setPositionPostRequestBody.startCell, json_1.serializeJson);
    writer.writeAdditionalData(setPositionPostRequestBody.additionalData);
}
exports.serializeSetPositionPostRequestBody = serializeSetPositionPostRequestBody;
/**
 * Provides operations to call the setPosition method.
 */
class SetPositionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetPositionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/charts/{workbookChart%2Did}/setPosition");
    }
    ;
    /**
     * Positions the chart relative to cells on the worksheet.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chart-setposition?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Positions the chart relative to cells on the worksheet.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetPositionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setPositionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetPositionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetPositionRequestBuilder = SetPositionRequestBuilder;
// tslint:enable
// eslint-enable
