import { type WorkbookNamedItem } from '../../../../../../../../../models/workbookNamedItem';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddFormulaLocalPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The comment property
     */
    comment?: string;
    /**
     * The formula property
     */
    formula?: string;
    /**
     * The name property
     */
    name?: string;
}
export declare function createAddFormulaLocalPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddFormulaLocalPostRequestBody;
export declare function deserializeIntoAddFormulaLocalPostRequestBody(addFormulaLocalPostRequestBody?: AddFormulaLocalPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddFormulaLocalPostRequestBody(writer: SerializationWriter, addFormulaLocalPostRequestBody?: AddFormulaLocalPostRequestBody | undefined): void;
/**
 * Provides operations to call the addFormulaLocal method.
 */
export declare class AddFormulaLocalRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AddFormulaLocalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Adds a new name to the collection of the given scope using the user's locale for the formula.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookNamedItem
     * @see {@link https://learn.microsoft.com/graph/api/nameditem-addformulalocal?view=graph-rest-1.0|Find more info here}
     */
    post(body: AddFormulaLocalPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<WorkbookNamedItem | undefined>;
    /**
     * Adds a new name to the collection of the given scope using the user's locale for the formula.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddFormulaLocalPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addFormulaLocalRequestBuilder
     */
    withUrl(rawUrl: string): AddFormulaLocalRequestBuilder;
}
