import { type WorkbookWorksheetProtectionOptions } from '../../../../../../../../../models/workbookWorksheetProtectionOptions';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProtectPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProtectPostRequestBody;
export declare function deserializeIntoProtectPostRequestBody(protectPostRequestBody?: ProtectPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProtectPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The options property
     */
    options?: WorkbookWorksheetProtectionOptions;
}
export declare function serializeProtectPostRequestBody(writer: SerializationWriter, protectPostRequestBody?: ProtectPostRequestBody | undefined): void;
/**
 * Provides operations to call the protect method.
 */
export declare class ProtectRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ProtectRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Protect a worksheet. It throws if the worksheet has been protected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/worksheetprotection-protect?view=graph-rest-1.0|Find more info here}
     */
    post(body: ProtectPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Protect a worksheet. It throws if the worksheet has been protected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ProtectPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a protectRequestBuilder
     */
    withUrl(rawUrl: string): ProtectRequestBuilder;
}
