"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProtectRequestBuilder = exports.serializeProtectPostRequestBody = exports.deserializeIntoProtectPostRequestBody = exports.createProtectPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const workbookWorksheetProtectionOptions_1 = require("../../../../../../../../../models/workbookWorksheetProtectionOptions");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createProtectPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProtectPostRequestBody;
}
exports.createProtectPostRequestBodyFromDiscriminatorValue = createProtectPostRequestBodyFromDiscriminatorValue;
function deserializeIntoProtectPostRequestBody(protectPostRequestBody = {}) {
    return {
        "options": n => { protectPostRequestBody.options = n.getObjectValue(workbookWorksheetProtectionOptions_1.createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue); },
    };
}
exports.deserializeIntoProtectPostRequestBody = deserializeIntoProtectPostRequestBody;
function serializeProtectPostRequestBody(writer, protectPostRequestBody = {}) {
    writer.writeObjectValue("options", protectPostRequestBody.options, workbookWorksheetProtectionOptions_1.serializeWorkbookWorksheetProtectionOptions);
    writer.writeAdditionalData(protectPostRequestBody.additionalData);
}
exports.serializeProtectPostRequestBody = serializeProtectPostRequestBody;
/**
 * Provides operations to call the protect method.
 */
class ProtectRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ProtectRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/protection/protect");
    }
    ;
    /**
     * Protect a worksheet. It throws if the worksheet has been protected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/worksheetprotection-protect?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Protect a worksheet. It throws if the worksheet has been protected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeProtectPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a protectRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ProtectRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ProtectRequestBuilder = ProtectRequestBuilder;
// tslint:enable
// eslint-enable
