"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddRequestBuilder = exports.serializeAddPostRequestBody = exports.deserializeIntoAddPostRequestBody = exports.createAddPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const workbookTable_1 = require("../../../../../../../../../models/workbookTable");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddPostRequestBody;
}
exports.createAddPostRequestBodyFromDiscriminatorValue = createAddPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddPostRequestBody(addPostRequestBody = {}) {
    return {
        "address": n => { addPostRequestBody.address = n.getStringValue(); },
        "hasHeaders": n => { addPostRequestBody.hasHeaders = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAddPostRequestBody = deserializeIntoAddPostRequestBody;
function serializeAddPostRequestBody(writer, addPostRequestBody = {}) {
    writer.writeStringValue("address", addPostRequestBody.address);
    writer.writeBooleanValue("hasHeaders", addPostRequestBody.hasHeaders);
    writer.writeAdditionalData(addPostRequestBody.additionalData);
}
exports.serializeAddPostRequestBody = serializeAddPostRequestBody;
/**
 * Provides operations to call the add method.
 */
class AddRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/tables/add");
    }
    ;
    /**
     * Use this API to create a new Table.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookTable
     * @see {@link https://learn.microsoft.com/graph/api/workbook-post-tables?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookTable_1.createWorkbookTableFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Use this API to create a new Table.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddRequestBuilder = AddRequestBuilder;
// tslint:enable
// eslint-enable
