import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CountGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: number;
}
export declare function createCountGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountGetResponse;
export declare function deserializeIntoCountGetResponse(countGetResponse?: CountGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCountGetResponse(writer: SerializationWriter, countGetResponse?: CountGetResponse | undefined): void;
/**
 * Provides operations to call the count method.
 */
export declare class CountRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CountRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function count
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CountGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<CountGetResponse | undefined>;
    /**
     * Invoke function count
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a countRequestBuilder
     */
    withUrl(rawUrl: string): CountRequestBuilder;
}
