import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyCustomFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The criteria1 property
     */
    criteria1?: string;
    /**
     * The criteria2 property
     */
    criteria2?: string;
    /**
     * The oper property
     */
    oper?: string;
}
export declare function createApplyCustomFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyCustomFilterPostRequestBody;
export declare function deserializeIntoApplyCustomFilterPostRequestBody(applyCustomFilterPostRequestBody?: ApplyCustomFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyCustomFilterPostRequestBody(writer: SerializationWriter, applyCustomFilterPostRequestBody?: ApplyCustomFilterPostRequestBody | undefined): void;
/**
 * Provides operations to call the applyCustomFilter method.
 */
export declare class ApplyCustomFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyCustomFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyCustomFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyCustomFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyCustomFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyCustomFilterRequestBuilder;
}
