"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyCustomFilterRequestBuilder = exports.serializeApplyCustomFilterPostRequestBody = exports.deserializeIntoApplyCustomFilterPostRequestBody = exports.createApplyCustomFilterPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyCustomFilterPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyCustomFilterPostRequestBody;
}
exports.createApplyCustomFilterPostRequestBodyFromDiscriminatorValue = createApplyCustomFilterPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyCustomFilterPostRequestBody(applyCustomFilterPostRequestBody = {}) {
    return {
        "criteria1": n => { applyCustomFilterPostRequestBody.criteria1 = n.getStringValue(); },
        "criteria2": n => { applyCustomFilterPostRequestBody.criteria2 = n.getStringValue(); },
        "oper": n => { applyCustomFilterPostRequestBody.oper = n.getStringValue(); },
    };
}
exports.deserializeIntoApplyCustomFilterPostRequestBody = deserializeIntoApplyCustomFilterPostRequestBody;
function serializeApplyCustomFilterPostRequestBody(writer, applyCustomFilterPostRequestBody = {}) {
    writer.writeStringValue("criteria1", applyCustomFilterPostRequestBody.criteria1);
    writer.writeStringValue("criteria2", applyCustomFilterPostRequestBody.criteria2);
    writer.writeStringValue("oper", applyCustomFilterPostRequestBody.oper);
    writer.writeAdditionalData(applyCustomFilterPostRequestBody.additionalData);
}
exports.serializeApplyCustomFilterPostRequestBody = serializeApplyCustomFilterPostRequestBody;
/**
 * Provides operations to call the applyCustomFilter method.
 */
class ApplyCustomFilterRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyCustomFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/tables/{workbookTable%2Did}/columns/{workbookTableColumn%2Did}/filter/applyCustomFilter");
    }
    ;
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action applyCustomFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyCustomFilterPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyCustomFilterRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyCustomFilterRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyCustomFilterRequestBuilder = ApplyCustomFilterRequestBuilder;
// tslint:enable
// eslint-enable
