"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyFontColorFilterRequestBuilder = exports.serializeApplyFontColorFilterPostRequestBody = exports.deserializeIntoApplyFontColorFilterPostRequestBody = exports.createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyFontColorFilterPostRequestBody;
}
exports.createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue = createApplyFontColorFilterPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyFontColorFilterPostRequestBody(applyFontColorFilterPostRequestBody = {}) {
    return {
        "color": n => { applyFontColorFilterPostRequestBody.color = n.getStringValue(); },
    };
}
exports.deserializeIntoApplyFontColorFilterPostRequestBody = deserializeIntoApplyFontColorFilterPostRequestBody;
function serializeApplyFontColorFilterPostRequestBody(writer, applyFontColorFilterPostRequestBody = {}) {
    writer.writeStringValue("color", applyFontColorFilterPostRequestBody.color);
    writer.writeAdditionalData(applyFontColorFilterPostRequestBody.additionalData);
}
exports.serializeApplyFontColorFilterPostRequestBody = serializeApplyFontColorFilterPostRequestBody;
/**
 * Provides operations to call the applyFontColorFilter method.
 */
class ApplyFontColorFilterRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyFontColorFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/tables/{workbookTable%2Did}/columns/{workbookTableColumn%2Did}/filter/applyFontColorFilter");
    }
    ;
    /**
     * Invoke action applyFontColorFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action applyFontColorFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyFontColorFilterPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyFontColorFilterRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyFontColorFilterRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyFontColorFilterRequestBuilder = ApplyFontColorFilterRequestBuilder;
// tslint:enable
// eslint-enable
