import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyTopItemsFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The count property
     */
    count?: number;
}
export declare function createApplyTopItemsFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyTopItemsFilterPostRequestBody;
export declare function deserializeIntoApplyTopItemsFilterPostRequestBody(applyTopItemsFilterPostRequestBody?: ApplyTopItemsFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyTopItemsFilterPostRequestBody(writer: SerializationWriter, applyTopItemsFilterPostRequestBody?: ApplyTopItemsFilterPostRequestBody | undefined): void;
/**
 * Provides operations to call the applyTopItemsFilter method.
 */
export declare class ApplyTopItemsFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyTopItemsFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyTopItemsFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyTopItemsFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action applyTopItemsFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyTopItemsFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyTopItemsFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyTopItemsFilterRequestBuilder;
}
