import { type Json } from '../../../../../../../../../../../../../models/json';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplyValuesFilterPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The values property
     */
    values?: Json;
}
export declare function createApplyValuesFilterPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplyValuesFilterPostRequestBody;
export declare function deserializeIntoApplyValuesFilterPostRequestBody(applyValuesFilterPostRequestBody?: ApplyValuesFilterPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplyValuesFilterPostRequestBody(writer: SerializationWriter, applyValuesFilterPostRequestBody?: ApplyValuesFilterPostRequestBody | undefined): void;
/**
 * Provides operations to call the applyValuesFilter method.
 */
export declare class ApplyValuesFilterRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ApplyValuesFilterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action applyValuesFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: ApplyValuesFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action applyValuesFilter
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ApplyValuesFilterPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyValuesFilterRequestBuilder
     */
    withUrl(rawUrl: string): ApplyValuesFilterRequestBuilder;
}
