"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddRequestBuilder = exports.serializeAddPostRequestBody = exports.deserializeIntoAddPostRequestBody = exports.createAddPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const json_1 = require("../../../../../../../../../../../models/json");
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const workbookTableRow_1 = require("../../../../../../../../../../../models/workbookTableRow");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddPostRequestBody;
}
exports.createAddPostRequestBodyFromDiscriminatorValue = createAddPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddPostRequestBody(addPostRequestBody = {}) {
    return {
        "index": n => { addPostRequestBody.index = n.getNumberValue(); },
        "values": n => { addPostRequestBody.values = n.getObjectValue(json_1.createJsonFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAddPostRequestBody = deserializeIntoAddPostRequestBody;
function serializeAddPostRequestBody(writer, addPostRequestBody = {}) {
    writer.writeNumberValue("index", addPostRequestBody.index);
    writer.writeObjectValue("values", addPostRequestBody.values, json_1.serializeJson);
    writer.writeAdditionalData(addPostRequestBody.additionalData);
}
exports.serializeAddPostRequestBody = serializeAddPostRequestBody;
/**
 * Provides operations to call the add method.
 */
class AddRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/tables/{workbookTable%2Did}/rows/add");
    }
    ;
    /**
     * Adds rows to the end of the table. Note that the API can accept multiple rows data using this API. Adding one row at a time could lead to performance degradation. The recommended approach would be to batch the rows together in a single call rather than doing single row insertion. For best results, collect the rows to be inserted on the application side and perform single rows add operation. Experiment with the number of rows to determine the ideal number of rows to use in single API call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookTableRow
     * @see {@link https://learn.microsoft.com/graph/api/tablerowcollection-add?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookTableRow_1.createWorkbookTableRowFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Adds rows to the end of the table. Note that the API can accept multiple rows data using this API. Adding one row at a time could lead to performance degradation. The recommended approach would be to batch the rows together in a single call rather than doing single row insertion. For best results, collect the rows to be inserted on the application side and perform single rows add operation. Experiment with the number of rows to determine the ideal number of rows to use in single API call.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddRequestBuilder = AddRequestBuilder;
// tslint:enable
// eslint-enable
