"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplyRequestBuilder = exports.serializeApplyPostRequestBody = exports.deserializeIntoApplyPostRequestBody = exports.createApplyPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const workbookSortField_1 = require("../../../../../../../../../../../models/workbookSortField");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyPostRequestBody;
}
exports.createApplyPostRequestBodyFromDiscriminatorValue = createApplyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyPostRequestBody(applyPostRequestBody = {}) {
    return {
        "fields": n => { applyPostRequestBody.fields = n.getCollectionOfObjectValues(workbookSortField_1.createWorkbookSortFieldFromDiscriminatorValue); },
        "matchCase": n => { applyPostRequestBody.matchCase = n.getBooleanValue(); },
        "method": n => { applyPostRequestBody.method = n.getStringValue(); },
    };
}
exports.deserializeIntoApplyPostRequestBody = deserializeIntoApplyPostRequestBody;
function serializeApplyPostRequestBody(writer, applyPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("fields", applyPostRequestBody.fields, workbookSortField_1.serializeWorkbookSortField);
    writer.writeBooleanValue("matchCase", applyPostRequestBody.matchCase);
    writer.writeStringValue("method", applyPostRequestBody.method);
    writer.writeAdditionalData(applyPostRequestBody.additionalData);
}
exports.serializeApplyPostRequestBody = serializeApplyPostRequestBody;
/**
 * Provides operations to call the apply method.
 */
class ApplyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ApplyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/worksheets/{workbookWorksheet%2Did}/tables/{workbookTable%2Did}/sort/apply");
    }
    ;
    /**
     * Perform a sort operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/tablesort-apply?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Perform a sort operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a applyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ApplyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ApplyRequestBuilder = ApplyRequestBuilder;
// tslint:enable
// eslint-enable
