"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddCopyFromContentTypeHubRequestBuilder = exports.serializeAddCopyFromContentTypeHubPostRequestBody = exports.deserializeIntoAddCopyFromContentTypeHubPostRequestBody = exports.createAddCopyFromContentTypeHubPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const contentType_1 = require("../../../../../models/contentType");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddCopyFromContentTypeHubPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddCopyFromContentTypeHubPostRequestBody;
}
exports.createAddCopyFromContentTypeHubPostRequestBodyFromDiscriminatorValue = createAddCopyFromContentTypeHubPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddCopyFromContentTypeHubPostRequestBody(addCopyFromContentTypeHubPostRequestBody = {}) {
    return {
        "contentTypeId": n => { addCopyFromContentTypeHubPostRequestBody.contentTypeId = n.getStringValue(); },
    };
}
exports.deserializeIntoAddCopyFromContentTypeHubPostRequestBody = deserializeIntoAddCopyFromContentTypeHubPostRequestBody;
function serializeAddCopyFromContentTypeHubPostRequestBody(writer, addCopyFromContentTypeHubPostRequestBody = {}) {
    writer.writeStringValue("contentTypeId", addCopyFromContentTypeHubPostRequestBody.contentTypeId);
    writer.writeAdditionalData(addCopyFromContentTypeHubPostRequestBody.additionalData);
}
exports.serializeAddCopyFromContentTypeHubPostRequestBody = serializeAddCopyFromContentTypeHubPostRequestBody;
/**
 * Provides operations to call the addCopyFromContentTypeHub method.
 */
class AddCopyFromContentTypeHubRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddCopyFromContentTypeHubRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/list/contentTypes/addCopyFromContentTypeHub");
    }
    ;
    /**
     * Add or sync a copy of a published content type from the content type hub to a target site or a list. This method is part of the content type publishing changes to optimize the syncing of published content types to sites and lists, effectively switching from a 'push everywhere' to 'pull as needed' approach. The method allows users to pull content types directly from the content type hub to a site or list. For more information, see contentType: getCompatibleHubContentTypes and the blog post Syntex Product Updates – August 2021.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ContentType
     * @see {@link https://learn.microsoft.com/graph/api/contenttype-addcopyfromcontenttypehub?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, contentType_1.createContentTypeFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add or sync a copy of a published content type from the content type hub to a target site or a list. This method is part of the content type publishing changes to optimize the syncing of published content types to sites and lists, effectively switching from a 'push everywhere' to 'pull as needed' approach. The method allows users to pull content types directly from the content type hub to a site or list. For more information, see contentType: getCompatibleHubContentTypes and the blog post Syntex Product Updates – August 2021.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddCopyFromContentTypeHubPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addCopyFromContentTypeHubRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddCopyFromContentTypeHubRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddCopyFromContentTypeHubRequestBuilder = AddCopyFromContentTypeHubRequestBuilder;
// tslint:enable
// eslint-enable
