"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssociateWithHubSitesRequestBuilder = exports.serializeAssociateWithHubSitesPostRequestBody = exports.deserializeIntoAssociateWithHubSitesPostRequestBody = exports.createAssociateWithHubSitesPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAssociateWithHubSitesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssociateWithHubSitesPostRequestBody;
}
exports.createAssociateWithHubSitesPostRequestBodyFromDiscriminatorValue = createAssociateWithHubSitesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAssociateWithHubSitesPostRequestBody(associateWithHubSitesPostRequestBody = {}) {
    return {
        "hubSiteUrls": n => { associateWithHubSitesPostRequestBody.hubSiteUrls = n.getCollectionOfPrimitiveValues(); },
        "propagateToExistingLists": n => { associateWithHubSitesPostRequestBody.propagateToExistingLists = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAssociateWithHubSitesPostRequestBody = deserializeIntoAssociateWithHubSitesPostRequestBody;
function serializeAssociateWithHubSitesPostRequestBody(writer, associateWithHubSitesPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("hubSiteUrls", associateWithHubSitesPostRequestBody.hubSiteUrls);
    writer.writeBooleanValue("propagateToExistingLists", associateWithHubSitesPostRequestBody.propagateToExistingLists);
    writer.writeAdditionalData(associateWithHubSitesPostRequestBody.additionalData);
}
exports.serializeAssociateWithHubSitesPostRequestBody = serializeAssociateWithHubSitesPostRequestBody;
/**
 * Provides operations to call the associateWithHubSites method.
 */
class AssociateWithHubSitesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AssociateWithHubSitesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/list/contentTypes/{contentType%2Did}/associateWithHubSites");
    }
    ;
    /**
     * Associate a published [content type][contentType] present in a content type hub with a list of hub sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/contenttype-associatewithhubsites?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Associate a published [content type][contentType] present in a content type hub with a list of hub sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAssociateWithHubSitesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a associateWithHubSitesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AssociateWithHubSitesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AssociateWithHubSitesRequestBuilder = AssociateWithHubSitesRequestBuilder;
// tslint:enable
// eslint-enable
