"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecentRequestBuilder = exports.serializeRecentGetResponse = exports.deserializeIntoRecentGetResponse = exports.createRecentGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const driveItem_1 = require("../../../models/driveItem");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRecentGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRecentGetResponse;
}
exports.createRecentGetResponseFromDiscriminatorValue = createRecentGetResponseFromDiscriminatorValue;
function deserializeIntoRecentGetResponse(recentGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(recentGetResponse)), { "value": n => { recentGetResponse.value = n.getCollectionOfObjectValues(driveItem_1.createDriveItemFromDiscriminatorValue); } });
}
exports.deserializeIntoRecentGetResponse = deserializeIntoRecentGetResponse;
function serializeRecentGetResponse(writer, recentGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, recentGetResponse);
    writer.writeCollectionOfObjectValues("value", recentGetResponse.value, driveItem_1.serializeDriveItem);
}
exports.serializeRecentGetResponse = serializeRecentGetResponse;
/**
 * Provides operations to call the recent method.
 */
class RecentRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RecentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/recent(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function recent
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RecentGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createRecentGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function recent
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, recentRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a recentRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RecentRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RecentRequestBuilder = RecentRequestBuilder;
const recentRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
