import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DriveItem } from '../../../models/driveItem';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchWithQGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchWithQGetResponse;
export declare function deserializeIntoSearchWithQGetResponse(searchWithQGetResponse?: SearchWithQGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchWithQGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export interface SearchWithQRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeSearchWithQGetResponse(writer: SerializationWriter, searchWithQGetResponse?: SearchWithQGetResponse | undefined): void;
/**
 * Provides operations to call the search method.
 */
export declare class SearchWithQRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SearchWithQRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param q Usage: q='{q}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, q?: string | undefined);
    /**
     * Invoke function search
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SearchWithQGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<SearchWithQRequestBuilderGetQueryParameters> | undefined): Promise<SearchWithQGetResponse | undefined>;
    /**
     * Invoke function search
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<SearchWithQRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a searchWithQRequestBuilder
     */
    withUrl(rawUrl: string): SearchWithQRequestBuilder;
}
