import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type DriveItem } from '../../../models/driveItem';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedWithMeGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedWithMeGetResponse;
export declare function deserializeIntoSharedWithMeGetResponse(sharedWithMeGetResponse?: SharedWithMeGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedWithMeGetResponse(writer: SerializationWriter, sharedWithMeGetResponse?: SharedWithMeGetResponse | undefined): void;
export interface SharedWithMeGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export interface SharedWithMeRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to call the sharedWithMe method.
 */
export declare class SharedWithMeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SharedWithMeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function sharedWithMe
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SharedWithMeGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<SharedWithMeRequestBuilderGetQueryParameters> | undefined): Promise<SharedWithMeGetResponse | undefined>;
    /**
     * Invoke function sharedWithMe
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<SharedWithMeRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sharedWithMeRequestBuilder
     */
    withUrl(rawUrl: string): SharedWithMeRequestBuilder;
}
