"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedWithMeRequestBuilder = exports.serializeSharedWithMeGetResponse = exports.deserializeIntoSharedWithMeGetResponse = exports.createSharedWithMeGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const driveItem_1 = require("../../../models/driveItem");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSharedWithMeGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSharedWithMeGetResponse;
}
exports.createSharedWithMeGetResponseFromDiscriminatorValue = createSharedWithMeGetResponseFromDiscriminatorValue;
function deserializeIntoSharedWithMeGetResponse(sharedWithMeGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(sharedWithMeGetResponse)), { "value": n => { sharedWithMeGetResponse.value = n.getCollectionOfObjectValues(driveItem_1.createDriveItemFromDiscriminatorValue); } });
}
exports.deserializeIntoSharedWithMeGetResponse = deserializeIntoSharedWithMeGetResponse;
function serializeSharedWithMeGetResponse(writer, sharedWithMeGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, sharedWithMeGetResponse);
    writer.writeCollectionOfObjectValues("value", sharedWithMeGetResponse.value, driveItem_1.serializeDriveItem);
}
exports.serializeSharedWithMeGetResponse = serializeSharedWithMeGetResponse;
/**
 * Provides operations to call the sharedWithMe method.
 */
class SharedWithMeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SharedWithMeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/sharedWithMe(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function sharedWithMe
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SharedWithMeGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSharedWithMeGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function sharedWithMe
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, sharedWithMeRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sharedWithMeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SharedWithMeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SharedWithMeRequestBuilder = SharedWithMeRequestBuilder;
const sharedWithMeRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
