import { type BaseCollectionPaginationCountResponse } from '../../../../../../models/baseCollectionPaginationCountResponse';
import { type ExternalActivity } from '../../../../../../models/externalConnectors/externalActivity';
import { type ExternalActivityResult } from '../../../../../../models/externalConnectors/externalActivityResult';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddActivitiesPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * The activities property
     */
    activities?: ExternalActivity[];
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
}
export interface AddActivitiesPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalActivityResult[];
}
export declare function createAddActivitiesPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddActivitiesPostRequestBody;
export declare function createAddActivitiesPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddActivitiesPostResponse;
export declare function deserializeIntoAddActivitiesPostRequestBody(addActivitiesPostRequestBody?: AddActivitiesPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoAddActivitiesPostResponse(addActivitiesPostResponse?: AddActivitiesPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddActivitiesPostRequestBody(writer: SerializationWriter, addActivitiesPostRequestBody?: AddActivitiesPostRequestBody | undefined): void;
export declare function serializeAddActivitiesPostResponse(writer: SerializationWriter, addActivitiesPostResponse?: AddActivitiesPostResponse | undefined): void;
/**
 * Provides operations to call the addActivities method.
 */
export declare class MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action addActivities
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddActivitiesPostResponse
     */
    post(body: AddActivitiesPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AddActivitiesPostResponse | undefined>;
    /**
     * Invoke action addActivities
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddActivitiesPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphExternalConnectorsAddActivitiesRequestBuilder
     */
    withUrl(rawUrl: string): MicrosoftGraphExternalConnectorsAddActivitiesRequestBuilder;
}
