import { AdminRequestBuilder } from './admin/';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/';
import { AgreementsRequestBuilder } from './agreements/';
import { AppCatalogsRequestBuilder } from './appCatalogs/';
import { ApplicationsRequestBuilder } from './applications/';
import { ApplicationsWithAppIdRequestBuilder } from './applicationsWithAppId/';
import { ApplicationTemplatesRequestBuilder } from './applicationTemplates/';
import { AuditLogsRequestBuilder } from './auditLogs/';
import { AuthenticationMethodConfigurationsRequestBuilder } from './authenticationMethodConfigurations/';
import { AuthenticationMethodsPolicyRequestBuilder } from './authenticationMethodsPolicy/';
import { CertificateBasedAuthConfigurationRequestBuilder } from './certificateBasedAuthConfiguration/';
import { ChatsRequestBuilder } from './chats/';
import { CommunicationsRequestBuilder } from './communications/';
import { ComplianceRequestBuilder } from './compliance/';
import { ConnectionsRequestBuilder } from './connections/';
import { ContactsRequestBuilder } from './contacts/';
import { ContractsRequestBuilder } from './contracts/';
import { DataPolicyOperationsRequestBuilder } from './dataPolicyOperations/';
import { DeviceAppManagementRequestBuilder } from './deviceAppManagement/';
import { DeviceManagementRequestBuilder } from './deviceManagement/';
import { DevicesRequestBuilder } from './devices/';
import { DevicesWithDeviceIdRequestBuilder } from './devicesWithDeviceId/';
import { DirectoryRequestBuilder } from './directory/';
import { DirectoryObjectsRequestBuilder } from './directoryObjects/';
import { DirectoryRolesRequestBuilder } from './directoryRoles/';
import { DirectoryRolesWithRoleTemplateIdRequestBuilder } from './directoryRolesWithRoleTemplateId/';
import { DirectoryRoleTemplatesRequestBuilder } from './directoryRoleTemplates/';
import { DomainDnsRecordsRequestBuilder } from './domainDnsRecords/';
import { DomainsRequestBuilder } from './domains/';
import { DrivesRequestBuilder } from './drives/';
import { EducationRequestBuilder } from './education/';
import { EmployeeExperienceRequestBuilder } from './employeeExperience/';
import { ExternalRequestBuilder } from './external/';
import { FilterOperatorsRequestBuilder } from './filterOperators/';
import { FunctionsRequestBuilder } from './functions/';
import { GroupLifecyclePoliciesRequestBuilder } from './groupLifecyclePolicies/';
import { GroupsRequestBuilder } from './groups/';
import { GroupSettingsRequestBuilder } from './groupSettings/';
import { GroupSettingTemplatesRequestBuilder } from './groupSettingTemplates/';
import { IdentityRequestBuilder } from './identity/';
import { IdentityGovernanceRequestBuilder } from './identityGovernance/';
import { IdentityProtectionRequestBuilder } from './identityProtection/';
import { IdentityProvidersRequestBuilder } from './identityProviders/';
import { InformationProtectionRequestBuilder } from './informationProtection/';
import { InvitationsRequestBuilder } from './invitations/';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/';
import { OrganizationRequestBuilder } from './organization/';
import { PermissionGrantsRequestBuilder } from './permissionGrants/';
import { PlacesRequestBuilder } from './places/';
import { PlannerRequestBuilder } from './planner/';
import { PoliciesRequestBuilder } from './policies/';
import { PrintRequestBuilder } from './print/';
import { PrivacyRequestBuilder } from './privacy/';
import { ReportsRequestBuilder } from './reports/';
import { RoleManagementRequestBuilder } from './roleManagement/';
import { SchemaExtensionsRequestBuilder } from './schemaExtensions/';
import { ScopedRoleMembershipsRequestBuilder } from './scopedRoleMemberships/';
import { SearchRequestBuilder } from './search/';
import { SecurityRequestBuilder } from './security/';
import { ServicePrincipalsRequestBuilder } from './servicePrincipals/';
import { ServicePrincipalsWithAppIdRequestBuilder } from './servicePrincipalsWithAppId/';
import { SharesRequestBuilder } from './shares/';
import { SitesRequestBuilder } from './sites/';
import { SolutionsRequestBuilder } from './solutions/';
import { SubscribedSkusRequestBuilder } from './subscribedSkus/';
import { SubscriptionsRequestBuilder } from './subscriptions/';
import { TeamsRequestBuilder } from './teams/';
import { TeamsTemplatesRequestBuilder } from './teamsTemplates/';
import { TeamworkRequestBuilder } from './teamwork/';
import { TenantRelationshipsRequestBuilder } from './tenantRelationships/';
import { UsersRequestBuilder } from './users/';
import { BaseRequestBuilder, type RequestAdapter } from '@microsoft/kiota-abstractions';
/**
 * The main entry point of the SDK, exposes the configuration and the fluent API.
 */
export declare class GraphBaseServiceClient extends BaseRequestBuilder {
    /**
     * Provides operations to manage the admin singleton.
     */
    get admin(): AdminRequestBuilder;
    /**
     * Provides operations to manage the collection of agreementAcceptance entities.
     */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /**
     * Provides operations to manage the collection of agreement entities.
     */
    get agreements(): AgreementsRequestBuilder;
    /**
     * Provides operations to manage the appCatalogs singleton.
     */
    get appCatalogs(): AppCatalogsRequestBuilder;
    /**
     * Provides operations to manage the collection of application entities.
     */
    get applications(): ApplicationsRequestBuilder;
    /**
     * Provides operations to manage the collection of applicationTemplate entities.
     */
    get applicationTemplates(): ApplicationTemplatesRequestBuilder;
    /**
     * Provides operations to manage the auditLogRoot singleton.
     */
    get auditLogs(): AuditLogsRequestBuilder;
    /**
     * Provides operations to manage the collection of authenticationMethodConfiguration entities.
     */
    get authenticationMethodConfigurations(): AuthenticationMethodConfigurationsRequestBuilder;
    /**
     * Provides operations to manage the authenticationMethodsPolicy singleton.
     */
    get authenticationMethodsPolicy(): AuthenticationMethodsPolicyRequestBuilder;
    /**
     * Provides operations to manage the collection of certificateBasedAuthConfiguration entities.
     */
    get certificateBasedAuthConfiguration(): CertificateBasedAuthConfigurationRequestBuilder;
    /**
     * Provides operations to manage the collection of chat entities.
     */
    get chats(): ChatsRequestBuilder;
    /**
     * Provides operations to manage the cloudCommunications singleton.
     */
    get communications(): CommunicationsRequestBuilder;
    /**
     * Provides operations to manage the compliance singleton.
     */
    get compliance(): ComplianceRequestBuilder;
    /**
     * Provides operations to manage the collection of externalConnection entities.
     */
    get connections(): ConnectionsRequestBuilder;
    /**
     * Provides operations to manage the collection of orgContact entities.
     */
    get contacts(): ContactsRequestBuilder;
    /**
     * Provides operations to manage the collection of contract entities.
     */
    get contracts(): ContractsRequestBuilder;
    /**
     * Provides operations to manage the collection of dataPolicyOperation entities.
     */
    get dataPolicyOperations(): DataPolicyOperationsRequestBuilder;
    /**
     * Provides operations to manage the deviceAppManagement singleton.
     */
    get deviceAppManagement(): DeviceAppManagementRequestBuilder;
    /**
     * Provides operations to manage the deviceManagement singleton.
     */
    get deviceManagement(): DeviceManagementRequestBuilder;
    /**
     * Provides operations to manage the collection of device entities.
     */
    get devices(): DevicesRequestBuilder;
    /**
     * Provides operations to manage the directory singleton.
     */
    get directory(): DirectoryRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryObject entities.
     */
    get directoryObjects(): DirectoryObjectsRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRole entities.
     */
    get directoryRoles(): DirectoryRolesRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRoleTemplate entities.
     */
    get directoryRoleTemplates(): DirectoryRoleTemplatesRequestBuilder;
    /**
     * Provides operations to manage the collection of domainDnsRecord entities.
     */
    get domainDnsRecords(): DomainDnsRecordsRequestBuilder;
    /**
     * Provides operations to manage the collection of domain entities.
     */
    get domains(): DomainsRequestBuilder;
    /**
     * Provides operations to manage the collection of drive entities.
     */
    get drives(): DrivesRequestBuilder;
    /**
     * Provides operations to manage the educationRoot singleton.
     */
    get education(): EducationRequestBuilder;
    /**
     * Provides operations to manage the employeeExperience singleton.
     */
    get employeeExperience(): EmployeeExperienceRequestBuilder;
    /**
     * Provides operations to manage the external singleton.
     */
    get external(): ExternalRequestBuilder;
    /**
     * Provides operations to manage the collection of filterOperatorSchema entities.
     */
    get filterOperators(): FilterOperatorsRequestBuilder;
    /**
     * Provides operations to manage the collection of attributeMappingFunctionSchema entities.
     */
    get functions(): FunctionsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupLifecyclePolicy entities.
     */
    get groupLifecyclePolicies(): GroupLifecyclePoliciesRequestBuilder;
    /**
     * Provides operations to manage the collection of group entities.
     */
    get groups(): GroupsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupSetting entities.
     */
    get groupSettings(): GroupSettingsRequestBuilder;
    /**
     * Provides operations to manage the collection of groupSettingTemplate entities.
     */
    get groupSettingTemplates(): GroupSettingTemplatesRequestBuilder;
    /**
     * Provides operations to manage the identityContainer singleton.
     */
    get identity(): IdentityRequestBuilder;
    /**
     * Provides operations to manage the identityGovernance singleton.
     */
    get identityGovernance(): IdentityGovernanceRequestBuilder;
    /**
     * Provides operations to manage the identityProtectionRoot singleton.
     */
    get identityProtection(): IdentityProtectionRequestBuilder;
    /**
     * Provides operations to manage the collection of identityProvider entities.
     */
    get identityProviders(): IdentityProvidersRequestBuilder;
    /**
     * Provides operations to manage the informationProtection singleton.
     */
    get informationProtection(): InformationProtectionRequestBuilder;
    /**
     * Provides operations to manage the collection of invitation entities.
     */
    get invitations(): InvitationsRequestBuilder;
    /**
     * Provides operations to manage the collection of oAuth2PermissionGrant entities.
     */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the collection of organization entities.
     */
    get organization(): OrganizationRequestBuilder;
    /**
     * Provides operations to manage the collection of resourceSpecificPermissionGrant entities.
     */
    get permissionGrants(): PermissionGrantsRequestBuilder;
    /**
     * The places property
     */
    get places(): PlacesRequestBuilder;
    /**
     * Provides operations to manage the planner singleton.
     */
    get planner(): PlannerRequestBuilder;
    /**
     * Provides operations to manage the policyRoot singleton.
     */
    get policies(): PoliciesRequestBuilder;
    /**
     * Provides operations to manage the print singleton.
     */
    get print(): PrintRequestBuilder;
    /**
     * Provides operations to manage the privacy singleton.
     */
    get privacy(): PrivacyRequestBuilder;
    /**
     * Provides operations to manage the reportRoot singleton.
     */
    get reports(): ReportsRequestBuilder;
    /**
     * Provides operations to manage the roleManagement singleton.
     */
    get roleManagement(): RoleManagementRequestBuilder;
    /**
     * Provides operations to manage the collection of schemaExtension entities.
     */
    get schemaExtensions(): SchemaExtensionsRequestBuilder;
    /**
     * Provides operations to manage the collection of scopedRoleMembership entities.
     */
    get scopedRoleMemberships(): ScopedRoleMembershipsRequestBuilder;
    /**
     * Provides operations to manage the searchEntity singleton.
     */
    get search(): SearchRequestBuilder;
    /**
     * Provides operations to manage the security singleton.
     */
    get security(): SecurityRequestBuilder;
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     */
    get servicePrincipals(): ServicePrincipalsRequestBuilder;
    /**
     * Provides operations to manage the collection of sharedDriveItem entities.
     */
    get shares(): SharesRequestBuilder;
    /**
     * Provides operations to manage the collection of site entities.
     */
    get sites(): SitesRequestBuilder;
    /**
     * Provides operations to manage the solutionsRoot singleton.
     */
    get solutions(): SolutionsRequestBuilder;
    /**
     * Provides operations to manage the collection of subscribedSku entities.
     */
    get subscribedSkus(): SubscribedSkusRequestBuilder;
    /**
     * Provides operations to manage the collection of subscription entities.
     */
    get subscriptions(): SubscriptionsRequestBuilder;
    /**
     * Provides operations to manage the collection of team entities.
     */
    get teams(): TeamsRequestBuilder;
    /**
     * Provides operations to manage the collection of teamsTemplate entities.
     */
    get teamsTemplates(): TeamsTemplatesRequestBuilder;
    /**
     * Provides operations to manage the teamwork singleton.
     */
    get teamwork(): TeamworkRequestBuilder;
    /**
     * Provides operations to manage the tenantRelationship singleton.
     */
    get tenantRelationships(): TenantRelationshipsRequestBuilder;
    /**
     * Provides operations to manage the collection of user entities.
     */
    get users(): UsersRequestBuilder;
    /**
     * Provides operations to manage the collection of application entities.
     * @param appId Alternate key of application
     * @returns a applicationsWithAppIdRequestBuilder
     */
    applicationsWithAppId(appId: string | undefined): ApplicationsWithAppIdRequestBuilder;
    /**
     * Instantiates a new GraphBaseServiceClient and sets the default values.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(requestAdapter: RequestAdapter);
    /**
     * Provides operations to manage the collection of device entities.
     * @param deviceId Alternate key of device
     * @returns a devicesWithDeviceIdRequestBuilder
     */
    devicesWithDeviceId(deviceId: string | undefined): DevicesWithDeviceIdRequestBuilder;
    /**
     * Provides operations to manage the collection of directoryRole entities.
     * @param roleTemplateId Alternate key of directoryRole
     * @returns a directoryRolesWithRoleTemplateIdRequestBuilder
     */
    directoryRolesWithRoleTemplateId(roleTemplateId: string | undefined): DirectoryRolesWithRoleTemplateIdRequestBuilder;
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     * @param appId Alternate key of servicePrincipal
     * @returns a servicePrincipalsWithAppIdRequestBuilder
     */
    servicePrincipalsWithAppId(appId: string | undefined): ServicePrincipalsWithAppIdRequestBuilder;
}
