"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GraphBaseServiceClient = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const admin_1 = require("./admin/");
const agreementAcceptances_1 = require("./agreementAcceptances/");
const agreements_1 = require("./agreements/");
const appCatalogs_1 = require("./appCatalogs/");
const applications_1 = require("./applications/");
const applicationsWithAppId_1 = require("./applicationsWithAppId/");
const applicationTemplates_1 = require("./applicationTemplates/");
const auditLogs_1 = require("./auditLogs/");
const authenticationMethodConfigurations_1 = require("./authenticationMethodConfigurations/");
const authenticationMethodsPolicy_1 = require("./authenticationMethodsPolicy/");
const certificateBasedAuthConfiguration_1 = require("./certificateBasedAuthConfiguration/");
const chats_1 = require("./chats/");
const communications_1 = require("./communications/");
const compliance_1 = require("./compliance/");
const connections_1 = require("./connections/");
const contacts_1 = require("./contacts/");
const contracts_1 = require("./contracts/");
const dataPolicyOperations_1 = require("./dataPolicyOperations/");
const deviceAppManagement_1 = require("./deviceAppManagement/");
const deviceManagement_1 = require("./deviceManagement/");
const devices_1 = require("./devices/");
const devicesWithDeviceId_1 = require("./devicesWithDeviceId/");
const directory_1 = require("./directory/");
const directoryObjects_1 = require("./directoryObjects/");
const directoryRoles_1 = require("./directoryRoles/");
const directoryRolesWithRoleTemplateId_1 = require("./directoryRolesWithRoleTemplateId/");
const directoryRoleTemplates_1 = require("./directoryRoleTemplates/");
const domainDnsRecords_1 = require("./domainDnsRecords/");
const domains_1 = require("./domains/");
const drives_1 = require("./drives/");
const education_1 = require("./education/");
const employeeExperience_1 = require("./employeeExperience/");
const external_1 = require("./external/");
const filterOperators_1 = require("./filterOperators/");
const functions_1 = require("./functions/");
const groupLifecyclePolicies_1 = require("./groupLifecyclePolicies/");
const groups_1 = require("./groups/");
const groupSettings_1 = require("./groupSettings/");
const groupSettingTemplates_1 = require("./groupSettingTemplates/");
const identity_1 = require("./identity/");
const identityGovernance_1 = require("./identityGovernance/");
const identityProtection_1 = require("./identityProtection/");
const identityProviders_1 = require("./identityProviders/");
const informationProtection_1 = require("./informationProtection/");
const invitations_1 = require("./invitations/");
const oauth2PermissionGrants_1 = require("./oauth2PermissionGrants/");
const organization_1 = require("./organization/");
const permissionGrants_1 = require("./permissionGrants/");
const places_1 = require("./places/");
const planner_1 = require("./planner/");
const policies_1 = require("./policies/");
const print_1 = require("./print/");
const privacy_1 = require("./privacy/");
const reports_1 = require("./reports/");
const roleManagement_1 = require("./roleManagement/");
const schemaExtensions_1 = require("./schemaExtensions/");
const scopedRoleMemberships_1 = require("./scopedRoleMemberships/");
const search_1 = require("./search/");
const security_1 = require("./security/");
const servicePrincipals_1 = require("./servicePrincipals/");
const servicePrincipalsWithAppId_1 = require("./servicePrincipalsWithAppId/");
const shares_1 = require("./shares/");
const sites_1 = require("./sites/");
const solutions_1 = require("./solutions/");
const subscribedSkus_1 = require("./subscribedSkus/");
const subscriptions_1 = require("./subscriptions/");
const teams_1 = require("./teams/");
const teamsTemplates_1 = require("./teamsTemplates/");
const teamwork_1 = require("./teamwork/");
const tenantRelationships_1 = require("./tenantRelationships/");
const users_1 = require("./users/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
const kiota_serialization_form_1 = require("@microsoft/kiota-serialization-form");
const kiota_serialization_json_1 = require("@microsoft/kiota-serialization-json");
const kiota_serialization_multipart_1 = require("@microsoft/kiota-serialization-multipart");
const kiota_serialization_text_1 = require("@microsoft/kiota-serialization-text");
/**
 * The main entry point of the SDK, exposes the configuration and the fluent API.
 */
class GraphBaseServiceClient extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the admin singleton.
     */
    get admin() {
        return new admin_1.AdminRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of agreementAcceptance entities.
     */
    get agreementAcceptances() {
        return new agreementAcceptances_1.AgreementAcceptancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of agreement entities.
     */
    get agreements() {
        return new agreements_1.AgreementsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appCatalogs singleton.
     */
    get appCatalogs() {
        return new appCatalogs_1.AppCatalogsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of application entities.
     */
    get applications() {
        return new applications_1.ApplicationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of applicationTemplate entities.
     */
    get applicationTemplates() {
        return new applicationTemplates_1.ApplicationTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the auditLogRoot singleton.
     */
    get auditLogs() {
        return new auditLogs_1.AuditLogsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of authenticationMethodConfiguration entities.
     */
    get authenticationMethodConfigurations() {
        return new authenticationMethodConfigurations_1.AuthenticationMethodConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authenticationMethodsPolicy singleton.
     */
    get authenticationMethodsPolicy() {
        return new authenticationMethodsPolicy_1.AuthenticationMethodsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of certificateBasedAuthConfiguration entities.
     */
    get certificateBasedAuthConfiguration() {
        return new certificateBasedAuthConfiguration_1.CertificateBasedAuthConfigurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of chat entities.
     */
    get chats() {
        return new chats_1.ChatsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the cloudCommunications singleton.
     */
    get communications() {
        return new communications_1.CommunicationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the compliance singleton.
     */
    get compliance() {
        return new compliance_1.ComplianceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of externalConnection entities.
     */
    get connections() {
        return new connections_1.ConnectionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of orgContact entities.
     */
    get contacts() {
        return new contacts_1.ContactsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of contract entities.
     */
    get contracts() {
        return new contracts_1.ContractsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of dataPolicyOperation entities.
     */
    get dataPolicyOperations() {
        return new dataPolicyOperations_1.DataPolicyOperationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceAppManagement singleton.
     */
    get deviceAppManagement() {
        return new deviceAppManagement_1.DeviceAppManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceManagement singleton.
     */
    get deviceManagement() {
        return new deviceManagement_1.DeviceManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of device entities.
     */
    get devices() {
        return new devices_1.DevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the directory singleton.
     */
    get directory() {
        return new directory_1.DirectoryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of directoryObject entities.
     */
    get directoryObjects() {
        return new directoryObjects_1.DirectoryObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of directoryRole entities.
     */
    get directoryRoles() {
        return new directoryRoles_1.DirectoryRolesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of directoryRoleTemplate entities.
     */
    get directoryRoleTemplates() {
        return new directoryRoleTemplates_1.DirectoryRoleTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of domainDnsRecord entities.
     */
    get domainDnsRecords() {
        return new domainDnsRecords_1.DomainDnsRecordsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of domain entities.
     */
    get domains() {
        return new domains_1.DomainsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of drive entities.
     */
    get drives() {
        return new drives_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the educationRoot singleton.
     */
    get education() {
        return new education_1.EducationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the employeeExperience singleton.
     */
    get employeeExperience() {
        return new employeeExperience_1.EmployeeExperienceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the external singleton.
     */
    get external() {
        return new external_1.ExternalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of filterOperatorSchema entities.
     */
    get filterOperators() {
        return new filterOperators_1.FilterOperatorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of attributeMappingFunctionSchema entities.
     */
    get functions() {
        return new functions_1.FunctionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of groupLifecyclePolicy entities.
     */
    get groupLifecyclePolicies() {
        return new groupLifecyclePolicies_1.GroupLifecyclePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of group entities.
     */
    get groups() {
        return new groups_1.GroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of groupSetting entities.
     */
    get groupSettings() {
        return new groupSettings_1.GroupSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of groupSettingTemplate entities.
     */
    get groupSettingTemplates() {
        return new groupSettingTemplates_1.GroupSettingTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the identityContainer singleton.
     */
    get identity() {
        return new identity_1.IdentityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the identityGovernance singleton.
     */
    get identityGovernance() {
        return new identityGovernance_1.IdentityGovernanceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the identityProtectionRoot singleton.
     */
    get identityProtection() {
        return new identityProtection_1.IdentityProtectionRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of identityProvider entities.
     */
    get identityProviders() {
        return new identityProviders_1.IdentityProvidersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the informationProtection singleton.
     */
    get informationProtection() {
        return new informationProtection_1.InformationProtectionRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of invitation entities.
     */
    get invitations() {
        return new invitations_1.InvitationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of oAuth2PermissionGrant entities.
     */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrants_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of organization entities.
     */
    get organization() {
        return new organization_1.OrganizationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of resourceSpecificPermissionGrant entities.
     */
    get permissionGrants() {
        return new permissionGrants_1.PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The places property
     */
    get places() {
        return new places_1.PlacesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the planner singleton.
     */
    get planner() {
        return new planner_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the policyRoot singleton.
     */
    get policies() {
        return new policies_1.PoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the print singleton.
     */
    get print() {
        return new print_1.PrintRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the privacy singleton.
     */
    get privacy() {
        return new privacy_1.PrivacyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the reportRoot singleton.
     */
    get reports() {
        return new reports_1.ReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the roleManagement singleton.
     */
    get roleManagement() {
        return new roleManagement_1.RoleManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of schemaExtension entities.
     */
    get schemaExtensions() {
        return new schemaExtensions_1.SchemaExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of scopedRoleMembership entities.
     */
    get scopedRoleMemberships() {
        return new scopedRoleMemberships_1.ScopedRoleMembershipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the searchEntity singleton.
     */
    get search() {
        return new search_1.SearchRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the security singleton.
     */
    get security() {
        return new security_1.SecurityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     */
    get servicePrincipals() {
        return new servicePrincipals_1.ServicePrincipalsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of sharedDriveItem entities.
     */
    get shares() {
        return new shares_1.SharesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of site entities.
     */
    get sites() {
        return new sites_1.SitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the solutionsRoot singleton.
     */
    get solutions() {
        return new solutions_1.SolutionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of subscribedSku entities.
     */
    get subscribedSkus() {
        return new subscribedSkus_1.SubscribedSkusRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of subscription entities.
     */
    get subscriptions() {
        return new subscriptions_1.SubscriptionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of team entities.
     */
    get teams() {
        return new teams_1.TeamsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of teamsTemplate entities.
     */
    get teamsTemplates() {
        return new teamsTemplates_1.TeamsTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the teamwork singleton.
     */
    get teamwork() {
        return new teamwork_1.TeamworkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the tenantRelationship singleton.
     */
    get tenantRelationships() {
        return new tenantRelationships_1.TenantRelationshipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of user entities.
     */
    get users() {
        return new users_1.UsersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of application entities.
     * @param appId Alternate key of application
     * @returns a applicationsWithAppIdRequestBuilder
     */
    applicationsWithAppId(appId) {
        if (!appId)
            throw new Error("appId cannot be undefined");
        return new applicationsWithAppId_1.ApplicationsWithAppIdRequestBuilder(this.pathParameters, this.requestAdapter, appId);
    }
    ;
    /**
     * Instantiates a new GraphBaseServiceClient and sets the default values.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(requestAdapter) {
        super({}, requestAdapter, "{+baseurl}");
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_json_1.JsonSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_text_1.TextSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_form_1.FormSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_multipart_1.MultipartSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultDeserializer)(kiota_serialization_json_1.JsonParseNodeFactory);
        (0, kiota_abstractions_1.registerDefaultDeserializer)(kiota_serialization_text_1.TextParseNodeFactory);
        (0, kiota_abstractions_1.registerDefaultDeserializer)(kiota_serialization_form_1.FormParseNodeFactory);
        if (requestAdapter.baseUrl === undefined || requestAdapter.baseUrl === "") {
            requestAdapter.baseUrl = "https://graph.microsoft.com/v1.0";
        }
        this.pathParameters["baseurl"] = requestAdapter.baseUrl;
    }
    ;
    /**
     * Provides operations to manage the collection of device entities.
     * @param deviceId Alternate key of device
     * @returns a devicesWithDeviceIdRequestBuilder
     */
    devicesWithDeviceId(deviceId) {
        if (!deviceId)
            throw new Error("deviceId cannot be undefined");
        return new devicesWithDeviceId_1.DevicesWithDeviceIdRequestBuilder(this.pathParameters, this.requestAdapter, deviceId);
    }
    ;
    /**
     * Provides operations to manage the collection of directoryRole entities.
     * @param roleTemplateId Alternate key of directoryRole
     * @returns a directoryRolesWithRoleTemplateIdRequestBuilder
     */
    directoryRolesWithRoleTemplateId(roleTemplateId) {
        if (!roleTemplateId)
            throw new Error("roleTemplateId cannot be undefined");
        return new directoryRolesWithRoleTemplateId_1.DirectoryRolesWithRoleTemplateIdRequestBuilder(this.pathParameters, this.requestAdapter, roleTemplateId);
    }
    ;
    /**
     * Provides operations to manage the collection of servicePrincipal entities.
     * @param appId Alternate key of servicePrincipal
     * @returns a servicePrincipalsWithAppIdRequestBuilder
     */
    servicePrincipalsWithAppId(appId) {
        if (!appId)
            throw new Error("appId cannot be undefined");
        return new servicePrincipalsWithAppId_1.ServicePrincipalsWithAppIdRequestBuilder(this.pathParameters, this.requestAdapter, appId);
    }
    ;
}
exports.GraphBaseServiceClient = GraphBaseServiceClient;
// tslint:enable
// eslint-enable
