/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import { GraphBaseServiceClient } from "../graphBaseServiceClient";
import { ClientOptions, GraphBaseClient, GraphRequest } from "@microsoft/microsoft-graph-client";
/**
 * @public
 * @class GraphServiceClient
 *
 */
export declare class GraphServiceClient extends GraphBaseServiceClient implements GraphBaseClient {
    private constructor();
    private httpClient;
    private config;
    /**
     * @public
     * @static
     * Factory to configures a client instance with authProvider, initializes the middleware chain
     * @param {clientOptions} ClientOptions - The options for client instance
     * @returns The GraphServiceClient instance
     */
    static init(clientOptions: ClientOptions): GraphServiceClient;
    /**
     * @public
     * Api to make a request using a Graph URL
     * @param {url} path - The Graph API URL
     * @returns The graph request instance
     */
    api(path: string): GraphRequest;
}
