"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoveGroupRequestBuilder = exports.serializeRemoveGroupPostResponse = exports.serializeRemoveGroupPostRequestBody = exports.deserializeIntoRemoveGroupPostResponse = exports.deserializeIntoRemoveGroupPostRequestBody = exports.createRemoveGroupPostResponseFromDiscriminatorValue = exports.createRemoveGroupPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRemoveGroupPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemoveGroupPostRequestBody;
}
exports.createRemoveGroupPostRequestBodyFromDiscriminatorValue = createRemoveGroupPostRequestBodyFromDiscriminatorValue;
function createRemoveGroupPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemoveGroupPostResponse;
}
exports.createRemoveGroupPostResponseFromDiscriminatorValue = createRemoveGroupPostResponseFromDiscriminatorValue;
function deserializeIntoRemoveGroupPostRequestBody(removeGroupPostRequestBody = {}) {
    return {
        "groupId": n => { removeGroupPostRequestBody.groupId = n.getStringValue(); },
    };
}
exports.deserializeIntoRemoveGroupPostRequestBody = deserializeIntoRemoveGroupPostRequestBody;
function deserializeIntoRemoveGroupPostResponse(removeGroupPostResponse = {}) {
    return {
        "value": n => { removeGroupPostResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoRemoveGroupPostResponse = deserializeIntoRemoveGroupPostResponse;
function serializeRemoveGroupPostRequestBody(writer, removeGroupPostRequestBody = {}) {
    writer.writeStringValue("groupId", removeGroupPostRequestBody.groupId);
    writer.writeAdditionalData(removeGroupPostRequestBody.additionalData);
}
exports.serializeRemoveGroupPostRequestBody = serializeRemoveGroupPostRequestBody;
function serializeRemoveGroupPostResponse(writer, removeGroupPostResponse = {}) {
    writer.writeBooleanValue("value", removeGroupPostResponse.value);
    writer.writeAdditionalData(removeGroupPostResponse.additionalData);
}
exports.serializeRemoveGroupPostResponse = serializeRemoveGroupPostResponse;
/**
 * Provides operations to call the removeGroup method.
 */
class RemoveGroupRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RemoveGroupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groupLifecyclePolicies/{groupLifecyclePolicy%2Did}/removeGroup");
    }
    ;
    /**
     * Removes a group from a lifecycle policy.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemoveGroupPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/grouplifecyclepolicy-removegroup?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createRemoveGroupPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Removes a group from a lifecycle policy.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRemoveGroupPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removeGroupRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RemoveGroupRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RemoveGroupRequestBuilder = RemoveGroupRequestBuilder;
// tslint:enable
// eslint-enable
