"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignLicenseRequestBuilder = exports.serializeAssignLicensePostRequestBody = exports.deserializeIntoAssignLicensePostRequestBody = exports.createAssignLicensePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const assignedLicense_1 = require("../../../models/assignedLicense");
const group_1 = require("../../../models/group");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAssignLicensePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignLicensePostRequestBody;
}
exports.createAssignLicensePostRequestBodyFromDiscriminatorValue = createAssignLicensePostRequestBodyFromDiscriminatorValue;
function deserializeIntoAssignLicensePostRequestBody(assignLicensePostRequestBody = {}) {
    return {
        "addLicenses": n => { assignLicensePostRequestBody.addLicenses = n.getCollectionOfObjectValues(assignedLicense_1.createAssignedLicenseFromDiscriminatorValue); },
        "removeLicenses": n => { assignLicensePostRequestBody.removeLicenses = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoAssignLicensePostRequestBody = deserializeIntoAssignLicensePostRequestBody;
function serializeAssignLicensePostRequestBody(writer, assignLicensePostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("addLicenses", assignLicensePostRequestBody.addLicenses, assignedLicense_1.serializeAssignedLicense);
    writer.writeCollectionOfPrimitiveValues("removeLicenses", assignLicensePostRequestBody.removeLicenses);
    writer.writeAdditionalData(assignLicensePostRequestBody.additionalData);
}
exports.serializeAssignLicensePostRequestBody = serializeAssignLicensePostRequestBody;
/**
 * Provides operations to call the assignLicense method.
 */
class AssignLicenseRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AssignLicenseRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/assignLicense");
    }
    ;
    /**
     * Add or remove licenses on the group. Licenses assigned to the group will be assigned to all users in the group. To learn more about group-based licensing, see What is group-based licensing in Microsoft Entra ID. To get the subscriptions available in the directory, perform a GET subscribedSkus request.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Group
     * @see {@link https://learn.microsoft.com/graph/api/group-assignlicense?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, group_1.createGroupFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add or remove licenses on the group. Licenses assigned to the group will be assigned to all users in the group. To learn more about group-based licensing, see What is group-based licensing in Microsoft Entra ID. To get the subscriptions available in the directory, perform a GET subscribedSkus request.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAssignLicensePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a assignLicenseRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AssignLicenseRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AssignLicenseRequestBuilder = AssignLicenseRequestBuilder;
// tslint:enable
// eslint-enable
