import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AcceptPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Comment property
     */
    comment?: string;
    /**
     * The SendResponse property
     */
    sendResponse?: boolean;
}
export declare function createAcceptPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcceptPostRequestBody;
export declare function deserializeIntoAcceptPostRequestBody(acceptPostRequestBody?: AcceptPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcceptPostRequestBody(writer: SerializationWriter, acceptPostRequestBody?: AcceptPostRequestBody | undefined): void;
/**
 * Provides operations to call the accept method.
 */
export declare class AcceptRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AcceptRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Accept the specified event in a user calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/event-accept?view=graph-rest-1.0|Find more info here}
     */
    post(body: AcceptPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Accept the specified event in a user calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AcceptPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a acceptRequestBuilder
     */
    withUrl(rawUrl: string): AcceptRequestBuilder;
}
