import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type DateTimeTimeZone } from '../../../../models/dateTimeTimeZone';
import { type ScheduleInformation } from '../../../../models/scheduleInformation';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetSchedulePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetSchedulePostRequestBody;
export declare function createGetSchedulePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetSchedulePostResponse;
export declare function deserializeIntoGetSchedulePostRequestBody(getSchedulePostRequestBody?: GetSchedulePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetSchedulePostResponse(getSchedulePostResponse?: GetSchedulePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetSchedulePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The AvailabilityViewInterval property
     */
    availabilityViewInterval?: number;
    /**
     * The EndTime property
     */
    endTime?: DateTimeTimeZone;
    /**
     * The Schedules property
     */
    schedules?: string[];
    /**
     * The StartTime property
     */
    startTime?: DateTimeTimeZone;
}
export interface GetSchedulePostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ScheduleInformation[];
}
export declare function serializeGetSchedulePostRequestBody(writer: SerializationWriter, getSchedulePostRequestBody?: GetSchedulePostRequestBody | undefined): void;
export declare function serializeGetSchedulePostResponse(writer: SerializationWriter, getSchedulePostResponse?: GetSchedulePostResponse | undefined): void;
/**
 * Provides operations to call the getSchedule method.
 */
export declare class GetScheduleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetScheduleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the free/busy availability information for a collection of users, distributions lists, or resources (rooms or equipment) for a specified time period.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetSchedulePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/calendar-getschedule?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetSchedulePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetSchedulePostResponse | undefined>;
    /**
     * Get the free/busy availability information for a collection of users, distributions lists, or resources (rooms or equipment) for a specified time period.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetSchedulePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getScheduleRequestBuilder
     */
    withUrl(rawUrl: string): GetScheduleRequestBuilder;
}
