import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ResourceSpecificPermissionGrant } from '../../../models/resourceSpecificPermissionGrant';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CheckGrantedPermissionsForAppPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ResourceSpecificPermissionGrant[];
}
export declare function createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCheckGrantedPermissionsForAppPostResponse;
export declare function deserializeIntoCheckGrantedPermissionsForAppPostResponse(checkGrantedPermissionsForAppPostResponse?: CheckGrantedPermissionsForAppPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCheckGrantedPermissionsForAppPostResponse(writer: SerializationWriter, checkGrantedPermissionsForAppPostResponse?: CheckGrantedPermissionsForAppPostResponse | undefined): void;
/**
 * Provides operations to call the checkGrantedPermissionsForApp method.
 */
export declare class CheckGrantedPermissionsForAppRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CheckGrantedPermissionsForAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action checkGrantedPermissionsForApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CheckGrantedPermissionsForAppPostResponse
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<CheckGrantedPermissionsForAppPostResponse | undefined>;
    /**
     * Invoke action checkGrantedPermissionsForApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkGrantedPermissionsForAppRequestBuilder
     */
    withUrl(rawUrl: string): CheckGrantedPermissionsForAppRequestBuilder;
}
