"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckGrantedPermissionsForAppRequestBuilder = exports.serializeCheckGrantedPermissionsForAppPostResponse = exports.deserializeIntoCheckGrantedPermissionsForAppPostResponse = exports.createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const resourceSpecificPermissionGrant_1 = require("../../../models/resourceSpecificPermissionGrant");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCheckGrantedPermissionsForAppPostResponse;
}
exports.createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue = createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue;
function deserializeIntoCheckGrantedPermissionsForAppPostResponse(checkGrantedPermissionsForAppPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(checkGrantedPermissionsForAppPostResponse)), { "value": n => { checkGrantedPermissionsForAppPostResponse.value = n.getCollectionOfObjectValues(resourceSpecificPermissionGrant_1.createResourceSpecificPermissionGrantFromDiscriminatorValue); } });
}
exports.deserializeIntoCheckGrantedPermissionsForAppPostResponse = deserializeIntoCheckGrantedPermissionsForAppPostResponse;
function serializeCheckGrantedPermissionsForAppPostResponse(writer, checkGrantedPermissionsForAppPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, checkGrantedPermissionsForAppPostResponse);
    writer.writeCollectionOfObjectValues("value", checkGrantedPermissionsForAppPostResponse.value, resourceSpecificPermissionGrant_1.serializeResourceSpecificPermissionGrant);
}
exports.serializeCheckGrantedPermissionsForAppPostResponse = serializeCheckGrantedPermissionsForAppPostResponse;
/**
 * Provides operations to call the checkGrantedPermissionsForApp method.
 */
class CheckGrantedPermissionsForAppRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CheckGrantedPermissionsForAppRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/checkGrantedPermissionsForApp");
    }
    ;
    /**
     * Invoke action checkGrantedPermissionsForApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CheckGrantedPermissionsForAppPostResponse
     */
    post(requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createCheckGrantedPermissionsForAppPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action checkGrantedPermissionsForApp
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a checkGrantedPermissionsForAppRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CheckGrantedPermissionsForAppRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CheckGrantedPermissionsForAppRequestBuilder = CheckGrantedPermissionsForAppRequestBuilder;
// tslint:enable
// eslint-enable
