import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddGroupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
}
export interface AddGroupPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function createAddGroupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddGroupPostRequestBody;
export declare function createAddGroupPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddGroupPostResponse;
export declare function deserializeIntoAddGroupPostRequestBody(addGroupPostRequestBody?: AddGroupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoAddGroupPostResponse(addGroupPostResponse?: AddGroupPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddGroupPostRequestBody(writer: SerializationWriter, addGroupPostRequestBody?: AddGroupPostRequestBody | undefined): void;
export declare function serializeAddGroupPostResponse(writer: SerializationWriter, addGroupPostResponse?: AddGroupPostResponse | undefined): void;
/**
 * Provides operations to call the addGroup method.
 */
export declare class AddGroupRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AddGroupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Adds specific groups to a lifecycle policy. This action limits the group lifecycle policy to a set of groups only if the managedGroupTypes property of groupLifecyclePolicy is set to Selected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddGroupPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/grouplifecyclepolicy-addgroup?view=graph-rest-1.0|Find more info here}
     */
    post(body: AddGroupPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AddGroupPostResponse | undefined>;
    /**
     * Adds specific groups to a lifecycle policy. This action limits the group lifecycle policy to a set of groups only if the managedGroupTypes property of groupLifecyclePolicy is set to Selected.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddGroupPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addGroupRequestBuilder
     */
    withUrl(rawUrl: string): AddGroupRequestBuilder;
}
