import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoveGroupPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveGroupPostRequestBody;
export declare function createRemoveGroupPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoveGroupPostResponse;
export declare function deserializeIntoRemoveGroupPostRequestBody(removeGroupPostRequestBody?: RemoveGroupPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoRemoveGroupPostResponse(removeGroupPostResponse?: RemoveGroupPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoveGroupPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
}
export interface RemoveGroupPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeRemoveGroupPostRequestBody(writer: SerializationWriter, removeGroupPostRequestBody?: RemoveGroupPostRequestBody | undefined): void;
export declare function serializeRemoveGroupPostResponse(writer: SerializationWriter, removeGroupPostResponse?: RemoveGroupPostResponse | undefined): void;
/**
 * Provides operations to call the removeGroup method.
 */
export declare class RemoveGroupRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RemoveGroupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Removes a group from a lifecycle policy.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemoveGroupPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/grouplifecyclepolicy-removegroup?view=graph-rest-1.0|Find more info here}
     */
    post(body: RemoveGroupPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<RemoveGroupPostResponse | undefined>;
    /**
     * Removes a group from a lifecycle policy.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: RemoveGroupPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removeGroupRequestBuilder
     */
    withUrl(rawUrl: string): RemoveGroupRequestBuilder;
}
