import { type Group } from '../../models/group';
import { AcceptedSendersRequestBuilder } from './acceptedSenders/';
import { AddFavoriteRequestBuilder } from './addFavorite/';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/';
import { AssignLicenseRequestBuilder } from './assignLicense/';
import { CalendarRequestBuilder } from './calendar/';
import { CalendarViewRequestBuilder } from './calendarView/';
import { CheckGrantedPermissionsForAppRequestBuilder } from './checkGrantedPermissionsForApp/';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/';
import { ConversationsRequestBuilder } from './conversations/';
import { CreatedOnBehalfOfRequestBuilder } from './createdOnBehalfOf/';
import { DriveRequestBuilder } from './drive/';
import { DrivesRequestBuilder } from './drives/';
import { EventsRequestBuilder } from './events/';
import { ExtensionsRequestBuilder } from './extensions/';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/';
import { GroupLifecyclePoliciesRequestBuilder } from './groupLifecyclePolicies/';
import { MemberOfRequestBuilder } from './memberOf/';
import { MembersRequestBuilder } from './members/';
import { MembersWithLicenseErrorsRequestBuilder } from './membersWithLicenseErrors/';
import { OnenoteRequestBuilder } from './onenote/';
import { OwnersRequestBuilder } from './owners/';
import { PermissionGrantsRequestBuilder } from './permissionGrants/';
import { PhotoRequestBuilder } from './photo/';
import { PhotosRequestBuilder } from './photos/';
import { PlannerRequestBuilder } from './planner/';
import { RejectedSendersRequestBuilder } from './rejectedSenders/';
import { RemoveFavoriteRequestBuilder } from './removeFavorite/';
import { RenewRequestBuilder } from './renew/';
import { ResetUnseenCountRequestBuilder } from './resetUnseenCount/';
import { RestoreRequestBuilder } from './restore/';
import { RetryServiceProvisioningRequestBuilder } from './retryServiceProvisioning/';
import { ServiceProvisioningErrorsRequestBuilder } from './serviceProvisioningErrors/';
import { SettingsRequestBuilder } from './settings/';
import { SitesRequestBuilder } from './sites/';
import { SubscribeByMailRequestBuilder } from './subscribeByMail/';
import { TeamRequestBuilder } from './team/';
import { ThreadsRequestBuilder } from './threads/';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/';
import { TransitiveMembersRequestBuilder } from './transitiveMembers/';
import { UnsubscribeByMailRequestBuilder } from './unsubscribeByMail/';
import { ValidatePropertiesRequestBuilder } from './validateProperties/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GroupItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the collection of group entities.
 */
export declare class GroupItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the acceptedSenders property of the microsoft.graph.group entity.
     */
    get acceptedSenders(): AcceptedSendersRequestBuilder;
    /**
     * Provides operations to call the addFavorite method.
     */
    get addFavorite(): AddFavoriteRequestBuilder;
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.group entity.
     */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense(): AssignLicenseRequestBuilder;
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.group entity.
     */
    get calendar(): CalendarRequestBuilder;
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.group entity.
     */
    get calendarView(): CalendarViewRequestBuilder;
    /**
     * Provides operations to call the checkGrantedPermissionsForApp method.
     */
    get checkGrantedPermissionsForApp(): CheckGrantedPermissionsForAppRequestBuilder;
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the conversations property of the microsoft.graph.group entity.
     */
    get conversations(): ConversationsRequestBuilder;
    /**
     * Provides operations to manage the createdOnBehalfOf property of the microsoft.graph.group entity.
     */
    get createdOnBehalfOf(): CreatedOnBehalfOfRequestBuilder;
    /**
     * Provides operations to manage the drive property of the microsoft.graph.group entity.
     */
    get drive(): DriveRequestBuilder;
    /**
     * Provides operations to manage the drives property of the microsoft.graph.group entity.
     */
    get drives(): DrivesRequestBuilder;
    /**
     * Provides operations to manage the events property of the microsoft.graph.group entity.
     */
    get events(): EventsRequestBuilder;
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.group entity.
     */
    get extensions(): ExtensionsRequestBuilder;
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the groupLifecyclePolicies property of the microsoft.graph.group entity.
     */
    get groupLifecyclePolicies(): GroupLifecyclePoliciesRequestBuilder;
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.group entity.
     */
    get memberOf(): MemberOfRequestBuilder;
    /**
     * Provides operations to manage the members property of the microsoft.graph.group entity.
     */
    get members(): MembersRequestBuilder;
    /**
     * Provides operations to manage the membersWithLicenseErrors property of the microsoft.graph.group entity.
     */
    get membersWithLicenseErrors(): MembersWithLicenseErrorsRequestBuilder;
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.group entity.
     */
    get onenote(): OnenoteRequestBuilder;
    /**
     * Provides operations to manage the owners property of the microsoft.graph.group entity.
     */
    get owners(): OwnersRequestBuilder;
    /**
     * Provides operations to manage the permissionGrants property of the microsoft.graph.group entity.
     */
    get permissionGrants(): PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the photo property of the microsoft.graph.group entity.
     */
    get photo(): PhotoRequestBuilder;
    /**
     * Provides operations to manage the photos property of the microsoft.graph.group entity.
     */
    get photos(): PhotosRequestBuilder;
    /**
     * Provides operations to manage the planner property of the microsoft.graph.group entity.
     */
    get planner(): PlannerRequestBuilder;
    /**
     * Provides operations to manage the rejectedSenders property of the microsoft.graph.group entity.
     */
    get rejectedSenders(): RejectedSendersRequestBuilder;
    /**
     * Provides operations to call the removeFavorite method.
     */
    get removeFavorite(): RemoveFavoriteRequestBuilder;
    /**
     * Provides operations to call the renew method.
     */
    get renew(): RenewRequestBuilder;
    /**
     * Provides operations to call the resetUnseenCount method.
     */
    get resetUnseenCount(): ResetUnseenCountRequestBuilder;
    /**
     * Provides operations to call the restore method.
     */
    get restore(): RestoreRequestBuilder;
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning(): RetryServiceProvisioningRequestBuilder;
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors(): ServiceProvisioningErrorsRequestBuilder;
    /**
     * Provides operations to manage the settings property of the microsoft.graph.group entity.
     */
    get settings(): SettingsRequestBuilder;
    /**
     * Provides operations to manage the sites property of the microsoft.graph.group entity.
     */
    get sites(): SitesRequestBuilder;
    /**
     * Provides operations to call the subscribeByMail method.
     */
    get subscribeByMail(): SubscribeByMailRequestBuilder;
    /**
     * Provides operations to manage the team property of the microsoft.graph.group entity.
     */
    get team(): TeamRequestBuilder;
    /**
     * Provides operations to manage the threads property of the microsoft.graph.group entity.
     */
    get threads(): ThreadsRequestBuilder;
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.group entity.
     */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /**
     * Provides operations to manage the transitiveMembers property of the microsoft.graph.group entity.
     */
    get transitiveMembers(): TransitiveMembersRequestBuilder;
    /**
     * Provides operations to call the unsubscribeByMail method.
     */
    get unsubscribeByMail(): UnsubscribeByMailRequestBuilder;
    /**
     * Provides operations to call the validateProperties method.
     */
    get validateProperties(): ValidatePropertiesRequestBuilder;
    /**
     * Instantiates a new GroupItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete group. When deleted, Microsoft 365 groups are moved to a temporary container and can be restored within 30 days. After that time, they're permanently deleted. This isn't applicable to Security groups and Distribution groups which are permanently deleted immediately. To learn more, see deletedItems.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/group-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Get the properties and relationships of a group object. This operation returns by default only a subset of all the available properties, as noted in the Properties section. To get properties that aren't_ returned by default, specify them in a $select OData query option. The hasMembersWithLicenseErrors and isArchived properties are an exception and aren't returned in the $select query.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Group
     * @see {@link https://learn.microsoft.com/graph/api/group-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<GroupItemRequestBuilderGetQueryParameters> | undefined): Promise<Group | undefined>;
    /**
     * Add a member to a security or Microsoft 365 group through the members navigation property. The following table shows the types of members that can be added to either security groups or Microsoft 365 groups.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Group
     * @see {@link https://learn.microsoft.com/graph/api/group-post-members?view=graph-rest-1.0|Find more info here}
     */
    patch(body: Group, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<Group | undefined>;
    /**
     * Delete group. When deleted, Microsoft 365 groups are moved to a temporary container and can be restored within 30 days. After that time, they're permanently deleted. This isn't applicable to Security groups and Distribution groups which are permanently deleted immediately. To learn more, see deletedItems.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Get the properties and relationships of a group object. This operation returns by default only a subset of all the available properties, as noted in the Properties section. To get properties that aren't_ returned by default, specify them in a $select OData query option. The hasMembersWithLicenseErrors and isArchived properties are an exception and aren't returned in the $select query.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GroupItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Add a member to a security or Microsoft 365 group through the members navigation property. The following table shows the types of members that can be added to either security groups or Microsoft 365 groups.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: Group, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a GroupItemRequestBuilder
     */
    withUrl(rawUrl: string): GroupItemRequestBuilder;
}
