"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyToNotebookRequestBuilder = exports.serializeCopyToNotebookPostRequestBody = exports.deserializeIntoCopyToNotebookPostRequestBody = exports.createCopyToNotebookPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const onenoteOperation_1 = require("../../../../../../../../../../models/onenoteOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyToNotebookPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToNotebookPostRequestBody;
}
exports.createCopyToNotebookPostRequestBodyFromDiscriminatorValue = createCopyToNotebookPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToNotebookPostRequestBody(copyToNotebookPostRequestBody = {}) {
    return {
        "groupId": n => { copyToNotebookPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToNotebookPostRequestBody.id = n.getStringValue(); },
        "renameAs": n => { copyToNotebookPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyToNotebookPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToNotebookPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToNotebookPostRequestBody = deserializeIntoCopyToNotebookPostRequestBody;
function serializeCopyToNotebookPostRequestBody(writer, copyToNotebookPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToNotebookPostRequestBody.groupId);
    writer.writeStringValue("id", copyToNotebookPostRequestBody.id);
    writer.writeStringValue("renameAs", copyToNotebookPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyToNotebookPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToNotebookPostRequestBody.siteId);
    writer.writeAdditionalData(copyToNotebookPostRequestBody.additionalData);
}
exports.serializeCopyToNotebookPostRequestBody = serializeCopyToNotebookPostRequestBody;
/**
 * Provides operations to call the copyToNotebook method.
 */
class CopyToNotebookRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyToNotebookRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/onenote/notebooks/{notebook%2Did}/sectionGroups/{sectionGroup%2Did}/sections/{onenoteSection%2Did}/copyToNotebook");
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnenoteOperation
     * @see {@link https://learn.microsoft.com/graph/api/section-copytonotebook?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, onenoteOperation_1.createOnenoteOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyToNotebookPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyToNotebookRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyToNotebookRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyToNotebookRequestBuilder = CopyToNotebookRequestBuilder;
// tslint:enable
// eslint-enable
