"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenotePatchContentRequestBuilder = exports.serializeOnenotePatchContentPostRequestBody = exports.deserializeIntoOnenotePatchContentPostRequestBody = exports.createOnenotePatchContentPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../../../models/oDataErrors/oDataError");
const onenotePatchContentCommand_1 = require("../../../../../../../../../../../../models/onenotePatchContentCommand");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createOnenotePatchContentPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnenotePatchContentPostRequestBody;
}
exports.createOnenotePatchContentPostRequestBodyFromDiscriminatorValue = createOnenotePatchContentPostRequestBodyFromDiscriminatorValue;
function deserializeIntoOnenotePatchContentPostRequestBody(onenotePatchContentPostRequestBody = {}) {
    return {
        "commands": n => { onenotePatchContentPostRequestBody.commands = n.getCollectionOfObjectValues(onenotePatchContentCommand_1.createOnenotePatchContentCommandFromDiscriminatorValue); },
    };
}
exports.deserializeIntoOnenotePatchContentPostRequestBody = deserializeIntoOnenotePatchContentPostRequestBody;
function serializeOnenotePatchContentPostRequestBody(writer, onenotePatchContentPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("commands", onenotePatchContentPostRequestBody.commands, onenotePatchContentCommand_1.serializeOnenotePatchContentCommand);
    writer.writeAdditionalData(onenotePatchContentPostRequestBody.additionalData);
}
exports.serializeOnenotePatchContentPostRequestBody = serializeOnenotePatchContentPostRequestBody;
/**
 * Provides operations to call the onenotePatchContent method.
 */
class OnenotePatchContentRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new OnenotePatchContentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/onenote/notebooks/{notebook%2Did}/sectionGroups/{sectionGroup%2Did}/sections/{onenoteSection%2Did}/pages/{onenotePage%2Did}/onenotePatchContent");
    }
    ;
    /**
     * Invoke action onenotePatchContent
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action onenotePatchContent
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeOnenotePatchContentPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a onenotePatchContentRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new OnenotePatchContentRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.OnenotePatchContentRequestBuilder = OnenotePatchContentRequestBuilder;
// tslint:enable
// eslint-enable
