import { type OnenoteOperation } from '../../../../../../../../../../models/onenoteOperation';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CopyToSectionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The groupId property
     */
    groupId?: string;
    /**
     * The id property
     */
    id?: string;
    /**
     * The siteCollectionId property
     */
    siteCollectionId?: string;
    /**
     * The siteId property
     */
    siteId?: string;
}
export declare function createCopyToSectionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCopyToSectionPostRequestBody;
export declare function deserializeIntoCopyToSectionPostRequestBody(copyToSectionPostRequestBody?: CopyToSectionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCopyToSectionPostRequestBody(writer: SerializationWriter, copyToSectionPostRequestBody?: CopyToSectionPostRequestBody | undefined): void;
/**
 * Provides operations to call the copyToSection method.
 */
export declare class CopyToSectionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CopyToSectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Copy a page to a specific section. For copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnenoteOperation
     * @see {@link https://learn.microsoft.com/graph/api/page-copytosection?view=graph-rest-1.0|Find more info here}
     */
    post(body: CopyToSectionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<OnenoteOperation | undefined>;
    /**
     * Copy a page to a specific section. For copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CopyToSectionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyToSectionRequestBuilder
     */
    withUrl(rawUrl: string): CopyToSectionRequestBuilder;
}
