import { type PlannerProgressTaskBoardTaskFormat } from '../../../../../../../../models/plannerProgressTaskBoardTaskFormat';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ProgressTaskBoardFormatRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the progressTaskBoardFormat property of the microsoft.graph.plannerTask entity.
 */
export declare class ProgressTaskBoardFormatRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ProgressTaskBoardFormatRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property progressTaskBoardFormat for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Retrieve the properties and relationships of plannerProgressTaskBoardTaskFormat object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PlannerProgressTaskBoardTaskFormat
     * @see {@link https://learn.microsoft.com/graph/api/plannerprogresstaskboardtaskformat-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<ProgressTaskBoardFormatRequestBuilderGetQueryParameters> | undefined): Promise<PlannerProgressTaskBoardTaskFormat | undefined>;
    /**
     * Update the navigation property progressTaskBoardFormat in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PlannerProgressTaskBoardTaskFormat
     * @see {@link https://learn.microsoft.com/graph/api/plannerprogresstaskboardtaskformat-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: PlannerProgressTaskBoardTaskFormat, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<PlannerProgressTaskBoardTaskFormat | undefined>;
    /**
     * Delete navigation property progressTaskBoardFormat for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Retrieve the properties and relationships of plannerProgressTaskBoardTaskFormat object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ProgressTaskBoardFormatRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property progressTaskBoardFormat in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: PlannerProgressTaskBoardTaskFormat, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a progressTaskBoardFormatRequestBuilder
     */
    withUrl(rawUrl: string): ProgressTaskBoardFormatRequestBuilder;
}
