import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type Site } from '../../../../models/site';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Site[];
}
export interface AddPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Site[];
}
export declare function createAddPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPostRequestBody;
export declare function createAddPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddPostResponse;
export declare function deserializeIntoAddPostRequestBody(addPostRequestBody?: AddPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoAddPostResponse(addPostResponse?: AddPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddPostRequestBody(writer: SerializationWriter, addPostRequestBody?: AddPostRequestBody | undefined): void;
export declare function serializeAddPostResponse(writer: SerializationWriter, addPostResponse?: AddPostResponse | undefined): void;
/**
 * Provides operations to call the add method.
 */
export declare class AddRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AddRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Follow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/site-follow?view=graph-rest-1.0|Find more info here}
     */
    post(body: AddPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AddPostResponse | undefined>;
    /**
     * Follow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addRequestBuilder
     */
    withUrl(rawUrl: string): AddRequestBuilder;
}
