"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddRequestBuilder = exports.serializeAddPostResponse = exports.serializeAddPostRequestBody = exports.deserializeIntoAddPostResponse = exports.deserializeIntoAddPostRequestBody = exports.createAddPostResponseFromDiscriminatorValue = exports.createAddPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const site_1 = require("../../../../models/site");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddPostRequestBody;
}
exports.createAddPostRequestBodyFromDiscriminatorValue = createAddPostRequestBodyFromDiscriminatorValue;
function createAddPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddPostResponse;
}
exports.createAddPostResponseFromDiscriminatorValue = createAddPostResponseFromDiscriminatorValue;
function deserializeIntoAddPostRequestBody(addPostRequestBody = {}) {
    return {
        "value": n => { addPostRequestBody.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); },
    };
}
exports.deserializeIntoAddPostRequestBody = deserializeIntoAddPostRequestBody;
function deserializeIntoAddPostResponse(addPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(addPostResponse)), { "value": n => { addPostResponse.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); } });
}
exports.deserializeIntoAddPostResponse = deserializeIntoAddPostResponse;
function serializeAddPostRequestBody(writer, addPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("value", addPostRequestBody.value, site_1.serializeSite);
    writer.writeAdditionalData(addPostRequestBody.additionalData);
}
exports.serializeAddPostRequestBody = serializeAddPostRequestBody;
function serializeAddPostResponse(writer, addPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, addPostResponse);
    writer.writeCollectionOfObjectValues("value", addPostResponse.value, site_1.serializeSite);
}
exports.serializeAddPostResponse = serializeAddPostResponse;
/**
 * Provides operations to call the add method.
 */
class AddRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/add");
    }
    ;
    /**
     * Follow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AddPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/site-follow?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAddPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Follow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddRequestBuilder = AddRequestBuilder;
// tslint:enable
// eslint-enable
