"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeltaRequestBuilder = exports.serializeDeltaGetResponse = exports.deserializeIntoDeltaGetResponse = exports.createDeltaGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseDeltaFunctionResponse_1 = require("../../../../models/baseDeltaFunctionResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const site_1 = require("../../../../models/site");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDeltaGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeltaGetResponse;
}
exports.createDeltaGetResponseFromDiscriminatorValue = createDeltaGetResponseFromDiscriminatorValue;
function deserializeIntoDeltaGetResponse(deltaGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseDeltaFunctionResponse_1.deserializeIntoBaseDeltaFunctionResponse)(deltaGetResponse)), { "value": n => { deltaGetResponse.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); } });
}
exports.deserializeIntoDeltaGetResponse = deserializeIntoDeltaGetResponse;
function serializeDeltaGetResponse(writer, deltaGetResponse = {}) {
    (0, baseDeltaFunctionResponse_1.serializeBaseDeltaFunctionResponse)(writer, deltaGetResponse);
    writer.writeCollectionOfObjectValues("value", deltaGetResponse.value, site_1.serializeSite);
}
exports.serializeDeltaGetResponse = serializeDeltaGetResponse;
/**
 * Provides operations to call the delta method.
 */
class DeltaRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DeltaRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/delta(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeltaGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createDeltaGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function delta
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, deltaRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deltaRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DeltaRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DeltaRequestBuilder = DeltaRequestBuilder;
const deltaRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
