"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAllSitesRequestBuilder = exports.serializeGetAllSitesGetResponse = exports.deserializeIntoGetAllSitesGetResponse = exports.createGetAllSitesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const site_1 = require("../../../../models/site");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetAllSitesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAllSitesGetResponse;
}
exports.createGetAllSitesGetResponseFromDiscriminatorValue = createGetAllSitesGetResponseFromDiscriminatorValue;
function deserializeIntoGetAllSitesGetResponse(getAllSitesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getAllSitesGetResponse)), { "value": n => { getAllSitesGetResponse.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); } });
}
exports.deserializeIntoGetAllSitesGetResponse = deserializeIntoGetAllSitesGetResponse;
function serializeGetAllSitesGetResponse(writer, getAllSitesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getAllSitesGetResponse);
    writer.writeCollectionOfObjectValues("value", getAllSitesGetResponse.value, site_1.serializeSite);
}
exports.serializeGetAllSitesGetResponse = serializeGetAllSitesGetResponse;
/**
 * Provides operations to call the getAllSites method.
 */
class GetAllSitesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetAllSitesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/getAllSites(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function getAllSites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAllSitesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetAllSitesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getAllSites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getAllSitesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAllSitesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetAllSitesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetAllSitesRequestBuilder = GetAllSitesRequestBuilder;
const getAllSitesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
