import { type ItemActivityStat } from '../../../../../../../models/itemActivityStat';
import { ActivitiesRequestBuilder } from './activities/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ItemActivityStatItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the itemActivityStats property of the microsoft.graph.itemAnalytics entity.
 */
export declare class ItemActivityStatItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the activities property of the microsoft.graph.itemActivityStat entity.
     */
    get activities(): ActivitiesRequestBuilder;
    /**
     * Instantiates a new ItemActivityStatItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property itemActivityStats for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Get itemActivityStats from groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ItemActivityStat
     */
    get(requestConfiguration?: RequestConfiguration<ItemActivityStatItemRequestBuilderGetQueryParameters> | undefined): Promise<ItemActivityStat | undefined>;
    /**
     * Update the navigation property itemActivityStats in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ItemActivityStat
     */
    patch(body: ItemActivityStat, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ItemActivityStat | undefined>;
    /**
     * Delete navigation property itemActivityStats for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Get itemActivityStats from groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ItemActivityStatItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property itemActivityStats in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ItemActivityStat, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ItemActivityStatItemRequestBuilder
     */
    withUrl(rawUrl: string): ItemActivityStatItemRequestBuilder;
}
