"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddCopyRequestBuilder = exports.serializeAddCopyPostRequestBody = exports.deserializeIntoAddCopyPostRequestBody = exports.createAddCopyPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const contentType_1 = require("../../../../../../../../models/contentType");
const oDataError_1 = require("../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddCopyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddCopyPostRequestBody;
}
exports.createAddCopyPostRequestBodyFromDiscriminatorValue = createAddCopyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddCopyPostRequestBody(addCopyPostRequestBody = {}) {
    return {
        "contentType": n => { addCopyPostRequestBody.contentType = n.getStringValue(); },
    };
}
exports.deserializeIntoAddCopyPostRequestBody = deserializeIntoAddCopyPostRequestBody;
function serializeAddCopyPostRequestBody(writer, addCopyPostRequestBody = {}) {
    writer.writeStringValue("contentType", addCopyPostRequestBody.contentType);
    writer.writeAdditionalData(addCopyPostRequestBody.additionalData);
}
exports.serializeAddCopyPostRequestBody = serializeAddCopyPostRequestBody;
/**
 * Provides operations to call the addCopy method.
 */
class AddCopyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddCopyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/{site%2Did}/lists/{list%2Did}/contentTypes/addCopy");
    }
    ;
    /**
     * Add a copy of a [content type][contentType] from a [site][site] to a [list][list].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ContentType
     * @see {@link https://learn.microsoft.com/graph/api/contenttype-addcopy?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, contentType_1.createContentTypeFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Add a copy of a [content type][contentType] from a [site][site] to a [list][list].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddCopyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addCopyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddCopyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddCopyRequestBuilder = AddCopyRequestBuilder;
// tslint:enable
// eslint-enable
