"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsPublishedRequestBuilder = exports.serializeIsPublishedGetResponse = exports.deserializeIntoIsPublishedGetResponse = exports.createIsPublishedGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createIsPublishedGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIsPublishedGetResponse;
}
exports.createIsPublishedGetResponseFromDiscriminatorValue = createIsPublishedGetResponseFromDiscriminatorValue;
function deserializeIntoIsPublishedGetResponse(isPublishedGetResponse = {}) {
    return {
        "value": n => { isPublishedGetResponse.value = n.getBooleanValue(); },
    };
}
exports.deserializeIntoIsPublishedGetResponse = deserializeIntoIsPublishedGetResponse;
function serializeIsPublishedGetResponse(writer, isPublishedGetResponse = {}) {
    writer.writeBooleanValue("value", isPublishedGetResponse.value);
    writer.writeAdditionalData(isPublishedGetResponse.additionalData);
}
exports.serializeIsPublishedGetResponse = serializeIsPublishedGetResponse;
/**
 * Provides operations to call the isPublished method.
 */
class IsPublishedRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new IsPublishedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/{site%2Did}/lists/{list%2Did}/contentTypes/{contentType%2Did}/isPublished()");
    }
    ;
    /**
     * Invoke function isPublished
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IsPublishedGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createIsPublishedGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function isPublished
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a isPublishedRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new IsPublishedRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.IsPublishedRequestBuilder = IsPublishedRequestBuilder;
// tslint:enable
// eslint-enable
