import { type BaseCollectionPaginationCountResponse } from '../../../../../../../models/baseCollectionPaginationCountResponse';
import { type RecentNotebook } from '../../../../../../../models/recentNotebook';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse;
export declare function deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse(getRecentNotebooksWithIncludePersonalNotebooksGetResponse?: GetRecentNotebooksWithIncludePersonalNotebooksGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetRecentNotebooksWithIncludePersonalNotebooksGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RecentNotebook[];
}
export interface GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetRecentNotebooksWithIncludePersonalNotebooksGetResponse(writer: SerializationWriter, getRecentNotebooksWithIncludePersonalNotebooksGetResponse?: GetRecentNotebooksWithIncludePersonalNotebooksGetResponse | undefined): void;
/**
 * Provides operations to call the getRecentNotebooks method.
 */
export declare class GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder and sets the default values.
     * @param includePersonalNotebooks Usage: includePersonalNotebooks={includePersonalNotebooks}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, includePersonalNotebooks?: boolean | undefined);
    /**
     * Invoke function getRecentNotebooks
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetRecentNotebooksWithIncludePersonalNotebooksGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilderGetQueryParameters> | undefined): Promise<GetRecentNotebooksWithIncludePersonalNotebooksGetResponse | undefined>;
    /**
     * Invoke function getRecentNotebooks
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getRecentNotebooksWithIncludePersonalNotebooksRequestBuilder
     */
    withUrl(rawUrl: string): GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder;
}
