"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyToSectionGroupRequestBuilder = exports.serializeCopyToSectionGroupPostRequestBody = exports.deserializeIntoCopyToSectionGroupPostRequestBody = exports.createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const onenoteOperation_1 = require("../../../../../../../../../../models/onenoteOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToSectionGroupPostRequestBody;
}
exports.createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue = createCopyToSectionGroupPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToSectionGroupPostRequestBody(copyToSectionGroupPostRequestBody = {}) {
    return {
        "groupId": n => { copyToSectionGroupPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToSectionGroupPostRequestBody.id = n.getStringValue(); },
        "renameAs": n => { copyToSectionGroupPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyToSectionGroupPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToSectionGroupPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToSectionGroupPostRequestBody = deserializeIntoCopyToSectionGroupPostRequestBody;
function serializeCopyToSectionGroupPostRequestBody(writer, copyToSectionGroupPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToSectionGroupPostRequestBody.groupId);
    writer.writeStringValue("id", copyToSectionGroupPostRequestBody.id);
    writer.writeStringValue("renameAs", copyToSectionGroupPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyToSectionGroupPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToSectionGroupPostRequestBody.siteId);
    writer.writeAdditionalData(copyToSectionGroupPostRequestBody.additionalData);
}
exports.serializeCopyToSectionGroupPostRequestBody = serializeCopyToSectionGroupPostRequestBody;
/**
 * Provides operations to call the copyToSectionGroup method.
 */
class CopyToSectionGroupRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyToSectionGroupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/{site%2Did}/onenote/sectionGroups/{sectionGroup%2Did}/sections/{onenoteSection%2Did}/copyToSectionGroup");
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnenoteOperation
     * @see {@link https://learn.microsoft.com/graph/api/section-copytosectiongroup?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, onenoteOperation_1.createOnenoteOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyToSectionGroupPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyToSectionGroupRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyToSectionGroupRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyToSectionGroupRequestBuilder = CopyToSectionGroupRequestBuilder;
// tslint:enable
// eslint-enable
