import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type Site } from '../../../../models/site';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemovePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePostRequestBody;
export declare function createRemovePostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovePostResponse;
export declare function deserializeIntoRemovePostRequestBody(removePostRequestBody?: RemovePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoRemovePostResponse(removePostResponse?: RemovePostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: Site[];
}
export interface RemovePostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Site[];
}
export declare function serializeRemovePostRequestBody(writer: SerializationWriter, removePostRequestBody?: RemovePostRequestBody | undefined): void;
export declare function serializeRemovePostResponse(writer: SerializationWriter, removePostResponse?: RemovePostResponse | undefined): void;
/**
 * Provides operations to call the remove method.
 */
export declare class RemoveRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RemoveRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Unfollow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemovePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/site-unfollow?view=graph-rest-1.0|Find more info here}
     */
    post(body: RemovePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<RemovePostResponse | undefined>;
    /**
     * Unfollow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: RemovePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removeRequestBuilder
     */
    withUrl(rawUrl: string): RemoveRequestBuilder;
}
