"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoveRequestBuilder = exports.serializeRemovePostResponse = exports.serializeRemovePostRequestBody = exports.deserializeIntoRemovePostResponse = exports.deserializeIntoRemovePostRequestBody = exports.createRemovePostResponseFromDiscriminatorValue = exports.createRemovePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const site_1 = require("../../../../models/site");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRemovePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemovePostRequestBody;
}
exports.createRemovePostRequestBodyFromDiscriminatorValue = createRemovePostRequestBodyFromDiscriminatorValue;
function createRemovePostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemovePostResponse;
}
exports.createRemovePostResponseFromDiscriminatorValue = createRemovePostResponseFromDiscriminatorValue;
function deserializeIntoRemovePostRequestBody(removePostRequestBody = {}) {
    return {
        "value": n => { removePostRequestBody.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRemovePostRequestBody = deserializeIntoRemovePostRequestBody;
function deserializeIntoRemovePostResponse(removePostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(removePostResponse)), { "value": n => { removePostResponse.value = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); } });
}
exports.deserializeIntoRemovePostResponse = deserializeIntoRemovePostResponse;
function serializeRemovePostRequestBody(writer, removePostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("value", removePostRequestBody.value, site_1.serializeSite);
    writer.writeAdditionalData(removePostRequestBody.additionalData);
}
exports.serializeRemovePostRequestBody = serializeRemovePostRequestBody;
function serializeRemovePostResponse(writer, removePostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, removePostResponse);
    writer.writeCollectionOfObjectValues("value", removePostResponse.value, site_1.serializeSite);
}
exports.serializeRemovePostResponse = serializeRemovePostResponse;
/**
 * Provides operations to call the remove method.
 */
class RemoveRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RemoveRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/sites/remove");
    }
    ;
    /**
     * Unfollow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RemovePostResponse
     * @see {@link https://learn.microsoft.com/graph/api/site-unfollow?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createRemovePostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Unfollow a user's site or multiple sites.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRemovePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RemoveRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RemoveRequestBuilder = RemoveRequestBuilder;
// tslint:enable
// eslint-enable
