"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloneRequestBuilder = exports.serializeClonePostRequestBody = exports.deserializeIntoClonePostRequestBody = exports.createClonePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const clonableTeamParts_1 = require("../../../../models/clonableTeamParts");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const teamVisibilityType_1 = require("../../../../models/teamVisibilityType");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createClonePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoClonePostRequestBody;
}
exports.createClonePostRequestBodyFromDiscriminatorValue = createClonePostRequestBodyFromDiscriminatorValue;
function deserializeIntoClonePostRequestBody(clonePostRequestBody = {}) {
    return {
        "classification": n => { clonePostRequestBody.classification = n.getStringValue(); },
        "description": n => { clonePostRequestBody.description = n.getStringValue(); },
        "displayName": n => { clonePostRequestBody.displayName = n.getStringValue(); },
        "mailNickname": n => { clonePostRequestBody.mailNickname = n.getStringValue(); },
        "partsToClone": n => { clonePostRequestBody.partsToClone = n.getCollectionOfEnumValues(clonableTeamParts_1.ClonableTeamParts); },
        "visibility": n => { clonePostRequestBody.visibility = n.getEnumValue(teamVisibilityType_1.TeamVisibilityType); },
    };
}
exports.deserializeIntoClonePostRequestBody = deserializeIntoClonePostRequestBody;
function serializeClonePostRequestBody(writer, clonePostRequestBody = {}) {
    writer.writeStringValue("classification", clonePostRequestBody.classification);
    writer.writeStringValue("description", clonePostRequestBody.description);
    writer.writeStringValue("displayName", clonePostRequestBody.displayName);
    writer.writeStringValue("mailNickname", clonePostRequestBody.mailNickname);
    writer.writeEnumValue("partsToClone", clonePostRequestBody.partsToClone);
    writer.writeEnumValue("visibility", clonePostRequestBody.visibility);
    writer.writeAdditionalData(clonePostRequestBody.additionalData);
}
exports.serializeClonePostRequestBody = serializeClonePostRequestBody;
/**
 * Provides operations to call the clone method.
 */
class CloneRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CloneRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/team/clone");
    }
    ;
    /**
     * Create a copy of a team. This operation also creates a copy of the corresponding group.You can specify which parts of the team to clone: When tabs are cloned, they aren't configured. The tabs are displayed on the tab bar in Microsoft Teams, and the first time a user opens them, they must go through the configuration screen. If the user who opens the tab doesn't have permission to configure apps, they'll see a message that says that the tab isn't configured. Cloning is a long-running operation. After the POST clone returns, you need to GET the operation returned by the Location: header to see if it's running, succeeded, or failed. You should continue to GET until the status isn't running. The recommended delay between GETs is 5 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/team-clone?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Create a copy of a team. This operation also creates a copy of the corresponding group.You can specify which parts of the team to clone: When tabs are cloned, they aren't configured. The tabs are displayed on the tab bar in Microsoft Teams, and the first time a user opens them, they must go through the configuration screen. If the user who opens the tab doesn't have permission to configure apps, they'll see a message that says that the tab isn't configured. Cloning is a long-running operation. After the POST clone returns, you need to GET the operation returned by the Location: header to see if it's running, succeeded, or failed. You should continue to GET until the status isn't running. The recommended delay between GETs is 5 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeClonePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a cloneRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CloneRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CloneRequestBuilder = CloneRequestBuilder;
// tslint:enable
// eslint-enable
