import { type TeamsAppPermissionSet } from '../../../../../../models/teamsAppPermissionSet';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpgradePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpgradePostRequestBody;
export declare function deserializeIntoUpgradePostRequestBody(upgradePostRequestBody?: UpgradePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpgradePostRequestBody(writer: SerializationWriter, upgradePostRequestBody?: UpgradePostRequestBody | undefined): void;
export interface UpgradePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The consentedPermissionSet property
     */
    consentedPermissionSet?: TeamsAppPermissionSet;
}
/**
 * Provides operations to call the upgrade method.
 */
export declare class UpgradeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UpgradeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Upgrade an app installation within a chat.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-teamsappinstallation-upgrade?view=graph-rest-1.0|Find more info here}
     */
    post(body: UpgradePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Upgrade an app installation within a chat.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UpgradePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a upgradeRequestBuilder
     */
    withUrl(rawUrl: string): UpgradeRequestBuilder;
}
