import { type ResourceSpecificPermissionGrant } from '../../../../../models/resourceSpecificPermissionGrant';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ResourceSpecificPermissionGrantItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the permissionGrants property of the microsoft.graph.team entity.
 */
export declare class ResourceSpecificPermissionGrantItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ResourceSpecificPermissionGrantItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property permissionGrants for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * A collection of permissions granted to apps to access the team.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ResourceSpecificPermissionGrant
     */
    get(requestConfiguration?: RequestConfiguration<ResourceSpecificPermissionGrantItemRequestBuilderGetQueryParameters> | undefined): Promise<ResourceSpecificPermissionGrant | undefined>;
    /**
     * Update the navigation property permissionGrants in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ResourceSpecificPermissionGrant
     */
    patch(body: ResourceSpecificPermissionGrant, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ResourceSpecificPermissionGrant | undefined>;
    /**
     * Delete navigation property permissionGrants for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * A collection of permissions granted to apps to access the team.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ResourceSpecificPermissionGrantItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property permissionGrants in groups
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ResourceSpecificPermissionGrant, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ResourceSpecificPermissionGrantItemRequestBuilder
     */
    withUrl(rawUrl: string): ResourceSpecificPermissionGrantItemRequestBuilder;
}
