"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsetReactionRequestBuilder = exports.serializeUnsetReactionPostRequestBody = exports.deserializeIntoUnsetReactionPostRequestBody = exports.createUnsetReactionPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUnsetReactionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnsetReactionPostRequestBody;
}
exports.createUnsetReactionPostRequestBodyFromDiscriminatorValue = createUnsetReactionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUnsetReactionPostRequestBody(unsetReactionPostRequestBody = {}) {
    return {
        "reactionType": n => { unsetReactionPostRequestBody.reactionType = n.getStringValue(); },
    };
}
exports.deserializeIntoUnsetReactionPostRequestBody = deserializeIntoUnsetReactionPostRequestBody;
function serializeUnsetReactionPostRequestBody(writer, unsetReactionPostRequestBody = {}) {
    writer.writeStringValue("reactionType", unsetReactionPostRequestBody.reactionType);
    writer.writeAdditionalData(unsetReactionPostRequestBody.additionalData);
}
exports.serializeUnsetReactionPostRequestBody = serializeUnsetReactionPostRequestBody;
/**
 * Provides operations to call the unsetReaction method.
 */
class UnsetReactionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UnsetReactionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/team/primaryChannel/messages/{chatMessage%2Did}/unsetReaction");
    }
    ;
    /**
     * Invoke action unsetReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action unsetReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUnsetReactionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a unsetReactionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UnsetReactionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UnsetReactionRequestBuilder = UnsetReactionRequestBuilder;
// tslint:enable
// eslint-enable
