import { type Post } from '../../../../../../models/';
import { AttachmentsRequestBuilder } from './attachments/';
import { ExtensionsRequestBuilder } from './extensions/';
import { ForwardRequestBuilder } from './forward/';
import { InReplyToRequestBuilder } from './inReplyTo/';
import { ReplyRequestBuilder } from './reply/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface PostItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the posts property of the microsoft.graph.conversationThread entity.
 */
export declare class PostItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the attachments property of the microsoft.graph.post entity.
     */
    get attachments(): AttachmentsRequestBuilder;
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.post entity.
     */
    get extensions(): ExtensionsRequestBuilder;
    /**
     * Provides operations to call the forward method.
     */
    get forward(): ForwardRequestBuilder;
    /**
     * Provides operations to manage the inReplyTo property of the microsoft.graph.post entity.
     */
    get inReplyTo(): InReplyToRequestBuilder;
    /**
     * Provides operations to call the reply method.
     */
    get reply(): ReplyRequestBuilder;
    /**
     * Instantiates a new PostItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get posts from groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Post
     */
    get(requestConfiguration?: RequestConfiguration<PostItemRequestBuilderGetQueryParameters> | undefined): Promise<Post | undefined>;
    /**
     * Get posts from groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<PostItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a PostItemRequestBuilder
     */
    withUrl(rawUrl: string): PostItemRequestBuilder;
}
