"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReplyRequestBuilder = exports.serializeReplyPostRequestBody = exports.deserializeIntoReplyPostRequestBody = exports.createReplyPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const post_1 = require("../../../../../models/post");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createReplyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReplyPostRequestBody;
}
exports.createReplyPostRequestBodyFromDiscriminatorValue = createReplyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoReplyPostRequestBody(replyPostRequestBody = {}) {
    return {
        "post": n => { replyPostRequestBody.post = n.getObjectValue(post_1.createPostFromDiscriminatorValue); },
    };
}
exports.deserializeIntoReplyPostRequestBody = deserializeIntoReplyPostRequestBody;
function serializeReplyPostRequestBody(writer, replyPostRequestBody = {}) {
    writer.writeObjectValue("Post", replyPostRequestBody.post, post_1.serializePost);
    writer.writeAdditionalData(replyPostRequestBody.additionalData);
}
exports.serializeReplyPostRequestBody = serializeReplyPostRequestBody;
/**
 * Provides operations to call the reply method.
 */
class ReplyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ReplyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/groups/{group%2Did}/threads/{conversationThread%2Did}/reply");
    }
    ;
    /**
     * Add an attachment when creating a group post. This operation limits the size of the attachment you can add to under 3 MB. An attachment can be one of the following types: All these types of attachment resources are derived from the attachmentresource.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/post-post-attachments?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Add an attachment when creating a group post. This operation limits the size of the attachment you can add to under 3 MB. An attachment can be one of the following types: All these types of attachment resources are derived from the attachmentresource.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeReplyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a replyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReplyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReplyRequestBuilder = ReplyRequestBuilder;
// tslint:enable
// eslint-enable
