"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UploadClientCertificateRequestBuilder = exports.serializeUploadClientCertificatePostRequestBody = exports.deserializeIntoUploadClientCertificatePostRequestBody = exports.createUploadClientCertificatePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const identityApiConnector_1 = require("../../../../models/identityApiConnector");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUploadClientCertificatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUploadClientCertificatePostRequestBody;
}
exports.createUploadClientCertificatePostRequestBodyFromDiscriminatorValue = createUploadClientCertificatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoUploadClientCertificatePostRequestBody(uploadClientCertificatePostRequestBody = {}) {
    return {
        "password": n => { uploadClientCertificatePostRequestBody.password = n.getStringValue(); },
        "pkcs12Value": n => { uploadClientCertificatePostRequestBody.pkcs12Value = n.getStringValue(); },
    };
}
exports.deserializeIntoUploadClientCertificatePostRequestBody = deserializeIntoUploadClientCertificatePostRequestBody;
function serializeUploadClientCertificatePostRequestBody(writer, uploadClientCertificatePostRequestBody = {}) {
    writer.writeStringValue("password", uploadClientCertificatePostRequestBody.password);
    writer.writeStringValue("pkcs12Value", uploadClientCertificatePostRequestBody.pkcs12Value);
    writer.writeAdditionalData(uploadClientCertificatePostRequestBody.additionalData);
}
exports.serializeUploadClientCertificatePostRequestBody = serializeUploadClientCertificatePostRequestBody;
/**
 * Provides operations to call the uploadClientCertificate method.
 */
class UploadClientCertificateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UploadClientCertificateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identity/apiConnectors/{identityApiConnector%2Did}/uploadClientCertificate");
    }
    ;
    /**
     * Upload a PKCS 12 format key (.pfx) to an API connector's authentication configuration. The input is a base-64 encoded value of the PKCS 12 certificate contents. This method returns an apiConnector.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IdentityApiConnector
     * @see {@link https://learn.microsoft.com/graph/api/identityapiconnector-uploadclientcertificate?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, identityApiConnector_1.createIdentityApiConnectorFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Upload a PKCS 12 format key (.pfx) to an API connector's authentication configuration. The input is a base-64 encoded value of the PKCS 12 certificate contents. This method returns an apiConnector.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUploadClientCertificatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a uploadClientCertificateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UploadClientCertificateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UploadClientCertificateRequestBuilder = UploadClientCertificateRequestBuilder;
// tslint:enable
// eslint-enable
