import { type IdentityApiConnector } from '../../../../../models/identityApiConnector';
import { RefRequestBuilder } from './ref/';
import { UploadClientCertificateRequestBuilder } from './uploadClientCertificate/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface PostAttributeCollectionRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the postAttributeCollection property of the microsoft.graph.userFlowApiConnectorConfiguration entity.
 */
export declare class PostAttributeCollectionRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the collection of identityContainer entities.
     */
    get ref(): RefRequestBuilder;
    /**
     * Provides operations to call the uploadClientCertificate method.
     */
    get uploadClientCertificate(): UploadClientCertificateRequestBuilder;
    /**
     * Instantiates a new PostAttributeCollectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property postAttributeCollection for identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Get postAttributeCollection from identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IdentityApiConnector
     */
    get(requestConfiguration?: RequestConfiguration<PostAttributeCollectionRequestBuilderGetQueryParameters> | undefined): Promise<IdentityApiConnector | undefined>;
    /**
     * Update the navigation property postAttributeCollection in identity
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IdentityApiConnector
     */
    patch(body: IdentityApiConnector, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<IdentityApiConnector | undefined>;
    /**
     * Delete navigation property postAttributeCollection for identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Get postAttributeCollection from identity
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<PostAttributeCollectionRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property postAttributeCollection in identity
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: IdentityApiConnector, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a postAttributeCollectionRequestBuilder
     */
    withUrl(rawUrl: string): PostAttributeCollectionRequestBuilder;
}
