import { type IdentityUserFlowAttributeAssignment } from '../../../../../models/identityUserFlowAttributeAssignment';
import { UserAttributeRequestBuilder } from './userAttribute/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface IdentityUserFlowAttributeAssignmentItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the userAttributeAssignments property of the microsoft.graph.b2xIdentityUserFlow entity.
 */
export declare class IdentityUserFlowAttributeAssignmentItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the userAttribute property of the microsoft.graph.identityUserFlowAttributeAssignment entity.
     */
    get userAttribute(): UserAttributeRequestBuilder;
    /**
     * Instantiates a new IdentityUserFlowAttributeAssignmentItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete an identityUserFlowAttributeAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/identityuserflowattributeassignment-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read the properties and relationships of an identityUserFlowAttributeAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IdentityUserFlowAttributeAssignment
     * @see {@link https://learn.microsoft.com/graph/api/identityuserflowattributeassignment-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<IdentityUserFlowAttributeAssignmentItemRequestBuilderGetQueryParameters> | undefined): Promise<IdentityUserFlowAttributeAssignment | undefined>;
    /**
     * Update the properties of a identityUserFlowAttributeAssignment object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IdentityUserFlowAttributeAssignment
     * @see {@link https://learn.microsoft.com/graph/api/identityuserflowattributeassignment-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: IdentityUserFlowAttributeAssignment, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<IdentityUserFlowAttributeAssignment | undefined>;
    /**
     * Delete an identityUserFlowAttributeAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read the properties and relationships of an identityUserFlowAttributeAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<IdentityUserFlowAttributeAssignmentItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a identityUserFlowAttributeAssignment object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: IdentityUserFlowAttributeAssignment, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a IdentityUserFlowAttributeAssignmentItemRequestBuilder
     */
    withUrl(rawUrl: string): IdentityUserFlowAttributeAssignmentItemRequestBuilder;
}
