import { type AssignmentOrder } from '../../../../../models/assignmentOrder';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetOrderPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetOrderPostRequestBody;
export declare function deserializeIntoSetOrderPostRequestBody(setOrderPostRequestBody?: SetOrderPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetOrderPostRequestBody(writer: SerializationWriter, setOrderPostRequestBody?: SetOrderPostRequestBody | undefined): void;
export interface SetOrderPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The newAssignmentOrder property
     */
    newAssignmentOrder?: AssignmentOrder;
}
/**
 * Provides operations to call the setOrder method.
 */
export declare class SetOrderRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetOrderRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Set the order of identityUserFlowAttributeAssignments being collected within a user flow.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/identityuserflowattributeassignment-setorder?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetOrderPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Set the order of identityUserFlowAttributeAssignments being collected within a user flow.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetOrderPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setOrderRequestBuilder
     */
    withUrl(rawUrl: string): SetOrderRequestBuilder;
}
