"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetOrderRequestBuilder = exports.serializeSetOrderPostRequestBody = exports.deserializeIntoSetOrderPostRequestBody = exports.createSetOrderPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const assignmentOrder_1 = require("../../../../../models/assignmentOrder");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetOrderPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetOrderPostRequestBody;
}
exports.createSetOrderPostRequestBodyFromDiscriminatorValue = createSetOrderPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetOrderPostRequestBody(setOrderPostRequestBody = {}) {
    return {
        "newAssignmentOrder": n => { setOrderPostRequestBody.newAssignmentOrder = n.getObjectValue(assignmentOrder_1.createAssignmentOrderFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSetOrderPostRequestBody = deserializeIntoSetOrderPostRequestBody;
function serializeSetOrderPostRequestBody(writer, setOrderPostRequestBody = {}) {
    writer.writeObjectValue("newAssignmentOrder", setOrderPostRequestBody.newAssignmentOrder, assignmentOrder_1.serializeAssignmentOrder);
    writer.writeAdditionalData(setOrderPostRequestBody.additionalData);
}
exports.serializeSetOrderPostRequestBody = serializeSetOrderPostRequestBody;
/**
 * Provides operations to call the setOrder method.
 */
class SetOrderRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetOrderRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identity/b2xUserFlows/{b2xIdentityUserFlow%2Did}/userAttributeAssignments/setOrder");
    }
    ;
    /**
     * Set the order of identityUserFlowAttributeAssignments being collected within a user flow.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/identityuserflowattributeassignment-setorder?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Set the order of identityUserFlowAttributeAssignments being collected within a user flow.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetOrderPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setOrderRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetOrderRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetOrderRequestBuilder = SetOrderRequestBuilder;
// tslint:enable
// eslint-enable
