import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BatchRecordDecisionsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The decision property
     */
    decision?: string;
    /**
     * The justification property
     */
    justification?: string;
    /**
     * The principalId property
     */
    principalId?: string;
    /**
     * The resourceId property
     */
    resourceId?: string;
}
export declare function createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBatchRecordDecisionsPostRequestBody;
export declare function deserializeIntoBatchRecordDecisionsPostRequestBody(batchRecordDecisionsPostRequestBody?: BatchRecordDecisionsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBatchRecordDecisionsPostRequestBody(writer: SerializationWriter, batchRecordDecisionsPostRequestBody?: BatchRecordDecisionsPostRequestBody | undefined): void;
/**
 * Provides operations to call the batchRecordDecisions method.
 */
export declare class BatchRecordDecisionsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new BatchRecordDecisionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Enables reviewers to review all accessReviewInstanceDecisionItem objects in batches by using principalId, resourceId, or neither.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/accessreviewinstance-batchrecorddecisions?view=graph-rest-1.0|Find more info here}
     */
    post(body: BatchRecordDecisionsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Enables reviewers to review all accessReviewInstanceDecisionItem objects in batches by using principalId, resourceId, or neither.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: BatchRecordDecisionsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a batchRecordDecisionsRequestBuilder
     */
    withUrl(rawUrl: string): BatchRecordDecisionsRequestBuilder;
}
