"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchRecordDecisionsRequestBuilder = exports.serializeBatchRecordDecisionsPostRequestBody = exports.deserializeIntoBatchRecordDecisionsPostRequestBody = exports.createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBatchRecordDecisionsPostRequestBody;
}
exports.createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue = createBatchRecordDecisionsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoBatchRecordDecisionsPostRequestBody(batchRecordDecisionsPostRequestBody = {}) {
    return {
        "decision": n => { batchRecordDecisionsPostRequestBody.decision = n.getStringValue(); },
        "justification": n => { batchRecordDecisionsPostRequestBody.justification = n.getStringValue(); },
        "principalId": n => { batchRecordDecisionsPostRequestBody.principalId = n.getStringValue(); },
        "resourceId": n => { batchRecordDecisionsPostRequestBody.resourceId = n.getStringValue(); },
    };
}
exports.deserializeIntoBatchRecordDecisionsPostRequestBody = deserializeIntoBatchRecordDecisionsPostRequestBody;
function serializeBatchRecordDecisionsPostRequestBody(writer, batchRecordDecisionsPostRequestBody = {}) {
    writer.writeStringValue("decision", batchRecordDecisionsPostRequestBody.decision);
    writer.writeStringValue("justification", batchRecordDecisionsPostRequestBody.justification);
    writer.writeStringValue("principalId", batchRecordDecisionsPostRequestBody.principalId);
    writer.writeStringValue("resourceId", batchRecordDecisionsPostRequestBody.resourceId);
    writer.writeAdditionalData(batchRecordDecisionsPostRequestBody.additionalData);
}
exports.serializeBatchRecordDecisionsPostRequestBody = serializeBatchRecordDecisionsPostRequestBody;
/**
 * Provides operations to call the batchRecordDecisions method.
 */
class BatchRecordDecisionsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new BatchRecordDecisionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/accessReviews/definitions/{accessReviewScheduleDefinition%2Did}/instances/{accessReviewInstance%2Did}/batchRecordDecisions");
    }
    ;
    /**
     * Enables reviewers to review all accessReviewInstanceDecisionItem objects in batches by using principalId, resourceId, or neither.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/accessreviewinstance-batchrecorddecisions?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Enables reviewers to review all accessReviewInstanceDecisionItem objects in batches by using principalId, resourceId, or neither.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeBatchRecordDecisionsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a batchRecordDecisionsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new BatchRecordDecisionsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.BatchRecordDecisionsRequestBuilder = BatchRecordDecisionsRequestBuilder;
// tslint:enable
// eslint-enable
