"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterByCurrentUserWithOnRequestBuilder = exports.serializeFilterByCurrentUserWithOnGetResponse = exports.deserializeIntoFilterByCurrentUserWithOnGetResponse = exports.createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const approval_1 = require("../../../../models/approval");
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFilterByCurrentUserWithOnGetResponse;
}
exports.createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue = createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue;
function deserializeIntoFilterByCurrentUserWithOnGetResponse(filterByCurrentUserWithOnGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(filterByCurrentUserWithOnGetResponse)), { "value": n => { filterByCurrentUserWithOnGetResponse.value = n.getCollectionOfObjectValues(approval_1.createApprovalFromDiscriminatorValue); } });
}
exports.deserializeIntoFilterByCurrentUserWithOnGetResponse = deserializeIntoFilterByCurrentUserWithOnGetResponse;
function serializeFilterByCurrentUserWithOnGetResponse(writer, filterByCurrentUserWithOnGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, filterByCurrentUserWithOnGetResponse);
    writer.writeCollectionOfObjectValues("value", filterByCurrentUserWithOnGetResponse.value, approval_1.serializeApproval);
}
exports.serializeFilterByCurrentUserWithOnGetResponse = serializeFilterByCurrentUserWithOnGetResponse;
/**
 * Provides operations to call the filterByCurrentUser method.
 */
class FilterByCurrentUserWithOnRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FilterByCurrentUserWithOnRequestBuilder and sets the default values.
     * @param on Usage: on='{on}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, on) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/entitlementManagement/accessPackageAssignmentApprovals/filterByCurrentUser(on='{on}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["on"] = on;
    }
    ;
    /**
     * Invoke function filterByCurrentUser
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FilterByCurrentUserWithOnGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createFilterByCurrentUserWithOnGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function filterByCurrentUser
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, filterByCurrentUserWithOnRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a filterByCurrentUserWithOnRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FilterByCurrentUserWithOnRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FilterByCurrentUserWithOnRequestBuilder = FilterByCurrentUserWithOnRequestBuilder;
const filterByCurrentUserWithOnRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
