import { type AccessPackageAssignmentRequestRequirements } from '../../../../../models/accessPackageAssignmentRequestRequirements';
import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetApplicablePolicyRequirementsPostResponse;
export declare function deserializeIntoGetApplicablePolicyRequirementsPostResponse(getApplicablePolicyRequirementsPostResponse?: GetApplicablePolicyRequirementsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetApplicablePolicyRequirementsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignmentRequestRequirements[];
}
export declare function serializeGetApplicablePolicyRequirementsPostResponse(writer: SerializationWriter, getApplicablePolicyRequirementsPostResponse?: GetApplicablePolicyRequirementsPostResponse | undefined): void;
/**
 * Provides operations to call the getApplicablePolicyRequirements method.
 */
export declare class GetApplicablePolicyRequirementsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetApplicablePolicyRequirementsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * In Microsoft Entra entitlement management, this action retrieves a list of accessPackageAssignmentRequestRequirements objects that the currently signed-in user can use to create an accessPackageAssignmentRequest.  Each requirement object corresponds to an access package assignment policy that the currently signed-in user is allowed to request an assignment for.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetApplicablePolicyRequirementsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/accesspackage-getapplicablepolicyrequirements?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetApplicablePolicyRequirementsPostResponse | undefined>;
    /**
     * In Microsoft Entra entitlement management, this action retrieves a list of accessPackageAssignmentRequestRequirements objects that the currently signed-in user can use to create an accessPackageAssignmentRequest.  Each requirement object corresponds to an access package assignment policy that the currently signed-in user is allowed to request an assignment for.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getApplicablePolicyRequirementsRequestBuilder
     */
    withUrl(rawUrl: string): GetApplicablePolicyRequirementsRequestBuilder;
}
