"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetApplicablePolicyRequirementsRequestBuilder = exports.serializeGetApplicablePolicyRequirementsPostResponse = exports.deserializeIntoGetApplicablePolicyRequirementsPostResponse = exports.createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const accessPackageAssignmentRequestRequirements_1 = require("../../../../../models/accessPackageAssignmentRequestRequirements");
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetApplicablePolicyRequirementsPostResponse;
}
exports.createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue = createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue;
function deserializeIntoGetApplicablePolicyRequirementsPostResponse(getApplicablePolicyRequirementsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getApplicablePolicyRequirementsPostResponse)), { "value": n => { getApplicablePolicyRequirementsPostResponse.value = n.getCollectionOfObjectValues(accessPackageAssignmentRequestRequirements_1.createAccessPackageAssignmentRequestRequirementsFromDiscriminatorValue); } });
}
exports.deserializeIntoGetApplicablePolicyRequirementsPostResponse = deserializeIntoGetApplicablePolicyRequirementsPostResponse;
function serializeGetApplicablePolicyRequirementsPostResponse(writer, getApplicablePolicyRequirementsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getApplicablePolicyRequirementsPostResponse);
    writer.writeCollectionOfObjectValues("value", getApplicablePolicyRequirementsPostResponse.value, accessPackageAssignmentRequestRequirements_1.serializeAccessPackageAssignmentRequestRequirements);
}
exports.serializeGetApplicablePolicyRequirementsPostResponse = serializeGetApplicablePolicyRequirementsPostResponse;
/**
 * Provides operations to call the getApplicablePolicyRequirements method.
 */
class GetApplicablePolicyRequirementsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetApplicablePolicyRequirementsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/entitlementManagement/accessPackages/{accessPackage%2Did}/getApplicablePolicyRequirements");
    }
    ;
    /**
     * In Microsoft Entra entitlement management, this action retrieves a list of accessPackageAssignmentRequestRequirements objects that the currently signed-in user can use to create an accessPackageAssignmentRequest.  Each requirement object corresponds to an access package assignment policy that the currently signed-in user is allowed to request an assignment for.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetApplicablePolicyRequirementsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/accesspackage-getapplicablepolicyrequirements?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetApplicablePolicyRequirementsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * In Microsoft Entra entitlement management, this action retrieves a list of accessPackageAssignmentRequestRequirements objects that the currently signed-in user can use to create an accessPackageAssignmentRequest.  Each requirement object corresponds to an access package assignment policy that the currently signed-in user is allowed to request an assignment for.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getApplicablePolicyRequirementsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetApplicablePolicyRequirementsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetApplicablePolicyRequirementsRequestBuilder = GetApplicablePolicyRequirementsRequestBuilder;
// tslint:enable
// eslint-enable
