import { type CustomCalloutExtension } from '../../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface CustomExtensionRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the customExtension property of the microsoft.graph.customExtensionStageSetting entity.
 */
export declare class CustomExtensionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CustomExtensionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Indicates the custom workflow extension that will be executed at this stage. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CustomCalloutExtension
     */
    get(requestConfiguration?: RequestConfiguration<CustomExtensionRequestBuilderGetQueryParameters> | undefined): Promise<CustomCalloutExtension | undefined>;
    /**
     * Indicates the custom workflow extension that will be executed at this stage. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<CustomExtensionRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a customExtensionRequestBuilder
     */
    withUrl(rawUrl: string): CustomExtensionRequestBuilder;
}
