import { type AccessPackageAssignment } from '../../../../models/accessPackageAssignment';
import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AdditionalAccessGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignment[];
}
export interface AdditionalAccessRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function createAdditionalAccessGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdditionalAccessGetResponse;
export declare function deserializeIntoAdditionalAccessGetResponse(additionalAccessGetResponse?: AdditionalAccessGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdditionalAccessGetResponse(writer: SerializationWriter, additionalAccessGetResponse?: AdditionalAccessGetResponse | undefined): void;
/**
 * Provides operations to call the additionalAccess method.
 */
export declare class AdditionalAccessRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AdditionalAccessRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AdditionalAccessGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<AdditionalAccessRequestBuilderGetQueryParameters> | undefined): Promise<AdditionalAccessGetResponse | undefined>;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AdditionalAccessRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a additionalAccessRequestBuilder
     */
    withUrl(rawUrl: string): AdditionalAccessRequestBuilder;
}
