"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdditionalAccessRequestBuilder = exports.serializeAdditionalAccessGetResponse = exports.deserializeIntoAdditionalAccessGetResponse = exports.createAdditionalAccessGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const accessPackageAssignment_1 = require("../../../../models/accessPackageAssignment");
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAdditionalAccessGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAdditionalAccessGetResponse;
}
exports.createAdditionalAccessGetResponseFromDiscriminatorValue = createAdditionalAccessGetResponseFromDiscriminatorValue;
function deserializeIntoAdditionalAccessGetResponse(additionalAccessGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(additionalAccessGetResponse)), { "value": n => { additionalAccessGetResponse.value = n.getCollectionOfObjectValues(accessPackageAssignment_1.createAccessPackageAssignmentFromDiscriminatorValue); } });
}
exports.deserializeIntoAdditionalAccessGetResponse = deserializeIntoAdditionalAccessGetResponse;
function serializeAdditionalAccessGetResponse(writer, additionalAccessGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, additionalAccessGetResponse);
    writer.writeCollectionOfObjectValues("value", additionalAccessGetResponse.value, accessPackageAssignment_1.serializeAccessPackageAssignment);
}
exports.serializeAdditionalAccessGetResponse = serializeAdditionalAccessGetResponse;
/**
 * Provides operations to call the additionalAccess method.
 */
class AdditionalAccessRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AdditionalAccessRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/entitlementManagement/assignments/additionalAccess(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AdditionalAccessGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAdditionalAccessGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, additionalAccessRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a additionalAccessRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AdditionalAccessRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AdditionalAccessRequestBuilder = AdditionalAccessRequestBuilder;
const additionalAccessRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
