import { type AccessPackageAssignment } from '../../../../models/accessPackageAssignment';
import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignment[];
}
export interface AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse;
export declare function deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse(additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse?: AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse(writer: SerializationWriter, additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse?: AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse | undefined): void;
/**
 * Provides operations to call the additionalAccess method.
 */
export declare class AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder and sets the default values.
     * @param accessPackageId Usage: accessPackageId='{accessPackageId}'
     * @param incompatibleAccessPackageId Usage: incompatibleAccessPackageId='{incompatibleAccessPackageId}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, accessPackageId?: string | undefined, incompatibleAccessPackageId?: string | undefined);
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilderGetQueryParameters> | undefined): Promise<AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse | undefined>;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder
     */
    withUrl(rawUrl: string): AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder;
}
