"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder = exports.serializeAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = exports.deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = exports.createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const accessPackageAssignment_1 = require("../../../../models/accessPackageAssignment");
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse;
}
exports.createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue = createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue;
function deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse(additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse)), { "value": n => { additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse.value = n.getCollectionOfObjectValues(accessPackageAssignment_1.createAccessPackageAssignmentFromDiscriminatorValue); } });
}
exports.deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = deserializeIntoAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse;
function serializeAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse(writer, additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse);
    writer.writeCollectionOfObjectValues("value", additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse.value, accessPackageAssignment_1.serializeAccessPackageAssignment);
}
exports.serializeAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse = serializeAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse;
/**
 * Provides operations to call the additionalAccess method.
 */
class AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder and sets the default values.
     * @param accessPackageId Usage: accessPackageId='{accessPackageId}'
     * @param incompatibleAccessPackageId Usage: incompatibleAccessPackageId='{incompatibleAccessPackageId}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, accessPackageId, incompatibleAccessPackageId) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/entitlementManagement/assignments/additionalAccess(accessPackageId='{accessPackageId}',incompatibleAccessPackageId='{incompatibleAccessPackageId}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["accessPackageId"] = accessPackageId;
        this.pathParameters["incompatibleAccessPackageId"] = incompatibleAccessPackageId;
    }
    ;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function additionalAccess
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder = AdditionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilder;
const additionalAccessWithAccessPackageIdWithIncompatibleAccessPackageIdRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
