import { type AccessPackageResourceScopeCollectionResponse } from '../../../../../../../../../models/';
import { type AccessPackageResourceScope } from '../../../../../../../../../models/accessPackageResourceScope';
import { CountRequestBuilder } from './count/';
import { AccessPackageResourceScopeItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ScopesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the scopes property of the microsoft.graph.accessPackageResource entity.
 */
export declare class ScopesRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the scopes property of the microsoft.graph.accessPackageResource entity.
     * @param accessPackageResourceScopeId1 The unique identifier of accessPackageResourceScope
     * @returns a AccessPackageResourceScopeItemRequestBuilder
     */
    byAccessPackageResourceScopeId1(accessPackageResourceScopeId1: string): AccessPackageResourceScopeItemRequestBuilder;
    /**
     * Instantiates a new ScopesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AccessPackageResourceScopeCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<ScopesRequestBuilderGetQueryParameters> | undefined): Promise<AccessPackageResourceScopeCollectionResponse | undefined>;
    /**
     * Create new navigation property to scopes for identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AccessPackageResourceScope
     */
    post(body: AccessPackageResourceScope, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AccessPackageResourceScope | undefined>;
    /**
     * Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ScopesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Create new navigation property to scopes for identityGovernance
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AccessPackageResourceScope, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a scopesRequestBuilder
     */
    withUrl(rawUrl: string): ScopesRequestBuilder;
}
