"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphIdentityGovernanceActivateRequestBuilder = exports.serializeActivatePostRequestBody = exports.deserializeIntoActivatePostRequestBody = exports.createActivatePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const user_1 = require("../../../../../../models/user");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createActivatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoActivatePostRequestBody;
}
exports.createActivatePostRequestBodyFromDiscriminatorValue = createActivatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoActivatePostRequestBody(activatePostRequestBody = {}) {
    return {
        "subjects": n => { activatePostRequestBody.subjects = n.getCollectionOfObjectValues(user_1.createUserFromDiscriminatorValue); },
    };
}
exports.deserializeIntoActivatePostRequestBody = deserializeIntoActivatePostRequestBody;
function serializeActivatePostRequestBody(writer, activatePostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("subjects", activatePostRequestBody.subjects, user_1.serializeUser);
    writer.writeAdditionalData(activatePostRequestBody.additionalData);
}
exports.serializeActivatePostRequestBody = serializeActivatePostRequestBody;
/**
 * Provides operations to call the activate method.
 */
class MicrosoftGraphIdentityGovernanceActivateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphIdentityGovernanceActivateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/lifecycleWorkflows/deletedItems/workflows/{workflow%2Did}/microsoft.graph.identityGovernance.activate");
    }
    ;
    /**
     * Run a workflow object on-demand. You can run any workflow on-demand, including scheduled workflows. Workflows created from the 'Real-time employee termination' template are run on-demand only. When you run a workflow on demand, the tasks are executed regardless of whether the user state matches the scope and trigger execution conditions.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/identitygovernance-workflow-activate?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Run a workflow object on-demand. You can run any workflow on-demand, including scheduled workflows. Workflows created from the 'Real-time employee termination' template are run on-demand only. When you run a workflow on demand, the tasks are executed regardless of whether the user state matches the scope and trigger execution conditions.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeActivatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphIdentityGovernanceActivateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphIdentityGovernanceActivateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphIdentityGovernanceActivateRequestBuilder = MicrosoftGraphIdentityGovernanceActivateRequestBuilder;
// tslint:enable
// eslint-enable
