"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphIdentityGovernanceResumeRequestBuilder = exports.serializeResumePostRequestBody = exports.deserializeIntoResumePostRequestBody = exports.createResumePostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const customTaskExtensionCallbackData_1 = require("../../../../../../../../../../../../models/identityGovernance/customTaskExtensionCallbackData");
const oDataError_1 = require("../../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createResumePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResumePostRequestBody;
}
exports.createResumePostRequestBodyFromDiscriminatorValue = createResumePostRequestBodyFromDiscriminatorValue;
function deserializeIntoResumePostRequestBody(resumePostRequestBody = {}) {
    return {
        "data": n => { resumePostRequestBody.data = n.getObjectValue(customTaskExtensionCallbackData_1.createCustomTaskExtensionCallbackDataFromDiscriminatorValue); },
        "source": n => { resumePostRequestBody.source = n.getStringValue(); },
        "type": n => { resumePostRequestBody.type = n.getStringValue(); },
    };
}
exports.deserializeIntoResumePostRequestBody = deserializeIntoResumePostRequestBody;
function serializeResumePostRequestBody(writer, resumePostRequestBody = {}) {
    writer.writeObjectValue("data", resumePostRequestBody.data, customTaskExtensionCallbackData_1.serializeCustomTaskExtensionCallbackData);
    writer.writeStringValue("source", resumePostRequestBody.source);
    writer.writeStringValue("type", resumePostRequestBody.type);
    writer.writeAdditionalData(resumePostRequestBody.additionalData);
}
exports.serializeResumePostRequestBody = serializeResumePostRequestBody;
/**
 * Provides operations to call the resume method.
 */
class MicrosoftGraphIdentityGovernanceResumeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphIdentityGovernanceResumeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/lifecycleWorkflows/deletedItems/workflows/{workflow%2Did}/runs/{run%2Did}/userProcessingResults/{userProcessingResult%2Did}/taskProcessingResults/{taskProcessingResult%2Did}/microsoft.graph.identityGovernance.resume");
    }
    ;
    /**
     * Resume a task processing result that's inProgress. In the default case an Azure Logic Apps system-assigned managed identity calls this API. For more information, see: Lifecycle Workflows extensibility approach.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/identitygovernance-taskprocessingresult-resume?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Resume a task processing result that's inProgress. In the default case an Azure Logic Apps system-assigned managed identity calls this API. For more information, see: Lifecycle Workflows extensibility approach.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeResumePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphIdentityGovernanceResumeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphIdentityGovernanceResumeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphIdentityGovernanceResumeRequestBuilder = MicrosoftGraphIdentityGovernanceResumeRequestBuilder;
// tslint:enable
// eslint-enable
