import { type Workflow } from '../../../../../models/identityGovernance/workflow';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateNewVersionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateNewVersionPostRequestBody;
export interface CreateNewVersionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The workflow property
     */
    workflow?: Workflow;
}
export declare function deserializeIntoCreateNewVersionPostRequestBody(createNewVersionPostRequestBody?: CreateNewVersionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateNewVersionPostRequestBody(writer: SerializationWriter, createNewVersionPostRequestBody?: CreateNewVersionPostRequestBody | undefined): void;
/**
 * Provides operations to call the createNewVersion method.
 */
export declare class MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Create a new version of the workflow object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Workflow
     * @see {@link https://learn.microsoft.com/graph/api/identitygovernance-workflow-createnewversion?view=graph-rest-1.0|Find more info here}
     */
    post(body: CreateNewVersionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<Workflow | undefined>;
    /**
     * Create a new version of the workflow object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: CreateNewVersionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphIdentityGovernanceCreateNewVersionRequestBuilder
     */
    withUrl(rawUrl: string): MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder;
}
