"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder = exports.serializeCreateNewVersionPostRequestBody = exports.deserializeIntoCreateNewVersionPostRequestBody = exports.createCreateNewVersionPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const workflow_1 = require("../../../../../models/identityGovernance/workflow");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateNewVersionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateNewVersionPostRequestBody;
}
exports.createCreateNewVersionPostRequestBodyFromDiscriminatorValue = createCreateNewVersionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateNewVersionPostRequestBody(createNewVersionPostRequestBody = {}) {
    return {
        "workflow": n => { createNewVersionPostRequestBody.workflow = n.getObjectValue(workflow_1.createWorkflowFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCreateNewVersionPostRequestBody = deserializeIntoCreateNewVersionPostRequestBody;
function serializeCreateNewVersionPostRequestBody(writer, createNewVersionPostRequestBody = {}) {
    writer.writeObjectValue("workflow", createNewVersionPostRequestBody.workflow, workflow_1.serializeWorkflow);
    writer.writeAdditionalData(createNewVersionPostRequestBody.additionalData);
}
exports.serializeCreateNewVersionPostRequestBody = serializeCreateNewVersionPostRequestBody;
/**
 * Provides operations to call the createNewVersion method.
 */
class MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/identityGovernance/lifecycleWorkflows/workflows/{workflow%2Did}/microsoft.graph.identityGovernance.createNewVersion");
    }
    ;
    /**
     * Create a new version of the workflow object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Workflow
     * @see {@link https://learn.microsoft.com/graph/api/identitygovernance-workflow-createnewversion?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workflow_1.createWorkflowFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create a new version of the workflow object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateNewVersionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphIdentityGovernanceCreateNewVersionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder = MicrosoftGraphIdentityGovernanceCreateNewVersionRequestBuilder;
// tslint:enable
// eslint-enable
