import { type TaskProcessingResult } from '../../../../../../../../models/identityGovernance/';
import { MicrosoftGraphIdentityGovernanceResumeRequestBuilder } from './microsoftGraphIdentityGovernanceResume/';
import { SubjectRequestBuilder } from './subject/';
import { TaskRequestBuilder } from './task/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface TaskProcessingResultItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the taskProcessingResults property of the microsoft.graph.identityGovernance.taskReport entity.
 */
export declare class TaskProcessingResultItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the resume method.
     */
    get microsoftGraphIdentityGovernanceResume(): MicrosoftGraphIdentityGovernanceResumeRequestBuilder;
    /**
     * Provides operations to manage the subject property of the microsoft.graph.identityGovernance.taskProcessingResult entity.
     */
    get subject(): SubjectRequestBuilder;
    /**
     * Provides operations to manage the task property of the microsoft.graph.identityGovernance.taskProcessingResult entity.
     */
    get task(): TaskRequestBuilder;
    /**
     * Instantiates a new TaskProcessingResultItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The related lifecycle workflow taskProcessingResults.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TaskProcessingResult
     */
    get(requestConfiguration?: RequestConfiguration<TaskProcessingResultItemRequestBuilderGetQueryParameters> | undefined): Promise<TaskProcessingResult | undefined>;
    /**
     * The related lifecycle workflow taskProcessingResults.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<TaskProcessingResultItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a TaskProcessingResultItemRequestBuilder
     */
    withUrl(rawUrl: string): TaskProcessingResultItemRequestBuilder;
}
