import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConfirmCompromisedPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The userIds property
     */
    userIds?: string[];
}
export declare function createConfirmCompromisedPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfirmCompromisedPostRequestBody;
export declare function deserializeIntoConfirmCompromisedPostRequestBody(confirmCompromisedPostRequestBody?: ConfirmCompromisedPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfirmCompromisedPostRequestBody(writer: SerializationWriter, confirmCompromisedPostRequestBody?: ConfirmCompromisedPostRequestBody | undefined): void;
/**
 * Provides operations to call the confirmCompromised method.
 */
export declare class ConfirmCompromisedRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ConfirmCompromisedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Confirm one or more riskyUser objects as compromised. This action sets the targeted user's risk level to high.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/riskyuser-confirmcompromised?view=graph-rest-1.0|Find more info here}
     */
    post(body: ConfirmCompromisedPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Confirm one or more riskyUser objects as compromised. This action sets the targeted user's risk level to high.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ConfirmCompromisedPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a confirmCompromisedRequestBuilder
     */
    withUrl(rawUrl: string): ConfirmCompromisedRequestBuilder;
}
