import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDismissPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDismissPostRequestBody;
export declare function deserializeIntoDismissPostRequestBody(dismissPostRequestBody?: DismissPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface DismissPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The userIds property
     */
    userIds?: string[];
}
export declare function serializeDismissPostRequestBody(writer: SerializationWriter, dismissPostRequestBody?: DismissPostRequestBody | undefined): void;
/**
 * Provides operations to call the dismiss method.
 */
export declare class DismissRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DismissRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Dismiss the risk of one or more riskyUser objects. This action sets the targeted user's risk level to none.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/riskyuser-dismiss?view=graph-rest-1.0|Find more info here}
     */
    post(body: DismissPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Dismiss the risk of one or more riskyUser objects. This action sets the targeted user's risk level to none.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: DismissPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a dismissRequestBuilder
     */
    withUrl(rawUrl: string): DismissRequestBuilder;
}
