import { type Bitlocker } from '../../models/';
import { RecoveryKeysRequestBuilder } from './recoveryKeys/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface BitlockerRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the bitlocker property of the microsoft.graph.informationProtection entity.
 */
export declare class BitlockerRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the recoveryKeys property of the microsoft.graph.bitlocker entity.
     */
    get recoveryKeys(): RecoveryKeysRequestBuilder;
    /**
     * Instantiates a new BitlockerRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get bitlocker from informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Bitlocker
     */
    get(requestConfiguration?: RequestConfiguration<BitlockerRequestBuilderGetQueryParameters> | undefined): Promise<Bitlocker | undefined>;
    /**
     * Get bitlocker from informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<BitlockerRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bitlockerRequestBuilder
     */
    withUrl(rawUrl: string): BitlockerRequestBuilder;
}
