"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitlockerRequestBuilder = void 0;
const bitlocker_1 = require("../../models/bitlocker");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const recoveryKeys_1 = require("./recoveryKeys/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the bitlocker property of the microsoft.graph.informationProtection entity.
 */
class BitlockerRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the recoveryKeys property of the microsoft.graph.bitlocker entity.
     */
    get recoveryKeys() {
        return new recoveryKeys_1.RecoveryKeysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new BitlockerRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/informationProtection/bitlocker{?%24select,%24expand}");
    }
    ;
    /**
     * Get bitlocker from informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Bitlocker
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, bitlocker_1.createBitlockerFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get bitlocker from informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, bitlockerRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a bitlockerRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new BitlockerRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.BitlockerRequestBuilder = BitlockerRequestBuilder;
const bitlockerRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
