import { type InformationProtection } from '../models/informationProtection';
import { BitlockerRequestBuilder } from './bitlocker/';
import { ThreatAssessmentRequestsRequestBuilder } from './threatAssessmentRequests/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface InformationProtectionRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the informationProtection singleton.
 */
export declare class InformationProtectionRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the bitlocker property of the microsoft.graph.informationProtection entity.
     */
    get bitlocker(): BitlockerRequestBuilder;
    /**
     * Provides operations to manage the threatAssessmentRequests property of the microsoft.graph.informationProtection entity.
     */
    get threatAssessmentRequests(): ThreatAssessmentRequestsRequestBuilder;
    /**
     * Instantiates a new InformationProtectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of InformationProtection
     */
    get(requestConfiguration?: RequestConfiguration<InformationProtectionRequestBuilderGetQueryParameters> | undefined): Promise<InformationProtection | undefined>;
    /**
     * Update informationProtection
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of InformationProtection
     */
    patch(body: InformationProtection, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<InformationProtection | undefined>;
    /**
     * Get informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<InformationProtectionRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update informationProtection
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: InformationProtection, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a informationProtectionRequestBuilder
     */
    withUrl(rawUrl: string): InformationProtectionRequestBuilder;
}
