import { type ConversationMember } from './conversationMember';
import { type User } from './user';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AadUserConversationMember extends ConversationMember, Parsable {
    /**
     * The email address of the user.
     */
    email?: string;
    /**
     * TenantId which the Microsoft Entra user belongs to.
     */
    tenantId?: string;
    /**
     * The user property
     */
    user?: User;
    /**
     * The guid of the user.
     */
    userId?: string;
}
export declare function createAadUserConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAadUserConversationMember;
export declare function deserializeIntoAadUserConversationMember(aadUserConversationMember?: AadUserConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAadUserConversationMember(writer: SerializationWriter, aadUserConversationMember?: AadUserConversationMember | undefined): void;
