import { type AccessPackageAssignmentPolicy } from './accessPackageAssignmentPolicy';
import { type AccessPackageCatalog } from './accessPackageCatalog';
import { type AccessPackageResourceRoleScope } from './accessPackageResourceRoleScope';
import { type Entity } from './entity';
import { type Group } from './group';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackage extends Entity, Parsable {
    /**
     * The access packages that are incompatible with this package. Read-only.
     */
    accessPackagesIncompatibleWith?: AccessPackage[];
    /**
     * Read-only. Nullable. Supports $expand.
     */
    assignmentPolicies?: AccessPackageAssignmentPolicy[];
    /**
     * Required when creating the access package. Read-only. Nullable.
     */
    catalog?: AccessPackageCatalog;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The description of the access package.
     */
    description?: string;
    /**
     * Required. The display name of the access package. Supports $filter (eq, contains).
     */
    displayName?: string;
    /**
     * The access packages whose assigned users are ineligible to be assigned this access package.
     */
    incompatibleAccessPackages?: AccessPackage[];
    /**
     * The groups whose members are ineligible to be assigned this access package.
     */
    incompatibleGroups?: Group[];
    /**
     * Whether the access package is hidden from the requestor.
     */
    isHidden?: boolean;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    modifiedDateTime?: Date;
    /**
     * The resource roles and scopes in this access package.
     */
    resourceRoleScopes?: AccessPackageResourceRoleScope[];
}
export declare function createAccessPackageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackage;
export declare function deserializeIntoAccessPackage(accessPackage?: AccessPackage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackage(writer: SerializationWriter, accessPackage?: AccessPackage | undefined): void;
