import { deserializeIntoAccessPackageAnswerString } from './accessPackageAnswerString';
import { type AccessPackageQuestion } from './accessPackageQuestion';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAnswer extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The answeredQuestion property
     */
    answeredQuestion?: AccessPackageQuestion;
    /**
     * The localized display value shown to the requestor and approvers.
     */
    displayValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessPackageAnswerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAnswerString;
export declare function deserializeIntoAccessPackageAnswer(accessPackageAnswer?: AccessPackageAnswer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAnswer(writer: SerializationWriter, accessPackageAnswer?: AccessPackageAnswer | undefined): void;
