import { type AccessPackageLocalizedText } from './accessPackageLocalizedText';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAnswerChoice extends AdditionalDataHolder, Parsable {
    /**
     * The actual value of the selected choice. This is typically a string value which is understandable by applications. Required.
     */
    actualValue?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text of the answer choice represented in a format for a specific locale.
     */
    localizations?: AccessPackageLocalizedText[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The text property
     */
    text?: string;
}
export declare function createAccessPackageAnswerChoiceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAnswerChoice;
export declare function deserializeIntoAccessPackageAnswerChoice(accessPackageAnswerChoice?: AccessPackageAnswerChoice | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAnswerChoice(writer: SerializationWriter, accessPackageAnswerChoice?: AccessPackageAnswerChoice | undefined): void;
