import { type AccessPackageApprovalStage } from './accessPackageApprovalStage';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentApprovalSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If false, then approval isn't required for new requests in this policy.
     */
    isApprovalRequiredForAdd?: boolean;
    /**
     * If false, then approval isn't required for updates to requests in this policy.
     */
    isApprovalRequiredForUpdate?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If approval is required, the one, two or three elements of this collection define each of the stages of approval. An empty array is present if no approval is required.
     */
    stages?: AccessPackageApprovalStage[];
}
export declare function createAccessPackageAssignmentApprovalSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentApprovalSettings;
export declare function deserializeIntoAccessPackageAssignmentApprovalSettings(accessPackageAssignmentApprovalSettings?: AccessPackageAssignmentApprovalSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentApprovalSettings(writer: SerializationWriter, accessPackageAssignmentApprovalSettings?: AccessPackageAssignmentApprovalSettings | undefined): void;
