import { AccessPackageCustomExtensionStage } from './accessPackageCustomExtensionStage';
import { type CustomExtensionData } from './customExtensionData';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentRequestCallbackData extends CustomExtensionData, Parsable {
    /**
     * Details for the callback.
     */
    customExtensionStageInstanceDetail?: string;
    /**
     * Unique identifier of the callout to the custom extension.
     */
    customExtensionStageInstanceId?: string;
    /**
     * Indicates the stage at which the custom callout extension is executed. The possible values are: assignmentRequestCreated, assignmentRequestApproved, assignmentRequestGranted, assignmentRequestRemoved, assignmentFourteenDaysBeforeExpiration, assignmentOneDayBeforeExpiration, unknownFutureValue.
     */
    stage?: AccessPackageCustomExtensionStage;
    /**
     * Allow the extension to be able to deny or cancel the request submitted by the requestor. The supported values are Denied and Canceled. This property can only be set for an assignmentRequestCreated stage.
     */
    state?: string;
}
export declare function createAccessPackageAssignmentRequestCallbackDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestCallbackData;
export declare function deserializeIntoAccessPackageAssignmentRequestCallbackData(accessPackageAssignmentRequestCallbackData?: AccessPackageAssignmentRequestCallbackData | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentRequestCallbackData(writer: SerializationWriter, accessPackageAssignmentRequestCallbackData?: AccessPackageAssignmentRequestCallbackData | undefined): void;
