import { type CustomCalloutExtension } from './customCalloutExtension';
import { type CustomExtensionCallbackConfiguration } from './customExtensionCallbackConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentRequestWorkflowExtension extends CustomCalloutExtension, Parsable {
    /**
     * The callback configuration for a custom extension.
     */
    callbackConfiguration?: CustomExtensionCallbackConfiguration;
    /**
     * The userPrincipalName of the user or identity of the subject that created this resource. Read-only.
     */
    createdBy?: string;
    /**
     * When the object was created.
     */
    createdDateTime?: Date;
    /**
     * The userPrincipalName of the identity that last modified the object.
     */
    lastModifiedBy?: string;
    /**
     * When the object was last modified.
     */
    lastModifiedDateTime?: Date;
}
export declare function createAccessPackageAssignmentRequestWorkflowExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestWorkflowExtension;
export declare function deserializeIntoAccessPackageAssignmentRequestWorkflowExtension(accessPackageAssignmentRequestWorkflowExtension?: AccessPackageAssignmentRequestWorkflowExtension | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentRequestWorkflowExtension(writer: SerializationWriter, accessPackageAssignmentRequestWorkflowExtension?: AccessPackageAssignmentRequestWorkflowExtension | undefined): void;
