import { type SubjectSet } from './subjectSet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentRequestorSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * False indicates that the requestor isn't permitted to include a schedule in their request.
     */
    allowCustomAssignmentSchedule?: boolean;
    /**
     * True allows on-behalf-of requestors to create a request to add access for another principal.
     */
    enableOnBehalfRequestorsToAddAccess?: boolean;
    /**
     * True allows on-behalf-of requestors to create a request to remove access for another principal.
     */
    enableOnBehalfRequestorsToRemoveAccess?: boolean;
    /**
     * True allows on-behalf-of requestors to create a request to update access for another principal.
     */
    enableOnBehalfRequestorsToUpdateAccess?: boolean;
    /**
     * True allows requestors to create a request to add access for themselves.
     */
    enableTargetsToSelfAddAccess?: boolean;
    /**
     * True allows requestors to create a request to remove their access.
     */
    enableTargetsToSelfRemoveAccess?: boolean;
    /**
     * True allows requestors to create a request to update their access.
     */
    enableTargetsToSelfUpdateAccess?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The principals who can request on-behalf-of others.
     */
    onBehalfRequestors?: SubjectSet[];
}
export declare function createAccessPackageAssignmentRequestorSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestorSettings;
export declare function deserializeIntoAccessPackageAssignmentRequestorSettings(accessPackageAssignmentRequestorSettings?: AccessPackageAssignmentRequestorSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentRequestorSettings(writer: SerializationWriter, accessPackageAssignmentRequestorSettings?: AccessPackageAssignmentRequestorSettings | undefined): void;
