import { type CustomCalloutExtension } from './customCalloutExtension';
import { type CustomExtensionCallbackConfiguration } from './customExtensionCallbackConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentWorkflowExtension extends CustomCalloutExtension, Parsable {
    /**
     * The callback configuration for a custom extension.
     */
    callbackConfiguration?: CustomExtensionCallbackConfiguration;
    /**
     * The userPrincipalName of the user or identity of the subject that created this resource. Read-only.
     */
    createdBy?: string;
    /**
     * When the entity was created.
     */
    createdDateTime?: Date;
    /**
     * The userPrincipalName of the identity that last modified the entity.
     */
    lastModifiedBy?: string;
    /**
     * When the entity was last modified.
     */
    lastModifiedDateTime?: Date;
}
export declare function createAccessPackageAssignmentWorkflowExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentWorkflowExtension;
export declare function deserializeIntoAccessPackageAssignmentWorkflowExtension(accessPackageAssignmentWorkflowExtension?: AccessPackageAssignmentWorkflowExtension | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentWorkflowExtension(writer: SerializationWriter, accessPackageAssignmentWorkflowExtension?: AccessPackageAssignmentWorkflowExtension | undefined): void;
