import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAutomaticRequestSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The duration for which access must be retained before the target's access is revoked once they leave the allowed target scope.
     */
    gracePeriodBeforeAccessRemoval?: Duration;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates whether automatic assignment must be removed for targets who move out of the allowed target scope.
     */
    removeAccessWhenTargetLeavesAllowedTargets?: boolean;
    /**
     * If set to true, automatic assignments will be created for targets in the allowed target scope.
     */
    requestAccessForAllowedTargets?: boolean;
}
export declare function createAccessPackageAutomaticRequestSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAutomaticRequestSettings;
export declare function deserializeIntoAccessPackageAutomaticRequestSettings(accessPackageAutomaticRequestSettings?: AccessPackageAutomaticRequestSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAutomaticRequestSettings(writer: SerializationWriter, accessPackageAutomaticRequestSettings?: AccessPackageAutomaticRequestSettings | undefined): void;
