import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageLocalizedText extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The language code that text is in. For example, 'en-us'. The language component follows 2-letter codes as defined in ISO 639-1, and the country component follows 2-letter codes as defined in ISO 3166-1 alpha-2. Required.
     */
    languageCode?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The question in the specific language. Required.
     */
    text?: string;
}
export declare function createAccessPackageLocalizedTextFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageLocalizedText;
export declare function deserializeIntoAccessPackageLocalizedText(accessPackageLocalizedText?: AccessPackageLocalizedText | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageLocalizedText(writer: SerializationWriter, accessPackageLocalizedText?: AccessPackageLocalizedText | undefined): void;
