import { type AccessPackageAnswerChoice } from './accessPackageAnswerChoice';
import { type AccessPackageQuestion } from './accessPackageQuestion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageMultipleChoiceQuestion extends AccessPackageQuestion, Parsable {
    /**
     * List of answer choices.
     */
    choices?: AccessPackageAnswerChoice[];
    /**
     * Indicates whether requestor can select multiple choices as their answer.
     */
    isMultipleSelectionAllowed?: boolean;
}
export declare function createAccessPackageMultipleChoiceQuestionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageMultipleChoiceQuestion;
export declare function deserializeIntoAccessPackageMultipleChoiceQuestion(accessPackageMultipleChoiceQuestion?: AccessPackageMultipleChoiceQuestion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageMultipleChoiceQuestion(writer: SerializationWriter, accessPackageMultipleChoiceQuestion?: AccessPackageMultipleChoiceQuestion | undefined): void;
