import { type AccessPackageLocalizedText } from './accessPackageLocalizedText';
import { deserializeIntoAccessPackageMultipleChoiceQuestion } from './accessPackageMultipleChoiceQuestion';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageQuestion extends Entity, Parsable {
    /**
     * Specifies whether the requestor is allowed to edit answers to questions for an assignment by posting an update to accessPackageAssignmentRequest.
     */
    isAnswerEditable?: boolean;
    /**
     * Whether the requestor is required to supply an answer or not.
     */
    isRequired?: boolean;
    /**
     * The text of the question represented in a format for a specific locale.
     */
    localizations?: AccessPackageLocalizedText[];
    /**
     * Relative position of this question when displaying a list of questions to the requestor.
     */
    sequence?: number;
    /**
     * The text of the question to show to the requestor.
     */
    text?: string;
}
export declare function createAccessPackageQuestionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageMultipleChoiceQuestion;
export declare function deserializeIntoAccessPackageQuestion(accessPackageQuestion?: AccessPackageQuestion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageQuestion(writer: SerializationWriter, accessPackageQuestion?: AccessPackageQuestion | undefined): void;
