import { type AccessPackageResourceEnvironment } from './accessPackageResourceEnvironment';
import { type AccessPackageResourceRole } from './accessPackageResourceRole';
import { type AccessPackageResourceScope } from './accessPackageResourceScope';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResource extends Entity, Parsable {
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
    /**
     * A description for the resource.
     */
    description?: string;
    /**
     * The display name of the resource, such as the application name, group name or site name.
     */
    displayName?: string;
    /**
     * Contains the environment information for the resource. This can be set using either the @odata.bind annotation or the environment's originId.Supports $expand.
     */
    environment?: AccessPackageResourceEnvironment;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    modifiedDateTime?: Date;
    /**
     * The unique identifier of the resource in the origin system. In the case of a Microsoft Entra group, this is the identifier of the group.
     */
    originId?: string;
    /**
     * The type of the resource in the origin system, such as SharePointOnline, AadApplication or AadGroup.
     */
    originSystem?: string;
    /**
     * Read-only. Nullable. Supports $expand.
     */
    roles?: AccessPackageResourceRole[];
    /**
     * Read-only. Nullable. Supports $expand.
     */
    scopes?: AccessPackageResourceScope[];
}
export declare function createAccessPackageResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResource;
export declare function deserializeIntoAccessPackageResource(accessPackageResource?: AccessPackageResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResource(writer: SerializationWriter, accessPackageResource?: AccessPackageResource | undefined): void;
