import { type AccessPackageResource } from './accessPackageResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceEnvironment extends Entity, Parsable {
    /**
     * The date and time that this object was created. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * The description of this object.
     */
    description?: string;
    /**
     * The display name of this object.
     */
    displayName?: string;
    /**
     * Determines whether this is default environment or not. It is set to true for all static origin systems, such as Microsoft Entra groups and Microsoft Entra Applications.
     */
    isDefaultEnvironment?: boolean;
    /**
     * The date and time that this object was last modified. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    modifiedDateTime?: Date;
    /**
     * The unique identifier of this environment in the origin system.
     */
    originId?: string;
    /**
     * The type of the resource in the origin system, that is, SharePointOnline. Requires $filter (eq).
     */
    originSystem?: string;
    /**
     * Read-only. Required.
     */
    resources?: AccessPackageResource[];
}
export declare function createAccessPackageResourceEnvironmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceEnvironment;
export declare function deserializeIntoAccessPackageResourceEnvironment(accessPackageResourceEnvironment?: AccessPackageResourceEnvironment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceEnvironment(writer: SerializationWriter, accessPackageResourceEnvironment?: AccessPackageResourceEnvironment | undefined): void;
