import { type AccessPackageResource } from './accessPackageResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceRole extends Entity, Parsable {
    /**
     * A description for the resource role.
     */
    description?: string;
    /**
     * The display name of the resource role such as the role defined by the application.
     */
    displayName?: string;
    /**
     * The unique identifier of the resource role in the origin system. For a SharePoint Online site, the originId will be the sequence number of the role in the site.
     */
    originId?: string;
    /**
     * The type of the resource in the origin system, such as SharePointOnline, AadApplication or AadGroup.
     */
    originSystem?: string;
    /**
     * The resource property
     */
    resource?: AccessPackageResource;
}
export declare function createAccessPackageResourceRoleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceRole;
export declare function deserializeIntoAccessPackageResourceRole(accessPackageResourceRole?: AccessPackageResourceRole | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceRole(writer: SerializationWriter, accessPackageResourceRole?: AccessPackageResourceRole | undefined): void;
