import { type AccessPackageResourceRole } from './accessPackageResourceRole';
import { type AccessPackageResourceScope } from './accessPackageResourceScope';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceRoleScope extends Entity, Parsable {
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    createdDateTime?: Date;
    /**
     * The role property
     */
    role?: AccessPackageResourceRole;
    /**
     * The scope property
     */
    scope?: AccessPackageResourceScope;
}
export declare function createAccessPackageResourceRoleScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceRoleScope;
export declare function deserializeIntoAccessPackageResourceRoleScope(accessPackageResourceRoleScope?: AccessPackageResourceRoleScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceRoleScope(writer: SerializationWriter, accessPackageResourceRoleScope?: AccessPackageResourceRoleScope | undefined): void;
