import { type AccessPackageResource } from './accessPackageResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceScope extends Entity, Parsable {
    /**
     * The description of the scope.
     */
    description?: string;
    /**
     * The display name of the scope.
     */
    displayName?: string;
    /**
     * True if the scopes are arranged in a hierarchy and this is the top or root scope of the resource.
     */
    isRootScope?: boolean;
    /**
     * The unique identifier for the scope in the resource as defined in the origin system.
     */
    originId?: string;
    /**
     * The origin system for the scope.
     */
    originSystem?: string;
    /**
     * The resource property
     */
    resource?: AccessPackageResource;
}
export declare function createAccessPackageResourceScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceScope;
export declare function deserializeIntoAccessPackageResourceScope(accessPackageResourceScope?: AccessPackageResourceScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceScope(writer: SerializationWriter, accessPackageResourceScope?: AccessPackageResourceScope | undefined): void;
