import { AccessPackageSubjectType } from './accessPackageSubjectType';
import { type ConnectedOrganization } from './connectedOrganization';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageSubject extends Entity, Parsable {
    /**
     * The connected organization of the subject. Read-only. Nullable.
     */
    connectedOrganization?: ConnectedOrganization;
    /**
     * The display name of the subject.
     */
    displayName?: string;
    /**
     * The email address of the subject.
     */
    email?: string;
    /**
     * The object identifier of the subject. null if the subject isn't yet a user in the tenant.
     */
    objectId?: string;
    /**
     * A string representation of the principal's security identifier, if known, or null if the subject doesn't have a security identifier.
     */
    onPremisesSecurityIdentifier?: string;
    /**
     * The principal name, if known, of the subject.
     */
    principalName?: string;
    /**
     * The resource type of the subject. The possible values are: notSpecified, user, servicePrincipal, unknownFutureValue.
     */
    subjectType?: AccessPackageSubjectType;
}
export declare function createAccessPackageSubjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageSubject;
export declare function deserializeIntoAccessPackageSubject(accessPackageSubject?: AccessPackageSubject | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageSubject(writer: SerializationWriter, accessPackageSubject?: AccessPackageSubject | undefined): void;
