import { type AccessPackageQuestion } from './accessPackageQuestion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageTextInputQuestion extends AccessPackageQuestion, Parsable {
    /**
     * Indicates whether the answer is in single or multiple line format.
     */
    isSingleLineQuestion?: boolean;
    /**
     * The regular expression pattern that any answer to this question must match.
     */
    regexPattern?: string;
}
export declare function createAccessPackageTextInputQuestionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageTextInputQuestion;
export declare function deserializeIntoAccessPackageTextInputQuestion(accessPackageTextInputQuestion?: AccessPackageTextInputQuestion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageTextInputQuestion(writer: SerializationWriter, accessPackageTextInputQuestion?: AccessPackageTextInputQuestion | undefined): void;
