import { type AccessReviewQueryScope } from './accessReviewQueryScope';
import { type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInactiveUsersQueryScope extends AccessReviewQueryScope, Parsable {
    /**
     * Defines the duration of inactivity. Inactivity is based on the last sign in date of the user compared to the access review instance's start date. If this property is not specified, it's assigned the default value PT0S.
     */
    inactiveDuration?: Duration;
}
export declare function createAccessReviewInactiveUsersQueryScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInactiveUsersQueryScope;
export declare function deserializeIntoAccessReviewInactiveUsersQueryScope(accessReviewInactiveUsersQueryScope?: AccessReviewInactiveUsersQueryScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInactiveUsersQueryScope(writer: SerializationWriter, accessReviewInactiveUsersQueryScope?: AccessReviewInactiveUsersQueryScope | undefined): void;
