import { type AccessReviewNotificationRecipientScope } from './accessReviewNotificationRecipientScope';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewNotificationRecipientItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Determines the recipient of the notification email.
     */
    notificationRecipientScope?: AccessReviewNotificationRecipientScope;
    /**
     * Indicates the type of access review email to be sent. Supported template type is CompletedAdditionalRecipients, which sends review completion notifications to the recipients.
     */
    notificationTemplateType?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessReviewNotificationRecipientItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewNotificationRecipientItem;
export declare function deserializeIntoAccessReviewNotificationRecipientItem(accessReviewNotificationRecipientItem?: AccessReviewNotificationRecipientItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewNotificationRecipientItem(writer: SerializationWriter, accessReviewNotificationRecipientItem?: AccessReviewNotificationRecipientItem | undefined): void;
