import { type AccessReviewNotificationRecipientScope } from './accessReviewNotificationRecipientScope';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewNotificationRecipientQueryScope extends AccessReviewNotificationRecipientScope, Parsable {
    /**
     * Represents the query for who the recipients are. For example, /groups/{group id}/members for group members and /users/{user id} for a specific user.
     */
    query?: string;
    /**
     * In the scenario where reviewers need to be specified dynamically, indicates the relative source of the query. This property is only required if a relative query (that is, ./manager) is specified.
     */
    queryRoot?: string;
    /**
     * Indicates the type of query. Allowed value is MicrosoftGraph.
     */
    queryType?: string;
}
export declare function createAccessReviewNotificationRecipientQueryScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewNotificationRecipientQueryScope;
export declare function deserializeIntoAccessReviewNotificationRecipientQueryScope(accessReviewNotificationRecipientQueryScope?: AccessReviewNotificationRecipientQueryScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewNotificationRecipientQueryScope(writer: SerializationWriter, accessReviewNotificationRecipientQueryScope?: AccessReviewNotificationRecipientQueryScope | undefined): void;
