import { deserializeIntoAccessReviewInactiveUsersQueryScope } from './accessReviewInactiveUsersQueryScope';
import { type AccessReviewScope } from './accessReviewScope';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewQueryScope extends AccessReviewScope, Parsable {
    /**
     * The query representing what will be reviewed in an access review.
     */
    query?: string;
    /**
     * In the scenario where reviewers need to be specified dynamically, this property is used to indicate the relative source of the query. This property is only required if a relative query is specified. For example, ./manager.
     */
    queryRoot?: string;
    /**
     * Indicates the type of query. Types include MicrosoftGraph and ARM.
     */
    queryType?: string;
}
export declare function createAccessReviewQueryScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInactiveUsersQueryScope;
export declare function deserializeIntoAccessReviewQueryScope(accessReviewQueryScope?: AccessReviewQueryScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewQueryScope(writer: SerializationWriter, accessReviewQueryScope?: AccessReviewQueryScope | undefined): void;
