import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewReviewer extends Entity, Parsable {
    /**
     * The date when the reviewer was added for the access review.
     */
    createdDateTime?: Date;
    /**
     * Name of reviewer.
     */
    displayName?: string;
    /**
     * User principal name of the reviewer.
     */
    userPrincipalName?: string;
}
export declare function createAccessReviewReviewerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewReviewer;
export declare function deserializeIntoAccessReviewReviewer(accessReviewReviewer?: AccessReviewReviewer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewReviewer(writer: SerializationWriter, accessReviewReviewer?: AccessReviewReviewer | undefined): void;
