import { type AccessReviewHistoryDefinition } from './accessReviewHistoryDefinition';
import { type AccessReviewScheduleDefinition } from './accessReviewScheduleDefinition';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewSet extends Entity, Parsable {
    /**
     * Represents the template and scheduling for an access review.
     */
    definitions?: AccessReviewScheduleDefinition[];
    /**
     * Represents a collection of access review history data and the scopes used to collect that data.
     */
    historyDefinitions?: AccessReviewHistoryDefinition[];
}
export declare function createAccessReviewSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewSet;
export declare function deserializeIntoAccessReviewSet(accessReviewSet?: AccessReviewSet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewSet(writer: SerializationWriter, accessReviewSet?: AccessReviewSet | undefined): void;
