import { AccountTargetContentType } from './accountTargetContentType';
import { deserializeIntoAddressBookAccountTargetContent } from './addressBookAccountTargetContent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccountTargetContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of account target content. Possible values are: unknown, includeAll, addressBook, unknownFutureValue.
     */
    type?: AccountTargetContentType;
}
export declare function createAccountTargetContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddressBookAccountTargetContent;
export declare function deserializeIntoAccountTargetContent(accountTargetContent?: AccountTargetContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccountTargetContent(writer: SerializationWriter, accountTargetContent?: AccountTargetContent | undefined): void;
