import { deserializeIntoAadUserConversationMemberResult } from './aadUserConversationMemberResult';
import { type PublicError } from './publicError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ActionResultPart extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error that occurred, if any, during the course of the bulk operation.
     */
    errorEscaped?: PublicError;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createActionResultPartFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAadUserConversationMemberResult;
export declare function deserializeIntoActionResultPart(actionResultPart?: ActionResultPart | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeActionResultPart(writer: SerializationWriter, actionResultPart?: ActionResultPart | undefined): void;
