import { type KeyValue } from './keyValue';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface AddIn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The id property
     */
    id?: Guid;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The properties property
     */
    properties?: KeyValue[];
    /**
     * The type property
     */
    type?: string;
}
export declare function createAddInFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddIn;
export declare function deserializeIntoAddIn(addIn?: AddIn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddIn(writer: SerializationWriter, addIn?: AddIn | undefined): void;
