import { type Edge } from './edge';
import { type PeopleAdminSettings } from './peopleAdminSettings';
import { type ServiceAnnouncement } from './serviceAnnouncement';
import { type Sharepoint } from './sharepoint';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Admin extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A container for Microsoft Edge resources. Read-only.
     */
    edge?: Edge;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents a setting to control people-related admin settings in the tenant.
     */
    people?: PeopleAdminSettings;
    /**
     * A container for service communications resources. Read-only.
     */
    serviceAnnouncement?: ServiceAnnouncement;
    /**
     * The sharepoint property
     */
    sharepoint?: Sharepoint;
}
export declare function createAdminFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdmin;
export declare function deserializeIntoAdmin(admin?: Admin | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdmin(writer: SerializationWriter, admin?: Admin | undefined): void;
