import { type DirectoryObject } from './directoryObject';
import { type Extension } from './extension';
import { type ScopedRoleMembership } from './scopedRoleMembership';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AdministrativeUnit extends DirectoryObject, Parsable {
    /**
     * An optional description for the administrative unit. Supports $filter (eq, ne, in, startsWith), $search.
     */
    description?: string;
    /**
     * Display name for the administrative unit. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values), $search, and $orderby.
     */
    displayName?: string;
    /**
     * The collection of open extensions defined for this administrative unit. Nullable.
     */
    extensions?: Extension[];
    /**
     * Users and groups that are members of this administrative unit. Supports $expand.
     */
    members?: DirectoryObject[];
    /**
     * Scoped-role members of this administrative unit.
     */
    scopedRoleMembers?: ScopedRoleMembership[];
    /**
     * Controls whether the administrative unit and its members are hidden or public. Can be set to HiddenMembership. If not set (value is null), the default behavior is public. When set to HiddenMembership, only members of the administrative unit can list other members of the administrative unit.
     */
    visibility?: string;
}
export declare function createAdministrativeUnitFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdministrativeUnit;
export declare function deserializeIntoAdministrativeUnit(administrativeUnit?: AdministrativeUnit | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdministrativeUnit(writer: SerializationWriter, administrativeUnit?: AdministrativeUnit | undefined): void;
