import { type BucketAggregationDefinition } from './bucketAggregationDefinition';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AggregationOption extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bucketDefinition property
     */
    bucketDefinition?: BucketAggregationDefinition;
    /**
     * Computes aggregation on the field while the field exists in current entity type. Required.
     */
    field?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The number of searchBucket resources to be returned. This isn't required when the range is provided manually in the search request. Optional.
     */
    size?: number;
}
export declare function createAggregationOptionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAggregationOption;
export declare function deserializeIntoAggregationOption(aggregationOption?: AggregationOption | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAggregationOption(writer: SerializationWriter, aggregationOption?: AggregationOption | undefined): void;
