import { type AgreementFileLocalization } from './agreementFileLocalization';
import { type AgreementFileProperties } from './agreementFileProperties';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFile extends AgreementFileProperties, Parsable {
    /**
     * The localized version of the terms of use agreement files attached to the agreement.
     */
    localizations?: AgreementFileLocalization[];
}
export declare function createAgreementFileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFile;
export declare function deserializeIntoAgreementFile(agreementFile?: AgreementFile | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFile(writer: SerializationWriter, agreementFile?: AgreementFile | undefined): void;
