"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAgreementFileProperties = exports.deserializeIntoAgreementFileProperties = exports.createAgreementFilePropertiesFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const agreementFile_1 = require("./agreementFile");
const agreementFileData_1 = require("./agreementFileData");
const agreementFileLocalization_1 = require("./agreementFileLocalization");
const agreementFileVersion_1 = require("./agreementFileVersion");
const entity_1 = require("./entity");
function createAgreementFilePropertiesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.agreementFile":
                    return agreementFile_1.deserializeIntoAgreementFile;
                case "#microsoft.graph.agreementFileLocalization":
                    return agreementFileLocalization_1.deserializeIntoAgreementFileLocalization;
                case "#microsoft.graph.agreementFileVersion":
                    return agreementFileVersion_1.deserializeIntoAgreementFileVersion;
            }
        }
    }
    return deserializeIntoAgreementFileProperties;
}
exports.createAgreementFilePropertiesFromDiscriminatorValue = createAgreementFilePropertiesFromDiscriminatorValue;
function deserializeIntoAgreementFileProperties(agreementFileProperties = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(agreementFileProperties)), { "createdDateTime": n => { agreementFileProperties.createdDateTime = n.getDateValue(); }, "displayName": n => { agreementFileProperties.displayName = n.getStringValue(); }, "fileData": n => { agreementFileProperties.fileData = n.getObjectValue(agreementFileData_1.createAgreementFileDataFromDiscriminatorValue); }, "fileName": n => { agreementFileProperties.fileName = n.getStringValue(); }, "isDefault": n => { agreementFileProperties.isDefault = n.getBooleanValue(); }, "isMajorVersion": n => { agreementFileProperties.isMajorVersion = n.getBooleanValue(); }, "language": n => { agreementFileProperties.language = n.getStringValue(); } });
}
exports.deserializeIntoAgreementFileProperties = deserializeIntoAgreementFileProperties;
function serializeAgreementFileProperties(writer, agreementFileProperties = {}) {
    (0, entity_1.serializeEntity)(writer, agreementFileProperties);
    writer.writeDateValue("createdDateTime", agreementFileProperties.createdDateTime);
    writer.writeStringValue("displayName", agreementFileProperties.displayName);
    writer.writeObjectValue("fileData", agreementFileProperties.fileData, agreementFileData_1.serializeAgreementFileData);
    writer.writeStringValue("fileName", agreementFileProperties.fileName);
    writer.writeBooleanValue("isDefault", agreementFileProperties.isDefault);
    writer.writeBooleanValue("isMajorVersion", agreementFileProperties.isMajorVersion);
    writer.writeStringValue("language", agreementFileProperties.language);
}
exports.serializeAgreementFileProperties = serializeAgreementFileProperties;
// tslint:enable
// eslint-enable
