import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Album extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Unique identifier of the [driveItem][] that is the cover of the album.
     */
    coverImageItemId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAlbumFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlbum;
export declare function deserializeIntoAlbum(album?: Album | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlbum(writer: SerializationWriter, album?: Album | undefined): void;
