"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlert = exports.deserializeIntoAlert = exports.createAlertFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const alertDetection_1 = require("./alertDetection");
const alertFeedback_1 = require("./alertFeedback");
const alertHistoryState_1 = require("./alertHistoryState");
const alertSeverity_1 = require("./alertSeverity");
const alertStatus_1 = require("./alertStatus");
const alertTrigger_1 = require("./alertTrigger");
const cloudAppSecurityState_1 = require("./cloudAppSecurityState");
const entity_1 = require("./entity");
const fileSecurityState_1 = require("./fileSecurityState");
const hostSecurityState_1 = require("./hostSecurityState");
const investigationSecurityState_1 = require("./investigationSecurityState");
const malwareState_1 = require("./malwareState");
const messageSecurityState_1 = require("./messageSecurityState");
const networkConnection_1 = require("./networkConnection");
const process_1 = require("./process");
const registryKeyState_1 = require("./registryKeyState");
const securityResource_1 = require("./securityResource");
const securityVendorInformation_1 = require("./securityVendorInformation");
const uriClickSecurityState_1 = require("./uriClickSecurityState");
const userSecurityState_1 = require("./userSecurityState");
const vulnerabilityState_1 = require("./vulnerabilityState");
function createAlertFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlert;
}
exports.createAlertFromDiscriminatorValue = createAlertFromDiscriminatorValue;
function deserializeIntoAlert(alert = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(alert)), { "activityGroupName": n => { alert.activityGroupName = n.getStringValue(); }, "alertDetections": n => { alert.alertDetections = n.getCollectionOfObjectValues(alertDetection_1.createAlertDetectionFromDiscriminatorValue); }, "assignedTo": n => { alert.assignedTo = n.getStringValue(); }, "azureSubscriptionId": n => { alert.azureSubscriptionId = n.getStringValue(); }, "azureTenantId": n => { alert.azureTenantId = n.getStringValue(); }, "category": n => { alert.category = n.getStringValue(); }, "closedDateTime": n => { alert.closedDateTime = n.getDateValue(); }, "cloudAppStates": n => { alert.cloudAppStates = n.getCollectionOfObjectValues(cloudAppSecurityState_1.createCloudAppSecurityStateFromDiscriminatorValue); }, "comments": n => { alert.comments = n.getCollectionOfPrimitiveValues(); }, "confidence": n => { alert.confidence = n.getNumberValue(); }, "createdDateTime": n => { alert.createdDateTime = n.getDateValue(); }, "description": n => { alert.description = n.getStringValue(); }, "detectionIds": n => { alert.detectionIds = n.getCollectionOfPrimitiveValues(); }, "eventDateTime": n => { alert.eventDateTime = n.getDateValue(); }, "feedback": n => { alert.feedback = n.getEnumValue(alertFeedback_1.AlertFeedback); }, "fileStates": n => { alert.fileStates = n.getCollectionOfObjectValues(fileSecurityState_1.createFileSecurityStateFromDiscriminatorValue); }, "historyStates": n => { alert.historyStates = n.getCollectionOfObjectValues(alertHistoryState_1.createAlertHistoryStateFromDiscriminatorValue); }, "hostStates": n => { alert.hostStates = n.getCollectionOfObjectValues(hostSecurityState_1.createHostSecurityStateFromDiscriminatorValue); }, "incidentIds": n => { alert.incidentIds = n.getCollectionOfPrimitiveValues(); }, "investigationSecurityStates": n => { alert.investigationSecurityStates = n.getCollectionOfObjectValues(investigationSecurityState_1.createInvestigationSecurityStateFromDiscriminatorValue); }, "lastEventDateTime": n => { alert.lastEventDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { alert.lastModifiedDateTime = n.getDateValue(); }, "malwareStates": n => { alert.malwareStates = n.getCollectionOfObjectValues(malwareState_1.createMalwareStateFromDiscriminatorValue); }, "messageSecurityStates": n => { alert.messageSecurityStates = n.getCollectionOfObjectValues(messageSecurityState_1.createMessageSecurityStateFromDiscriminatorValue); }, "networkConnections": n => { alert.networkConnections = n.getCollectionOfObjectValues(networkConnection_1.createNetworkConnectionFromDiscriminatorValue); }, "processes": n => { alert.processes = n.getCollectionOfObjectValues(process_1.createProcessFromDiscriminatorValue); }, "recommendedActions": n => { alert.recommendedActions = n.getCollectionOfPrimitiveValues(); }, "registryKeyStates": n => { alert.registryKeyStates = n.getCollectionOfObjectValues(registryKeyState_1.createRegistryKeyStateFromDiscriminatorValue); }, "securityResources": n => { alert.securityResources = n.getCollectionOfObjectValues(securityResource_1.createSecurityResourceFromDiscriminatorValue); }, "severity": n => { alert.severity = n.getEnumValue(alertSeverity_1.AlertSeverity); }, "sourceMaterials": n => { alert.sourceMaterials = n.getCollectionOfPrimitiveValues(); }, "status": n => { alert.status = n.getEnumValue(alertStatus_1.AlertStatus); }, "tags": n => { alert.tags = n.getCollectionOfPrimitiveValues(); }, "title": n => { alert.title = n.getStringValue(); }, "triggers": n => { alert.triggers = n.getCollectionOfObjectValues(alertTrigger_1.createAlertTriggerFromDiscriminatorValue); }, "uriClickSecurityStates": n => { alert.uriClickSecurityStates = n.getCollectionOfObjectValues(uriClickSecurityState_1.createUriClickSecurityStateFromDiscriminatorValue); }, "userStates": n => { alert.userStates = n.getCollectionOfObjectValues(userSecurityState_1.createUserSecurityStateFromDiscriminatorValue); }, "vendorInformation": n => { alert.vendorInformation = n.getObjectValue(securityVendorInformation_1.createSecurityVendorInformationFromDiscriminatorValue); }, "vulnerabilityStates": n => { alert.vulnerabilityStates = n.getCollectionOfObjectValues(vulnerabilityState_1.createVulnerabilityStateFromDiscriminatorValue); } });
}
exports.deserializeIntoAlert = deserializeIntoAlert;
function serializeAlert(writer, alert = {}) {
    (0, entity_1.serializeEntity)(writer, alert);
    writer.writeStringValue("activityGroupName", alert.activityGroupName);
    writer.writeCollectionOfObjectValues("alertDetections", alert.alertDetections, alertDetection_1.serializeAlertDetection);
    writer.writeStringValue("assignedTo", alert.assignedTo);
    writer.writeStringValue("azureSubscriptionId", alert.azureSubscriptionId);
    writer.writeStringValue("azureTenantId", alert.azureTenantId);
    writer.writeStringValue("category", alert.category);
    writer.writeDateValue("closedDateTime", alert.closedDateTime);
    writer.writeCollectionOfObjectValues("cloudAppStates", alert.cloudAppStates, cloudAppSecurityState_1.serializeCloudAppSecurityState);
    writer.writeCollectionOfPrimitiveValues("comments", alert.comments);
    writer.writeNumberValue("confidence", alert.confidence);
    writer.writeDateValue("createdDateTime", alert.createdDateTime);
    writer.writeStringValue("description", alert.description);
    writer.writeCollectionOfPrimitiveValues("detectionIds", alert.detectionIds);
    writer.writeDateValue("eventDateTime", alert.eventDateTime);
    writer.writeEnumValue("feedback", alert.feedback);
    writer.writeCollectionOfObjectValues("fileStates", alert.fileStates, fileSecurityState_1.serializeFileSecurityState);
    writer.writeCollectionOfObjectValues("historyStates", alert.historyStates, alertHistoryState_1.serializeAlertHistoryState);
    writer.writeCollectionOfObjectValues("hostStates", alert.hostStates, hostSecurityState_1.serializeHostSecurityState);
    writer.writeCollectionOfPrimitiveValues("incidentIds", alert.incidentIds);
    writer.writeCollectionOfObjectValues("investigationSecurityStates", alert.investigationSecurityStates, investigationSecurityState_1.serializeInvestigationSecurityState);
    writer.writeDateValue("lastEventDateTime", alert.lastEventDateTime);
    writer.writeDateValue("lastModifiedDateTime", alert.lastModifiedDateTime);
    writer.writeCollectionOfObjectValues("malwareStates", alert.malwareStates, malwareState_1.serializeMalwareState);
    writer.writeCollectionOfObjectValues("messageSecurityStates", alert.messageSecurityStates, messageSecurityState_1.serializeMessageSecurityState);
    writer.writeCollectionOfObjectValues("networkConnections", alert.networkConnections, networkConnection_1.serializeNetworkConnection);
    writer.writeCollectionOfObjectValues("processes", alert.processes, process_1.serializeProcess);
    writer.writeCollectionOfPrimitiveValues("recommendedActions", alert.recommendedActions);
    writer.writeCollectionOfObjectValues("registryKeyStates", alert.registryKeyStates, registryKeyState_1.serializeRegistryKeyState);
    writer.writeCollectionOfObjectValues("securityResources", alert.securityResources, securityResource_1.serializeSecurityResource);
    writer.writeEnumValue("severity", alert.severity);
    writer.writeCollectionOfPrimitiveValues("sourceMaterials", alert.sourceMaterials);
    writer.writeEnumValue("status", alert.status);
    writer.writeCollectionOfPrimitiveValues("tags", alert.tags);
    writer.writeStringValue("title", alert.title);
    writer.writeCollectionOfObjectValues("triggers", alert.triggers, alertTrigger_1.serializeAlertTrigger);
    writer.writeCollectionOfObjectValues("uriClickSecurityStates", alert.uriClickSecurityStates, uriClickSecurityState_1.serializeUriClickSecurityState);
    writer.writeCollectionOfObjectValues("userStates", alert.userStates, userSecurityState_1.serializeUserSecurityState);
    writer.writeObjectValue("vendorInformation", alert.vendorInformation, securityVendorInformation_1.serializeSecurityVendorInformation);
    writer.writeCollectionOfObjectValues("vulnerabilityStates", alert.vulnerabilityStates, vulnerabilityState_1.serializeVulnerabilityState);
}
exports.serializeAlert = serializeAlert;
// tslint:enable
// eslint-enable
