import { AlertFeedback } from './alertFeedback';
import { AlertStatus } from './alertStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertHistoryState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The appId property
     */
    appId?: string;
    /**
     * The assignedTo property
     */
    assignedTo?: string;
    /**
     * The comments property
     */
    comments?: string[];
    /**
     * The feedback property
     */
    feedback?: AlertFeedback;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status property
     */
    status?: AlertStatus;
    /**
     * The updatedDateTime property
     */
    updatedDateTime?: Date;
    /**
     * The user property
     */
    user?: string;
}
export declare function createAlertHistoryStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlertHistoryState;
export declare function deserializeIntoAlertHistoryState(alertHistoryState?: AlertHistoryState | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertHistoryState(writer: SerializationWriter, alertHistoryState?: AlertHistoryState | undefined): void;
