import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertTrigger extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the property serving as a detection trigger.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Type of the property in the key:value pair for interpretation. For example, String, Boolean etc.
     */
    type?: string;
    /**
     * Value of the property serving as a detection trigger.
     */
    value?: string;
}
export declare function createAlertTriggerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlertTrigger;
export declare function deserializeIntoAlertTrigger(alertTrigger?: AlertTrigger | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertTrigger(writer: SerializationWriter, alertTrigger?: AlertTrigger | undefined): void;
