import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AllowedValue extends Entity, Parsable {
    /**
     * Indicates whether the predefined value is active or deactivated. If set to false, this predefined value can't be assigned to any other supported directory objects.
     */
    isActive?: boolean;
}
export declare function createAllowedValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAllowedValue;
export declare function deserializeIntoAllowedValue(allowedValue?: AllowedValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAllowedValue(writer: SerializationWriter, allowedValue?: AllowedValue | undefined): void;
