import { type SearchAlteration } from './searchAlteration';
import { SearchAlterationType } from './searchAlterationType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlterationResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines the original user query string.
     */
    originalQueryString?: string;
    /**
     * Defines the details of the alteration information for the spelling correction.
     */
    queryAlteration?: SearchAlteration;
    /**
     * Defines the type of the spelling correction. Possible values are: suggestion, modification.
     */
    queryAlterationType?: SearchAlterationType;
}
export declare function createAlterationResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlterationResponse;
export declare function deserializeIntoAlterationResponse(alterationResponse?: AlterationResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlterationResponse(writer: SerializationWriter, alterationResponse?: AlterationResponse | undefined): void;
