import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlteredQueryToken extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines the length of a changed segment.
     */
    length?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines the offset of a changed segment.
     */
    offset?: number;
    /**
     * Represents the corrected segment string.
     */
    suggestion?: string;
}
export declare function createAlteredQueryTokenFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlteredQueryToken;
export declare function deserializeIntoAlteredQueryToken(alteredQueryToken?: AlteredQueryToken | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlteredQueryToken(writer: SerializationWriter, alteredQueryToken?: AlteredQueryToken | undefined): void;
