"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAndroidCompliancePolicy = exports.deserializeIntoAndroidCompliancePolicy = exports.createAndroidCompliancePolicyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidRequiredPasswordType_1 = require("./androidRequiredPasswordType");
const deviceCompliancePolicy_1 = require("./deviceCompliancePolicy");
const deviceThreatProtectionLevel_1 = require("./deviceThreatProtectionLevel");
function createAndroidCompliancePolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAndroidCompliancePolicy;
}
exports.createAndroidCompliancePolicyFromDiscriminatorValue = createAndroidCompliancePolicyFromDiscriminatorValue;
function deserializeIntoAndroidCompliancePolicy(androidCompliancePolicy = {}) {
    return Object.assign(Object.assign({}, (0, deviceCompliancePolicy_1.deserializeIntoDeviceCompliancePolicy)(androidCompliancePolicy)), { "deviceThreatProtectionEnabled": n => { androidCompliancePolicy.deviceThreatProtectionEnabled = n.getBooleanValue(); }, "deviceThreatProtectionRequiredSecurityLevel": n => { androidCompliancePolicy.deviceThreatProtectionRequiredSecurityLevel = n.getEnumValue(deviceThreatProtectionLevel_1.DeviceThreatProtectionLevel); }, "minAndroidSecurityPatchLevel": n => { androidCompliancePolicy.minAndroidSecurityPatchLevel = n.getStringValue(); }, "osMaximumVersion": n => { androidCompliancePolicy.osMaximumVersion = n.getStringValue(); }, "osMinimumVersion": n => { androidCompliancePolicy.osMinimumVersion = n.getStringValue(); }, "passwordExpirationDays": n => { androidCompliancePolicy.passwordExpirationDays = n.getNumberValue(); }, "passwordMinimumLength": n => { androidCompliancePolicy.passwordMinimumLength = n.getNumberValue(); }, "passwordMinutesOfInactivityBeforeLock": n => { androidCompliancePolicy.passwordMinutesOfInactivityBeforeLock = n.getNumberValue(); }, "passwordPreviousPasswordBlockCount": n => { androidCompliancePolicy.passwordPreviousPasswordBlockCount = n.getNumberValue(); }, "passwordRequired": n => { androidCompliancePolicy.passwordRequired = n.getBooleanValue(); }, "passwordRequiredType": n => { androidCompliancePolicy.passwordRequiredType = n.getEnumValue(androidRequiredPasswordType_1.AndroidRequiredPasswordType); }, "securityBlockJailbrokenDevices": n => { androidCompliancePolicy.securityBlockJailbrokenDevices = n.getBooleanValue(); }, "securityDisableUsbDebugging": n => { androidCompliancePolicy.securityDisableUsbDebugging = n.getBooleanValue(); }, "securityPreventInstallAppsFromUnknownSources": n => { androidCompliancePolicy.securityPreventInstallAppsFromUnknownSources = n.getBooleanValue(); }, "securityRequireCompanyPortalAppIntegrity": n => { androidCompliancePolicy.securityRequireCompanyPortalAppIntegrity = n.getBooleanValue(); }, "securityRequireGooglePlayServices": n => { androidCompliancePolicy.securityRequireGooglePlayServices = n.getBooleanValue(); }, "securityRequireSafetyNetAttestationBasicIntegrity": n => { androidCompliancePolicy.securityRequireSafetyNetAttestationBasicIntegrity = n.getBooleanValue(); }, "securityRequireSafetyNetAttestationCertifiedDevice": n => { androidCompliancePolicy.securityRequireSafetyNetAttestationCertifiedDevice = n.getBooleanValue(); }, "securityRequireUpToDateSecurityProviders": n => { androidCompliancePolicy.securityRequireUpToDateSecurityProviders = n.getBooleanValue(); }, "securityRequireVerifyApps": n => { androidCompliancePolicy.securityRequireVerifyApps = n.getBooleanValue(); }, "storageRequireEncryption": n => { androidCompliancePolicy.storageRequireEncryption = n.getBooleanValue(); } });
}
exports.deserializeIntoAndroidCompliancePolicy = deserializeIntoAndroidCompliancePolicy;
function serializeAndroidCompliancePolicy(writer, androidCompliancePolicy = {}) {
    (0, deviceCompliancePolicy_1.serializeDeviceCompliancePolicy)(writer, androidCompliancePolicy);
    writer.writeBooleanValue("deviceThreatProtectionEnabled", androidCompliancePolicy.deviceThreatProtectionEnabled);
    writer.writeEnumValue("deviceThreatProtectionRequiredSecurityLevel", androidCompliancePolicy.deviceThreatProtectionRequiredSecurityLevel);
    writer.writeStringValue("minAndroidSecurityPatchLevel", androidCompliancePolicy.minAndroidSecurityPatchLevel);
    writer.writeStringValue("osMaximumVersion", androidCompliancePolicy.osMaximumVersion);
    writer.writeStringValue("osMinimumVersion", androidCompliancePolicy.osMinimumVersion);
    writer.writeNumberValue("passwordExpirationDays", androidCompliancePolicy.passwordExpirationDays);
    writer.writeNumberValue("passwordMinimumLength", androidCompliancePolicy.passwordMinimumLength);
    writer.writeNumberValue("passwordMinutesOfInactivityBeforeLock", androidCompliancePolicy.passwordMinutesOfInactivityBeforeLock);
    writer.writeNumberValue("passwordPreviousPasswordBlockCount", androidCompliancePolicy.passwordPreviousPasswordBlockCount);
    writer.writeBooleanValue("passwordRequired", androidCompliancePolicy.passwordRequired);
    writer.writeEnumValue("passwordRequiredType", androidCompliancePolicy.passwordRequiredType);
    writer.writeBooleanValue("securityBlockJailbrokenDevices", androidCompliancePolicy.securityBlockJailbrokenDevices);
    writer.writeBooleanValue("securityDisableUsbDebugging", androidCompliancePolicy.securityDisableUsbDebugging);
    writer.writeBooleanValue("securityPreventInstallAppsFromUnknownSources", androidCompliancePolicy.securityPreventInstallAppsFromUnknownSources);
    writer.writeBooleanValue("securityRequireCompanyPortalAppIntegrity", androidCompliancePolicy.securityRequireCompanyPortalAppIntegrity);
    writer.writeBooleanValue("securityRequireGooglePlayServices", androidCompliancePolicy.securityRequireGooglePlayServices);
    writer.writeBooleanValue("securityRequireSafetyNetAttestationBasicIntegrity", androidCompliancePolicy.securityRequireSafetyNetAttestationBasicIntegrity);
    writer.writeBooleanValue("securityRequireSafetyNetAttestationCertifiedDevice", androidCompliancePolicy.securityRequireSafetyNetAttestationCertifiedDevice);
    writer.writeBooleanValue("securityRequireUpToDateSecurityProviders", androidCompliancePolicy.securityRequireUpToDateSecurityProviders);
    writer.writeBooleanValue("securityRequireVerifyApps", androidCompliancePolicy.securityRequireVerifyApps);
    writer.writeBooleanValue("storageRequireEncryption", androidCompliancePolicy.storageRequireEncryption);
}
exports.serializeAndroidCompliancePolicy = serializeAndroidCompliancePolicy;
// tslint:enable
// eslint-enable
