import { type DeviceConfiguration } from './deviceConfiguration';
import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidCustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * OMA settings. This collection can contain a maximum of 1000 elements.
     */
    omaSettings?: OmaSetting[];
}
export declare function createAndroidCustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidCustomConfiguration;
export declare function deserializeIntoAndroidCustomConfiguration(androidCustomConfiguration?: AndroidCustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidCustomConfiguration(writer: SerializationWriter, androidCustomConfiguration?: AndroidCustomConfiguration | undefined): void;
