"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAndroidGeneralDeviceConfiguration = exports.deserializeIntoAndroidGeneralDeviceConfiguration = exports.createAndroidGeneralDeviceConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidRequiredPasswordType_1 = require("./androidRequiredPasswordType");
const appListItem_1 = require("./appListItem");
const appListType_1 = require("./appListType");
const deviceConfiguration_1 = require("./deviceConfiguration");
const webBrowserCookieSettings_1 = require("./webBrowserCookieSettings");
function createAndroidGeneralDeviceConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAndroidGeneralDeviceConfiguration;
}
exports.createAndroidGeneralDeviceConfigurationFromDiscriminatorValue = createAndroidGeneralDeviceConfigurationFromDiscriminatorValue;
function deserializeIntoAndroidGeneralDeviceConfiguration(androidGeneralDeviceConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, deviceConfiguration_1.deserializeIntoDeviceConfiguration)(androidGeneralDeviceConfiguration)), { "appsBlockClipboardSharing": n => { androidGeneralDeviceConfiguration.appsBlockClipboardSharing = n.getBooleanValue(); }, "appsBlockCopyPaste": n => { androidGeneralDeviceConfiguration.appsBlockCopyPaste = n.getBooleanValue(); }, "appsBlockYouTube": n => { androidGeneralDeviceConfiguration.appsBlockYouTube = n.getBooleanValue(); }, "appsHideList": n => { androidGeneralDeviceConfiguration.appsHideList = n.getCollectionOfObjectValues(appListItem_1.createAppListItemFromDiscriminatorValue); }, "appsInstallAllowList": n => { androidGeneralDeviceConfiguration.appsInstallAllowList = n.getCollectionOfObjectValues(appListItem_1.createAppListItemFromDiscriminatorValue); }, "appsLaunchBlockList": n => { androidGeneralDeviceConfiguration.appsLaunchBlockList = n.getCollectionOfObjectValues(appListItem_1.createAppListItemFromDiscriminatorValue); }, "bluetoothBlocked": n => { androidGeneralDeviceConfiguration.bluetoothBlocked = n.getBooleanValue(); }, "cameraBlocked": n => { androidGeneralDeviceConfiguration.cameraBlocked = n.getBooleanValue(); }, "cellularBlockDataRoaming": n => { androidGeneralDeviceConfiguration.cellularBlockDataRoaming = n.getBooleanValue(); }, "cellularBlockMessaging": n => { androidGeneralDeviceConfiguration.cellularBlockMessaging = n.getBooleanValue(); }, "cellularBlockVoiceRoaming": n => { androidGeneralDeviceConfiguration.cellularBlockVoiceRoaming = n.getBooleanValue(); }, "cellularBlockWiFiTethering": n => { androidGeneralDeviceConfiguration.cellularBlockWiFiTethering = n.getBooleanValue(); }, "compliantAppListType": n => { androidGeneralDeviceConfiguration.compliantAppListType = n.getEnumValue(appListType_1.AppListType); }, "compliantAppsList": n => { androidGeneralDeviceConfiguration.compliantAppsList = n.getCollectionOfObjectValues(appListItem_1.createAppListItemFromDiscriminatorValue); }, "deviceSharingAllowed": n => { androidGeneralDeviceConfiguration.deviceSharingAllowed = n.getBooleanValue(); }, "diagnosticDataBlockSubmission": n => { androidGeneralDeviceConfiguration.diagnosticDataBlockSubmission = n.getBooleanValue(); }, "factoryResetBlocked": n => { androidGeneralDeviceConfiguration.factoryResetBlocked = n.getBooleanValue(); }, "googleAccountBlockAutoSync": n => { androidGeneralDeviceConfiguration.googleAccountBlockAutoSync = n.getBooleanValue(); }, "googlePlayStoreBlocked": n => { androidGeneralDeviceConfiguration.googlePlayStoreBlocked = n.getBooleanValue(); }, "kioskModeApps": n => { androidGeneralDeviceConfiguration.kioskModeApps = n.getCollectionOfObjectValues(appListItem_1.createAppListItemFromDiscriminatorValue); }, "kioskModeBlockSleepButton": n => { androidGeneralDeviceConfiguration.kioskModeBlockSleepButton = n.getBooleanValue(); }, "kioskModeBlockVolumeButtons": n => { androidGeneralDeviceConfiguration.kioskModeBlockVolumeButtons = n.getBooleanValue(); }, "locationServicesBlocked": n => { androidGeneralDeviceConfiguration.locationServicesBlocked = n.getBooleanValue(); }, "nfcBlocked": n => { androidGeneralDeviceConfiguration.nfcBlocked = n.getBooleanValue(); }, "passwordBlockFingerprintUnlock": n => { androidGeneralDeviceConfiguration.passwordBlockFingerprintUnlock = n.getBooleanValue(); }, "passwordBlockTrustAgents": n => { androidGeneralDeviceConfiguration.passwordBlockTrustAgents = n.getBooleanValue(); }, "passwordExpirationDays": n => { androidGeneralDeviceConfiguration.passwordExpirationDays = n.getNumberValue(); }, "passwordMinimumLength": n => { androidGeneralDeviceConfiguration.passwordMinimumLength = n.getNumberValue(); }, "passwordMinutesOfInactivityBeforeScreenTimeout": n => { androidGeneralDeviceConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout = n.getNumberValue(); }, "passwordPreviousPasswordBlockCount": n => { androidGeneralDeviceConfiguration.passwordPreviousPasswordBlockCount = n.getNumberValue(); }, "passwordRequired": n => { androidGeneralDeviceConfiguration.passwordRequired = n.getBooleanValue(); }, "passwordRequiredType": n => { androidGeneralDeviceConfiguration.passwordRequiredType = n.getEnumValue(androidRequiredPasswordType_1.AndroidRequiredPasswordType); }, "passwordSignInFailureCountBeforeFactoryReset": n => { androidGeneralDeviceConfiguration.passwordSignInFailureCountBeforeFactoryReset = n.getNumberValue(); }, "powerOffBlocked": n => { androidGeneralDeviceConfiguration.powerOffBlocked = n.getBooleanValue(); }, "screenCaptureBlocked": n => { androidGeneralDeviceConfiguration.screenCaptureBlocked = n.getBooleanValue(); }, "securityRequireVerifyApps": n => { androidGeneralDeviceConfiguration.securityRequireVerifyApps = n.getBooleanValue(); }, "storageBlockGoogleBackup": n => { androidGeneralDeviceConfiguration.storageBlockGoogleBackup = n.getBooleanValue(); }, "storageBlockRemovableStorage": n => { androidGeneralDeviceConfiguration.storageBlockRemovableStorage = n.getBooleanValue(); }, "storageRequireDeviceEncryption": n => { androidGeneralDeviceConfiguration.storageRequireDeviceEncryption = n.getBooleanValue(); }, "storageRequireRemovableStorageEncryption": n => { androidGeneralDeviceConfiguration.storageRequireRemovableStorageEncryption = n.getBooleanValue(); }, "voiceAssistantBlocked": n => { androidGeneralDeviceConfiguration.voiceAssistantBlocked = n.getBooleanValue(); }, "voiceDialingBlocked": n => { androidGeneralDeviceConfiguration.voiceDialingBlocked = n.getBooleanValue(); }, "webBrowserBlockAutofill": n => { androidGeneralDeviceConfiguration.webBrowserBlockAutofill = n.getBooleanValue(); }, "webBrowserBlocked": n => { androidGeneralDeviceConfiguration.webBrowserBlocked = n.getBooleanValue(); }, "webBrowserBlockJavaScript": n => { androidGeneralDeviceConfiguration.webBrowserBlockJavaScript = n.getBooleanValue(); }, "webBrowserBlockPopups": n => { androidGeneralDeviceConfiguration.webBrowserBlockPopups = n.getBooleanValue(); }, "webBrowserCookieSettings": n => { androidGeneralDeviceConfiguration.webBrowserCookieSettings = n.getEnumValue(webBrowserCookieSettings_1.WebBrowserCookieSettings); }, "wiFiBlocked": n => { androidGeneralDeviceConfiguration.wiFiBlocked = n.getBooleanValue(); } });
}
exports.deserializeIntoAndroidGeneralDeviceConfiguration = deserializeIntoAndroidGeneralDeviceConfiguration;
function serializeAndroidGeneralDeviceConfiguration(writer, androidGeneralDeviceConfiguration = {}) {
    (0, deviceConfiguration_1.serializeDeviceConfiguration)(writer, androidGeneralDeviceConfiguration);
    writer.writeBooleanValue("appsBlockClipboardSharing", androidGeneralDeviceConfiguration.appsBlockClipboardSharing);
    writer.writeBooleanValue("appsBlockCopyPaste", androidGeneralDeviceConfiguration.appsBlockCopyPaste);
    writer.writeBooleanValue("appsBlockYouTube", androidGeneralDeviceConfiguration.appsBlockYouTube);
    writer.writeCollectionOfObjectValues("appsHideList", androidGeneralDeviceConfiguration.appsHideList, appListItem_1.serializeAppListItem);
    writer.writeCollectionOfObjectValues("appsInstallAllowList", androidGeneralDeviceConfiguration.appsInstallAllowList, appListItem_1.serializeAppListItem);
    writer.writeCollectionOfObjectValues("appsLaunchBlockList", androidGeneralDeviceConfiguration.appsLaunchBlockList, appListItem_1.serializeAppListItem);
    writer.writeBooleanValue("bluetoothBlocked", androidGeneralDeviceConfiguration.bluetoothBlocked);
    writer.writeBooleanValue("cameraBlocked", androidGeneralDeviceConfiguration.cameraBlocked);
    writer.writeBooleanValue("cellularBlockDataRoaming", androidGeneralDeviceConfiguration.cellularBlockDataRoaming);
    writer.writeBooleanValue("cellularBlockMessaging", androidGeneralDeviceConfiguration.cellularBlockMessaging);
    writer.writeBooleanValue("cellularBlockVoiceRoaming", androidGeneralDeviceConfiguration.cellularBlockVoiceRoaming);
    writer.writeBooleanValue("cellularBlockWiFiTethering", androidGeneralDeviceConfiguration.cellularBlockWiFiTethering);
    writer.writeEnumValue("compliantAppListType", androidGeneralDeviceConfiguration.compliantAppListType);
    writer.writeCollectionOfObjectValues("compliantAppsList", androidGeneralDeviceConfiguration.compliantAppsList, appListItem_1.serializeAppListItem);
    writer.writeBooleanValue("deviceSharingAllowed", androidGeneralDeviceConfiguration.deviceSharingAllowed);
    writer.writeBooleanValue("diagnosticDataBlockSubmission", androidGeneralDeviceConfiguration.diagnosticDataBlockSubmission);
    writer.writeBooleanValue("factoryResetBlocked", androidGeneralDeviceConfiguration.factoryResetBlocked);
    writer.writeBooleanValue("googleAccountBlockAutoSync", androidGeneralDeviceConfiguration.googleAccountBlockAutoSync);
    writer.writeBooleanValue("googlePlayStoreBlocked", androidGeneralDeviceConfiguration.googlePlayStoreBlocked);
    writer.writeCollectionOfObjectValues("kioskModeApps", androidGeneralDeviceConfiguration.kioskModeApps, appListItem_1.serializeAppListItem);
    writer.writeBooleanValue("kioskModeBlockSleepButton", androidGeneralDeviceConfiguration.kioskModeBlockSleepButton);
    writer.writeBooleanValue("kioskModeBlockVolumeButtons", androidGeneralDeviceConfiguration.kioskModeBlockVolumeButtons);
    writer.writeBooleanValue("locationServicesBlocked", androidGeneralDeviceConfiguration.locationServicesBlocked);
    writer.writeBooleanValue("nfcBlocked", androidGeneralDeviceConfiguration.nfcBlocked);
    writer.writeBooleanValue("passwordBlockFingerprintUnlock", androidGeneralDeviceConfiguration.passwordBlockFingerprintUnlock);
    writer.writeBooleanValue("passwordBlockTrustAgents", androidGeneralDeviceConfiguration.passwordBlockTrustAgents);
    writer.writeNumberValue("passwordExpirationDays", androidGeneralDeviceConfiguration.passwordExpirationDays);
    writer.writeNumberValue("passwordMinimumLength", androidGeneralDeviceConfiguration.passwordMinimumLength);
    writer.writeNumberValue("passwordMinutesOfInactivityBeforeScreenTimeout", androidGeneralDeviceConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout);
    writer.writeNumberValue("passwordPreviousPasswordBlockCount", androidGeneralDeviceConfiguration.passwordPreviousPasswordBlockCount);
    writer.writeBooleanValue("passwordRequired", androidGeneralDeviceConfiguration.passwordRequired);
    writer.writeEnumValue("passwordRequiredType", androidGeneralDeviceConfiguration.passwordRequiredType);
    writer.writeNumberValue("passwordSignInFailureCountBeforeFactoryReset", androidGeneralDeviceConfiguration.passwordSignInFailureCountBeforeFactoryReset);
    writer.writeBooleanValue("powerOffBlocked", androidGeneralDeviceConfiguration.powerOffBlocked);
    writer.writeBooleanValue("screenCaptureBlocked", androidGeneralDeviceConfiguration.screenCaptureBlocked);
    writer.writeBooleanValue("securityRequireVerifyApps", androidGeneralDeviceConfiguration.securityRequireVerifyApps);
    writer.writeBooleanValue("storageBlockGoogleBackup", androidGeneralDeviceConfiguration.storageBlockGoogleBackup);
    writer.writeBooleanValue("storageBlockRemovableStorage", androidGeneralDeviceConfiguration.storageBlockRemovableStorage);
    writer.writeBooleanValue("storageRequireDeviceEncryption", androidGeneralDeviceConfiguration.storageRequireDeviceEncryption);
    writer.writeBooleanValue("storageRequireRemovableStorageEncryption", androidGeneralDeviceConfiguration.storageRequireRemovableStorageEncryption);
    writer.writeBooleanValue("voiceAssistantBlocked", androidGeneralDeviceConfiguration.voiceAssistantBlocked);
    writer.writeBooleanValue("voiceDialingBlocked", androidGeneralDeviceConfiguration.voiceDialingBlocked);
    writer.writeBooleanValue("webBrowserBlockAutofill", androidGeneralDeviceConfiguration.webBrowserBlockAutofill);
    writer.writeBooleanValue("webBrowserBlocked", androidGeneralDeviceConfiguration.webBrowserBlocked);
    writer.writeBooleanValue("webBrowserBlockJavaScript", androidGeneralDeviceConfiguration.webBrowserBlockJavaScript);
    writer.writeBooleanValue("webBrowserBlockPopups", androidGeneralDeviceConfiguration.webBrowserBlockPopups);
    writer.writeEnumValue("webBrowserCookieSettings", androidGeneralDeviceConfiguration.webBrowserCookieSettings);
    writer.writeBooleanValue("wiFiBlocked", androidGeneralDeviceConfiguration.wiFiBlocked);
}
exports.serializeAndroidGeneralDeviceConfiguration = serializeAndroidGeneralDeviceConfiguration;
// tslint:enable
// eslint-enable
