import { type AndroidMinimumOperatingSystem } from './androidMinimumOperatingSystem';
import { type MobileLobApp } from './mobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidLobApp extends MobileLobApp, Parsable {
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: AndroidMinimumOperatingSystem;
    /**
     * The package identifier.
     */
    packageId?: string;
    /**
     * The version code of Android Line of Business (LoB) app.
     */
    versionCode?: string;
    /**
     * The version name of Android Line of Business (LoB) app.
     */
    versionName?: string;
}
export declare function createAndroidLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidLobApp;
export declare function deserializeIntoAndroidLobApp(androidLobApp?: AndroidLobApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidLobApp(writer: SerializationWriter, androidLobApp?: AndroidLobApp | undefined): void;
