import { type AndroidMinimumOperatingSystem } from './androidMinimumOperatingSystem';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidStoreApp extends MobileApp, Parsable {
    /**
     * The Android app store URL.
     */
    appStoreUrl?: string;
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: AndroidMinimumOperatingSystem;
    /**
     * The package identifier.
     */
    packageId?: string;
}
export declare function createAndroidStoreAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidStoreApp;
export declare function deserializeIntoAndroidStoreApp(androidStoreApp?: AndroidStoreApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidStoreApp(writer: SerializationWriter, androidStoreApp?: AndroidStoreApp | undefined): void;
