import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AnonymousGuestConversationMember extends ConversationMember, Parsable {
    /**
     * Unique ID that represents the user. Note: This ID can change if the user leaves and rejoins the meeting, or joins from a different device.
     */
    anonymousGuestId?: string;
}
export declare function createAnonymousGuestConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAnonymousGuestConversationMember;
export declare function deserializeIntoAnonymousGuestConversationMember(anonymousGuestConversationMember?: AnonymousGuestConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAnonymousGuestConversationMember(writer: SerializationWriter, anonymousGuestConversationMember?: AnonymousGuestConversationMember | undefined): void;
