import { MdmAppConfigKeyType } from './mdmAppConfigKeyType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppConfigurationSettingItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * app configuration key.
     */
    appConfigKey?: string;
    /**
     * App configuration key types.
     */
    appConfigKeyType?: MdmAppConfigKeyType;
    /**
     * app configuration key value.
     */
    appConfigKeyValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAppConfigurationSettingItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppConfigurationSettingItem;
export declare function deserializeIntoAppConfigurationSettingItem(appConfigurationSettingItem?: AppConfigurationSettingItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppConfigurationSettingItem(writer: SerializationWriter, appConfigurationSettingItem?: AppConfigurationSettingItem | undefined): void;
