import { type AppConsentRequestScope } from './appConsentRequestScope';
import { type Entity } from './entity';
import { type UserConsentRequest } from './userConsentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppConsentRequest extends Entity, Parsable {
    /**
     * The display name of the app for which consent is requested. Required. Supports $filter (eq only) and $orderby.
     */
    appDisplayName?: string;
    /**
     * The identifier of the application. Required. Supports $filter (eq only) and $orderby.
     */
    appId?: string;
    /**
     * A list of pending scopes waiting for approval. Required.
     */
    pendingScopes?: AppConsentRequestScope[];
    /**
     * A list of pending user consent requests. Supports $filter (eq).
     */
    userConsentRequests?: UserConsentRequest[];
}
export declare function createAppConsentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppConsentRequest;
export declare function deserializeIntoAppConsentRequest(appConsentRequest?: AppConsentRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppConsentRequest(writer: SerializationWriter, appConsentRequest?: AppConsentRequest | undefined): void;
