import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppIdentity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Refers to the unique ID representing application in Microsoft Entra ID.
     */
    appId?: string;
    /**
     * Refers to the application name displayed in the Microsoft Entra admin center.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Refers to the unique ID for the service principal in Microsoft Entra ID.
     */
    servicePrincipalId?: string;
    /**
     * Refers to the Service Principal Name is the Application name in the tenant.
     */
    servicePrincipalName?: string;
}
export declare function createAppIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppIdentity;
export declare function deserializeIntoAppIdentity(appIdentity?: AppIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppIdentity(writer: SerializationWriter, appIdentity?: AppIdentity | undefined): void;
