import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppListItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The application or bundle identifier of the application
     */
    appId?: string;
    /**
     * The Store URL of the application
     */
    appStoreUrl?: string;
    /**
     * The application name
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The publisher of the application
     */
    publisher?: string;
}
export declare function createAppListItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppListItem;
export declare function deserializeIntoAppListItem(appListItem?: AppListItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppListItem(writer: SerializationWriter, appListItem?: AppListItem | undefined): void;
