import { AppLogDecryptionAlgorithm } from './appLogDecryptionAlgorithm';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppLogCollectionDownloadDetails extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The appLogDecryptionAlgorithm property
     */
    appLogDecryptionAlgorithm?: AppLogDecryptionAlgorithm;
    /**
     * Decryption key that used to decrypt the log.
     */
    decryptionKey?: string;
    /**
     * Download SAS (Shared Access Signature) Url for completed app log request.
     */
    downloadUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAppLogCollectionDownloadDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppLogCollectionDownloadDetails;
export declare function deserializeIntoAppLogCollectionDownloadDetails(appLogCollectionDownloadDetails?: AppLogCollectionDownloadDetails | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppLogCollectionDownloadDetails(writer: SerializationWriter, appLogCollectionDownloadDetails?: AppLogCollectionDownloadDetails | undefined): void;
