import { AppLogUploadState } from './appLogUploadState';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppLogCollectionRequest extends Entity, Parsable {
    /**
     * Time at which the upload log request reached a completed state if not completed yet NULL will be returned.
     */
    completedDateTime?: Date;
    /**
     * List of log folders.
     */
    customLogFolders?: string[];
    /**
     * Indicates error message if any during the upload process.
     */
    errorMessage?: string;
    /**
     * AppLogUploadStatus
     */
    status?: AppLogUploadState;
}
export declare function createAppLogCollectionRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppLogCollectionRequest;
export declare function deserializeIntoAppLogCollectionRequest(appLogCollectionRequest?: AppLogCollectionRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppLogCollectionRequest(writer: SerializationWriter, appLogCollectionRequest?: AppLogCollectionRequest | undefined): void;
