import { type KeyCredentialConfiguration } from './keyCredentialConfiguration';
import { type PasswordCredentialConfiguration } from './passwordCredentialConfiguration';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppManagementConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Collection of keyCredential restrictions settings to be applied to an application or service principal.
     */
    keyCredentials?: KeyCredentialConfiguration[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Collection of password restrictions settings to be applied to an application or service principal.
     */
    passwordCredentials?: PasswordCredentialConfiguration[];
}
export declare function createAppManagementConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppManagementConfiguration;
export declare function deserializeIntoAppManagementConfiguration(appManagementConfiguration?: AppManagementConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppManagementConfiguration(writer: SerializationWriter, appManagementConfiguration?: AppManagementConfiguration | undefined): void;
