import { type AppManagementConfiguration } from './appManagementConfiguration';
import { type DirectoryObject } from './directoryObject';
import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppManagementPolicy extends Parsable, PolicyBase {
    /**
     * Collection of applications and service principals to which the policy is applied.
     */
    appliesTo?: DirectoryObject[];
    /**
     * Denotes whether the policy is enabled.
     */
    isEnabled?: boolean;
    /**
     * Restrictions that apply to an application or service principal object.
     */
    restrictions?: AppManagementConfiguration;
}
export declare function createAppManagementPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppManagementPolicy;
export declare function deserializeIntoAppManagementPolicy(appManagementPolicy?: AppManagementPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppManagementPolicy(writer: SerializationWriter, appManagementPolicy?: AppManagementPolicy | undefined): void;
