"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAppRole = exports.deserializeIntoAppRole = exports.createAppRoleFromDiscriminatorValue = void 0;
function createAppRoleFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAppRole;
}
exports.createAppRoleFromDiscriminatorValue = createAppRoleFromDiscriminatorValue;
function deserializeIntoAppRole(appRole = {}) {
    return {
        "allowedMemberTypes": n => { appRole.allowedMemberTypes = n.getCollectionOfPrimitiveValues(); },
        "description": n => { appRole.description = n.getStringValue(); },
        "displayName": n => { appRole.displayName = n.getStringValue(); },
        "id": n => { appRole.id = n.getGuidValue(); },
        "isEnabled": n => { appRole.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { appRole.odataType = n.getStringValue(); },
        "origin": n => { appRole.origin = n.getStringValue(); },
        "value": n => { appRole.value = n.getStringValue(); },
    };
}
exports.deserializeIntoAppRole = deserializeIntoAppRole;
function serializeAppRole(writer, appRole = {}) {
    writer.writeCollectionOfPrimitiveValues("allowedMemberTypes", appRole.allowedMemberTypes);
    writer.writeStringValue("description", appRole.description);
    writer.writeStringValue("displayName", appRole.displayName);
    writer.writeGuidValue("id", appRole.id);
    writer.writeBooleanValue("isEnabled", appRole.isEnabled);
    writer.writeStringValue("@odata.type", appRole.odataType);
    writer.writeStringValue("origin", appRole.origin);
    writer.writeStringValue("value", appRole.value);
    writer.writeAdditionalData(appRole.additionalData);
}
exports.serializeAppRole = serializeAppRole;
// tslint:enable
// eslint-enable
