import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppScope extends Entity, Parsable {
    /**
     * Provides the display name of the app-specific resource represented by the app scope. Provided for display purposes since appScopeId is often an immutable, non-human-readable id. Read-only.
     */
    displayName?: string;
    /**
     * Describes the type of app-specific resource represented by the app scope and is provided for display purposes, so a user interface can convey to the user the kind of app specific resource represented by the app scope. Read-only.
     */
    type?: string;
}
export declare function createAppScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppScope;
export declare function deserializeIntoAppScope(appScope?: AppScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppScope(writer: SerializationWriter, appScope?: AppScope | undefined): void;
