import { type IdentityProviderBase } from './identityProviderBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppleManagedIdentityProvider extends IdentityProviderBase, Parsable {
    /**
     * The certificate data, which is a long string of text from the certificate. Can be null.
     */
    certificateData?: string;
    /**
     * The Apple developer identifier. Required.
     */
    developerId?: string;
    /**
     * The Apple key identifier. Required.
     */
    keyId?: string;
    /**
     * The Apple service identifier. Required.
     */
    serviceId?: string;
}
export declare function createAppleManagedIdentityProviderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppleManagedIdentityProvider;
export declare function deserializeIntoAppleManagedIdentityProvider(appleManagedIdentityProvider?: AppleManagedIdentityProvider | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppleManagedIdentityProvider(writer: SerializationWriter, appleManagedIdentityProvider?: AppleManagedIdentityProvider | undefined): void;
