import { type Application } from './application';
import { type ServicePrincipal } from './servicePrincipal';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplicationServicePrincipal extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The application property
     */
    application?: Application;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The servicePrincipal property
     */
    servicePrincipal?: ServicePrincipal;
}
export declare function createApplicationServicePrincipalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplicationServicePrincipal;
export declare function deserializeIntoApplicationServicePrincipal(applicationServicePrincipal?: ApplicationServicePrincipal | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplicationServicePrincipal(writer: SerializationWriter, applicationServicePrincipal?: ApplicationServicePrincipal | undefined): void;
