import { AppliedConditionalAccessPolicyResult } from './appliedConditionalAccessPolicyResult';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppliedConditionalAccessPolicy extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Refers to the Name of the conditional access policy (example: 'Require MFA for Salesforce').
     */
    displayName?: string;
    /**
     * Refers to the grant controls enforced by the conditional access policy (example: 'Require multifactor authentication').
     */
    enforcedGrantControls?: string[];
    /**
     * Refers to the session controls enforced by the conditional access policy (example: 'Require app enforced controls').
     */
    enforcedSessionControls?: string[];
    /**
     * An identifier of the conditional access policy.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the result of the CA policy that was triggered. Possible values are: success, failure, notApplied (Policy isn't applied because policy conditions weren't met),notEnabled (This is due to the policy in disabled state), unknown, unknownFutureValue.
     */
    result?: AppliedConditionalAccessPolicyResult;
}
export declare function createAppliedConditionalAccessPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppliedConditionalAccessPolicy;
export declare function deserializeIntoAppliedConditionalAccessPolicy(appliedConditionalAccessPolicy?: AppliedConditionalAccessPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppliedConditionalAccessPolicy(writer: SerializationWriter, appliedConditionalAccessPolicy?: AppliedConditionalAccessPolicy | undefined): void;
