import { PrintJobProcessingState } from './printJobProcessingState';
import { type UserIdentity } from './userIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArchivedPrintJob extends AdditionalDataHolder, Parsable {
    /**
     * True if the job was acquired by a printer; false otherwise. Read-only.
     */
    acquiredByPrinter?: boolean;
    /**
     * The dateTimeOffset when the job was acquired by the printer, if any. Read-only.
     */
    acquiredDateTime?: Date;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The dateTimeOffset when the job was completed, canceled or aborted. Read-only.
     */
    completionDateTime?: Date;
    /**
     * The number of copies that were printed. Read-only.
     */
    copiesPrinted?: number;
    /**
     * The user who created the print job. Read-only.
     */
    createdBy?: UserIdentity;
    /**
     * The dateTimeOffset when the job was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The archived print job's GUID. Read-only.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The printer ID that the job was queued for. Read-only.
     */
    printerId?: string;
    /**
     * The printer name that the job was queued for. Read-only.
     */
    printerName?: string;
    /**
     * The processingState property
     */
    processingState?: PrintJobProcessingState;
}
export declare function createArchivedPrintJobFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArchivedPrintJob;
export declare function deserializeIntoArchivedPrintJob(archivedPrintJob?: ArchivedPrintJob | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArchivedPrintJob(writer: SerializationWriter, archivedPrintJob?: ArchivedPrintJob | undefined): void;
