"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeArchivedPrintJob = exports.deserializeIntoArchivedPrintJob = exports.createArchivedPrintJobFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const printJobProcessingState_1 = require("./printJobProcessingState");
const userIdentity_1 = require("./userIdentity");
function createArchivedPrintJobFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoArchivedPrintJob;
}
exports.createArchivedPrintJobFromDiscriminatorValue = createArchivedPrintJobFromDiscriminatorValue;
function deserializeIntoArchivedPrintJob(archivedPrintJob = {}) {
    return {
        "acquiredByPrinter": n => { archivedPrintJob.acquiredByPrinter = n.getBooleanValue(); },
        "acquiredDateTime": n => { archivedPrintJob.acquiredDateTime = n.getDateValue(); },
        "completionDateTime": n => { archivedPrintJob.completionDateTime = n.getDateValue(); },
        "copiesPrinted": n => { archivedPrintJob.copiesPrinted = n.getNumberValue(); },
        "createdBy": n => { archivedPrintJob.createdBy = n.getObjectValue(userIdentity_1.createUserIdentityFromDiscriminatorValue); },
        "createdDateTime": n => { archivedPrintJob.createdDateTime = n.getDateValue(); },
        "id": n => { archivedPrintJob.id = n.getStringValue(); },
        "@odata.type": n => { archivedPrintJob.odataType = n.getStringValue(); },
        "printerId": n => { archivedPrintJob.printerId = n.getStringValue(); },
        "printerName": n => { archivedPrintJob.printerName = n.getStringValue(); },
        "processingState": n => { archivedPrintJob.processingState = n.getEnumValue(printJobProcessingState_1.PrintJobProcessingState); },
    };
}
exports.deserializeIntoArchivedPrintJob = deserializeIntoArchivedPrintJob;
function serializeArchivedPrintJob(writer, archivedPrintJob = {}) {
    writer.writeBooleanValue("acquiredByPrinter", archivedPrintJob.acquiredByPrinter);
    writer.writeDateValue("acquiredDateTime", archivedPrintJob.acquiredDateTime);
    writer.writeDateValue("completionDateTime", archivedPrintJob.completionDateTime);
    writer.writeNumberValue("copiesPrinted", archivedPrintJob.copiesPrinted);
    writer.writeObjectValue("createdBy", archivedPrintJob.createdBy, userIdentity_1.serializeUserIdentity);
    writer.writeDateValue("createdDateTime", archivedPrintJob.createdDateTime);
    writer.writeStringValue("id", archivedPrintJob.id);
    writer.writeStringValue("@odata.type", archivedPrintJob.odataType);
    writer.writeStringValue("printerId", archivedPrintJob.printerId);
    writer.writeStringValue("printerName", archivedPrintJob.printerName);
    writer.writeEnumValue("processingState", archivedPrintJob.processingState);
    writer.writeAdditionalData(archivedPrintJob.additionalData);
}
exports.serializeArchivedPrintJob = serializeArchivedPrintJob;
// tslint:enable
// eslint-enable
