import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignedLabel extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The display name of the label. Read-only.
     */
    displayName?: string;
    /**
     * The unique identifier of the label.
     */
    labelId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAssignedLabelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignedLabel;
export declare function deserializeIntoAssignedLabel(assignedLabel?: AssignedLabel | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignedLabel(writer: SerializationWriter, assignedLabel?: AssignedLabel | undefined): void;
