"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignedLabel = exports.deserializeIntoAssignedLabel = exports.createAssignedLabelFromDiscriminatorValue = void 0;
function createAssignedLabelFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignedLabel;
}
exports.createAssignedLabelFromDiscriminatorValue = createAssignedLabelFromDiscriminatorValue;
function deserializeIntoAssignedLabel(assignedLabel = {}) {
    return {
        "displayName": n => { assignedLabel.displayName = n.getStringValue(); },
        "labelId": n => { assignedLabel.labelId = n.getStringValue(); },
        "@odata.type": n => { assignedLabel.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAssignedLabel = deserializeIntoAssignedLabel;
function serializeAssignedLabel(writer, assignedLabel = {}) {
    writer.writeStringValue("displayName", assignedLabel.displayName);
    writer.writeStringValue("labelId", assignedLabel.labelId);
    writer.writeStringValue("@odata.type", assignedLabel.odataType);
    writer.writeAdditionalData(assignedLabel.additionalData);
}
exports.serializeAssignedLabel = serializeAssignedLabel;
// tslint:enable
// eslint-enable
