import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface AssignedLicense extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A collection of the unique identifiers for plans that have been disabled.
     */
    disabledPlans?: Guid[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The unique identifier for the SKU.
     */
    skuId?: Guid;
}
export declare function createAssignedLicenseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignedLicense;
export declare function deserializeIntoAssignedLicense(assignedLicense?: AssignedLicense | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignedLicense(writer: SerializationWriter, assignedLicense?: AssignedLicense | undefined): void;
