import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignedTrainingInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Number of users who were assigned the training in an attack simulation and training campaign.
     */
    assignedUserCount?: number;
    /**
     * Number of users who completed the training in an attack simulation and training campaign.
     */
    completedUserCount?: number;
    /**
     * Display name of the training in an attack simulation and training campaign.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAssignedTrainingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignedTrainingInfo;
export declare function deserializeIntoAssignedTrainingInfo(assignedTrainingInfo?: AssignedTrainingInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignedTrainingInfo(writer: SerializationWriter, assignedTrainingInfo?: AssignedTrainingInfo | undefined): void;
