import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssignmentOrder extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A list of identityUserFlowAttribute object identifiers that determine the order in which attributes should be collected within a user flow.
     */
    order?: string[];
}
export declare function createAssignmentOrderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssignmentOrder;
export declare function deserializeIntoAssignmentOrder(assignmentOrder?: AssignmentOrder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssignmentOrder(writer: SerializationWriter, assignmentOrder?: AssignmentOrder | undefined): void;
