"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAttachment = exports.deserializeIntoAttachment = exports.createAttachmentFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const fileAttachment_1 = require("./fileAttachment");
const itemAttachment_1 = require("./itemAttachment");
const referenceAttachment_1 = require("./referenceAttachment");
function createAttachmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.fileAttachment":
                    return fileAttachment_1.deserializeIntoFileAttachment;
                case "#microsoft.graph.itemAttachment":
                    return itemAttachment_1.deserializeIntoItemAttachment;
                case "#microsoft.graph.referenceAttachment":
                    return referenceAttachment_1.deserializeIntoReferenceAttachment;
            }
        }
    }
    return deserializeIntoAttachment;
}
exports.createAttachmentFromDiscriminatorValue = createAttachmentFromDiscriminatorValue;
function deserializeIntoAttachment(attachment = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(attachment)), { "contentType": n => { attachment.contentType = n.getStringValue(); }, "isInline": n => { attachment.isInline = n.getBooleanValue(); }, "lastModifiedDateTime": n => { attachment.lastModifiedDateTime = n.getDateValue(); }, "name": n => { attachment.name = n.getStringValue(); }, "size": n => { attachment.size = n.getNumberValue(); } });
}
exports.deserializeIntoAttachment = deserializeIntoAttachment;
function serializeAttachment(writer, attachment = {}) {
    (0, entity_1.serializeEntity)(writer, attachment);
    writer.writeStringValue("contentType", attachment.contentType);
    writer.writeBooleanValue("isInline", attachment.isInline);
    writer.writeDateValue("lastModifiedDateTime", attachment.lastModifiedDateTime);
    writer.writeStringValue("name", attachment.name);
    writer.writeNumberValue("size", attachment.size);
}
exports.serializeAttachment = serializeAttachment;
// tslint:enable
// eslint-enable
