import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentBase extends Entity, Parsable {
    /**
     * The MIME type.
     */
    contentType?: string;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastModifiedDateTime?: Date;
    /**
     * The display name of the attachment. This doesn't need to be the actual file name.
     */
    name?: string;
    /**
     * The length of the attachment in bytes.
     */
    size?: number;
}
export declare function createAttachmentBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentBase;
export declare function deserializeIntoAttachmentBase(attachmentBase?: AttachmentBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentBase(writer: SerializationWriter, attachmentBase?: AttachmentBase | undefined): void;
