import { AttachmentType } from './attachmentType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The type of the attachment. The possible values are: file, item, reference. Required.
     */
    attachmentType?: AttachmentType;
    /**
     * The nature of the data in the attachment. Optional.
     */
    contentType?: string;
    /**
     * The display name of the attachment. This can be a descriptive string and doesn't have to be the actual file name. Required.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The length of the attachment in bytes. Required.
     */
    size?: number;
}
export declare function createAttachmentInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentInfo;
export declare function deserializeIntoAttachmentInfo(attachmentInfo?: AttachmentInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentInfo(writer: SerializationWriter, attachmentInfo?: AttachmentInfo | undefined): void;
