import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentSession extends Entity, Parsable {
    /**
     * The content streams that are uploaded.
     */
    content?: string;
    /**
     * The date and time in UTC when the upload session will expire. The complete file must be uploaded before this expiration time is reached.
     */
    expirationDateTime?: Date;
    /**
     * Indicates a single value {start} that represents the location in the file where the next upload should begin.
     */
    nextExpectedRanges?: string[];
}
export declare function createAttachmentSessionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentSession;
export declare function deserializeIntoAttachmentSession(attachmentSession?: AttachmentSession | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentSession(writer: SerializationWriter, attachmentSession?: AttachmentSession | undefined): void;
