import { AttackSimulationOperationType } from './attackSimulationOperationType';
import { type LongRunningOperation } from './longRunningOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationOperation extends LongRunningOperation, Parsable {
    /**
     * Percentage of completion of the respective operation.
     */
    percentageCompleted?: number;
    /**
     * Tenant identifier.
     */
    tenantId?: string;
    /**
     * The attack simulation operation type. Possible values are: createSimulation, updateSimulation, unknownFutureValue.
     */
    type?: AttackSimulationOperationType;
}
export declare function createAttackSimulationOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationOperation;
export declare function deserializeIntoAttackSimulationOperation(attackSimulationOperation?: AttackSimulationOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationOperation(writer: SerializationWriter, attackSimulationOperation?: AttackSimulationOperation | undefined): void;
