import { type AttackSimulationUser } from './attackSimulationUser';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationRepeatOffender extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user in an attack simulation and training campaign.
     */
    attackSimulationUser?: AttackSimulationUser;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of repeat offences of the user in attack simulation and training campaigns.
     */
    repeatOffenceCount?: number;
}
export declare function createAttackSimulationRepeatOffenderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationRepeatOffender;
export declare function deserializeIntoAttackSimulationRepeatOffender(attackSimulationRepeatOffender?: AttackSimulationRepeatOffender | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationRepeatOffender(writer: SerializationWriter, attackSimulationRepeatOffender?: AttackSimulationRepeatOffender | undefined): void;
