import { type AttackSimulationOperation } from './attackSimulationOperation';
import { type EndUserNotification } from './endUserNotification';
import { type Entity } from './entity';
import { type LandingPage } from './landingPage';
import { type LoginPage } from './loginPage';
import { type Payload } from './payload';
import { type Simulation } from './simulation';
import { type SimulationAutomation } from './simulationAutomation';
import { type Training } from './training';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationRoot extends Entity, Parsable {
    /**
     * Represents an end user's notification for an attack simulation training.
     */
    endUserNotifications?: EndUserNotification[];
    /**
     * Represents an attack simulation training landing page.
     */
    landingPages?: LandingPage[];
    /**
     * Represents an attack simulation training login page.
     */
    loginPages?: LoginPage[];
    /**
     * Represents an attack simulation training operation.
     */
    operations?: AttackSimulationOperation[];
    /**
     * Represents an attack simulation training campaign payload in a tenant.
     */
    payloads?: Payload[];
    /**
     * Represents simulation automation created to run on a tenant.
     */
    simulationAutomations?: SimulationAutomation[];
    /**
     * Represents an attack simulation training campaign in a tenant.
     */
    simulations?: Simulation[];
    /**
     * Represents details about attack simulation trainings.
     */
    trainings?: Training[];
}
export declare function createAttackSimulationRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationRoot;
export declare function deserializeIntoAttackSimulationRoot(attackSimulationRoot?: AttackSimulationRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationRoot(writer: SerializationWriter, attackSimulationRoot?: AttackSimulationRoot | undefined): void;
