import { type AttackSimulationUser } from './attackSimulationUser';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationSimulationUserCoverage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * User in an attack simulation and training campaign.
     */
    attackSimulationUser?: AttackSimulationUser;
    /**
     * Number of link clicks in the received payloads by the user in attack simulation and training campaigns.
     */
    clickCount?: number;
    /**
     * Number of compromising actions by the user in attack simulation and training campaigns.
     */
    compromisedCount?: number;
    /**
     * Date and time of the latest attack simulation and training campaign that the user was included in.
     */
    latestSimulationDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of attack simulation and training campaigns that the user was included in.
     */
    simulationCount?: number;
}
export declare function createAttackSimulationSimulationUserCoverageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationSimulationUserCoverage;
export declare function deserializeIntoAttackSimulationSimulationUserCoverage(attackSimulationSimulationUserCoverage?: AttackSimulationSimulationUserCoverage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationSimulationUserCoverage(writer: SerializationWriter, attackSimulationSimulationUserCoverage?: AttackSimulationSimulationUserCoverage | undefined): void;
