import { type AttackSimulationUser } from './attackSimulationUser';
import { type UserTrainingStatusInfo } from './userTrainingStatusInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationTrainingUserCoverage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * User in an attack simulation and training campaign.
     */
    attackSimulationUser?: AttackSimulationUser;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * List of assigned trainings and their statuses for the user.
     */
    userTrainings?: UserTrainingStatusInfo[];
}
export declare function createAttackSimulationTrainingUserCoverageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationTrainingUserCoverage;
export declare function deserializeIntoAttackSimulationTrainingUserCoverage(attackSimulationTrainingUserCoverage?: AttackSimulationTrainingUserCoverage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationTrainingUserCoverage(writer: SerializationWriter, attackSimulationTrainingUserCoverage?: AttackSimulationTrainingUserCoverage | undefined): void;
