import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationUser extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name of the user.
     */
    displayName?: string;
    /**
     * Email address of the user.
     */
    email?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * This is the id property value of the user resource that represents the user in the Microsoft Entra tenant.
     */
    userId?: string;
}
export declare function createAttackSimulationUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationUser;
export declare function deserializeIntoAttackSimulationUser(attackSimulationUser?: AttackSimulationUser | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationUser(writer: SerializationWriter, attackSimulationUser?: AttackSimulationUser | undefined): void;
