import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttendanceInterval extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Duration of the meeting interval in seconds; that is, the difference between joinDateTime and leaveDateTime.
     */
    durationInSeconds?: number;
    /**
     * The time the attendee joined in UTC.
     */
    joinDateTime?: Date;
    /**
     * The time the attendee left in UTC.
     */
    leaveDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAttendanceIntervalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttendanceInterval;
export declare function deserializeIntoAttendanceInterval(attendanceInterval?: AttendanceInterval | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttendanceInterval(writer: SerializationWriter, attendanceInterval?: AttendanceInterval | undefined): void;
