import { type AttendanceInterval } from './attendanceInterval';
import { type Entity } from './entity';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttendanceRecord extends Entity, Parsable {
    /**
     * List of time periods between joining and leaving a meeting.
     */
    attendanceIntervals?: AttendanceInterval[];
    /**
     * Email address of the user associated with this attendance record.
     */
    emailAddress?: string;
    /**
     * Identity of the user associated with this attendance record.
     */
    identity?: Identity;
    /**
     * Role of the attendee. Possible values are: None, Attendee, Presenter, and Organizer.
     */
    role?: string;
    /**
     * Total duration of the attendances in seconds.
     */
    totalAttendanceInSeconds?: number;
}
export declare function createAttendanceRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttendanceRecord;
export declare function deserializeIntoAttendanceRecord(attendanceRecord?: AttendanceRecord | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttendanceRecord(writer: SerializationWriter, attendanceRecord?: AttendanceRecord | undefined): void;
