import { deserializeIntoAttendee } from './attendee';
import { AttendeeType } from './attendeeType';
import { type Recipient } from './recipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttendeeBase extends Parsable, Recipient {
    /**
     * The type of attendee. The possible values are: required, optional, resource. Currently if the attendee is a person, findMeetingTimes always considers the person is of the Required type.
     */
    type?: AttendeeType;
}
export declare function createAttendeeBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttendee;
export declare function deserializeIntoAttendeeBase(attendeeBase?: AttendeeBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttendeeBase(writer: SerializationWriter, attendeeBase?: AttendeeBase | undefined): void;
