"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAttributeDefinition = exports.deserializeIntoAttributeDefinition = exports.createAttributeDefinitionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attributeDefinitionMetadataEntry_1 = require("./attributeDefinitionMetadataEntry");
const attributeType_1 = require("./attributeType");
const mutability_1 = require("./mutability");
const referencedObject_1 = require("./referencedObject");
const stringKeyStringValuePair_1 = require("./stringKeyStringValuePair");
function createAttributeDefinitionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAttributeDefinition;
}
exports.createAttributeDefinitionFromDiscriminatorValue = createAttributeDefinitionFromDiscriminatorValue;
function deserializeIntoAttributeDefinition(attributeDefinition = {}) {
    return {
        "anchor": n => { attributeDefinition.anchor = n.getBooleanValue(); },
        "apiExpressions": n => { attributeDefinition.apiExpressions = n.getCollectionOfObjectValues(stringKeyStringValuePair_1.createStringKeyStringValuePairFromDiscriminatorValue); },
        "caseExact": n => { attributeDefinition.caseExact = n.getBooleanValue(); },
        "defaultValue": n => { attributeDefinition.defaultValue = n.getStringValue(); },
        "flowNullValues": n => { attributeDefinition.flowNullValues = n.getBooleanValue(); },
        "metadata": n => { attributeDefinition.metadata = n.getCollectionOfObjectValues(attributeDefinitionMetadataEntry_1.createAttributeDefinitionMetadataEntryFromDiscriminatorValue); },
        "multivalued": n => { attributeDefinition.multivalued = n.getBooleanValue(); },
        "mutability": n => { attributeDefinition.mutability = n.getEnumValue(mutability_1.Mutability); },
        "name": n => { attributeDefinition.name = n.getStringValue(); },
        "@odata.type": n => { attributeDefinition.odataType = n.getStringValue(); },
        "referencedObjects": n => { attributeDefinition.referencedObjects = n.getCollectionOfObjectValues(referencedObject_1.createReferencedObjectFromDiscriminatorValue); },
        "required": n => { attributeDefinition.required = n.getBooleanValue(); },
        "type": n => { attributeDefinition.type = n.getEnumValue(attributeType_1.AttributeType); },
    };
}
exports.deserializeIntoAttributeDefinition = deserializeIntoAttributeDefinition;
function serializeAttributeDefinition(writer, attributeDefinition = {}) {
    writer.writeBooleanValue("anchor", attributeDefinition.anchor);
    writer.writeCollectionOfObjectValues("apiExpressions", attributeDefinition.apiExpressions, stringKeyStringValuePair_1.serializeStringKeyStringValuePair);
    writer.writeBooleanValue("caseExact", attributeDefinition.caseExact);
    writer.writeStringValue("defaultValue", attributeDefinition.defaultValue);
    writer.writeBooleanValue("flowNullValues", attributeDefinition.flowNullValues);
    writer.writeCollectionOfObjectValues("metadata", attributeDefinition.metadata, attributeDefinitionMetadataEntry_1.serializeAttributeDefinitionMetadataEntry);
    writer.writeBooleanValue("multivalued", attributeDefinition.multivalued);
    writer.writeEnumValue("mutability", attributeDefinition.mutability);
    writer.writeStringValue("name", attributeDefinition.name);
    writer.writeStringValue("@odata.type", attributeDefinition.odataType);
    writer.writeCollectionOfObjectValues("referencedObjects", attributeDefinition.referencedObjects, referencedObject_1.serializeReferencedObject);
    writer.writeBooleanValue("required", attributeDefinition.required);
    writer.writeEnumValue("type", attributeDefinition.type);
    writer.writeAdditionalData(attributeDefinition.additionalData);
}
exports.serializeAttributeDefinition = serializeAttributeDefinition;
// tslint:enable
// eslint-enable
