import { AttributeDefinitionMetadata } from './attributeDefinitionMetadata';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeDefinitionMetadataEntry extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Possible values are: BaseAttributeName, ComplexObjectDefinition, IsContainer, IsCustomerDefined, IsDomainQualified, LinkPropertyNames, LinkTypeName, MaximumLength, ReferencedProperty.
     */
    key?: AttributeDefinitionMetadata;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value of the metadata property.
     */
    value?: string;
}
export declare function createAttributeDefinitionMetadataEntryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeDefinitionMetadataEntry;
export declare function deserializeIntoAttributeDefinitionMetadataEntry(attributeDefinitionMetadataEntry?: AttributeDefinitionMetadataEntry | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeDefinitionMetadataEntry(writer: SerializationWriter, attributeDefinitionMetadataEntry?: AttributeDefinitionMetadataEntry | undefined): void;
