import { AttributeFlowBehavior } from './attributeFlowBehavior';
import { AttributeFlowType } from './attributeFlowType';
import { type AttributeMappingSource } from './attributeMappingSource';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeMapping extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Default value to be used in case the source property was evaluated to null. Optional.
     */
    defaultValue?: string;
    /**
     * For internal use only.
     */
    exportMissingReferences?: boolean;
    /**
     * The flowBehavior property
     */
    flowBehavior?: AttributeFlowBehavior;
    /**
     * The flowType property
     */
    flowType?: AttributeFlowType;
    /**
     * If higher than 0, this attribute will be used to perform an initial match of the objects between source and target directories. The synchronization engine will try to find the matching object using attribute with lowest value of matching priority first. If not found, the attribute with the next matching priority will be used, and so on a until match is found or no more matching attributes are left. Only attributes that are expected to have unique values, such as email, should be used as matching attributes.
     */
    matchingPriority?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines how a value should be extracted (or transformed) from the source object.
     */
    source?: AttributeMappingSource;
    /**
     * Name of the attribute on the target object.
     */
    targetAttributeName?: string;
}
export declare function createAttributeMappingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeMapping;
export declare function deserializeIntoAttributeMapping(attributeMapping?: AttributeMapping | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeMapping(writer: SerializationWriter, attributeMapping?: AttributeMapping | undefined): void;
