import { AttributeType } from './attributeType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeMappingParameterSchema extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The given parameter can be provided multiple times (for example, multiple input strings in the Concatenate(string,string,...) function).
     */
    allowMultipleOccurrences?: boolean;
    /**
     * Parameter name.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * true if the parameter is required; otherwise false.
     */
    required?: boolean;
    /**
     * The type property
     */
    type?: AttributeType;
}
export declare function createAttributeMappingParameterSchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeMappingParameterSchema;
export declare function deserializeIntoAttributeMappingParameterSchema(attributeMappingParameterSchema?: AttributeMappingParameterSchema | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeMappingParameterSchema(writer: SerializationWriter, attributeMappingParameterSchema?: AttributeMappingParameterSchema | undefined): void;
