import { AttributeMappingSourceType } from './attributeMappingSourceType';
import { type StringKeyAttributeMappingSourceValuePair } from './stringKeyAttributeMappingSourceValuePair';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeMappingSource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Equivalent expression representation of this attributeMappingSource object.
     */
    expression?: string;
    /**
     * Name parameter of the mapping source. Depending on the type property value, this can be the name of the function, the name of the source attribute, or a constant value to be used.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If this object represents a function, lists function parameters. Parameters consist of attributeMappingSource objects themselves, allowing for complex expressions. If type isn't Function, this property is null/empty array.
     */
    parameters?: StringKeyAttributeMappingSourceValuePair[];
    /**
     * The type property
     */
    type?: AttributeMappingSourceType;
}
export declare function createAttributeMappingSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeMappingSource;
export declare function deserializeIntoAttributeMappingSource(attributeMappingSource?: AttributeMappingSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeMappingSource(writer: SerializationWriter, attributeMappingSource?: AttributeMappingSource | undefined): void;
