import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeRuleMembers extends Parsable, SubjectSet {
    /**
     * A description of the membership rule.
     */
    description?: string;
    /**
     * Determines the allowed target users for this policy. For more information about the syntax of the membership rule, see Membership Rules syntax.
     */
    membershipRule?: string;
}
export declare function createAttributeRuleMembersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeRuleMembers;
export declare function deserializeIntoAttributeRuleMembers(attributeRuleMembers?: AttributeRuleMembers | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeRuleMembers(writer: SerializationWriter, attributeRuleMembers?: AttributeRuleMembers | undefined): void;
