"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAudio = exports.deserializeIntoAudio = exports.createAudioFromDiscriminatorValue = void 0;
function createAudioFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAudio;
}
exports.createAudioFromDiscriminatorValue = createAudioFromDiscriminatorValue;
function deserializeIntoAudio(audio = {}) {
    return {
        "album": n => { audio.album = n.getStringValue(); },
        "albumArtist": n => { audio.albumArtist = n.getStringValue(); },
        "artist": n => { audio.artist = n.getStringValue(); },
        "bitrate": n => { audio.bitrate = n.getNumberValue(); },
        "composers": n => { audio.composers = n.getStringValue(); },
        "copyright": n => { audio.copyright = n.getStringValue(); },
        "disc": n => { audio.disc = n.getNumberValue(); },
        "discCount": n => { audio.discCount = n.getNumberValue(); },
        "duration": n => { audio.duration = n.getNumberValue(); },
        "genre": n => { audio.genre = n.getStringValue(); },
        "hasDrm": n => { audio.hasDrm = n.getBooleanValue(); },
        "isVariableBitrate": n => { audio.isVariableBitrate = n.getBooleanValue(); },
        "@odata.type": n => { audio.odataType = n.getStringValue(); },
        "title": n => { audio.title = n.getStringValue(); },
        "track": n => { audio.track = n.getNumberValue(); },
        "trackCount": n => { audio.trackCount = n.getNumberValue(); },
        "year": n => { audio.year = n.getNumberValue(); },
    };
}
exports.deserializeIntoAudio = deserializeIntoAudio;
function serializeAudio(writer, audio = {}) {
    writer.writeStringValue("album", audio.album);
    writer.writeStringValue("albumArtist", audio.albumArtist);
    writer.writeStringValue("artist", audio.artist);
    writer.writeNumberValue("bitrate", audio.bitrate);
    writer.writeStringValue("composers", audio.composers);
    writer.writeStringValue("copyright", audio.copyright);
    writer.writeNumberValue("disc", audio.disc);
    writer.writeNumberValue("discCount", audio.discCount);
    writer.writeNumberValue("duration", audio.duration);
    writer.writeStringValue("genre", audio.genre);
    writer.writeBooleanValue("hasDrm", audio.hasDrm);
    writer.writeBooleanValue("isVariableBitrate", audio.isVariableBitrate);
    writer.writeStringValue("@odata.type", audio.odataType);
    writer.writeStringValue("title", audio.title);
    writer.writeNumberValue("track", audio.track);
    writer.writeNumberValue("trackCount", audio.trackCount);
    writer.writeNumberValue("year", audio.year);
    writer.writeAdditionalData(audio.additionalData);
}
exports.serializeAudio = serializeAudio;
// tslint:enable
// eslint-enable
