import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AudioConferencing extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The conference id of the online meeting.
     */
    conferenceId?: string;
    /**
     * A URL to the externally-accessible web page that contains dial-in information.
     */
    dialinUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The tollFreeNumber property
     */
    tollFreeNumber?: string;
    /**
     * List of toll-free numbers that are displayed in the meeting invite.
     */
    tollFreeNumbers?: string[];
    /**
     * The tollNumber property
     */
    tollNumber?: string;
    /**
     * List of toll numbers that are displayed in the meeting invite.
     */
    tollNumbers?: string[];
}
export declare function createAudioConferencingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAudioConferencing;
export declare function deserializeIntoAudioConferencing(audioConferencing?: AudioConferencing | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAudioConferencing(writer: SerializationWriter, audioConferencing?: AudioConferencing | undefined): void;
