"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAudioConferencing = exports.deserializeIntoAudioConferencing = exports.createAudioConferencingFromDiscriminatorValue = void 0;
function createAudioConferencingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAudioConferencing;
}
exports.createAudioConferencingFromDiscriminatorValue = createAudioConferencingFromDiscriminatorValue;
function deserializeIntoAudioConferencing(audioConferencing = {}) {
    return {
        "conferenceId": n => { audioConferencing.conferenceId = n.getStringValue(); },
        "dialinUrl": n => { audioConferencing.dialinUrl = n.getStringValue(); },
        "@odata.type": n => { audioConferencing.odataType = n.getStringValue(); },
        "tollFreeNumber": n => { audioConferencing.tollFreeNumber = n.getStringValue(); },
        "tollFreeNumbers": n => { audioConferencing.tollFreeNumbers = n.getCollectionOfPrimitiveValues(); },
        "tollNumber": n => { audioConferencing.tollNumber = n.getStringValue(); },
        "tollNumbers": n => { audioConferencing.tollNumbers = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoAudioConferencing = deserializeIntoAudioConferencing;
function serializeAudioConferencing(writer, audioConferencing = {}) {
    writer.writeStringValue("conferenceId", audioConferencing.conferenceId);
    writer.writeStringValue("dialinUrl", audioConferencing.dialinUrl);
    writer.writeStringValue("@odata.type", audioConferencing.odataType);
    writer.writeStringValue("tollFreeNumber", audioConferencing.tollFreeNumber);
    writer.writeCollectionOfPrimitiveValues("tollFreeNumbers", audioConferencing.tollFreeNumbers);
    writer.writeStringValue("tollNumber", audioConferencing.tollNumber);
    writer.writeCollectionOfPrimitiveValues("tollNumbers", audioConferencing.tollNumbers);
    writer.writeAdditionalData(audioConferencing.additionalData);
}
exports.serializeAudioConferencing = serializeAudioConferencing;
// tslint:enable
// eslint-enable
