import { type Entity } from './entity';
import { RoutingMode } from './routingMode';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AudioRoutingGroup extends Entity, Parsable {
    /**
     * List of receiving participant ids.
     */
    receivers?: string[];
    /**
     * The routingMode property
     */
    routingMode?: RoutingMode;
    /**
     * List of source participant ids.
     */
    sources?: string[];
}
export declare function createAudioRoutingGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAudioRoutingGroup;
export declare function deserializeIntoAudioRoutingGroup(audioRoutingGroup?: AudioRoutingGroup | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAudioRoutingGroup(writer: SerializationWriter, audioRoutingGroup?: AudioRoutingGroup | undefined): void;
