import { type AppIdentity } from './appIdentity';
import { type UserIdentity } from './userIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditActivityInitiator extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If the resource initiating the activity is an app, this property indicates all the app related information like appId, Name, servicePrincipalId, Name.
     */
    app?: AppIdentity;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If the resource initiating the activity is a user, this property Indicates all the user related information like userId, Name, UserPrinicpalName.
     */
    user?: UserIdentity;
}
export declare function createAuditActivityInitiatorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditActivityInitiator;
export declare function deserializeIntoAuditActivityInitiator(auditActivityInitiator?: AuditActivityInitiator | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditActivityInitiator(writer: SerializationWriter, auditActivityInitiator?: AuditActivityInitiator | undefined): void;
