import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditActor extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the Application.
     */
    applicationDisplayName?: string;
    /**
     * AAD Application Id.
     */
    applicationId?: string;
    /**
     * Actor Type.
     */
    auditActorType?: string;
    /**
     * IPAddress.
     */
    ipAddress?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Service Principal Name (SPN).
     */
    servicePrincipalName?: string;
    /**
     * User Id.
     */
    userId?: string;
    /**
     * List of user permissions when the audit was performed.
     */
    userPermissions?: string[];
    /**
     * User Principal Name (UPN).
     */
    userPrincipalName?: string;
}
export declare function createAuditActorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditActor;
export declare function deserializeIntoAuditActor(auditActor?: AuditActor | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditActor(writer: SerializationWriter, auditActor?: AuditActor | undefined): void;
