"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuditActor = exports.deserializeIntoAuditActor = exports.createAuditActorFromDiscriminatorValue = void 0;
function createAuditActorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAuditActor;
}
exports.createAuditActorFromDiscriminatorValue = createAuditActorFromDiscriminatorValue;
function deserializeIntoAuditActor(auditActor = {}) {
    return {
        "applicationDisplayName": n => { auditActor.applicationDisplayName = n.getStringValue(); },
        "applicationId": n => { auditActor.applicationId = n.getStringValue(); },
        "auditActorType": n => { auditActor.auditActorType = n.getStringValue(); },
        "ipAddress": n => { auditActor.ipAddress = n.getStringValue(); },
        "@odata.type": n => { auditActor.odataType = n.getStringValue(); },
        "servicePrincipalName": n => { auditActor.servicePrincipalName = n.getStringValue(); },
        "userId": n => { auditActor.userId = n.getStringValue(); },
        "userPermissions": n => { auditActor.userPermissions = n.getCollectionOfPrimitiveValues(); },
        "userPrincipalName": n => { auditActor.userPrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoAuditActor = deserializeIntoAuditActor;
function serializeAuditActor(writer, auditActor = {}) {
    writer.writeStringValue("applicationDisplayName", auditActor.applicationDisplayName);
    writer.writeStringValue("applicationId", auditActor.applicationId);
    writer.writeStringValue("auditActorType", auditActor.auditActorType);
    writer.writeStringValue("ipAddress", auditActor.ipAddress);
    writer.writeStringValue("@odata.type", auditActor.odataType);
    writer.writeStringValue("servicePrincipalName", auditActor.servicePrincipalName);
    writer.writeStringValue("userId", auditActor.userId);
    writer.writeCollectionOfPrimitiveValues("userPermissions", auditActor.userPermissions);
    writer.writeStringValue("userPrincipalName", auditActor.userPrincipalName);
    writer.writeAdditionalData(auditActor.additionalData);
}
exports.serializeAuditActor = serializeAuditActor;
// tslint:enable
// eslint-enable
