import { type AuditActor } from './auditActor';
import { type AuditResource } from './auditResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface AuditEvent extends Entity, Parsable {
    /**
     * Friendly name of the activity.
     */
    activity?: string;
    /**
     * The date time in UTC when the activity was performed.
     */
    activityDateTime?: Date;
    /**
     * The HTTP operation type of the activity.
     */
    activityOperationType?: string;
    /**
     * The result of the activity.
     */
    activityResult?: string;
    /**
     * The type of activity that was being performed.
     */
    activityType?: string;
    /**
     * AAD user and application that are associated with the audit event.
     */
    actor?: AuditActor;
    /**
     * Audit category.
     */
    category?: string;
    /**
     * Component name.
     */
    componentName?: string;
    /**
     * The client request Id that is used to correlate activity within the system.
     */
    correlationId?: Guid;
    /**
     * Event display name.
     */
    displayName?: string;
    /**
     * Resources being modified.
     */
    resources?: AuditResource[];
}
export declare function createAuditEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditEvent;
export declare function deserializeIntoAuditEvent(auditEvent?: AuditEvent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditEvent(writer: SerializationWriter, auditEvent?: AuditEvent | undefined): void;
