import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditProperty extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name.
     */
    displayName?: string;
    /**
     * New value.
     */
    newValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Old value.
     */
    oldValue?: string;
}
export declare function createAuditPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditProperty;
export declare function deserializeIntoAuditProperty(auditProperty?: AuditProperty | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditProperty(writer: SerializationWriter, auditProperty?: AuditProperty | undefined): void;
