import { type AuditProperty } from './auditProperty';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditResource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Audit resource's type.
     */
    auditResourceType?: string;
    /**
     * Display name.
     */
    displayName?: string;
    /**
     * List of modified properties.
     */
    modifiedProperties?: AuditProperty[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Audit resource's Id.
     */
    resourceId?: string;
}
export declare function createAuditResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditResource;
export declare function deserializeIntoAuditResource(auditResource?: AuditResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditResource(writer: SerializationWriter, auditResource?: AuditResource | undefined): void;
