"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthentication = exports.deserializeIntoAuthentication = exports.createAuthenticationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethod_1 = require("./authenticationMethod");
const emailAuthenticationMethod_1 = require("./emailAuthenticationMethod");
const entity_1 = require("./entity");
const fido2AuthenticationMethod_1 = require("./fido2AuthenticationMethod");
const longRunningOperation_1 = require("./longRunningOperation");
const microsoftAuthenticatorAuthenticationMethod_1 = require("./microsoftAuthenticatorAuthenticationMethod");
const passwordAuthenticationMethod_1 = require("./passwordAuthenticationMethod");
const phoneAuthenticationMethod_1 = require("./phoneAuthenticationMethod");
const softwareOathAuthenticationMethod_1 = require("./softwareOathAuthenticationMethod");
const temporaryAccessPassAuthenticationMethod_1 = require("./temporaryAccessPassAuthenticationMethod");
const windowsHelloForBusinessAuthenticationMethod_1 = require("./windowsHelloForBusinessAuthenticationMethod");
function createAuthenticationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAuthentication;
}
exports.createAuthenticationFromDiscriminatorValue = createAuthenticationFromDiscriminatorValue;
function deserializeIntoAuthentication(authentication = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(authentication)), { "emailMethods": n => { authentication.emailMethods = n.getCollectionOfObjectValues(emailAuthenticationMethod_1.createEmailAuthenticationMethodFromDiscriminatorValue); }, "fido2Methods": n => { authentication.fido2Methods = n.getCollectionOfObjectValues(fido2AuthenticationMethod_1.createFido2AuthenticationMethodFromDiscriminatorValue); }, "methods": n => { authentication.methods = n.getCollectionOfObjectValues(authenticationMethod_1.createAuthenticationMethodFromDiscriminatorValue); }, "microsoftAuthenticatorMethods": n => { authentication.microsoftAuthenticatorMethods = n.getCollectionOfObjectValues(microsoftAuthenticatorAuthenticationMethod_1.createMicrosoftAuthenticatorAuthenticationMethodFromDiscriminatorValue); }, "operations": n => { authentication.operations = n.getCollectionOfObjectValues(longRunningOperation_1.createLongRunningOperationFromDiscriminatorValue); }, "passwordMethods": n => { authentication.passwordMethods = n.getCollectionOfObjectValues(passwordAuthenticationMethod_1.createPasswordAuthenticationMethodFromDiscriminatorValue); }, "phoneMethods": n => { authentication.phoneMethods = n.getCollectionOfObjectValues(phoneAuthenticationMethod_1.createPhoneAuthenticationMethodFromDiscriminatorValue); }, "softwareOathMethods": n => { authentication.softwareOathMethods = n.getCollectionOfObjectValues(softwareOathAuthenticationMethod_1.createSoftwareOathAuthenticationMethodFromDiscriminatorValue); }, "temporaryAccessPassMethods": n => { authentication.temporaryAccessPassMethods = n.getCollectionOfObjectValues(temporaryAccessPassAuthenticationMethod_1.createTemporaryAccessPassAuthenticationMethodFromDiscriminatorValue); }, "windowsHelloForBusinessMethods": n => { authentication.windowsHelloForBusinessMethods = n.getCollectionOfObjectValues(windowsHelloForBusinessAuthenticationMethod_1.createWindowsHelloForBusinessAuthenticationMethodFromDiscriminatorValue); } });
}
exports.deserializeIntoAuthentication = deserializeIntoAuthentication;
function serializeAuthentication(writer, authentication = {}) {
    (0, entity_1.serializeEntity)(writer, authentication);
    writer.writeCollectionOfObjectValues("emailMethods", authentication.emailMethods, emailAuthenticationMethod_1.serializeEmailAuthenticationMethod);
    writer.writeCollectionOfObjectValues("fido2Methods", authentication.fido2Methods, fido2AuthenticationMethod_1.serializeFido2AuthenticationMethod);
    writer.writeCollectionOfObjectValues("methods", authentication.methods, authenticationMethod_1.serializeAuthenticationMethod);
    writer.writeCollectionOfObjectValues("microsoftAuthenticatorMethods", authentication.microsoftAuthenticatorMethods, microsoftAuthenticatorAuthenticationMethod_1.serializeMicrosoftAuthenticatorAuthenticationMethod);
    writer.writeCollectionOfObjectValues("operations", authentication.operations, longRunningOperation_1.serializeLongRunningOperation);
    writer.writeCollectionOfObjectValues("passwordMethods", authentication.passwordMethods, passwordAuthenticationMethod_1.serializePasswordAuthenticationMethod);
    writer.writeCollectionOfObjectValues("phoneMethods", authentication.phoneMethods, phoneAuthenticationMethod_1.serializePhoneAuthenticationMethod);
    writer.writeCollectionOfObjectValues("softwareOathMethods", authentication.softwareOathMethods, softwareOathAuthenticationMethod_1.serializeSoftwareOathAuthenticationMethod);
    writer.writeCollectionOfObjectValues("temporaryAccessPassMethods", authentication.temporaryAccessPassMethods, temporaryAccessPassAuthenticationMethod_1.serializeTemporaryAccessPassAuthenticationMethod);
    writer.writeCollectionOfObjectValues("windowsHelloForBusinessMethods", authentication.windowsHelloForBusinessMethods, windowsHelloForBusinessAuthenticationMethod_1.serializeWindowsHelloForBusinessAuthenticationMethod);
}
exports.serializeAuthentication = serializeAuthentication;
// tslint:enable
// eslint-enable
