"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthenticationCombinationConfiguration = exports.deserializeIntoAuthenticationCombinationConfiguration = exports.createAuthenticationCombinationConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodModes_1 = require("./authenticationMethodModes");
const entity_1 = require("./entity");
const fido2CombinationConfiguration_1 = require("./fido2CombinationConfiguration");
function createAuthenticationCombinationConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.fido2CombinationConfiguration":
                    return fido2CombinationConfiguration_1.deserializeIntoFido2CombinationConfiguration;
            }
        }
    }
    return deserializeIntoAuthenticationCombinationConfiguration;
}
exports.createAuthenticationCombinationConfigurationFromDiscriminatorValue = createAuthenticationCombinationConfigurationFromDiscriminatorValue;
function deserializeIntoAuthenticationCombinationConfiguration(authenticationCombinationConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(authenticationCombinationConfiguration)), { "appliesToCombinations": n => { authenticationCombinationConfiguration.appliesToCombinations = n.getCollectionOfEnumValues(authenticationMethodModes_1.AuthenticationMethodModes); } });
}
exports.deserializeIntoAuthenticationCombinationConfiguration = deserializeIntoAuthenticationCombinationConfiguration;
function serializeAuthenticationCombinationConfiguration(writer, authenticationCombinationConfiguration = {}) {
    (0, entity_1.serializeEntity)(writer, authenticationCombinationConfiguration);
    if (authenticationCombinationConfiguration.appliesToCombinations)
        writer.writeEnumValue("appliesToCombinations", ...authenticationCombinationConfiguration.appliesToCombinations);
}
exports.serializeAuthenticationCombinationConfiguration = serializeAuthenticationCombinationConfiguration;
// tslint:enable
// eslint-enable
