import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationContextClassReference extends Entity, Parsable {
    /**
     * A short explanation of the policies that are enforced by authenticationContextClassReference. This value should be used to provide secondary text to describe the authentication context class reference when building user-facing admin experiences. For example, a selection UX.
     */
    description?: string;
    /**
     * The display name is the friendly name of the authenticationContextClassReference object. This value should be used to identify the authentication context class reference when building user-facing admin experiences. For example, a selection UX.
     */
    displayName?: string;
    /**
     * Indicates whether the authenticationContextClassReference has been published by the security admin and is ready for use by apps. When it's set to false, it shouldn't be shown in authentication context selection UX, or used to protect app resources. It's shown and available for Conditional Access policy authoring. The default value is false.  Supports $filter (eq).
     */
    isAvailable?: boolean;
}
export declare function createAuthenticationContextClassReferenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationContextClassReference;
export declare function deserializeIntoAuthenticationContextClassReference(authenticationContextClassReference?: AuthenticationContextClassReference | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationContextClassReference(writer: SerializationWriter, authenticationContextClassReference?: AuthenticationContextClassReference | undefined): void;
