import { type Entity } from './entity';
import { type SelfServiceSignUpAuthenticationFlowConfiguration } from './selfServiceSignUpAuthenticationFlowConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationFlowsPolicy extends Entity, Parsable {
    /**
     * Inherited property. A description of the policy. Optional. Read-only.
     */
    description?: string;
    /**
     * Inherited property. The human-readable name of the policy. Optional. Read-only.
     */
    displayName?: string;
    /**
     * Contains selfServiceSignUpAuthenticationFlowConfiguration settings that convey whether self-service sign-up is enabled or disabled. Optional. Read-only.
     */
    selfServiceSignUp?: SelfServiceSignUpAuthenticationFlowConfiguration;
}
export declare function createAuthenticationFlowsPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationFlowsPolicy;
export declare function deserializeIntoAuthenticationFlowsPolicy(authenticationFlowsPolicy?: AuthenticationFlowsPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationFlowsPolicy(writer: SerializationWriter, authenticationFlowsPolicy?: AuthenticationFlowsPolicy | undefined): void;
