"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthenticationMethod = exports.deserializeIntoAuthenticationMethod = exports.createAuthenticationMethodFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const emailAuthenticationMethod_1 = require("./emailAuthenticationMethod");
const entity_1 = require("./entity");
const fido2AuthenticationMethod_1 = require("./fido2AuthenticationMethod");
const microsoftAuthenticatorAuthenticationMethod_1 = require("./microsoftAuthenticatorAuthenticationMethod");
const passwordAuthenticationMethod_1 = require("./passwordAuthenticationMethod");
const phoneAuthenticationMethod_1 = require("./phoneAuthenticationMethod");
const softwareOathAuthenticationMethod_1 = require("./softwareOathAuthenticationMethod");
const temporaryAccessPassAuthenticationMethod_1 = require("./temporaryAccessPassAuthenticationMethod");
const windowsHelloForBusinessAuthenticationMethod_1 = require("./windowsHelloForBusinessAuthenticationMethod");
function createAuthenticationMethodFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.emailAuthenticationMethod":
                    return emailAuthenticationMethod_1.deserializeIntoEmailAuthenticationMethod;
                case "#microsoft.graph.fido2AuthenticationMethod":
                    return fido2AuthenticationMethod_1.deserializeIntoFido2AuthenticationMethod;
                case "#microsoft.graph.microsoftAuthenticatorAuthenticationMethod":
                    return microsoftAuthenticatorAuthenticationMethod_1.deserializeIntoMicrosoftAuthenticatorAuthenticationMethod;
                case "#microsoft.graph.passwordAuthenticationMethod":
                    return passwordAuthenticationMethod_1.deserializeIntoPasswordAuthenticationMethod;
                case "#microsoft.graph.phoneAuthenticationMethod":
                    return phoneAuthenticationMethod_1.deserializeIntoPhoneAuthenticationMethod;
                case "#microsoft.graph.softwareOathAuthenticationMethod":
                    return softwareOathAuthenticationMethod_1.deserializeIntoSoftwareOathAuthenticationMethod;
                case "#microsoft.graph.temporaryAccessPassAuthenticationMethod":
                    return temporaryAccessPassAuthenticationMethod_1.deserializeIntoTemporaryAccessPassAuthenticationMethod;
                case "#microsoft.graph.windowsHelloForBusinessAuthenticationMethod":
                    return windowsHelloForBusinessAuthenticationMethod_1.deserializeIntoWindowsHelloForBusinessAuthenticationMethod;
            }
        }
    }
    return deserializeIntoAuthenticationMethod;
}
exports.createAuthenticationMethodFromDiscriminatorValue = createAuthenticationMethodFromDiscriminatorValue;
function deserializeIntoAuthenticationMethod(authenticationMethod = {}) {
    return Object.assign({}, (0, entity_1.deserializeIntoEntity)(authenticationMethod));
}
exports.deserializeIntoAuthenticationMethod = deserializeIntoAuthenticationMethod;
function serializeAuthenticationMethod(writer, authenticationMethod = {}) {
    (0, entity_1.serializeEntity)(writer, authenticationMethod);
}
exports.serializeAuthenticationMethod = serializeAuthenticationMethod;
// tslint:enable
// eslint-enable
