import { AuthenticationMethodState } from './authenticationMethodState';
import { type Entity } from './entity';
import { type ExcludeTarget } from './excludeTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodConfiguration extends Entity, Parsable {
    /**
     * Groups of users that are excluded from a policy.
     */
    excludeTargets?: ExcludeTarget[];
    /**
     * The state of the policy. Possible values are: enabled, disabled.
     */
    state?: AuthenticationMethodState;
}
export declare function createAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodConfiguration;
export declare function deserializeIntoAuthenticationMethodConfiguration(authenticationMethodConfiguration?: AuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodConfiguration(writer: SerializationWriter, authenticationMethodConfiguration?: AuthenticationMethodConfiguration | undefined): void;
