"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthenticationMethodConfiguration = exports.deserializeIntoAuthenticationMethodConfiguration = exports.createAuthenticationMethodConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodState_1 = require("./authenticationMethodState");
const emailAuthenticationMethodConfiguration_1 = require("./emailAuthenticationMethodConfiguration");
const entity_1 = require("./entity");
const excludeTarget_1 = require("./excludeTarget");
const fido2AuthenticationMethodConfiguration_1 = require("./fido2AuthenticationMethodConfiguration");
const microsoftAuthenticatorAuthenticationMethodConfiguration_1 = require("./microsoftAuthenticatorAuthenticationMethodConfiguration");
const smsAuthenticationMethodConfiguration_1 = require("./smsAuthenticationMethodConfiguration");
const softwareOathAuthenticationMethodConfiguration_1 = require("./softwareOathAuthenticationMethodConfiguration");
const temporaryAccessPassAuthenticationMethodConfiguration_1 = require("./temporaryAccessPassAuthenticationMethodConfiguration");
const voiceAuthenticationMethodConfiguration_1 = require("./voiceAuthenticationMethodConfiguration");
const x509CertificateAuthenticationMethodConfiguration_1 = require("./x509CertificateAuthenticationMethodConfiguration");
function createAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.emailAuthenticationMethodConfiguration":
                    return emailAuthenticationMethodConfiguration_1.deserializeIntoEmailAuthenticationMethodConfiguration;
                case "#microsoft.graph.fido2AuthenticationMethodConfiguration":
                    return fido2AuthenticationMethodConfiguration_1.deserializeIntoFido2AuthenticationMethodConfiguration;
                case "#microsoft.graph.microsoftAuthenticatorAuthenticationMethodConfiguration":
                    return microsoftAuthenticatorAuthenticationMethodConfiguration_1.deserializeIntoMicrosoftAuthenticatorAuthenticationMethodConfiguration;
                case "#microsoft.graph.smsAuthenticationMethodConfiguration":
                    return smsAuthenticationMethodConfiguration_1.deserializeIntoSmsAuthenticationMethodConfiguration;
                case "#microsoft.graph.softwareOathAuthenticationMethodConfiguration":
                    return softwareOathAuthenticationMethodConfiguration_1.deserializeIntoSoftwareOathAuthenticationMethodConfiguration;
                case "#microsoft.graph.temporaryAccessPassAuthenticationMethodConfiguration":
                    return temporaryAccessPassAuthenticationMethodConfiguration_1.deserializeIntoTemporaryAccessPassAuthenticationMethodConfiguration;
                case "#microsoft.graph.voiceAuthenticationMethodConfiguration":
                    return voiceAuthenticationMethodConfiguration_1.deserializeIntoVoiceAuthenticationMethodConfiguration;
                case "#microsoft.graph.x509CertificateAuthenticationMethodConfiguration":
                    return x509CertificateAuthenticationMethodConfiguration_1.deserializeIntoX509CertificateAuthenticationMethodConfiguration;
            }
        }
    }
    return deserializeIntoAuthenticationMethodConfiguration;
}
exports.createAuthenticationMethodConfigurationFromDiscriminatorValue = createAuthenticationMethodConfigurationFromDiscriminatorValue;
function deserializeIntoAuthenticationMethodConfiguration(authenticationMethodConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(authenticationMethodConfiguration)), { "excludeTargets": n => { authenticationMethodConfiguration.excludeTargets = n.getCollectionOfObjectValues(excludeTarget_1.createExcludeTargetFromDiscriminatorValue); }, "state": n => { authenticationMethodConfiguration.state = n.getEnumValue(authenticationMethodState_1.AuthenticationMethodState); } });
}
exports.deserializeIntoAuthenticationMethodConfiguration = deserializeIntoAuthenticationMethodConfiguration;
function serializeAuthenticationMethodConfiguration(writer, authenticationMethodConfiguration = {}) {
    (0, entity_1.serializeEntity)(writer, authenticationMethodConfiguration);
    writer.writeCollectionOfObjectValues("excludeTargets", authenticationMethodConfiguration.excludeTargets, excludeTarget_1.serializeExcludeTarget);
    writer.writeEnumValue("state", authenticationMethodConfiguration.state);
}
exports.serializeAuthenticationMethodConfiguration = serializeAuthenticationMethodConfiguration;
// tslint:enable
// eslint-enable
