import { AdvancedConfigState } from './advancedConfigState';
import { type FeatureTarget } from './featureTarget';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodFeatureConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A single entity that is excluded from this feature.
     */
    excludeTarget?: FeatureTarget;
    /**
     * A single entity that is included in this feature.
     */
    includeTarget?: FeatureTarget;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Enable or disable the feature. Possible values are: default, enabled, disabled, unknownFutureValue. The default value is used when the configuration hasn't been explicitly set and uses the default behavior of Microsoft Entra ID for the setting. The default value is disabled.
     */
    state?: AdvancedConfigState;
}
export declare function createAuthenticationMethodFeatureConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodFeatureConfiguration;
export declare function deserializeIntoAuthenticationMethodFeatureConfiguration(authenticationMethodFeatureConfiguration?: AuthenticationMethodFeatureConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodFeatureConfiguration(writer: SerializationWriter, authenticationMethodFeatureConfiguration?: AuthenticationMethodFeatureConfiguration | undefined): void;
