import { AuthenticationMethodTargetType } from './authenticationMethodTargetType';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodTarget extends Entity, Parsable {
    /**
     * Determines if the user is enforced to register the authentication method.
     */
    isRegistrationRequired?: boolean;
    /**
     * The targetType property
     */
    targetType?: AuthenticationMethodTargetType;
}
export declare function createAuthenticationMethodTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodTarget;
export declare function deserializeIntoAuthenticationMethodTarget(authenticationMethodTarget?: AuthenticationMethodTarget | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodTarget(writer: SerializationWriter, authenticationMethodTarget?: AuthenticationMethodTarget | undefined): void;
