"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthenticationMethodTarget = exports.deserializeIntoAuthenticationMethodTarget = exports.createAuthenticationMethodTargetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodTargetType_1 = require("./authenticationMethodTargetType");
const entity_1 = require("./entity");
const microsoftAuthenticatorAuthenticationMethodTarget_1 = require("./microsoftAuthenticatorAuthenticationMethodTarget");
const smsAuthenticationMethodTarget_1 = require("./smsAuthenticationMethodTarget");
function createAuthenticationMethodTargetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.microsoftAuthenticatorAuthenticationMethodTarget":
                    return microsoftAuthenticatorAuthenticationMethodTarget_1.deserializeIntoMicrosoftAuthenticatorAuthenticationMethodTarget;
                case "#microsoft.graph.smsAuthenticationMethodTarget":
                    return smsAuthenticationMethodTarget_1.deserializeIntoSmsAuthenticationMethodTarget;
            }
        }
    }
    return deserializeIntoAuthenticationMethodTarget;
}
exports.createAuthenticationMethodTargetFromDiscriminatorValue = createAuthenticationMethodTargetFromDiscriminatorValue;
function deserializeIntoAuthenticationMethodTarget(authenticationMethodTarget = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(authenticationMethodTarget)), { "isRegistrationRequired": n => { authenticationMethodTarget.isRegistrationRequired = n.getBooleanValue(); }, "targetType": n => { authenticationMethodTarget.targetType = n.getEnumValue(authenticationMethodTargetType_1.AuthenticationMethodTargetType); } });
}
exports.deserializeIntoAuthenticationMethodTarget = deserializeIntoAuthenticationMethodTarget;
function serializeAuthenticationMethodTarget(writer, authenticationMethodTarget = {}) {
    (0, entity_1.serializeEntity)(writer, authenticationMethodTarget);
    writer.writeBooleanValue("isRegistrationRequired", authenticationMethodTarget.isRegistrationRequired);
    writer.writeEnumValue("targetType", authenticationMethodTarget.targetType);
}
exports.serializeAuthenticationMethodTarget = serializeAuthenticationMethodTarget;
// tslint:enable
// eslint-enable
