import { AdvancedConfigState } from './advancedConfigState';
import { type AuthenticationMethodsRegistrationCampaignIncludeTarget } from './authenticationMethodsRegistrationCampaignIncludeTarget';
import { type ExcludeTarget } from './excludeTarget';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodsRegistrationCampaign extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Users and groups of users that are excluded from being prompted to set up the authentication method.
     */
    excludeTargets?: ExcludeTarget[];
    /**
     * Users and groups of users that are prompted to set up the authentication method.
     */
    includeTargets?: AuthenticationMethodsRegistrationCampaignIncludeTarget[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the number of days that the user sees a prompt again if they select 'Not now' and snoozes the prompt. Minimum: 0 days. Maximum: 14 days. If the value is '0', the user is prompted during every MFA attempt.
     */
    snoozeDurationInDays?: number;
    /**
     * The state property
     */
    state?: AdvancedConfigState;
}
export declare function createAuthenticationMethodsRegistrationCampaignFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodsRegistrationCampaign;
export declare function deserializeIntoAuthenticationMethodsRegistrationCampaign(authenticationMethodsRegistrationCampaign?: AuthenticationMethodsRegistrationCampaign | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodsRegistrationCampaign(writer: SerializationWriter, authenticationMethodsRegistrationCampaign?: AuthenticationMethodsRegistrationCampaign | undefined): void;
