import { AuthenticationMethodTargetType } from './authenticationMethodTargetType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodsRegistrationCampaignIncludeTarget extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The object identifier of a Microsoft Entra user or group.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The authentication method that the user is prompted to register. The value must be microsoftAuthenticator.
     */
    targetedAuthenticationMethod?: string;
    /**
     * The targetType property
     */
    targetType?: AuthenticationMethodTargetType;
}
export declare function createAuthenticationMethodsRegistrationCampaignIncludeTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodsRegistrationCampaignIncludeTarget;
export declare function deserializeIntoAuthenticationMethodsRegistrationCampaignIncludeTarget(authenticationMethodsRegistrationCampaignIncludeTarget?: AuthenticationMethodsRegistrationCampaignIncludeTarget | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodsRegistrationCampaignIncludeTarget(writer: SerializationWriter, authenticationMethodsRegistrationCampaignIncludeTarget?: AuthenticationMethodsRegistrationCampaignIncludeTarget | undefined): void;
