import { type Entity } from './entity';
import { type UserRegistrationDetails } from './userRegistrationDetails';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodsRoot extends Entity, Parsable {
    /**
     * Represents the state of a user's authentication methods, including which methods are registered and which features the user is registered and capable of (such as multifactor authentication, self-service password reset, and passwordless authentication).
     */
    userRegistrationDetails?: UserRegistrationDetails[];
}
export declare function createAuthenticationMethodsRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodsRoot;
export declare function deserializeIntoAuthenticationMethodsRoot(authenticationMethodsRoot?: AuthenticationMethodsRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodsRoot(writer: SerializationWriter, authenticationMethodsRoot?: AuthenticationMethodsRoot | undefined): void;
