import { type AuthenticationCombinationConfiguration } from './authenticationCombinationConfiguration';
import { AuthenticationMethodModes } from './authenticationMethodModes';
import { AuthenticationStrengthPolicyType } from './authenticationStrengthPolicyType';
import { AuthenticationStrengthRequirements } from './authenticationStrengthRequirements';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationStrengthPolicy extends Entity, Parsable {
    /**
     * A collection of authentication method modes that are required be used to satify this authentication strength.
     */
    allowedCombinations?: AuthenticationMethodModes[];
    /**
     * Settings that may be used to require specific types or instances of an authentication method to be used when authenticating with a specified combination of authentication methods.
     */
    combinationConfigurations?: AuthenticationCombinationConfiguration[];
    /**
     * The datetime when this policy was created.
     */
    createdDateTime?: Date;
    /**
     * The human-readable description of this policy.
     */
    description?: string;
    /**
     * The human-readable display name of this policy. Supports $filter (eq, ne, not , and in).
     */
    displayName?: string;
    /**
     * The datetime when this policy was last modified.
     */
    modifiedDateTime?: Date;
    /**
     * The policyType property
     */
    policyType?: AuthenticationStrengthPolicyType;
    /**
     * The requirementsSatisfied property
     */
    requirementsSatisfied?: AuthenticationStrengthRequirements[];
}
export declare function createAuthenticationStrengthPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationStrengthPolicy;
export declare function deserializeIntoAuthenticationStrengthPolicy(authenticationStrengthPolicy?: AuthenticationStrengthPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationStrengthPolicy(writer: SerializationWriter, authenticationStrengthPolicy?: AuthenticationStrengthPolicy | undefined): void;
