import { type AuthenticationMethodModeDetail } from './authenticationMethodModeDetail';
import { AuthenticationMethodModes } from './authenticationMethodModes';
import { type AuthenticationStrengthPolicy } from './authenticationStrengthPolicy';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationStrengthRoot extends Entity, Parsable {
    /**
     * Names and descriptions of all valid authentication method modes in the system.
     */
    authenticationMethodModes?: AuthenticationMethodModeDetail[];
    /**
     * The combinations property
     */
    combinations?: AuthenticationMethodModes[];
    /**
     * A collection of authentication strength policies that exist for this tenant, including both built-in and custom policies.
     */
    policies?: AuthenticationStrengthPolicy[];
}
export declare function createAuthenticationStrengthRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationStrengthRoot;
export declare function deserializeIntoAuthenticationStrengthRoot(authenticationStrengthRoot?: AuthenticationStrengthRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationStrengthRoot(writer: SerializationWriter, authenticationStrengthRoot?: AuthenticationStrengthRoot | undefined): void;
