import { type ConditionalAccessPolicy } from './conditionalAccessPolicy';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationStrengthUsage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mfa property
     */
    mfa?: ConditionalAccessPolicy[];
    /**
     * The none property
     */
    none?: ConditionalAccessPolicy[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAuthenticationStrengthUsageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationStrengthUsage;
export declare function deserializeIntoAuthenticationStrengthUsage(authenticationStrengthUsage?: AuthenticationStrengthUsage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationStrengthUsage(writer: SerializationWriter, authenticationStrengthUsage?: AuthenticationStrengthUsage | undefined): void;
