import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type LocaleInfo } from './localeInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AutomaticRepliesMailTips extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The automatic reply message.
     */
    message?: string;
    /**
     * The language that the automatic reply message is in.
     */
    messageLanguage?: LocaleInfo;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The date and time that automatic replies are set to end.
     */
    scheduledEndTime?: DateTimeTimeZone;
    /**
     * The date and time that automatic replies are set to begin.
     */
    scheduledStartTime?: DateTimeTimeZone;
}
export declare function createAutomaticRepliesMailTipsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAutomaticRepliesMailTips;
export declare function deserializeIntoAutomaticRepliesMailTips(automaticRepliesMailTips?: AutomaticRepliesMailTips | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAutomaticRepliesMailTips(writer: SerializationWriter, automaticRepliesMailTips?: AutomaticRepliesMailTips | undefined): void;
