import { BookingsAvailabilityStatus } from './bookingsAvailabilityStatus';
import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AvailabilityItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the service ID for 1:n appointments. If the appointment is of type 1:n, this field is present, otherwise, null.
     */
    serviceId?: string;
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
    /**
     * The status of the staff member. Possible values are: available, busy, slotsAvailable, outOfOffice, unknownFutureValue.
     */
    status?: BookingsAvailabilityStatus;
}
export declare function createAvailabilityItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAvailabilityItem;
export declare function deserializeIntoAvailabilityItem(availabilityItem?: AvailabilityItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAvailabilityItem(writer: SerializationWriter, availabilityItem?: AvailabilityItem | undefined): void;
