import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AverageComparativeScore extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Average score within specified basis.
     */
    averageScore?: number;
    /**
     * Scope type. The possible values are: AllTenants, TotalSeats, IndustryTypes.
     */
    basis?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAverageComparativeScoreFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAverageComparativeScore;
export declare function deserializeIntoAverageComparativeScore(averageComparativeScore?: AverageComparativeScore | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAverageComparativeScore(writer: SerializationWriter, averageComparativeScore?: AverageComparativeScore | undefined): void;
