import { type IdentitySource } from './identitySource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AzureActiveDirectoryTenant extends IdentitySource, Parsable {
    /**
     * The name of the Microsoft Entra tenant. Read only.
     */
    displayName?: string;
    /**
     * The ID of the Microsoft Entra tenant. Read only.
     */
    tenantId?: string;
}
export declare function createAzureActiveDirectoryTenantFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureActiveDirectoryTenant;
export declare function deserializeIntoAzureActiveDirectoryTenant(azureActiveDirectoryTenant?: AzureActiveDirectoryTenant | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAzureActiveDirectoryTenant(writer: SerializationWriter, azureActiveDirectoryTenant?: AzureActiveDirectoryTenant | undefined): void;
