import { type IdentityProvider } from './identityProvider';
import { type IdentityProviderBase } from './identityProviderBase';
import { type IdentityUserFlow } from './identityUserFlow';
import { type IdentityUserFlowAttributeAssignment } from './identityUserFlowAttributeAssignment';
import { type UserFlowApiConnectorConfiguration } from './userFlowApiConnectorConfiguration';
import { type UserFlowLanguageConfiguration } from './userFlowLanguageConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface B2xIdentityUserFlow extends IdentityUserFlow, Parsable {
    /**
     * Configuration for enabling an API connector for use as part of the self-service sign-up user flow. You can only obtain the value of this object using Get userFlowApiConnectorConfiguration.
     */
    apiConnectorConfiguration?: UserFlowApiConnectorConfiguration;
    /**
     * The identity providers included in the user flow.
     */
    identityProviders?: IdentityProvider[];
    /**
     * The languages supported for customization within the user flow. Language customization is enabled by default in self-service sign-up user flow. You can't create custom languages in self-service sign-up user flows.
     */
    languages?: UserFlowLanguageConfiguration[];
    /**
     * The user attribute assignments included in the user flow.
     */
    userAttributeAssignments?: IdentityUserFlowAttributeAssignment[];
    /**
     * The userFlowIdentityProviders property
     */
    userFlowIdentityProviders?: IdentityProviderBase[];
}
export declare function createB2xIdentityUserFlowFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoB2xIdentityUserFlow;
export declare function deserializeIntoB2xIdentityUserFlow(b2xIdentityUserFlow?: B2xIdentityUserFlow | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeB2xIdentityUserFlow(writer: SerializationWriter, b2xIdentityUserFlow?: B2xIdentityUserFlow | undefined): void;
