import { type EndUserNotification } from './endUserNotification';
import { deserializeIntoPositiveReinforcementNotification } from './positiveReinforcementNotification';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BaseEndUserNotification extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The default language for the end user notification.
     */
    defaultLanguage?: string;
    /**
     * The endUserNotification property
     */
    endUserNotification?: EndUserNotification;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createBaseEndUserNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPositiveReinforcementNotification;
export declare function deserializeIntoBaseEndUserNotification(baseEndUserNotification?: BaseEndUserNotification | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBaseEndUserNotification(writer: SerializationWriter, baseEndUserNotification?: BaseEndUserNotification | undefined): void;
