"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBaseItem = exports.deserializeIntoBaseItem = exports.createBaseItemFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const drive_1 = require("./drive");
const driveItem_1 = require("./driveItem");
const entity_1 = require("./entity");
const identitySet_1 = require("./identitySet");
const itemReference_1 = require("./itemReference");
const list_1 = require("./list");
const listItem_1 = require("./listItem");
const sharedDriveItem_1 = require("./sharedDriveItem");
const site_1 = require("./site");
const user_1 = require("./user");
function createBaseItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.drive":
                    return drive_1.deserializeIntoDrive;
                case "#microsoft.graph.driveItem":
                    return driveItem_1.deserializeIntoDriveItem;
                case "#microsoft.graph.list":
                    return list_1.deserializeIntoList;
                case "#microsoft.graph.listItem":
                    return listItem_1.deserializeIntoListItem;
                case "#microsoft.graph.sharedDriveItem":
                    return sharedDriveItem_1.deserializeIntoSharedDriveItem;
                case "#microsoft.graph.site":
                    return site_1.deserializeIntoSite;
            }
        }
    }
    return deserializeIntoBaseItem;
}
exports.createBaseItemFromDiscriminatorValue = createBaseItemFromDiscriminatorValue;
function deserializeIntoBaseItem(baseItem = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(baseItem)), { "createdBy": n => { baseItem.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdByUser": n => { baseItem.createdByUser = n.getObjectValue(user_1.createUserFromDiscriminatorValue); }, "createdDateTime": n => { baseItem.createdDateTime = n.getDateValue(); }, "description": n => { baseItem.description = n.getStringValue(); }, "eTag": n => { baseItem.eTag = n.getStringValue(); }, "lastModifiedBy": n => { baseItem.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedByUser": n => { baseItem.lastModifiedByUser = n.getObjectValue(user_1.createUserFromDiscriminatorValue); }, "lastModifiedDateTime": n => { baseItem.lastModifiedDateTime = n.getDateValue(); }, "name": n => { baseItem.name = n.getStringValue(); }, "parentReference": n => { baseItem.parentReference = n.getObjectValue(itemReference_1.createItemReferenceFromDiscriminatorValue); }, "webUrl": n => { baseItem.webUrl = n.getStringValue(); } });
}
exports.deserializeIntoBaseItem = deserializeIntoBaseItem;
function serializeBaseItem(writer, baseItem = {}) {
    (0, entity_1.serializeEntity)(writer, baseItem);
    writer.writeObjectValue("createdBy", baseItem.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeObjectValue("createdByUser", baseItem.createdByUser, user_1.serializeUser);
    writer.writeDateValue("createdDateTime", baseItem.createdDateTime);
    writer.writeStringValue("description", baseItem.description);
    writer.writeStringValue("eTag", baseItem.eTag);
    writer.writeObjectValue("lastModifiedBy", baseItem.lastModifiedBy, identitySet_1.serializeIdentitySet);
    writer.writeObjectValue("lastModifiedByUser", baseItem.lastModifiedByUser, user_1.serializeUser);
    writer.writeDateValue("lastModifiedDateTime", baseItem.lastModifiedDateTime);
    writer.writeStringValue("name", baseItem.name);
    writer.writeObjectValue("parentReference", baseItem.parentReference, itemReference_1.serializeItemReference);
    writer.writeStringValue("webUrl", baseItem.webUrl);
}
exports.serializeBaseItem = serializeBaseItem;
// tslint:enable
// eslint-enable
