import { deserializeIntoDocumentSetVersion } from './documentSetVersion';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type PublicationFacet } from './publicationFacet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BaseItemVersion extends Entity, Parsable {
    /**
     * Identity of the user which last modified the version. Read-only.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * Date and time the version was last modified. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * Indicates the publication status of this particular version. Read-only.
     */
    publication?: PublicationFacet;
}
export declare function createBaseItemVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetVersion;
export declare function deserializeIntoBaseItemVersion(baseItemVersion?: BaseItemVersion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBaseItemVersion(writer: SerializationWriter, baseItemVersion?: BaseItemVersion | undefined): void;
