"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBaseItemVersion = exports.deserializeIntoBaseItemVersion = exports.createBaseItemVersionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const documentSetVersion_1 = require("./documentSetVersion");
const driveItemVersion_1 = require("./driveItemVersion");
const entity_1 = require("./entity");
const identitySet_1 = require("./identitySet");
const listItemVersion_1 = require("./listItemVersion");
const publicationFacet_1 = require("./publicationFacet");
function createBaseItemVersionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.documentSetVersion":
                    return documentSetVersion_1.deserializeIntoDocumentSetVersion;
                case "#microsoft.graph.driveItemVersion":
                    return driveItemVersion_1.deserializeIntoDriveItemVersion;
                case "#microsoft.graph.listItemVersion":
                    return listItemVersion_1.deserializeIntoListItemVersion;
            }
        }
    }
    return deserializeIntoBaseItemVersion;
}
exports.createBaseItemVersionFromDiscriminatorValue = createBaseItemVersionFromDiscriminatorValue;
function deserializeIntoBaseItemVersion(baseItemVersion = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(baseItemVersion)), { "lastModifiedBy": n => { baseItemVersion.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { baseItemVersion.lastModifiedDateTime = n.getDateValue(); }, "publication": n => { baseItemVersion.publication = n.getObjectValue(publicationFacet_1.createPublicationFacetFromDiscriminatorValue); } });
}
exports.deserializeIntoBaseItemVersion = deserializeIntoBaseItemVersion;
function serializeBaseItemVersion(writer, baseItemVersion = {}) {
    (0, entity_1.serializeEntity)(writer, baseItemVersion);
    writer.writeObjectValue("lastModifiedBy", baseItemVersion.lastModifiedBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("lastModifiedDateTime", baseItemVersion.lastModifiedDateTime);
    writer.writeObjectValue("publication", baseItemVersion.publication, publicationFacet_1.serializePublicationFacet);
}
exports.serializeBaseItemVersion = serializeBaseItemVersion;
// tslint:enable
// eslint-enable
