import { type Entity } from './entity';
import { VolumeType } from './volumeType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitlockerRecoveryKey extends Entity, Parsable {
    /**
     * The date and time when the key was originally backed up to Microsoft Entra ID. Not nullable.
     */
    createdDateTime?: Date;
    /**
     * Identifier of the device the BitLocker key is originally backed up from. Supports $filter (eq).
     */
    deviceId?: string;
    /**
     * The BitLocker recovery key. Returned only on $select. Not nullable.
     */
    key?: string;
    /**
     * Indicates the type of volume the BitLocker key is associated with. The possible values are: 1 (for operatingSystemVolume), 2 (for fixedDataVolume), 3 (for removableDataVolume), and 4 (for unknownFutureValue).
     */
    volumeType?: VolumeType;
}
export declare function createBitlockerRecoveryKeyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitlockerRecoveryKey;
export declare function deserializeIntoBitlockerRecoveryKey(bitlockerRecoveryKey?: BitlockerRecoveryKey | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitlockerRecoveryKey(writer: SerializationWriter, bitlockerRecoveryKey?: BitlockerRecoveryKey | undefined): void;
