"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBookingAppointment = exports.deserializeIntoBookingAppointment = exports.createBookingAppointmentFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const bookingCustomerInformationBase_1 = require("./bookingCustomerInformationBase");
const bookingPriceType_1 = require("./bookingPriceType");
const bookingReminder_1 = require("./bookingReminder");
const dateTimeTimeZone_1 = require("./dateTimeTimeZone");
const entity_1 = require("./entity");
const location_1 = require("./location");
function createBookingAppointmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBookingAppointment;
}
exports.createBookingAppointmentFromDiscriminatorValue = createBookingAppointmentFromDiscriminatorValue;
function deserializeIntoBookingAppointment(bookingAppointment = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(bookingAppointment)), { "additionalInformation": n => { bookingAppointment.additionalInformation = n.getStringValue(); }, "anonymousJoinWebUrl": n => { bookingAppointment.anonymousJoinWebUrl = n.getStringValue(); }, "customers": n => { bookingAppointment.customers = n.getCollectionOfObjectValues(bookingCustomerInformationBase_1.createBookingCustomerInformationBaseFromDiscriminatorValue); }, "customerTimeZone": n => { bookingAppointment.customerTimeZone = n.getStringValue(); }, "duration": n => { bookingAppointment.duration = n.getDurationValue(); }, "endDateTime": n => { bookingAppointment.endDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "filledAttendeesCount": n => { bookingAppointment.filledAttendeesCount = n.getNumberValue(); }, "isLocationOnline": n => { bookingAppointment.isLocationOnline = n.getBooleanValue(); }, "joinWebUrl": n => { bookingAppointment.joinWebUrl = n.getStringValue(); }, "maximumAttendeesCount": n => { bookingAppointment.maximumAttendeesCount = n.getNumberValue(); }, "optOutOfCustomerEmail": n => { bookingAppointment.optOutOfCustomerEmail = n.getBooleanValue(); }, "postBuffer": n => { bookingAppointment.postBuffer = n.getDurationValue(); }, "preBuffer": n => { bookingAppointment.preBuffer = n.getDurationValue(); }, "price": n => { bookingAppointment.price = n.getNumberValue(); }, "priceType": n => { bookingAppointment.priceType = n.getEnumValue(bookingPriceType_1.BookingPriceType); }, "reminders": n => { bookingAppointment.reminders = n.getCollectionOfObjectValues(bookingReminder_1.createBookingReminderFromDiscriminatorValue); }, "selfServiceAppointmentId": n => { bookingAppointment.selfServiceAppointmentId = n.getStringValue(); }, "serviceId": n => { bookingAppointment.serviceId = n.getStringValue(); }, "serviceLocation": n => { bookingAppointment.serviceLocation = n.getObjectValue(location_1.createLocationFromDiscriminatorValue); }, "serviceName": n => { bookingAppointment.serviceName = n.getStringValue(); }, "serviceNotes": n => { bookingAppointment.serviceNotes = n.getStringValue(); }, "smsNotificationsEnabled": n => { bookingAppointment.smsNotificationsEnabled = n.getBooleanValue(); }, "staffMemberIds": n => { bookingAppointment.staffMemberIds = n.getCollectionOfPrimitiveValues(); }, "startDateTime": n => { bookingAppointment.startDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); } });
}
exports.deserializeIntoBookingAppointment = deserializeIntoBookingAppointment;
function serializeBookingAppointment(writer, bookingAppointment = {}) {
    (0, entity_1.serializeEntity)(writer, bookingAppointment);
    writer.writeStringValue("additionalInformation", bookingAppointment.additionalInformation);
    writer.writeStringValue("anonymousJoinWebUrl", bookingAppointment.anonymousJoinWebUrl);
    writer.writeCollectionOfObjectValues("customers", bookingAppointment.customers, bookingCustomerInformationBase_1.serializeBookingCustomerInformationBase);
    writer.writeStringValue("customerTimeZone", bookingAppointment.customerTimeZone);
    writer.writeObjectValue("endDateTime", bookingAppointment.endDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeBooleanValue("isLocationOnline", bookingAppointment.isLocationOnline);
    writer.writeStringValue("joinWebUrl", bookingAppointment.joinWebUrl);
    writer.writeNumberValue("maximumAttendeesCount", bookingAppointment.maximumAttendeesCount);
    writer.writeBooleanValue("optOutOfCustomerEmail", bookingAppointment.optOutOfCustomerEmail);
    writer.writeDurationValue("postBuffer", bookingAppointment.postBuffer);
    writer.writeDurationValue("preBuffer", bookingAppointment.preBuffer);
    writer.writeNumberValue("price", bookingAppointment.price);
    writer.writeEnumValue("priceType", bookingAppointment.priceType);
    writer.writeCollectionOfObjectValues("reminders", bookingAppointment.reminders, bookingReminder_1.serializeBookingReminder);
    writer.writeStringValue("selfServiceAppointmentId", bookingAppointment.selfServiceAppointmentId);
    writer.writeStringValue("serviceId", bookingAppointment.serviceId);
    writer.writeObjectValue("serviceLocation", bookingAppointment.serviceLocation, location_1.serializeLocation);
    writer.writeStringValue("serviceName", bookingAppointment.serviceName);
    writer.writeStringValue("serviceNotes", bookingAppointment.serviceNotes);
    writer.writeBooleanValue("smsNotificationsEnabled", bookingAppointment.smsNotificationsEnabled);
    writer.writeCollectionOfPrimitiveValues("staffMemberIds", bookingAppointment.staffMemberIds);
    writer.writeObjectValue("startDateTime", bookingAppointment.startDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
}
exports.serializeBookingAppointment = serializeBookingAppointment;
// tslint:enable
// eslint-enable
