import { AnswerInputType } from './answerInputType';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomQuestion extends Entity, Parsable {
    /**
     * The expected answer type. The possible values are: text, radioButton, unknownFutureValue.
     */
    answerInputType?: AnswerInputType;
    /**
     * List of possible answer values.
     */
    answerOptions?: string[];
    /**
     * The question.
     */
    displayName?: string;
}
export declare function createBookingCustomQuestionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomQuestion;
export declare function deserializeIntoBookingCustomQuestion(bookingCustomQuestion?: BookingCustomQuestion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomQuestion(writer: SerializationWriter, bookingCustomQuestion?: BookingCustomQuestion | undefined): void;
