import { type BookingCustomerBase } from './bookingCustomerBase';
import { type Phone } from './phone';
import { type PhysicalAddress } from './physicalAddress';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomer extends BookingCustomerBase, Parsable {
    /**
     * Addresses associated with the customer. The attribute type of physicalAddress is not supported in v1.0. Internally we map the addresses to the type others.
     */
    addresses?: PhysicalAddress[];
    /**
     * The name of the customer.
     */
    displayName?: string;
    /**
     * The SMTP address of the customer.
     */
    emailAddress?: string;
    /**
     * Phone numbers associated with the customer, including home, business and mobile numbers.
     */
    phones?: Phone[];
}
export declare function createBookingCustomerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomer;
export declare function deserializeIntoBookingCustomer(bookingCustomer?: BookingCustomer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomer(writer: SerializationWriter, bookingCustomer?: BookingCustomer | undefined): void;
