"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookingPriceType = void 0;
/**
 * Represents the type of pricing of a booking service.
 */
var BookingPriceType;
(function (BookingPriceType) {
    /** The price of the service is not defined. */
    BookingPriceType["Undefined"] = "undefined";
    /** The price of the service is fixed. */
    BookingPriceType["FixedPrice"] = "fixedPrice";
    /** The price of the service starts with a particular value, but can be higher based on the final services performed. */
    BookingPriceType["StartingAt"] = "startingAt";
    /** The price of the service depends on the number of hours a staff member works on the service. */
    BookingPriceType["Hourly"] = "hourly";
    /** The service is free. */
    BookingPriceType["Free"] = "free";
    /** The price of the service varies. */
    BookingPriceType["PriceVaries"] = "priceVaries";
    /** The price of the service is not listed. */
    BookingPriceType["CallUs"] = "callUs";
    /** The price of the service is not set. */
    BookingPriceType["NotSet"] = "notSet";
    BookingPriceType["UnknownFutureValue"] = "unknownFutureValue";
})(BookingPriceType || (exports.BookingPriceType = BookingPriceType = {}));
// tslint:enable
// eslint-enable
