import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingQuestionAssignment extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ID of the custom question.
     */
    isRequired?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates whether it's mandatory to answer the custom question.
     */
    questionId?: string;
}
export declare function createBookingQuestionAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingQuestionAssignment;
export declare function deserializeIntoBookingQuestionAssignment(bookingQuestionAssignment?: BookingQuestionAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingQuestionAssignment(writer: SerializationWriter, bookingQuestionAssignment?: BookingQuestionAssignment | undefined): void;
