import { BookingReminderRecipients } from './bookingReminderRecipients';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingReminder extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The message in the reminder.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The amount of time before the start of an appointment that the reminder should be sent. It's denoted in ISO 8601 format.
     */
    offset?: Duration;
    /**
     * The recipients property
     */
    recipients?: BookingReminderRecipients;
}
export declare function createBookingReminderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingReminder;
export declare function deserializeIntoBookingReminder(bookingReminder?: BookingReminder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingReminder(writer: SerializationWriter, bookingReminder?: BookingReminder | undefined): void;
