import { type BookingWorkTimeSlot } from './bookingWorkTimeSlot';
import { DayOfWeek } from './dayOfWeek';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingWorkHours extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The day property
     */
    day?: DayOfWeek;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A list of start/end times during a day.
     */
    timeSlots?: BookingWorkTimeSlot[];
}
export declare function createBookingWorkHoursFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingWorkHours;
export declare function deserializeIntoBookingWorkHours(bookingWorkHours?: BookingWorkHours | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingWorkHours(writer: SerializationWriter, bookingWorkHours?: BookingWorkHours | undefined): void;
