import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BroadcastMeetingCaptionSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether captions are enabled for this Teams live event.
     */
    isCaptionEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The spoken language.
     */
    spokenLanguage?: string;
    /**
     * The translation languages (choose up to 6).
     */
    translationLanguages?: string[];
}
export declare function createBroadcastMeetingCaptionSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBroadcastMeetingCaptionSettings;
export declare function deserializeIntoBroadcastMeetingCaptionSettings(broadcastMeetingCaptionSettings?: BroadcastMeetingCaptionSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBroadcastMeetingCaptionSettings(writer: SerializationWriter, broadcastMeetingCaptionSettings?: BroadcastMeetingCaptionSettings | undefined): void;
