import { type BrowserSharedCookieHistory } from './browserSharedCookieHistory';
import { BrowserSharedCookieSourceEnvironment } from './browserSharedCookieSourceEnvironment';
import { BrowserSharedCookieStatus } from './browserSharedCookieStatus';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSharedCookie extends Entity, Parsable {
    /**
     * The comment for the shared cookie.
     */
    comment?: string;
    /**
     * The date and time when the shared cookie was created.
     */
    createdDateTime?: Date;
    /**
     * The date and time when the shared cookie was deleted.
     */
    deletedDateTime?: Date;
    /**
     * The name of the cookie.
     */
    displayName?: string;
    /**
     * The history of modifications applied to the cookie.
     */
    history?: BrowserSharedCookieHistory[];
    /**
     * Controls whether a cookie is a host-only or domain cookie.
     */
    hostOnly?: boolean;
    /**
     * The URL of the cookie.
     */
    hostOrDomain?: string;
    /**
     * The user who last modified the cookie.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The date and time when the cookie was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The path of the cookie.
     */
    path?: string;
    /**
     * The sourceEnvironment property
     */
    sourceEnvironment?: BrowserSharedCookieSourceEnvironment;
    /**
     * The status property
     */
    status?: BrowserSharedCookieStatus;
}
export declare function createBrowserSharedCookieFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSharedCookie;
export declare function deserializeIntoBrowserSharedCookie(browserSharedCookie?: BrowserSharedCookie | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSharedCookie(writer: SerializationWriter, browserSharedCookie?: BrowserSharedCookie | undefined): void;
