import { BrowserSharedCookieSourceEnvironment } from './browserSharedCookieSourceEnvironment';
import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSharedCookieHistory extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The comment for the shared cookie.
     */
    comment?: string;
    /**
     * The name of the cookie.
     */
    displayName?: string;
    /**
     * Controls whether a cookie is a host-only or domain cookie.
     */
    hostOnly?: boolean;
    /**
     * The URL of the cookie.
     */
    hostOrDomain?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The path of the cookie.
     */
    path?: string;
    /**
     * The date and time when the cookie was last published.
     */
    publishedDateTime?: Date;
    /**
     * Specifies how the cookies are shared between Microsoft Edge and Internet Explorer. The possible values are: microsoftEdge, internetExplorer11, both, unknownFutureValue.
     */
    sourceEnvironment?: BrowserSharedCookieSourceEnvironment;
}
export declare function createBrowserSharedCookieHistoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSharedCookieHistory;
export declare function deserializeIntoBrowserSharedCookieHistory(browserSharedCookieHistory?: BrowserSharedCookieHistory | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSharedCookieHistory(writer: SerializationWriter, browserSharedCookieHistory?: BrowserSharedCookieHistory | undefined): void;
