import { BrowserSiteCompatibilityMode } from './browserSiteCompatibilityMode';
import { type BrowserSiteHistory } from './browserSiteHistory';
import { BrowserSiteMergeType } from './browserSiteMergeType';
import { BrowserSiteStatus } from './browserSiteStatus';
import { BrowserSiteTargetEnvironment } from './browserSiteTargetEnvironment';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSite extends Entity, Parsable {
    /**
     * Controls the behavior of redirected sites. If true, indicates that the site will open in Internet Explorer 11 or Microsoft Edge even if the site is navigated to as part of a HTTP or meta refresh redirection chain.
     */
    allowRedirect?: boolean;
    /**
     * The comment for the site.
     */
    comment?: string;
    /**
     * The compatibilityMode property
     */
    compatibilityMode?: BrowserSiteCompatibilityMode;
    /**
     * The date and time when the site was created.
     */
    createdDateTime?: Date;
    /**
     * The date and time when the site was deleted.
     */
    deletedDateTime?: Date;
    /**
     * The history of modifications applied to the site.
     */
    history?: BrowserSiteHistory[];
    /**
     * The user who last modified the site.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The date and time when the site was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The mergeType property
     */
    mergeType?: BrowserSiteMergeType;
    /**
     * The status property
     */
    status?: BrowserSiteStatus;
    /**
     * The targetEnvironment property
     */
    targetEnvironment?: BrowserSiteTargetEnvironment;
    /**
     * The URL of the site.
     */
    webUrl?: string;
}
export declare function createBrowserSiteFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSite;
export declare function deserializeIntoBrowserSite(browserSite?: BrowserSite | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSite(writer: SerializationWriter, browserSite?: BrowserSite | undefined): void;
