import { type BrowserSharedCookie } from './browserSharedCookie';
import { type BrowserSite } from './browserSite';
import { BrowserSiteListStatus } from './browserSiteListStatus';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSiteList extends Entity, Parsable {
    /**
     * The description of the site list.
     */
    description?: string;
    /**
     * The name of the site list.
     */
    displayName?: string;
    /**
     * The user who last modified the site list.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The date and time when the site list was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The user who published the site list.
     */
    publishedBy?: IdentitySet;
    /**
     * The date and time when the site list was published.
     */
    publishedDateTime?: Date;
    /**
     * The current revision of the site list.
     */
    revision?: string;
    /**
     * A collection of shared cookies defined for the site list.
     */
    sharedCookies?: BrowserSharedCookie[];
    /**
     * A collection of sites defined for the site list.
     */
    sites?: BrowserSite[];
    /**
     * The status property
     */
    status?: BrowserSiteListStatus;
}
export declare function createBrowserSiteListFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSiteList;
export declare function deserializeIntoBrowserSiteList(browserSiteList?: BrowserSiteList | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSiteList(writer: SerializationWriter, browserSiteList?: BrowserSiteList | undefined): void;
