import { type BucketAggregationRange } from './bucketAggregationRange';
import { BucketAggregationSortProperty } from './bucketAggregationSortProperty';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BucketAggregationDefinition extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * True to specify the sort order as descending. The default is false, with the sort order as ascending. Optional.
     */
    isDescending?: boolean;
    /**
     * The minimum number of items that should be present in the aggregation to be returned in a bucket. Optional.
     */
    minimumCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A filter to define a matching criteria. The key should start with the specified prefix to be returned in the response. Optional.
     */
    prefixFilter?: string;
    /**
     * Specifies the manual ranges to compute the aggregations. This is only valid for nonstring refiners of date or numeric type. Optional.
     */
    ranges?: BucketAggregationRange[];
    /**
     * The sortBy property
     */
    sortBy?: BucketAggregationSortProperty;
}
export declare function createBucketAggregationDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBucketAggregationDefinition;
export declare function deserializeIntoBucketAggregationDefinition(bucketAggregationDefinition?: BucketAggregationDefinition | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBucketAggregationDefinition(writer: SerializationWriter, bucketAggregationDefinition?: BucketAggregationDefinition | undefined): void;
