import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BucketAggregationRange extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines the lower bound from which to compute the aggregation. This can be a numeric value or a string representation of a date using the YYYY-MM-DDTHH:mm:ss.sssZ format. Required.
     */
    from?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines the upper bound up to which to compute the aggregation. This can be a numeric value or a string representation of a date using the YYYY-MM-DDTHH:mm:ss.sssZ format. Required.
     */
    to?: string;
}
export declare function createBucketAggregationRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBucketAggregationRange;
export declare function deserializeIntoBucketAggregationRange(bucketAggregationRange?: BucketAggregationRange | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBucketAggregationRange(writer: SerializationWriter, bucketAggregationRange?: BucketAggregationRange | undefined): void;
