import { type IdentityProviderBase } from './identityProviderBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BuiltInIdentityProvider extends IdentityProviderBase, Parsable {
    /**
     * The identity provider type. For a B2B scenario, possible values: AADSignup, MicrosoftAccount, EmailOTP. Required.
     */
    identityProviderType?: string;
}
export declare function createBuiltInIdentityProviderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBuiltInIdentityProvider;
export declare function deserializeIntoBuiltInIdentityProvider(builtInIdentityProvider?: BuiltInIdentityProvider | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBuiltInIdentityProvider(writer: SerializationWriter, builtInIdentityProvider?: BuiltInIdentityProvider | undefined): void;
