import { type Album } from './album';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Bundle extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If the bundle is an [album][], then the album property is included
     */
    album?: Album;
    /**
     * Number of children contained immediately within this container.
     */
    childCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createBundleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBundle;
export declare function deserializeIntoBundle(bundle?: Bundle | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBundle(writer: SerializationWriter, bundle?: Bundle | undefined): void;
