import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalculatedColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * For dateTime output types, the format of the value. Possible values are: dateOnly or dateTime.
     */
    format?: string;
    /**
     * The formula used to compute the value for this column.
     */
    formula?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The output type used to format values in this column. Possible values are: boolean, currency, dateTime, number, or text.
     */
    outputType?: string;
}
export declare function createCalculatedColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalculatedColumn;
export declare function deserializeIntoCalculatedColumn(calculatedColumn?: CalculatedColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalculatedColumn(writer: SerializationWriter, calculatedColumn?: CalculatedColumn | undefined): void;
