"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCalculatedColumn = exports.deserializeIntoCalculatedColumn = exports.createCalculatedColumnFromDiscriminatorValue = void 0;
function createCalculatedColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCalculatedColumn;
}
exports.createCalculatedColumnFromDiscriminatorValue = createCalculatedColumnFromDiscriminatorValue;
function deserializeIntoCalculatedColumn(calculatedColumn = {}) {
    return {
        "format": n => { calculatedColumn.format = n.getStringValue(); },
        "formula": n => { calculatedColumn.formula = n.getStringValue(); },
        "@odata.type": n => { calculatedColumn.odataType = n.getStringValue(); },
        "outputType": n => { calculatedColumn.outputType = n.getStringValue(); },
    };
}
exports.deserializeIntoCalculatedColumn = deserializeIntoCalculatedColumn;
function serializeCalculatedColumn(writer, calculatedColumn = {}) {
    writer.writeStringValue("format", calculatedColumn.format);
    writer.writeStringValue("formula", calculatedColumn.formula);
    writer.writeStringValue("@odata.type", calculatedColumn.odataType);
    writer.writeStringValue("outputType", calculatedColumn.outputType);
    writer.writeAdditionalData(calculatedColumn.additionalData);
}
exports.serializeCalculatedColumn = serializeCalculatedColumn;
// tslint:enable
// eslint-enable
