"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCalendar = exports.deserializeIntoCalendar = exports.createCalendarFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const calendarColor_1 = require("./calendarColor");
const calendarPermission_1 = require("./calendarPermission");
const emailAddress_1 = require("./emailAddress");
const entity_1 = require("./entity");
const event_1 = require("./event");
const multiValueLegacyExtendedProperty_1 = require("./multiValueLegacyExtendedProperty");
const onlineMeetingProviderType_1 = require("./onlineMeetingProviderType");
const singleValueLegacyExtendedProperty_1 = require("./singleValueLegacyExtendedProperty");
function createCalendarFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCalendar;
}
exports.createCalendarFromDiscriminatorValue = createCalendarFromDiscriminatorValue;
function deserializeIntoCalendar(calendar = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(calendar)), { "allowedOnlineMeetingProviders": n => { calendar.allowedOnlineMeetingProviders = n.getCollectionOfEnumValues(onlineMeetingProviderType_1.OnlineMeetingProviderType); }, "calendarPermissions": n => { calendar.calendarPermissions = n.getCollectionOfObjectValues(calendarPermission_1.createCalendarPermissionFromDiscriminatorValue); }, "calendarView": n => { calendar.calendarView = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "canEdit": n => { calendar.canEdit = n.getBooleanValue(); }, "canShare": n => { calendar.canShare = n.getBooleanValue(); }, "canViewPrivateItems": n => { calendar.canViewPrivateItems = n.getBooleanValue(); }, "changeKey": n => { calendar.changeKey = n.getStringValue(); }, "color": n => { calendar.color = n.getEnumValue(calendarColor_1.CalendarColor); }, "defaultOnlineMeetingProvider": n => { calendar.defaultOnlineMeetingProvider = n.getEnumValue(onlineMeetingProviderType_1.OnlineMeetingProviderType); }, "events": n => { calendar.events = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "hexColor": n => { calendar.hexColor = n.getStringValue(); }, "isDefaultCalendar": n => { calendar.isDefaultCalendar = n.getBooleanValue(); }, "isRemovable": n => { calendar.isRemovable = n.getBooleanValue(); }, "isTallyingResponses": n => { calendar.isTallyingResponses = n.getBooleanValue(); }, "multiValueExtendedProperties": n => { calendar.multiValueExtendedProperties = n.getCollectionOfObjectValues(multiValueLegacyExtendedProperty_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "name": n => { calendar.name = n.getStringValue(); }, "owner": n => { calendar.owner = n.getObjectValue(emailAddress_1.createEmailAddressFromDiscriminatorValue); }, "singleValueExtendedProperties": n => { calendar.singleValueExtendedProperties = n.getCollectionOfObjectValues(singleValueLegacyExtendedProperty_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); } });
}
exports.deserializeIntoCalendar = deserializeIntoCalendar;
function serializeCalendar(writer, calendar = {}) {
    (0, entity_1.serializeEntity)(writer, calendar);
    if (calendar.allowedOnlineMeetingProviders)
        writer.writeEnumValue("allowedOnlineMeetingProviders", ...calendar.allowedOnlineMeetingProviders);
    writer.writeCollectionOfObjectValues("calendarPermissions", calendar.calendarPermissions, calendarPermission_1.serializeCalendarPermission);
    writer.writeCollectionOfObjectValues("calendarView", calendar.calendarView, event_1.serializeEvent);
    writer.writeBooleanValue("canEdit", calendar.canEdit);
    writer.writeBooleanValue("canShare", calendar.canShare);
    writer.writeBooleanValue("canViewPrivateItems", calendar.canViewPrivateItems);
    writer.writeStringValue("changeKey", calendar.changeKey);
    writer.writeEnumValue("color", calendar.color);
    writer.writeEnumValue("defaultOnlineMeetingProvider", calendar.defaultOnlineMeetingProvider);
    writer.writeCollectionOfObjectValues("events", calendar.events, event_1.serializeEvent);
    writer.writeStringValue("hexColor", calendar.hexColor);
    writer.writeBooleanValue("isDefaultCalendar", calendar.isDefaultCalendar);
    writer.writeBooleanValue("isRemovable", calendar.isRemovable);
    writer.writeBooleanValue("isTallyingResponses", calendar.isTallyingResponses);
    writer.writeCollectionOfObjectValues("multiValueExtendedProperties", calendar.multiValueExtendedProperties, multiValueLegacyExtendedProperty_1.serializeMultiValueLegacyExtendedProperty);
    writer.writeStringValue("name", calendar.name);
    writer.writeObjectValue("owner", calendar.owner, emailAddress_1.serializeEmailAddress);
    writer.writeCollectionOfObjectValues("singleValueExtendedProperties", calendar.singleValueExtendedProperties, singleValueLegacyExtendedProperty_1.serializeSingleValueLegacyExtendedProperty);
}
exports.serializeCalendar = serializeCalendar;
// tslint:enable
// eslint-enable
