import { type Calendar } from './calendar';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface CalendarGroup extends Entity, Parsable {
    /**
     * The calendars in the calendar group. Navigation property. Read-only. Nullable.
     */
    calendars?: Calendar[];
    /**
     * Identifies the version of the calendar group. Every time the calendar group is changed, ChangeKey changes as well. This allows Exchange to apply changes to the correct version of the object. Read-only.
     */
    changeKey?: string;
    /**
     * The class identifier. Read-only.
     */
    classId?: Guid;
    /**
     * The group name.
     */
    name?: string;
}
export declare function createCalendarGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarGroup;
export declare function deserializeIntoCalendarGroup(calendarGroup?: CalendarGroup | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarGroup(writer: SerializationWriter, calendarGroup?: CalendarGroup | undefined): void;
