import { CalendarSharingAction } from './calendarSharingAction';
import { CalendarSharingActionImportance } from './calendarSharingActionImportance';
import { CalendarSharingActionType } from './calendarSharingActionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalendarSharingMessageAction extends AdditionalDataHolder, Parsable {
    /**
     * The action property
     */
    action?: CalendarSharingAction;
    /**
     * The actionType property
     */
    actionType?: CalendarSharingActionType;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The importance property
     */
    importance?: CalendarSharingActionImportance;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createCalendarSharingMessageActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarSharingMessageAction;
export declare function deserializeIntoCalendarSharingMessageAction(calendarSharingMessageAction?: CalendarSharingMessageAction | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarSharingMessageAction(writer: SerializationWriter, calendarSharingMessageAction?: CalendarSharingMessageAction | undefined): void;
