"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCall = exports.deserializeIntoCall = exports.createCallFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const audioRoutingGroup_1 = require("./audioRoutingGroup");
const callDirection_1 = require("./callDirection");
const callMediaState_1 = require("./callMediaState");
const callOptions_1 = require("./callOptions");
const callRoute_1 = require("./callRoute");
const callState_1 = require("./callState");
const callTranscriptionInfo_1 = require("./callTranscriptionInfo");
const chatInfo_1 = require("./chatInfo");
const commsOperation_1 = require("./commsOperation");
const contentSharingSession_1 = require("./contentSharingSession");
const entity_1 = require("./entity");
const incomingContext_1 = require("./incomingContext");
const invitationParticipantInfo_1 = require("./invitationParticipantInfo");
const mediaConfig_1 = require("./mediaConfig");
const meetingInfo_1 = require("./meetingInfo");
const modality_1 = require("./modality");
const participant_1 = require("./participant");
const participantInfo_1 = require("./participantInfo");
const resultInfo_1 = require("./resultInfo");
const toneInfo_1 = require("./toneInfo");
function createCallFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCall;
}
exports.createCallFromDiscriminatorValue = createCallFromDiscriminatorValue;
function deserializeIntoCall(call = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(call)), { "audioRoutingGroups": n => { call.audioRoutingGroups = n.getCollectionOfObjectValues(audioRoutingGroup_1.createAudioRoutingGroupFromDiscriminatorValue); }, "callbackUri": n => { call.callbackUri = n.getStringValue(); }, "callChainId": n => { call.callChainId = n.getStringValue(); }, "callOptions": n => { call.callOptions = n.getObjectValue(callOptions_1.createCallOptionsFromDiscriminatorValue); }, "callRoutes": n => { call.callRoutes = n.getCollectionOfObjectValues(callRoute_1.createCallRouteFromDiscriminatorValue); }, "chatInfo": n => { call.chatInfo = n.getObjectValue(chatInfo_1.createChatInfoFromDiscriminatorValue); }, "contentSharingSessions": n => { call.contentSharingSessions = n.getCollectionOfObjectValues(contentSharingSession_1.createContentSharingSessionFromDiscriminatorValue); }, "direction": n => { call.direction = n.getEnumValue(callDirection_1.CallDirection); }, "incomingContext": n => { call.incomingContext = n.getObjectValue(incomingContext_1.createIncomingContextFromDiscriminatorValue); }, "mediaConfig": n => { call.mediaConfig = n.getObjectValue(mediaConfig_1.createMediaConfigFromDiscriminatorValue); }, "mediaState": n => { call.mediaState = n.getObjectValue(callMediaState_1.createCallMediaStateFromDiscriminatorValue); }, "meetingInfo": n => { call.meetingInfo = n.getObjectValue(meetingInfo_1.createMeetingInfoFromDiscriminatorValue); }, "myParticipantId": n => { call.myParticipantId = n.getStringValue(); }, "operations": n => { call.operations = n.getCollectionOfObjectValues(commsOperation_1.createCommsOperationFromDiscriminatorValue); }, "participants": n => { call.participants = n.getCollectionOfObjectValues(participant_1.createParticipantFromDiscriminatorValue); }, "requestedModalities": n => { call.requestedModalities = n.getCollectionOfEnumValues(modality_1.Modality); }, "resultInfo": n => { call.resultInfo = n.getObjectValue(resultInfo_1.createResultInfoFromDiscriminatorValue); }, "source": n => { call.source = n.getObjectValue(participantInfo_1.createParticipantInfoFromDiscriminatorValue); }, "state": n => { call.state = n.getEnumValue(callState_1.CallState); }, "subject": n => { call.subject = n.getStringValue(); }, "targets": n => { call.targets = n.getCollectionOfObjectValues(invitationParticipantInfo_1.createInvitationParticipantInfoFromDiscriminatorValue); }, "tenantId": n => { call.tenantId = n.getStringValue(); }, "toneInfo": n => { call.toneInfo = n.getObjectValue(toneInfo_1.createToneInfoFromDiscriminatorValue); }, "transcription": n => { call.transcription = n.getObjectValue(callTranscriptionInfo_1.createCallTranscriptionInfoFromDiscriminatorValue); } });
}
exports.deserializeIntoCall = deserializeIntoCall;
function serializeCall(writer, call = {}) {
    (0, entity_1.serializeEntity)(writer, call);
    writer.writeCollectionOfObjectValues("audioRoutingGroups", call.audioRoutingGroups, audioRoutingGroup_1.serializeAudioRoutingGroup);
    writer.writeStringValue("callbackUri", call.callbackUri);
    writer.writeStringValue("callChainId", call.callChainId);
    writer.writeObjectValue("callOptions", call.callOptions, callOptions_1.serializeCallOptions);
    writer.writeCollectionOfObjectValues("callRoutes", call.callRoutes, callRoute_1.serializeCallRoute);
    writer.writeObjectValue("chatInfo", call.chatInfo, chatInfo_1.serializeChatInfo);
    writer.writeCollectionOfObjectValues("contentSharingSessions", call.contentSharingSessions, contentSharingSession_1.serializeContentSharingSession);
    writer.writeEnumValue("direction", call.direction);
    writer.writeObjectValue("incomingContext", call.incomingContext, incomingContext_1.serializeIncomingContext);
    writer.writeObjectValue("mediaConfig", call.mediaConfig, mediaConfig_1.serializeMediaConfig);
    writer.writeObjectValue("mediaState", call.mediaState, callMediaState_1.serializeCallMediaState);
    writer.writeObjectValue("meetingInfo", call.meetingInfo, meetingInfo_1.serializeMeetingInfo);
    writer.writeStringValue("myParticipantId", call.myParticipantId);
    writer.writeCollectionOfObjectValues("operations", call.operations, commsOperation_1.serializeCommsOperation);
    writer.writeCollectionOfObjectValues("participants", call.participants, participant_1.serializeParticipant);
    if (call.requestedModalities)
        writer.writeEnumValue("requestedModalities", ...call.requestedModalities);
    writer.writeObjectValue("resultInfo", call.resultInfo, resultInfo_1.serializeResultInfo);
    writer.writeObjectValue("source", call.source, participantInfo_1.serializeParticipantInfo);
    writer.writeEnumValue("state", call.state);
    writer.writeStringValue("subject", call.subject);
    writer.writeCollectionOfObjectValues("targets", call.targets, invitationParticipantInfo_1.serializeInvitationParticipantInfo);
    writer.writeStringValue("tenantId", call.tenantId);
    writer.writeObjectValue("toneInfo", call.toneInfo, toneInfo_1.serializeToneInfo);
    writer.writeObjectValue("transcription", call.transcription, callTranscriptionInfo_1.serializeCallTranscriptionInfo);
}
exports.serializeCall = serializeCall;
// tslint:enable
// eslint-enable
