import { type CallParticipantInfo } from './callParticipantInfo';
import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { TeamworkCallEventType } from './teamworkCallEventType';
import { type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallEndedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Duration of the call.
     */
    callDuration?: Duration;
    /**
     * Represents the call event type. Possible values are: call, meeting, screenShare, unknownFutureValue.
     */
    callEventType?: TeamworkCallEventType;
    /**
     * Unique identifier of the call.
     */
    callId?: string;
    /**
     * List of call participants.
     */
    callParticipants?: CallParticipantInfo[];
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createCallEndedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallEndedEventMessageDetail;
export declare function deserializeIntoCallEndedEventMessageDetail(callEndedEventMessageDetail?: CallEndedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallEndedEventMessageDetail(writer: SerializationWriter, callEndedEventMessageDetail?: CallEndedEventMessageDetail | undefined): void;
