import { MediaState } from './mediaState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallMediaState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The audio media state. Possible values are: active, inactive, unknownFutureValue.
     */
    audio?: MediaState;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createCallMediaStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallMediaState;
export declare function deserializeIntoCallMediaState(callMediaState?: CallMediaState | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallMediaState(writer: SerializationWriter, callMediaState?: CallMediaState | undefined): void;
