import { deserializeIntoIncomingCallOptions } from './incomingCallOptions';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallOptions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether to hide the app after the call is escalated.
     */
    hideBotAfterEscalation?: boolean;
    /**
     * Indicates whether content sharing notifications should be enabled for the call.
     */
    isContentSharingNotificationEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createCallOptionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIncomingCallOptions;
export declare function deserializeIntoCallOptions(callOptions?: CallOptions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallOptions(writer: SerializationWriter, callOptions?: CallOptions | undefined): void;
