"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCallOptions = exports.deserializeIntoCallOptions = exports.createCallOptionsFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const incomingCallOptions_1 = require("./incomingCallOptions");
const outgoingCallOptions_1 = require("./outgoingCallOptions");
function createCallOptionsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.incomingCallOptions":
                    return incomingCallOptions_1.deserializeIntoIncomingCallOptions;
                case "#microsoft.graph.outgoingCallOptions":
                    return outgoingCallOptions_1.deserializeIntoOutgoingCallOptions;
            }
        }
    }
    return deserializeIntoCallOptions;
}
exports.createCallOptionsFromDiscriminatorValue = createCallOptionsFromDiscriminatorValue;
function deserializeIntoCallOptions(callOptions = {}) {
    return {
        "hideBotAfterEscalation": n => { callOptions.hideBotAfterEscalation = n.getBooleanValue(); },
        "isContentSharingNotificationEnabled": n => { callOptions.isContentSharingNotificationEnabled = n.getBooleanValue(); },
        "@odata.type": n => { callOptions.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCallOptions = deserializeIntoCallOptions;
function serializeCallOptions(writer, callOptions = {}) {
    writer.writeBooleanValue("hideBotAfterEscalation", callOptions.hideBotAfterEscalation);
    writer.writeBooleanValue("isContentSharingNotificationEnabled", callOptions.isContentSharingNotificationEnabled);
    writer.writeStringValue("@odata.type", callOptions.odataType);
    writer.writeAdditionalData(callOptions.additionalData);
}
exports.serializeCallOptions = serializeCallOptions;
// tslint:enable
// eslint-enable
