import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallParticipantInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Identity of the call participant.
     */
    participant?: IdentitySet;
}
export declare function createCallParticipantInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallParticipantInfo;
export declare function deserializeIntoCallParticipantInfo(callParticipantInfo?: CallParticipantInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallParticipantInfo(writer: SerializationWriter, callParticipantInfo?: CallParticipantInfo | undefined): void;
