import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallRecording extends Entity, Parsable {
    /**
     * The content of the recording. Read-only.
     */
    content?: string;
    /**
     * Date and time at which the recording was created. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The unique identifier of the onlineMeeting related to this recording. Read-only.
     */
    meetingId?: string;
    /**
     * The identity information of the organizer of the onlineMeeting related to this recording. Read-only.
     */
    meetingOrganizer?: IdentitySet;
    /**
     * The URL that can be used to access the content of the recording. Read-only.
     */
    recordingContentUrl?: string;
}
export declare function createCallRecordingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallRecording;
export declare function deserializeIntoCallRecording(callRecording?: CallRecording | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallRecording(writer: SerializationWriter, callRecording?: CallRecording | undefined): void;
