import { CallRecordingStatus } from './callRecordingStatus';
import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallRecordingEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Unique identifier of the call.
     */
    callId?: string;
    /**
     * Display name for the call recording.
     */
    callRecordingDisplayName?: string;
    /**
     * Duration of the call recording.
     */
    callRecordingDuration?: Duration;
    /**
     * Status of the call recording. Possible values are: success, failure, initial, chunkFinished, unknownFutureValue.
     */
    callRecordingStatus?: CallRecordingStatus;
    /**
     * Call recording URL.
     */
    callRecordingUrl?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Organizer of the meeting.
     */
    meetingOrganizer?: IdentitySet;
}
export declare function createCallRecordingEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallRecordingEventMessageDetail;
export declare function deserializeIntoCallRecordingEventMessageDetail(callRecordingEventMessageDetail?: CallRecordingEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallRecordingEventMessageDetail(writer: SerializationWriter, callRecordingEventMessageDetail?: CallRecordingEventMessageDetail | undefined): void;
