import { ClientPlatform } from './clientPlatform';
import { ProductFamily } from './productFamily';
import { type UserAgent } from './userAgent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ClientUserAgent extends Parsable, UserAgent {
    /**
     * The unique identifier of the Microsoft Entra application used by this endpoint.
     */
    azureADAppId?: string;
    /**
     * Immutable resource identifier of the Azure Communication Service associated with this endpoint based on Communication Services APIs.
     */
    communicationServiceId?: string;
    /**
     * The platform property
     */
    platform?: ClientPlatform;
    /**
     * The productFamily property
     */
    productFamily?: ProductFamily;
}
export declare function createClientUserAgentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClientUserAgent;
export declare function deserializeIntoClientUserAgent(clientUserAgent?: ClientUserAgent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeClientUserAgent(writer: SerializationWriter, clientUserAgent?: ClientUserAgent | undefined): void;
