import { deserializeIntoParticipantEndpoint } from './participantEndpoint';
import { type UserAgent } from './userAgent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantEndpoint;
export declare function deserializeIntoEndpoint(endpoint?: Endpoint | undefined): Record<string, (node: ParseNode) => void>;
export interface Endpoint extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * User-agent reported by this endpoint.
     */
    userAgent?: UserAgent;
}
export declare function serializeEndpoint(writer: SerializationWriter, endpoint?: Endpoint | undefined): void;
