import { FailureStage } from './failureStage';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFailureInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFailureInfo;
export declare function deserializeIntoFailureInfo(failureInfo?: FailureInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface FailureInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Classification of why a call or portion of a call failed.
     */
    reason?: string;
    /**
     * The stage property
     */
    stage?: FailureStage;
}
export declare function serializeFailureInfo(writer: SerializationWriter, failureInfo?: FailureInfo | undefined): void;
