import { type DeviceInfo } from './deviceInfo';
import { type MediaStream } from './mediaStream';
import { type NetworkInfo } from './networkInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMedia;
export declare function deserializeIntoMedia(media?: Media | undefined): Record<string, (node: ParseNode) => void>;
export interface Media extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Device information associated with the callee endpoint of this media.
     */
    calleeDevice?: DeviceInfo;
    /**
     * Network information associated with the callee endpoint of this media.
     */
    calleeNetwork?: NetworkInfo;
    /**
     * Device information associated with the caller endpoint of this media.
     */
    callerDevice?: DeviceInfo;
    /**
     * Network information associated with the caller endpoint of this media.
     */
    callerNetwork?: NetworkInfo;
    /**
     * How the media was identified during media negotiation stage.
     */
    label?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Network streams associated with this media.
     */
    streams?: MediaStream[];
}
export declare function serializeMedia(writer: SerializationWriter, media?: Media | undefined): void;
