"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMedia = exports.deserializeIntoMedia = exports.createMediaFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceInfo_1 = require("./deviceInfo");
const mediaStream_1 = require("./mediaStream");
const networkInfo_1 = require("./networkInfo");
function createMediaFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMedia;
}
exports.createMediaFromDiscriminatorValue = createMediaFromDiscriminatorValue;
function deserializeIntoMedia(media = {}) {
    return {
        "calleeDevice": n => { media.calleeDevice = n.getObjectValue(deviceInfo_1.createDeviceInfoFromDiscriminatorValue); },
        "calleeNetwork": n => { media.calleeNetwork = n.getObjectValue(networkInfo_1.createNetworkInfoFromDiscriminatorValue); },
        "callerDevice": n => { media.callerDevice = n.getObjectValue(deviceInfo_1.createDeviceInfoFromDiscriminatorValue); },
        "callerNetwork": n => { media.callerNetwork = n.getObjectValue(networkInfo_1.createNetworkInfoFromDiscriminatorValue); },
        "label": n => { media.label = n.getStringValue(); },
        "@odata.type": n => { media.odataType = n.getStringValue(); },
        "streams": n => { media.streams = n.getCollectionOfObjectValues(mediaStream_1.createMediaStreamFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMedia = deserializeIntoMedia;
function serializeMedia(writer, media = {}) {
    writer.writeObjectValue("calleeDevice", media.calleeDevice, deviceInfo_1.serializeDeviceInfo);
    writer.writeObjectValue("calleeNetwork", media.calleeNetwork, networkInfo_1.serializeNetworkInfo);
    writer.writeObjectValue("callerDevice", media.callerDevice, deviceInfo_1.serializeDeviceInfo);
    writer.writeObjectValue("callerNetwork", media.callerNetwork, networkInfo_1.serializeNetworkInfo);
    writer.writeStringValue("label", media.label);
    writer.writeStringValue("@odata.type", media.odataType);
    writer.writeCollectionOfObjectValues("streams", media.streams, mediaStream_1.serializeMediaStream);
    writer.writeAdditionalData(media.additionalData);
}
exports.serializeMedia = serializeMedia;
// tslint:enable
// eslint-enable
