"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMediaStream = exports.deserializeIntoMediaStream = exports.createMediaStreamFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const audioCodec_1 = require("./audioCodec");
const mediaStreamDirection_1 = require("./mediaStreamDirection");
const videoCodec_1 = require("./videoCodec");
function createMediaStreamFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMediaStream;
}
exports.createMediaStreamFromDiscriminatorValue = createMediaStreamFromDiscriminatorValue;
function deserializeIntoMediaStream(mediaStream = {}) {
    return {
        "audioCodec": n => { mediaStream.audioCodec = n.getEnumValue(audioCodec_1.AudioCodec); },
        "averageAudioDegradation": n => { mediaStream.averageAudioDegradation = n.getNumberValue(); },
        "averageAudioNetworkJitter": n => { mediaStream.averageAudioNetworkJitter = n.getDurationValue(); },
        "averageBandwidthEstimate": n => { mediaStream.averageBandwidthEstimate = n.getNumberValue(); },
        "averageFreezeDuration": n => { mediaStream.averageFreezeDuration = n.getDurationValue(); },
        "averageJitter": n => { mediaStream.averageJitter = n.getDurationValue(); },
        "averagePacketLossRate": n => { mediaStream.averagePacketLossRate = n.getNumberValue(); },
        "averageRatioOfConcealedSamples": n => { mediaStream.averageRatioOfConcealedSamples = n.getNumberValue(); },
        "averageReceivedFrameRate": n => { mediaStream.averageReceivedFrameRate = n.getNumberValue(); },
        "averageRoundTripTime": n => { mediaStream.averageRoundTripTime = n.getDurationValue(); },
        "averageVideoFrameLossPercentage": n => { mediaStream.averageVideoFrameLossPercentage = n.getNumberValue(); },
        "averageVideoFrameRate": n => { mediaStream.averageVideoFrameRate = n.getNumberValue(); },
        "averageVideoPacketLossRate": n => { mediaStream.averageVideoPacketLossRate = n.getNumberValue(); },
        "endDateTime": n => { mediaStream.endDateTime = n.getDateValue(); },
        "isAudioForwardErrorCorrectionUsed": n => { mediaStream.isAudioForwardErrorCorrectionUsed = n.getBooleanValue(); },
        "lowFrameRateRatio": n => { mediaStream.lowFrameRateRatio = n.getNumberValue(); },
        "lowVideoProcessingCapabilityRatio": n => { mediaStream.lowVideoProcessingCapabilityRatio = n.getNumberValue(); },
        "maxAudioNetworkJitter": n => { mediaStream.maxAudioNetworkJitter = n.getDurationValue(); },
        "maxJitter": n => { mediaStream.maxJitter = n.getDurationValue(); },
        "maxPacketLossRate": n => { mediaStream.maxPacketLossRate = n.getNumberValue(); },
        "maxRatioOfConcealedSamples": n => { mediaStream.maxRatioOfConcealedSamples = n.getNumberValue(); },
        "maxRoundTripTime": n => { mediaStream.maxRoundTripTime = n.getDurationValue(); },
        "@odata.type": n => { mediaStream.odataType = n.getStringValue(); },
        "packetUtilization": n => { mediaStream.packetUtilization = n.getNumberValue(); },
        "postForwardErrorCorrectionPacketLossRate": n => { mediaStream.postForwardErrorCorrectionPacketLossRate = n.getNumberValue(); },
        "rmsFreezeDuration": n => { mediaStream.rmsFreezeDuration = n.getDurationValue(); },
        "startDateTime": n => { mediaStream.startDateTime = n.getDateValue(); },
        "streamDirection": n => { mediaStream.streamDirection = n.getEnumValue(mediaStreamDirection_1.MediaStreamDirection); },
        "streamId": n => { mediaStream.streamId = n.getStringValue(); },
        "videoCodec": n => { mediaStream.videoCodec = n.getEnumValue(videoCodec_1.VideoCodec); },
        "wasMediaBypassed": n => { mediaStream.wasMediaBypassed = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMediaStream = deserializeIntoMediaStream;
function serializeMediaStream(writer, mediaStream = {}) {
    writer.writeEnumValue("audioCodec", mediaStream.audioCodec);
    writer.writeNumberValue("averageAudioDegradation", mediaStream.averageAudioDegradation);
    writer.writeDurationValue("averageAudioNetworkJitter", mediaStream.averageAudioNetworkJitter);
    writer.writeNumberValue("averageBandwidthEstimate", mediaStream.averageBandwidthEstimate);
    writer.writeDurationValue("averageFreezeDuration", mediaStream.averageFreezeDuration);
    writer.writeDurationValue("averageJitter", mediaStream.averageJitter);
    writer.writeNumberValue("averagePacketLossRate", mediaStream.averagePacketLossRate);
    writer.writeNumberValue("averageRatioOfConcealedSamples", mediaStream.averageRatioOfConcealedSamples);
    writer.writeNumberValue("averageReceivedFrameRate", mediaStream.averageReceivedFrameRate);
    writer.writeDurationValue("averageRoundTripTime", mediaStream.averageRoundTripTime);
    writer.writeNumberValue("averageVideoFrameLossPercentage", mediaStream.averageVideoFrameLossPercentage);
    writer.writeNumberValue("averageVideoFrameRate", mediaStream.averageVideoFrameRate);
    writer.writeNumberValue("averageVideoPacketLossRate", mediaStream.averageVideoPacketLossRate);
    writer.writeDateValue("endDateTime", mediaStream.endDateTime);
    writer.writeBooleanValue("isAudioForwardErrorCorrectionUsed", mediaStream.isAudioForwardErrorCorrectionUsed);
    writer.writeNumberValue("lowFrameRateRatio", mediaStream.lowFrameRateRatio);
    writer.writeNumberValue("lowVideoProcessingCapabilityRatio", mediaStream.lowVideoProcessingCapabilityRatio);
    writer.writeDurationValue("maxAudioNetworkJitter", mediaStream.maxAudioNetworkJitter);
    writer.writeDurationValue("maxJitter", mediaStream.maxJitter);
    writer.writeNumberValue("maxPacketLossRate", mediaStream.maxPacketLossRate);
    writer.writeNumberValue("maxRatioOfConcealedSamples", mediaStream.maxRatioOfConcealedSamples);
    writer.writeDurationValue("maxRoundTripTime", mediaStream.maxRoundTripTime);
    writer.writeStringValue("@odata.type", mediaStream.odataType);
    writer.writeNumberValue("packetUtilization", mediaStream.packetUtilization);
    writer.writeNumberValue("postForwardErrorCorrectionPacketLossRate", mediaStream.postForwardErrorCorrectionPacketLossRate);
    writer.writeDurationValue("rmsFreezeDuration", mediaStream.rmsFreezeDuration);
    writer.writeDateValue("startDateTime", mediaStream.startDateTime);
    writer.writeEnumValue("streamDirection", mediaStream.streamDirection);
    writer.writeStringValue("streamId", mediaStream.streamId);
    writer.writeEnumValue("videoCodec", mediaStream.videoCodec);
    writer.writeBooleanValue("wasMediaBypassed", mediaStream.wasMediaBypassed);
    writer.writeAdditionalData(mediaStream.additionalData);
}
exports.serializeMediaStream = serializeMediaStream;
// tslint:enable
// eslint-enable
