import { type IdentitySet } from '../identitySet';
import { type Endpoint } from './endpoint';
import { type UserFeedback } from './userFeedback';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantEndpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantEndpoint;
export declare function deserializeIntoParticipantEndpoint(participantEndpoint?: ParticipantEndpoint | undefined): Record<string, (node: ParseNode) => void>;
export interface ParticipantEndpoint extends Endpoint, Parsable {
    /**
     * CPU number of cores used by the media endpoint.
     */
    cpuCoresCount?: number;
    /**
     * CPU name used by the media endpoint.
     */
    cpuName?: string;
    /**
     * CPU processor speed used by the media endpoint.
     */
    cpuProcessorSpeedInMhz?: number;
    /**
     * The feedback provided by the user of this endpoint about the quality of the session.
     */
    feedback?: UserFeedback;
    /**
     * Identity associated with the endpoint.
     */
    identity?: IdentitySet;
    /**
     * Name of the device used by the media endpoint.
     */
    name?: string;
}
export declare function serializeParticipantEndpoint(writer: SerializationWriter, participantEndpoint?: ParticipantEndpoint | undefined): void;
