import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTraceRouteHopFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTraceRouteHop;
export declare function deserializeIntoTraceRouteHop(traceRouteHop?: TraceRouteHop | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTraceRouteHop(writer: SerializationWriter, traceRouteHop?: TraceRouteHop | undefined): void;
export interface TraceRouteHop extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The network path count of this hop that was used to compute the RTT.
     */
    hopCount?: number;
    /**
     * IP address used for this hop in the network trace.
     */
    ipAddress?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The time from when the trace route packet was sent from the client to this hop and back to the client, denoted in [ISO 8601][] format. For example, 1 second is denoted as PT1S, where P is the duration designator, T is the time designator, and S is the second designator.
     */
    roundTripTime?: Duration;
}
