import { deserializeIntoServiceUserAgent } from './serviceUserAgent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserAgentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceUserAgent;
export declare function deserializeIntoUserAgent(userAgent?: UserAgent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserAgent(writer: SerializationWriter, userAgent?: UserAgent | undefined): void;
export interface UserAgent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Identifies the version of application software used by this endpoint.
     */
    applicationVersion?: string;
    /**
     * User-agent header value reported by this endpoint.
     */
    headerValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
