"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserAgent = exports.deserializeIntoUserAgent = exports.createUserAgentFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const clientUserAgent_1 = require("./clientUserAgent");
const serviceUserAgent_1 = require("./serviceUserAgent");
function createUserAgentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.callRecords.clientUserAgent":
                    return clientUserAgent_1.deserializeIntoClientUserAgent;
                case "#microsoft.graph.callRecords.serviceUserAgent":
                    return serviceUserAgent_1.deserializeIntoServiceUserAgent;
            }
        }
    }
    return deserializeIntoUserAgent;
}
exports.createUserAgentFromDiscriminatorValue = createUserAgentFromDiscriminatorValue;
function deserializeIntoUserAgent(userAgent = {}) {
    return {
        "applicationVersion": n => { userAgent.applicationVersion = n.getStringValue(); },
        "headerValue": n => { userAgent.headerValue = n.getStringValue(); },
        "@odata.type": n => { userAgent.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUserAgent = deserializeIntoUserAgent;
function serializeUserAgent(writer, userAgent = {}) {
    writer.writeStringValue("applicationVersion", userAgent.applicationVersion);
    writer.writeStringValue("headerValue", userAgent.headerValue);
    writer.writeStringValue("@odata.type", userAgent.odataType);
    writer.writeAdditionalData(userAgent.additionalData);
}
exports.serializeUserAgent = serializeUserAgent;
// tslint:enable
// eslint-enable
