import { type FeedbackTokenSet } from './feedbackTokenSet';
import { UserFeedbackRating } from './userFeedbackRating';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserFeedbackFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserFeedback;
export declare function deserializeIntoUserFeedback(userFeedback?: UserFeedback | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserFeedback(writer: SerializationWriter, userFeedback?: UserFeedback | undefined): void;
export interface UserFeedback extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The rating property
     */
    rating?: UserFeedbackRating;
    /**
     * The feedback text provided by the user of this endpoint for the session.
     */
    text?: string;
    /**
     * The set of feedback tokens provided by the user of this endpoint for the session. This is a set of Boolean properties. The property names should not be relied upon since they may change depending on what tokens are offered to the user.
     */
    tokens?: FeedbackTokenSet;
}
