import { type IdentitySet } from './identitySet';
import { RoutingType } from './routingType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallRoute extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The final property
     */
    final?: IdentitySet;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The original property
     */
    original?: IdentitySet;
    /**
     * The routingType property
     */
    routingType?: RoutingType;
}
export declare function createCallRouteFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallRoute;
export declare function deserializeIntoCallRoute(callRoute?: CallRoute | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallRoute(writer: SerializationWriter, callRoute?: CallRoute | undefined): void;
