import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { TeamworkCallEventType } from './teamworkCallEventType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallStartedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Represents the call event type. Possible values are: call, meeting, screenShare, unknownFutureValue.
     */
    callEventType?: TeamworkCallEventType;
    /**
     * Unique identifier of the call.
     */
    callId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createCallStartedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallStartedEventMessageDetail;
export declare function deserializeIntoCallStartedEventMessageDetail(callStartedEventMessageDetail?: CallStartedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallStartedEventMessageDetail(writer: SerializationWriter, callStartedEventMessageDetail?: CallStartedEventMessageDetail | undefined): void;
