import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallTranscript extends Entity, Parsable {
    /**
     * The content of the transcript. Read-only.
     */
    content?: string;
    /**
     * Date and time at which the transcript was created. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The unique identifier of the online meeting related to this transcript. Read-only.
     */
    meetingId?: string;
    /**
     * The identity information of the organizer of the onlineMeeting related to this transcript. Read-only.
     */
    meetingOrganizer?: IdentitySet;
    /**
     * The time-aligned metadata of the utterances in the transcript. Read-only.
     */
    metadataContent?: string;
    /**
     * The URL that can be used to access the content of the transcript. Read-only.
     */
    transcriptContentUrl?: string;
}
export declare function createCallTranscriptFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallTranscript;
export declare function deserializeIntoCallTranscript(callTranscript?: CallTranscript | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallTranscript(writer: SerializationWriter, callTranscript?: CallTranscript | undefined): void;
