import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallTranscriptEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Unique identifier of the call.
     */
    callId?: string;
    /**
     * Unique identifier for a call transcript.
     */
    callTranscriptICalUid?: string;
    /**
     * The organizer of the meeting.
     */
    meetingOrganizer?: IdentitySet;
}
export declare function createCallTranscriptEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallTranscriptEventMessageDetail;
export declare function deserializeIntoCallTranscriptEventMessageDetail(callTranscriptEventMessageDetail?: CallTranscriptEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallTranscriptEventMessageDetail(writer: SerializationWriter, callTranscriptEventMessageDetail?: CallTranscriptEventMessageDetail | undefined): void;
