import { CallTranscriptionState } from './callTranscriptionState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallTranscriptionInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The state modified time in UTC.
     */
    lastModifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: CallTranscriptionState;
}
export declare function createCallTranscriptionInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallTranscriptionInfo;
export declare function deserializeIntoCallTranscriptionInfo(callTranscriptionInfo?: CallTranscriptionInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallTranscriptionInfo(writer: SerializationWriter, callTranscriptionInfo?: CallTranscriptionInfo | undefined): void;
