"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCertificateAuthority = exports.deserializeIntoCertificateAuthority = exports.createCertificateAuthorityFromDiscriminatorValue = void 0;
function createCertificateAuthorityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCertificateAuthority;
}
exports.createCertificateAuthorityFromDiscriminatorValue = createCertificateAuthorityFromDiscriminatorValue;
function deserializeIntoCertificateAuthority(certificateAuthority = {}) {
    return {
        "certificate": n => { certificateAuthority.certificate = n.getStringValue(); },
        "certificateRevocationListUrl": n => { certificateAuthority.certificateRevocationListUrl = n.getStringValue(); },
        "deltaCertificateRevocationListUrl": n => { certificateAuthority.deltaCertificateRevocationListUrl = n.getStringValue(); },
        "isRootAuthority": n => { certificateAuthority.isRootAuthority = n.getBooleanValue(); },
        "issuer": n => { certificateAuthority.issuer = n.getStringValue(); },
        "issuerSki": n => { certificateAuthority.issuerSki = n.getStringValue(); },
        "@odata.type": n => { certificateAuthority.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCertificateAuthority = deserializeIntoCertificateAuthority;
function serializeCertificateAuthority(writer, certificateAuthority = {}) {
    writer.writeStringValue("certificate", certificateAuthority.certificate);
    writer.writeStringValue("certificateRevocationListUrl", certificateAuthority.certificateRevocationListUrl);
    writer.writeStringValue("deltaCertificateRevocationListUrl", certificateAuthority.deltaCertificateRevocationListUrl);
    writer.writeBooleanValue("isRootAuthority", certificateAuthority.isRootAuthority);
    writer.writeStringValue("issuer", certificateAuthority.issuer);
    writer.writeStringValue("issuerSki", certificateAuthority.issuerSki);
    writer.writeStringValue("@odata.type", certificateAuthority.odataType);
    writer.writeAdditionalData(certificateAuthority.additionalData);
}
exports.serializeCertificateAuthority = serializeCertificateAuthority;
// tslint:enable
// eslint-enable
