"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCertification = exports.deserializeIntoCertification = exports.createCertificationFromDiscriminatorValue = void 0;
function createCertificationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCertification;
}
exports.createCertificationFromDiscriminatorValue = createCertificationFromDiscriminatorValue;
function deserializeIntoCertification(certification = {}) {
    return {
        "certificationDetailsUrl": n => { certification.certificationDetailsUrl = n.getStringValue(); },
        "certificationExpirationDateTime": n => { certification.certificationExpirationDateTime = n.getDateValue(); },
        "isCertifiedByMicrosoft": n => { certification.isCertifiedByMicrosoft = n.getBooleanValue(); },
        "isPublisherAttested": n => { certification.isPublisherAttested = n.getBooleanValue(); },
        "lastCertificationDateTime": n => { certification.lastCertificationDateTime = n.getDateValue(); },
        "@odata.type": n => { certification.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCertification = deserializeIntoCertification;
function serializeCertification(writer, certification = {}) {
    writer.writeDateValue("certificationExpirationDateTime", certification.certificationExpirationDateTime);
    writer.writeBooleanValue("isPublisherAttested", certification.isPublisherAttested);
    writer.writeDateValue("lastCertificationDateTime", certification.lastCertificationDateTime);
    writer.writeStringValue("@odata.type", certification.odataType);
    writer.writeAdditionalData(certification.additionalData);
}
exports.serializeCertification = serializeCertification;
// tslint:enable
// eslint-enable
