import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CertificationControl extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Certification control name
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * URL for the Microsoft Service Trust Portal
     */
    url?: string;
}
export declare function createCertificationControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCertificationControl;
export declare function deserializeIntoCertificationControl(certificationControl?: CertificationControl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCertificationControl(writer: SerializationWriter, certificationControl?: CertificationControl | undefined): void;
