"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChangeTrackedEntity = exports.deserializeIntoChangeTrackedEntity = exports.createChangeTrackedEntityFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const identitySet_1 = require("./identitySet");
const offerShiftRequest_1 = require("./offerShiftRequest");
const openShift_1 = require("./openShift");
const openShiftChangeRequest_1 = require("./openShiftChangeRequest");
const scheduleChangeRequest_1 = require("./scheduleChangeRequest");
const schedulingGroup_1 = require("./schedulingGroup");
const shift_1 = require("./shift");
const shiftPreferences_1 = require("./shiftPreferences");
const swapShiftsChangeRequest_1 = require("./swapShiftsChangeRequest");
const timeOff_1 = require("./timeOff");
const timeOffReason_1 = require("./timeOffReason");
const timeOffRequest_1 = require("./timeOffRequest");
const workforceIntegration_1 = require("./workforceIntegration");
function createChangeTrackedEntityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.offerShiftRequest":
                    return offerShiftRequest_1.deserializeIntoOfferShiftRequest;
                case "#microsoft.graph.openShift":
                    return openShift_1.deserializeIntoOpenShift;
                case "#microsoft.graph.openShiftChangeRequest":
                    return openShiftChangeRequest_1.deserializeIntoOpenShiftChangeRequest;
                case "#microsoft.graph.scheduleChangeRequest":
                    return scheduleChangeRequest_1.deserializeIntoScheduleChangeRequest;
                case "#microsoft.graph.schedulingGroup":
                    return schedulingGroup_1.deserializeIntoSchedulingGroup;
                case "#microsoft.graph.shift":
                    return shift_1.deserializeIntoShift;
                case "#microsoft.graph.shiftPreferences":
                    return shiftPreferences_1.deserializeIntoShiftPreferences;
                case "#microsoft.graph.swapShiftsChangeRequest":
                    return swapShiftsChangeRequest_1.deserializeIntoSwapShiftsChangeRequest;
                case "#microsoft.graph.timeOff":
                    return timeOff_1.deserializeIntoTimeOff;
                case "#microsoft.graph.timeOffReason":
                    return timeOffReason_1.deserializeIntoTimeOffReason;
                case "#microsoft.graph.timeOffRequest":
                    return timeOffRequest_1.deserializeIntoTimeOffRequest;
                case "#microsoft.graph.workforceIntegration":
                    return workforceIntegration_1.deserializeIntoWorkforceIntegration;
            }
        }
    }
    return deserializeIntoChangeTrackedEntity;
}
exports.createChangeTrackedEntityFromDiscriminatorValue = createChangeTrackedEntityFromDiscriminatorValue;
function deserializeIntoChangeTrackedEntity(changeTrackedEntity = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(changeTrackedEntity)), { "createdDateTime": n => { changeTrackedEntity.createdDateTime = n.getDateValue(); }, "lastModifiedBy": n => { changeTrackedEntity.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { changeTrackedEntity.lastModifiedDateTime = n.getDateValue(); } });
}
exports.deserializeIntoChangeTrackedEntity = deserializeIntoChangeTrackedEntity;
function serializeChangeTrackedEntity(writer, changeTrackedEntity = {}) {
    (0, entity_1.serializeEntity)(writer, changeTrackedEntity);
}
exports.serializeChangeTrackedEntity = serializeChangeTrackedEntity;
// tslint:enable
// eslint-enable
