import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelAddedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Display name of the channel.
     */
    channelDisplayName?: string;
    /**
     * Unique identifier of the channel.
     */
    channelId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChannelAddedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelAddedEventMessageDetail;
export declare function deserializeIntoChannelAddedEventMessageDetail(channelAddedEventMessageDetail?: ChannelAddedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelAddedEventMessageDetail(writer: SerializationWriter, channelAddedEventMessageDetail?: ChannelAddedEventMessageDetail | undefined): void;
