import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelDeletedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Display name of the channel.
     */
    channelDisplayName?: string;
    /**
     * Unique identifier of the channel.
     */
    channelId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChannelDeletedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelDeletedEventMessageDetail;
export declare function deserializeIntoChannelDeletedEventMessageDetail(channelDeletedEventMessageDetail?: ChannelDeletedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelDeletedEventMessageDetail(writer: SerializationWriter, channelDeletedEventMessageDetail?: ChannelDeletedEventMessageDetail | undefined): void;
