import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelDescriptionUpdatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * The updated description of the channel.
     */
    channelDescription?: string;
    /**
     * Unique identifier of the channel.
     */
    channelId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChannelDescriptionUpdatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelDescriptionUpdatedEventMessageDetail;
export declare function deserializeIntoChannelDescriptionUpdatedEventMessageDetail(channelDescriptionUpdatedEventMessageDetail?: ChannelDescriptionUpdatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelDescriptionUpdatedEventMessageDetail(writer: SerializationWriter, channelDescriptionUpdatedEventMessageDetail?: ChannelDescriptionUpdatedEventMessageDetail | undefined): void;
