import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelIdentity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The identity of the channel in which the message was posted.
     */
    channelId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The identity of the team in which the message was posted.
     */
    teamId?: string;
}
export declare function createChannelIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelIdentity;
export declare function deserializeIntoChannelIdentity(channelIdentity?: ChannelIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelIdentity(writer: SerializationWriter, channelIdentity?: ChannelIdentity | undefined): void;
