import { type TeamworkNotificationRecipient } from './teamworkNotificationRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelMembersNotificationRecipient extends Parsable, TeamworkNotificationRecipient {
    /**
     * The unique identifier for the channel whose members should receive the notification.
     */
    channelId?: string;
    /**
     * The unique identifier for the team under which the channel resides.
     */
    teamId?: string;
}
export declare function createChannelMembersNotificationRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelMembersNotificationRecipient;
export declare function deserializeIntoChannelMembersNotificationRecipient(channelMembersNotificationRecipient?: ChannelMembersNotificationRecipient | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelMembersNotificationRecipient(writer: SerializationWriter, channelMembersNotificationRecipient?: ChannelMembersNotificationRecipient | undefined): void;
