import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelRenamedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * The updated name of the channel.
     */
    channelDisplayName?: string;
    /**
     * Unique identifier of the channel.
     */
    channelId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChannelRenamedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelRenamedEventMessageDetail;
export declare function deserializeIntoChannelRenamedEventMessageDetail(channelRenamedEventMessageDetail?: ChannelRenamedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelRenamedEventMessageDetail(writer: SerializationWriter, channelRenamedEventMessageDetail?: ChannelRenamedEventMessageDetail | undefined): void;
