import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of guests in a channel.
     */
    guestsCount?: number;
    /**
     * Indicates whether external members are included on the channel.
     */
    hasMembersFromOtherTenants?: boolean;
    /**
     * Count of members in a channel.
     */
    membersCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Count of owners in a channel.
     */
    ownersCount?: number;
}
export declare function createChannelSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelSummary;
export declare function deserializeIntoChannelSummary(channelSummary?: ChannelSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelSummary(writer: SerializationWriter, channelSummary?: ChannelSummary | undefined): void;
