"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChannelSummary = exports.deserializeIntoChannelSummary = exports.createChannelSummaryFromDiscriminatorValue = void 0;
function createChannelSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChannelSummary;
}
exports.createChannelSummaryFromDiscriminatorValue = createChannelSummaryFromDiscriminatorValue;
function deserializeIntoChannelSummary(channelSummary = {}) {
    return {
        "guestsCount": n => { channelSummary.guestsCount = n.getNumberValue(); },
        "hasMembersFromOtherTenants": n => { channelSummary.hasMembersFromOtherTenants = n.getBooleanValue(); },
        "membersCount": n => { channelSummary.membersCount = n.getNumberValue(); },
        "@odata.type": n => { channelSummary.odataType = n.getStringValue(); },
        "ownersCount": n => { channelSummary.ownersCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoChannelSummary = deserializeIntoChannelSummary;
function serializeChannelSummary(writer, channelSummary = {}) {
    writer.writeNumberValue("guestsCount", channelSummary.guestsCount);
    writer.writeBooleanValue("hasMembersFromOtherTenants", channelSummary.hasMembersFromOtherTenants);
    writer.writeNumberValue("membersCount", channelSummary.membersCount);
    writer.writeStringValue("@odata.type", channelSummary.odataType);
    writer.writeNumberValue("ownersCount", channelSummary.ownersCount);
    writer.writeAdditionalData(channelSummary.additionalData);
}
exports.serializeChannelSummary = serializeChannelSummary;
// tslint:enable
// eslint-enable
