"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChat = exports.deserializeIntoChat = exports.createChatFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const chatMessage_1 = require("./chatMessage");
const chatMessageInfo_1 = require("./chatMessageInfo");
const chatType_1 = require("./chatType");
const chatViewpoint_1 = require("./chatViewpoint");
const conversationMember_1 = require("./conversationMember");
const entity_1 = require("./entity");
const pinnedChatMessageInfo_1 = require("./pinnedChatMessageInfo");
const resourceSpecificPermissionGrant_1 = require("./resourceSpecificPermissionGrant");
const teamsAppInstallation_1 = require("./teamsAppInstallation");
const teamsTab_1 = require("./teamsTab");
const teamworkOnlineMeetingInfo_1 = require("./teamworkOnlineMeetingInfo");
function createChatFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChat;
}
exports.createChatFromDiscriminatorValue = createChatFromDiscriminatorValue;
function deserializeIntoChat(chat = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(chat)), { "chatType": n => { chat.chatType = n.getEnumValue(chatType_1.ChatType); }, "createdDateTime": n => { chat.createdDateTime = n.getDateValue(); }, "installedApps": n => { chat.installedApps = n.getCollectionOfObjectValues(teamsAppInstallation_1.createTeamsAppInstallationFromDiscriminatorValue); }, "lastMessagePreview": n => { chat.lastMessagePreview = n.getObjectValue(chatMessageInfo_1.createChatMessageInfoFromDiscriminatorValue); }, "lastUpdatedDateTime": n => { chat.lastUpdatedDateTime = n.getDateValue(); }, "members": n => { chat.members = n.getCollectionOfObjectValues(conversationMember_1.createConversationMemberFromDiscriminatorValue); }, "messages": n => { chat.messages = n.getCollectionOfObjectValues(chatMessage_1.createChatMessageFromDiscriminatorValue); }, "onlineMeetingInfo": n => { chat.onlineMeetingInfo = n.getObjectValue(teamworkOnlineMeetingInfo_1.createTeamworkOnlineMeetingInfoFromDiscriminatorValue); }, "permissionGrants": n => { chat.permissionGrants = n.getCollectionOfObjectValues(resourceSpecificPermissionGrant_1.createResourceSpecificPermissionGrantFromDiscriminatorValue); }, "pinnedMessages": n => { chat.pinnedMessages = n.getCollectionOfObjectValues(pinnedChatMessageInfo_1.createPinnedChatMessageInfoFromDiscriminatorValue); }, "tabs": n => { chat.tabs = n.getCollectionOfObjectValues(teamsTab_1.createTeamsTabFromDiscriminatorValue); }, "tenantId": n => { chat.tenantId = n.getStringValue(); }, "topic": n => { chat.topic = n.getStringValue(); }, "viewpoint": n => { chat.viewpoint = n.getObjectValue(chatViewpoint_1.createChatViewpointFromDiscriminatorValue); }, "webUrl": n => { chat.webUrl = n.getStringValue(); } });
}
exports.deserializeIntoChat = deserializeIntoChat;
function serializeChat(writer, chat = {}) {
    (0, entity_1.serializeEntity)(writer, chat);
    writer.writeEnumValue("chatType", chat.chatType);
    writer.writeDateValue("createdDateTime", chat.createdDateTime);
    writer.writeCollectionOfObjectValues("installedApps", chat.installedApps, teamsAppInstallation_1.serializeTeamsAppInstallation);
    writer.writeObjectValue("lastMessagePreview", chat.lastMessagePreview, chatMessageInfo_1.serializeChatMessageInfo);
    writer.writeDateValue("lastUpdatedDateTime", chat.lastUpdatedDateTime);
    writer.writeCollectionOfObjectValues("members", chat.members, conversationMember_1.serializeConversationMember);
    writer.writeCollectionOfObjectValues("messages", chat.messages, chatMessage_1.serializeChatMessage);
    writer.writeObjectValue("onlineMeetingInfo", chat.onlineMeetingInfo, teamworkOnlineMeetingInfo_1.serializeTeamworkOnlineMeetingInfo);
    writer.writeCollectionOfObjectValues("permissionGrants", chat.permissionGrants, resourceSpecificPermissionGrant_1.serializeResourceSpecificPermissionGrant);
    writer.writeCollectionOfObjectValues("pinnedMessages", chat.pinnedMessages, pinnedChatMessageInfo_1.serializePinnedChatMessageInfo);
    writer.writeCollectionOfObjectValues("tabs", chat.tabs, teamsTab_1.serializeTeamsTab);
    writer.writeStringValue("tenantId", chat.tenantId);
    writer.writeStringValue("topic", chat.topic);
    writer.writeObjectValue("viewpoint", chat.viewpoint, chatViewpoint_1.serializeChatViewpoint);
    writer.writeStringValue("webUrl", chat.webUrl);
}
exports.serializeChat = serializeChat;
// tslint:enable
// eslint-enable
