import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier of a message in a Microsoft Teams channel.
     */
    messageId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The ID of the reply message.
     */
    replyChainMessageId?: string;
    /**
     * The unique identifier for a thread in Microsoft Teams.
     */
    threadId?: string;
}
export declare function createChatInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatInfo;
export declare function deserializeIntoChatInfo(chatInfo?: ChatInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatInfo(writer: SerializationWriter, chatInfo?: ChatInfo | undefined): void;
