"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChatMessage = exports.deserializeIntoChatMessage = exports.createChatMessageFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const channelIdentity_1 = require("./channelIdentity");
const chatMessageAttachment_1 = require("./chatMessageAttachment");
const chatMessageFromIdentitySet_1 = require("./chatMessageFromIdentitySet");
const chatMessageHistoryItem_1 = require("./chatMessageHistoryItem");
const chatMessageHostedContent_1 = require("./chatMessageHostedContent");
const chatMessageImportance_1 = require("./chatMessageImportance");
const chatMessageMention_1 = require("./chatMessageMention");
const chatMessagePolicyViolation_1 = require("./chatMessagePolicyViolation");
const chatMessageReaction_1 = require("./chatMessageReaction");
const chatMessageType_1 = require("./chatMessageType");
const entity_1 = require("./entity");
const eventMessageDetail_1 = require("./eventMessageDetail");
const itemBody_1 = require("./itemBody");
function createChatMessageFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChatMessage;
}
exports.createChatMessageFromDiscriminatorValue = createChatMessageFromDiscriminatorValue;
function deserializeIntoChatMessage(chatMessage = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(chatMessage)), { "attachments": n => { chatMessage.attachments = n.getCollectionOfObjectValues(chatMessageAttachment_1.createChatMessageAttachmentFromDiscriminatorValue); }, "body": n => { chatMessage.body = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "channelIdentity": n => { chatMessage.channelIdentity = n.getObjectValue(channelIdentity_1.createChannelIdentityFromDiscriminatorValue); }, "chatId": n => { chatMessage.chatId = n.getStringValue(); }, "createdDateTime": n => { chatMessage.createdDateTime = n.getDateValue(); }, "deletedDateTime": n => { chatMessage.deletedDateTime = n.getDateValue(); }, "etag": n => { chatMessage.etag = n.getStringValue(); }, "eventDetail": n => { chatMessage.eventDetail = n.getObjectValue(eventMessageDetail_1.createEventMessageDetailFromDiscriminatorValue); }, "from": n => { chatMessage.from = n.getObjectValue(chatMessageFromIdentitySet_1.createChatMessageFromIdentitySetFromDiscriminatorValue); }, "hostedContents": n => { chatMessage.hostedContents = n.getCollectionOfObjectValues(chatMessageHostedContent_1.createChatMessageHostedContentFromDiscriminatorValue); }, "importance": n => { chatMessage.importance = n.getEnumValue(chatMessageImportance_1.ChatMessageImportance); }, "lastEditedDateTime": n => { chatMessage.lastEditedDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { chatMessage.lastModifiedDateTime = n.getDateValue(); }, "locale": n => { chatMessage.locale = n.getStringValue(); }, "mentions": n => { chatMessage.mentions = n.getCollectionOfObjectValues(chatMessageMention_1.createChatMessageMentionFromDiscriminatorValue); }, "messageHistory": n => { chatMessage.messageHistory = n.getCollectionOfObjectValues(chatMessageHistoryItem_1.createChatMessageHistoryItemFromDiscriminatorValue); }, "messageType": n => { chatMessage.messageType = n.getEnumValue(chatMessageType_1.ChatMessageType); }, "policyViolation": n => { chatMessage.policyViolation = n.getObjectValue(chatMessagePolicyViolation_1.createChatMessagePolicyViolationFromDiscriminatorValue); }, "reactions": n => { chatMessage.reactions = n.getCollectionOfObjectValues(chatMessageReaction_1.createChatMessageReactionFromDiscriminatorValue); }, "replies": n => { chatMessage.replies = n.getCollectionOfObjectValues(createChatMessageFromDiscriminatorValue); }, "replyToId": n => { chatMessage.replyToId = n.getStringValue(); }, "subject": n => { chatMessage.subject = n.getStringValue(); }, "summary": n => { chatMessage.summary = n.getStringValue(); }, "webUrl": n => { chatMessage.webUrl = n.getStringValue(); } });
}
exports.deserializeIntoChatMessage = deserializeIntoChatMessage;
function serializeChatMessage(writer, chatMessage = {}) {
    (0, entity_1.serializeEntity)(writer, chatMessage);
    writer.writeCollectionOfObjectValues("attachments", chatMessage.attachments, chatMessageAttachment_1.serializeChatMessageAttachment);
    writer.writeObjectValue("body", chatMessage.body, itemBody_1.serializeItemBody);
    writer.writeObjectValue("channelIdentity", chatMessage.channelIdentity, channelIdentity_1.serializeChannelIdentity);
    writer.writeStringValue("chatId", chatMessage.chatId);
    writer.writeDateValue("createdDateTime", chatMessage.createdDateTime);
    writer.writeDateValue("deletedDateTime", chatMessage.deletedDateTime);
    writer.writeStringValue("etag", chatMessage.etag);
    writer.writeObjectValue("eventDetail", chatMessage.eventDetail, eventMessageDetail_1.serializeEventMessageDetail);
    writer.writeObjectValue("from", chatMessage.from, chatMessageFromIdentitySet_1.serializeChatMessageFromIdentitySet);
    writer.writeCollectionOfObjectValues("hostedContents", chatMessage.hostedContents, chatMessageHostedContent_1.serializeChatMessageHostedContent);
    writer.writeEnumValue("importance", chatMessage.importance);
    writer.writeDateValue("lastEditedDateTime", chatMessage.lastEditedDateTime);
    writer.writeDateValue("lastModifiedDateTime", chatMessage.lastModifiedDateTime);
    writer.writeStringValue("locale", chatMessage.locale);
    writer.writeCollectionOfObjectValues("mentions", chatMessage.mentions, chatMessageMention_1.serializeChatMessageMention);
    writer.writeCollectionOfObjectValues("messageHistory", chatMessage.messageHistory, chatMessageHistoryItem_1.serializeChatMessageHistoryItem);
    writer.writeEnumValue("messageType", chatMessage.messageType);
    writer.writeObjectValue("policyViolation", chatMessage.policyViolation, chatMessagePolicyViolation_1.serializeChatMessagePolicyViolation);
    writer.writeCollectionOfObjectValues("reactions", chatMessage.reactions, chatMessageReaction_1.serializeChatMessageReaction);
    writer.writeCollectionOfObjectValues("replies", chatMessage.replies, serializeChatMessage);
    writer.writeStringValue("replyToId", chatMessage.replyToId);
    writer.writeStringValue("subject", chatMessage.subject);
    writer.writeStringValue("summary", chatMessage.summary);
    writer.writeStringValue("webUrl", chatMessage.webUrl);
}
exports.serializeChatMessage = serializeChatMessage;
// tslint:enable
// eslint-enable
