import { ChatMessageActions } from './chatMessageActions';
import { type ChatMessageReaction } from './chatMessageReaction';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageHistoryItem extends AdditionalDataHolder, Parsable {
    /**
     * The actions property
     */
    actions?: ChatMessageActions[];
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date and time when the message was modified.
     */
    modifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The reaction in the modified message.
     */
    reaction?: ChatMessageReaction;
}
export declare function createChatMessageHistoryItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageHistoryItem;
export declare function deserializeIntoChatMessageHistoryItem(chatMessageHistoryItem?: ChatMessageHistoryItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageHistoryItem(writer: SerializationWriter, chatMessageHistoryItem?: ChatMessageHistoryItem | undefined): void;
