import { type ChatMessageMentionedIdentitySet } from './chatMessageMentionedIdentitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageMention extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Index of an entity being mentioned in the specified chatMessage. Matches the {index} value in the corresponding <at id='{index}'> tag in the message body.
     */
    id?: number;
    /**
     * The entity (user, application, team, or channel) that was @mentioned.
     */
    mentioned?: ChatMessageMentionedIdentitySet;
    /**
     * String used to represent the mention. For example, a user's display name, a team name.
     */
    mentionText?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createChatMessageMentionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageMention;
export declare function deserializeIntoChatMessageMention(chatMessageMention?: ChatMessageMention | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageMention(writer: SerializationWriter, chatMessageMention?: ChatMessageMention | undefined): void;
