import { type IdentitySet } from './identitySet';
import { type TeamworkConversationIdentity } from './teamworkConversationIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageMentionedIdentitySet extends IdentitySet, Parsable {
    /**
     * If present, represents a conversation (for example, team or channel) @mentioned in a message.
     */
    conversation?: TeamworkConversationIdentity;
}
export declare function createChatMessageMentionedIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageMentionedIdentitySet;
export declare function deserializeIntoChatMessageMentionedIdentitySet(chatMessageMentionedIdentitySet?: ChatMessageMentionedIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageMentionedIdentitySet(writer: SerializationWriter, chatMessageMentionedIdentitySet?: ChatMessageMentionedIdentitySet | undefined): void;
