import { type ChatMessageReactionIdentitySet } from './chatMessageReactionIdentitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageReaction extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    createdDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Supported values are like, angry, sad, laugh, heart, surprised.
     */
    reactionType?: string;
    /**
     * The user property
     */
    user?: ChatMessageReactionIdentitySet;
}
export declare function createChatMessageReactionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageReaction;
export declare function deserializeIntoChatMessageReaction(chatMessageReaction?: ChatMessageReaction | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageReaction(writer: SerializationWriter, chatMessageReaction?: ChatMessageReaction | undefined): void;
