import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatRenamedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * The updated name of the chat.
     */
    chatDisplayName?: string;
    /**
     * Unique identifier of the chat.
     */
    chatId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChatRenamedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatRenamedEventMessageDetail;
export declare function deserializeIntoChatRenamedEventMessageDetail(chatRenamedEventMessageDetail?: ChatRenamedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatRenamedEventMessageDetail(writer: SerializationWriter, chatRenamedEventMessageDetail?: ChatRenamedEventMessageDetail | undefined): void;
