import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatViewpoint extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether the chat is hidden for the current user.
     */
    isHidden?: boolean;
    /**
     * Represents the dateTime up until which the current user has read chatMessages in a specific chat.
     */
    lastMessageReadDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createChatViewpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatViewpoint;
export declare function deserializeIntoChatViewpoint(chatViewpoint?: ChatViewpoint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatViewpoint(writer: SerializationWriter, chatViewpoint?: ChatViewpoint | undefined): void;
