import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChecklistItem extends Entity, Parsable {
    /**
     * The date and time when the checklistItem was finished.
     */
    checkedDateTime?: Date;
    /**
     * The date and time when the checklistItem was created.
     */
    createdDateTime?: Date;
    /**
     * Field indicating the title of checklistItem.
     */
    displayName?: string;
    /**
     * State indicating whether the item is checked off or not.
     */
    isChecked?: boolean;
}
export declare function createChecklistItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChecklistItem;
export declare function deserializeIntoChecklistItem(checklistItem?: ChecklistItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChecklistItem(writer: SerializationWriter, checklistItem?: ChecklistItem | undefined): void;
