import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChoiceColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If true, allows custom values that aren't in the configured choices.
     */
    allowTextEntry?: boolean;
    /**
     * The list of values available for this column.
     */
    choices?: string[];
    /**
     * How the choices are to be presented in the UX. Must be one of checkBoxes, dropDownMenu, or radioButtons
     */
    displayAs?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createChoiceColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChoiceColumn;
export declare function deserializeIntoChoiceColumn(choiceColumn?: ChoiceColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChoiceColumn(writer: SerializationWriter, choiceColumn?: ChoiceColumn | undefined): void;
