"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChoiceColumn = exports.deserializeIntoChoiceColumn = exports.createChoiceColumnFromDiscriminatorValue = void 0;
function createChoiceColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChoiceColumn;
}
exports.createChoiceColumnFromDiscriminatorValue = createChoiceColumnFromDiscriminatorValue;
function deserializeIntoChoiceColumn(choiceColumn = {}) {
    return {
        "allowTextEntry": n => { choiceColumn.allowTextEntry = n.getBooleanValue(); },
        "choices": n => { choiceColumn.choices = n.getCollectionOfPrimitiveValues(); },
        "displayAs": n => { choiceColumn.displayAs = n.getStringValue(); },
        "@odata.type": n => { choiceColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoChoiceColumn = deserializeIntoChoiceColumn;
function serializeChoiceColumn(writer, choiceColumn = {}) {
    writer.writeBooleanValue("allowTextEntry", choiceColumn.allowTextEntry);
    writer.writeCollectionOfPrimitiveValues("choices", choiceColumn.choices);
    writer.writeStringValue("displayAs", choiceColumn.displayAs);
    writer.writeStringValue("@odata.type", choiceColumn.odataType);
    writer.writeAdditionalData(choiceColumn.additionalData);
}
exports.serializeChoiceColumn = serializeChoiceColumn;
// tslint:enable
// eslint-enable
