import { type ApiAuthenticationConfigurationBase } from './apiAuthenticationConfigurationBase';
import { type Pkcs12CertificateInformation } from './pkcs12CertificateInformation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ClientCertificateAuthentication extends ApiAuthenticationConfigurationBase, Parsable {
    /**
     * The list of certificates uploaded for this API connector.
     */
    certificateList?: Pkcs12CertificateInformation[];
}
export declare function createClientCertificateAuthenticationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClientCertificateAuthentication;
export declare function deserializeIntoClientCertificateAuthentication(clientCertificateAuthentication?: ClientCertificateAuthentication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeClientCertificateAuthentication(writer: SerializationWriter, clientCertificateAuthentication?: ClientCertificateAuthentication | undefined): void;
