import { CloudAppSecuritySessionControlType } from './cloudAppSecuritySessionControlType';
import { type ConditionalAccessSessionControl } from './conditionalAccessSessionControl';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CloudAppSecuritySessionControl extends ConditionalAccessSessionControl, Parsable {
    /**
     * Possible values are: mcasConfigured, monitorOnly, blockDownloads, unknownFutureValue. For more information, see Deploy Conditional Access App Control for featured apps.
     */
    cloudAppSecurityType?: CloudAppSecuritySessionControlType;
}
export declare function createCloudAppSecuritySessionControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCloudAppSecuritySessionControl;
export declare function deserializeIntoCloudAppSecuritySessionControl(cloudAppSecuritySessionControl?: CloudAppSecuritySessionControl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCloudAppSecuritySessionControl(writer: SerializationWriter, cloudAppSecuritySessionControl?: CloudAppSecuritySessionControl | undefined): void;
