import { type Call } from './call';
import { type CallRecord } from './callRecords/callRecord';
import { type OnlineMeeting } from './onlineMeeting';
import { type Presence } from './presence';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CloudCommunications extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The callRecords property
     */
    callRecords?: CallRecord[];
    /**
     * The calls property
     */
    calls?: Call[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The onlineMeetings property
     */
    onlineMeetings?: OnlineMeeting[];
    /**
     * The presences property
     */
    presences?: Presence[];
}
export declare function createCloudCommunicationsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCloudCommunications;
export declare function deserializeIntoCloudCommunications(cloudCommunications?: CloudCommunications | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCloudCommunications(writer: SerializationWriter, cloudCommunications?: CloudCommunications | undefined): void;
