import { CoachmarkLocationType } from './coachmarkLocationType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CoachmarkLocation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Length of coachmark.
     */
    length?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Offset of coachmark.
     */
    offset?: number;
    /**
     * Type of coachmark location. The possible values are: unknown, fromEmail, subject, externalTag, displayName, messageBody, unknownFutureValue.
     */
    type?: CoachmarkLocationType;
}
export declare function createCoachmarkLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCoachmarkLocation;
export declare function deserializeIntoCoachmarkLocation(coachmarkLocation?: CoachmarkLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCoachmarkLocation(writer: SerializationWriter, coachmarkLocation?: CoachmarkLocation | undefined): void;
