"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeColumnDefinition = exports.deserializeIntoColumnDefinition = exports.createColumnDefinitionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const booleanColumn_1 = require("./booleanColumn");
const calculatedColumn_1 = require("./calculatedColumn");
const choiceColumn_1 = require("./choiceColumn");
const columnTypes_1 = require("./columnTypes");
const columnValidation_1 = require("./columnValidation");
const contentApprovalStatusColumn_1 = require("./contentApprovalStatusColumn");
const contentTypeInfo_1 = require("./contentTypeInfo");
const currencyColumn_1 = require("./currencyColumn");
const dateTimeColumn_1 = require("./dateTimeColumn");
const defaultColumnValue_1 = require("./defaultColumnValue");
const entity_1 = require("./entity");
const geolocationColumn_1 = require("./geolocationColumn");
const hyperlinkOrPictureColumn_1 = require("./hyperlinkOrPictureColumn");
const lookupColumn_1 = require("./lookupColumn");
const numberColumn_1 = require("./numberColumn");
const personOrGroupColumn_1 = require("./personOrGroupColumn");
const termColumn_1 = require("./termColumn");
const textColumn_1 = require("./textColumn");
const thumbnailColumn_1 = require("./thumbnailColumn");
function createColumnDefinitionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoColumnDefinition;
}
exports.createColumnDefinitionFromDiscriminatorValue = createColumnDefinitionFromDiscriminatorValue;
function deserializeIntoColumnDefinition(columnDefinition = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(columnDefinition)), { "boolean": n => { columnDefinition.boolean = n.getObjectValue(booleanColumn_1.createBooleanColumnFromDiscriminatorValue); }, "calculated": n => { columnDefinition.calculated = n.getObjectValue(calculatedColumn_1.createCalculatedColumnFromDiscriminatorValue); }, "choice": n => { columnDefinition.choice = n.getObjectValue(choiceColumn_1.createChoiceColumnFromDiscriminatorValue); }, "columnGroup": n => { columnDefinition.columnGroup = n.getStringValue(); }, "contentApprovalStatus": n => { columnDefinition.contentApprovalStatus = n.getObjectValue(contentApprovalStatusColumn_1.createContentApprovalStatusColumnFromDiscriminatorValue); }, "currency": n => { columnDefinition.currency = n.getObjectValue(currencyColumn_1.createCurrencyColumnFromDiscriminatorValue); }, "dateTime": n => { columnDefinition.dateTime = n.getObjectValue(dateTimeColumn_1.createDateTimeColumnFromDiscriminatorValue); }, "defaultValue": n => { columnDefinition.defaultValue = n.getObjectValue(defaultColumnValue_1.createDefaultColumnValueFromDiscriminatorValue); }, "description": n => { columnDefinition.description = n.getStringValue(); }, "displayName": n => { columnDefinition.displayName = n.getStringValue(); }, "enforceUniqueValues": n => { columnDefinition.enforceUniqueValues = n.getBooleanValue(); }, "geolocation": n => { columnDefinition.geolocation = n.getObjectValue(geolocationColumn_1.createGeolocationColumnFromDiscriminatorValue); }, "hidden": n => { columnDefinition.hidden = n.getBooleanValue(); }, "hyperlinkOrPicture": n => { columnDefinition.hyperlinkOrPicture = n.getObjectValue(hyperlinkOrPictureColumn_1.createHyperlinkOrPictureColumnFromDiscriminatorValue); }, "indexed": n => { columnDefinition.indexed = n.getBooleanValue(); }, "isDeletable": n => { columnDefinition.isDeletable = n.getBooleanValue(); }, "isReorderable": n => { columnDefinition.isReorderable = n.getBooleanValue(); }, "isSealed": n => { columnDefinition.isSealed = n.getBooleanValue(); }, "lookup": n => { columnDefinition.lookup = n.getObjectValue(lookupColumn_1.createLookupColumnFromDiscriminatorValue); }, "name": n => { columnDefinition.name = n.getStringValue(); }, "number": n => { columnDefinition.number = n.getObjectValue(numberColumn_1.createNumberColumnFromDiscriminatorValue); }, "personOrGroup": n => { columnDefinition.personOrGroup = n.getObjectValue(personOrGroupColumn_1.createPersonOrGroupColumnFromDiscriminatorValue); }, "propagateChanges": n => { columnDefinition.propagateChanges = n.getBooleanValue(); }, "readOnly": n => { columnDefinition.readOnly = n.getBooleanValue(); }, "required": n => { columnDefinition.required = n.getBooleanValue(); }, "sourceColumn": n => { columnDefinition.sourceColumn = n.getObjectValue(createColumnDefinitionFromDiscriminatorValue); }, "sourceContentType": n => { columnDefinition.sourceContentType = n.getObjectValue(contentTypeInfo_1.createContentTypeInfoFromDiscriminatorValue); }, "term": n => { columnDefinition.term = n.getObjectValue(termColumn_1.createTermColumnFromDiscriminatorValue); }, "text": n => { columnDefinition.text = n.getObjectValue(textColumn_1.createTextColumnFromDiscriminatorValue); }, "thumbnail": n => { columnDefinition.thumbnail = n.getObjectValue(thumbnailColumn_1.createThumbnailColumnFromDiscriminatorValue); }, "type": n => { columnDefinition.type = n.getEnumValue(columnTypes_1.ColumnTypes); }, "validation": n => { columnDefinition.validation = n.getObjectValue(columnValidation_1.createColumnValidationFromDiscriminatorValue); } });
}
exports.deserializeIntoColumnDefinition = deserializeIntoColumnDefinition;
function serializeColumnDefinition(writer, columnDefinition = {}) {
    (0, entity_1.serializeEntity)(writer, columnDefinition);
    writer.writeObjectValue("boolean", columnDefinition.boolean, booleanColumn_1.serializeBooleanColumn);
    writer.writeObjectValue("calculated", columnDefinition.calculated, calculatedColumn_1.serializeCalculatedColumn);
    writer.writeObjectValue("choice", columnDefinition.choice, choiceColumn_1.serializeChoiceColumn);
    writer.writeStringValue("columnGroup", columnDefinition.columnGroup);
    writer.writeObjectValue("contentApprovalStatus", columnDefinition.contentApprovalStatus, contentApprovalStatusColumn_1.serializeContentApprovalStatusColumn);
    writer.writeObjectValue("currency", columnDefinition.currency, currencyColumn_1.serializeCurrencyColumn);
    writer.writeObjectValue("dateTime", columnDefinition.dateTime, dateTimeColumn_1.serializeDateTimeColumn);
    writer.writeObjectValue("defaultValue", columnDefinition.defaultValue, defaultColumnValue_1.serializeDefaultColumnValue);
    writer.writeStringValue("description", columnDefinition.description);
    writer.writeStringValue("displayName", columnDefinition.displayName);
    writer.writeBooleanValue("enforceUniqueValues", columnDefinition.enforceUniqueValues);
    writer.writeObjectValue("geolocation", columnDefinition.geolocation, geolocationColumn_1.serializeGeolocationColumn);
    writer.writeBooleanValue("hidden", columnDefinition.hidden);
    writer.writeObjectValue("hyperlinkOrPicture", columnDefinition.hyperlinkOrPicture, hyperlinkOrPictureColumn_1.serializeHyperlinkOrPictureColumn);
    writer.writeBooleanValue("indexed", columnDefinition.indexed);
    writer.writeBooleanValue("isDeletable", columnDefinition.isDeletable);
    writer.writeBooleanValue("isReorderable", columnDefinition.isReorderable);
    writer.writeBooleanValue("isSealed", columnDefinition.isSealed);
    writer.writeObjectValue("lookup", columnDefinition.lookup, lookupColumn_1.serializeLookupColumn);
    writer.writeStringValue("name", columnDefinition.name);
    writer.writeObjectValue("number", columnDefinition.number, numberColumn_1.serializeNumberColumn);
    writer.writeObjectValue("personOrGroup", columnDefinition.personOrGroup, personOrGroupColumn_1.serializePersonOrGroupColumn);
    writer.writeBooleanValue("propagateChanges", columnDefinition.propagateChanges);
    writer.writeBooleanValue("readOnly", columnDefinition.readOnly);
    writer.writeBooleanValue("required", columnDefinition.required);
    writer.writeObjectValue("sourceColumn", columnDefinition.sourceColumn, serializeColumnDefinition);
    writer.writeObjectValue("sourceContentType", columnDefinition.sourceContentType, contentTypeInfo_1.serializeContentTypeInfo);
    writer.writeObjectValue("term", columnDefinition.term, termColumn_1.serializeTermColumn);
    writer.writeObjectValue("text", columnDefinition.text, textColumn_1.serializeTextColumn);
    writer.writeObjectValue("thumbnail", columnDefinition.thumbnail, thumbnailColumn_1.serializeThumbnailColumn);
    writer.writeEnumValue("type", columnDefinition.type);
    writer.writeObjectValue("validation", columnDefinition.validation, columnValidation_1.serializeColumnValidation);
}
exports.serializeColumnDefinition = serializeColumnDefinition;
// tslint:enable
// eslint-enable
