import { type DisplayNameLocalization } from './displayNameLocalization';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ColumnValidation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Default BCP 47 language tag for the description.
     */
    defaultLanguage?: string;
    /**
     * Localized messages that explain what is needed for this column's value to be considered valid. User will be prompted with this message if validation fails.
     */
    descriptions?: DisplayNameLocalization[];
    /**
     * The formula to validate column value. For examples, see Examples of common formulas in lists.
     */
    formula?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createColumnValidationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoColumnValidation;
export declare function deserializeIntoColumnValidation(columnValidation?: ColumnValidation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeColumnValidation(writer: SerializationWriter, columnValidation?: ColumnValidation | undefined): void;
