import { deserializeIntoAddLargeGalleryViewOperation } from './addLargeGalleryViewOperation';
import { type Entity } from './entity';
import { OperationStatus } from './operationStatus';
import { type ResultInfo } from './resultInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommsOperation extends Entity, Parsable {
    /**
     * Unique Client Context string. Max limit is 256 chars.
     */
    clientContext?: string;
    /**
     * The result information. Read-only.
     */
    resultInfo?: ResultInfo;
    /**
     * The status property
     */
    status?: OperationStatus;
}
export declare function createCommsOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddLargeGalleryViewOperation;
export declare function deserializeIntoCommsOperation(commsOperation?: CommsOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommsOperation(writer: SerializationWriter, commsOperation?: CommsOperation | undefined): void;
