"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCommsOperation = exports.deserializeIntoCommsOperation = exports.createCommsOperationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const addLargeGalleryViewOperation_1 = require("./addLargeGalleryViewOperation");
const cancelMediaProcessingOperation_1 = require("./cancelMediaProcessingOperation");
const entity_1 = require("./entity");
const inviteParticipantsOperation_1 = require("./inviteParticipantsOperation");
const muteParticipantOperation_1 = require("./muteParticipantOperation");
const operationStatus_1 = require("./operationStatus");
const playPromptOperation_1 = require("./playPromptOperation");
const recordOperation_1 = require("./recordOperation");
const resultInfo_1 = require("./resultInfo");
const startHoldMusicOperation_1 = require("./startHoldMusicOperation");
const stopHoldMusicOperation_1 = require("./stopHoldMusicOperation");
const subscribeToToneOperation_1 = require("./subscribeToToneOperation");
const unmuteParticipantOperation_1 = require("./unmuteParticipantOperation");
const updateRecordingStatusOperation_1 = require("./updateRecordingStatusOperation");
function createCommsOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.addLargeGalleryViewOperation":
                    return addLargeGalleryViewOperation_1.deserializeIntoAddLargeGalleryViewOperation;
                case "#microsoft.graph.cancelMediaProcessingOperation":
                    return cancelMediaProcessingOperation_1.deserializeIntoCancelMediaProcessingOperation;
                case "#microsoft.graph.inviteParticipantsOperation":
                    return inviteParticipantsOperation_1.deserializeIntoInviteParticipantsOperation;
                case "#microsoft.graph.muteParticipantOperation":
                    return muteParticipantOperation_1.deserializeIntoMuteParticipantOperation;
                case "#microsoft.graph.playPromptOperation":
                    return playPromptOperation_1.deserializeIntoPlayPromptOperation;
                case "#microsoft.graph.recordOperation":
                    return recordOperation_1.deserializeIntoRecordOperation;
                case "#microsoft.graph.startHoldMusicOperation":
                    return startHoldMusicOperation_1.deserializeIntoStartHoldMusicOperation;
                case "#microsoft.graph.stopHoldMusicOperation":
                    return stopHoldMusicOperation_1.deserializeIntoStopHoldMusicOperation;
                case "#microsoft.graph.subscribeToToneOperation":
                    return subscribeToToneOperation_1.deserializeIntoSubscribeToToneOperation;
                case "#microsoft.graph.unmuteParticipantOperation":
                    return unmuteParticipantOperation_1.deserializeIntoUnmuteParticipantOperation;
                case "#microsoft.graph.updateRecordingStatusOperation":
                    return updateRecordingStatusOperation_1.deserializeIntoUpdateRecordingStatusOperation;
            }
        }
    }
    return deserializeIntoCommsOperation;
}
exports.createCommsOperationFromDiscriminatorValue = createCommsOperationFromDiscriminatorValue;
function deserializeIntoCommsOperation(commsOperation = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(commsOperation)), { "clientContext": n => { commsOperation.clientContext = n.getStringValue(); }, "resultInfo": n => { commsOperation.resultInfo = n.getObjectValue(resultInfo_1.createResultInfoFromDiscriminatorValue); }, "status": n => { commsOperation.status = n.getEnumValue(operationStatus_1.OperationStatus); } });
}
exports.deserializeIntoCommsOperation = deserializeIntoCommsOperation;
function serializeCommsOperation(writer, commsOperation = {}) {
    (0, entity_1.serializeEntity)(writer, commsOperation);
    writer.writeStringValue("clientContext", commsOperation.clientContext);
    writer.writeObjectValue("resultInfo", commsOperation.resultInfo, resultInfo_1.serializeResultInfo);
    writer.writeEnumValue("status", commsOperation.status);
}
exports.serializeCommsOperation = serializeCommsOperation;
// tslint:enable
// eslint-enable
