import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsApplicationIdentity extends Identity, Parsable {
    /**
     * First-party Microsoft application that presents this identity.
     */
    applicationType?: string;
    /**
     * True if the participant shouldn't be shown in other participants' rosters.
     */
    hidden?: boolean;
}
export declare function createCommunicationsApplicationIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsApplicationIdentity;
export declare function deserializeIntoCommunicationsApplicationIdentity(communicationsApplicationIdentity?: CommunicationsApplicationIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsApplicationIdentity(writer: SerializationWriter, communicationsApplicationIdentity?: CommunicationsApplicationIdentity | undefined): void;
