import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsApplicationInstanceIdentity extends Identity, Parsable {
    /**
     * True if the participant shouldn't be shown in other participants' rosters.
     */
    hidden?: boolean;
    /**
     * The tenant ID of the application.
     */
    tenantId?: string;
}
export declare function createCommunicationsApplicationInstanceIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsApplicationInstanceIdentity;
export declare function deserializeIntoCommunicationsApplicationInstanceIdentity(communicationsApplicationInstanceIdentity?: CommunicationsApplicationInstanceIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsApplicationInstanceIdentity(writer: SerializationWriter, communicationsApplicationInstanceIdentity?: CommunicationsApplicationInstanceIdentity | undefined): void;
