import { EndpointType } from './endpointType';
import { type Identity } from './identity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsIdentitySet extends IdentitySet, Parsable {
    /**
     * The application instance associated with this action.
     */
    applicationInstance?: Identity;
    /**
     * An identity the participant would like to present itself as to the other participants in the call.
     */
    assertedIdentity?: Identity;
    /**
     * The Azure Communication Services user associated with this action.
     */
    azureCommunicationServicesUser?: Identity;
    /**
     * The encrypted user associated with this action.
     */
    encrypted?: Identity;
    /**
     * Type of endpoint that the participant uses. Possible values are: default, voicemail, skypeForBusiness, skypeForBusinessVoipPhone, unknownFutureValue.
     */
    endpointType?: EndpointType;
    /**
     * The guest user associated with this action.
     */
    guest?: Identity;
    /**
     * The Skype for Business on-premises user associated with this action.
     */
    onPremises?: Identity;
    /**
     * The phone user associated with this action.
     */
    phone?: Identity;
}
export declare function createCommunicationsIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsIdentitySet;
export declare function deserializeIntoCommunicationsIdentitySet(communicationsIdentitySet?: CommunicationsIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsIdentitySet(writer: SerializationWriter, communicationsIdentitySet?: CommunicationsIdentitySet | undefined): void;
