import { type CertificationControl } from './certificationControl';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ComplianceInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Collection of the certification controls associated with the certification.
     */
    certificationControls?: CertificationControl[];
    /**
     * The name of the compliance certification, for example, ISO 27018:2014, GDPR, FedRAMP, and NIST 800-171.
     */
    certificationName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createComplianceInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoComplianceInformation;
export declare function deserializeIntoComplianceInformation(complianceInformation?: ComplianceInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeComplianceInformation(writer: SerializationWriter, complianceInformation?: ComplianceInformation | undefined): void;
