import { type ConditionalAccessFilter } from './conditionalAccessFilter';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessClientApplications extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Service principal IDs excluded from the policy scope.
     */
    excludeServicePrincipals?: string[];
    /**
     * Service principal IDs included in the policy scope, or ServicePrincipalsInMyTenant.
     */
    includeServicePrincipals?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The servicePrincipalFilter property
     */
    servicePrincipalFilter?: ConditionalAccessFilter;
}
export declare function createConditionalAccessClientApplicationsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessClientApplications;
export declare function deserializeIntoConditionalAccessClientApplications(conditionalAccessClientApplications?: ConditionalAccessClientApplications | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessClientApplications(writer: SerializationWriter, conditionalAccessClientApplications?: ConditionalAccessClientApplications | undefined): void;
