import { type ConditionalAccessFilter } from './conditionalAccessFilter';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessDevices extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Filter that defines the dynamic-device-syntax rule to include/exclude devices. A filter can use device properties (such as extension attributes) to include/exclude them.
     */
    deviceFilter?: ConditionalAccessFilter;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessDevicesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessDevices;
export declare function deserializeIntoConditionalAccessDevices(conditionalAccessDevices?: ConditionalAccessDevices | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessDevices(writer: SerializationWriter, conditionalAccessDevices?: ConditionalAccessDevices | undefined): void;
