import { deserializeIntoConditionalAccessAllExternalTenants } from './conditionalAccessAllExternalTenants';
import { ConditionalAccessExternalTenantsMembershipKind } from './conditionalAccessExternalTenantsMembershipKind';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessExternalTenants extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The membership kind. Possible values are: all, enumerated, unknownFutureValue. The enumerated member references an conditionalAccessEnumeratedExternalTenants object.
     */
    membershipKind?: ConditionalAccessExternalTenantsMembershipKind;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessExternalTenantsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessAllExternalTenants;
export declare function deserializeIntoConditionalAccessExternalTenants(conditionalAccessExternalTenants?: ConditionalAccessExternalTenants | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessExternalTenants(writer: SerializationWriter, conditionalAccessExternalTenants?: ConditionalAccessExternalTenants | undefined): void;
