import { FilterMode } from './filterMode';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessFilter extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mode property
     */
    mode?: FilterMode;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Rule syntax is similar to that used for membership rules for groups in Microsoft Entra ID. For details, see rules with multiple expressions
     */
    rule?: string;
}
export declare function createConditionalAccessFilterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessFilter;
export declare function deserializeIntoConditionalAccessFilter(conditionalAccessFilter?: ConditionalAccessFilter | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessFilter(writer: SerializationWriter, conditionalAccessFilter?: ConditionalAccessFilter | undefined): void;
