import { type AuthenticationStrengthPolicy } from './authenticationStrengthPolicy';
import { ConditionalAccessGrantControl } from './conditionalAccessGrantControl';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessGrantControls extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The authenticationStrength property
     */
    authenticationStrength?: AuthenticationStrengthPolicy;
    /**
     * List of values of built-in controls required by the policy. Possible values: block, mfa, compliantDevice, domainJoinedDevice, approvedApplication, compliantApplication, passwordChange, unknownFutureValue.
     */
    builtInControls?: ConditionalAccessGrantControl[];
    /**
     * List of custom controls IDs required by the policy. For more information, see Custom controls.
     */
    customAuthenticationFactors?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines the relationship of the grant controls. Possible values: AND, OR.
     */
    operator?: string;
    /**
     * List of terms of use IDs required by the policy.
     */
    termsOfUse?: string[];
}
export declare function createConditionalAccessGrantControlsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessGrantControls;
export declare function deserializeIntoConditionalAccessGrantControls(conditionalAccessGrantControls?: ConditionalAccessGrantControls | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessGrantControls(writer: SerializationWriter, conditionalAccessGrantControls?: ConditionalAccessGrantControls | undefined): void;
