import { type ConditionalAccessExternalTenants } from './conditionalAccessExternalTenants';
import { ConditionalAccessGuestOrExternalUserTypes } from './conditionalAccessGuestOrExternalUserTypes';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessGuestsOrExternalUsers extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The tenant IDs of the selected types of external users. Either all B2B tenant or a collection of tenant IDs. External tenants can be specified only when the property guestOrExternalUserTypes isn't null or an empty String.
     */
    externalTenants?: ConditionalAccessExternalTenants;
    /**
     * The guestOrExternalUserTypes property
     */
    guestOrExternalUserTypes?: ConditionalAccessGuestOrExternalUserTypes[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessGuestsOrExternalUsersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessGuestsOrExternalUsers;
export declare function deserializeIntoConditionalAccessGuestsOrExternalUsers(conditionalAccessGuestsOrExternalUsers?: ConditionalAccessGuestsOrExternalUsers | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessGuestsOrExternalUsers(writer: SerializationWriter, conditionalAccessGuestsOrExternalUsers?: ConditionalAccessGuestsOrExternalUsers | undefined): void;
