import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessLocations extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Location IDs excluded from scope of policy.
     */
    excludeLocations?: string[];
    /**
     * Location IDs in scope of policy unless explicitly excluded, All, or AllTrusted.
     */
    includeLocations?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessLocationsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessLocations;
export declare function deserializeIntoConditionalAccessLocations(conditionalAccessLocations?: ConditionalAccessLocations | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessLocations(writer: SerializationWriter, conditionalAccessLocations?: ConditionalAccessLocations | undefined): void;
