import { ConditionalAccessDevicePlatform } from './conditionalAccessDevicePlatform';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessPlatforms extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Possible values are: android, iOS, windows, windowsPhone, macOS, linux, all, unknownFutureValue.
     */
    excludePlatforms?: ConditionalAccessDevicePlatform[];
    /**
     * Possible values are: android, iOS, windows, windowsPhone, macOS, linux, all, unknownFutureValue.
     */
    includePlatforms?: ConditionalAccessDevicePlatform[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessPlatformsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessPlatforms;
export declare function deserializeIntoConditionalAccessPlatforms(conditionalAccessPlatforms?: ConditionalAccessPlatforms | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessPlatforms(writer: SerializationWriter, conditionalAccessPlatforms?: ConditionalAccessPlatforms | undefined): void;
