import { type ConditionalAccessConditionSet } from './conditionalAccessConditionSet';
import { type ConditionalAccessGrantControls } from './conditionalAccessGrantControls';
import { ConditionalAccessPolicyState } from './conditionalAccessPolicyState';
import { type ConditionalAccessSessionControls } from './conditionalAccessSessionControls';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessPolicy extends Entity, Parsable {
    /**
     * The conditions property
     */
    conditions?: ConditionalAccessConditionSet;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Readonly.
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * Specifies a display name for the conditionalAccessPolicy object.
     */
    displayName?: string;
    /**
     * Specifies the grant controls that must be fulfilled to pass the policy.
     */
    grantControls?: ConditionalAccessGrantControls;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Readonly.
     */
    modifiedDateTime?: Date;
    /**
     * Specifies the session controls that are enforced after sign-in.
     */
    sessionControls?: ConditionalAccessSessionControls;
    /**
     * The state property
     */
    state?: ConditionalAccessPolicyState;
    /**
     * The templateId property
     */
    templateId?: string;
}
export declare function createConditionalAccessPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessPolicy;
export declare function deserializeIntoConditionalAccessPolicy(conditionalAccessPolicy?: ConditionalAccessPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessPolicy(writer: SerializationWriter, conditionalAccessPolicy?: ConditionalAccessPolicy | undefined): void;
