import { type ConditionalAccessConditionSet } from './conditionalAccessConditionSet';
import { type ConditionalAccessGrantControls } from './conditionalAccessGrantControls';
import { type ConditionalAccessSessionControls } from './conditionalAccessSessionControls';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessPolicyDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The conditions property
     */
    conditions?: ConditionalAccessConditionSet;
    /**
     * Represents grant controls that must be fulfilled for the policy.
     */
    grantControls?: ConditionalAccessGrantControls;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents a complex type of session controls that is enforced after sign-in.
     */
    sessionControls?: ConditionalAccessSessionControls;
}
export declare function createConditionalAccessPolicyDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessPolicyDetail;
export declare function deserializeIntoConditionalAccessPolicyDetail(conditionalAccessPolicyDetail?: ConditionalAccessPolicyDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessPolicyDetail(writer: SerializationWriter, conditionalAccessPolicyDetail?: ConditionalAccessPolicyDetail | undefined): void;
