import { type AuthenticationContextClassReference } from './authenticationContextClassReference';
import { type AuthenticationStrengthRoot } from './authenticationStrengthRoot';
import { type ConditionalAccessPolicy } from './conditionalAccessPolicy';
import { type ConditionalAccessTemplate } from './conditionalAccessTemplate';
import { type Entity } from './entity';
import { type NamedLocation } from './namedLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessRoot extends Entity, Parsable {
    /**
     * Read-only. Nullable. Returns a collection of the specified authentication context class references.
     */
    authenticationContextClassReferences?: AuthenticationContextClassReference[];
    /**
     * The authenticationStrength property
     */
    authenticationStrength?: AuthenticationStrengthRoot;
    /**
     * Read-only. Nullable. Returns a collection of the specified named locations.
     */
    namedLocations?: NamedLocation[];
    /**
     * Read-only. Nullable. Returns a collection of the specified Conditional Access (CA) policies.
     */
    policies?: ConditionalAccessPolicy[];
    /**
     * Read-only. Nullable. Returns a collection of the specified Conditional Access templates.
     */
    templates?: ConditionalAccessTemplate[];
}
export declare function createConditionalAccessRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessRoot;
export declare function deserializeIntoConditionalAccessRoot(conditionalAccessRoot?: ConditionalAccessRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessRoot(writer: SerializationWriter, conditionalAccessRoot?: ConditionalAccessRoot | undefined): void;
