import { deserializeIntoCloudAppSecuritySessionControl } from './cloudAppSecuritySessionControl';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessSessionControl extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether the session control is enabled.
     */
    isEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessSessionControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCloudAppSecuritySessionControl;
export declare function deserializeIntoConditionalAccessSessionControl(conditionalAccessSessionControl?: ConditionalAccessSessionControl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessSessionControl(writer: SerializationWriter, conditionalAccessSessionControl?: ConditionalAccessSessionControl | undefined): void;
