import { type ApplicationEnforcedRestrictionsSessionControl } from './applicationEnforcedRestrictionsSessionControl';
import { type CloudAppSecuritySessionControl } from './cloudAppSecuritySessionControl';
import { type PersistentBrowserSessionControl } from './persistentBrowserSessionControl';
import { type SignInFrequencySessionControl } from './signInFrequencySessionControl';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessSessionControls extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Session control to enforce application restrictions. Only Exchange Online and Sharepoint Online support this session control.
     */
    applicationEnforcedRestrictions?: ApplicationEnforcedRestrictionsSessionControl;
    /**
     * Session control to apply cloud app security.
     */
    cloudAppSecurity?: CloudAppSecuritySessionControl;
    /**
     * Session control that determines whether it is acceptable for Microsoft Entra ID to extend existing sessions based on information collected prior to an outage or not.
     */
    disableResilienceDefaults?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Session control to define whether to persist cookies or not. All apps should be selected for this session control to work correctly.
     */
    persistentBrowser?: PersistentBrowserSessionControl;
    /**
     * Session control to enforce signin frequency.
     */
    signInFrequency?: SignInFrequencySessionControl;
}
export declare function createConditionalAccessSessionControlsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessSessionControls;
export declare function deserializeIntoConditionalAccessSessionControls(conditionalAccessSessionControls?: ConditionalAccessSessionControls | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessSessionControls(writer: SerializationWriter, conditionalAccessSessionControls?: ConditionalAccessSessionControls | undefined): void;
