import { type ConditionalAccessPolicyDetail } from './conditionalAccessPolicyDetail';
import { type Entity } from './entity';
import { TemplateScenarios } from './templateScenarios';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessTemplate extends Entity, Parsable {
    /**
     * The user-friendly name of the template.
     */
    description?: string;
    /**
     * The details property
     */
    details?: ConditionalAccessPolicyDetail;
    /**
     * The user-friendly name of the template.
     */
    name?: string;
    /**
     * The scenarios property
     */
    scenarios?: TemplateScenarios[];
}
export declare function createConditionalAccessTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessTemplate;
export declare function deserializeIntoConditionalAccessTemplate(conditionalAccessTemplate?: ConditionalAccessTemplate | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessTemplate(writer: SerializationWriter, conditionalAccessTemplate?: ConditionalAccessTemplate | undefined): void;
