import { type ConditionalAccessGuestsOrExternalUsers } from './conditionalAccessGuestsOrExternalUsers';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessUsers extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Group IDs excluded from scope of policy.
     */
    excludeGroups?: string[];
    /**
     * Internal guests or external users excluded from the policy scope. Optionally populated.
     */
    excludeGuestsOrExternalUsers?: ConditionalAccessGuestsOrExternalUsers;
    /**
     * Role IDs excluded from scope of policy.
     */
    excludeRoles?: string[];
    /**
     * User IDs excluded from scope of policy and/or GuestsOrExternalUsers.
     */
    excludeUsers?: string[];
    /**
     * Group IDs in scope of policy unless explicitly excluded.
     */
    includeGroups?: string[];
    /**
     * Internal guests or external users included in the policy scope. Optionally populated.
     */
    includeGuestsOrExternalUsers?: ConditionalAccessGuestsOrExternalUsers;
    /**
     * Role IDs in scope of policy unless explicitly excluded.
     */
    includeRoles?: string[];
    /**
     * User IDs in scope of policy unless explicitly excluded, None, All, or GuestsOrExternalUsers.
     */
    includeUsers?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConditionalAccessUsersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessUsers;
export declare function deserializeIntoConditionalAccessUsers(conditionalAccessUsers?: ConditionalAccessUsers | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessUsers(writer: SerializationWriter, conditionalAccessUsers?: ConditionalAccessUsers | undefined): void;
