import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConfigurationManagerClientEnabledFeatures extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Whether compliance policy is managed by Intune
     */
    compliancePolicy?: boolean;
    /**
     * Whether device configuration is managed by Intune
     */
    deviceConfiguration?: boolean;
    /**
     * Whether inventory is managed by Intune
     */
    inventory?: boolean;
    /**
     * Whether modern application is managed by Intune
     */
    modernApps?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Whether resource access is managed by Intune
     */
    resourceAccess?: boolean;
    /**
     * Whether Windows Update for Business is managed by Intune
     */
    windowsUpdateForBusiness?: boolean;
}
export declare function createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfigurationManagerClientEnabledFeatures;
export declare function deserializeIntoConfigurationManagerClientEnabledFeatures(configurationManagerClientEnabledFeatures?: ConfigurationManagerClientEnabledFeatures | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfigurationManagerClientEnabledFeatures(writer: SerializationWriter, configurationManagerClientEnabledFeatures?: ConfigurationManagerClientEnabledFeatures | undefined): void;
