"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeContact = exports.deserializeIntoContact = exports.createContactFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const emailAddress_1 = require("./emailAddress");
const extension_1 = require("./extension");
const multiValueLegacyExtendedProperty_1 = require("./multiValueLegacyExtendedProperty");
const outlookItem_1 = require("./outlookItem");
const physicalAddress_1 = require("./physicalAddress");
const profilePhoto_1 = require("./profilePhoto");
const singleValueLegacyExtendedProperty_1 = require("./singleValueLegacyExtendedProperty");
function createContactFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoContact;
}
exports.createContactFromDiscriminatorValue = createContactFromDiscriminatorValue;
function deserializeIntoContact(contact = {}) {
    return Object.assign(Object.assign({}, (0, outlookItem_1.deserializeIntoOutlookItem)(contact)), { "assistantName": n => { contact.assistantName = n.getStringValue(); }, "birthday": n => { contact.birthday = n.getDateValue(); }, "businessAddress": n => { contact.businessAddress = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "businessHomePage": n => { contact.businessHomePage = n.getStringValue(); }, "businessPhones": n => { contact.businessPhones = n.getCollectionOfPrimitiveValues(); }, "children": n => { contact.children = n.getCollectionOfPrimitiveValues(); }, "companyName": n => { contact.companyName = n.getStringValue(); }, "department": n => { contact.department = n.getStringValue(); }, "displayName": n => { contact.displayName = n.getStringValue(); }, "emailAddresses": n => { contact.emailAddresses = n.getCollectionOfObjectValues(emailAddress_1.createEmailAddressFromDiscriminatorValue); }, "extensions": n => { contact.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "fileAs": n => { contact.fileAs = n.getStringValue(); }, "generation": n => { contact.generation = n.getStringValue(); }, "givenName": n => { contact.givenName = n.getStringValue(); }, "homeAddress": n => { contact.homeAddress = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "homePhones": n => { contact.homePhones = n.getCollectionOfPrimitiveValues(); }, "imAddresses": n => { contact.imAddresses = n.getCollectionOfPrimitiveValues(); }, "initials": n => { contact.initials = n.getStringValue(); }, "jobTitle": n => { contact.jobTitle = n.getStringValue(); }, "manager": n => { contact.manager = n.getStringValue(); }, "middleName": n => { contact.middleName = n.getStringValue(); }, "mobilePhone": n => { contact.mobilePhone = n.getStringValue(); }, "multiValueExtendedProperties": n => { contact.multiValueExtendedProperties = n.getCollectionOfObjectValues(multiValueLegacyExtendedProperty_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "nickName": n => { contact.nickName = n.getStringValue(); }, "officeLocation": n => { contact.officeLocation = n.getStringValue(); }, "otherAddress": n => { contact.otherAddress = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "parentFolderId": n => { contact.parentFolderId = n.getStringValue(); }, "personalNotes": n => { contact.personalNotes = n.getStringValue(); }, "photo": n => { contact.photo = n.getObjectValue(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "profession": n => { contact.profession = n.getStringValue(); }, "singleValueExtendedProperties": n => { contact.singleValueExtendedProperties = n.getCollectionOfObjectValues(singleValueLegacyExtendedProperty_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "spouseName": n => { contact.spouseName = n.getStringValue(); }, "surname": n => { contact.surname = n.getStringValue(); }, "title": n => { contact.title = n.getStringValue(); }, "yomiCompanyName": n => { contact.yomiCompanyName = n.getStringValue(); }, "yomiGivenName": n => { contact.yomiGivenName = n.getStringValue(); }, "yomiSurname": n => { contact.yomiSurname = n.getStringValue(); } });
}
exports.deserializeIntoContact = deserializeIntoContact;
function serializeContact(writer, contact = {}) {
    (0, outlookItem_1.serializeOutlookItem)(writer, contact);
    writer.writeStringValue("assistantName", contact.assistantName);
    writer.writeDateValue("birthday", contact.birthday);
    writer.writeObjectValue("businessAddress", contact.businessAddress, physicalAddress_1.serializePhysicalAddress);
    writer.writeStringValue("businessHomePage", contact.businessHomePage);
    writer.writeCollectionOfPrimitiveValues("businessPhones", contact.businessPhones);
    writer.writeCollectionOfPrimitiveValues("children", contact.children);
    writer.writeStringValue("companyName", contact.companyName);
    writer.writeStringValue("department", contact.department);
    writer.writeStringValue("displayName", contact.displayName);
    writer.writeCollectionOfObjectValues("emailAddresses", contact.emailAddresses, emailAddress_1.serializeEmailAddress);
    writer.writeCollectionOfObjectValues("extensions", contact.extensions, extension_1.serializeExtension);
    writer.writeStringValue("fileAs", contact.fileAs);
    writer.writeStringValue("generation", contact.generation);
    writer.writeStringValue("givenName", contact.givenName);
    writer.writeObjectValue("homeAddress", contact.homeAddress, physicalAddress_1.serializePhysicalAddress);
    writer.writeCollectionOfPrimitiveValues("homePhones", contact.homePhones);
    writer.writeCollectionOfPrimitiveValues("imAddresses", contact.imAddresses);
    writer.writeStringValue("initials", contact.initials);
    writer.writeStringValue("jobTitle", contact.jobTitle);
    writer.writeStringValue("manager", contact.manager);
    writer.writeStringValue("middleName", contact.middleName);
    writer.writeStringValue("mobilePhone", contact.mobilePhone);
    writer.writeCollectionOfObjectValues("multiValueExtendedProperties", contact.multiValueExtendedProperties, multiValueLegacyExtendedProperty_1.serializeMultiValueLegacyExtendedProperty);
    writer.writeStringValue("nickName", contact.nickName);
    writer.writeStringValue("officeLocation", contact.officeLocation);
    writer.writeObjectValue("otherAddress", contact.otherAddress, physicalAddress_1.serializePhysicalAddress);
    writer.writeStringValue("parentFolderId", contact.parentFolderId);
    writer.writeStringValue("personalNotes", contact.personalNotes);
    writer.writeObjectValue("photo", contact.photo, profilePhoto_1.serializeProfilePhoto);
    writer.writeStringValue("profession", contact.profession);
    writer.writeCollectionOfObjectValues("singleValueExtendedProperties", contact.singleValueExtendedProperties, singleValueLegacyExtendedProperty_1.serializeSingleValueLegacyExtendedProperty);
    writer.writeStringValue("spouseName", contact.spouseName);
    writer.writeStringValue("surname", contact.surname);
    writer.writeStringValue("title", contact.title);
    writer.writeStringValue("yomiCompanyName", contact.yomiCompanyName);
    writer.writeStringValue("yomiGivenName", contact.yomiGivenName);
    writer.writeStringValue("yomiSurname", contact.yomiSurname);
}
exports.serializeContact = serializeContact;
// tslint:enable
// eslint-enable
