import { type Contact } from './contact';
import { type Entity } from './entity';
import { type MultiValueLegacyExtendedProperty } from './multiValueLegacyExtendedProperty';
import { type SingleValueLegacyExtendedProperty } from './singleValueLegacyExtendedProperty';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContactFolder extends Entity, Parsable {
    /**
     * The collection of child folders in the folder. Navigation property. Read-only. Nullable.
     */
    childFolders?: ContactFolder[];
    /**
     * The contacts in the folder. Navigation property. Read-only. Nullable.
     */
    contacts?: Contact[];
    /**
     * The folder's display name.
     */
    displayName?: string;
    /**
     * The collection of multi-value extended properties defined for the contactFolder. Read-only. Nullable.
     */
    multiValueExtendedProperties?: MultiValueLegacyExtendedProperty[];
    /**
     * The ID of the folder's parent folder.
     */
    parentFolderId?: string;
    /**
     * The collection of single-value extended properties defined for the contactFolder. Read-only. Nullable.
     */
    singleValueExtendedProperties?: SingleValueLegacyExtendedProperty[];
}
export declare function createContactFolderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContactFolder;
export declare function deserializeIntoContactFolder(contactFolder?: ContactFolder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContactFolder(writer: SerializationWriter, contactFolder?: ContactFolder | undefined): void;
