import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentTypeInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ID of the content type.
     */
    id?: string;
    /**
     * The name of the content type.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createContentTypeInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentTypeInfo;
export declare function deserializeIntoContentTypeInfo(contentTypeInfo?: ContentTypeInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentTypeInfo(writer: SerializationWriter, contentTypeInfo?: ContentTypeInfo | undefined): void;
