import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentTypeOrder extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether this is the default content type
     */
    defaultEscaped?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the position in which the content type appears in the selection UI.
     */
    position?: number;
}
export declare function createContentTypeOrderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentTypeOrder;
export declare function deserializeIntoContentTypeOrder(contentTypeOrder?: ContentTypeOrder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentTypeOrder(writer: SerializationWriter, contentTypeOrder?: ContentTypeOrder | undefined): void;
