import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export interface Contract extends DirectoryObject, Parsable {
    /**
     * Type of contract. Possible values are:  SyndicationPartner, BreadthPartner, ResellerPartner. See more in the table below.
     */
    contractType?: string;
    /**
     * The unique identifier for the customer tenant referenced by this partnership. Corresponds to the id property of the customer tenant's organization resource.
     */
    customerId?: Guid;
    /**
     * A copy of the customer tenant's default domain name. The copy is made when the partnership with the customer is established. It isn't automatically updated if the customer tenant's default domain name changes.
     */
    defaultDomainName?: string;
    /**
     * A copy of the customer tenant's display name. The copy is made when the partnership with the customer is established. It is not automatically updated if the customer tenant's display name changes.
     */
    displayName?: string;
}
export declare function createContractFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContract;
export declare function deserializeIntoContract(contract?: Contract | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContract(writer: SerializationWriter, contract?: Contract | undefined): void;
