import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ControlScore extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Control action category (Identity, Data, Device, Apps, Infrastructure).
     */
    controlCategory?: string;
    /**
     * Control unique name.
     */
    controlName?: string;
    /**
     * Description of the control.
     */
    description?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Tenant achieved score for the control (it varies day by day depending on tenant operations on the control).
     */
    score?: number;
}
export declare function createControlScoreFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoControlScore;
export declare function deserializeIntoControlScore(controlScore?: ControlScore | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeControlScore(writer: SerializationWriter, controlScore?: ControlScore | undefined): void;
