"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeControlScore = exports.deserializeIntoControlScore = exports.createControlScoreFromDiscriminatorValue = void 0;
function createControlScoreFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoControlScore;
}
exports.createControlScoreFromDiscriminatorValue = createControlScoreFromDiscriminatorValue;
function deserializeIntoControlScore(controlScore = {}) {
    return {
        "controlCategory": n => { controlScore.controlCategory = n.getStringValue(); },
        "controlName": n => { controlScore.controlName = n.getStringValue(); },
        "description": n => { controlScore.description = n.getStringValue(); },
        "@odata.type": n => { controlScore.odataType = n.getStringValue(); },
        "score": n => { controlScore.score = n.getNumberValue(); },
    };
}
exports.deserializeIntoControlScore = deserializeIntoControlScore;
function serializeControlScore(writer, controlScore = {}) {
    writer.writeStringValue("controlCategory", controlScore.controlCategory);
    writer.writeStringValue("controlName", controlScore.controlName);
    writer.writeStringValue("description", controlScore.description);
    writer.writeStringValue("@odata.type", controlScore.odataType);
    writer.writeNumberValue("score", controlScore.score);
    writer.writeAdditionalData(controlScore.additionalData);
}
exports.serializeControlScore = serializeControlScore;
// tslint:enable
// eslint-enable
