import { deserializeIntoAnonymousGuestConversationMember } from './anonymousGuestConversationMember';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConversationMember extends Entity, Parsable {
    /**
     * The display name of the user.
     */
    displayName?: string;
    /**
     * The roles for that user. This property contains additional qualifiers only when relevant - for example, if the member has owner privileges, the roles property contains owner as one of the values. Similarly, if the member is an in-tenant guest, the roles property contains guest as one of the values. A basic member should not have any values specified in the roles property. An Out-of-tenant external member is assigned the owner role.
     */
    roles?: string[];
    /**
     * The timestamp denoting how far back a conversation's history is shared with the conversation member. This property is settable only for members of a chat.
     */
    visibleHistoryStartDateTime?: Date;
}
export declare function createConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAnonymousGuestConversationMember;
export declare function deserializeIntoConversationMember(conversationMember?: ConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConversationMember(writer: SerializationWriter, conversationMember?: ConversationMember | undefined): void;
