"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConversationMember = exports.deserializeIntoConversationMember = exports.createConversationMemberFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const aadUserConversationMember_1 = require("./aadUserConversationMember");
const anonymousGuestConversationMember_1 = require("./anonymousGuestConversationMember");
const azureCommunicationServicesUserConversationMember_1 = require("./azureCommunicationServicesUserConversationMember");
const entity_1 = require("./entity");
const microsoftAccountUserConversationMember_1 = require("./microsoftAccountUserConversationMember");
const skypeForBusinessUserConversationMember_1 = require("./skypeForBusinessUserConversationMember");
const skypeUserConversationMember_1 = require("./skypeUserConversationMember");
function createConversationMemberFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.aadUserConversationMember":
                    return aadUserConversationMember_1.deserializeIntoAadUserConversationMember;
                case "#microsoft.graph.anonymousGuestConversationMember":
                    return anonymousGuestConversationMember_1.deserializeIntoAnonymousGuestConversationMember;
                case "#microsoft.graph.azureCommunicationServicesUserConversationMember":
                    return azureCommunicationServicesUserConversationMember_1.deserializeIntoAzureCommunicationServicesUserConversationMember;
                case "#microsoft.graph.microsoftAccountUserConversationMember":
                    return microsoftAccountUserConversationMember_1.deserializeIntoMicrosoftAccountUserConversationMember;
                case "#microsoft.graph.skypeForBusinessUserConversationMember":
                    return skypeForBusinessUserConversationMember_1.deserializeIntoSkypeForBusinessUserConversationMember;
                case "#microsoft.graph.skypeUserConversationMember":
                    return skypeUserConversationMember_1.deserializeIntoSkypeUserConversationMember;
            }
        }
    }
    return deserializeIntoConversationMember;
}
exports.createConversationMemberFromDiscriminatorValue = createConversationMemberFromDiscriminatorValue;
function deserializeIntoConversationMember(conversationMember = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(conversationMember)), { "displayName": n => { conversationMember.displayName = n.getStringValue(); }, "roles": n => { conversationMember.roles = n.getCollectionOfPrimitiveValues(); }, "visibleHistoryStartDateTime": n => { conversationMember.visibleHistoryStartDateTime = n.getDateValue(); } });
}
exports.deserializeIntoConversationMember = deserializeIntoConversationMember;
function serializeConversationMember(writer, conversationMember = {}) {
    (0, entity_1.serializeEntity)(writer, conversationMember);
    writer.writeStringValue("displayName", conversationMember.displayName);
    writer.writeCollectionOfPrimitiveValues("roles", conversationMember.roles);
    writer.writeDateValue("visibleHistoryStartDateTime", conversationMember.visibleHistoryStartDateTime);
}
exports.serializeConversationMember = serializeConversationMember;
// tslint:enable
// eslint-enable
