import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConversationMemberRoleUpdatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Roles for the coversation member user.
     */
    conversationMemberRoles?: string[];
    /**
     * Identity of the conversation member user.
     */
    conversationMemberUser?: TeamworkUserIdentity;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createConversationMemberRoleUpdatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConversationMemberRoleUpdatedEventMessageDetail;
export declare function deserializeIntoConversationMemberRoleUpdatedEventMessageDetail(conversationMemberRoleUpdatedEventMessageDetail?: ConversationMemberRoleUpdatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConversationMemberRoleUpdatedEventMessageDetail(writer: SerializationWriter, conversationMemberRoleUpdatedEventMessageDetail?: ConversationMemberRoleUpdatedEventMessageDetail | undefined): void;
