import { type GenericError } from './genericError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConvertIdResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * An error object indicating the reason for the conversion failure. This value isn't present if the conversion succeeded.
     */
    errorDetails?: GenericError;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The identifier that was converted. This value is the original, un-converted identifier.
     */
    sourceId?: string;
    /**
     * The converted identifier. This value isn't present if the conversion failed.
     */
    targetId?: string;
}
export declare function createConvertIdResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConvertIdResult;
export declare function deserializeIntoConvertIdResult(convertIdResult?: ConvertIdResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConvertIdResult(writer: SerializationWriter, convertIdResult?: ConvertIdResult | undefined): void;
