import { type IdentitySource } from './identitySource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossCloudAzureActiveDirectoryTenantFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossCloudAzureActiveDirectoryTenant;
export interface CrossCloudAzureActiveDirectoryTenant extends IdentitySource, Parsable {
    /**
     * The ID of the cloud where the tenant is located, one of microsoftonline.com, microsoftonline.us or partner.microsoftonline.cn. Read only.
     */
    cloudInstance?: string;
    /**
     * The name of the Microsoft Entra tenant. Read only.
     */
    displayName?: string;
    /**
     * The ID of the Microsoft Entra tenant. Read only.
     */
    tenantId?: string;
}
export declare function deserializeIntoCrossCloudAzureActiveDirectoryTenant(crossCloudAzureActiveDirectoryTenant?: CrossCloudAzureActiveDirectoryTenant | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossCloudAzureActiveDirectoryTenant(writer: SerializationWriter, crossCloudAzureActiveDirectoryTenant?: CrossCloudAzureActiveDirectoryTenant | undefined): void;
