import { type CrossTenantAccessPolicyConfigurationDefault } from './crossTenantAccessPolicyConfigurationDefault';
import { type CrossTenantAccessPolicyConfigurationPartner } from './crossTenantAccessPolicyConfigurationPartner';
import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicy;
export interface CrossTenantAccessPolicy extends Parsable, PolicyBase {
    /**
     * Used to specify which Microsoft clouds an organization would like to collaborate with. By default, this value is empty. Supported values for this field are: microsoftonline.com, microsoftonline.us, and partner.microsoftonline.cn.
     */
    allowedCloudEndpoints?: string[];
    /**
     * Defines the default configuration for how your organization interacts with external Microsoft Entra organizations.
     */
    defaultEscaped?: CrossTenantAccessPolicyConfigurationDefault;
    /**
     * Defines partner-specific configurations for external Microsoft Entra organizations.
     */
    partners?: CrossTenantAccessPolicyConfigurationPartner[];
}
export declare function deserializeIntoCrossTenantAccessPolicy(crossTenantAccessPolicy?: CrossTenantAccessPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicy(writer: SerializationWriter, crossTenantAccessPolicy?: CrossTenantAccessPolicy | undefined): void;
