import { type CrossTenantAccessPolicyTargetConfiguration } from './crossTenantAccessPolicyTargetConfiguration';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyB2BSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicyB2BSetting;
export interface CrossTenantAccessPolicyB2BSetting extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The list of applications targeted with your cross-tenant access policy.
     */
    applications?: CrossTenantAccessPolicyTargetConfiguration;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The list of users and groups targeted with your cross-tenant access policy.
     */
    usersAndGroups?: CrossTenantAccessPolicyTargetConfiguration;
}
export declare function deserializeIntoCrossTenantAccessPolicyB2BSetting(crossTenantAccessPolicyB2BSetting?: CrossTenantAccessPolicyB2BSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicyB2BSetting(writer: SerializationWriter, crossTenantAccessPolicyB2BSetting?: CrossTenantAccessPolicyB2BSetting | undefined): void;
