import { type CrossTenantAccessPolicyB2BSetting } from './crossTenantAccessPolicyB2BSetting';
import { type CrossTenantAccessPolicyInboundTrust } from './crossTenantAccessPolicyInboundTrust';
import { type Entity } from './entity';
import { type InboundOutboundPolicyConfiguration } from './inboundOutboundPolicyConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyConfigurationDefaultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicyConfigurationDefault;
export interface CrossTenantAccessPolicyConfigurationDefault extends Entity, Parsable {
    /**
     * Determines the default configuration for automatic user consent settings. The inboundAllowed and outboundAllowed properties are always false and cannot be updated in the default configuration. Read-only.
     */
    automaticUserConsentSettings?: InboundOutboundPolicyConfiguration;
    /**
     * Defines your default configuration for users from other organizations accessing your resources via Microsoft Entra B2B collaboration.
     */
    b2bCollaborationInbound?: CrossTenantAccessPolicyB2BSetting;
    /**
     * Defines your default configuration for users in your organization going outbound to access resources in another organization via Microsoft Entra B2B collaboration.
     */
    b2bCollaborationOutbound?: CrossTenantAccessPolicyB2BSetting;
    /**
     * Defines your default configuration for users from other organizations accessing your resources via Microsoft Entra B2B direct connect.
     */
    b2bDirectConnectInbound?: CrossTenantAccessPolicyB2BSetting;
    /**
     * Defines your default configuration for users in your organization going outbound to access resources in another organization via Microsoft Entra B2B direct connect.
     */
    b2bDirectConnectOutbound?: CrossTenantAccessPolicyB2BSetting;
    /**
     * Determines the default configuration for trusting other Conditional Access claims from external Microsoft Entra organizations.
     */
    inboundTrust?: CrossTenantAccessPolicyInboundTrust;
    /**
     * If true, the default configuration is set to the system default configuration. If false, the default settings have been customized.
     */
    isServiceDefault?: boolean;
}
export declare function deserializeIntoCrossTenantAccessPolicyConfigurationDefault(crossTenantAccessPolicyConfigurationDefault?: CrossTenantAccessPolicyConfigurationDefault | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicyConfigurationDefault(writer: SerializationWriter, crossTenantAccessPolicyConfigurationDefault?: CrossTenantAccessPolicyConfigurationDefault | undefined): void;
