import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyInboundTrustFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicyInboundTrust;
export interface CrossTenantAccessPolicyInboundTrust extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether compliant devices from external Microsoft Entra organizations are trusted.
     */
    isCompliantDeviceAccepted?: boolean;
    /**
     * Specifies whether Microsoft Entra hybrid joined devices from external Microsoft Entra organizations are trusted.
     */
    isHybridAzureADJoinedDeviceAccepted?: boolean;
    /**
     * Specifies whether MFA from external Microsoft Entra organizations is trusted.
     */
    isMfaAccepted?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCrossTenantAccessPolicyInboundTrust(crossTenantAccessPolicyInboundTrust?: CrossTenantAccessPolicyInboundTrust | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicyInboundTrust(writer: SerializationWriter, crossTenantAccessPolicyInboundTrust?: CrossTenantAccessPolicyInboundTrust | undefined): void;
