import { type CrossTenantAccessPolicyTarget } from './crossTenantAccessPolicyTarget';
import { CrossTenantAccessPolicyTargetConfigurationAccessType } from './crossTenantAccessPolicyTargetConfigurationAccessType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyTargetConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicyTargetConfiguration;
export interface CrossTenantAccessPolicyTargetConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Defines whether access is allowed or blocked. The possible values are: allowed, blocked, unknownFutureValue.
     */
    accessType?: CrossTenantAccessPolicyTargetConfigurationAccessType;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies whether to target users, groups, or applications with this rule.
     */
    targets?: CrossTenantAccessPolicyTarget[];
}
export declare function deserializeIntoCrossTenantAccessPolicyTargetConfiguration(crossTenantAccessPolicyTargetConfiguration?: CrossTenantAccessPolicyTargetConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicyTargetConfiguration(writer: SerializationWriter, crossTenantAccessPolicyTargetConfiguration?: CrossTenantAccessPolicyTargetConfiguration | undefined): void;
