import { type CrossTenantUserSyncInbound } from './crossTenantUserSyncInbound';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantIdentitySyncPolicyPartnerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantIdentitySyncPolicyPartner;
export interface CrossTenantIdentitySyncPolicyPartner extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name for the cross-tenant user synchronization policy. Use the name of the partner Microsoft Entra tenant to easily identify the policy. Optional.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Tenant identifier for the partner Microsoft Entra organization. Read-only.
     */
    tenantId?: string;
    /**
     * Defines whether users can be synchronized from the partner tenant. Key.
     */
    userSyncInbound?: CrossTenantUserSyncInbound;
}
export declare function deserializeIntoCrossTenantIdentitySyncPolicyPartner(crossTenantIdentitySyncPolicyPartner?: CrossTenantIdentitySyncPolicyPartner | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantIdentitySyncPolicyPartner(writer: SerializationWriter, crossTenantIdentitySyncPolicyPartner?: CrossTenantIdentitySyncPolicyPartner | undefined): void;
