import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantUserSyncInboundFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantUserSyncInbound;
export interface CrossTenantUserSyncInbound extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines whether user objects should be synchronized from the partner tenant. false causes any current user synchronization from the source tenant to the target tenant to stop. This property has no impact on existing users who have already been synchronized.
     */
    isSyncAllowed?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCrossTenantUserSyncInbound(crossTenantUserSyncInbound?: CrossTenantUserSyncInbound | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantUserSyncInbound(writer: SerializationWriter, crossTenantUserSyncInbound?: CrossTenantUserSyncInbound | undefined): void;
