import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCurrencyColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCurrencyColumn;
export interface CurrencyColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies the locale from which to infer the currency symbol.
     */
    locale?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCurrencyColumn(currencyColumn?: CurrencyColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCurrencyColumn(writer: SerializationWriter, currencyColumn?: CurrencyColumn | undefined): void;
