"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCurrencyColumn = exports.deserializeIntoCurrencyColumn = exports.createCurrencyColumnFromDiscriminatorValue = void 0;
function createCurrencyColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCurrencyColumn;
}
exports.createCurrencyColumnFromDiscriminatorValue = createCurrencyColumnFromDiscriminatorValue;
function deserializeIntoCurrencyColumn(currencyColumn = {}) {
    return {
        "locale": n => { currencyColumn.locale = n.getStringValue(); },
        "@odata.type": n => { currencyColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCurrencyColumn = deserializeIntoCurrencyColumn;
function serializeCurrencyColumn(writer, currencyColumn = {}) {
    writer.writeStringValue("locale", currencyColumn.locale);
    writer.writeStringValue("@odata.type", currencyColumn.odataType);
    writer.writeAdditionalData(currencyColumn.additionalData);
}
exports.serializeCurrencyColumn = serializeCurrencyColumn;
// tslint:enable
// eslint-enable
