import { deserializeIntoAccessPackageAssignmentRequestWorkflowExtension } from './accessPackageAssignmentRequestWorkflowExtension';
import { type CustomExtensionAuthenticationConfiguration } from './customExtensionAuthenticationConfiguration';
import { type CustomExtensionClientConfiguration } from './customExtensionClientConfiguration';
import { type CustomExtensionEndpointConfiguration } from './customExtensionEndpointConfiguration';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomCalloutExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestWorkflowExtension;
export interface CustomCalloutExtension extends Entity, Parsable {
    /**
     * Configuration for securing the API call to the logic app. For example, using OAuth client credentials flow.
     */
    authenticationConfiguration?: CustomExtensionAuthenticationConfiguration;
    /**
     * HTTP connection settings that define how long Microsoft Entra ID can wait for a connection to a logic app, how many times you can retry a timed-out connection and the exception scenarios when retries are allowed.
     */
    clientConfiguration?: CustomExtensionClientConfiguration;
    /**
     * Description for the customCalloutExtension object.
     */
    description?: string;
    /**
     * Display name for the customCalloutExtension object.
     */
    displayName?: string;
    /**
     * The type and details for configuring the endpoint to call the logic app's workflow.
     */
    endpointConfiguration?: CustomExtensionEndpointConfiguration;
}
export declare function deserializeIntoCustomCalloutExtension(customCalloutExtension?: CustomCalloutExtension | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomCalloutExtension(writer: SerializationWriter, customCalloutExtension?: CustomCalloutExtension | undefined): void;
