import { deserializeIntoCustomTaskExtensionCallbackConfiguration } from './identityGovernance/customTaskExtensionCallbackConfiguration';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionCallbackConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtensionCallbackConfiguration;
export interface CustomExtensionCallbackConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The maximum duration in ISO 8601 format that Microsoft Entra ID will wait for a resume action for the callout it sent to the logic app. The valid range for custom extensions in lifecycle workflows is five minutes to three hours. The valid range for custom extensions in entitlement management is between 5 minutes and 14 days. For example, PT3H refers to three hours, P3D refers to three days, PT10M refers to ten minutes.
     */
    timeoutDuration?: Duration;
}
export declare function deserializeIntoCustomExtensionCallbackConfiguration(customExtensionCallbackConfiguration?: CustomExtensionCallbackConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionCallbackConfiguration(writer: SerializationWriter, customExtensionCallbackConfiguration?: CustomExtensionCallbackConfiguration | undefined): void;
