"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCustomExtensionCallbackConfiguration = exports.deserializeIntoCustomExtensionCallbackConfiguration = exports.createCustomExtensionCallbackConfigurationFromDiscriminatorValue = void 0;
const customTaskExtensionCallbackConfiguration_1 = require("./identityGovernance/customTaskExtensionCallbackConfiguration");
function createCustomExtensionCallbackConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityGovernance.customTaskExtensionCallbackConfiguration":
                    return customTaskExtensionCallbackConfiguration_1.deserializeIntoCustomTaskExtensionCallbackConfiguration;
            }
        }
    }
    return deserializeIntoCustomExtensionCallbackConfiguration;
}
exports.createCustomExtensionCallbackConfigurationFromDiscriminatorValue = createCustomExtensionCallbackConfigurationFromDiscriminatorValue;
function deserializeIntoCustomExtensionCallbackConfiguration(customExtensionCallbackConfiguration = {}) {
    return {
        "@odata.type": n => { customExtensionCallbackConfiguration.odataType = n.getStringValue(); },
        "timeoutDuration": n => { customExtensionCallbackConfiguration.timeoutDuration = n.getDurationValue(); },
    };
}
exports.deserializeIntoCustomExtensionCallbackConfiguration = deserializeIntoCustomExtensionCallbackConfiguration;
function serializeCustomExtensionCallbackConfiguration(writer, customExtensionCallbackConfiguration = {}) {
    writer.writeStringValue("@odata.type", customExtensionCallbackConfiguration.odataType);
    writer.writeDurationValue("timeoutDuration", customExtensionCallbackConfiguration.timeoutDuration);
    writer.writeAdditionalData(customExtensionCallbackConfiguration.additionalData);
}
exports.serializeCustomExtensionCallbackConfiguration = serializeCustomExtensionCallbackConfiguration;
// tslint:enable
// eslint-enable
