import { CustomExtensionCalloutInstanceStatus } from './customExtensionCalloutInstanceStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionCalloutInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomExtensionCalloutInstance;
export interface CustomExtensionCalloutInstance extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Identification of the custom extension that was triggered at this instance.
     */
    customExtensionId?: string;
    /**
     * Details provided by the logic app during the callback of the request instance.
     */
    detail?: string;
    /**
     * The unique run identifier for the logic app.
     */
    externalCorrelationId?: string;
    /**
     * Unique identifier for the callout instance. Read-only.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status of the request to the custom extension. The possible values are: calloutSent, callbackReceived, calloutFailed, callbackTimedOut, waitingForCallback, unknownFutureValue.
     */
    status?: CustomExtensionCalloutInstanceStatus;
}
export declare function deserializeIntoCustomExtensionCalloutInstance(customExtensionCalloutInstance?: CustomExtensionCalloutInstance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionCalloutInstance(writer: SerializationWriter, customExtensionCalloutInstance?: CustomExtensionCalloutInstance | undefined): void;
