import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionClientConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomExtensionClientConfiguration;
export interface CustomExtensionClientConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The max duration in milliseconds that Microsoft Entra ID waits for a response from the external app before it shuts down the connection. The valid range is between 200 and 2000 milliseconds. Default duration is 1000.
     */
    timeoutInMilliseconds?: number;
}
export declare function deserializeIntoCustomExtensionClientConfiguration(customExtensionClientConfiguration?: CustomExtensionClientConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionClientConfiguration(writer: SerializationWriter, customExtensionClientConfiguration?: CustomExtensionClientConfiguration | undefined): void;
