"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCustomExtensionEndpointConfiguration = exports.deserializeIntoCustomExtensionEndpointConfiguration = exports.createCustomExtensionEndpointConfigurationFromDiscriminatorValue = void 0;
const logicAppTriggerEndpointConfiguration_1 = require("./logicAppTriggerEndpointConfiguration");
function createCustomExtensionEndpointConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.logicAppTriggerEndpointConfiguration":
                    return logicAppTriggerEndpointConfiguration_1.deserializeIntoLogicAppTriggerEndpointConfiguration;
            }
        }
    }
    return deserializeIntoCustomExtensionEndpointConfiguration;
}
exports.createCustomExtensionEndpointConfigurationFromDiscriminatorValue = createCustomExtensionEndpointConfigurationFromDiscriminatorValue;
function deserializeIntoCustomExtensionEndpointConfiguration(customExtensionEndpointConfiguration = {}) {
    return {
        "@odata.type": n => { customExtensionEndpointConfiguration.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCustomExtensionEndpointConfiguration = deserializeIntoCustomExtensionEndpointConfiguration;
function serializeCustomExtensionEndpointConfiguration(writer, customExtensionEndpointConfiguration = {}) {
    writer.writeStringValue("@odata.type", customExtensionEndpointConfiguration.odataType);
    writer.writeAdditionalData(customExtensionEndpointConfiguration.additionalData);
}
exports.serializeCustomExtensionEndpointConfiguration = serializeCustomExtensionEndpointConfiguration;
// tslint:enable
// eslint-enable
