import { AccessPackageCustomExtensionStage } from './accessPackageCustomExtensionStage';
import { type CustomCalloutExtension } from './customCalloutExtension';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionStageSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomExtensionStageSetting;
export interface CustomExtensionStageSetting extends Entity, Parsable {
    /**
     * Indicates the custom workflow extension that will be executed at this stage. Nullable. Supports $expand.
     */
    customExtension?: CustomCalloutExtension;
    /**
     * The stage property
     */
    stage?: AccessPackageCustomExtensionStage;
}
export declare function deserializeIntoCustomExtensionStageSetting(customExtensionStageSetting?: CustomExtensionStageSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionStageSetting(writer: SerializationWriter, customExtensionStageSetting?: CustomExtensionStageSetting | undefined): void;
