import { type DaylightTimeZoneOffset } from './daylightTimeZoneOffset';
import { type StandardTimeZoneOffset } from './standardTimeZoneOffset';
import { type TimeZoneBase } from './timeZoneBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTimeZoneFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTimeZone;
export interface CustomTimeZone extends Parsable, TimeZoneBase {
    /**
     * The time offset of the time zone from Coordinated Universal Time (UTC). This value is in minutes. Time zones that are ahead of UTC have a positive offset; time zones that are behind UTC have a negative offset.
     */
    bias?: number;
    /**
     * Specifies when the time zone switches from standard time to daylight saving time.
     */
    daylightOffset?: DaylightTimeZoneOffset;
    /**
     * Specifies when the time zone switches from daylight saving time to standard time.
     */
    standardOffset?: StandardTimeZoneOffset;
}
export declare function deserializeIntoCustomTimeZone(customTimeZone?: CustomTimeZone | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTimeZone(writer: SerializationWriter, customTimeZone?: CustomTimeZone | undefined): void;
