import { TrainingAssignedTo } from './trainingAssignedTo';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTrainingSetting;
export interface CustomTrainingSetting extends Parsable, TrainingSetting {
    /**
     * A user collection that specifies to whom the training should be assigned. Possible values are: none, allUsers, clickedPayload, compromised, reportedPhish, readButNotClicked, didNothing, unknownFutureValue.
     */
    assignedTo?: TrainingAssignedTo[];
    /**
     * The description of the custom training setting.
     */
    description?: string;
    /**
     * The display name of the custom training setting.
     */
    displayName?: string;
    /**
     * Training duration.
     */
    durationInMinutes?: number;
    /**
     * The training URL.
     */
    url?: string;
}
export declare function deserializeIntoCustomTrainingSetting(customTrainingSetting?: CustomTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTrainingSetting(writer: SerializationWriter, customTrainingSetting?: CustomTrainingSetting | undefined): void;
