import { DataPolicyOperationStatus } from './dataPolicyOperationStatus';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataPolicyOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataPolicyOperation;
export interface DataPolicyOperation extends Entity, Parsable {
    /**
     * Represents when the request for this data policy operation was completed, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Null until the operation completes.
     */
    completedDateTime?: Date;
    /**
     * Specifies the progress of an operation.
     */
    progress?: number;
    /**
     * Possible values are: notStarted, running, complete, failed, unknownFutureValue.
     */
    status?: DataPolicyOperationStatus;
    /**
     * The URL location to where data is being exported for export requests.
     */
    storageLocation?: string;
    /**
     * Represents when the request for this data operation was submitted, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    submittedDateTime?: Date;
    /**
     * The id for the user on whom the operation is performed.
     */
    userId?: string;
}
export declare function deserializeIntoDataPolicyOperation(dataPolicyOperation?: DataPolicyOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataPolicyOperation(writer: SerializationWriter, dataPolicyOperation?: DataPolicyOperation | undefined): void;
