import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataSubjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataSubject;
export interface DataSubject extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Email of the data subject.
     */
    email?: string;
    /**
     * First name of the data subject.
     */
    firstName?: string;
    /**
     * Last Name of the data subject.
     */
    lastName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The country/region of residency. The residency information is uesed only for internal reporting but not for the content search.
     */
    residency?: string;
}
export declare function deserializeIntoDataSubject(dataSubject?: DataSubject | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataSubject(writer: SerializationWriter, dataSubject?: DataSubject | undefined): void;
