import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDateTimeColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDateTimeColumn;
export interface DateTimeColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * How the value should be presented in the UX. Must be one of default, friendly, or standard. See below for more details. If unspecified, treated as default.
     */
    displayAs?: string;
    /**
     * Indicates whether the value should be presented as a date only or a date and time. Must be one of dateOnly or dateTime
     */
    format?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoDateTimeColumn(dateTimeColumn?: DateTimeColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDateTimeColumn(writer: SerializationWriter, dateTimeColumn?: DateTimeColumn | undefined): void;
