import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDateTimeTimeZoneFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDateTimeTimeZone;
export interface DateTimeTimeZone extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A single point of time in a combined date and time representation ({date}T{time}; for example, 2017-08-29T04:00:00.0000000).
     */
    dateTime?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents a time zone, for example, 'Pacific Standard Time'. See below for more possible values.
     */
    timeZone?: string;
}
export declare function deserializeIntoDateTimeTimeZone(dateTimeTimeZone?: DateTimeTimeZone | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDateTimeTimeZone(writer: SerializationWriter, dateTimeTimeZone?: DateTimeTimeZone | undefined): void;
