import { type StandardTimeZoneOffset } from './standardTimeZoneOffset';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDaylightTimeZoneOffsetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDaylightTimeZoneOffset;
export interface DaylightTimeZoneOffset extends Parsable, StandardTimeZoneOffset {
    /**
     * The time offset from Coordinated Universal Time (UTC) for daylight saving time. This value is in minutes.
     */
    daylightBias?: number;
}
export declare function deserializeIntoDaylightTimeZoneOffset(daylightTimeZoneOffset?: DaylightTimeZoneOffset | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDaylightTimeZoneOffset(writer: SerializationWriter, daylightTimeZoneOffset?: DaylightTimeZoneOffset | undefined): void;
