import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDefaultColumnValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDefaultColumnValue;
export interface DefaultColumnValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The formula used to compute the default value for the column.
     */
    formula?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The direct value to use as the default value for the column.
     */
    value?: string;
}
export declare function deserializeIntoDefaultColumnValue(defaultColumnValue?: DefaultColumnValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDefaultColumnValue(writer: SerializationWriter, defaultColumnValue?: DefaultColumnValue | undefined): void;
