"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDefaultColumnValue = exports.deserializeIntoDefaultColumnValue = exports.createDefaultColumnValueFromDiscriminatorValue = void 0;
function createDefaultColumnValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDefaultColumnValue;
}
exports.createDefaultColumnValueFromDiscriminatorValue = createDefaultColumnValueFromDiscriminatorValue;
function deserializeIntoDefaultColumnValue(defaultColumnValue = {}) {
    return {
        "formula": n => { defaultColumnValue.formula = n.getStringValue(); },
        "@odata.type": n => { defaultColumnValue.odataType = n.getStringValue(); },
        "value": n => { defaultColumnValue.value = n.getStringValue(); },
    };
}
exports.deserializeIntoDefaultColumnValue = deserializeIntoDefaultColumnValue;
function serializeDefaultColumnValue(writer, defaultColumnValue = {}) {
    writer.writeStringValue("formula", defaultColumnValue.formula);
    writer.writeStringValue("@odata.type", defaultColumnValue.odataType);
    writer.writeStringValue("value", defaultColumnValue.value);
    writer.writeAdditionalData(defaultColumnValue.additionalData);
}
exports.serializeDefaultColumnValue = serializeDefaultColumnValue;
// tslint:enable
// eslint-enable
