import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDefaultUserRolePermissionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDefaultUserRolePermissions;
export interface DefaultUserRolePermissions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether the default user role can create applications. This setting corresponds to the Users can register applications setting in the User settings menu in the Microsoft Entra admin center.
     */
    allowedToCreateApps?: boolean;
    /**
     * Indicates whether the default user role can create security groups. This setting corresponds to the following menus in the Microsoft Entra admin center:  The Users can create security groups in Microsoft Entra admin centers, API or PowerShell setting in the Group settings menu.  Users can create security groups setting in the User settings menu.
     */
    allowedToCreateSecurityGroups?: boolean;
    /**
     * Indicates whether the default user role can create tenants. This setting corresponds to the Restrict non-admin users from creating tenants setting in the User settings menu in the Microsoft Entra admin center.  When this setting is false, users assigned the Tenant Creator role can still create tenants.
     */
    allowedToCreateTenants?: boolean;
    /**
     * Indicates whether the registered owners of a device can read their own BitLocker recovery keys with default user role.
     */
    allowedToReadBitlockerKeysForOwnedDevice?: boolean;
    /**
     * Indicates whether the default user role can read other users. DO NOT SET THIS VALUE TO false.
     */
    allowedToReadOtherUsers?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates if user consent to apps is allowed, and if it is, which permission to grant consent and which app consent policy (permissionGrantPolicy) govern the permission for users to grant consent. Value should be in the format managePermissionGrantsForSelf.{id}, where {id} is the id of a built-in or custom app consent policy. An empty list indicates user consent to apps is disabled.
     */
    permissionGrantPoliciesAssigned?: string[];
}
export declare function deserializeIntoDefaultUserRolePermissions(defaultUserRolePermissions?: DefaultUserRolePermissions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDefaultUserRolePermissions(writer: SerializationWriter, defaultUserRolePermissions?: DefaultUserRolePermissions | undefined): void;
