"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDefaultUserRolePermissions = exports.deserializeIntoDefaultUserRolePermissions = exports.createDefaultUserRolePermissionsFromDiscriminatorValue = void 0;
function createDefaultUserRolePermissionsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDefaultUserRolePermissions;
}
exports.createDefaultUserRolePermissionsFromDiscriminatorValue = createDefaultUserRolePermissionsFromDiscriminatorValue;
function deserializeIntoDefaultUserRolePermissions(defaultUserRolePermissions = {}) {
    return {
        "allowedToCreateApps": n => { defaultUserRolePermissions.allowedToCreateApps = n.getBooleanValue(); },
        "allowedToCreateSecurityGroups": n => { defaultUserRolePermissions.allowedToCreateSecurityGroups = n.getBooleanValue(); },
        "allowedToCreateTenants": n => { defaultUserRolePermissions.allowedToCreateTenants = n.getBooleanValue(); },
        "allowedToReadBitlockerKeysForOwnedDevice": n => { defaultUserRolePermissions.allowedToReadBitlockerKeysForOwnedDevice = n.getBooleanValue(); },
        "allowedToReadOtherUsers": n => { defaultUserRolePermissions.allowedToReadOtherUsers = n.getBooleanValue(); },
        "@odata.type": n => { defaultUserRolePermissions.odataType = n.getStringValue(); },
        "permissionGrantPoliciesAssigned": n => { defaultUserRolePermissions.permissionGrantPoliciesAssigned = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoDefaultUserRolePermissions = deserializeIntoDefaultUserRolePermissions;
function serializeDefaultUserRolePermissions(writer, defaultUserRolePermissions = {}) {
    writer.writeBooleanValue("allowedToCreateApps", defaultUserRolePermissions.allowedToCreateApps);
    writer.writeBooleanValue("allowedToCreateSecurityGroups", defaultUserRolePermissions.allowedToCreateSecurityGroups);
    writer.writeBooleanValue("allowedToCreateTenants", defaultUserRolePermissions.allowedToCreateTenants);
    writer.writeBooleanValue("allowedToReadBitlockerKeysForOwnedDevice", defaultUserRolePermissions.allowedToReadBitlockerKeysForOwnedDevice);
    writer.writeBooleanValue("allowedToReadOtherUsers", defaultUserRolePermissions.allowedToReadOtherUsers);
    writer.writeStringValue("@odata.type", defaultUserRolePermissions.odataType);
    writer.writeCollectionOfPrimitiveValues("permissionGrantPoliciesAssigned", defaultUserRolePermissions.permissionGrantPoliciesAssigned);
    writer.writeAdditionalData(defaultUserRolePermissions.additionalData);
}
exports.serializeDefaultUserRolePermissions = serializeDefaultUserRolePermissions;
// tslint:enable
// eslint-enable
