import { DelegatedAdminAccessAssignmentStatus } from './delegatedAdminAccessAssignmentStatus';
import { type DelegatedAdminAccessContainer } from './delegatedAdminAccessContainer';
import { type DelegatedAdminAccessDetails } from './delegatedAdminAccessDetails';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminAccessAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminAccessAssignment;
export interface DelegatedAdminAccessAssignment extends Entity, Parsable {
    /**
     * The accessContainer property
     */
    accessContainer?: DelegatedAdminAccessContainer;
    /**
     * The accessDetails property
     */
    accessDetails?: DelegatedAdminAccessDetails;
    /**
     * The date and time in ISO 8601 format and in UTC time when the access assignment was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The date and time in ISO 8601 and in UTC time when this access assignment was last modified. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * The status of the access assignment. Read-only. The possible values are: pending, active, deleting, deleted, error, unknownFutureValue.
     */
    status?: DelegatedAdminAccessAssignmentStatus;
}
export declare function deserializeIntoDelegatedAdminAccessAssignment(delegatedAdminAccessAssignment?: DelegatedAdminAccessAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminAccessAssignment(writer: SerializationWriter, delegatedAdminAccessAssignment?: DelegatedAdminAccessAssignment | undefined): void;
