import { DelegatedAdminAccessContainerType } from './delegatedAdminAccessContainerType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminAccessContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminAccessContainer;
export interface DelegatedAdminAccessContainer extends AdditionalDataHolder, Parsable {
    /**
     * The identifier of the access container (for example, a security group). For 'securityGroup' access containers, this must be a valid ID of a Microsoft Entra security group in the Microsoft partner's tenant.
     */
    accessContainerId?: string;
    /**
     * The accessContainerType property
     */
    accessContainerType?: DelegatedAdminAccessContainerType;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoDelegatedAdminAccessContainer(delegatedAdminAccessContainer?: DelegatedAdminAccessContainer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminAccessContainer(writer: SerializationWriter, delegatedAdminAccessContainer?: DelegatedAdminAccessContainer | undefined): void;
