import { type UnifiedRole } from './unifiedRole';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminAccessDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminAccessDetails;
export interface DelegatedAdminAccessDetails extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The directory roles that the Microsoft partner is assigned in the customer tenant.
     */
    unifiedRoles?: UnifiedRole[];
}
export declare function deserializeIntoDelegatedAdminAccessDetails(delegatedAdminAccessDetails?: DelegatedAdminAccessDetails | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminAccessDetails(writer: SerializationWriter, delegatedAdminAccessDetails?: DelegatedAdminAccessDetails | undefined): void;
