import { type DelegatedAdminServiceManagementDetail } from './delegatedAdminServiceManagementDetail';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminCustomerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminCustomer;
export interface DelegatedAdminCustomer extends Entity, Parsable {
    /**
     * The Microsoft Entra ID display name of the customer tenant. Read-only. Supports $orderby.
     */
    displayName?: string;
    /**
     * Contains the management details of a service in the customer tenant that's managed by delegated administration.
     */
    serviceManagementDetails?: DelegatedAdminServiceManagementDetail[];
    /**
     * The Microsoft Entra ID-assigned tenant ID of the customer. Read-only.
     */
    tenantId?: string;
}
export declare function deserializeIntoDelegatedAdminCustomer(delegatedAdminCustomer?: DelegatedAdminCustomer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminCustomer(writer: SerializationWriter, delegatedAdminCustomer?: DelegatedAdminCustomer | undefined): void;
