"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDelegatedAdminRelationship = exports.deserializeIntoDelegatedAdminRelationship = exports.createDelegatedAdminRelationshipFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const delegatedAdminAccessAssignment_1 = require("./delegatedAdminAccessAssignment");
const delegatedAdminAccessDetails_1 = require("./delegatedAdminAccessDetails");
const delegatedAdminRelationshipCustomerParticipant_1 = require("./delegatedAdminRelationshipCustomerParticipant");
const delegatedAdminRelationshipOperation_1 = require("./delegatedAdminRelationshipOperation");
const delegatedAdminRelationshipRequest_1 = require("./delegatedAdminRelationshipRequest");
const delegatedAdminRelationshipStatus_1 = require("./delegatedAdminRelationshipStatus");
const entity_1 = require("./entity");
const resellerDelegatedAdminRelationship_1 = require("./resellerDelegatedAdminRelationship");
function createDelegatedAdminRelationshipFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.resellerDelegatedAdminRelationship":
                    return resellerDelegatedAdminRelationship_1.deserializeIntoResellerDelegatedAdminRelationship;
            }
        }
    }
    return deserializeIntoDelegatedAdminRelationship;
}
exports.createDelegatedAdminRelationshipFromDiscriminatorValue = createDelegatedAdminRelationshipFromDiscriminatorValue;
function deserializeIntoDelegatedAdminRelationship(delegatedAdminRelationship = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(delegatedAdminRelationship)), { "accessAssignments": n => { delegatedAdminRelationship.accessAssignments = n.getCollectionOfObjectValues(delegatedAdminAccessAssignment_1.createDelegatedAdminAccessAssignmentFromDiscriminatorValue); }, "accessDetails": n => { delegatedAdminRelationship.accessDetails = n.getObjectValue(delegatedAdminAccessDetails_1.createDelegatedAdminAccessDetailsFromDiscriminatorValue); }, "activatedDateTime": n => { delegatedAdminRelationship.activatedDateTime = n.getDateValue(); }, "autoExtendDuration": n => { delegatedAdminRelationship.autoExtendDuration = n.getDurationValue(); }, "createdDateTime": n => { delegatedAdminRelationship.createdDateTime = n.getDateValue(); }, "customer": n => { delegatedAdminRelationship.customer = n.getObjectValue(delegatedAdminRelationshipCustomerParticipant_1.createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue); }, "displayName": n => { delegatedAdminRelationship.displayName = n.getStringValue(); }, "duration": n => { delegatedAdminRelationship.duration = n.getDurationValue(); }, "endDateTime": n => { delegatedAdminRelationship.endDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { delegatedAdminRelationship.lastModifiedDateTime = n.getDateValue(); }, "operations": n => { delegatedAdminRelationship.operations = n.getCollectionOfObjectValues(delegatedAdminRelationshipOperation_1.createDelegatedAdminRelationshipOperationFromDiscriminatorValue); }, "requests": n => { delegatedAdminRelationship.requests = n.getCollectionOfObjectValues(delegatedAdminRelationshipRequest_1.createDelegatedAdminRelationshipRequestFromDiscriminatorValue); }, "status": n => { delegatedAdminRelationship.status = n.getEnumValue(delegatedAdminRelationshipStatus_1.DelegatedAdminRelationshipStatus); } });
}
exports.deserializeIntoDelegatedAdminRelationship = deserializeIntoDelegatedAdminRelationship;
function serializeDelegatedAdminRelationship(writer, delegatedAdminRelationship = {}) {
    (0, entity_1.serializeEntity)(writer, delegatedAdminRelationship);
    writer.writeCollectionOfObjectValues("accessAssignments", delegatedAdminRelationship.accessAssignments, delegatedAdminAccessAssignment_1.serializeDelegatedAdminAccessAssignment);
    writer.writeObjectValue("accessDetails", delegatedAdminRelationship.accessDetails, delegatedAdminAccessDetails_1.serializeDelegatedAdminAccessDetails);
    writer.writeDateValue("activatedDateTime", delegatedAdminRelationship.activatedDateTime);
    writer.writeDurationValue("autoExtendDuration", delegatedAdminRelationship.autoExtendDuration);
    writer.writeDateValue("createdDateTime", delegatedAdminRelationship.createdDateTime);
    writer.writeObjectValue("customer", delegatedAdminRelationship.customer, delegatedAdminRelationshipCustomerParticipant_1.serializeDelegatedAdminRelationshipCustomerParticipant);
    writer.writeStringValue("displayName", delegatedAdminRelationship.displayName);
    writer.writeDurationValue("duration", delegatedAdminRelationship.duration);
    writer.writeDateValue("endDateTime", delegatedAdminRelationship.endDateTime);
    writer.writeDateValue("lastModifiedDateTime", delegatedAdminRelationship.lastModifiedDateTime);
    writer.writeCollectionOfObjectValues("operations", delegatedAdminRelationship.operations, delegatedAdminRelationshipOperation_1.serializeDelegatedAdminRelationshipOperation);
    writer.writeCollectionOfObjectValues("requests", delegatedAdminRelationship.requests, delegatedAdminRelationshipRequest_1.serializeDelegatedAdminRelationshipRequest);
    writer.writeEnumValue("status", delegatedAdminRelationship.status);
}
exports.serializeDelegatedAdminRelationship = serializeDelegatedAdminRelationship;
// tslint:enable
// eslint-enable
