import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipCustomerParticipant;
export interface DelegatedAdminRelationshipCustomerParticipant extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The display name of the customer tenant as set by Microsoft Entra ID. Read-only
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The Microsoft Entra ID-assigned tenant ID of the customer tenant.
     */
    tenantId?: string;
}
export declare function deserializeIntoDelegatedAdminRelationshipCustomerParticipant(delegatedAdminRelationshipCustomerParticipant?: DelegatedAdminRelationshipCustomerParticipant | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipCustomerParticipant(writer: SerializationWriter, delegatedAdminRelationshipCustomerParticipant?: DelegatedAdminRelationshipCustomerParticipant | undefined): void;
