import { DelegatedAdminRelationshipOperationType } from './delegatedAdminRelationshipOperationType';
import { type Entity } from './entity';
import { LongRunningOperationStatus } from './longRunningOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipOperation;
export interface DelegatedAdminRelationshipOperation extends Entity, Parsable {
    /**
     * The time in ISO 8601 format and in UTC time when the long-running operation was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The data (payload) for the operation. Read-only.
     */
    data?: string;
    /**
     * The time in ISO 8601 format and in UTC time when the long-running operation was last modified. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * The operationType property
     */
    operationType?: DelegatedAdminRelationshipOperationType;
    /**
     * The status property
     */
    status?: LongRunningOperationStatus;
}
export declare function deserializeIntoDelegatedAdminRelationshipOperation(delegatedAdminRelationshipOperation?: DelegatedAdminRelationshipOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipOperation(writer: SerializationWriter, delegatedAdminRelationshipOperation?: DelegatedAdminRelationshipOperation | undefined): void;
