import { DelegatedAdminRelationshipRequestAction } from './delegatedAdminRelationshipRequestAction';
import { DelegatedAdminRelationshipRequestStatus } from './delegatedAdminRelationshipRequestStatus';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipRequest;
export interface DelegatedAdminRelationshipRequest extends Entity, Parsable {
    /**
     * The action property
     */
    action?: DelegatedAdminRelationshipRequestAction;
    /**
     * The date and time in ISO 8601 format and in UTC time when the relationship request was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The date and time in ISO 8601 format and UTC time when this relationship request was last modified. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * The status of the request. Read-only. The possible values are: created, pending, succeeded, failed, unknownFutureValue.
     */
    status?: DelegatedAdminRelationshipRequestStatus;
}
export declare function deserializeIntoDelegatedAdminRelationshipRequest(delegatedAdminRelationshipRequest?: DelegatedAdminRelationshipRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipRequest(writer: SerializationWriter, delegatedAdminRelationshipRequest?: DelegatedAdminRelationshipRequest | undefined): void;
