import { type Entity } from './entity';
import { PermissionClassificationType } from './permissionClassificationType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedPermissionClassificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedPermissionClassification;
export interface DelegatedPermissionClassification extends Entity, Parsable {
    /**
     * The classification value being given. Possible value: low. Doesn't support $filter.
     */
    classification?: PermissionClassificationType;
    /**
     * The unique identifier (id) for the delegated permission listed in the oauth2PermissionScopes collection of the servicePrincipal. Required on create. Doesn't support $filter.
     */
    permissionId?: string;
    /**
     * The claim value (value) for the delegated permission listed in the oauth2PermissionScopes collection of the servicePrincipal. Doesn't support $filter.
     */
    permissionName?: string;
}
export declare function deserializeIntoDelegatedPermissionClassification(delegatedPermissionClassification?: DelegatedPermissionClassification | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedPermissionClassification(writer: SerializationWriter, delegatedPermissionClassification?: DelegatedPermissionClassification | undefined): void;
