import { DetectedAppPlatformType } from './detectedAppPlatformType';
import { type Entity } from './entity';
import { type ManagedDevice } from './managedDevice';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDetectedAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDetectedApp;
export declare function deserializeIntoDetectedApp(detectedApp?: DetectedApp | undefined): Record<string, (node: ParseNode) => void>;
export interface DetectedApp extends Entity, Parsable {
    /**
     * The number of devices that have installed this application
     */
    deviceCount?: number;
    /**
     * Name of the discovered application. Read-only
     */
    displayName?: string;
    /**
     * The devices that have the discovered application installed
     */
    managedDevices?: ManagedDevice[];
    /**
     * Indicates the operating system / platform of the discovered application.  Some possible values are Windows, iOS, macOS. The default value is unknown (0).
     */
    platform?: DetectedAppPlatformType;
    /**
     * Indicates the publisher of the discovered application. For example: 'Microsoft'.  The default value is an empty string.
     */
    publisher?: string;
    /**
     * Discovered application size in bytes. Read-only
     */
    sizeInByte?: number;
    /**
     * Version of the discovered application. Read-only
     */
    version?: string;
}
export declare function serializeDetectedApp(writer: SerializationWriter, detectedApp?: DetectedApp | undefined): void;
