"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetectedAppPlatformType = void 0;
/**
 * Indicates the operating system / platform of the discovered application.  Some possible values are Windows, iOS, macOS. The default value is unknown (0).
 */
var DetectedAppPlatformType;
(function (DetectedAppPlatformType) {
    /** Default. Set to unknown when platform cannot be determined. */
    DetectedAppPlatformType["Unknown"] = "unknown";
    /** Indicates that the platform of the detected application is Windows. */
    DetectedAppPlatformType["Windows"] = "windows";
    /** Indicates that the platform of the detected application is Windows Mobile. */
    DetectedAppPlatformType["WindowsMobile"] = "windowsMobile";
    /** Indicates that the platform of the detected application is Windows Holographic. */
    DetectedAppPlatformType["WindowsHolographic"] = "windowsHolographic";
    /** Indicates that the platform of the detected application is iOS. */
    DetectedAppPlatformType["Ios"] = "ios";
    /** Indicates that the platform of the detected application is macOS. */
    DetectedAppPlatformType["MacOS"] = "macOS";
    /** Indicates that the platform of the detected application is ChromeOS. */
    DetectedAppPlatformType["ChromeOS"] = "chromeOS";
    /** Indicates that the platform of the detected application is Android open source project. */
    DetectedAppPlatformType["AndroidOSP"] = "androidOSP";
    /** Indicates that the platform of the detected application is Android device administrator. */
    DetectedAppPlatformType["AndroidDeviceAdministrator"] = "androidDeviceAdministrator";
    /** Indicates that the platform of the detected application is Android work profile. */
    DetectedAppPlatformType["AndroidWorkProfile"] = "androidWorkProfile";
    /** Indicates that the platform of the detected application is Android dedicated and fully managed. */
    DetectedAppPlatformType["AndroidDedicatedAndFullyManaged"] = "androidDedicatedAndFullyManaged";
    /** Evolvable enumeration sentinel value. Do not use. */
    DetectedAppPlatformType["UnknownFutureValue"] = "unknownFutureValue";
})(DetectedAppPlatformType || (exports.DetectedAppPlatformType = DetectedAppPlatformType = {}));
// tslint:enable
// eslint-enable
