"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDevice = exports.deserializeIntoDevice = exports.createDeviceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const alternativeSecurityId_1 = require("./alternativeSecurityId");
const directoryObject_1 = require("./directoryObject");
const extension_1 = require("./extension");
function createDeviceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDevice;
}
exports.createDeviceFromDiscriminatorValue = createDeviceFromDiscriminatorValue;
function deserializeIntoDevice(device = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(device)), { "accountEnabled": n => { device.accountEnabled = n.getBooleanValue(); }, "alternativeSecurityIds": n => { device.alternativeSecurityIds = n.getCollectionOfObjectValues(alternativeSecurityId_1.createAlternativeSecurityIdFromDiscriminatorValue); }, "approximateLastSignInDateTime": n => { device.approximateLastSignInDateTime = n.getDateValue(); }, "complianceExpirationDateTime": n => { device.complianceExpirationDateTime = n.getDateValue(); }, "deviceCategory": n => { device.deviceCategory = n.getStringValue(); }, "deviceId": n => { device.deviceId = n.getStringValue(); }, "deviceMetadata": n => { device.deviceMetadata = n.getStringValue(); }, "deviceOwnership": n => { device.deviceOwnership = n.getStringValue(); }, "deviceVersion": n => { device.deviceVersion = n.getNumberValue(); }, "displayName": n => { device.displayName = n.getStringValue(); }, "enrollmentProfileName": n => { device.enrollmentProfileName = n.getStringValue(); }, "extensions": n => { device.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "isCompliant": n => { device.isCompliant = n.getBooleanValue(); }, "isManaged": n => { device.isManaged = n.getBooleanValue(); }, "mdmAppId": n => { device.mdmAppId = n.getStringValue(); }, "memberOf": n => { device.memberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "onPremisesLastSyncDateTime": n => { device.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesSyncEnabled": n => { device.onPremisesSyncEnabled = n.getBooleanValue(); }, "operatingSystem": n => { device.operatingSystem = n.getStringValue(); }, "operatingSystemVersion": n => { device.operatingSystemVersion = n.getStringValue(); }, "physicalIds": n => { device.physicalIds = n.getCollectionOfPrimitiveValues(); }, "profileType": n => { device.profileType = n.getStringValue(); }, "registeredOwners": n => { device.registeredOwners = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "registeredUsers": n => { device.registeredUsers = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "registrationDateTime": n => { device.registrationDateTime = n.getDateValue(); }, "systemLabels": n => { device.systemLabels = n.getCollectionOfPrimitiveValues(); }, "transitiveMemberOf": n => { device.transitiveMemberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "trustType": n => { device.trustType = n.getStringValue(); } });
}
exports.deserializeIntoDevice = deserializeIntoDevice;
function serializeDevice(writer, device = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, device);
    writer.writeBooleanValue("accountEnabled", device.accountEnabled);
    writer.writeCollectionOfObjectValues("alternativeSecurityIds", device.alternativeSecurityIds, alternativeSecurityId_1.serializeAlternativeSecurityId);
    writer.writeDateValue("approximateLastSignInDateTime", device.approximateLastSignInDateTime);
    writer.writeDateValue("complianceExpirationDateTime", device.complianceExpirationDateTime);
    writer.writeStringValue("deviceCategory", device.deviceCategory);
    writer.writeStringValue("deviceId", device.deviceId);
    writer.writeStringValue("deviceMetadata", device.deviceMetadata);
    writer.writeStringValue("deviceOwnership", device.deviceOwnership);
    writer.writeNumberValue("deviceVersion", device.deviceVersion);
    writer.writeStringValue("displayName", device.displayName);
    writer.writeStringValue("enrollmentProfileName", device.enrollmentProfileName);
    writer.writeCollectionOfObjectValues("extensions", device.extensions, extension_1.serializeExtension);
    writer.writeBooleanValue("isCompliant", device.isCompliant);
    writer.writeBooleanValue("isManaged", device.isManaged);
    writer.writeStringValue("mdmAppId", device.mdmAppId);
    writer.writeCollectionOfObjectValues("memberOf", device.memberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeDateValue("onPremisesLastSyncDateTime", device.onPremisesLastSyncDateTime);
    writer.writeBooleanValue("onPremisesSyncEnabled", device.onPremisesSyncEnabled);
    writer.writeStringValue("operatingSystem", device.operatingSystem);
    writer.writeStringValue("operatingSystemVersion", device.operatingSystemVersion);
    writer.writeCollectionOfPrimitiveValues("physicalIds", device.physicalIds);
    writer.writeStringValue("profileType", device.profileType);
    writer.writeCollectionOfObjectValues("registeredOwners", device.registeredOwners, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("registeredUsers", device.registeredUsers, directoryObject_1.serializeDirectoryObject);
    writer.writeDateValue("registrationDateTime", device.registrationDateTime);
    writer.writeCollectionOfPrimitiveValues("systemLabels", device.systemLabels);
    writer.writeCollectionOfObjectValues("transitiveMemberOf", device.transitiveMemberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("trustType", device.trustType);
}
exports.serializeDevice = serializeDevice;
// tslint:enable
// eslint-enable
