import { ActionState } from './actionState';
import { deserializeIntoDeleteUserFromSharedAppleDeviceActionResult } from './deleteUserFromSharedAppleDeviceActionResult';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeleteUserFromSharedAppleDeviceActionResult;
export declare function deserializeIntoDeviceActionResult(deviceActionResult?: DeviceActionResult | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceActionResult extends AdditionalDataHolder, Parsable {
    /**
     * Action name
     */
    actionName?: string;
    /**
     * State of the action on the device
     */
    actionState?: ActionState;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Time the action state was last updated
     */
    lastUpdatedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Time the action was initiated
     */
    startDateTime?: Date;
}
export declare function serializeDeviceActionResult(writer: SerializationWriter, deviceActionResult?: DeviceActionResult | undefined): void;
