"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceActionResult = exports.deserializeIntoDeviceActionResult = exports.createDeviceActionResultFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const actionState_1 = require("./actionState");
const deleteUserFromSharedAppleDeviceActionResult_1 = require("./deleteUserFromSharedAppleDeviceActionResult");
const locateDeviceActionResult_1 = require("./locateDeviceActionResult");
const remoteLockActionResult_1 = require("./remoteLockActionResult");
const resetPasscodeActionResult_1 = require("./resetPasscodeActionResult");
const rotateBitLockerKeysDeviceActionResult_1 = require("./rotateBitLockerKeysDeviceActionResult");
const windowsDefenderScanActionResult_1 = require("./windowsDefenderScanActionResult");
function createDeviceActionResultFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.deleteUserFromSharedAppleDeviceActionResult":
                    return deleteUserFromSharedAppleDeviceActionResult_1.deserializeIntoDeleteUserFromSharedAppleDeviceActionResult;
                case "#microsoft.graph.locateDeviceActionResult":
                    return locateDeviceActionResult_1.deserializeIntoLocateDeviceActionResult;
                case "#microsoft.graph.remoteLockActionResult":
                    return remoteLockActionResult_1.deserializeIntoRemoteLockActionResult;
                case "#microsoft.graph.resetPasscodeActionResult":
                    return resetPasscodeActionResult_1.deserializeIntoResetPasscodeActionResult;
                case "#microsoft.graph.rotateBitLockerKeysDeviceActionResult":
                    return rotateBitLockerKeysDeviceActionResult_1.deserializeIntoRotateBitLockerKeysDeviceActionResult;
                case "#microsoft.graph.windowsDefenderScanActionResult":
                    return windowsDefenderScanActionResult_1.deserializeIntoWindowsDefenderScanActionResult;
            }
        }
    }
    return deserializeIntoDeviceActionResult;
}
exports.createDeviceActionResultFromDiscriminatorValue = createDeviceActionResultFromDiscriminatorValue;
function deserializeIntoDeviceActionResult(deviceActionResult = {}) {
    return {
        "actionName": n => { deviceActionResult.actionName = n.getStringValue(); },
        "actionState": n => { deviceActionResult.actionState = n.getEnumValue(actionState_1.ActionState); },
        "lastUpdatedDateTime": n => { deviceActionResult.lastUpdatedDateTime = n.getDateValue(); },
        "@odata.type": n => { deviceActionResult.odataType = n.getStringValue(); },
        "startDateTime": n => { deviceActionResult.startDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoDeviceActionResult = deserializeIntoDeviceActionResult;
function serializeDeviceActionResult(writer, deviceActionResult = {}) {
    writer.writeStringValue("actionName", deviceActionResult.actionName);
    writer.writeEnumValue("actionState", deviceActionResult.actionState);
    writer.writeDateValue("lastUpdatedDateTime", deviceActionResult.lastUpdatedDateTime);
    writer.writeStringValue("@odata.type", deviceActionResult.odataType);
    writer.writeDateValue("startDateTime", deviceActionResult.startDateTime);
    writer.writeAdditionalData(deviceActionResult.additionalData);
}
exports.serializeDeviceActionResult = serializeDeviceActionResult;
// tslint:enable
// eslint-enable
