"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceAppManagement = exports.deserializeIntoDeviceAppManagement = exports.createDeviceAppManagementFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidManagedAppProtection_1 = require("./androidManagedAppProtection");
const defaultManagedAppProtection_1 = require("./defaultManagedAppProtection");
const entity_1 = require("./entity");
const iosManagedAppProtection_1 = require("./iosManagedAppProtection");
const managedAppPolicy_1 = require("./managedAppPolicy");
const managedAppRegistration_1 = require("./managedAppRegistration");
const managedAppStatus_1 = require("./managedAppStatus");
const managedDeviceMobileAppConfiguration_1 = require("./managedDeviceMobileAppConfiguration");
const managedEBook_1 = require("./managedEBook");
const mdmWindowsInformationProtectionPolicy_1 = require("./mdmWindowsInformationProtectionPolicy");
const mobileApp_1 = require("./mobileApp");
const mobileAppCategory_1 = require("./mobileAppCategory");
const targetedManagedAppConfiguration_1 = require("./targetedManagedAppConfiguration");
const vppToken_1 = require("./vppToken");
const windowsInformationProtectionPolicy_1 = require("./windowsInformationProtectionPolicy");
function createDeviceAppManagementFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceAppManagement;
}
exports.createDeviceAppManagementFromDiscriminatorValue = createDeviceAppManagementFromDiscriminatorValue;
function deserializeIntoDeviceAppManagement(deviceAppManagement = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(deviceAppManagement)), { "androidManagedAppProtections": n => { deviceAppManagement.androidManagedAppProtections = n.getCollectionOfObjectValues(androidManagedAppProtection_1.createAndroidManagedAppProtectionFromDiscriminatorValue); }, "defaultManagedAppProtections": n => { deviceAppManagement.defaultManagedAppProtections = n.getCollectionOfObjectValues(defaultManagedAppProtection_1.createDefaultManagedAppProtectionFromDiscriminatorValue); }, "iosManagedAppProtections": n => { deviceAppManagement.iosManagedAppProtections = n.getCollectionOfObjectValues(iosManagedAppProtection_1.createIosManagedAppProtectionFromDiscriminatorValue); }, "isEnabledForMicrosoftStoreForBusiness": n => { deviceAppManagement.isEnabledForMicrosoftStoreForBusiness = n.getBooleanValue(); }, "managedAppPolicies": n => { deviceAppManagement.managedAppPolicies = n.getCollectionOfObjectValues(managedAppPolicy_1.createManagedAppPolicyFromDiscriminatorValue); }, "managedAppRegistrations": n => { deviceAppManagement.managedAppRegistrations = n.getCollectionOfObjectValues(managedAppRegistration_1.createManagedAppRegistrationFromDiscriminatorValue); }, "managedAppStatuses": n => { deviceAppManagement.managedAppStatuses = n.getCollectionOfObjectValues(managedAppStatus_1.createManagedAppStatusFromDiscriminatorValue); }, "managedEBooks": n => { deviceAppManagement.managedEBooks = n.getCollectionOfObjectValues(managedEBook_1.createManagedEBookFromDiscriminatorValue); }, "mdmWindowsInformationProtectionPolicies": n => { deviceAppManagement.mdmWindowsInformationProtectionPolicies = n.getCollectionOfObjectValues(mdmWindowsInformationProtectionPolicy_1.createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue); }, "microsoftStoreForBusinessLanguage": n => { deviceAppManagement.microsoftStoreForBusinessLanguage = n.getStringValue(); }, "microsoftStoreForBusinessLastCompletedApplicationSyncTime": n => { deviceAppManagement.microsoftStoreForBusinessLastCompletedApplicationSyncTime = n.getDateValue(); }, "microsoftStoreForBusinessLastSuccessfulSyncDateTime": n => { deviceAppManagement.microsoftStoreForBusinessLastSuccessfulSyncDateTime = n.getDateValue(); }, "mobileAppCategories": n => { deviceAppManagement.mobileAppCategories = n.getCollectionOfObjectValues(mobileAppCategory_1.createMobileAppCategoryFromDiscriminatorValue); }, "mobileAppConfigurations": n => { deviceAppManagement.mobileAppConfigurations = n.getCollectionOfObjectValues(managedDeviceMobileAppConfiguration_1.createManagedDeviceMobileAppConfigurationFromDiscriminatorValue); }, "mobileApps": n => { deviceAppManagement.mobileApps = n.getCollectionOfObjectValues(mobileApp_1.createMobileAppFromDiscriminatorValue); }, "targetedManagedAppConfigurations": n => { deviceAppManagement.targetedManagedAppConfigurations = n.getCollectionOfObjectValues(targetedManagedAppConfiguration_1.createTargetedManagedAppConfigurationFromDiscriminatorValue); }, "vppTokens": n => { deviceAppManagement.vppTokens = n.getCollectionOfObjectValues(vppToken_1.createVppTokenFromDiscriminatorValue); }, "windowsInformationProtectionPolicies": n => { deviceAppManagement.windowsInformationProtectionPolicies = n.getCollectionOfObjectValues(windowsInformationProtectionPolicy_1.createWindowsInformationProtectionPolicyFromDiscriminatorValue); } });
}
exports.deserializeIntoDeviceAppManagement = deserializeIntoDeviceAppManagement;
function serializeDeviceAppManagement(writer, deviceAppManagement = {}) {
    (0, entity_1.serializeEntity)(writer, deviceAppManagement);
    writer.writeCollectionOfObjectValues("androidManagedAppProtections", deviceAppManagement.androidManagedAppProtections, androidManagedAppProtection_1.serializeAndroidManagedAppProtection);
    writer.writeCollectionOfObjectValues("defaultManagedAppProtections", deviceAppManagement.defaultManagedAppProtections, defaultManagedAppProtection_1.serializeDefaultManagedAppProtection);
    writer.writeCollectionOfObjectValues("iosManagedAppProtections", deviceAppManagement.iosManagedAppProtections, iosManagedAppProtection_1.serializeIosManagedAppProtection);
    writer.writeBooleanValue("isEnabledForMicrosoftStoreForBusiness", deviceAppManagement.isEnabledForMicrosoftStoreForBusiness);
    writer.writeCollectionOfObjectValues("managedAppPolicies", deviceAppManagement.managedAppPolicies, managedAppPolicy_1.serializeManagedAppPolicy);
    writer.writeCollectionOfObjectValues("managedAppRegistrations", deviceAppManagement.managedAppRegistrations, managedAppRegistration_1.serializeManagedAppRegistration);
    writer.writeCollectionOfObjectValues("managedAppStatuses", deviceAppManagement.managedAppStatuses, managedAppStatus_1.serializeManagedAppStatus);
    writer.writeCollectionOfObjectValues("managedEBooks", deviceAppManagement.managedEBooks, managedEBook_1.serializeManagedEBook);
    writer.writeCollectionOfObjectValues("mdmWindowsInformationProtectionPolicies", deviceAppManagement.mdmWindowsInformationProtectionPolicies, mdmWindowsInformationProtectionPolicy_1.serializeMdmWindowsInformationProtectionPolicy);
    writer.writeStringValue("microsoftStoreForBusinessLanguage", deviceAppManagement.microsoftStoreForBusinessLanguage);
    writer.writeDateValue("microsoftStoreForBusinessLastCompletedApplicationSyncTime", deviceAppManagement.microsoftStoreForBusinessLastCompletedApplicationSyncTime);
    writer.writeDateValue("microsoftStoreForBusinessLastSuccessfulSyncDateTime", deviceAppManagement.microsoftStoreForBusinessLastSuccessfulSyncDateTime);
    writer.writeCollectionOfObjectValues("mobileAppCategories", deviceAppManagement.mobileAppCategories, mobileAppCategory_1.serializeMobileAppCategory);
    writer.writeCollectionOfObjectValues("mobileAppConfigurations", deviceAppManagement.mobileAppConfigurations, managedDeviceMobileAppConfiguration_1.serializeManagedDeviceMobileAppConfiguration);
    writer.writeCollectionOfObjectValues("mobileApps", deviceAppManagement.mobileApps, mobileApp_1.serializeMobileApp);
    writer.writeCollectionOfObjectValues("targetedManagedAppConfigurations", deviceAppManagement.targetedManagedAppConfigurations, targetedManagedAppConfiguration_1.serializeTargetedManagedAppConfiguration);
    writer.writeCollectionOfObjectValues("vppTokens", deviceAppManagement.vppTokens, vppToken_1.serializeVppToken);
    writer.writeCollectionOfObjectValues("windowsInformationProtectionPolicies", deviceAppManagement.windowsInformationProtectionPolicies, windowsInformationProtectionPolicy_1.serializeWindowsInformationProtectionPolicy);
}
exports.serializeDeviceAppManagement = serializeDeviceAppManagement;
// tslint:enable
// eslint-enable
