import { DeviceComplianceActionType } from './deviceComplianceActionType';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceActionItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceActionItem;
export declare function deserializeIntoDeviceComplianceActionItem(deviceComplianceActionItem?: DeviceComplianceActionItem | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceActionItem extends Entity, Parsable {
    /**
     * Scheduled Action Type Enum
     */
    actionType?: DeviceComplianceActionType;
    /**
     * Number of hours to wait till the action will be enforced. Valid values 0 to 8760
     */
    gracePeriodHours?: number;
    /**
     * A list of group IDs to speicify who to CC this notification message to.
     */
    notificationMessageCCList?: string[];
    /**
     * What notification Message template to use
     */
    notificationTemplateId?: string;
}
export declare function serializeDeviceComplianceActionItem(writer: SerializationWriter, deviceComplianceActionItem?: DeviceComplianceActionItem | undefined): void;
