import { deserializeIntoAndroidCompliancePolicy } from './androidCompliancePolicy';
import { type DeviceComplianceDeviceOverview } from './deviceComplianceDeviceOverview';
import { type DeviceComplianceDeviceStatus } from './deviceComplianceDeviceStatus';
import { type DeviceCompliancePolicyAssignment } from './deviceCompliancePolicyAssignment';
import { type DeviceComplianceScheduledActionForRule } from './deviceComplianceScheduledActionForRule';
import { type DeviceComplianceUserOverview } from './deviceComplianceUserOverview';
import { type DeviceComplianceUserStatus } from './deviceComplianceUserStatus';
import { type Entity } from './entity';
import { type SettingStateDeviceSummary } from './settingStateDeviceSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidCompliancePolicy;
export declare function deserializeIntoDeviceCompliancePolicy(deviceCompliancePolicy?: DeviceCompliancePolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicy extends Entity, Parsable {
    /**
     * The collection of assignments for this compliance policy.
     */
    assignments?: DeviceCompliancePolicyAssignment[];
    /**
     * DateTime the object was created.
     */
    createdDateTime?: Date;
    /**
     * Admin provided description of the Device Configuration.
     */
    description?: string;
    /**
     * Compliance Setting State Device Summary
     */
    deviceSettingStateSummaries?: SettingStateDeviceSummary[];
    /**
     * List of DeviceComplianceDeviceStatus.
     */
    deviceStatuses?: DeviceComplianceDeviceStatus[];
    /**
     * Device compliance devices status overview
     */
    deviceStatusOverview?: DeviceComplianceDeviceOverview;
    /**
     * Admin provided name of the device configuration.
     */
    displayName?: string;
    /**
     * DateTime the object was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The list of scheduled action per rule for this compliance policy. This is a required property when creating any individual per-platform compliance policies.
     */
    scheduledActionsForRule?: DeviceComplianceScheduledActionForRule[];
    /**
     * List of DeviceComplianceUserStatus.
     */
    userStatuses?: DeviceComplianceUserStatus[];
    /**
     * Device compliance users status overview
     */
    userStatusOverview?: DeviceComplianceUserOverview;
    /**
     * Version of the device configuration.
     */
    version?: number;
}
export declare function serializeDeviceCompliancePolicy(writer: SerializationWriter, deviceCompliancePolicy?: DeviceCompliancePolicy | undefined): void;
