"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceCompliancePolicy = exports.deserializeIntoDeviceCompliancePolicy = exports.createDeviceCompliancePolicyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidCompliancePolicy_1 = require("./androidCompliancePolicy");
const androidWorkProfileCompliancePolicy_1 = require("./androidWorkProfileCompliancePolicy");
const deviceComplianceDeviceOverview_1 = require("./deviceComplianceDeviceOverview");
const deviceComplianceDeviceStatus_1 = require("./deviceComplianceDeviceStatus");
const deviceCompliancePolicyAssignment_1 = require("./deviceCompliancePolicyAssignment");
const deviceComplianceScheduledActionForRule_1 = require("./deviceComplianceScheduledActionForRule");
const deviceComplianceUserOverview_1 = require("./deviceComplianceUserOverview");
const deviceComplianceUserStatus_1 = require("./deviceComplianceUserStatus");
const entity_1 = require("./entity");
const iosCompliancePolicy_1 = require("./iosCompliancePolicy");
const macOSCompliancePolicy_1 = require("./macOSCompliancePolicy");
const settingStateDeviceSummary_1 = require("./settingStateDeviceSummary");
const windows10CompliancePolicy_1 = require("./windows10CompliancePolicy");
const windows10MobileCompliancePolicy_1 = require("./windows10MobileCompliancePolicy");
const windows81CompliancePolicy_1 = require("./windows81CompliancePolicy");
const windowsPhone81CompliancePolicy_1 = require("./windowsPhone81CompliancePolicy");
function createDeviceCompliancePolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidCompliancePolicy":
                    return androidCompliancePolicy_1.deserializeIntoAndroidCompliancePolicy;
                case "#microsoft.graph.androidWorkProfileCompliancePolicy":
                    return androidWorkProfileCompliancePolicy_1.deserializeIntoAndroidWorkProfileCompliancePolicy;
                case "#microsoft.graph.iosCompliancePolicy":
                    return iosCompliancePolicy_1.deserializeIntoIosCompliancePolicy;
                case "#microsoft.graph.macOSCompliancePolicy":
                    return macOSCompliancePolicy_1.deserializeIntoMacOSCompliancePolicy;
                case "#microsoft.graph.windows10CompliancePolicy":
                    return windows10CompliancePolicy_1.deserializeIntoWindows10CompliancePolicy;
                case "#microsoft.graph.windows10MobileCompliancePolicy":
                    return windows10MobileCompliancePolicy_1.deserializeIntoWindows10MobileCompliancePolicy;
                case "#microsoft.graph.windows81CompliancePolicy":
                    return windows81CompliancePolicy_1.deserializeIntoWindows81CompliancePolicy;
                case "#microsoft.graph.windowsPhone81CompliancePolicy":
                    return windowsPhone81CompliancePolicy_1.deserializeIntoWindowsPhone81CompliancePolicy;
            }
        }
    }
    return deserializeIntoDeviceCompliancePolicy;
}
exports.createDeviceCompliancePolicyFromDiscriminatorValue = createDeviceCompliancePolicyFromDiscriminatorValue;
function deserializeIntoDeviceCompliancePolicy(deviceCompliancePolicy = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(deviceCompliancePolicy)), { "assignments": n => { deviceCompliancePolicy.assignments = n.getCollectionOfObjectValues(deviceCompliancePolicyAssignment_1.createDeviceCompliancePolicyAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { deviceCompliancePolicy.createdDateTime = n.getDateValue(); }, "description": n => { deviceCompliancePolicy.description = n.getStringValue(); }, "deviceSettingStateSummaries": n => { deviceCompliancePolicy.deviceSettingStateSummaries = n.getCollectionOfObjectValues(settingStateDeviceSummary_1.createSettingStateDeviceSummaryFromDiscriminatorValue); }, "deviceStatuses": n => { deviceCompliancePolicy.deviceStatuses = n.getCollectionOfObjectValues(deviceComplianceDeviceStatus_1.createDeviceComplianceDeviceStatusFromDiscriminatorValue); }, "deviceStatusOverview": n => { deviceCompliancePolicy.deviceStatusOverview = n.getObjectValue(deviceComplianceDeviceOverview_1.createDeviceComplianceDeviceOverviewFromDiscriminatorValue); }, "displayName": n => { deviceCompliancePolicy.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { deviceCompliancePolicy.lastModifiedDateTime = n.getDateValue(); }, "scheduledActionsForRule": n => { deviceCompliancePolicy.scheduledActionsForRule = n.getCollectionOfObjectValues(deviceComplianceScheduledActionForRule_1.createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue); }, "userStatuses": n => { deviceCompliancePolicy.userStatuses = n.getCollectionOfObjectValues(deviceComplianceUserStatus_1.createDeviceComplianceUserStatusFromDiscriminatorValue); }, "userStatusOverview": n => { deviceCompliancePolicy.userStatusOverview = n.getObjectValue(deviceComplianceUserOverview_1.createDeviceComplianceUserOverviewFromDiscriminatorValue); }, "version": n => { deviceCompliancePolicy.version = n.getNumberValue(); } });
}
exports.deserializeIntoDeviceCompliancePolicy = deserializeIntoDeviceCompliancePolicy;
function serializeDeviceCompliancePolicy(writer, deviceCompliancePolicy = {}) {
    (0, entity_1.serializeEntity)(writer, deviceCompliancePolicy);
    writer.writeCollectionOfObjectValues("assignments", deviceCompliancePolicy.assignments, deviceCompliancePolicyAssignment_1.serializeDeviceCompliancePolicyAssignment);
    writer.writeDateValue("createdDateTime", deviceCompliancePolicy.createdDateTime);
    writer.writeStringValue("description", deviceCompliancePolicy.description);
    writer.writeCollectionOfObjectValues("deviceSettingStateSummaries", deviceCompliancePolicy.deviceSettingStateSummaries, settingStateDeviceSummary_1.serializeSettingStateDeviceSummary);
    writer.writeCollectionOfObjectValues("deviceStatuses", deviceCompliancePolicy.deviceStatuses, deviceComplianceDeviceStatus_1.serializeDeviceComplianceDeviceStatus);
    writer.writeObjectValue("deviceStatusOverview", deviceCompliancePolicy.deviceStatusOverview, deviceComplianceDeviceOverview_1.serializeDeviceComplianceDeviceOverview);
    writer.writeStringValue("displayName", deviceCompliancePolicy.displayName);
    writer.writeDateValue("lastModifiedDateTime", deviceCompliancePolicy.lastModifiedDateTime);
    writer.writeCollectionOfObjectValues("scheduledActionsForRule", deviceCompliancePolicy.scheduledActionsForRule, deviceComplianceScheduledActionForRule_1.serializeDeviceComplianceScheduledActionForRule);
    writer.writeCollectionOfObjectValues("userStatuses", deviceCompliancePolicy.userStatuses, deviceComplianceUserStatus_1.serializeDeviceComplianceUserStatus);
    writer.writeObjectValue("userStatusOverview", deviceCompliancePolicy.userStatusOverview, deviceComplianceUserOverview_1.serializeDeviceComplianceUserOverview);
    writer.writeNumberValue("version", deviceCompliancePolicy.version);
}
exports.serializeDeviceCompliancePolicy = serializeDeviceCompliancePolicy;
// tslint:enable
// eslint-enable
