import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyDeviceStateSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicyDeviceStateSummary;
export declare function deserializeIntoDeviceCompliancePolicyDeviceStateSummary(deviceCompliancePolicyDeviceStateSummary?: DeviceCompliancePolicyDeviceStateSummary | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicyDeviceStateSummary extends Entity, Parsable {
    /**
     * Number of compliant devices
     */
    compliantDeviceCount?: number;
    /**
     * Number of devices that have compliance managed by System Center Configuration Manager
     */
    configManagerCount?: number;
    /**
     * Number of conflict devices
     */
    conflictDeviceCount?: number;
    /**
     * Number of error devices
     */
    errorDeviceCount?: number;
    /**
     * Number of devices that are in grace period
     */
    inGracePeriodCount?: number;
    /**
     * Number of NonCompliant devices
     */
    nonCompliantDeviceCount?: number;
    /**
     * Number of not applicable devices
     */
    notApplicableDeviceCount?: number;
    /**
     * Number of remediated devices
     */
    remediatedDeviceCount?: number;
    /**
     * Number of unknown devices
     */
    unknownDeviceCount?: number;
}
export declare function serializeDeviceCompliancePolicyDeviceStateSummary(writer: SerializationWriter, deviceCompliancePolicyDeviceStateSummary?: DeviceCompliancePolicyDeviceStateSummary | undefined): void;
