import { type DeviceComplianceSettingState } from './deviceComplianceSettingState';
import { type Entity } from './entity';
import { PolicyPlatformType } from './policyPlatformType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicySettingStateSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicySettingStateSummary;
export declare function deserializeIntoDeviceCompliancePolicySettingStateSummary(deviceCompliancePolicySettingStateSummary?: DeviceCompliancePolicySettingStateSummary | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicySettingStateSummary extends Entity, Parsable {
    /**
     * Number of compliant devices
     */
    compliantDeviceCount?: number;
    /**
     * Number of conflict devices
     */
    conflictDeviceCount?: number;
    /**
     * Not yet documented
     */
    deviceComplianceSettingStates?: DeviceComplianceSettingState[];
    /**
     * Number of error devices
     */
    errorDeviceCount?: number;
    /**
     * Number of NonCompliant devices
     */
    nonCompliantDeviceCount?: number;
    /**
     * Number of not applicable devices
     */
    notApplicableDeviceCount?: number;
    /**
     * Supported platform types for policies.
     */
    platformType?: PolicyPlatformType;
    /**
     * Number of remediated devices
     */
    remediatedDeviceCount?: number;
    /**
     * The setting class name and property name.
     */
    setting?: string;
    /**
     * Name of the setting.
     */
    settingName?: string;
    /**
     * Number of unknown devices
     */
    unknownDeviceCount?: number;
}
export declare function serializeDeviceCompliancePolicySettingStateSummary(writer: SerializationWriter, deviceCompliancePolicySettingStateSummary?: DeviceCompliancePolicySettingStateSummary | undefined): void;
