import { ComplianceStatus } from './complianceStatus';
import { type DeviceCompliancePolicySettingState } from './deviceCompliancePolicySettingState';
import { type Entity } from './entity';
import { PolicyPlatformType } from './policyPlatformType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicyState;
export declare function deserializeIntoDeviceCompliancePolicyState(deviceCompliancePolicyState?: DeviceCompliancePolicyState | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicyState extends Entity, Parsable {
    /**
     * The name of the policy for this policyBase
     */
    displayName?: string;
    /**
     * Supported platform types for policies.
     */
    platformType?: PolicyPlatformType;
    /**
     * Count of how many setting a policy holds
     */
    settingCount?: number;
    /**
     * The settingStates property
     */
    settingStates?: DeviceCompliancePolicySettingState[];
    /**
     * The state property
     */
    state?: ComplianceStatus;
    /**
     * The version of the policy
     */
    version?: number;
}
export declare function serializeDeviceCompliancePolicyState(writer: SerializationWriter, deviceCompliancePolicyState?: DeviceCompliancePolicyState | undefined): void;
