import { type DeviceComplianceActionItem } from './deviceComplianceActionItem';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceScheduledActionForRule;
export declare function deserializeIntoDeviceComplianceScheduledActionForRule(deviceComplianceScheduledActionForRule?: DeviceComplianceScheduledActionForRule | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceScheduledActionForRule extends Entity, Parsable {
    /**
     * Name of the rule which this scheduled action applies to. Currently scheduled actions are created per policy instead of per rule, thus RuleName is always set to default value PasswordRequired.
     */
    ruleName?: string;
    /**
     * The list of scheduled action configurations for this compliance policy. Compliance policy must have one and only one block scheduled action.
     */
    scheduledActionConfigurations?: DeviceComplianceActionItem[];
}
export declare function serializeDeviceComplianceScheduledActionForRule(writer: SerializationWriter, deviceComplianceScheduledActionForRule?: DeviceComplianceScheduledActionForRule | undefined): void;
