import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceUserOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceUserOverview;
export declare function deserializeIntoDeviceComplianceUserOverview(deviceComplianceUserOverview?: DeviceComplianceUserOverview | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceUserOverview extends Entity, Parsable {
    /**
     * Version of the policy for that overview
     */
    configurationVersion?: number;
    /**
     * Number of error Users
     */
    errorCount?: number;
    /**
     * Number of failed Users
     */
    failedCount?: number;
    /**
     * Last update time
     */
    lastUpdateDateTime?: Date;
    /**
     * Number of not applicable users
     */
    notApplicableCount?: number;
    /**
     * Number of pending Users
     */
    pendingCount?: number;
    /**
     * Number of succeeded Users
     */
    successCount?: number;
}
export declare function serializeDeviceComplianceUserOverview(writer: SerializationWriter, deviceComplianceUserOverview?: DeviceComplianceUserOverview | undefined): void;
