import { ComplianceStatus } from './complianceStatus';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceUserStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceUserStatus;
export declare function deserializeIntoDeviceComplianceUserStatus(deviceComplianceUserStatus?: DeviceComplianceUserStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceUserStatus extends Entity, Parsable {
    /**
     * Devices count for that user.
     */
    devicesCount?: number;
    /**
     * Last modified date time of the policy report.
     */
    lastReportedDateTime?: Date;
    /**
     * The status property
     */
    status?: ComplianceStatus;
    /**
     * User name of the DevicePolicyStatus.
     */
    userDisplayName?: string;
    /**
     * UserPrincipalName.
     */
    userPrincipalName?: string;
}
export declare function serializeDeviceComplianceUserStatus(writer: SerializationWriter, deviceComplianceUserStatus?: DeviceComplianceUserStatus | undefined): void;
