import { deserializeIntoAndroidCustomConfiguration } from './androidCustomConfiguration';
import { deserializeIntoAndroidGeneralDeviceConfiguration } from './androidGeneralDeviceConfiguration';
import { deserializeIntoAndroidWorkProfileGeneralDeviceConfiguration } from './androidWorkProfileGeneralDeviceConfiguration';
import { type DeviceConfigurationAssignment } from './deviceConfigurationAssignment';
import { type DeviceConfigurationDeviceOverview } from './deviceConfigurationDeviceOverview';
import { type DeviceConfigurationDeviceStatus } from './deviceConfigurationDeviceStatus';
import { type DeviceConfigurationUserOverview } from './deviceConfigurationUserOverview';
import { type DeviceConfigurationUserStatus } from './deviceConfigurationUserStatus';
import { type Entity } from './entity';
import { type SettingStateDeviceSummary } from './settingStateDeviceSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidCustomConfiguration | typeof deserializeIntoAndroidGeneralDeviceConfiguration | typeof deserializeIntoAndroidWorkProfileGeneralDeviceConfiguration;
export declare function deserializeIntoDeviceConfiguration(deviceConfiguration?: DeviceConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfiguration extends Entity, Parsable {
    /**
     * The list of assignments for the device configuration profile.
     */
    assignments?: DeviceConfigurationAssignment[];
    /**
     * DateTime the object was created.
     */
    createdDateTime?: Date;
    /**
     * Admin provided description of the Device Configuration.
     */
    description?: string;
    /**
     * Device Configuration Setting State Device Summary
     */
    deviceSettingStateSummaries?: SettingStateDeviceSummary[];
    /**
     * Device configuration installation status by device.
     */
    deviceStatuses?: DeviceConfigurationDeviceStatus[];
    /**
     * Device Configuration devices status overview
     */
    deviceStatusOverview?: DeviceConfigurationDeviceOverview;
    /**
     * Admin provided name of the device configuration.
     */
    displayName?: string;
    /**
     * DateTime the object was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * Device configuration installation status by user.
     */
    userStatuses?: DeviceConfigurationUserStatus[];
    /**
     * Device Configuration users status overview
     */
    userStatusOverview?: DeviceConfigurationUserOverview;
    /**
     * Version of the device configuration.
     */
    version?: number;
}
export declare function serializeDeviceConfiguration(writer: SerializationWriter, deviceConfiguration?: DeviceConfiguration | undefined): void;
