"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceConfiguration = exports.deserializeIntoDeviceConfiguration = exports.createDeviceConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidCustomConfiguration_1 = require("./androidCustomConfiguration");
const androidGeneralDeviceConfiguration_1 = require("./androidGeneralDeviceConfiguration");
const androidWorkProfileCustomConfiguration_1 = require("./androidWorkProfileCustomConfiguration");
const androidWorkProfileGeneralDeviceConfiguration_1 = require("./androidWorkProfileGeneralDeviceConfiguration");
const appleDeviceFeaturesConfigurationBase_1 = require("./appleDeviceFeaturesConfigurationBase");
const deviceConfigurationAssignment_1 = require("./deviceConfigurationAssignment");
const deviceConfigurationDeviceOverview_1 = require("./deviceConfigurationDeviceOverview");
const deviceConfigurationDeviceStatus_1 = require("./deviceConfigurationDeviceStatus");
const deviceConfigurationUserOverview_1 = require("./deviceConfigurationUserOverview");
const deviceConfigurationUserStatus_1 = require("./deviceConfigurationUserStatus");
const editionUpgradeConfiguration_1 = require("./editionUpgradeConfiguration");
const entity_1 = require("./entity");
const iosCertificateProfile_1 = require("./iosCertificateProfile");
const iosCustomConfiguration_1 = require("./iosCustomConfiguration");
const iosDeviceFeaturesConfiguration_1 = require("./iosDeviceFeaturesConfiguration");
const iosGeneralDeviceConfiguration_1 = require("./iosGeneralDeviceConfiguration");
const iosUpdateConfiguration_1 = require("./iosUpdateConfiguration");
const macOSCustomConfiguration_1 = require("./macOSCustomConfiguration");
const macOSDeviceFeaturesConfiguration_1 = require("./macOSDeviceFeaturesConfiguration");
const macOSGeneralDeviceConfiguration_1 = require("./macOSGeneralDeviceConfiguration");
const settingStateDeviceSummary_1 = require("./settingStateDeviceSummary");
const sharedPCConfiguration_1 = require("./sharedPCConfiguration");
const windows10CustomConfiguration_1 = require("./windows10CustomConfiguration");
const windows10EndpointProtectionConfiguration_1 = require("./windows10EndpointProtectionConfiguration");
const windows10EnterpriseModernAppManagementConfiguration_1 = require("./windows10EnterpriseModernAppManagementConfiguration");
const windows10GeneralConfiguration_1 = require("./windows10GeneralConfiguration");
const windows10SecureAssessmentConfiguration_1 = require("./windows10SecureAssessmentConfiguration");
const windows10TeamGeneralConfiguration_1 = require("./windows10TeamGeneralConfiguration");
const windows81GeneralConfiguration_1 = require("./windows81GeneralConfiguration");
const windowsDefenderAdvancedThreatProtectionConfiguration_1 = require("./windowsDefenderAdvancedThreatProtectionConfiguration");
const windowsPhone81CustomConfiguration_1 = require("./windowsPhone81CustomConfiguration");
const windowsPhone81GeneralConfiguration_1 = require("./windowsPhone81GeneralConfiguration");
const windowsUpdateForBusinessConfiguration_1 = require("./windowsUpdateForBusinessConfiguration");
function createDeviceConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidCustomConfiguration":
                    return androidCustomConfiguration_1.deserializeIntoAndroidCustomConfiguration;
                case "#microsoft.graph.androidGeneralDeviceConfiguration":
                    return androidGeneralDeviceConfiguration_1.deserializeIntoAndroidGeneralDeviceConfiguration;
                case "#microsoft.graph.androidWorkProfileCustomConfiguration":
                    return androidWorkProfileCustomConfiguration_1.deserializeIntoAndroidWorkProfileCustomConfiguration;
                case "#microsoft.graph.androidWorkProfileGeneralDeviceConfiguration":
                    return androidWorkProfileGeneralDeviceConfiguration_1.deserializeIntoAndroidWorkProfileGeneralDeviceConfiguration;
                case "#microsoft.graph.appleDeviceFeaturesConfigurationBase":
                    return appleDeviceFeaturesConfigurationBase_1.deserializeIntoAppleDeviceFeaturesConfigurationBase;
                case "#microsoft.graph.editionUpgradeConfiguration":
                    return editionUpgradeConfiguration_1.deserializeIntoEditionUpgradeConfiguration;
                case "#microsoft.graph.iosCertificateProfile":
                    return iosCertificateProfile_1.deserializeIntoIosCertificateProfile;
                case "#microsoft.graph.iosCustomConfiguration":
                    return iosCustomConfiguration_1.deserializeIntoIosCustomConfiguration;
                case "#microsoft.graph.iosDeviceFeaturesConfiguration":
                    return iosDeviceFeaturesConfiguration_1.deserializeIntoIosDeviceFeaturesConfiguration;
                case "#microsoft.graph.iosGeneralDeviceConfiguration":
                    return iosGeneralDeviceConfiguration_1.deserializeIntoIosGeneralDeviceConfiguration;
                case "#microsoft.graph.iosUpdateConfiguration":
                    return iosUpdateConfiguration_1.deserializeIntoIosUpdateConfiguration;
                case "#microsoft.graph.macOSCustomConfiguration":
                    return macOSCustomConfiguration_1.deserializeIntoMacOSCustomConfiguration;
                case "#microsoft.graph.macOSDeviceFeaturesConfiguration":
                    return macOSDeviceFeaturesConfiguration_1.deserializeIntoMacOSDeviceFeaturesConfiguration;
                case "#microsoft.graph.macOSGeneralDeviceConfiguration":
                    return macOSGeneralDeviceConfiguration_1.deserializeIntoMacOSGeneralDeviceConfiguration;
                case "#microsoft.graph.sharedPCConfiguration":
                    return sharedPCConfiguration_1.deserializeIntoSharedPCConfiguration;
                case "#microsoft.graph.windows10CustomConfiguration":
                    return windows10CustomConfiguration_1.deserializeIntoWindows10CustomConfiguration;
                case "#microsoft.graph.windows10EndpointProtectionConfiguration":
                    return windows10EndpointProtectionConfiguration_1.deserializeIntoWindows10EndpointProtectionConfiguration;
                case "#microsoft.graph.windows10EnterpriseModernAppManagementConfiguration":
                    return windows10EnterpriseModernAppManagementConfiguration_1.deserializeIntoWindows10EnterpriseModernAppManagementConfiguration;
                case "#microsoft.graph.windows10GeneralConfiguration":
                    return windows10GeneralConfiguration_1.deserializeIntoWindows10GeneralConfiguration;
                case "#microsoft.graph.windows10SecureAssessmentConfiguration":
                    return windows10SecureAssessmentConfiguration_1.deserializeIntoWindows10SecureAssessmentConfiguration;
                case "#microsoft.graph.windows10TeamGeneralConfiguration":
                    return windows10TeamGeneralConfiguration_1.deserializeIntoWindows10TeamGeneralConfiguration;
                case "#microsoft.graph.windows81GeneralConfiguration":
                    return windows81GeneralConfiguration_1.deserializeIntoWindows81GeneralConfiguration;
                case "#microsoft.graph.windowsDefenderAdvancedThreatProtectionConfiguration":
                    return windowsDefenderAdvancedThreatProtectionConfiguration_1.deserializeIntoWindowsDefenderAdvancedThreatProtectionConfiguration;
                case "#microsoft.graph.windowsPhone81CustomConfiguration":
                    return windowsPhone81CustomConfiguration_1.deserializeIntoWindowsPhone81CustomConfiguration;
                case "#microsoft.graph.windowsPhone81GeneralConfiguration":
                    return windowsPhone81GeneralConfiguration_1.deserializeIntoWindowsPhone81GeneralConfiguration;
                case "#microsoft.graph.windowsUpdateForBusinessConfiguration":
                    return windowsUpdateForBusinessConfiguration_1.deserializeIntoWindowsUpdateForBusinessConfiguration;
            }
        }
    }
    return deserializeIntoDeviceConfiguration;
}
exports.createDeviceConfigurationFromDiscriminatorValue = createDeviceConfigurationFromDiscriminatorValue;
function deserializeIntoDeviceConfiguration(deviceConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(deviceConfiguration)), { "assignments": n => { deviceConfiguration.assignments = n.getCollectionOfObjectValues(deviceConfigurationAssignment_1.createDeviceConfigurationAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { deviceConfiguration.createdDateTime = n.getDateValue(); }, "description": n => { deviceConfiguration.description = n.getStringValue(); }, "deviceSettingStateSummaries": n => { deviceConfiguration.deviceSettingStateSummaries = n.getCollectionOfObjectValues(settingStateDeviceSummary_1.createSettingStateDeviceSummaryFromDiscriminatorValue); }, "deviceStatuses": n => { deviceConfiguration.deviceStatuses = n.getCollectionOfObjectValues(deviceConfigurationDeviceStatus_1.createDeviceConfigurationDeviceStatusFromDiscriminatorValue); }, "deviceStatusOverview": n => { deviceConfiguration.deviceStatusOverview = n.getObjectValue(deviceConfigurationDeviceOverview_1.createDeviceConfigurationDeviceOverviewFromDiscriminatorValue); }, "displayName": n => { deviceConfiguration.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { deviceConfiguration.lastModifiedDateTime = n.getDateValue(); }, "userStatuses": n => { deviceConfiguration.userStatuses = n.getCollectionOfObjectValues(deviceConfigurationUserStatus_1.createDeviceConfigurationUserStatusFromDiscriminatorValue); }, "userStatusOverview": n => { deviceConfiguration.userStatusOverview = n.getObjectValue(deviceConfigurationUserOverview_1.createDeviceConfigurationUserOverviewFromDiscriminatorValue); }, "version": n => { deviceConfiguration.version = n.getNumberValue(); } });
}
exports.deserializeIntoDeviceConfiguration = deserializeIntoDeviceConfiguration;
function serializeDeviceConfiguration(writer, deviceConfiguration = {}) {
    (0, entity_1.serializeEntity)(writer, deviceConfiguration);
    writer.writeCollectionOfObjectValues("assignments", deviceConfiguration.assignments, deviceConfigurationAssignment_1.serializeDeviceConfigurationAssignment);
    writer.writeDateValue("createdDateTime", deviceConfiguration.createdDateTime);
    writer.writeStringValue("description", deviceConfiguration.description);
    writer.writeCollectionOfObjectValues("deviceSettingStateSummaries", deviceConfiguration.deviceSettingStateSummaries, settingStateDeviceSummary_1.serializeSettingStateDeviceSummary);
    writer.writeCollectionOfObjectValues("deviceStatuses", deviceConfiguration.deviceStatuses, deviceConfigurationDeviceStatus_1.serializeDeviceConfigurationDeviceStatus);
    writer.writeObjectValue("deviceStatusOverview", deviceConfiguration.deviceStatusOverview, deviceConfigurationDeviceOverview_1.serializeDeviceConfigurationDeviceOverview);
    writer.writeStringValue("displayName", deviceConfiguration.displayName);
    writer.writeDateValue("lastModifiedDateTime", deviceConfiguration.lastModifiedDateTime);
    writer.writeCollectionOfObjectValues("userStatuses", deviceConfiguration.userStatuses, deviceConfigurationUserStatus_1.serializeDeviceConfigurationUserStatus);
    writer.writeObjectValue("userStatusOverview", deviceConfiguration.userStatusOverview, deviceConfigurationUserOverview_1.serializeDeviceConfigurationUserOverview);
    writer.writeNumberValue("version", deviceConfiguration.version);
}
exports.serializeDeviceConfiguration = serializeDeviceConfiguration;
// tslint:enable
// eslint-enable
