import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationDeviceOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationDeviceOverview;
export declare function deserializeIntoDeviceConfigurationDeviceOverview(deviceConfigurationDeviceOverview?: DeviceConfigurationDeviceOverview | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationDeviceOverview extends Entity, Parsable {
    /**
     * Version of the policy for that overview
     */
    configurationVersion?: number;
    /**
     * Number of error devices
     */
    errorCount?: number;
    /**
     * Number of failed devices
     */
    failedCount?: number;
    /**
     * Last update time
     */
    lastUpdateDateTime?: Date;
    /**
     * Number of not applicable devices
     */
    notApplicableCount?: number;
    /**
     * Number of pending devices
     */
    pendingCount?: number;
    /**
     * Number of succeeded devices
     */
    successCount?: number;
}
export declare function serializeDeviceConfigurationDeviceOverview(writer: SerializationWriter, deviceConfigurationDeviceOverview?: DeviceConfigurationDeviceOverview | undefined): void;
