import { ComplianceStatus } from './complianceStatus';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationDeviceStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationDeviceStatus;
export declare function deserializeIntoDeviceConfigurationDeviceStatus(deviceConfigurationDeviceStatus?: DeviceConfigurationDeviceStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationDeviceStatus extends Entity, Parsable {
    /**
     * The DateTime when device compliance grace period expires
     */
    complianceGracePeriodExpirationDateTime?: Date;
    /**
     * Device name of the DevicePolicyStatus.
     */
    deviceDisplayName?: string;
    /**
     * The device model that is being reported
     */
    deviceModel?: string;
    /**
     * Last modified date time of the policy report.
     */
    lastReportedDateTime?: Date;
    /**
     * The status property
     */
    status?: ComplianceStatus;
    /**
     * The User Name that is being reported
     */
    userName?: string;
    /**
     * UserPrincipalName.
     */
    userPrincipalName?: string;
}
export declare function serializeDeviceConfigurationDeviceStatus(writer: SerializationWriter, deviceConfigurationDeviceStatus?: DeviceConfigurationDeviceStatus | undefined): void;
