import { ComplianceStatus } from './complianceStatus';
import { type SettingSource } from './settingSource';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationSettingStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationSettingState;
export declare function deserializeIntoDeviceConfigurationSettingState(deviceConfigurationSettingState?: DeviceConfigurationSettingState | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationSettingState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Current value of setting on device
     */
    currentValue?: string;
    /**
     * Error code for the setting
     */
    errorCode?: number;
    /**
     * Error description
     */
    errorDescription?: string;
    /**
     * Name of setting instance that is being reported.
     */
    instanceDisplayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The setting that is being reported
     */
    setting?: string;
    /**
     * Localized/user friendly setting name that is being reported
     */
    settingName?: string;
    /**
     * Contributing policies
     */
    sources?: SettingSource[];
    /**
     * The state property
     */
    state?: ComplianceStatus;
    /**
     * UserEmail
     */
    userEmail?: string;
    /**
     * UserId
     */
    userId?: string;
    /**
     * UserName
     */
    userName?: string;
    /**
     * UserPrincipalName.
     */
    userPrincipalName?: string;
}
export declare function serializeDeviceConfigurationSettingState(writer: SerializationWriter, deviceConfigurationSettingState?: DeviceConfigurationSettingState | undefined): void;
