import { ComplianceStatus } from './complianceStatus';
import { type DeviceConfigurationSettingState } from './deviceConfigurationSettingState';
import { type Entity } from './entity';
import { PolicyPlatformType } from './policyPlatformType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationState;
export declare function deserializeIntoDeviceConfigurationState(deviceConfigurationState?: DeviceConfigurationState | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationState extends Entity, Parsable {
    /**
     * The name of the policy for this policyBase
     */
    displayName?: string;
    /**
     * Supported platform types for policies.
     */
    platformType?: PolicyPlatformType;
    /**
     * Count of how many setting a policy holds
     */
    settingCount?: number;
    /**
     * The settingStates property
     */
    settingStates?: DeviceConfigurationSettingState[];
    /**
     * The state property
     */
    state?: ComplianceStatus;
    /**
     * The version of the policy
     */
    version?: number;
}
export declare function serializeDeviceConfigurationState(writer: SerializationWriter, deviceConfigurationState?: DeviceConfigurationState | undefined): void;
