import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationUserOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationUserOverview;
export declare function deserializeIntoDeviceConfigurationUserOverview(deviceConfigurationUserOverview?: DeviceConfigurationUserOverview | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationUserOverview extends Entity, Parsable {
    /**
     * Version of the policy for that overview
     */
    configurationVersion?: number;
    /**
     * Number of error Users
     */
    errorCount?: number;
    /**
     * Number of failed Users
     */
    failedCount?: number;
    /**
     * Last update time
     */
    lastUpdateDateTime?: Date;
    /**
     * Number of not applicable users
     */
    notApplicableCount?: number;
    /**
     * Number of pending Users
     */
    pendingCount?: number;
    /**
     * Number of succeeded Users
     */
    successCount?: number;
}
export declare function serializeDeviceConfigurationUserOverview(writer: SerializationWriter, deviceConfigurationUserOverview?: DeviceConfigurationUserOverview | undefined): void;
