import { ComplianceStatus } from './complianceStatus';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationUserStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationUserStatus;
export declare function deserializeIntoDeviceConfigurationUserStatus(deviceConfigurationUserStatus?: DeviceConfigurationUserStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationUserStatus extends Entity, Parsable {
    /**
     * Devices count for that user.
     */
    devicesCount?: number;
    /**
     * Last modified date time of the policy report.
     */
    lastReportedDateTime?: Date;
    /**
     * The status property
     */
    status?: ComplianceStatus;
    /**
     * User name of the DevicePolicyStatus.
     */
    userDisplayName?: string;
    /**
     * UserPrincipalName.
     */
    userPrincipalName?: string;
}
export declare function serializeDeviceConfigurationUserStatus(writer: SerializationWriter, deviceConfigurationUserStatus?: DeviceConfigurationUserStatus | undefined): void;
