"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceDetail = exports.deserializeIntoDeviceDetail = exports.createDeviceDetailFromDiscriminatorValue = void 0;
function createDeviceDetailFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceDetail;
}
exports.createDeviceDetailFromDiscriminatorValue = createDeviceDetailFromDiscriminatorValue;
function deserializeIntoDeviceDetail(deviceDetail = {}) {
    return {
        "browser": n => { deviceDetail.browser = n.getStringValue(); },
        "deviceId": n => { deviceDetail.deviceId = n.getStringValue(); },
        "displayName": n => { deviceDetail.displayName = n.getStringValue(); },
        "isCompliant": n => { deviceDetail.isCompliant = n.getBooleanValue(); },
        "isManaged": n => { deviceDetail.isManaged = n.getBooleanValue(); },
        "@odata.type": n => { deviceDetail.odataType = n.getStringValue(); },
        "operatingSystem": n => { deviceDetail.operatingSystem = n.getStringValue(); },
        "trustType": n => { deviceDetail.trustType = n.getStringValue(); },
    };
}
exports.deserializeIntoDeviceDetail = deserializeIntoDeviceDetail;
function serializeDeviceDetail(writer, deviceDetail = {}) {
    writer.writeStringValue("browser", deviceDetail.browser);
    writer.writeStringValue("deviceId", deviceDetail.deviceId);
    writer.writeStringValue("displayName", deviceDetail.displayName);
    writer.writeBooleanValue("isCompliant", deviceDetail.isCompliant);
    writer.writeBooleanValue("isManaged", deviceDetail.isManaged);
    writer.writeStringValue("@odata.type", deviceDetail.odataType);
    writer.writeStringValue("operatingSystem", deviceDetail.operatingSystem);
    writer.writeStringValue("trustType", deviceDetail.trustType);
    writer.writeAdditionalData(deviceDetail.additionalData);
}
exports.serializeDeviceDetail = serializeDeviceDetail;
// tslint:enable
// eslint-enable
