import { type EnrollmentConfigurationAssignment } from './enrollmentConfigurationAssignment';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceEnrollmentConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceEnrollmentConfiguration;
export declare function deserializeIntoDeviceEnrollmentConfiguration(deviceEnrollmentConfiguration?: DeviceEnrollmentConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceEnrollmentConfiguration extends Entity, Parsable {
    /**
     * The list of group assignments for the device configuration profile
     */
    assignments?: EnrollmentConfigurationAssignment[];
    /**
     * Created date time in UTC of the device enrollment configuration
     */
    createdDateTime?: Date;
    /**
     * The description of the device enrollment configuration
     */
    description?: string;
    /**
     * The display name of the device enrollment configuration
     */
    displayName?: string;
    /**
     * Last modified date time in UTC of the device enrollment configuration
     */
    lastModifiedDateTime?: Date;
    /**
     * Priority is used when a user exists in multiple groups that are assigned enrollment configuration. Users are subject only to the configuration with the lowest priority value.
     */
    priority?: number;
    /**
     * The version of the device enrollment configuration
     */
    version?: number;
}
export declare function serializeDeviceEnrollmentConfiguration(writer: SerializationWriter, deviceEnrollmentConfiguration?: DeviceEnrollmentConfiguration | undefined): void;
