"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceEnrollmentConfiguration = exports.deserializeIntoDeviceEnrollmentConfiguration = exports.createDeviceEnrollmentConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceEnrollmentLimitConfiguration_1 = require("./deviceEnrollmentLimitConfiguration");
const deviceEnrollmentPlatformRestrictionsConfiguration_1 = require("./deviceEnrollmentPlatformRestrictionsConfiguration");
const deviceEnrollmentWindowsHelloForBusinessConfiguration_1 = require("./deviceEnrollmentWindowsHelloForBusinessConfiguration");
const enrollmentConfigurationAssignment_1 = require("./enrollmentConfigurationAssignment");
const entity_1 = require("./entity");
function createDeviceEnrollmentConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.deviceEnrollmentLimitConfiguration":
                    return deviceEnrollmentLimitConfiguration_1.deserializeIntoDeviceEnrollmentLimitConfiguration;
                case "#microsoft.graph.deviceEnrollmentPlatformRestrictionsConfiguration":
                    return deviceEnrollmentPlatformRestrictionsConfiguration_1.deserializeIntoDeviceEnrollmentPlatformRestrictionsConfiguration;
                case "#microsoft.graph.deviceEnrollmentWindowsHelloForBusinessConfiguration":
                    return deviceEnrollmentWindowsHelloForBusinessConfiguration_1.deserializeIntoDeviceEnrollmentWindowsHelloForBusinessConfiguration;
            }
        }
    }
    return deserializeIntoDeviceEnrollmentConfiguration;
}
exports.createDeviceEnrollmentConfigurationFromDiscriminatorValue = createDeviceEnrollmentConfigurationFromDiscriminatorValue;
function deserializeIntoDeviceEnrollmentConfiguration(deviceEnrollmentConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(deviceEnrollmentConfiguration)), { "assignments": n => { deviceEnrollmentConfiguration.assignments = n.getCollectionOfObjectValues(enrollmentConfigurationAssignment_1.createEnrollmentConfigurationAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { deviceEnrollmentConfiguration.createdDateTime = n.getDateValue(); }, "description": n => { deviceEnrollmentConfiguration.description = n.getStringValue(); }, "displayName": n => { deviceEnrollmentConfiguration.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { deviceEnrollmentConfiguration.lastModifiedDateTime = n.getDateValue(); }, "priority": n => { deviceEnrollmentConfiguration.priority = n.getNumberValue(); }, "version": n => { deviceEnrollmentConfiguration.version = n.getNumberValue(); } });
}
exports.deserializeIntoDeviceEnrollmentConfiguration = deserializeIntoDeviceEnrollmentConfiguration;
function serializeDeviceEnrollmentConfiguration(writer, deviceEnrollmentConfiguration = {}) {
    (0, entity_1.serializeEntity)(writer, deviceEnrollmentConfiguration);
    writer.writeCollectionOfObjectValues("assignments", deviceEnrollmentConfiguration.assignments, enrollmentConfigurationAssignment_1.serializeEnrollmentConfigurationAssignment);
    writer.writeDateValue("createdDateTime", deviceEnrollmentConfiguration.createdDateTime);
    writer.writeStringValue("description", deviceEnrollmentConfiguration.description);
    writer.writeStringValue("displayName", deviceEnrollmentConfiguration.displayName);
    writer.writeDateValue("lastModifiedDateTime", deviceEnrollmentConfiguration.lastModifiedDateTime);
    writer.writeNumberValue("priority", deviceEnrollmentConfiguration.priority);
    writer.writeNumberValue("version", deviceEnrollmentConfiguration.version);
}
exports.serializeDeviceEnrollmentConfiguration = serializeDeviceEnrollmentConfiguration;
// tslint:enable
// eslint-enable
