"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceEnrollmentFailureReason = void 0;
/**
 * Top level failure categories for enrollment.
 */
var DeviceEnrollmentFailureReason;
(function (DeviceEnrollmentFailureReason) {
    /** Default value, failure reason is unknown. */
    DeviceEnrollmentFailureReason["Unknown"] = "unknown";
    /** Authentication failed */
    DeviceEnrollmentFailureReason["Authentication"] = "authentication";
    /** Call was authenticated, but not authorized to enroll. */
    DeviceEnrollmentFailureReason["Authorization"] = "authorization";
    /** Failed to validate the account for enrollment. (Account blocked, enrollment not enabled) */
    DeviceEnrollmentFailureReason["AccountValidation"] = "accountValidation";
    /** User could not be validated. (User does not exist, missing license) */
    DeviceEnrollmentFailureReason["UserValidation"] = "userValidation";
    /** Device is not supported for mobile device management. */
    DeviceEnrollmentFailureReason["DeviceNotSupported"] = "deviceNotSupported";
    /** Account is in maintenance. */
    DeviceEnrollmentFailureReason["InMaintenance"] = "inMaintenance";
    /** Client sent a request that is not understood/supported by the service. */
    DeviceEnrollmentFailureReason["BadRequest"] = "badRequest";
    /** Feature(s) used by this enrollment are not supported for this account. */
    DeviceEnrollmentFailureReason["FeatureNotSupported"] = "featureNotSupported";
    /** Enrollment restrictions configured by admin blocked this enrollment. */
    DeviceEnrollmentFailureReason["EnrollmentRestrictionsEnforced"] = "enrollmentRestrictionsEnforced";
    /** Client timed out or enrollment was aborted by enduser. */
    DeviceEnrollmentFailureReason["ClientDisconnected"] = "clientDisconnected";
    /** Enrollment was abandoned by enduser. (Enduser started onboarding but failed to complete it in timely manner) */
    DeviceEnrollmentFailureReason["UserAbandonment"] = "userAbandonment";
})(DeviceEnrollmentFailureReason || (exports.DeviceEnrollmentFailureReason = DeviceEnrollmentFailureReason = {}));
// tslint:enable
// eslint-enable
