import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceEnrollmentPlatformRestrictionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceEnrollmentPlatformRestriction;
export declare function deserializeIntoDeviceEnrollmentPlatformRestriction(deviceEnrollmentPlatformRestriction?: DeviceEnrollmentPlatformRestriction | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceEnrollmentPlatformRestriction extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Max OS version supported
     */
    osMaximumVersion?: string;
    /**
     * Min OS version supported
     */
    osMinimumVersion?: string;
    /**
     * Block personally owned devices from enrolling
     */
    personalDeviceEnrollmentBlocked?: boolean;
    /**
     * Block the platform from enrolling
     */
    platformBlocked?: boolean;
}
export declare function serializeDeviceEnrollmentPlatformRestriction(writer: SerializationWriter, deviceEnrollmentPlatformRestriction?: DeviceEnrollmentPlatformRestriction | undefined): void;
