import { type DeviceEnrollmentConfiguration } from './deviceEnrollmentConfiguration';
import { type DeviceEnrollmentPlatformRestriction } from './deviceEnrollmentPlatformRestriction';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceEnrollmentPlatformRestrictionsConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceEnrollmentPlatformRestrictionsConfiguration;
export declare function deserializeIntoDeviceEnrollmentPlatformRestrictionsConfiguration(deviceEnrollmentPlatformRestrictionsConfiguration?: DeviceEnrollmentPlatformRestrictionsConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceEnrollmentPlatformRestrictionsConfiguration extends DeviceEnrollmentConfiguration, Parsable {
    /**
     * Android restrictions based on platform, platform operating system version, and device ownership
     */
    androidRestriction?: DeviceEnrollmentPlatformRestriction;
    /**
     * Ios restrictions based on platform, platform operating system version, and device ownership
     */
    iosRestriction?: DeviceEnrollmentPlatformRestriction;
    /**
     * Mac restrictions based on platform, platform operating system version, and device ownership
     */
    macOSRestriction?: DeviceEnrollmentPlatformRestriction;
    /**
     * Windows mobile restrictions based on platform, platform operating system version, and device ownership
     */
    windowsMobileRestriction?: DeviceEnrollmentPlatformRestriction;
    /**
     * Windows restrictions based on platform, platform operating system version, and device ownership
     */
    windowsRestriction?: DeviceEnrollmentPlatformRestriction;
}
export declare function serializeDeviceEnrollmentPlatformRestrictionsConfiguration(writer: SerializationWriter, deviceEnrollmentPlatformRestrictionsConfiguration?: DeviceEnrollmentPlatformRestrictionsConfiguration | undefined): void;
