"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceEnrollmentType = void 0;
/**
 * Possible ways of adding a mobile device to management.
 */
var DeviceEnrollmentType;
(function (DeviceEnrollmentType) {
    /** Default value, enrollment type was not collected. */
    DeviceEnrollmentType["Unknown"] = "unknown";
    /** User driven enrollment through BYOD channel. */
    DeviceEnrollmentType["UserEnrollment"] = "userEnrollment";
    /** User enrollment with a device enrollment manager account. */
    DeviceEnrollmentType["DeviceEnrollmentManager"] = "deviceEnrollmentManager";
    /** Apple bulk enrollment with user challenge. (DEP, Apple Configurator) */
    DeviceEnrollmentType["AppleBulkWithUser"] = "appleBulkWithUser";
    /** Apple bulk enrollment without user challenge. (DEP, Apple Configurator, Mobile Config) */
    DeviceEnrollmentType["AppleBulkWithoutUser"] = "appleBulkWithoutUser";
    /** Windows 10 Azure AD Join. */
    DeviceEnrollmentType["WindowsAzureADJoin"] = "windowsAzureADJoin";
    /** Windows 10 Bulk enrollment through ICD with certificate. */
    DeviceEnrollmentType["WindowsBulkUserless"] = "windowsBulkUserless";
    /** Windows 10 automatic enrollment. (Add work account) */
    DeviceEnrollmentType["WindowsAutoEnrollment"] = "windowsAutoEnrollment";
    /** Windows 10 bulk Azure AD Join. */
    DeviceEnrollmentType["WindowsBulkAzureDomainJoin"] = "windowsBulkAzureDomainJoin";
    /** Windows 10 Co-Management triggered by AutoPilot or Group Policy. */
    DeviceEnrollmentType["WindowsCoManagement"] = "windowsCoManagement";
    /** Windows 10 Azure AD Join using Device Auth. */
    DeviceEnrollmentType["WindowsAzureADJoinUsingDeviceAuth"] = "windowsAzureADJoinUsingDeviceAuth";
    /** Device managed by Apple user enrollment */
    DeviceEnrollmentType["AppleUserEnrollment"] = "appleUserEnrollment";
    /** Device managed by Apple user enrollment with service account */
    DeviceEnrollmentType["AppleUserEnrollmentWithServiceAccount"] = "appleUserEnrollmentWithServiceAccount";
})(DeviceEnrollmentType || (exports.DeviceEnrollmentType = DeviceEnrollmentType = {}));
// tslint:enable
// eslint-enable
