"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceGeoLocation = exports.deserializeIntoDeviceGeoLocation = exports.createDeviceGeoLocationFromDiscriminatorValue = void 0;
function createDeviceGeoLocationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceGeoLocation;
}
exports.createDeviceGeoLocationFromDiscriminatorValue = createDeviceGeoLocationFromDiscriminatorValue;
function deserializeIntoDeviceGeoLocation(deviceGeoLocation = {}) {
    return {
        "altitude": n => { deviceGeoLocation.altitude = n.getNumberValue(); },
        "heading": n => { deviceGeoLocation.heading = n.getNumberValue(); },
        "horizontalAccuracy": n => { deviceGeoLocation.horizontalAccuracy = n.getNumberValue(); },
        "lastCollectedDateTime": n => { deviceGeoLocation.lastCollectedDateTime = n.getDateValue(); },
        "latitude": n => { deviceGeoLocation.latitude = n.getNumberValue(); },
        "longitude": n => { deviceGeoLocation.longitude = n.getNumberValue(); },
        "@odata.type": n => { deviceGeoLocation.odataType = n.getStringValue(); },
        "speed": n => { deviceGeoLocation.speed = n.getNumberValue(); },
        "verticalAccuracy": n => { deviceGeoLocation.verticalAccuracy = n.getNumberValue(); },
    };
}
exports.deserializeIntoDeviceGeoLocation = deserializeIntoDeviceGeoLocation;
function serializeDeviceGeoLocation(writer, deviceGeoLocation = {}) {
    writer.writeNumberValue("altitude", deviceGeoLocation.altitude);
    writer.writeNumberValue("heading", deviceGeoLocation.heading);
    writer.writeNumberValue("horizontalAccuracy", deviceGeoLocation.horizontalAccuracy);
    writer.writeDateValue("lastCollectedDateTime", deviceGeoLocation.lastCollectedDateTime);
    writer.writeNumberValue("latitude", deviceGeoLocation.latitude);
    writer.writeNumberValue("longitude", deviceGeoLocation.longitude);
    writer.writeStringValue("@odata.type", deviceGeoLocation.odataType);
    writer.writeNumberValue("speed", deviceGeoLocation.speed);
    writer.writeNumberValue("verticalAccuracy", deviceGeoLocation.verticalAccuracy);
    writer.writeAdditionalData(deviceGeoLocation.additionalData);
}
exports.serializeDeviceGeoLocation = serializeDeviceGeoLocation;
// tslint:enable
// eslint-enable
