"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceHealthAttestationState = exports.deserializeIntoDeviceHealthAttestationState = exports.createDeviceHealthAttestationStateFromDiscriminatorValue = void 0;
function createDeviceHealthAttestationStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceHealthAttestationState;
}
exports.createDeviceHealthAttestationStateFromDiscriminatorValue = createDeviceHealthAttestationStateFromDiscriminatorValue;
function deserializeIntoDeviceHealthAttestationState(deviceHealthAttestationState = {}) {
    return {
        "attestationIdentityKey": n => { deviceHealthAttestationState.attestationIdentityKey = n.getStringValue(); },
        "bitLockerStatus": n => { deviceHealthAttestationState.bitLockerStatus = n.getStringValue(); },
        "bootAppSecurityVersion": n => { deviceHealthAttestationState.bootAppSecurityVersion = n.getStringValue(); },
        "bootDebugging": n => { deviceHealthAttestationState.bootDebugging = n.getStringValue(); },
        "bootManagerSecurityVersion": n => { deviceHealthAttestationState.bootManagerSecurityVersion = n.getStringValue(); },
        "bootManagerVersion": n => { deviceHealthAttestationState.bootManagerVersion = n.getStringValue(); },
        "bootRevisionListInfo": n => { deviceHealthAttestationState.bootRevisionListInfo = n.getStringValue(); },
        "codeIntegrity": n => { deviceHealthAttestationState.codeIntegrity = n.getStringValue(); },
        "codeIntegrityCheckVersion": n => { deviceHealthAttestationState.codeIntegrityCheckVersion = n.getStringValue(); },
        "codeIntegrityPolicy": n => { deviceHealthAttestationState.codeIntegrityPolicy = n.getStringValue(); },
        "contentNamespaceUrl": n => { deviceHealthAttestationState.contentNamespaceUrl = n.getStringValue(); },
        "contentVersion": n => { deviceHealthAttestationState.contentVersion = n.getStringValue(); },
        "dataExcutionPolicy": n => { deviceHealthAttestationState.dataExcutionPolicy = n.getStringValue(); },
        "deviceHealthAttestationStatus": n => { deviceHealthAttestationState.deviceHealthAttestationStatus = n.getStringValue(); },
        "earlyLaunchAntiMalwareDriverProtection": n => { deviceHealthAttestationState.earlyLaunchAntiMalwareDriverProtection = n.getStringValue(); },
        "healthAttestationSupportedStatus": n => { deviceHealthAttestationState.healthAttestationSupportedStatus = n.getStringValue(); },
        "healthStatusMismatchInfo": n => { deviceHealthAttestationState.healthStatusMismatchInfo = n.getStringValue(); },
        "issuedDateTime": n => { deviceHealthAttestationState.issuedDateTime = n.getDateValue(); },
        "lastUpdateDateTime": n => { deviceHealthAttestationState.lastUpdateDateTime = n.getStringValue(); },
        "@odata.type": n => { deviceHealthAttestationState.odataType = n.getStringValue(); },
        "operatingSystemKernelDebugging": n => { deviceHealthAttestationState.operatingSystemKernelDebugging = n.getStringValue(); },
        "operatingSystemRevListInfo": n => { deviceHealthAttestationState.operatingSystemRevListInfo = n.getStringValue(); },
        "pcr0": n => { deviceHealthAttestationState.pcr0 = n.getStringValue(); },
        "pcrHashAlgorithm": n => { deviceHealthAttestationState.pcrHashAlgorithm = n.getStringValue(); },
        "resetCount": n => { deviceHealthAttestationState.resetCount = n.getNumberValue(); },
        "restartCount": n => { deviceHealthAttestationState.restartCount = n.getNumberValue(); },
        "safeMode": n => { deviceHealthAttestationState.safeMode = n.getStringValue(); },
        "secureBoot": n => { deviceHealthAttestationState.secureBoot = n.getStringValue(); },
        "secureBootConfigurationPolicyFingerPrint": n => { deviceHealthAttestationState.secureBootConfigurationPolicyFingerPrint = n.getStringValue(); },
        "testSigning": n => { deviceHealthAttestationState.testSigning = n.getStringValue(); },
        "tpmVersion": n => { deviceHealthAttestationState.tpmVersion = n.getStringValue(); },
        "virtualSecureMode": n => { deviceHealthAttestationState.virtualSecureMode = n.getStringValue(); },
        "windowsPE": n => { deviceHealthAttestationState.windowsPE = n.getStringValue(); },
    };
}
exports.deserializeIntoDeviceHealthAttestationState = deserializeIntoDeviceHealthAttestationState;
function serializeDeviceHealthAttestationState(writer, deviceHealthAttestationState = {}) {
    writer.writeStringValue("attestationIdentityKey", deviceHealthAttestationState.attestationIdentityKey);
    writer.writeStringValue("bitLockerStatus", deviceHealthAttestationState.bitLockerStatus);
    writer.writeStringValue("bootAppSecurityVersion", deviceHealthAttestationState.bootAppSecurityVersion);
    writer.writeStringValue("bootDebugging", deviceHealthAttestationState.bootDebugging);
    writer.writeStringValue("bootManagerSecurityVersion", deviceHealthAttestationState.bootManagerSecurityVersion);
    writer.writeStringValue("bootManagerVersion", deviceHealthAttestationState.bootManagerVersion);
    writer.writeStringValue("bootRevisionListInfo", deviceHealthAttestationState.bootRevisionListInfo);
    writer.writeStringValue("codeIntegrity", deviceHealthAttestationState.codeIntegrity);
    writer.writeStringValue("codeIntegrityCheckVersion", deviceHealthAttestationState.codeIntegrityCheckVersion);
    writer.writeStringValue("codeIntegrityPolicy", deviceHealthAttestationState.codeIntegrityPolicy);
    writer.writeStringValue("contentNamespaceUrl", deviceHealthAttestationState.contentNamespaceUrl);
    writer.writeStringValue("contentVersion", deviceHealthAttestationState.contentVersion);
    writer.writeStringValue("dataExcutionPolicy", deviceHealthAttestationState.dataExcutionPolicy);
    writer.writeStringValue("deviceHealthAttestationStatus", deviceHealthAttestationState.deviceHealthAttestationStatus);
    writer.writeStringValue("earlyLaunchAntiMalwareDriverProtection", deviceHealthAttestationState.earlyLaunchAntiMalwareDriverProtection);
    writer.writeStringValue("healthAttestationSupportedStatus", deviceHealthAttestationState.healthAttestationSupportedStatus);
    writer.writeStringValue("healthStatusMismatchInfo", deviceHealthAttestationState.healthStatusMismatchInfo);
    writer.writeDateValue("issuedDateTime", deviceHealthAttestationState.issuedDateTime);
    writer.writeStringValue("lastUpdateDateTime", deviceHealthAttestationState.lastUpdateDateTime);
    writer.writeStringValue("@odata.type", deviceHealthAttestationState.odataType);
    writer.writeStringValue("operatingSystemKernelDebugging", deviceHealthAttestationState.operatingSystemKernelDebugging);
    writer.writeStringValue("operatingSystemRevListInfo", deviceHealthAttestationState.operatingSystemRevListInfo);
    writer.writeStringValue("pcr0", deviceHealthAttestationState.pcr0);
    writer.writeStringValue("pcrHashAlgorithm", deviceHealthAttestationState.pcrHashAlgorithm);
    writer.writeNumberValue("resetCount", deviceHealthAttestationState.resetCount);
    writer.writeNumberValue("restartCount", deviceHealthAttestationState.restartCount);
    writer.writeStringValue("safeMode", deviceHealthAttestationState.safeMode);
    writer.writeStringValue("secureBoot", deviceHealthAttestationState.secureBoot);
    writer.writeStringValue("secureBootConfigurationPolicyFingerPrint", deviceHealthAttestationState.secureBootConfigurationPolicyFingerPrint);
    writer.writeStringValue("testSigning", deviceHealthAttestationState.testSigning);
    writer.writeStringValue("tpmVersion", deviceHealthAttestationState.tpmVersion);
    writer.writeStringValue("virtualSecureMode", deviceHealthAttestationState.virtualSecureMode);
    writer.writeStringValue("windowsPE", deviceHealthAttestationState.windowsPE);
    writer.writeAdditionalData(deviceHealthAttestationState.additionalData);
}
exports.serializeDeviceHealthAttestationState = serializeDeviceHealthAttestationState;
// tslint:enable
// eslint-enable
