import { type Entity } from './entity';
import { InstallState } from './installState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceInstallStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceInstallState;
export declare function deserializeIntoDeviceInstallState(deviceInstallState?: DeviceInstallState | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceInstallState extends Entity, Parsable {
    /**
     * Device Id.
     */
    deviceId?: string;
    /**
     * Device name.
     */
    deviceName?: string;
    /**
     * The error code for install failures.
     */
    errorCode?: string;
    /**
     * Possible values for install state.
     */
    installState?: InstallState;
    /**
     * Last sync date and time.
     */
    lastSyncDateTime?: Date;
    /**
     * OS Description.
     */
    osDescription?: string;
    /**
     * OS Version.
     */
    osVersion?: string;
    /**
     * Device User Name.
     */
    userName?: string;
}
export declare function serializeDeviceInstallState(writer: SerializationWriter, deviceInstallState?: DeviceInstallState | undefined): void;
