import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceLocalCredentialFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceLocalCredential;
export declare function deserializeIntoDeviceLocalCredential(deviceLocalCredential?: DeviceLocalCredential | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceLocalCredential extends Entity, Parsable {
    /**
     * The name of the local admin account for which LAPS is enabled.
     */
    accountName?: string;
    /**
     * The SID of the local admin account for which LAPS is enabled.
     */
    accountSid?: string;
    /**
     * When the local administrator account credential for the device object was backed up to Azure Active Directory.
     */
    backupDateTime?: Date;
    /**
     * The password for the local administrator account that is backed up to Azure Active Directory and returned as a Base64 encoded value.
     */
    passwordBase64?: string;
}
export declare function serializeDeviceLocalCredential(writer: SerializationWriter, deviceLocalCredential?: DeviceLocalCredential | undefined): void;
