import { type DeviceLocalCredential } from './deviceLocalCredential';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceLocalCredentialInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceLocalCredentialInfo;
export declare function deserializeIntoDeviceLocalCredentialInfo(deviceLocalCredentialInfo?: DeviceLocalCredentialInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceLocalCredentialInfo extends Entity, Parsable {
    /**
     * The credentials of the device's local administrator account backed up to Azure Active Directory.
     */
    credentials?: DeviceLocalCredential[];
    /**
     * Display name of the device that the local credentials are associated with.
     */
    deviceName?: string;
    /**
     * When the local administrator account credential was backed up to Azure Active Directory.
     */
    lastBackupDateTime?: Date;
    /**
     * When the local administrator account credential will be refreshed and backed up to Azure Active Directory.
     */
    refreshDateTime?: Date;
}
export declare function serializeDeviceLocalCredentialInfo(writer: SerializationWriter, deviceLocalCredentialInfo?: DeviceLocalCredentialInfo | undefined): void;
