import { AppLogUploadState } from './appLogUploadState';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createDeviceLogCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceLogCollectionResponse;
export declare function deserializeIntoDeviceLogCollectionResponse(deviceLogCollectionResponse?: DeviceLogCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceLogCollectionResponse extends Entity, Parsable {
    /**
     * The User Principal Name (UPN) of the user that enrolled the device.
     */
    enrolledByUser?: string;
    /**
     * The DateTime of the expiration of the logs.
     */
    expirationDateTimeUTC?: Date;
    /**
     * The UPN for who initiated the request.
     */
    initiatedByUserPrincipalName?: string;
    /**
     * Indicates Intune device unique identifier.
     */
    managedDeviceId?: Guid;
    /**
     * The DateTime the request was received.
     */
    receivedDateTimeUTC?: Date;
    /**
     * The DateTime of the request.
     */
    requestedDateTimeUTC?: Date;
    /**
     * The size of the logs in KB. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    sizeInKB?: number;
    /**
     * AppLogUploadStatus
     */
    status?: AppLogUploadState;
}
export declare function serializeDeviceLogCollectionResponse(writer: SerializationWriter, deviceLogCollectionResponse?: DeviceLogCollectionResponse | undefined): void;
