import { type ApplePushNotificationCertificate } from './applePushNotificationCertificate';
import { type AuditEvent } from './auditEvent';
import { type ComplianceManagementPartner } from './complianceManagementPartner';
import { type DetectedApp } from './detectedApp';
import { type DeviceAndAppManagementRoleAssignment } from './deviceAndAppManagementRoleAssignment';
import { type DeviceCategory } from './deviceCategory';
import { type DeviceCompliancePolicy } from './deviceCompliancePolicy';
import { type DeviceCompliancePolicyDeviceStateSummary } from './deviceCompliancePolicyDeviceStateSummary';
import { type DeviceCompliancePolicySettingStateSummary } from './deviceCompliancePolicySettingStateSummary';
import { type DeviceConfiguration } from './deviceConfiguration';
import { type DeviceConfigurationDeviceStateSummary } from './deviceConfigurationDeviceStateSummary';
import { type DeviceEnrollmentConfiguration } from './deviceEnrollmentConfiguration';
import { type DeviceManagementExchangeConnector } from './deviceManagementExchangeConnector';
import { type DeviceManagementPartner } from './deviceManagementPartner';
import { type DeviceManagementReports } from './deviceManagementReports';
import { type DeviceManagementSettings } from './deviceManagementSettings';
import { DeviceManagementSubscriptionState } from './deviceManagementSubscriptionState';
import { type DeviceManagementTroubleshootingEvent } from './deviceManagementTroubleshootingEvent';
import { type DeviceProtectionOverview } from './deviceProtectionOverview';
import { type Entity } from './entity';
import { type ImportedWindowsAutopilotDeviceIdentity } from './importedWindowsAutopilotDeviceIdentity';
import { type IntuneBrand } from './intuneBrand';
import { type IosUpdateDeviceStatus } from './iosUpdateDeviceStatus';
import { type ManagedDevice } from './managedDevice';
import { type ManagedDeviceOverview } from './managedDeviceOverview';
import { type MobileAppTroubleshootingEvent } from './mobileAppTroubleshootingEvent';
import { type MobileThreatDefenseConnector } from './mobileThreatDefenseConnector';
import { type NotificationMessageTemplate } from './notificationMessageTemplate';
import { type OnPremisesConditionalAccessSettings } from './onPremisesConditionalAccessSettings';
import { type RemoteAssistancePartner } from './remoteAssistancePartner';
import { type ResourceOperation } from './resourceOperation';
import { type RoleDefinition } from './roleDefinition';
import { type SoftwareUpdateStatusSummary } from './softwareUpdateStatusSummary';
import { type TelecomExpenseManagementPartner } from './telecomExpenseManagementPartner';
import { type TermsAndConditions } from './termsAndConditions';
import { type UserExperienceAnalyticsAppHealthApplicationPerformance } from './userExperienceAnalyticsAppHealthApplicationPerformance';
import { type UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails } from './userExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails';
import { type UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDeviceId } from './userExperienceAnalyticsAppHealthAppPerformanceByAppVersionDeviceId';
import { type UserExperienceAnalyticsAppHealthAppPerformanceByOSVersion } from './userExperienceAnalyticsAppHealthAppPerformanceByOSVersion';
import { type UserExperienceAnalyticsAppHealthDeviceModelPerformance } from './userExperienceAnalyticsAppHealthDeviceModelPerformance';
import { type UserExperienceAnalyticsAppHealthDevicePerformance } from './userExperienceAnalyticsAppHealthDevicePerformance';
import { type UserExperienceAnalyticsAppHealthDevicePerformanceDetails } from './userExperienceAnalyticsAppHealthDevicePerformanceDetails';
import { type UserExperienceAnalyticsAppHealthOSVersionPerformance } from './userExperienceAnalyticsAppHealthOSVersionPerformance';
import { type UserExperienceAnalyticsBaseline } from './userExperienceAnalyticsBaseline';
import { type UserExperienceAnalyticsCategory } from './userExperienceAnalyticsCategory';
import { type UserExperienceAnalyticsDevicePerformance } from './userExperienceAnalyticsDevicePerformance';
import { type UserExperienceAnalyticsDeviceScores } from './userExperienceAnalyticsDeviceScores';
import { type UserExperienceAnalyticsDeviceStartupHistory } from './userExperienceAnalyticsDeviceStartupHistory';
import { type UserExperienceAnalyticsDeviceStartupProcess } from './userExperienceAnalyticsDeviceStartupProcess';
import { type UserExperienceAnalyticsDeviceStartupProcessPerformance } from './userExperienceAnalyticsDeviceStartupProcessPerformance';
import { type UserExperienceAnalyticsMetricHistory } from './userExperienceAnalyticsMetricHistory';
import { type UserExperienceAnalyticsModelScores } from './userExperienceAnalyticsModelScores';
import { type UserExperienceAnalyticsOverview } from './userExperienceAnalyticsOverview';
import { type UserExperienceAnalyticsScoreHistory } from './userExperienceAnalyticsScoreHistory';
import { type UserExperienceAnalyticsSettings } from './userExperienceAnalyticsSettings';
import { type UserExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric } from './userExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric';
import { type UserExperienceAnalyticsWorkFromAnywhereMetric } from './userExperienceAnalyticsWorkFromAnywhereMetric';
import { type UserExperienceAnalyticsWorkFromAnywhereModelPerformance } from './userExperienceAnalyticsWorkFromAnywhereModelPerformance';
import { type WindowsAutopilotDeviceIdentity } from './windowsAutopilotDeviceIdentity';
import { type WindowsInformationProtectionAppLearningSummary } from './windowsInformationProtectionAppLearningSummary';
import { type WindowsInformationProtectionNetworkLearningSummary } from './windowsInformationProtectionNetworkLearningSummary';
import { type WindowsMalwareInformation } from './windowsMalwareInformation';
import { type WindowsMalwareOverview } from './windowsMalwareOverview';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createDeviceManagementFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagement;
export declare function deserializeIntoDeviceManagement(deviceManagement?: DeviceManagement | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagement extends Entity, Parsable {
    /**
     * Apple push notification certificate.
     */
    applePushNotificationCertificate?: ApplePushNotificationCertificate;
    /**
     * The Audit Events
     */
    auditEvents?: AuditEvent[];
    /**
     * The list of Compliance Management Partners configured by the tenant.
     */
    complianceManagementPartners?: ComplianceManagementPartner[];
    /**
     * The Exchange on premises conditional access settings. On premises conditional access will require devices to be both enrolled and compliant for mail access
     */
    conditionalAccessSettings?: OnPremisesConditionalAccessSettings;
    /**
     * The list of detected apps associated with a device.
     */
    detectedApps?: DetectedApp[];
    /**
     * The list of device categories with the tenant.
     */
    deviceCategories?: DeviceCategory[];
    /**
     * The device compliance policies.
     */
    deviceCompliancePolicies?: DeviceCompliancePolicy[];
    /**
     * The device compliance state summary for this account.
     */
    deviceCompliancePolicyDeviceStateSummary?: DeviceCompliancePolicyDeviceStateSummary;
    /**
     * The summary states of compliance policy settings for this account.
     */
    deviceCompliancePolicySettingStateSummaries?: DeviceCompliancePolicySettingStateSummary[];
    /**
     * The device configuration device state summary for this account.
     */
    deviceConfigurationDeviceStateSummaries?: DeviceConfigurationDeviceStateSummary;
    /**
     * The device configurations.
     */
    deviceConfigurations?: DeviceConfiguration[];
    /**
     * The list of device enrollment configurations
     */
    deviceEnrollmentConfigurations?: DeviceEnrollmentConfiguration[];
    /**
     * The list of Device Management Partners configured by the tenant.
     */
    deviceManagementPartners?: DeviceManagementPartner[];
    /**
     * Device protection overview.
     */
    deviceProtectionOverview?: DeviceProtectionOverview;
    /**
     * The list of Exchange Connectors configured by the tenant.
     */
    exchangeConnectors?: DeviceManagementExchangeConnector[];
    /**
     * Collection of imported Windows autopilot devices.
     */
    importedWindowsAutopilotDeviceIdentities?: ImportedWindowsAutopilotDeviceIdentity[];
    /**
     * Intune Account Id for given tenant
     */
    intuneAccountId?: Guid;
    /**
     * intuneBrand contains data which is used in customizing the appearance of the Company Portal applications as well as the end user web portal.
     */
    intuneBrand?: IntuneBrand;
    /**
     * The IOS software update installation statuses for this account.
     */
    iosUpdateStatuses?: IosUpdateDeviceStatus[];
    /**
     * Device overview
     */
    managedDeviceOverview?: ManagedDeviceOverview;
    /**
     * The list of managed devices.
     */
    managedDevices?: ManagedDevice[];
    /**
     * The collection property of MobileAppTroubleshootingEvent.
     */
    mobileAppTroubleshootingEvents?: MobileAppTroubleshootingEvent[];
    /**
     * The list of Mobile threat Defense connectors configured by the tenant.
     */
    mobileThreatDefenseConnectors?: MobileThreatDefenseConnector[];
    /**
     * The Notification Message Templates.
     */
    notificationMessageTemplates?: NotificationMessageTemplate[];
    /**
     * The remote assist partners.
     */
    remoteAssistancePartners?: RemoteAssistancePartner[];
    /**
     * Reports singleton
     */
    reports?: DeviceManagementReports;
    /**
     * The Resource Operations.
     */
    resourceOperations?: ResourceOperation[];
    /**
     * The Role Assignments.
     */
    roleAssignments?: DeviceAndAppManagementRoleAssignment[];
    /**
     * The Role Definitions.
     */
    roleDefinitions?: RoleDefinition[];
    /**
     * Account level settings.
     */
    settings?: DeviceManagementSettings;
    /**
     * The software update status summary.
     */
    softwareUpdateStatusSummary?: SoftwareUpdateStatusSummary;
    /**
     * Tenant mobile device management subscription state.
     */
    subscriptionState?: DeviceManagementSubscriptionState;
    /**
     * The telecom expense management partners.
     */
    telecomExpenseManagementPartners?: TelecomExpenseManagementPartner[];
    /**
     * The terms and conditions associated with device management of the company.
     */
    termsAndConditions?: TermsAndConditions[];
    /**
     * The list of troubleshooting events for the tenant.
     */
    troubleshootingEvents?: DeviceManagementTroubleshootingEvent[];
    /**
     * User experience analytics appHealth Application Performance
     */
    userExperienceAnalyticsAppHealthApplicationPerformance?: UserExperienceAnalyticsAppHealthApplicationPerformance[];
    /**
     * User experience analytics appHealth Application Performance by App Version details
     */
    userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDetails?: UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails[];
    /**
     * User experience analytics appHealth Application Performance by App Version Device Id
     */
    userExperienceAnalyticsAppHealthApplicationPerformanceByAppVersionDeviceId?: UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDeviceId[];
    /**
     * User experience analytics appHealth Application Performance by OS Version
     */
    userExperienceAnalyticsAppHealthApplicationPerformanceByOSVersion?: UserExperienceAnalyticsAppHealthAppPerformanceByOSVersion[];
    /**
     * User experience analytics appHealth Model Performance
     */
    userExperienceAnalyticsAppHealthDeviceModelPerformance?: UserExperienceAnalyticsAppHealthDeviceModelPerformance[];
    /**
     * User experience analytics appHealth Device Performance
     */
    userExperienceAnalyticsAppHealthDevicePerformance?: UserExperienceAnalyticsAppHealthDevicePerformance[];
    /**
     * User experience analytics device performance details
     */
    userExperienceAnalyticsAppHealthDevicePerformanceDetails?: UserExperienceAnalyticsAppHealthDevicePerformanceDetails[];
    /**
     * User experience analytics appHealth OS version Performance
     */
    userExperienceAnalyticsAppHealthOSVersionPerformance?: UserExperienceAnalyticsAppHealthOSVersionPerformance[];
    /**
     * User experience analytics appHealth overview
     */
    userExperienceAnalyticsAppHealthOverview?: UserExperienceAnalyticsCategory;
    /**
     * User experience analytics baselines
     */
    userExperienceAnalyticsBaselines?: UserExperienceAnalyticsBaseline[];
    /**
     * User experience analytics categories
     */
    userExperienceAnalyticsCategories?: UserExperienceAnalyticsCategory[];
    /**
     * User experience analytics device performance
     */
    userExperienceAnalyticsDevicePerformance?: UserExperienceAnalyticsDevicePerformance[];
    /**
     * User experience analytics device scores
     */
    userExperienceAnalyticsDeviceScores?: UserExperienceAnalyticsDeviceScores[];
    /**
     * User experience analytics device Startup History
     */
    userExperienceAnalyticsDeviceStartupHistory?: UserExperienceAnalyticsDeviceStartupHistory[];
    /**
     * User experience analytics device Startup Processes
     */
    userExperienceAnalyticsDeviceStartupProcesses?: UserExperienceAnalyticsDeviceStartupProcess[];
    /**
     * User experience analytics device Startup Process Performance
     */
    userExperienceAnalyticsDeviceStartupProcessPerformance?: UserExperienceAnalyticsDeviceStartupProcessPerformance[];
    /**
     * User experience analytics metric history
     */
    userExperienceAnalyticsMetricHistory?: UserExperienceAnalyticsMetricHistory[];
    /**
     * User experience analytics model scores
     */
    userExperienceAnalyticsModelScores?: UserExperienceAnalyticsModelScores[];
    /**
     * User experience analytics overview
     */
    userExperienceAnalyticsOverview?: UserExperienceAnalyticsOverview;
    /**
     * User experience analytics device Startup Score History
     */
    userExperienceAnalyticsScoreHistory?: UserExperienceAnalyticsScoreHistory[];
    /**
     * User experience analytics device settings
     */
    userExperienceAnalyticsSettings?: UserExperienceAnalyticsSettings;
    /**
     * User experience analytics work from anywhere hardware readiness metrics.
     */
    userExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric?: UserExperienceAnalyticsWorkFromAnywhereHardwareReadinessMetric;
    /**
     * User experience analytics work from anywhere metrics.
     */
    userExperienceAnalyticsWorkFromAnywhereMetrics?: UserExperienceAnalyticsWorkFromAnywhereMetric[];
    /**
     * The user experience analytics work from anywhere model performance
     */
    userExperienceAnalyticsWorkFromAnywhereModelPerformance?: UserExperienceAnalyticsWorkFromAnywhereModelPerformance[];
    /**
     * The Windows autopilot device identities contained collection.
     */
    windowsAutopilotDeviceIdentities?: WindowsAutopilotDeviceIdentity[];
    /**
     * The windows information protection app learning summaries.
     */
    windowsInformationProtectionAppLearningSummaries?: WindowsInformationProtectionAppLearningSummary[];
    /**
     * The windows information protection network learning summaries.
     */
    windowsInformationProtectionNetworkLearningSummaries?: WindowsInformationProtectionNetworkLearningSummary[];
    /**
     * The list of affected malware in the tenant.
     */
    windowsMalwareInformation?: WindowsMalwareInformation[];
    /**
     * Malware overview for windows devices.
     */
    windowsMalwareOverview?: WindowsMalwareOverview;
}
export declare function serializeDeviceManagement(writer: SerializationWriter, deviceManagement?: DeviceManagement | undefined): void;
