"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeAccessStateReason = void 0;
/**
 * Device Exchange Access State Reason.
 */
var DeviceManagementExchangeAccessStateReason;
(function (DeviceManagementExchangeAccessStateReason) {
    /** No access state reason discovered from Exchange */
    DeviceManagementExchangeAccessStateReason["None"] = "none";
    /** Unknown access state reason */
    DeviceManagementExchangeAccessStateReason["Unknown"] = "unknown";
    /** Access state determined by Exchange Global rule */
    DeviceManagementExchangeAccessStateReason["ExchangeGlobalRule"] = "exchangeGlobalRule";
    /** Access state determined by Exchange Individual rule */
    DeviceManagementExchangeAccessStateReason["ExchangeIndividualRule"] = "exchangeIndividualRule";
    /** Access state determined by Exchange Device rule */
    DeviceManagementExchangeAccessStateReason["ExchangeDeviceRule"] = "exchangeDeviceRule";
    /** Access state due to Exchange upgrade */
    DeviceManagementExchangeAccessStateReason["ExchangeUpgrade"] = "exchangeUpgrade";
    /** Access state determined by Exchange Mailbox Policy */
    DeviceManagementExchangeAccessStateReason["ExchangeMailboxPolicy"] = "exchangeMailboxPolicy";
    /** Access state determined by Exchange */
    DeviceManagementExchangeAccessStateReason["Other"] = "other";
    /** Access state granted by compliance challenge */
    DeviceManagementExchangeAccessStateReason["Compliant"] = "compliant";
    /** Access state revoked by compliance challenge */
    DeviceManagementExchangeAccessStateReason["NotCompliant"] = "notCompliant";
    /** Access state revoked by management challenge */
    DeviceManagementExchangeAccessStateReason["NotEnrolled"] = "notEnrolled";
    /** Access state due to unknown location */
    DeviceManagementExchangeAccessStateReason["UnknownLocation"] = "unknownLocation";
    /** Access state due to MFA challenge */
    DeviceManagementExchangeAccessStateReason["MfaRequired"] = "mfaRequired";
    /** Access State revoked by AAD Access Policy */
    DeviceManagementExchangeAccessStateReason["AzureADBlockDueToAccessPolicy"] = "azureADBlockDueToAccessPolicy";
    /** Access State revoked by compromised password */
    DeviceManagementExchangeAccessStateReason["CompromisedPassword"] = "compromisedPassword";
    /** Access state revoked by managed application challenge */
    DeviceManagementExchangeAccessStateReason["DeviceNotKnownWithManagedApp"] = "deviceNotKnownWithManagedApp";
})(DeviceManagementExchangeAccessStateReason || (exports.DeviceManagementExchangeAccessStateReason = DeviceManagementExchangeAccessStateReason = {}));
// tslint:enable
// eslint-enable
