import { DeviceManagementPartnerAppType } from './deviceManagementPartnerAppType';
import { type DeviceManagementPartnerAssignment } from './deviceManagementPartnerAssignment';
import { DeviceManagementPartnerTenantState } from './deviceManagementPartnerTenantState';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementPartnerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementPartner;
export declare function deserializeIntoDeviceManagementPartner(deviceManagementPartner?: DeviceManagementPartner | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementPartner extends Entity, Parsable {
    /**
     * Partner display name
     */
    displayName?: string;
    /**
     * User groups that specifies whether enrollment is through partner.
     */
    groupsRequiringPartnerEnrollment?: DeviceManagementPartnerAssignment[];
    /**
     * Whether device management partner is configured or not
     */
    isConfigured?: boolean;
    /**
     * Timestamp of last heartbeat after admin enabled option Connect to Device management Partner
     */
    lastHeartbeatDateTime?: Date;
    /**
     * Partner App Type.
     */
    partnerAppType?: DeviceManagementPartnerAppType;
    /**
     * Partner state of this tenant.
     */
    partnerState?: DeviceManagementPartnerTenantState;
    /**
     * Partner Single tenant App id
     */
    singleTenantAppId?: string;
    /**
     * DateTime in UTC when PartnerDevices will be marked as NonCompliant
     */
    whenPartnerDevicesWillBeMarkedAsNonCompliantDateTime?: Date;
    /**
     * DateTime in UTC when PartnerDevices will be removed
     */
    whenPartnerDevicesWillBeRemovedDateTime?: Date;
}
export declare function serializeDeviceManagementPartner(writer: SerializationWriter, deviceManagementPartner?: DeviceManagementPartner | undefined): void;
