import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementPartnerAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementPartnerAssignment;
export declare function deserializeIntoDeviceManagementPartnerAssignment(deviceManagementPartnerAssignment?: DeviceManagementPartnerAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementPartnerAssignment extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * User groups targeting for devices to be enrolled through partner.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeDeviceManagementPartnerAssignment(writer: SerializationWriter, deviceManagementPartnerAssignment?: DeviceManagementPartnerAssignment | undefined): void;
