import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementSettings;
export declare function deserializeIntoDeviceManagementSettings(deviceManagementSettings?: DeviceManagementSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of days a device is allowed to go without checking in to remain compliant.
     */
    deviceComplianceCheckinThresholdDays?: number;
    /**
     * Is feature enabled or not for scheduled action for rule.
     */
    isScheduledActionEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Device should be noncompliant when there is no compliance policy targeted when this is true
     */
    secureByDefault?: boolean;
}
export declare function serializeDeviceManagementSettings(writer: SerializationWriter, deviceManagementSettings?: DeviceManagementSettings | undefined): void;
