import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceProtectionOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceProtectionOverview;
export declare function deserializeIntoDeviceProtectionOverview(deviceProtectionOverview?: DeviceProtectionOverview | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceProtectionOverview extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates number of devices reporting as clean
     */
    cleanDeviceCount?: number;
    /**
     * Indicates number of devices with critical failures
     */
    criticalFailuresDeviceCount?: number;
    /**
     * Indicates number of devices with inactive threat agent
     */
    inactiveThreatAgentDeviceCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates number of devices pending full scan
     */
    pendingFullScanDeviceCount?: number;
    /**
     * Indicates number of devices with pending manual steps
     */
    pendingManualStepsDeviceCount?: number;
    /**
     * Indicates number of pending offline scan devices
     */
    pendingOfflineScanDeviceCount?: number;
    /**
     * Indicates the number of devices that have a pending full scan. Valid values -2147483648 to 2147483647
     */
    pendingQuickScanDeviceCount?: number;
    /**
     * Indicates number of devices pending restart
     */
    pendingRestartDeviceCount?: number;
    /**
     * Indicates number of devices with an old signature
     */
    pendingSignatureUpdateDeviceCount?: number;
    /**
     * Total device count.
     */
    totalReportedDeviceCount?: number;
    /**
     * Indicates number of devices with threat agent state as unknown
     */
    unknownStateThreatAgentDeviceCount?: number;
}
export declare function serializeDeviceProtectionOverview(writer: SerializationWriter, deviceProtectionOverview?: DeviceProtectionOverview | undefined): void;
