"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceThreatProtectionLevel = void 0;
/**
 * Device threat protection levels for the Device Threat Protection API.
 */
var DeviceThreatProtectionLevel;
(function (DeviceThreatProtectionLevel) {
    /** Default Value. Do not use. */
    DeviceThreatProtectionLevel["Unavailable"] = "unavailable";
    /** Device Threat Level requirement: Secured. This is the most secure level, and represents that no threats were found on the device. */
    DeviceThreatProtectionLevel["Secured"] = "secured";
    /** Device Threat Protection level requirement: Low. Low represents a severity of threat that poses minimal risk to the device or device data. */
    DeviceThreatProtectionLevel["Low"] = "low";
    /** Device Threat Protection level requirement: Medium. Medium represents a severity of threat that poses moderate risk to the device or device data. */
    DeviceThreatProtectionLevel["Medium"] = "medium";
    /** Device Threat Protection level requirement: High. High represents a severity of threat that poses severe risk to the device or device data. */
    DeviceThreatProtectionLevel["High"] = "high";
    /** Device Threat Protection level requirement: Not Set. Not set represents that there is no requirement for the device to meet a Threat Protection level. */
    DeviceThreatProtectionLevel["NotSet"] = "notSet";
})(DeviceThreatProtectionLevel || (exports.DeviceThreatProtectionLevel = DeviceThreatProtectionLevel = {}));
// tslint:enable
// eslint-enable
