"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiagnosticDataSubmissionMode = void 0;
/**
 * Allow the device to send diagnostic and usage telemetry data, such as Watson.
 */
var DiagnosticDataSubmissionMode;
(function (DiagnosticDataSubmissionMode) {
    /** Allow the user to set. */
    DiagnosticDataSubmissionMode["UserDefined"] = "userDefined";
    /** No telemetry data is sent from OS components. Note: This value is only applicable to enterprise and server devices. Using this setting on other devices is equivalent to setting the value of 1. */
    DiagnosticDataSubmissionMode["None"] = "none";
    /** Sends basic telemetry data. */
    DiagnosticDataSubmissionMode["Basic"] = "basic";
    /** Sends enhanced telemetry data including usage and insights data. */
    DiagnosticDataSubmissionMode["Enhanced"] = "enhanced";
    /** Sends full telemetry data including diagnostic data, such as system state. */
    DiagnosticDataSubmissionMode["Full"] = "full";
})(DiagnosticDataSubmissionMode || (exports.DiagnosticDataSubmissionMode = DiagnosticDataSubmissionMode = {}));
// tslint:enable
// eslint-enable
