"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDictionary = exports.deserializeIntoDictionary = exports.createDictionaryFromDiscriminatorValue = void 0;
const resultTemplateDictionary_1 = require("./resultTemplateDictionary");
function createDictionaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.resultTemplateDictionary":
                    return resultTemplateDictionary_1.deserializeIntoResultTemplateDictionary;
            }
        }
    }
    return deserializeIntoDictionary;
}
exports.createDictionaryFromDiscriminatorValue = createDictionaryFromDiscriminatorValue;
function deserializeIntoDictionary(dictionary = {}) {
    return {
        "@odata.type": n => { dictionary.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDictionary = deserializeIntoDictionary;
function serializeDictionary(writer, dictionary = {}) {
    writer.writeStringValue("@odata.type", dictionary.odataType);
    writer.writeAdditionalData(dictionary.additionalData);
}
exports.serializeDictionary = serializeDictionary;
// tslint:enable
// eslint-enable
