import { DirectoryDefinitionDiscoverabilities } from './directoryDefinitionDiscoverabilities';
import { type Entity } from './entity';
import { type ObjectDefinition } from './objectDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryDefinition;
export declare function deserializeIntoDirectoryDefinition(directoryDefinition?: DirectoryDefinition | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryDefinition extends Entity, Parsable {
    /**
     * The discoverabilities property
     */
    discoverabilities?: DirectoryDefinitionDiscoverabilities[];
    /**
     * Represents the discovery date and time using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    discoveryDateTime?: Date;
    /**
     * Name of the directory. Must be unique within the synchronization schema. Not nullable.
     */
    name?: string;
    /**
     * Collection of objects supported by the directory.
     */
    objects?: ObjectDefinition[];
    /**
     * Whether this object is read-only.
     */
    readOnly?: boolean;
    /**
     * Read only value that indicates version discovered. null if discovery hasn't yet occurred.
     */
    version?: string;
}
export declare function serializeDirectoryDefinition(writer: SerializationWriter, directoryDefinition?: DirectoryDefinition | undefined): void;
