"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDirectoryObject = exports.deserializeIntoDirectoryObject = exports.createDirectoryObjectFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const activityBasedTimeoutPolicy_1 = require("./activityBasedTimeoutPolicy");
const administrativeUnit_1 = require("./administrativeUnit");
const application_1 = require("./application");
const appManagementPolicy_1 = require("./appManagementPolicy");
const appRoleAssignment_1 = require("./appRoleAssignment");
const authorizationPolicy_1 = require("./authorizationPolicy");
const claimsMappingPolicy_1 = require("./claimsMappingPolicy");
const contract_1 = require("./contract");
const crossTenantAccessPolicy_1 = require("./crossTenantAccessPolicy");
const device_1 = require("./device");
const directoryObjectPartnerReference_1 = require("./directoryObjectPartnerReference");
const directoryRole_1 = require("./directoryRole");
const directoryRoleTemplate_1 = require("./directoryRoleTemplate");
const endpoint_1 = require("./endpoint");
const entity_1 = require("./entity");
const extensionProperty_1 = require("./extensionProperty");
const group_1 = require("./group");
const groupSettingTemplate_1 = require("./groupSettingTemplate");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const identitySecurityDefaultsEnforcementPolicy_1 = require("./identitySecurityDefaultsEnforcementPolicy");
const organization_1 = require("./organization");
const orgContact_1 = require("./orgContact");
const permissionGrantPolicy_1 = require("./permissionGrantPolicy");
const policyBase_1 = require("./policyBase");
const resourceSpecificPermissionGrant_1 = require("./resourceSpecificPermissionGrant");
const servicePrincipal_1 = require("./servicePrincipal");
const stsPolicy_1 = require("./stsPolicy");
const tenantAppManagementPolicy_1 = require("./tenantAppManagementPolicy");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
const user_1 = require("./user");
function createDirectoryObjectFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.activityBasedTimeoutPolicy":
                    return activityBasedTimeoutPolicy_1.deserializeIntoActivityBasedTimeoutPolicy;
                case "#microsoft.graph.administrativeUnit":
                    return administrativeUnit_1.deserializeIntoAdministrativeUnit;
                case "#microsoft.graph.application":
                    return application_1.deserializeIntoApplication;
                case "#microsoft.graph.appManagementPolicy":
                    return appManagementPolicy_1.deserializeIntoAppManagementPolicy;
                case "#microsoft.graph.appRoleAssignment":
                    return appRoleAssignment_1.deserializeIntoAppRoleAssignment;
                case "#microsoft.graph.authorizationPolicy":
                    return authorizationPolicy_1.deserializeIntoAuthorizationPolicy;
                case "#microsoft.graph.claimsMappingPolicy":
                    return claimsMappingPolicy_1.deserializeIntoClaimsMappingPolicy;
                case "#microsoft.graph.contract":
                    return contract_1.deserializeIntoContract;
                case "#microsoft.graph.crossTenantAccessPolicy":
                    return crossTenantAccessPolicy_1.deserializeIntoCrossTenantAccessPolicy;
                case "#microsoft.graph.device":
                    return device_1.deserializeIntoDevice;
                case "#microsoft.graph.directoryObjectPartnerReference":
                    return directoryObjectPartnerReference_1.deserializeIntoDirectoryObjectPartnerReference;
                case "#microsoft.graph.directoryRole":
                    return directoryRole_1.deserializeIntoDirectoryRole;
                case "#microsoft.graph.directoryRoleTemplate":
                    return directoryRoleTemplate_1.deserializeIntoDirectoryRoleTemplate;
                case "#microsoft.graph.endpoint":
                    return endpoint_1.deserializeIntoEndpoint;
                case "#microsoft.graph.extensionProperty":
                    return extensionProperty_1.deserializeIntoExtensionProperty;
                case "#microsoft.graph.group":
                    return group_1.deserializeIntoGroup;
                case "#microsoft.graph.groupSettingTemplate":
                    return groupSettingTemplate_1.deserializeIntoGroupSettingTemplate;
                case "#microsoft.graph.homeRealmDiscoveryPolicy":
                    return homeRealmDiscoveryPolicy_1.deserializeIntoHomeRealmDiscoveryPolicy;
                case "#microsoft.graph.identitySecurityDefaultsEnforcementPolicy":
                    return identitySecurityDefaultsEnforcementPolicy_1.deserializeIntoIdentitySecurityDefaultsEnforcementPolicy;
                case "#microsoft.graph.organization":
                    return organization_1.deserializeIntoOrganization;
                case "#microsoft.graph.orgContact":
                    return orgContact_1.deserializeIntoOrgContact;
                case "#microsoft.graph.permissionGrantPolicy":
                    return permissionGrantPolicy_1.deserializeIntoPermissionGrantPolicy;
                case "#microsoft.graph.policyBase":
                    return policyBase_1.deserializeIntoPolicyBase;
                case "#microsoft.graph.resourceSpecificPermissionGrant":
                    return resourceSpecificPermissionGrant_1.deserializeIntoResourceSpecificPermissionGrant;
                case "#microsoft.graph.servicePrincipal":
                    return servicePrincipal_1.deserializeIntoServicePrincipal;
                case "#microsoft.graph.stsPolicy":
                    return stsPolicy_1.deserializeIntoStsPolicy;
                case "#microsoft.graph.tenantAppManagementPolicy":
                    return tenantAppManagementPolicy_1.deserializeIntoTenantAppManagementPolicy;
                case "#microsoft.graph.tokenIssuancePolicy":
                    return tokenIssuancePolicy_1.deserializeIntoTokenIssuancePolicy;
                case "#microsoft.graph.tokenLifetimePolicy":
                    return tokenLifetimePolicy_1.deserializeIntoTokenLifetimePolicy;
                case "#microsoft.graph.user":
                    return user_1.deserializeIntoUser;
            }
        }
    }
    return deserializeIntoDirectoryObject;
}
exports.createDirectoryObjectFromDiscriminatorValue = createDirectoryObjectFromDiscriminatorValue;
function deserializeIntoDirectoryObject(directoryObject = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(directoryObject)), { "deletedDateTime": n => { directoryObject.deletedDateTime = n.getDateValue(); } });
}
exports.deserializeIntoDirectoryObject = deserializeIntoDirectoryObject;
function serializeDirectoryObject(writer, directoryObject = {}) {
    (0, entity_1.serializeEntity)(writer, directoryObject);
    writer.writeDateValue("deletedDateTime", directoryObject.deletedDateTime);
}
exports.serializeDirectoryObject = serializeDirectoryObject;
// tslint:enable
// eslint-enable
