import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createDirectoryObjectPartnerReferenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryObjectPartnerReference;
export declare function deserializeIntoDirectoryObjectPartnerReference(directoryObjectPartnerReference?: DirectoryObjectPartnerReference | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryObjectPartnerReference extends DirectoryObject, Parsable {
    /**
     * Description of the object returned. Read-only.
     */
    description?: string;
    /**
     * Name of directory object being returned, like group or application. Read-only.
     */
    displayName?: string;
    /**
     * The tenant identifier for the partner tenant. Read-only.
     */
    externalPartnerTenantId?: Guid;
    /**
     * The type of the referenced object in the partner tenant. Read-only.
     */
    objectType?: string;
}
export declare function serializeDirectoryObjectPartnerReference(writer: SerializationWriter, directoryObjectPartnerReference?: DirectoryObjectPartnerReference | undefined): void;
