import { type DirectoryObject } from './directoryObject';
import { type ScopedRoleMembership } from './scopedRoleMembership';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryRoleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryRole;
export declare function deserializeIntoDirectoryRole(directoryRole?: DirectoryRole | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryRole extends DirectoryObject, Parsable {
    /**
     * The description for the directory role. Read-only. Supports $filter (eq), $search, $select.
     */
    description?: string;
    /**
     * The display name for the directory role. Read-only. Supports $filter (eq), $search, $select.
     */
    displayName?: string;
    /**
     * Users that are members of this directory role. HTTP Methods: GET, POST, DELETE. Read-only. Nullable. Supports $expand.
     */
    members?: DirectoryObject[];
    /**
     * The id of the directoryRoleTemplate that this role is based on. The property must be specified when activating a directory role in a tenant with a POST operation. After the directory role has been activated, the property is read only. Supports $filter (eq), $select.
     */
    roleTemplateId?: string;
    /**
     * Members of this directory role that are scoped to administrative units. Read-only. Nullable.
     */
    scopedMembers?: ScopedRoleMembership[];
}
export declare function serializeDirectoryRole(writer: SerializationWriter, directoryRole?: DirectoryRole | undefined): void;
