import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryRoleTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryRoleTemplate;
export declare function deserializeIntoDirectoryRoleTemplate(directoryRoleTemplate?: DirectoryRoleTemplate | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryRoleTemplate extends DirectoryObject, Parsable {
    /**
     * The description to set for the directory role. Read-only.
     */
    description?: string;
    /**
     * The display name to set for the directory role. Read-only.
     */
    displayName?: string;
}
export declare function serializeDirectoryRoleTemplate(writer: SerializationWriter, directoryRoleTemplate?: DirectoryRoleTemplate | undefined): void;
