import { type ColumnDefinition } from './columnDefinition';
import { type ContentTypeInfo } from './contentTypeInfo';
import { type DocumentSetContent } from './documentSetContent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDocumentSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSet;
export declare function deserializeIntoDocumentSet(documentSet?: DocumentSet | undefined): Record<string, (node: ParseNode) => void>;
export interface DocumentSet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Content types allowed in document set.
     */
    allowedContentTypes?: ContentTypeInfo[];
    /**
     * Default contents of document set.
     */
    defaultContents?: DocumentSetContent[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies whether to push welcome page changes to inherited content types.
     */
    propagateWelcomePageChanges?: boolean;
    /**
     * The sharedColumns property
     */
    sharedColumns?: ColumnDefinition[];
    /**
     * Indicates whether to add the name of the document set to each file name.
     */
    shouldPrefixNameToFile?: boolean;
    /**
     * The welcomePageColumns property
     */
    welcomePageColumns?: ColumnDefinition[];
    /**
     * Welcome page absolute URL.
     */
    welcomePageUrl?: string;
}
export declare function serializeDocumentSet(writer: SerializationWriter, documentSet?: DocumentSet | undefined): void;
