"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDocumentSet = exports.deserializeIntoDocumentSet = exports.createDocumentSetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const columnDefinition_1 = require("./columnDefinition");
const contentTypeInfo_1 = require("./contentTypeInfo");
const documentSetContent_1 = require("./documentSetContent");
function createDocumentSetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDocumentSet;
}
exports.createDocumentSetFromDiscriminatorValue = createDocumentSetFromDiscriminatorValue;
function deserializeIntoDocumentSet(documentSet = {}) {
    return {
        "allowedContentTypes": n => { documentSet.allowedContentTypes = n.getCollectionOfObjectValues(contentTypeInfo_1.createContentTypeInfoFromDiscriminatorValue); },
        "defaultContents": n => { documentSet.defaultContents = n.getCollectionOfObjectValues(documentSetContent_1.createDocumentSetContentFromDiscriminatorValue); },
        "@odata.type": n => { documentSet.odataType = n.getStringValue(); },
        "propagateWelcomePageChanges": n => { documentSet.propagateWelcomePageChanges = n.getBooleanValue(); },
        "sharedColumns": n => { documentSet.sharedColumns = n.getCollectionOfObjectValues(columnDefinition_1.createColumnDefinitionFromDiscriminatorValue); },
        "shouldPrefixNameToFile": n => { documentSet.shouldPrefixNameToFile = n.getBooleanValue(); },
        "welcomePageColumns": n => { documentSet.welcomePageColumns = n.getCollectionOfObjectValues(columnDefinition_1.createColumnDefinitionFromDiscriminatorValue); },
        "welcomePageUrl": n => { documentSet.welcomePageUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoDocumentSet = deserializeIntoDocumentSet;
function serializeDocumentSet(writer, documentSet = {}) {
    writer.writeCollectionOfObjectValues("allowedContentTypes", documentSet.allowedContentTypes, contentTypeInfo_1.serializeContentTypeInfo);
    writer.writeCollectionOfObjectValues("defaultContents", documentSet.defaultContents, documentSetContent_1.serializeDocumentSetContent);
    writer.writeStringValue("@odata.type", documentSet.odataType);
    writer.writeBooleanValue("propagateWelcomePageChanges", documentSet.propagateWelcomePageChanges);
    writer.writeCollectionOfObjectValues("sharedColumns", documentSet.sharedColumns, columnDefinition_1.serializeColumnDefinition);
    writer.writeBooleanValue("shouldPrefixNameToFile", documentSet.shouldPrefixNameToFile);
    writer.writeCollectionOfObjectValues("welcomePageColumns", documentSet.welcomePageColumns, columnDefinition_1.serializeColumnDefinition);
    writer.writeStringValue("welcomePageUrl", documentSet.welcomePageUrl);
    writer.writeAdditionalData(documentSet.additionalData);
}
exports.serializeDocumentSet = serializeDocumentSet;
// tslint:enable
// eslint-enable
