import { type ContentTypeInfo } from './contentTypeInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDocumentSetContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetContent;
export declare function deserializeIntoDocumentSetContent(documentSetContent?: DocumentSetContent | undefined): Record<string, (node: ParseNode) => void>;
export interface DocumentSetContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Content type information of the file.
     */
    contentType?: ContentTypeInfo;
    /**
     * Name of the file in resource folder that should be added as a default content or a template in the document set.
     */
    fileName?: string;
    /**
     * Folder name in which the file will be placed when a new document set is created in the library.
     */
    folderName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeDocumentSetContent(writer: SerializationWriter, documentSetContent?: DocumentSetContent | undefined): void;
