import { type DocumentSetVersionItem } from './documentSetVersionItem';
import { type IdentitySet } from './identitySet';
import { type ListItemVersion } from './listItemVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDocumentSetVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetVersion;
export declare function deserializeIntoDocumentSetVersion(documentSetVersion?: DocumentSetVersion | undefined): Record<string, (node: ParseNode) => void>;
export interface DocumentSetVersion extends ListItemVersion, Parsable {
    /**
     * Comment about the captured version.
     */
    comment?: string;
    /**
     * User who captured the version.
     */
    createdBy?: IdentitySet;
    /**
     * Date and time when this version was created.
     */
    createdDateTime?: Date;
    /**
     * Items within the document set that are captured as part of this version.
     */
    items?: DocumentSetVersionItem[];
    /**
     * If true, minor versions of items are also captured; otherwise, only major versions will be captured. Default value is false.
     */
    shouldCaptureMinorVersion?: boolean;
}
export declare function serializeDocumentSetVersion(writer: SerializationWriter, documentSetVersion?: DocumentSetVersion | undefined): void;
