import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDocumentSetVersionItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetVersionItem;
export declare function deserializeIntoDocumentSetVersionItem(documentSetVersionItem?: DocumentSetVersionItem | undefined): Record<string, (node: ParseNode) => void>;
export interface DocumentSetVersionItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier for the item.
     */
    itemId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The title of the item.
     */
    title?: string;
    /**
     * The version ID of the item.
     */
    versionId?: string;
}
export declare function serializeDocumentSetVersionItem(writer: SerializationWriter, documentSetVersionItem?: DocumentSetVersionItem | undefined): void;
