"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDomain = exports.deserializeIntoDomain = exports.createDomainFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const directoryObject_1 = require("./directoryObject");
const domainDnsRecord_1 = require("./domainDnsRecord");
const domainState_1 = require("./domainState");
const entity_1 = require("./entity");
const internalDomainFederation_1 = require("./internalDomainFederation");
function createDomainFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDomain;
}
exports.createDomainFromDiscriminatorValue = createDomainFromDiscriminatorValue;
function deserializeIntoDomain(domain = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(domain)), { "authenticationType": n => { domain.authenticationType = n.getStringValue(); }, "availabilityStatus": n => { domain.availabilityStatus = n.getStringValue(); }, "domainNameReferences": n => { domain.domainNameReferences = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "federationConfiguration": n => { domain.federationConfiguration = n.getCollectionOfObjectValues(internalDomainFederation_1.createInternalDomainFederationFromDiscriminatorValue); }, "isAdminManaged": n => { domain.isAdminManaged = n.getBooleanValue(); }, "isDefault": n => { domain.isDefault = n.getBooleanValue(); }, "isInitial": n => { domain.isInitial = n.getBooleanValue(); }, "isRoot": n => { domain.isRoot = n.getBooleanValue(); }, "isVerified": n => { domain.isVerified = n.getBooleanValue(); }, "manufacturer": n => { domain.manufacturer = n.getStringValue(); }, "model": n => { domain.model = n.getStringValue(); }, "passwordNotificationWindowInDays": n => { domain.passwordNotificationWindowInDays = n.getNumberValue(); }, "passwordValidityPeriodInDays": n => { domain.passwordValidityPeriodInDays = n.getNumberValue(); }, "serviceConfigurationRecords": n => { domain.serviceConfigurationRecords = n.getCollectionOfObjectValues(domainDnsRecord_1.createDomainDnsRecordFromDiscriminatorValue); }, "state": n => { domain.state = n.getObjectValue(domainState_1.createDomainStateFromDiscriminatorValue); }, "supportedServices": n => { domain.supportedServices = n.getCollectionOfPrimitiveValues(); }, "verificationDnsRecords": n => { domain.verificationDnsRecords = n.getCollectionOfObjectValues(domainDnsRecord_1.createDomainDnsRecordFromDiscriminatorValue); } });
}
exports.deserializeIntoDomain = deserializeIntoDomain;
function serializeDomain(writer, domain = {}) {
    (0, entity_1.serializeEntity)(writer, domain);
    writer.writeStringValue("authenticationType", domain.authenticationType);
    writer.writeStringValue("availabilityStatus", domain.availabilityStatus);
    writer.writeCollectionOfObjectValues("domainNameReferences", domain.domainNameReferences, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("federationConfiguration", domain.federationConfiguration, internalDomainFederation_1.serializeInternalDomainFederation);
    writer.writeBooleanValue("isAdminManaged", domain.isAdminManaged);
    writer.writeBooleanValue("isDefault", domain.isDefault);
    writer.writeBooleanValue("isInitial", domain.isInitial);
    writer.writeBooleanValue("isRoot", domain.isRoot);
    writer.writeBooleanValue("isVerified", domain.isVerified);
    writer.writeStringValue("manufacturer", domain.manufacturer);
    writer.writeStringValue("model", domain.model);
    writer.writeNumberValue("passwordNotificationWindowInDays", domain.passwordNotificationWindowInDays);
    writer.writeNumberValue("passwordValidityPeriodInDays", domain.passwordValidityPeriodInDays);
    writer.writeCollectionOfObjectValues("serviceConfigurationRecords", domain.serviceConfigurationRecords, domainDnsRecord_1.serializeDomainDnsRecord);
    writer.writeObjectValue("state", domain.state, domainState_1.serializeDomainState);
    writer.writeCollectionOfPrimitiveValues("supportedServices", domain.supportedServices);
    writer.writeCollectionOfObjectValues("verificationDnsRecords", domain.verificationDnsRecords, domainDnsRecord_1.serializeDomainDnsRecord);
}
exports.serializeDomain = serializeDomain;
// tslint:enable
// eslint-enable
