import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsMxRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsMxRecord;
export declare function deserializeIntoDomainDnsMxRecord(domainDnsMxRecord?: DomainDnsMxRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsMxRecord extends DomainDnsRecord, Parsable {
    /**
     * Value used when configuring the answer/destination/value of the MX record at the DNS host.
     */
    mailExchange?: string;
    /**
     * Value used when configuring the Preference/Priority property of the MX record at the DNS host.
     */
    preference?: number;
}
export declare function serializeDomainDnsMxRecord(writer: SerializationWriter, domainDnsMxRecord?: DomainDnsMxRecord | undefined): void;
