import { deserializeIntoDomainDnsCnameRecord } from './domainDnsCnameRecord';
import { deserializeIntoDomainDnsMxRecord } from './domainDnsMxRecord';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsCnameRecord | typeof deserializeIntoDomainDnsMxRecord;
export declare function deserializeIntoDomainDnsRecord(domainDnsRecord?: DomainDnsRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsRecord extends Entity, Parsable {
    /**
     * If false, this record must be configured by the customer at the DNS host for Microsoft Online Services to operate correctly with the domain.
     */
    isOptional?: boolean;
    /**
     * Value used when configuring the name of the DNS record at the DNS host.
     */
    label?: string;
    /**
     * Indicates what type of DNS record this entity represents. The value can be CName, Mx, Srv, or Txt.
     */
    recordType?: string;
    /**
     * Microsoft Online Service or feature that has a dependency on this DNS record. Can be one of the following values: null, Email, Sharepoint, EmailInternalRelayOnly, OfficeCommunicationsOnline, SharePointDefaultDomain, FullRedelegation, SharePointPublic, OrgIdAuthentication, Yammer, Intune.
     */
    supportedService?: string;
    /**
     * Value to use when configuring the time-to-live (ttl) property of the DNS record at the DNS host. Not nullable.
     */
    ttl?: number;
}
export declare function serializeDomainDnsRecord(writer: SerializationWriter, domainDnsRecord?: DomainDnsRecord | undefined): void;
