import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsSrvRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsSrvRecord;
export declare function deserializeIntoDomainDnsSrvRecord(domainDnsSrvRecord?: DomainDnsSrvRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsSrvRecord extends DomainDnsRecord, Parsable {
    /**
     * Value to use when configuring the Target property of the SRV record at the DNS host.
     */
    nameTarget?: string;
    /**
     * Value to use when configuring the port property of the SRV record at the DNS host.
     */
    port?: number;
    /**
     * Value to use when configuring the priority property of the SRV record at the DNS host.
     */
    priority?: number;
    /**
     * Value to use when configuring the protocol property of the SRV record at the DNS host.
     */
    protocol?: string;
    /**
     * Value to use when configuring the service property of the SRV record at the DNS host.
     */
    service?: string;
    /**
     * Value to use when configuring the weight property of the SRV record at the DNS host.
     */
    weight?: number;
}
export declare function serializeDomainDnsSrvRecord(writer: SerializationWriter, domainDnsSrvRecord?: DomainDnsSrvRecord | undefined): void;
