import { type IdentitySource } from './identitySource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainIdentitySourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainIdentitySource;
export declare function deserializeIntoDomainIdentitySource(domainIdentitySource?: DomainIdentitySource | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainIdentitySource extends IdentitySource, Parsable {
    /**
     * The name of the identity source, typically also the domain name. Read only.
     */
    displayName?: string;
    /**
     * The domain name. Read only.
     */
    domainName?: string;
}
export declare function serializeDomainIdentitySource(writer: SerializationWriter, domainIdentitySource?: DomainIdentitySource | undefined): void;
