"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDomainState = exports.deserializeIntoDomainState = exports.createDomainStateFromDiscriminatorValue = void 0;
function createDomainStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDomainState;
}
exports.createDomainStateFromDiscriminatorValue = createDomainStateFromDiscriminatorValue;
function deserializeIntoDomainState(domainState = {}) {
    return {
        "lastActionDateTime": n => { domainState.lastActionDateTime = n.getDateValue(); },
        "@odata.type": n => { domainState.odataType = n.getStringValue(); },
        "operation": n => { domainState.operation = n.getStringValue(); },
        "status": n => { domainState.status = n.getStringValue(); },
    };
}
exports.deserializeIntoDomainState = deserializeIntoDomainState;
function serializeDomainState(writer, domainState = {}) {
    writer.writeDateValue("lastActionDateTime", domainState.lastActionDateTime);
    writer.writeStringValue("@odata.type", domainState.odataType);
    writer.writeStringValue("operation", domainState.operation);
    writer.writeStringValue("status", domainState.status);
    writer.writeAdditionalData(domainState.additionalData);
}
exports.serializeDomainState = serializeDomainState;
// tslint:enable
// eslint-enable
