"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDriveItem = exports.deserializeIntoDriveItem = exports.createDriveItemFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const audio_1 = require("./audio");
const baseItem_1 = require("./baseItem");
const bundle_1 = require("./bundle");
const deleted_1 = require("./deleted");
const driveItemVersion_1 = require("./driveItemVersion");
const file_1 = require("./file");
const fileSystemInfo_1 = require("./fileSystemInfo");
const folder_1 = require("./folder");
const geoCoordinates_1 = require("./geoCoordinates");
const image_1 = require("./image");
const itemAnalytics_1 = require("./itemAnalytics");
const itemRetentionLabel_1 = require("./itemRetentionLabel");
const listItem_1 = require("./listItem");
const malware_1 = require("./malware");
const packageEscaped_1 = require("./packageEscaped");
const pendingOperations_1 = require("./pendingOperations");
const permission_1 = require("./permission");
const photo_1 = require("./photo");
const publicationFacet_1 = require("./publicationFacet");
const remoteItem_1 = require("./remoteItem");
const root_1 = require("./root");
const searchResult_1 = require("./searchResult");
const shared_1 = require("./shared");
const sharepointIds_1 = require("./sharepointIds");
const specialFolder_1 = require("./specialFolder");
const subscription_1 = require("./subscription");
const thumbnailSet_1 = require("./thumbnailSet");
const video_1 = require("./video");
const workbook_1 = require("./workbook");
function createDriveItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDriveItem;
}
exports.createDriveItemFromDiscriminatorValue = createDriveItemFromDiscriminatorValue;
function deserializeIntoDriveItem(driveItem = {}) {
    return Object.assign(Object.assign({}, (0, baseItem_1.deserializeIntoBaseItem)(driveItem)), { "analytics": n => { driveItem.analytics = n.getObjectValue(itemAnalytics_1.createItemAnalyticsFromDiscriminatorValue); }, "audio": n => { driveItem.audio = n.getObjectValue(audio_1.createAudioFromDiscriminatorValue); }, "bundle": n => { driveItem.bundle = n.getObjectValue(bundle_1.createBundleFromDiscriminatorValue); }, "children": n => { driveItem.children = n.getCollectionOfObjectValues(createDriveItemFromDiscriminatorValue); }, "content": n => { driveItem.content = n.getStringValue(); }, "cTag": n => { driveItem.cTag = n.getStringValue(); }, "deleted": n => { driveItem.deleted = n.getObjectValue(deleted_1.createDeletedFromDiscriminatorValue); }, "file": n => { driveItem.file = n.getObjectValue(file_1.createFileFromDiscriminatorValue); }, "fileSystemInfo": n => { driveItem.fileSystemInfo = n.getObjectValue(fileSystemInfo_1.createFileSystemInfoFromDiscriminatorValue); }, "folder": n => { driveItem.folder = n.getObjectValue(folder_1.createFolderFromDiscriminatorValue); }, "image": n => { driveItem.image = n.getObjectValue(image_1.createImageFromDiscriminatorValue); }, "listItem": n => { driveItem.listItem = n.getObjectValue(listItem_1.createListItemFromDiscriminatorValue); }, "location": n => { driveItem.location = n.getObjectValue(geoCoordinates_1.createGeoCoordinatesFromDiscriminatorValue); }, "malware": n => { driveItem.malware = n.getObjectValue(malware_1.createMalwareFromDiscriminatorValue); }, "package": n => { driveItem.packageEscaped = n.getObjectValue(packageEscaped_1.createPackageEscapedFromDiscriminatorValue); }, "pendingOperations": n => { driveItem.pendingOperations = n.getObjectValue(pendingOperations_1.createPendingOperationsFromDiscriminatorValue); }, "permissions": n => { driveItem.permissions = n.getCollectionOfObjectValues(permission_1.createPermissionFromDiscriminatorValue); }, "photo": n => { driveItem.photo = n.getObjectValue(photo_1.createPhotoFromDiscriminatorValue); }, "publication": n => { driveItem.publication = n.getObjectValue(publicationFacet_1.createPublicationFacetFromDiscriminatorValue); }, "remoteItem": n => { driveItem.remoteItem = n.getObjectValue(remoteItem_1.createRemoteItemFromDiscriminatorValue); }, "retentionLabel": n => { driveItem.retentionLabel = n.getObjectValue(itemRetentionLabel_1.createItemRetentionLabelFromDiscriminatorValue); }, "root": n => { driveItem.root = n.getObjectValue(root_1.createRootFromDiscriminatorValue); }, "searchResult": n => { driveItem.searchResult = n.getObjectValue(searchResult_1.createSearchResultFromDiscriminatorValue); }, "shared": n => { driveItem.shared = n.getObjectValue(shared_1.createSharedFromDiscriminatorValue); }, "sharepointIds": n => { driveItem.sharepointIds = n.getObjectValue(sharepointIds_1.createSharepointIdsFromDiscriminatorValue); }, "size": n => { driveItem.size = n.getNumberValue(); }, "specialFolder": n => { driveItem.specialFolder = n.getObjectValue(specialFolder_1.createSpecialFolderFromDiscriminatorValue); }, "subscriptions": n => { driveItem.subscriptions = n.getCollectionOfObjectValues(subscription_1.createSubscriptionFromDiscriminatorValue); }, "thumbnails": n => { driveItem.thumbnails = n.getCollectionOfObjectValues(thumbnailSet_1.createThumbnailSetFromDiscriminatorValue); }, "versions": n => { driveItem.versions = n.getCollectionOfObjectValues(driveItemVersion_1.createDriveItemVersionFromDiscriminatorValue); }, "video": n => { driveItem.video = n.getObjectValue(video_1.createVideoFromDiscriminatorValue); }, "webDavUrl": n => { driveItem.webDavUrl = n.getStringValue(); }, "workbook": n => { driveItem.workbook = n.getObjectValue(workbook_1.createWorkbookFromDiscriminatorValue); } });
}
exports.deserializeIntoDriveItem = deserializeIntoDriveItem;
function serializeDriveItem(writer, driveItem = {}) {
    (0, baseItem_1.serializeBaseItem)(writer, driveItem);
    writer.writeObjectValue("analytics", driveItem.analytics, itemAnalytics_1.serializeItemAnalytics);
    writer.writeObjectValue("audio", driveItem.audio, audio_1.serializeAudio);
    writer.writeObjectValue("bundle", driveItem.bundle, bundle_1.serializeBundle);
    writer.writeCollectionOfObjectValues("children", driveItem.children, serializeDriveItem);
    writer.writeStringValue("content", driveItem.content);
    writer.writeStringValue("cTag", driveItem.cTag);
    writer.writeObjectValue("deleted", driveItem.deleted, deleted_1.serializeDeleted);
    writer.writeObjectValue("file", driveItem.file, file_1.serializeFile);
    writer.writeObjectValue("fileSystemInfo", driveItem.fileSystemInfo, fileSystemInfo_1.serializeFileSystemInfo);
    writer.writeObjectValue("folder", driveItem.folder, folder_1.serializeFolder);
    writer.writeObjectValue("image", driveItem.image, image_1.serializeImage);
    writer.writeObjectValue("listItem", driveItem.listItem, listItem_1.serializeListItem);
    writer.writeObjectValue("location", driveItem.location, geoCoordinates_1.serializeGeoCoordinates);
    writer.writeObjectValue("malware", driveItem.malware, malware_1.serializeMalware);
    writer.writeObjectValue("package", driveItem.packageEscaped, packageEscaped_1.serializePackageEscaped);
    writer.writeObjectValue("pendingOperations", driveItem.pendingOperations, pendingOperations_1.serializePendingOperations);
    writer.writeCollectionOfObjectValues("permissions", driveItem.permissions, permission_1.serializePermission);
    writer.writeObjectValue("photo", driveItem.photo, photo_1.serializePhoto);
    writer.writeObjectValue("publication", driveItem.publication, publicationFacet_1.serializePublicationFacet);
    writer.writeObjectValue("remoteItem", driveItem.remoteItem, remoteItem_1.serializeRemoteItem);
    writer.writeObjectValue("retentionLabel", driveItem.retentionLabel, itemRetentionLabel_1.serializeItemRetentionLabel);
    writer.writeObjectValue("root", driveItem.root, root_1.serializeRoot);
    writer.writeObjectValue("searchResult", driveItem.searchResult, searchResult_1.serializeSearchResult);
    writer.writeObjectValue("shared", driveItem.shared, shared_1.serializeShared);
    writer.writeObjectValue("sharepointIds", driveItem.sharepointIds, sharepointIds_1.serializeSharepointIds);
    writer.writeNumberValue("size", driveItem.size);
    writer.writeObjectValue("specialFolder", driveItem.specialFolder, specialFolder_1.serializeSpecialFolder);
    writer.writeCollectionOfObjectValues("subscriptions", driveItem.subscriptions, subscription_1.serializeSubscription);
    writer.writeCollectionOfObjectValues("thumbnails", driveItem.thumbnails, thumbnailSet_1.serializeThumbnailSet);
    writer.writeCollectionOfObjectValues("versions", driveItem.versions, driveItemVersion_1.serializeDriveItemVersion);
    writer.writeObjectValue("video", driveItem.video, video_1.serializeVideo);
    writer.writeStringValue("webDavUrl", driveItem.webDavUrl);
    writer.writeObjectValue("workbook", driveItem.workbook, workbook_1.serializeWorkbook);
}
exports.serializeDriveItem = serializeDriveItem;
// tslint:enable
// eslint-enable
