import { type BaseItemVersion } from './baseItemVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDriveItemVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDriveItemVersion;
export declare function deserializeIntoDriveItemVersion(driveItemVersion?: DriveItemVersion | undefined): Record<string, (node: ParseNode) => void>;
export interface DriveItemVersion extends BaseItemVersion, Parsable {
    /**
     * The content stream for this version of the item.
     */
    content?: string;
    /**
     * Indicates the size of the content stream for this version of the item.
     */
    size?: number;
}
export declare function serializeDriveItemVersion(writer: SerializationWriter, driveItemVersion?: DriveItemVersion | undefined): void;
