import { type DeviceConfiguration } from './deviceConfiguration';
import { EditionUpgradeLicenseType } from './editionUpgradeLicenseType';
import { Windows10EditionType } from './windows10EditionType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEditionUpgradeConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEditionUpgradeConfiguration;
export declare function deserializeIntoEditionUpgradeConfiguration(editionUpgradeConfiguration?: EditionUpgradeConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface EditionUpgradeConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Edition Upgrade License File Content.
     */
    license?: string;
    /**
     * Edition Upgrade License type
     */
    licenseType?: EditionUpgradeLicenseType;
    /**
     * Edition Upgrade Product Key.
     */
    productKey?: string;
    /**
     * Windows 10 Edition type.
     */
    targetEdition?: Windows10EditionType;
}
export declare function serializeEditionUpgradeConfiguration(writer: SerializationWriter, editionUpgradeConfiguration?: EditionUpgradeConfiguration | undefined): void;
