import { deserializeIntoEducationAssignmentPointsGrade } from './educationAssignmentPointsGrade';
import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentGradeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentPointsGrade;
export declare function deserializeIntoEducationAssignmentGrade(educationAssignmentGrade?: EducationAssignmentGrade | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentGrade extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * User who did the grading.
     */
    gradedBy?: IdentitySet;
    /**
     * Moment in time when the grade was applied to this submission object. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    gradedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationAssignmentGrade(writer: SerializationWriter, educationAssignmentGrade?: EducationAssignmentGrade | undefined): void;
