import { type EducationResource } from './educationResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentResource;
export declare function deserializeIntoEducationAssignmentResource(educationAssignmentResource?: EducationAssignmentResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentResource extends Entity, Parsable {
    /**
     * Indicates whether this resource should be copied to each student submission for modification and submission. Required
     */
    distributeForStudentWork?: boolean;
    /**
     * Resource object that has been associated with this assignment.
     */
    resource?: EducationResource;
}
export declare function serializeEducationAssignmentResource(writer: SerializationWriter, educationAssignmentResource?: EducationAssignmentResource | undefined): void;
