import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationCourseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationCourse;
export declare function deserializeIntoEducationCourse(educationCourse?: EducationCourse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationCourse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Unique identifier for the course.
     */
    courseNumber?: string;
    /**
     * Description of the course.
     */
    description?: string;
    /**
     * Name of the course.
     */
    displayName?: string;
    /**
     * ID of the course from the syncing system.
     */
    externalId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Subject of the course.
     */
    subject?: string;
}
export declare function serializeEducationCourse(writer: SerializationWriter, educationCourse?: EducationCourse | undefined): void;
