import { type EducationFeedback } from './educationFeedback';
import { type EducationOutcome } from './educationOutcome';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationFeedbackOutcomeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationFeedbackOutcome;
export declare function deserializeIntoEducationFeedbackOutcome(educationFeedbackOutcome?: EducationFeedbackOutcome | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationFeedbackOutcome extends EducationOutcome, Parsable {
    /**
     * Teacher's written feedback to the student.
     */
    feedback?: EducationFeedback;
    /**
     * A copy of the feedback property that is made when the grade is released to the student.
     */
    publishedFeedback?: EducationFeedback;
}
export declare function serializeEducationFeedbackOutcome(writer: SerializationWriter, educationFeedbackOutcome?: EducationFeedbackOutcome | undefined): void;
