import { EducationFeedbackResourceOutcomeStatus } from './educationFeedbackResourceOutcomeStatus';
import { type EducationOutcome } from './educationOutcome';
import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationFeedbackResourceOutcomeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationFeedbackResourceOutcome;
export declare function deserializeIntoEducationFeedbackResourceOutcome(educationFeedbackResourceOutcome?: EducationFeedbackResourceOutcome | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationFeedbackResourceOutcome extends EducationOutcome, Parsable {
    /**
     * The actual feedback resource.
     */
    feedbackResource?: EducationResource;
    /**
     * The status of the feedback resource. The possible values are: notPublished, pendingPublish, published, failedPublish, unknownFutureValue.
     */
    resourceStatus?: EducationFeedbackResourceOutcomeStatus;
}
export declare function serializeEducationFeedbackResourceOutcome(writer: SerializationWriter, educationFeedbackResourceOutcome?: EducationFeedbackResourceOutcome | undefined): void;
