import { EducationExternalSource } from './educationExternalSource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationOrganizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationOrganization;
export declare function deserializeIntoEducationOrganization(educationOrganization?: EducationOrganization | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationOrganization extends Entity, Parsable {
    /**
     * Organization description.
     */
    description?: string;
    /**
     * Organization display name.
     */
    displayName?: string;
    /**
     * Source where this organization was created from. Possible values are: sis, manual.
     */
    externalSource?: EducationExternalSource;
    /**
     * The name of the external source this resource was generated from.
     */
    externalSourceDetail?: string;
}
export declare function serializeEducationOrganization(writer: SerializationWriter, educationOrganization?: EducationOrganization | undefined): void;
