import { deserializeIntoEducationFeedbackOutcome } from './educationFeedbackOutcome';
import { deserializeIntoEducationFeedbackResourceOutcome } from './educationFeedbackResourceOutcome';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationOutcomeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationFeedbackOutcome | typeof deserializeIntoEducationFeedbackResourceOutcome;
export declare function deserializeIntoEducationOutcome(educationOutcome?: EducationOutcome | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationOutcome extends Entity, Parsable {
    /**
     * The individual who updated the resource.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The moment in time when the resource was last modified. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2021 is 2021-01-01T00:00:00Z.
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeEducationOutcome(writer: SerializationWriter, educationOutcome?: EducationOutcome | undefined): void;
