import { type EducationAssignmentPointsGrade } from './educationAssignmentPointsGrade';
import { type EducationOutcome } from './educationOutcome';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationPointsOutcomeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationPointsOutcome;
export declare function deserializeIntoEducationPointsOutcome(educationPointsOutcome?: EducationPointsOutcome | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationPointsOutcome extends EducationOutcome, Parsable {
    /**
     * The numeric grade the teacher has given the student for this assignment.
     */
    points?: EducationAssignmentPointsGrade;
    /**
     * A copy of the points property that is made when the grade is released to the student.
     */
    publishedPoints?: EducationAssignmentPointsGrade;
}
export declare function serializeEducationPointsOutcome(writer: SerializationWriter, educationPointsOutcome?: EducationPointsOutcome | undefined): void;
