import { deserializeIntoEducationExcelResource } from './educationExcelResource';
import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationExcelResource;
export declare function deserializeIntoEducationResource(educationResource?: EducationResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationResource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The individual who created the resource.
     */
    createdBy?: IdentitySet;
    /**
     * Moment in time when the resource was created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    createdDateTime?: Date;
    /**
     * Display name of resource.
     */
    displayName?: string;
    /**
     * The last user to modify the resource.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * Moment in time when the resource was last modified.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastModifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationResource(writer: SerializationWriter, educationResource?: EducationResource | undefined): void;
