"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEducationResource = exports.deserializeIntoEducationResource = exports.createEducationResourceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const educationExcelResource_1 = require("./educationExcelResource");
const educationExternalResource_1 = require("./educationExternalResource");
const educationFileResource_1 = require("./educationFileResource");
const educationLinkResource_1 = require("./educationLinkResource");
const educationMediaResource_1 = require("./educationMediaResource");
const educationPowerPointResource_1 = require("./educationPowerPointResource");
const educationTeamsAppResource_1 = require("./educationTeamsAppResource");
const educationWordResource_1 = require("./educationWordResource");
const identitySet_1 = require("./identitySet");
function createEducationResourceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.educationExcelResource":
                    return educationExcelResource_1.deserializeIntoEducationExcelResource;
                case "#microsoft.graph.educationExternalResource":
                    return educationExternalResource_1.deserializeIntoEducationExternalResource;
                case "#microsoft.graph.educationFileResource":
                    return educationFileResource_1.deserializeIntoEducationFileResource;
                case "#microsoft.graph.educationLinkResource":
                    return educationLinkResource_1.deserializeIntoEducationLinkResource;
                case "#microsoft.graph.educationMediaResource":
                    return educationMediaResource_1.deserializeIntoEducationMediaResource;
                case "#microsoft.graph.educationPowerPointResource":
                    return educationPowerPointResource_1.deserializeIntoEducationPowerPointResource;
                case "#microsoft.graph.educationTeamsAppResource":
                    return educationTeamsAppResource_1.deserializeIntoEducationTeamsAppResource;
                case "#microsoft.graph.educationWordResource":
                    return educationWordResource_1.deserializeIntoEducationWordResource;
            }
        }
    }
    return deserializeIntoEducationResource;
}
exports.createEducationResourceFromDiscriminatorValue = createEducationResourceFromDiscriminatorValue;
function deserializeIntoEducationResource(educationResource = {}) {
    return {
        "createdBy": n => { educationResource.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); },
        "createdDateTime": n => { educationResource.createdDateTime = n.getDateValue(); },
        "displayName": n => { educationResource.displayName = n.getStringValue(); },
        "lastModifiedBy": n => { educationResource.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); },
        "lastModifiedDateTime": n => { educationResource.lastModifiedDateTime = n.getDateValue(); },
        "@odata.type": n => { educationResource.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoEducationResource = deserializeIntoEducationResource;
function serializeEducationResource(writer, educationResource = {}) {
    writer.writeStringValue("displayName", educationResource.displayName);
    writer.writeStringValue("@odata.type", educationResource.odataType);
    writer.writeAdditionalData(educationResource.additionalData);
}
exports.serializeEducationResource = serializeEducationResource;
// tslint:enable
// eslint-enable
