import { type EducationClass } from './educationClass';
import { type EducationSchool } from './educationSchool';
import { type EducationUser } from './educationUser';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationRoot;
export declare function deserializeIntoEducationRoot(educationRoot?: EducationRoot | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationRoot extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The classes property
     */
    classes?: EducationClass[];
    /**
     * The me property
     */
    me?: EducationUser;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The schools property
     */
    schools?: EducationSchool[];
    /**
     * The users property
     */
    users?: EducationUser[];
}
export declare function serializeEducationRoot(writer: SerializationWriter, educationRoot?: EducationRoot | undefined): void;
