import { type EducationOutcome } from './educationOutcome';
import { type RubricQualityFeedbackModel } from './rubricQualityFeedbackModel';
import { type RubricQualitySelectedColumnModel } from './rubricQualitySelectedColumnModel';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationRubricOutcomeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationRubricOutcome;
export declare function deserializeIntoEducationRubricOutcome(educationRubricOutcome?: EducationRubricOutcome | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationRubricOutcome extends EducationOutcome, Parsable {
    /**
     * A copy of the rubricQualityFeedback property that is made when the grade is released to the student.
     */
    publishedRubricQualityFeedback?: RubricQualityFeedbackModel[];
    /**
     * A copy of the rubricQualitySelectedLevels property that is made when the grade is released to the student.
     */
    publishedRubricQualitySelectedLevels?: RubricQualitySelectedColumnModel[];
    /**
     * A collection of specific feedback for each quality of this rubric.
     */
    rubricQualityFeedback?: RubricQualityFeedbackModel[];
    /**
     * The level that the teacher has selected for each quality while grading this assignment.
     */
    rubricQualitySelectedLevels?: RubricQualitySelectedColumnModel[];
}
export declare function serializeEducationRubricOutcome(writer: SerializationWriter, educationRubricOutcome?: EducationRubricOutcome | undefined): void;
