import { type AdministrativeUnit } from './administrativeUnit';
import { type EducationClass } from './educationClass';
import { type EducationOrganization } from './educationOrganization';
import { type EducationUser } from './educationUser';
import { type IdentitySet } from './identitySet';
import { type PhysicalAddress } from './physicalAddress';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSchoolFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSchool;
export declare function deserializeIntoEducationSchool(educationSchool?: EducationSchool | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSchool extends EducationOrganization, Parsable {
    /**
     * Address of the school.
     */
    address?: PhysicalAddress;
    /**
     * The underlying administrativeUnit for this school.
     */
    administrativeUnit?: AdministrativeUnit;
    /**
     * Classes taught at the school. Nullable.
     */
    classes?: EducationClass[];
    /**
     * Entity who created the school.
     */
    createdBy?: IdentitySet;
    /**
     * ID of school in syncing system.
     */
    externalId?: string;
    /**
     * ID of principal in syncing system.
     */
    externalPrincipalId?: string;
    /**
     * The fax property
     */
    fax?: string;
    /**
     * Highest grade taught.
     */
    highestGrade?: string;
    /**
     * Lowest grade taught.
     */
    lowestGrade?: string;
    /**
     * Phone number of school.
     */
    phone?: string;
    /**
     * Email address of the principal.
     */
    principalEmail?: string;
    /**
     * Name of the principal.
     */
    principalName?: string;
    /**
     * School Number.
     */
    schoolNumber?: string;
    /**
     * Users in the school. Nullable.
     */
    users?: EducationUser[];
}
export declare function serializeEducationSchool(writer: SerializationWriter, educationSchool?: EducationSchool | undefined): void;
