import { type EducationResource } from './educationResource';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSubmissionResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSubmissionResource;
export declare function deserializeIntoEducationSubmissionResource(educationSubmissionResource?: EducationSubmissionResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSubmissionResource extends Entity, Parsable {
    /**
     * Pointer to the assignment from which the resource was copied, and if null, the student uploaded the resource.
     */
    assignmentResourceUrl?: string;
    /**
     * Resource object.
     */
    resource?: EducationResource;
}
export declare function serializeEducationSubmissionResource(writer: SerializationWriter, educationSubmissionResource?: EducationSubmissionResource | undefined): void;
