import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationTeamsAppResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationTeamsAppResource;
export declare function deserializeIntoEducationTeamsAppResource(educationTeamsAppResource?: EducationTeamsAppResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationTeamsAppResource extends EducationResource, Parsable {
    /**
     * URL that points to the icon of the app.
     */
    appIconWebUrl?: string;
    /**
     * Teams app ID of the application.
     */
    appId?: string;
    /**
     * URL for the app resource that will be opened by Teams.
     */
    teamsEmbeddedContentUrl?: string;
    /**
     * URL for the app resource that can be opened in the browser.
     */
    webUrl?: string;
}
export declare function serializeEducationTeamsAppResource(writer: SerializationWriter, educationTeamsAppResource?: EducationTeamsAppResource | undefined): void;
