import { type AdditionalDataHolder, type DateOnly, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationTermFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationTerm;
export declare function deserializeIntoEducationTerm(educationTerm?: EducationTerm | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationTerm extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name of the term.
     */
    displayName?: string;
    /**
     * End of the term.
     */
    endDate?: DateOnly;
    /**
     * ID of term in the syncing system.
     */
    externalId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Start of the term.
     */
    startDate?: DateOnly;
}
export declare function serializeEducationTerm(writer: SerializationWriter, educationTerm?: EducationTerm | undefined): void;
