"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEducationUser = exports.deserializeIntoEducationUser = exports.createEducationUserFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const assignedLicense_1 = require("./assignedLicense");
const assignedPlan_1 = require("./assignedPlan");
const educationAssignment_1 = require("./educationAssignment");
const educationClass_1 = require("./educationClass");
const educationExternalSource_1 = require("./educationExternalSource");
const educationOnPremisesInfo_1 = require("./educationOnPremisesInfo");
const educationRubric_1 = require("./educationRubric");
const educationSchool_1 = require("./educationSchool");
const educationStudent_1 = require("./educationStudent");
const educationTeacher_1 = require("./educationTeacher");
const educationUserRole_1 = require("./educationUserRole");
const entity_1 = require("./entity");
const identitySet_1 = require("./identitySet");
const passwordProfile_1 = require("./passwordProfile");
const physicalAddress_1 = require("./physicalAddress");
const provisionedPlan_1 = require("./provisionedPlan");
const relatedContact_1 = require("./relatedContact");
const user_1 = require("./user");
function createEducationUserFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEducationUser;
}
exports.createEducationUserFromDiscriminatorValue = createEducationUserFromDiscriminatorValue;
function deserializeIntoEducationUser(educationUser = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(educationUser)), { "accountEnabled": n => { educationUser.accountEnabled = n.getBooleanValue(); }, "assignedLicenses": n => { educationUser.assignedLicenses = n.getCollectionOfObjectValues(assignedLicense_1.createAssignedLicenseFromDiscriminatorValue); }, "assignedPlans": n => { educationUser.assignedPlans = n.getCollectionOfObjectValues(assignedPlan_1.createAssignedPlanFromDiscriminatorValue); }, "assignments": n => { educationUser.assignments = n.getCollectionOfObjectValues(educationAssignment_1.createEducationAssignmentFromDiscriminatorValue); }, "businessPhones": n => { educationUser.businessPhones = n.getCollectionOfPrimitiveValues(); }, "classes": n => { educationUser.classes = n.getCollectionOfObjectValues(educationClass_1.createEducationClassFromDiscriminatorValue); }, "createdBy": n => { educationUser.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "department": n => { educationUser.department = n.getStringValue(); }, "displayName": n => { educationUser.displayName = n.getStringValue(); }, "externalSource": n => { educationUser.externalSource = n.getEnumValue(educationExternalSource_1.EducationExternalSource); }, "externalSourceDetail": n => { educationUser.externalSourceDetail = n.getStringValue(); }, "givenName": n => { educationUser.givenName = n.getStringValue(); }, "mail": n => { educationUser.mail = n.getStringValue(); }, "mailingAddress": n => { educationUser.mailingAddress = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "mailNickname": n => { educationUser.mailNickname = n.getStringValue(); }, "middleName": n => { educationUser.middleName = n.getStringValue(); }, "mobilePhone": n => { educationUser.mobilePhone = n.getStringValue(); }, "officeLocation": n => { educationUser.officeLocation = n.getStringValue(); }, "onPremisesInfo": n => { educationUser.onPremisesInfo = n.getObjectValue(educationOnPremisesInfo_1.createEducationOnPremisesInfoFromDiscriminatorValue); }, "passwordPolicies": n => { educationUser.passwordPolicies = n.getStringValue(); }, "passwordProfile": n => { educationUser.passwordProfile = n.getObjectValue(passwordProfile_1.createPasswordProfileFromDiscriminatorValue); }, "preferredLanguage": n => { educationUser.preferredLanguage = n.getStringValue(); }, "primaryRole": n => { educationUser.primaryRole = n.getEnumValue(educationUserRole_1.EducationUserRole); }, "provisionedPlans": n => { educationUser.provisionedPlans = n.getCollectionOfObjectValues(provisionedPlan_1.createProvisionedPlanFromDiscriminatorValue); }, "refreshTokensValidFromDateTime": n => { educationUser.refreshTokensValidFromDateTime = n.getDateValue(); }, "relatedContacts": n => { educationUser.relatedContacts = n.getCollectionOfObjectValues(relatedContact_1.createRelatedContactFromDiscriminatorValue); }, "residenceAddress": n => { educationUser.residenceAddress = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "rubrics": n => { educationUser.rubrics = n.getCollectionOfObjectValues(educationRubric_1.createEducationRubricFromDiscriminatorValue); }, "schools": n => { educationUser.schools = n.getCollectionOfObjectValues(educationSchool_1.createEducationSchoolFromDiscriminatorValue); }, "showInAddressList": n => { educationUser.showInAddressList = n.getBooleanValue(); }, "student": n => { educationUser.student = n.getObjectValue(educationStudent_1.createEducationStudentFromDiscriminatorValue); }, "surname": n => { educationUser.surname = n.getStringValue(); }, "taughtClasses": n => { educationUser.taughtClasses = n.getCollectionOfObjectValues(educationClass_1.createEducationClassFromDiscriminatorValue); }, "teacher": n => { educationUser.teacher = n.getObjectValue(educationTeacher_1.createEducationTeacherFromDiscriminatorValue); }, "usageLocation": n => { educationUser.usageLocation = n.getStringValue(); }, "user": n => { educationUser.user = n.getObjectValue(user_1.createUserFromDiscriminatorValue); }, "userPrincipalName": n => { educationUser.userPrincipalName = n.getStringValue(); }, "userType": n => { educationUser.userType = n.getStringValue(); } });
}
exports.deserializeIntoEducationUser = deserializeIntoEducationUser;
function serializeEducationUser(writer, educationUser = {}) {
    (0, entity_1.serializeEntity)(writer, educationUser);
    writer.writeBooleanValue("accountEnabled", educationUser.accountEnabled);
    writer.writeCollectionOfObjectValues("assignedLicenses", educationUser.assignedLicenses, assignedLicense_1.serializeAssignedLicense);
    writer.writeCollectionOfObjectValues("assignedPlans", educationUser.assignedPlans, assignedPlan_1.serializeAssignedPlan);
    writer.writeCollectionOfObjectValues("assignments", educationUser.assignments, educationAssignment_1.serializeEducationAssignment);
    writer.writeCollectionOfPrimitiveValues("businessPhones", educationUser.businessPhones);
    writer.writeCollectionOfObjectValues("classes", educationUser.classes, educationClass_1.serializeEducationClass);
    writer.writeObjectValue("createdBy", educationUser.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeStringValue("department", educationUser.department);
    writer.writeStringValue("displayName", educationUser.displayName);
    writer.writeEnumValue("externalSource", educationUser.externalSource);
    writer.writeStringValue("externalSourceDetail", educationUser.externalSourceDetail);
    writer.writeStringValue("givenName", educationUser.givenName);
    writer.writeStringValue("mail", educationUser.mail);
    writer.writeObjectValue("mailingAddress", educationUser.mailingAddress, physicalAddress_1.serializePhysicalAddress);
    writer.writeStringValue("mailNickname", educationUser.mailNickname);
    writer.writeStringValue("middleName", educationUser.middleName);
    writer.writeStringValue("mobilePhone", educationUser.mobilePhone);
    writer.writeStringValue("officeLocation", educationUser.officeLocation);
    writer.writeObjectValue("onPremisesInfo", educationUser.onPremisesInfo, educationOnPremisesInfo_1.serializeEducationOnPremisesInfo);
    writer.writeStringValue("passwordPolicies", educationUser.passwordPolicies);
    writer.writeObjectValue("passwordProfile", educationUser.passwordProfile, passwordProfile_1.serializePasswordProfile);
    writer.writeStringValue("preferredLanguage", educationUser.preferredLanguage);
    writer.writeEnumValue("primaryRole", educationUser.primaryRole);
    writer.writeCollectionOfObjectValues("provisionedPlans", educationUser.provisionedPlans, provisionedPlan_1.serializeProvisionedPlan);
    writer.writeDateValue("refreshTokensValidFromDateTime", educationUser.refreshTokensValidFromDateTime);
    writer.writeCollectionOfObjectValues("relatedContacts", educationUser.relatedContacts, relatedContact_1.serializeRelatedContact);
    writer.writeObjectValue("residenceAddress", educationUser.residenceAddress, physicalAddress_1.serializePhysicalAddress);
    writer.writeCollectionOfObjectValues("rubrics", educationUser.rubrics, educationRubric_1.serializeEducationRubric);
    writer.writeCollectionOfObjectValues("schools", educationUser.schools, educationSchool_1.serializeEducationSchool);
    writer.writeBooleanValue("showInAddressList", educationUser.showInAddressList);
    writer.writeObjectValue("student", educationUser.student, educationStudent_1.serializeEducationStudent);
    writer.writeStringValue("surname", educationUser.surname);
    writer.writeCollectionOfObjectValues("taughtClasses", educationUser.taughtClasses, educationClass_1.serializeEducationClass);
    writer.writeObjectValue("teacher", educationUser.teacher, educationTeacher_1.serializeEducationTeacher);
    writer.writeStringValue("usageLocation", educationUser.usageLocation);
    writer.writeObjectValue("user", educationUser.user, user_1.serializeUser);
    writer.writeStringValue("userPrincipalName", educationUser.userPrincipalName);
    writer.writeStringValue("userType", educationUser.userType);
}
exports.serializeEducationUser = serializeEducationUser;
// tslint:enable
// eslint-enable
