import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailAddressFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailAddress;
export declare function deserializeIntoEmailAddress(emailAddress?: EmailAddress | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailAddress extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The email address of the person or entity.
     */
    address?: string;
    /**
     * The display name of the person or entity.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEmailAddress(writer: SerializationWriter, emailAddress?: EmailAddress | undefined): void;
