import { type AuthenticationMethod } from './authenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailAuthenticationMethodFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailAuthenticationMethod;
export declare function deserializeIntoEmailAuthenticationMethod(emailAuthenticationMethod?: EmailAuthenticationMethod | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailAuthenticationMethod extends AuthenticationMethod, Parsable {
    /**
     * The email address registered to this user.
     */
    emailAddress?: string;
}
export declare function serializeEmailAuthenticationMethod(writer: SerializationWriter, emailAuthenticationMethod?: EmailAuthenticationMethod | undefined): void;
