import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { ExternalEmailOtpState } from './externalEmailOtpState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailAuthenticationMethodConfiguration;
export declare function deserializeIntoEmailAuthenticationMethodConfiguration(emailAuthenticationMethodConfiguration?: EmailAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * Determines whether email OTP is usable by external users for authentication. Possible values are: default, enabled, disabled, unknownFutureValue. Tenants in the default state who didn't use public preview have email OTP enabled beginning in October 2021.
     */
    allowExternalIdToUseEmailOtp?: ExternalEmailOtpState;
    /**
     * A collection of groups that are enabled to use the authentication method.
     */
    includeTargets?: AuthenticationMethodTarget[];
}
export declare function serializeEmailAuthenticationMethodConfiguration(writer: SerializationWriter, emailAuthenticationMethodConfiguration?: EmailAuthenticationMethodConfiguration | undefined): void;
