import { MailDestinationRoutingReason } from './mailDestinationRoutingReason';
import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailFileAssessmentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailFileAssessmentRequest;
export declare function deserializeIntoEmailFileAssessmentRequest(emailFileAssessmentRequest?: EmailFileAssessmentRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailFileAssessmentRequest extends Parsable, ThreatAssessmentRequest {
    /**
     * Base64 encoded .eml email file content. The file content can't fetch back because it isn't stored.
     */
    contentData?: string;
    /**
     * The reason for mail routed to its destination. Possible values are: none, mailFlowRule, safeSender, blockedSender, advancedSpamFiltering, domainAllowList, domainBlockList, notInAddressBook, firstTimeSender, autoPurgeToInbox, autoPurgeToJunk, autoPurgeToDeleted, outbound, notJunk, junk.
     */
    destinationRoutingReason?: MailDestinationRoutingReason;
    /**
     * The mail recipient whose policies are used to assess the mail.
     */
    recipientEmail?: string;
}
export declare function serializeEmailFileAssessmentRequest(writer: SerializationWriter, emailFileAssessmentRequest?: EmailFileAssessmentRequest | undefined): void;
