import { type PayloadDetail } from './payloadDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailPayloadDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailPayloadDetail;
export declare function deserializeIntoEmailPayloadDetail(emailPayloadDetail?: EmailPayloadDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailPayloadDetail extends Parsable, PayloadDetail {
    /**
     * Email address of the user.
     */
    fromEmail?: string;
    /**
     * Display name of the user.
     */
    fromName?: string;
    /**
     * Indicates whether the sender isn't from the user's organization.
     */
    isExternalSender?: boolean;
    /**
     * The subject of the email address sent to the user.
     */
    subject?: string;
}
export declare function serializeEmailPayloadDetail(writer: SerializationWriter, emailPayloadDetail?: EmailPayloadDetail | undefined): void;
