import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailSettings;
export declare function deserializeIntoEmailSettings(emailSettings?: EmailSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the domain that should be used when sending email notifications. This domain must be verified in order to be used. We recommend that you use a domain that has the appropriate DNS records to facilitate email validation, like SPF, DKIM, DMARC, and MX, because this then complies with the RFC compliance for sending and receiving email. For details, see Learn more about Exchange Online Email Routing.
     */
    senderDomain?: string;
    /**
     * Specifies if the organization’s banner logo should be included in email notifications. The banner logo will replace the Microsoft logo at the top of the email notification. If true the banner logo will be taken from the tenant’s branding settings. This value can only be set to true if the organizationalBranding bannerLogo property is set.
     */
    useCompanyBranding?: boolean;
}
export declare function serializeEmailSettings(writer: SerializationWriter, emailSettings?: EmailSettings | undefined): void;
