"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEmailSettings = exports.deserializeIntoEmailSettings = exports.createEmailSettingsFromDiscriminatorValue = void 0;
function createEmailSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEmailSettings;
}
exports.createEmailSettingsFromDiscriminatorValue = createEmailSettingsFromDiscriminatorValue;
function deserializeIntoEmailSettings(emailSettings = {}) {
    return {
        "@odata.type": n => { emailSettings.odataType = n.getStringValue(); },
        "senderDomain": n => { emailSettings.senderDomain = n.getStringValue(); },
        "useCompanyBranding": n => { emailSettings.useCompanyBranding = n.getBooleanValue(); },
    };
}
exports.deserializeIntoEmailSettings = deserializeIntoEmailSettings;
function serializeEmailSettings(writer, emailSettings = {}) {
    writer.writeStringValue("@odata.type", emailSettings.odataType);
    writer.writeStringValue("senderDomain", emailSettings.senderDomain);
    writer.writeBooleanValue("useCompanyBranding", emailSettings.useCompanyBranding);
    writer.writeAdditionalData(emailSettings.additionalData);
}
exports.serializeEmailSettings = serializeEmailSettings;
// tslint:enable
// eslint-enable
