import { type LearningCourseActivity } from './learningCourseActivity';
import { type LearningProvider } from './learningProvider';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmployeeExperienceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmployeeExperience;
export declare function deserializeIntoEmployeeExperience(employeeExperience?: EmployeeExperience | undefined): Record<string, (node: ParseNode) => void>;
export interface EmployeeExperience extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The learningCourseActivities property
     */
    learningCourseActivities?: LearningCourseActivity[];
    /**
     * A collection of learning providers.
     */
    learningProviders?: LearningProvider[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEmployeeExperience(writer: SerializationWriter, employeeExperience?: EmployeeExperience | undefined): void;
