import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmployeeOrgDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmployeeOrgData;
export declare function deserializeIntoEmployeeOrgData(employeeOrgData?: EmployeeOrgData | undefined): Record<string, (node: ParseNode) => void>;
export interface EmployeeOrgData extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cost center associated with the user. Returned only on $select. Supports $filter.
     */
    costCenter?: string;
    /**
     * The name of the division in which the user works. Returned only on $select. Supports $filter.
     */
    division?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEmployeeOrgData(writer: SerializationWriter, employeeOrgData?: EmployeeOrgData | undefined): void;
