import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndUserNotificationDetail;
export declare function deserializeIntoEndUserNotificationDetail(endUserNotificationDetail?: EndUserNotificationDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotificationDetail extends Entity, Parsable {
    /**
     * Email HTML content.
     */
    emailContent?: string;
    /**
     * Indicates whether this language is default.
     */
    isDefaultLangauge?: boolean;
    /**
     * Notification language.
     */
    language?: string;
    /**
     * Notification locale.
     */
    locale?: string;
    /**
     * The sentFrom property
     */
    sentFrom?: EmailIdentity;
    /**
     * Mail subject.
     */
    subject?: string;
}
export declare function serializeEndUserNotificationDetail(writer: SerializationWriter, endUserNotificationDetail?: EndUserNotificationDetail | undefined): void;
