"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEndUserNotificationSetting = exports.deserializeIntoEndUserNotificationSetting = exports.createEndUserNotificationSettingFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const endUserNotificationPreference_1 = require("./endUserNotificationPreference");
const endUserNotificationSettingType_1 = require("./endUserNotificationSettingType");
const noTrainingNotificationSetting_1 = require("./noTrainingNotificationSetting");
const positiveReinforcementNotification_1 = require("./positiveReinforcementNotification");
const trainingNotificationSetting_1 = require("./trainingNotificationSetting");
function createEndUserNotificationSettingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.noTrainingNotificationSetting":
                    return noTrainingNotificationSetting_1.deserializeIntoNoTrainingNotificationSetting;
                case "#microsoft.graph.trainingNotificationSetting":
                    return trainingNotificationSetting_1.deserializeIntoTrainingNotificationSetting;
            }
        }
    }
    return deserializeIntoEndUserNotificationSetting;
}
exports.createEndUserNotificationSettingFromDiscriminatorValue = createEndUserNotificationSettingFromDiscriminatorValue;
function deserializeIntoEndUserNotificationSetting(endUserNotificationSetting = {}) {
    return {
        "notificationPreference": n => { endUserNotificationSetting.notificationPreference = n.getEnumValue(endUserNotificationPreference_1.EndUserNotificationPreference); },
        "@odata.type": n => { endUserNotificationSetting.odataType = n.getStringValue(); },
        "positiveReinforcement": n => { endUserNotificationSetting.positiveReinforcement = n.getObjectValue(positiveReinforcementNotification_1.createPositiveReinforcementNotificationFromDiscriminatorValue); },
        "settingType": n => { endUserNotificationSetting.settingType = n.getEnumValue(endUserNotificationSettingType_1.EndUserNotificationSettingType); },
    };
}
exports.deserializeIntoEndUserNotificationSetting = deserializeIntoEndUserNotificationSetting;
function serializeEndUserNotificationSetting(writer, endUserNotificationSetting = {}) {
    writer.writeEnumValue("notificationPreference", endUserNotificationSetting.notificationPreference);
    writer.writeStringValue("@odata.type", endUserNotificationSetting.odataType);
    writer.writeObjectValue("positiveReinforcement", endUserNotificationSetting.positiveReinforcement, positiveReinforcementNotification_1.serializePositiveReinforcementNotification);
    writer.writeEnumValue("settingType", endUserNotificationSetting.settingType);
    writer.writeAdditionalData(endUserNotificationSetting.additionalData);
}
exports.serializeEndUserNotificationSetting = serializeEndUserNotificationSetting;
// tslint:enable
// eslint-enable
