import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndpoint;
export declare function deserializeIntoEndpoint(endpoint?: Endpoint | undefined): Record<string, (node: ParseNode) => void>;
export interface Endpoint extends DirectoryObject, Parsable {
    /**
     * The capability property
     */
    capability?: string;
    /**
     * The providerId property
     */
    providerId?: string;
    /**
     * The providerName property
     */
    providerName?: string;
    /**
     * The providerResourceId property
     */
    providerResourceId?: string;
    /**
     * The uri property
     */
    uri?: string;
}
export declare function serializeEndpoint(writer: SerializationWriter, endpoint?: Endpoint | undefined): void;
