import { DeviceEnrollmentFailureReason } from './deviceEnrollmentFailureReason';
import { DeviceEnrollmentType } from './deviceEnrollmentType';
import { type DeviceManagementTroubleshootingEvent } from './deviceManagementTroubleshootingEvent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEnrollmentTroubleshootingEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEnrollmentTroubleshootingEvent;
export declare function deserializeIntoEnrollmentTroubleshootingEvent(enrollmentTroubleshootingEvent?: EnrollmentTroubleshootingEvent | undefined): Record<string, (node: ParseNode) => void>;
export interface EnrollmentTroubleshootingEvent extends DeviceManagementTroubleshootingEvent, Parsable {
    /**
     * Azure AD device identifier.
     */
    deviceId?: string;
    /**
     * Possible ways of adding a mobile device to management.
     */
    enrollmentType?: DeviceEnrollmentType;
    /**
     * Top level failure categories for enrollment.
     */
    failureCategory?: DeviceEnrollmentFailureReason;
    /**
     * Detailed failure reason.
     */
    failureReason?: string;
    /**
     * Device identifier created or collected by Intune.
     */
    managedDeviceIdentifier?: string;
    /**
     * Operating System.
     */
    operatingSystem?: string;
    /**
     * OS Version.
     */
    osVersion?: string;
    /**
     * Identifier for the user that tried to enroll the device.
     */
    userId?: string;
}
export declare function serializeEnrollmentTroubleshootingEvent(writer: SerializationWriter, enrollmentTroubleshootingEvent?: EnrollmentTroubleshootingEvent | undefined): void;
