import { type ExpirationPattern } from './expirationPattern';
import { type PatternedRecurrence } from './patternedRecurrence';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEntitlementManagementScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEntitlementManagementSchedule;
export declare function deserializeIntoEntitlementManagementSchedule(entitlementManagementSchedule?: EntitlementManagementSchedule | undefined): Record<string, (node: ParseNode) => void>;
export interface EntitlementManagementSchedule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * When the access should expire.
     */
    expiration?: ExpirationPattern;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * For recurring access reviews.  Not used in access requests.
     */
    recurrence?: PatternedRecurrence;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    startDateTime?: Date;
}
export declare function serializeEntitlementManagementSchedule(writer: SerializationWriter, entitlementManagementSchedule?: EntitlementManagementSchedule | undefined): void;
