import { AccessPackageExternalUserLifecycleAction } from './accessPackageExternalUserLifecycleAction';
import { type Entity } from './entity';
import { type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEntitlementManagementSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEntitlementManagementSettings;
export declare function deserializeIntoEntitlementManagementSettings(entitlementManagementSettings?: EntitlementManagementSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface EntitlementManagementSettings extends Entity, Parsable {
    /**
     * If externalUserLifecycleAction is blockSignInAndDelete, the duration, typically many days, after an external user is blocked from sign in before their account is deleted.
     */
    durationUntilExternalUserDeletedAfterBlocked?: Duration;
    /**
     * Automatic action that the service should take when an external user's last access package assignment is removed. The possible values are: none, blockSignIn, blockSignInAndDelete, unknownFutureValue.
     */
    externalUserLifecycleAction?: AccessPackageExternalUserLifecycleAction;
}
export declare function serializeEntitlementManagementSettings(writer: SerializationWriter, entitlementManagementSettings?: EntitlementManagementSettings | undefined): void;
