"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEvent = exports.deserializeIntoEvent = exports.createEventFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attachment_1 = require("./attachment");
const attendee_1 = require("./attendee");
const calendar_1 = require("./calendar");
const dateTimeTimeZone_1 = require("./dateTimeTimeZone");
const eventType_1 = require("./eventType");
const extension_1 = require("./extension");
const freeBusyStatus_1 = require("./freeBusyStatus");
const importance_1 = require("./importance");
const itemBody_1 = require("./itemBody");
const location_1 = require("./location");
const multiValueLegacyExtendedProperty_1 = require("./multiValueLegacyExtendedProperty");
const onlineMeetingInfo_1 = require("./onlineMeetingInfo");
const onlineMeetingProviderType_1 = require("./onlineMeetingProviderType");
const outlookItem_1 = require("./outlookItem");
const patternedRecurrence_1 = require("./patternedRecurrence");
const recipient_1 = require("./recipient");
const responseStatus_1 = require("./responseStatus");
const sensitivity_1 = require("./sensitivity");
const singleValueLegacyExtendedProperty_1 = require("./singleValueLegacyExtendedProperty");
function createEventFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEvent;
}
exports.createEventFromDiscriminatorValue = createEventFromDiscriminatorValue;
function deserializeIntoEvent(event = {}) {
    return Object.assign(Object.assign({}, (0, outlookItem_1.deserializeIntoOutlookItem)(event)), { "allowNewTimeProposals": n => { event.allowNewTimeProposals = n.getBooleanValue(); }, "attachments": n => { event.attachments = n.getCollectionOfObjectValues(attachment_1.createAttachmentFromDiscriminatorValue); }, "attendees": n => { event.attendees = n.getCollectionOfObjectValues(attendee_1.createAttendeeFromDiscriminatorValue); }, "body": n => { event.body = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "bodyPreview": n => { event.bodyPreview = n.getStringValue(); }, "calendar": n => { event.calendar = n.getObjectValue(calendar_1.createCalendarFromDiscriminatorValue); }, "end": n => { event.end = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "extensions": n => { event.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "hasAttachments": n => { event.hasAttachments = n.getBooleanValue(); }, "hideAttendees": n => { event.hideAttendees = n.getBooleanValue(); }, "iCalUId": n => { event.iCalUId = n.getStringValue(); }, "importance": n => { event.importance = n.getEnumValue(importance_1.Importance); }, "instances": n => { event.instances = n.getCollectionOfObjectValues(createEventFromDiscriminatorValue); }, "isAllDay": n => { event.isAllDay = n.getBooleanValue(); }, "isCancelled": n => { event.isCancelled = n.getBooleanValue(); }, "isDraft": n => { event.isDraft = n.getBooleanValue(); }, "isOnlineMeeting": n => { event.isOnlineMeeting = n.getBooleanValue(); }, "isOrganizer": n => { event.isOrganizer = n.getBooleanValue(); }, "isReminderOn": n => { event.isReminderOn = n.getBooleanValue(); }, "location": n => { event.location = n.getObjectValue(location_1.createLocationFromDiscriminatorValue); }, "locations": n => { event.locations = n.getCollectionOfObjectValues(location_1.createLocationFromDiscriminatorValue); }, "multiValueExtendedProperties": n => { event.multiValueExtendedProperties = n.getCollectionOfObjectValues(multiValueLegacyExtendedProperty_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "onlineMeeting": n => { event.onlineMeeting = n.getObjectValue(onlineMeetingInfo_1.createOnlineMeetingInfoFromDiscriminatorValue); }, "onlineMeetingProvider": n => { event.onlineMeetingProvider = n.getEnumValue(onlineMeetingProviderType_1.OnlineMeetingProviderType); }, "onlineMeetingUrl": n => { event.onlineMeetingUrl = n.getStringValue(); }, "organizer": n => { event.organizer = n.getObjectValue(recipient_1.createRecipientFromDiscriminatorValue); }, "originalEndTimeZone": n => { event.originalEndTimeZone = n.getStringValue(); }, "originalStart": n => { event.originalStart = n.getDateValue(); }, "originalStartTimeZone": n => { event.originalStartTimeZone = n.getStringValue(); }, "recurrence": n => { event.recurrence = n.getObjectValue(patternedRecurrence_1.createPatternedRecurrenceFromDiscriminatorValue); }, "reminderMinutesBeforeStart": n => { event.reminderMinutesBeforeStart = n.getNumberValue(); }, "responseRequested": n => { event.responseRequested = n.getBooleanValue(); }, "responseStatus": n => { event.responseStatus = n.getObjectValue(responseStatus_1.createResponseStatusFromDiscriminatorValue); }, "sensitivity": n => { event.sensitivity = n.getEnumValue(sensitivity_1.Sensitivity); }, "seriesMasterId": n => { event.seriesMasterId = n.getStringValue(); }, "showAs": n => { event.showAs = n.getEnumValue(freeBusyStatus_1.FreeBusyStatus); }, "singleValueExtendedProperties": n => { event.singleValueExtendedProperties = n.getCollectionOfObjectValues(singleValueLegacyExtendedProperty_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "start": n => { event.start = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "subject": n => { event.subject = n.getStringValue(); }, "transactionId": n => { event.transactionId = n.getStringValue(); }, "type": n => { event.type = n.getEnumValue(eventType_1.EventType); }, "webLink": n => { event.webLink = n.getStringValue(); } });
}
exports.deserializeIntoEvent = deserializeIntoEvent;
function serializeEvent(writer, event = {}) {
    (0, outlookItem_1.serializeOutlookItem)(writer, event);
    writer.writeBooleanValue("allowNewTimeProposals", event.allowNewTimeProposals);
    writer.writeCollectionOfObjectValues("attachments", event.attachments, attachment_1.serializeAttachment);
    writer.writeCollectionOfObjectValues("attendees", event.attendees, attendee_1.serializeAttendee);
    writer.writeObjectValue("body", event.body, itemBody_1.serializeItemBody);
    writer.writeStringValue("bodyPreview", event.bodyPreview);
    writer.writeObjectValue("calendar", event.calendar, calendar_1.serializeCalendar);
    writer.writeObjectValue("end", event.end, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeCollectionOfObjectValues("extensions", event.extensions, extension_1.serializeExtension);
    writer.writeBooleanValue("hasAttachments", event.hasAttachments);
    writer.writeBooleanValue("hideAttendees", event.hideAttendees);
    writer.writeStringValue("iCalUId", event.iCalUId);
    writer.writeEnumValue("importance", event.importance);
    writer.writeCollectionOfObjectValues("instances", event.instances, serializeEvent);
    writer.writeBooleanValue("isAllDay", event.isAllDay);
    writer.writeBooleanValue("isCancelled", event.isCancelled);
    writer.writeBooleanValue("isDraft", event.isDraft);
    writer.writeBooleanValue("isOnlineMeeting", event.isOnlineMeeting);
    writer.writeBooleanValue("isOrganizer", event.isOrganizer);
    writer.writeBooleanValue("isReminderOn", event.isReminderOn);
    writer.writeObjectValue("location", event.location, location_1.serializeLocation);
    writer.writeCollectionOfObjectValues("locations", event.locations, location_1.serializeLocation);
    writer.writeCollectionOfObjectValues("multiValueExtendedProperties", event.multiValueExtendedProperties, multiValueLegacyExtendedProperty_1.serializeMultiValueLegacyExtendedProperty);
    writer.writeObjectValue("onlineMeeting", event.onlineMeeting, onlineMeetingInfo_1.serializeOnlineMeetingInfo);
    writer.writeEnumValue("onlineMeetingProvider", event.onlineMeetingProvider);
    writer.writeStringValue("onlineMeetingUrl", event.onlineMeetingUrl);
    writer.writeObjectValue("organizer", event.organizer, recipient_1.serializeRecipient);
    writer.writeStringValue("originalEndTimeZone", event.originalEndTimeZone);
    writer.writeDateValue("originalStart", event.originalStart);
    writer.writeStringValue("originalStartTimeZone", event.originalStartTimeZone);
    writer.writeObjectValue("recurrence", event.recurrence, patternedRecurrence_1.serializePatternedRecurrence);
    writer.writeNumberValue("reminderMinutesBeforeStart", event.reminderMinutesBeforeStart);
    writer.writeBooleanValue("responseRequested", event.responseRequested);
    writer.writeObjectValue("responseStatus", event.responseStatus, responseStatus_1.serializeResponseStatus);
    writer.writeEnumValue("sensitivity", event.sensitivity);
    writer.writeStringValue("seriesMasterId", event.seriesMasterId);
    writer.writeEnumValue("showAs", event.showAs);
    writer.writeCollectionOfObjectValues("singleValueExtendedProperties", event.singleValueExtendedProperties, singleValueLegacyExtendedProperty_1.serializeSingleValueLegacyExtendedProperty);
    writer.writeObjectValue("start", event.start, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeStringValue("subject", event.subject);
    writer.writeStringValue("transactionId", event.transactionId);
    writer.writeEnumValue("type", event.type);
    writer.writeStringValue("webLink", event.webLink);
}
exports.serializeEvent = serializeEvent;
// tslint:enable
// eslint-enable
