import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type Event } from './event';
import { deserializeIntoEventMessageRequest } from './eventMessageRequest';
import { EventType } from './eventType';
import { type Location } from './location';
import { MeetingMessageType } from './meetingMessageType';
import { type Message } from './message';
import { type PatternedRecurrence } from './patternedRecurrence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventMessageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventMessageRequest;
export declare function deserializeIntoEventMessage(eventMessage?: EventMessage | undefined): Record<string, (node: ParseNode) => void>;
export interface EventMessage extends Message, Parsable {
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The event associated with the event message. The assumption for attendees or room resources is that the Calendar Attendant is set to automatically update the calendar with an event when meeting request event messages arrive. Navigation property.  Read-only.
     */
    event?: Event;
    /**
     * The isAllDay property
     */
    isAllDay?: boolean;
    /**
     * The isDelegated property
     */
    isDelegated?: boolean;
    /**
     * The isOutOfDate property
     */
    isOutOfDate?: boolean;
    /**
     * The location property
     */
    location?: Location;
    /**
     * The meetingMessageType property
     */
    meetingMessageType?: MeetingMessageType;
    /**
     * The recurrence property
     */
    recurrence?: PatternedRecurrence;
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
    /**
     * The type property
     */
    type?: EventType;
}
export declare function serializeEventMessage(writer: SerializationWriter, eventMessage?: EventMessage | undefined): void;
