"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEventMessage = exports.deserializeIntoEventMessage = exports.createEventMessageFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const dateTimeTimeZone_1 = require("./dateTimeTimeZone");
const event_1 = require("./event");
const eventMessageRequest_1 = require("./eventMessageRequest");
const eventMessageResponse_1 = require("./eventMessageResponse");
const eventType_1 = require("./eventType");
const location_1 = require("./location");
const meetingMessageType_1 = require("./meetingMessageType");
const message_1 = require("./message");
const patternedRecurrence_1 = require("./patternedRecurrence");
function createEventMessageFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.eventMessageRequest":
                    return eventMessageRequest_1.deserializeIntoEventMessageRequest;
                case "#microsoft.graph.eventMessageResponse":
                    return eventMessageResponse_1.deserializeIntoEventMessageResponse;
            }
        }
    }
    return deserializeIntoEventMessage;
}
exports.createEventMessageFromDiscriminatorValue = createEventMessageFromDiscriminatorValue;
function deserializeIntoEventMessage(eventMessage = {}) {
    return Object.assign(Object.assign({}, (0, message_1.deserializeIntoMessage)(eventMessage)), { "endDateTime": n => { eventMessage.endDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "event": n => { eventMessage.event = n.getObjectValue(event_1.createEventFromDiscriminatorValue); }, "isAllDay": n => { eventMessage.isAllDay = n.getBooleanValue(); }, "isDelegated": n => { eventMessage.isDelegated = n.getBooleanValue(); }, "isOutOfDate": n => { eventMessage.isOutOfDate = n.getBooleanValue(); }, "location": n => { eventMessage.location = n.getObjectValue(location_1.createLocationFromDiscriminatorValue); }, "meetingMessageType": n => { eventMessage.meetingMessageType = n.getEnumValue(meetingMessageType_1.MeetingMessageType); }, "recurrence": n => { eventMessage.recurrence = n.getObjectValue(patternedRecurrence_1.createPatternedRecurrenceFromDiscriminatorValue); }, "startDateTime": n => { eventMessage.startDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "type": n => { eventMessage.type = n.getEnumValue(eventType_1.EventType); } });
}
exports.deserializeIntoEventMessage = deserializeIntoEventMessage;
function serializeEventMessage(writer, eventMessage = {}) {
    (0, message_1.serializeMessage)(writer, eventMessage);
    writer.writeObjectValue("endDateTime", eventMessage.endDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeObjectValue("event", eventMessage.event, event_1.serializeEvent);
    writer.writeBooleanValue("isAllDay", eventMessage.isAllDay);
    writer.writeBooleanValue("isDelegated", eventMessage.isDelegated);
    writer.writeBooleanValue("isOutOfDate", eventMessage.isOutOfDate);
    writer.writeObjectValue("location", eventMessage.location, location_1.serializeLocation);
    writer.writeEnumValue("meetingMessageType", eventMessage.meetingMessageType);
    writer.writeObjectValue("recurrence", eventMessage.recurrence, patternedRecurrence_1.serializePatternedRecurrence);
    writer.writeObjectValue("startDateTime", eventMessage.startDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeEnumValue("type", eventMessage.type);
}
exports.serializeEventMessage = serializeEventMessage;
// tslint:enable
// eslint-enable
