import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type EventMessage } from './eventMessage';
import { type Location } from './location';
import { MeetingRequestType } from './meetingRequestType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventMessageRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventMessageRequest;
export declare function deserializeIntoEventMessageRequest(eventMessageRequest?: EventMessageRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface EventMessageRequest extends EventMessage, Parsable {
    /**
     * True if the meeting organizer allows invitees to propose a new time when responding, false otherwise. Optional. Default is true.
     */
    allowNewTimeProposals?: boolean;
    /**
     * The meetingRequestType property
     */
    meetingRequestType?: MeetingRequestType;
    /**
     * If the meeting update changes the meeting end time, this property specifies the previous meeting end time.
     */
    previousEndDateTime?: DateTimeTimeZone;
    /**
     * If the meeting update changes the meeting location, this property specifies the previous meeting location.
     */
    previousLocation?: Location;
    /**
     * If the meeting update changes the meeting start time, this property specifies the previous meeting start time.
     */
    previousStartDateTime?: DateTimeTimeZone;
    /**
     * Set to true if the sender would like the invitee to send a response to the requested meeting.
     */
    responseRequested?: boolean;
}
export declare function serializeEventMessageRequest(writer: SerializationWriter, eventMessageRequest?: EventMessageRequest | undefined): void;
