import { type EventMessage } from './eventMessage';
import { ResponseType } from './responseType';
import { type TimeSlot } from './timeSlot';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventMessageResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventMessageResponse;
export declare function deserializeIntoEventMessageResponse(eventMessageResponse?: EventMessageResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EventMessageResponse extends EventMessage, Parsable {
    /**
     * The proposedNewTime property
     */
    proposedNewTime?: TimeSlot;
    /**
     * The responseType property
     */
    responseType?: ResponseType;
}
export declare function serializeEventMessageResponse(writer: SerializationWriter, eventMessageResponse?: EventMessageResponse | undefined): void;
