import { AuthenticationMethodTargetType } from './authenticationMethodTargetType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExcludeTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExcludeTarget;
export declare function deserializeIntoExcludeTarget(excludeTarget?: ExcludeTarget | undefined): Record<string, (node: ParseNode) => void>;
export interface ExcludeTarget extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The object identifier of a Microsoft Entra user or group.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The targetType property
     */
    targetType?: AuthenticationMethodTargetType;
}
export declare function serializeExcludeTarget(writer: SerializationWriter, excludeTarget?: ExcludeTarget | undefined): void;
