import { ExpirationPatternType } from './expirationPatternType';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExpirationPatternFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExpirationPattern;
export declare function deserializeIntoExpirationPattern(expirationPattern?: ExpirationPattern | undefined): Record<string, (node: ParseNode) => void>;
export interface ExpirationPattern extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The requestor's desired duration of access represented in ISO 8601 format for durations. For example, PT3H refers to three hours.  If specified in a request, endDateTime should not be present and the type property should be set to afterDuration.
     */
    duration?: Duration;
    /**
     * Timestamp of date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    endDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The requestor's desired expiration pattern type. The possible values are: notSpecified, noExpiration, afterDateTime, afterDuration.
     */
    type?: ExpirationPatternType;
}
export declare function serializeExpirationPattern(writer: SerializationWriter, expirationPattern?: ExpirationPattern | undefined): void;
