import { type ObjectDefinition } from './objectDefinition';
import { type StringKeyObjectValuePair } from './stringKeyObjectValuePair';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExpressionInputObjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExpressionInputObject;
export declare function deserializeIntoExpressionInputObject(expressionInputObject?: ExpressionInputObject | undefined): Record<string, (node: ParseNode) => void>;
export interface ExpressionInputObject extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Definition of the test object.
     */
    definition?: ObjectDefinition;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Property values of the test object.
     */
    properties?: StringKeyObjectValuePair[];
}
export declare function serializeExpressionInputObject(writer: SerializationWriter, expressionInputObject?: ExpressionInputObject | undefined): void;
