import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtensionSchemaPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExtensionSchemaProperty;
export declare function deserializeIntoExtensionSchemaProperty(extensionSchemaProperty?: ExtensionSchemaProperty | undefined): Record<string, (node: ParseNode) => void>;
export interface ExtensionSchemaProperty extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the strongly typed property defined as part of a schema extension.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of the property that is defined as part of a schema extension.  Allowed values are Binary, Boolean, DateTime, Integer or String. See the table in the Supported property data types section for more details.
     */
    type?: string;
}
export declare function serializeExtensionSchemaProperty(writer: SerializationWriter, extensionSchemaProperty?: ExtensionSchemaProperty | undefined): void;
