import { AccessType } from './accessType';
import { AclType } from './aclType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Acl extends AdditionalDataHolder, Parsable {
    /**
     * The accessType property
     */
    accessType?: AccessType;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type property
     */
    type?: AclType;
    /**
     * The unique identifer of the identity. For Microsoft Entra identities, value is set to the object identifier of the user, group or tenant for types user, group and everyone (and everyoneExceptGuests) respectively. For external groups value is set to the ID of the externalGroup
     */
    value?: string;
}
export declare function createAclFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAcl;
export declare function deserializeIntoAcl(acl?: Acl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAcl(writer: SerializationWriter, acl?: Acl | undefined): void;
