import { type UrlToItemResolverBase } from './urlToItemResolverBase';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ActivitySettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies configurations to identify an externalItem based on a shared URL.
     */
    urlToItemResolvers?: UrlToItemResolverBase[];
}
export declare function createActivitySettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoActivitySettings;
export declare function deserializeIntoActivitySettings(activitySettings?: ActivitySettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeActivitySettings(writer: SerializationWriter, activitySettings?: ActivitySettings | undefined): void;
