import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Configuration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A collection of application IDs for registered Microsoft Entra apps that are allowed to manage the externalConnection and to index content in the externalConnection.
     */
    authorizedAppIds?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfiguration;
export declare function deserializeIntoConfiguration(configuration?: Configuration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfiguration(writer: SerializationWriter, configuration?: Configuration | undefined): void;
