import { type Entity } from '../entity';
import { type PublicError } from '../publicError';
import { ConnectionOperationStatus } from './connectionOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConnectionOperation extends Entity, Parsable {
    /**
     * If status is failed, provides more information about the error that caused the failure.
     */
    errorEscaped?: PublicError;
    /**
     * Indicates the status of the asynchronous operation. Possible values are: unspecified, inprogress, completed, failed, unknownFutureValue.
     */
    status?: ConnectionOperationStatus;
}
export declare function createConnectionOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConnectionOperation;
export declare function deserializeIntoConnectionOperation(connectionOperation?: ConnectionOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConnectionOperation(writer: SerializationWriter, connectionOperation?: ConnectionOperation | undefined): void;
