import { type ExternalConnection } from './externalConnection';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternal;
export declare function deserializeIntoExternal(external?: External | undefined): Record<string, (node: ParseNode) => void>;
export interface External extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The connections property
     */
    connections?: ExternalConnection[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeExternal(writer: SerializationWriter, external?: External | undefined): void;
