import { type Entity } from '../entity';
import { ExternalActivityType } from './externalActivityType';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalActivityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalActivity;
export declare function deserializeIntoExternalActivity(externalActivity?: ExternalActivity | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalActivity extends Entity, Parsable {
    /**
     * Represents an identity used to identify who is responsible for the activity.
     */
    performedBy?: Identity;
    /**
     * The date and time when the particular activity occurred. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    startDateTime?: Date;
    /**
     * The type property
     */
    type?: ExternalActivityType;
}
export declare function serializeExternalActivity(writer: SerializationWriter, externalActivity?: ExternalActivity | undefined): void;
