"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeExternalActivity = exports.deserializeIntoExternalActivity = exports.createExternalActivityFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const externalActivityResult_1 = require("./externalActivityResult");
const externalActivityType_1 = require("./externalActivityType");
const identity_1 = require("./identity");
function createExternalActivityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.externalConnectors.externalActivityResult":
                    return externalActivityResult_1.deserializeIntoExternalActivityResult;
            }
        }
    }
    return deserializeIntoExternalActivity;
}
exports.createExternalActivityFromDiscriminatorValue = createExternalActivityFromDiscriminatorValue;
function deserializeIntoExternalActivity(externalActivity = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(externalActivity)), { "performedBy": n => { externalActivity.performedBy = n.getObjectValue(identity_1.createIdentityFromDiscriminatorValue); }, "startDateTime": n => { externalActivity.startDateTime = n.getDateValue(); }, "type": n => { externalActivity.type = n.getEnumValue(externalActivityType_1.ExternalActivityType); } });
}
exports.deserializeIntoExternalActivity = deserializeIntoExternalActivity;
function serializeExternalActivity(writer, externalActivity = {}) {
    (0, entity_1.serializeEntity)(writer, externalActivity);
    writer.writeObjectValue("performedBy", externalActivity.performedBy, identity_1.serializeIdentity);
    writer.writeDateValue("startDateTime", externalActivity.startDateTime);
    writer.writeEnumValue("type", externalActivity.type);
}
exports.serializeExternalActivity = serializeExternalActivity;
// tslint:enable
// eslint-enable
