import { type Entity } from '../entity';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalGroup;
export declare function deserializeIntoExternalGroup(externalGroup?: ExternalGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalGroup extends Entity, Parsable {
    /**
     * The description of the external group. Optional.
     */
    description?: string;
    /**
     * The friendly name of the external group. Optional.
     */
    displayName?: string;
    /**
     * A member added to an externalGroup. You can add Microsoft Entra users, Microsoft Entra groups, or an externalGroup as members.
     */
    members?: Identity[];
}
export declare function serializeExternalGroup(writer: SerializationWriter, externalGroup?: ExternalGroup | undefined): void;
