import { type Entity } from '../entity';
import { type Acl } from './acl';
import { type ExternalActivity } from './externalActivity';
import { type ExternalItemContent } from './externalItemContent';
import { type Properties } from './properties';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalItem;
export declare function deserializeIntoExternalItem(externalItem?: ExternalItem | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalItem extends Entity, Parsable {
    /**
     * An array of access control entries. Each entry specifies the access granted to a user or group. Required.
     */
    acl?: Acl[];
    /**
     * Returns a list of activities performed on the item. Write-only.
     */
    activities?: ExternalActivity[];
    /**
     * A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional.
     */
    content?: ExternalItemContent;
    /**
     * A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required.
     */
    properties?: Properties;
}
export declare function serializeExternalItem(writer: SerializationWriter, externalItem?: ExternalItem | undefined): void;
