import { ExternalItemContentType } from './externalItemContentType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalItemContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalItemContent;
export declare function deserializeIntoExternalItemContent(externalItemContent?: ExternalItemContent | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalItemContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type property
     */
    type?: ExternalItemContentType;
    /**
     * The content for the externalItem. Required.
     */
    value?: string;
}
export declare function serializeExternalItemContent(writer: SerializationWriter, externalItemContent?: ExternalItemContent | undefined): void;
