import { type Entity } from '../entity';
import { IdentityType } from './identityType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentity;
export declare function deserializeIntoIdentity(identity?: Identity | undefined): Record<string, (node: ParseNode) => void>;
export interface Identity extends Entity, Parsable {
    /**
     * The type of identity. Possible values are: user or group for Microsoft Entra identities and externalgroup for groups in an external system.
     */
    type?: IdentityType;
}
export declare function serializeIdentity(writer: SerializationWriter, identity?: Identity | undefined): void;
