import { type UrlMatchInfo } from './urlMatchInfo';
import { type UrlToItemResolverBase } from './urlToItemResolverBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemIdResolverFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemIdResolver;
export declare function deserializeIntoItemIdResolver(itemIdResolver?: ItemIdResolver | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemIdResolver extends Parsable, UrlToItemResolverBase {
    /**
     * Pattern that specifies how to form the ID of the external item that the URL represents. The named groups from the regular expression in urlPattern within the urlMatchInfo can be referenced by inserting the group name inside curly brackets.
     */
    itemId?: string;
    /**
     * Configurations to match and resolve URL.
     */
    urlMatchInfo?: UrlMatchInfo;
}
export declare function serializeItemIdResolver(writer: SerializationWriter, itemIdResolver?: ItemIdResolver | undefined): void;
