import { BinaryOperator } from '../binaryOperator';
import { RuleOperation } from './ruleOperation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPropertyRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPropertyRule;
export declare function deserializeIntoPropertyRule(propertyRule?: PropertyRule | undefined): Record<string, (node: ParseNode) => void>;
export interface PropertyRule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The operation property
     */
    operation?: RuleOperation;
    /**
     * The property from the externalItem schema. Required.
     */
    property?: string;
    /**
     * A collection with one or many strings. The specified string(s) will be matched with the specified property using the specified operation. Required.
     */
    values?: string[];
    /**
     * The valuesJoinedBy property
     */
    valuesJoinedBy?: BinaryOperator;
}
export declare function serializePropertyRule(writer: SerializationWriter, propertyRule?: PropertyRule | undefined): void;
