import { type Entity } from '../entity';
import { type Property } from './property';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSchema;
export declare function deserializeIntoSchema(schema?: Schema | undefined): Record<string, (node: ParseNode) => void>;
export interface Schema extends Entity, Parsable {
    /**
     * Must be set to microsoft.graph.externalConnector.externalItem. Required.
     */
    baseType?: string;
    /**
     * The properties defined for the items in the connection. The minimum number of properties is one, the maximum is 128.
     */
    properties?: Property[];
}
export declare function serializeSchema(writer: SerializationWriter, schema?: Schema | undefined): void;
