import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUrlMatchInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUrlMatchInfo;
export declare function deserializeIntoUrlMatchInfo(urlMatchInfo?: UrlMatchInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUrlMatchInfo(writer: SerializationWriter, urlMatchInfo?: UrlMatchInfo | undefined): void;
export interface UrlMatchInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A list of the URL prefixes that must match URLs to be processed by this URL-to-item-resolver.
     */
    baseUrls?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A regular expression that will be matched towards the URL that is processed by this URL-to-item-resolver. The ECMAScript specification for regular expressions (ECMA-262) is used for the evaluation. The named groups defined by the regular expression will be used later to extract values from the URL.
     */
    urlPattern?: string;
}
