"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUrlToItemResolverBase = exports.deserializeIntoUrlToItemResolverBase = exports.createUrlToItemResolverBaseFromDiscriminatorValue = void 0;
const itemIdResolver_1 = require("./itemIdResolver");
function createUrlToItemResolverBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.externalConnectors.itemIdResolver":
                    return itemIdResolver_1.deserializeIntoItemIdResolver;
            }
        }
    }
    return deserializeIntoUrlToItemResolverBase;
}
exports.createUrlToItemResolverBaseFromDiscriminatorValue = createUrlToItemResolverBaseFromDiscriminatorValue;
function deserializeIntoUrlToItemResolverBase(urlToItemResolverBase = {}) {
    return {
        "@odata.type": n => { urlToItemResolverBase.odataType = n.getStringValue(); },
        "priority": n => { urlToItemResolverBase.priority = n.getNumberValue(); },
    };
}
exports.deserializeIntoUrlToItemResolverBase = deserializeIntoUrlToItemResolverBase;
function serializeUrlToItemResolverBase(writer, urlToItemResolverBase = {}) {
    writer.writeStringValue("@odata.type", urlToItemResolverBase.odataType);
    writer.writeNumberValue("priority", urlToItemResolverBase.priority);
    writer.writeAdditionalData(urlToItemResolverBase.additionalData);
}
exports.serializeUrlToItemResolverBase = serializeUrlToItemResolverBase;
// tslint:enable
// eslint-enable
