import { type IdentitySource } from './identitySource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalDomainFederationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalDomainFederation;
export declare function deserializeIntoExternalDomainFederation(externalDomainFederation?: ExternalDomainFederation | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalDomainFederation extends IdentitySource, Parsable {
    /**
     * The name of the identity source, typically also the domain name. Read only.
     */
    displayName?: string;
    /**
     * The domain name. Read only.
     */
    domainName?: string;
    /**
     * The issuerURI of the incoming federation. Read only.
     */
    issuerUri?: string;
}
export declare function serializeExternalDomainFederation(writer: SerializationWriter, externalDomainFederation?: ExternalDomainFederation | undefined): void;
