import { type SensitivityLabelAssignment } from './sensitivityLabelAssignment';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtractSensitivityLabelsResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExtractSensitivityLabelsResult;
export declare function deserializeIntoExtractSensitivityLabelsResult(extractSensitivityLabelsResult?: ExtractSensitivityLabelsResult | undefined): Record<string, (node: ParseNode) => void>;
export interface ExtractSensitivityLabelsResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * List of sensitivity labels assigned to a file.
     */
    labels?: SensitivityLabelAssignment[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeExtractSensitivityLabelsResult(writer: SerializationWriter, extractSensitivityLabelsResult?: ExtractSensitivityLabelsResult | undefined): void;
