import { type DirectoryObject } from './directoryObject';
import { type Entity } from './entity';
import { StagedFeatureName } from './stagedFeatureName';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFeatureRolloutPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFeatureRolloutPolicy;
export declare function deserializeIntoFeatureRolloutPolicy(featureRolloutPolicy?: FeatureRolloutPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface FeatureRolloutPolicy extends Entity, Parsable {
    /**
     * Nullable. Specifies a list of directoryObjects that feature is enabled for.
     */
    appliesTo?: DirectoryObject[];
    /**
     * A description for this feature rollout policy.
     */
    description?: string;
    /**
     * The display name for this  feature rollout policy.
     */
    displayName?: string;
    /**
     * The feature property
     */
    feature?: StagedFeatureName;
    /**
     * Indicates whether this feature rollout policy should be applied to the entire organization.
     */
    isAppliedToOrganization?: boolean;
    /**
     * Indicates whether the feature rollout is enabled.
     */
    isEnabled?: boolean;
}
export declare function serializeFeatureRolloutPolicy(writer: SerializationWriter, featureRolloutPolicy?: FeatureRolloutPolicy | undefined): void;
