import { type AuthenticationCombinationConfiguration } from './authenticationCombinationConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFido2CombinationConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFido2CombinationConfiguration;
export declare function deserializeIntoFido2CombinationConfiguration(fido2CombinationConfiguration?: Fido2CombinationConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface Fido2CombinationConfiguration extends AuthenticationCombinationConfiguration, Parsable {
    /**
     * A list of AAGUIDs allowed to be used as part of the specified authentication method combinations.
     */
    allowedAAGUIDs?: string[];
}
export declare function serializeFido2CombinationConfiguration(writer: SerializationWriter, fido2CombinationConfiguration?: Fido2CombinationConfiguration | undefined): void;
