import { Fido2RestrictionEnforcementType } from './fido2RestrictionEnforcementType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFido2KeyRestrictionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFido2KeyRestrictions;
export declare function deserializeIntoFido2KeyRestrictions(fido2KeyRestrictions?: Fido2KeyRestrictions | undefined): Record<string, (node: ParseNode) => void>;
export interface Fido2KeyRestrictions extends AdditionalDataHolder, Parsable {
    /**
     * A collection of Authenticator Attestation GUIDs. AADGUIDs define key types and manufacturers.
     */
    aaGuids?: string[];
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Enforcement type. Possible values are: allow, block.
     */
    enforcementType?: Fido2RestrictionEnforcementType;
    /**
     * Determines if the configured key enforcement is enabled.
     */
    isEnforced?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFido2KeyRestrictions(writer: SerializationWriter, fido2KeyRestrictions?: Fido2KeyRestrictions | undefined): void;
