import { type Hashes } from './hashes';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFile;
export declare function deserializeIntoFile(file?: File | undefined): Record<string, (node: ParseNode) => void>;
export interface File extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Hashes of the file's binary content, if available. Read-only.
     */
    hashes?: Hashes;
    /**
     * The MIME type for the file. This is determined by logic on the server and might not be the value provided when the file was uploaded. Read-only.
     */
    mimeType?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The processingMetadata property
     */
    processingMetadata?: boolean;
}
export declare function serializeFile(writer: SerializationWriter, file?: File | undefined): void;
