import { type Attachment } from './attachment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileAttachmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileAttachment;
export declare function deserializeIntoFileAttachment(fileAttachment?: FileAttachment | undefined): Record<string, (node: ParseNode) => void>;
export interface FileAttachment extends Attachment, Parsable {
    /**
     * The base64-encoded contents of the file.
     */
    contentBytes?: string;
    /**
     * The ID of the attachment in the Exchange store.
     */
    contentId?: string;
    /**
     * Don't use this property as it isn't supported.
     */
    contentLocation?: string;
}
export declare function serializeFileAttachment(writer: SerializationWriter, fileAttachment?: FileAttachment | undefined): void;
