import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileEncryptionInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileEncryptionInfo;
export declare function deserializeIntoFileEncryptionInfo(fileEncryptionInfo?: FileEncryptionInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface FileEncryptionInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The key used to encrypt the file content.
     */
    encryptionKey?: string;
    /**
     * The file digest prior to encryption. ProfileVersion1 requires a non-null FileDigest.
     */
    fileDigest?: string;
    /**
     * The file digest algorithm. ProfileVersion1 currently only supports SHA256 for the FileDigestAlgorithm.
     */
    fileDigestAlgorithm?: string;
    /**
     * The initialization vector (IV) used for the encryption algorithm. Must be 16 bytes.
     */
    initializationVector?: string;
    /**
     * The hash of the concatenation of the IV and encrypted file content. Must be 32 bytes.
     */
    mac?: string;
    /**
     * The key used to compute the message authentication code of the concatenation of the IV and encrypted file content. Must be 32 bytes.
     */
    macKey?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The profile identifier. Maps to the strategy used to encrypt the file. Currently, only ProfileVersion1 is supported.
     */
    profileIdentifier?: string;
}
export declare function serializeFileEncryptionInfo(writer: SerializationWriter, fileEncryptionInfo?: FileEncryptionInfo | undefined): void;
