import { FileHashType } from './fileHashType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileHashFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileHash;
export declare function deserializeIntoFileHash(fileHash?: FileHash | undefined): Record<string, (node: ParseNode) => void>;
export interface FileHash extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * File hash type. Possible values are: unknown, sha1, sha256, md5, authenticodeHash256, lsHash, ctph, peSha1, peSha256.
     */
    hashType?: FileHashType;
    /**
     * Value of the file hash.
     */
    hashValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFileHash(writer: SerializationWriter, fileHash?: FileHash | undefined): void;
