import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileSystemInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileSystemInfo;
export declare function deserializeIntoFileSystemInfo(fileSystemInfo?: FileSystemInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface FileSystemInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The UTC date and time the file was created on a client.
     */
    createdDateTime?: Date;
    /**
     * The UTC date and time the file was last accessed. Available for the recent file list only.
     */
    lastAccessedDateTime?: Date;
    /**
     * The UTC date and time the file was last modified on a client.
     */
    lastModifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFileSystemInfo(writer: SerializationWriter, fileSystemInfo?: FileSystemInfo | undefined): void;
