"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFileSystemInfo = exports.deserializeIntoFileSystemInfo = exports.createFileSystemInfoFromDiscriminatorValue = void 0;
function createFileSystemInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFileSystemInfo;
}
exports.createFileSystemInfoFromDiscriminatorValue = createFileSystemInfoFromDiscriminatorValue;
function deserializeIntoFileSystemInfo(fileSystemInfo = {}) {
    return {
        "createdDateTime": n => { fileSystemInfo.createdDateTime = n.getDateValue(); },
        "lastAccessedDateTime": n => { fileSystemInfo.lastAccessedDateTime = n.getDateValue(); },
        "lastModifiedDateTime": n => { fileSystemInfo.lastModifiedDateTime = n.getDateValue(); },
        "@odata.type": n => { fileSystemInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoFileSystemInfo = deserializeIntoFileSystemInfo;
function serializeFileSystemInfo(writer, fileSystemInfo = {}) {
    writer.writeDateValue("createdDateTime", fileSystemInfo.createdDateTime);
    writer.writeDateValue("lastAccessedDateTime", fileSystemInfo.lastAccessedDateTime);
    writer.writeDateValue("lastModifiedDateTime", fileSystemInfo.lastModifiedDateTime);
    writer.writeStringValue("@odata.type", fileSystemInfo.odataType);
    writer.writeAdditionalData(fileSystemInfo.additionalData);
}
exports.serializeFileSystemInfo = serializeFileSystemInfo;
// tslint:enable
// eslint-enable
