import { type FilterOperand } from './filterOperand';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterClauseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterClause;
export declare function deserializeIntoFilterClause(filterClause?: FilterClause | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterClause extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Name of the operator to be applied to the source and target operands. Must be one of the supported operators. Supported operators can be discovered.
     */
    operatorName?: string;
    /**
     * Name of source operand (the operand being tested). The source operand name must match one of the attribute names on the source object.
     */
    sourceOperandName?: string;
    /**
     * Values that the source operand will be tested against.
     */
    targetOperand?: FilterOperand;
}
export declare function serializeFilterClause(writer: SerializationWriter, filterClause?: FilterClause | undefined): void;
