import { type FilterClause } from './filterClause';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterGroup;
export declare function deserializeIntoFilterGroup(filterGroup?: FilterGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterGroup extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Filter clauses (conditions) of this group. All clauses in a group must be satisfied in order for the filter group to evaluate to true.
     */
    clauses?: FilterClause[];
    /**
     * Human-readable name of the filter group.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFilterGroup(writer: SerializationWriter, filterGroup?: FilterGroup | undefined): void;
