import { AttributeType } from './attributeType';
import { type Entity } from './entity';
import { ScopeOperatorMultiValuedComparisonType } from './scopeOperatorMultiValuedComparisonType';
import { ScopeOperatorType } from './scopeOperatorType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterOperatorSchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterOperatorSchema;
export declare function deserializeIntoFilterOperatorSchema(filterOperatorSchema?: FilterOperatorSchema | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterOperatorSchema extends Entity, Parsable {
    /**
     * The arity property
     */
    arity?: ScopeOperatorType;
    /**
     * The multivaluedComparisonType property
     */
    multivaluedComparisonType?: ScopeOperatorMultiValuedComparisonType;
    /**
     * Attribute types supported by the operator. Possible values are: Boolean, Binary, Reference, Integer, String.
     */
    supportedAttributeTypes?: AttributeType[];
}
export declare function serializeFilterOperatorSchema(writer: SerializationWriter, filterOperatorSchema?: FilterOperatorSchema | undefined): void;
