import { type FolderView } from './folderView';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFolderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFolder;
export declare function deserializeIntoFolder(folder?: Folder | undefined): Record<string, (node: ParseNode) => void>;
export interface Folder extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Number of children contained immediately within this container.
     */
    childCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A collection of properties defining the recommended view for the folder.
     */
    view?: FolderView;
}
export declare function serializeFolder(writer: SerializationWriter, folder?: Folder | undefined): void;
