import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFolderViewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFolderView;
export declare function deserializeIntoFolderView(folderView?: FolderView | undefined): Record<string, (node: ParseNode) => void>;
export interface FolderView extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The method by which the folder should be sorted.
     */
    sortBy?: string;
    /**
     * If true, indicates that items should be sorted in descending order. Otherwise, items should be sorted ascending.
     */
    sortOrder?: string;
    /**
     * The type of view that should be used to represent the folder.
     */
    viewType?: string;
}
export declare function serializeFolderView(writer: SerializationWriter, folderView?: FolderView | undefined): void;
