import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { FollowupFlagStatus } from './followupFlagStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFollowupFlagFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFollowupFlag;
export declare function deserializeIntoFollowupFlag(followupFlag?: FollowupFlag | undefined): Record<string, (node: ParseNode) => void>;
export interface FollowupFlag extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date and time that the follow-up was finished.
     */
    completedDateTime?: DateTimeTimeZone;
    /**
     * The date and time that the follow-up is to be finished. Note: To set the due date, you must also specify the startDateTime; otherwise, you get a 400 Bad Request response.
     */
    dueDateTime?: DateTimeTimeZone;
    /**
     * The status for follow-up for an item. Possible values are notFlagged, complete, and flagged.
     */
    flagStatus?: FollowupFlagStatus;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The date and time that the follow-up is to begin.
     */
    startDateTime?: DateTimeTimeZone;
}
export declare function serializeFollowupFlag(writer: SerializationWriter, followupFlag?: FollowupFlag | undefined): void;
