import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFreeBusyErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFreeBusyError;
export declare function deserializeIntoFreeBusyError(freeBusyError?: FreeBusyError | undefined): Record<string, (node: ParseNode) => void>;
export interface FreeBusyError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Describes the error.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The response code from querying for the availability of the user, distribution list, or resource.
     */
    responseCode?: string;
}
export declare function serializeFreeBusyError(writer: SerializationWriter, freeBusyError?: FreeBusyError | undefined): void;
