import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGenericErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGenericError;
export declare function deserializeIntoGenericError(genericError?: GenericError | undefined): Record<string, (node: ParseNode) => void>;
export interface GenericError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeGenericError(writer: SerializationWriter, genericError?: GenericError | undefined): void;
