"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGenericError = exports.deserializeIntoGenericError = exports.createGenericErrorFromDiscriminatorValue = void 0;
function createGenericErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGenericError;
}
exports.createGenericErrorFromDiscriminatorValue = createGenericErrorFromDiscriminatorValue;
function deserializeIntoGenericError(genericError = {}) {
    return {
        "code": n => { genericError.code = n.getStringValue(); },
        "message": n => { genericError.message = n.getStringValue(); },
        "@odata.type": n => { genericError.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoGenericError = deserializeIntoGenericError;
function serializeGenericError(writer, genericError = {}) {
    writer.writeStringValue("code", genericError.code);
    writer.writeStringValue("message", genericError.message);
    writer.writeStringValue("@odata.type", genericError.odataType);
    writer.writeAdditionalData(genericError.additionalData);
}
exports.serializeGenericError = serializeGenericError;
// tslint:enable
// eslint-enable
