import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGeoCoordinatesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGeoCoordinates;
export declare function deserializeIntoGeoCoordinates(geoCoordinates?: GeoCoordinates | undefined): Record<string, (node: ParseNode) => void>;
export interface GeoCoordinates extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Optional. The altitude (height), in feet,  above sea level for the item. Read-only.
     */
    altitude?: number;
    /**
     * Optional. The latitude, in decimal, for the item. Read-only.
     */
    latitude?: number;
    /**
     * Optional. The longitude, in decimal, for the item. Read-only.
     */
    longitude?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeGeoCoordinates(writer: SerializationWriter, geoCoordinates?: GeoCoordinates | undefined): void;
