"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGeoCoordinates = exports.deserializeIntoGeoCoordinates = exports.createGeoCoordinatesFromDiscriminatorValue = void 0;
function createGeoCoordinatesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGeoCoordinates;
}
exports.createGeoCoordinatesFromDiscriminatorValue = createGeoCoordinatesFromDiscriminatorValue;
function deserializeIntoGeoCoordinates(geoCoordinates = {}) {
    return {
        "altitude": n => { geoCoordinates.altitude = n.getNumberValue(); },
        "latitude": n => { geoCoordinates.latitude = n.getNumberValue(); },
        "longitude": n => { geoCoordinates.longitude = n.getNumberValue(); },
        "@odata.type": n => { geoCoordinates.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoGeoCoordinates = deserializeIntoGeoCoordinates;
function serializeGeoCoordinates(writer, geoCoordinates = {}) {
    writer.writeNumberValue("altitude", geoCoordinates.altitude);
    writer.writeNumberValue("latitude", geoCoordinates.latitude);
    writer.writeNumberValue("longitude", geoCoordinates.longitude);
    writer.writeStringValue("@odata.type", geoCoordinates.odataType);
    writer.writeAdditionalData(geoCoordinates.additionalData);
}
exports.serializeGeoCoordinates = serializeGeoCoordinates;
// tslint:enable
// eslint-enable
