"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGroup = exports.deserializeIntoGroup = exports.createGroupFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const appRoleAssignment_1 = require("./appRoleAssignment");
const assignedLabel_1 = require("./assignedLabel");
const assignedLicense_1 = require("./assignedLicense");
const calendar_1 = require("./calendar");
const conversation_1 = require("./conversation");
const conversationThread_1 = require("./conversationThread");
const directoryObject_1 = require("./directoryObject");
const drive_1 = require("./drive");
const event_1 = require("./event");
const extension_1 = require("./extension");
const groupLifecyclePolicy_1 = require("./groupLifecyclePolicy");
const groupSetting_1 = require("./groupSetting");
const licenseProcessingState_1 = require("./licenseProcessingState");
const onenote_1 = require("./onenote");
const onPremisesProvisioningError_1 = require("./onPremisesProvisioningError");
const plannerGroup_1 = require("./plannerGroup");
const profilePhoto_1 = require("./profilePhoto");
const resourceSpecificPermissionGrant_1 = require("./resourceSpecificPermissionGrant");
const serviceProvisioningError_1 = require("./serviceProvisioningError");
const site_1 = require("./site");
const team_1 = require("./team");
function createGroupFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGroup;
}
exports.createGroupFromDiscriminatorValue = createGroupFromDiscriminatorValue;
function deserializeIntoGroup(group = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(group)), { "acceptedSenders": n => { group.acceptedSenders = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "allowExternalSenders": n => { group.allowExternalSenders = n.getBooleanValue(); }, "appRoleAssignments": n => { group.appRoleAssignments = n.getCollectionOfObjectValues(appRoleAssignment_1.createAppRoleAssignmentFromDiscriminatorValue); }, "assignedLabels": n => { group.assignedLabels = n.getCollectionOfObjectValues(assignedLabel_1.createAssignedLabelFromDiscriminatorValue); }, "assignedLicenses": n => { group.assignedLicenses = n.getCollectionOfObjectValues(assignedLicense_1.createAssignedLicenseFromDiscriminatorValue); }, "autoSubscribeNewMembers": n => { group.autoSubscribeNewMembers = n.getBooleanValue(); }, "calendar": n => { group.calendar = n.getObjectValue(calendar_1.createCalendarFromDiscriminatorValue); }, "calendarView": n => { group.calendarView = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "classification": n => { group.classification = n.getStringValue(); }, "conversations": n => { group.conversations = n.getCollectionOfObjectValues(conversation_1.createConversationFromDiscriminatorValue); }, "createdDateTime": n => { group.createdDateTime = n.getDateValue(); }, "createdOnBehalfOf": n => { group.createdOnBehalfOf = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "description": n => { group.description = n.getStringValue(); }, "displayName": n => { group.displayName = n.getStringValue(); }, "drive": n => { group.drive = n.getObjectValue(drive_1.createDriveFromDiscriminatorValue); }, "drives": n => { group.drives = n.getCollectionOfObjectValues(drive_1.createDriveFromDiscriminatorValue); }, "events": n => { group.events = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "expirationDateTime": n => { group.expirationDateTime = n.getDateValue(); }, "extensions": n => { group.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "groupLifecyclePolicies": n => { group.groupLifecyclePolicies = n.getCollectionOfObjectValues(groupLifecyclePolicy_1.createGroupLifecyclePolicyFromDiscriminatorValue); }, "groupTypes": n => { group.groupTypes = n.getCollectionOfPrimitiveValues(); }, "hasMembersWithLicenseErrors": n => { group.hasMembersWithLicenseErrors = n.getBooleanValue(); }, "hideFromAddressLists": n => { group.hideFromAddressLists = n.getBooleanValue(); }, "hideFromOutlookClients": n => { group.hideFromOutlookClients = n.getBooleanValue(); }, "isArchived": n => { group.isArchived = n.getBooleanValue(); }, "isAssignableToRole": n => { group.isAssignableToRole = n.getBooleanValue(); }, "isSubscribedByMail": n => { group.isSubscribedByMail = n.getBooleanValue(); }, "licenseProcessingState": n => { group.licenseProcessingState = n.getObjectValue(licenseProcessingState_1.createLicenseProcessingStateFromDiscriminatorValue); }, "mail": n => { group.mail = n.getStringValue(); }, "mailEnabled": n => { group.mailEnabled = n.getBooleanValue(); }, "mailNickname": n => { group.mailNickname = n.getStringValue(); }, "memberOf": n => { group.memberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "members": n => { group.members = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "membershipRule": n => { group.membershipRule = n.getStringValue(); }, "membershipRuleProcessingState": n => { group.membershipRuleProcessingState = n.getStringValue(); }, "membersWithLicenseErrors": n => { group.membersWithLicenseErrors = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "onenote": n => { group.onenote = n.getObjectValue(onenote_1.createOnenoteFromDiscriminatorValue); }, "onPremisesDomainName": n => { group.onPremisesDomainName = n.getStringValue(); }, "onPremisesLastSyncDateTime": n => { group.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesNetBiosName": n => { group.onPremisesNetBiosName = n.getStringValue(); }, "onPremisesProvisioningErrors": n => { group.onPremisesProvisioningErrors = n.getCollectionOfObjectValues(onPremisesProvisioningError_1.createOnPremisesProvisioningErrorFromDiscriminatorValue); }, "onPremisesSamAccountName": n => { group.onPremisesSamAccountName = n.getStringValue(); }, "onPremisesSecurityIdentifier": n => { group.onPremisesSecurityIdentifier = n.getStringValue(); }, "onPremisesSyncEnabled": n => { group.onPremisesSyncEnabled = n.getBooleanValue(); }, "owners": n => { group.owners = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "permissionGrants": n => { group.permissionGrants = n.getCollectionOfObjectValues(resourceSpecificPermissionGrant_1.createResourceSpecificPermissionGrantFromDiscriminatorValue); }, "photo": n => { group.photo = n.getObjectValue(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "photos": n => { group.photos = n.getCollectionOfObjectValues(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "planner": n => { group.planner = n.getObjectValue(plannerGroup_1.createPlannerGroupFromDiscriminatorValue); }, "preferredDataLocation": n => { group.preferredDataLocation = n.getStringValue(); }, "preferredLanguage": n => { group.preferredLanguage = n.getStringValue(); }, "proxyAddresses": n => { group.proxyAddresses = n.getCollectionOfPrimitiveValues(); }, "rejectedSenders": n => { group.rejectedSenders = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "renewedDateTime": n => { group.renewedDateTime = n.getDateValue(); }, "securityEnabled": n => { group.securityEnabled = n.getBooleanValue(); }, "securityIdentifier": n => { group.securityIdentifier = n.getStringValue(); }, "serviceProvisioningErrors": n => { group.serviceProvisioningErrors = n.getCollectionOfObjectValues(serviceProvisioningError_1.createServiceProvisioningErrorFromDiscriminatorValue); }, "settings": n => { group.settings = n.getCollectionOfObjectValues(groupSetting_1.createGroupSettingFromDiscriminatorValue); }, "sites": n => { group.sites = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); }, "team": n => { group.team = n.getObjectValue(team_1.createTeamFromDiscriminatorValue); }, "theme": n => { group.theme = n.getStringValue(); }, "threads": n => { group.threads = n.getCollectionOfObjectValues(conversationThread_1.createConversationThreadFromDiscriminatorValue); }, "transitiveMemberOf": n => { group.transitiveMemberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "transitiveMembers": n => { group.transitiveMembers = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "unseenCount": n => { group.unseenCount = n.getNumberValue(); }, "visibility": n => { group.visibility = n.getStringValue(); } });
}
exports.deserializeIntoGroup = deserializeIntoGroup;
function serializeGroup(writer, group = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, group);
    writer.writeCollectionOfObjectValues("acceptedSenders", group.acceptedSenders, directoryObject_1.serializeDirectoryObject);
    writer.writeBooleanValue("allowExternalSenders", group.allowExternalSenders);
    writer.writeCollectionOfObjectValues("appRoleAssignments", group.appRoleAssignments, appRoleAssignment_1.serializeAppRoleAssignment);
    writer.writeCollectionOfObjectValues("assignedLabels", group.assignedLabels, assignedLabel_1.serializeAssignedLabel);
    writer.writeCollectionOfObjectValues("assignedLicenses", group.assignedLicenses, assignedLicense_1.serializeAssignedLicense);
    writer.writeBooleanValue("autoSubscribeNewMembers", group.autoSubscribeNewMembers);
    writer.writeObjectValue("calendar", group.calendar, calendar_1.serializeCalendar);
    writer.writeCollectionOfObjectValues("calendarView", group.calendarView, event_1.serializeEvent);
    writer.writeStringValue("classification", group.classification);
    writer.writeCollectionOfObjectValues("conversations", group.conversations, conversation_1.serializeConversation);
    writer.writeDateValue("createdDateTime", group.createdDateTime);
    writer.writeObjectValue("createdOnBehalfOf", group.createdOnBehalfOf, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("description", group.description);
    writer.writeStringValue("displayName", group.displayName);
    writer.writeObjectValue("drive", group.drive, drive_1.serializeDrive);
    writer.writeCollectionOfObjectValues("drives", group.drives, drive_1.serializeDrive);
    writer.writeCollectionOfObjectValues("events", group.events, event_1.serializeEvent);
    writer.writeDateValue("expirationDateTime", group.expirationDateTime);
    writer.writeCollectionOfObjectValues("extensions", group.extensions, extension_1.serializeExtension);
    writer.writeCollectionOfObjectValues("groupLifecyclePolicies", group.groupLifecyclePolicies, groupLifecyclePolicy_1.serializeGroupLifecyclePolicy);
    writer.writeCollectionOfPrimitiveValues("groupTypes", group.groupTypes);
    writer.writeBooleanValue("hasMembersWithLicenseErrors", group.hasMembersWithLicenseErrors);
    writer.writeBooleanValue("hideFromAddressLists", group.hideFromAddressLists);
    writer.writeBooleanValue("hideFromOutlookClients", group.hideFromOutlookClients);
    writer.writeBooleanValue("isArchived", group.isArchived);
    writer.writeBooleanValue("isAssignableToRole", group.isAssignableToRole);
    writer.writeBooleanValue("isSubscribedByMail", group.isSubscribedByMail);
    writer.writeObjectValue("licenseProcessingState", group.licenseProcessingState, licenseProcessingState_1.serializeLicenseProcessingState);
    writer.writeStringValue("mail", group.mail);
    writer.writeBooleanValue("mailEnabled", group.mailEnabled);
    writer.writeStringValue("mailNickname", group.mailNickname);
    writer.writeCollectionOfObjectValues("memberOf", group.memberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("members", group.members, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("membershipRule", group.membershipRule);
    writer.writeStringValue("membershipRuleProcessingState", group.membershipRuleProcessingState);
    writer.writeCollectionOfObjectValues("membersWithLicenseErrors", group.membersWithLicenseErrors, directoryObject_1.serializeDirectoryObject);
    writer.writeObjectValue("onenote", group.onenote, onenote_1.serializeOnenote);
    writer.writeStringValue("onPremisesDomainName", group.onPremisesDomainName);
    writer.writeDateValue("onPremisesLastSyncDateTime", group.onPremisesLastSyncDateTime);
    writer.writeStringValue("onPremisesNetBiosName", group.onPremisesNetBiosName);
    writer.writeCollectionOfObjectValues("onPremisesProvisioningErrors", group.onPremisesProvisioningErrors, onPremisesProvisioningError_1.serializeOnPremisesProvisioningError);
    writer.writeStringValue("onPremisesSamAccountName", group.onPremisesSamAccountName);
    writer.writeStringValue("onPremisesSecurityIdentifier", group.onPremisesSecurityIdentifier);
    writer.writeBooleanValue("onPremisesSyncEnabled", group.onPremisesSyncEnabled);
    writer.writeCollectionOfObjectValues("owners", group.owners, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("permissionGrants", group.permissionGrants, resourceSpecificPermissionGrant_1.serializeResourceSpecificPermissionGrant);
    writer.writeObjectValue("photo", group.photo, profilePhoto_1.serializeProfilePhoto);
    writer.writeCollectionOfObjectValues("photos", group.photos, profilePhoto_1.serializeProfilePhoto);
    writer.writeObjectValue("planner", group.planner, plannerGroup_1.serializePlannerGroup);
    writer.writeStringValue("preferredDataLocation", group.preferredDataLocation);
    writer.writeStringValue("preferredLanguage", group.preferredLanguage);
    writer.writeCollectionOfPrimitiveValues("proxyAddresses", group.proxyAddresses);
    writer.writeCollectionOfObjectValues("rejectedSenders", group.rejectedSenders, directoryObject_1.serializeDirectoryObject);
    writer.writeDateValue("renewedDateTime", group.renewedDateTime);
    writer.writeBooleanValue("securityEnabled", group.securityEnabled);
    writer.writeStringValue("securityIdentifier", group.securityIdentifier);
    writer.writeCollectionOfObjectValues("serviceProvisioningErrors", group.serviceProvisioningErrors, serviceProvisioningError_1.serializeServiceProvisioningError);
    writer.writeCollectionOfObjectValues("settings", group.settings, groupSetting_1.serializeGroupSetting);
    writer.writeCollectionOfObjectValues("sites", group.sites, site_1.serializeSite);
    writer.writeObjectValue("team", group.team, team_1.serializeTeam);
    writer.writeStringValue("theme", group.theme);
    writer.writeCollectionOfObjectValues("threads", group.threads, conversationThread_1.serializeConversationThread);
    writer.writeCollectionOfObjectValues("transitiveMemberOf", group.transitiveMemberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("transitiveMembers", group.transitiveMembers, directoryObject_1.serializeDirectoryObject);
    writer.writeNumberValue("unseenCount", group.unseenCount);
    writer.writeStringValue("visibility", group.visibility);
}
exports.serializeGroup = serializeGroup;
// tslint:enable
// eslint-enable
