import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupLifecyclePolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupLifecyclePolicy;
export declare function deserializeIntoGroupLifecyclePolicy(groupLifecyclePolicy?: GroupLifecyclePolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupLifecyclePolicy extends Entity, Parsable {
    /**
     * List of email address to send notifications for groups without owners. Multiple email address can be defined by separating email address with a semicolon.
     */
    alternateNotificationEmails?: string;
    /**
     * Number of days before a group expires and needs to be renewed. Once renewed, the group expiration is extended by the number of days defined.
     */
    groupLifetimeInDays?: number;
    /**
     * The group type for which the expiration policy applies. Possible values are All, Selected or None.
     */
    managedGroupTypes?: string;
}
export declare function serializeGroupLifecyclePolicy(writer: SerializationWriter, groupLifecyclePolicy?: GroupLifecyclePolicy | undefined): void;
