import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupMembersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupMembers;
export declare function deserializeIntoGroupMembers(groupMembers?: GroupMembers | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupMembers extends Parsable, SubjectSet {
    /**
     * The name of the group in Microsoft Entra ID. Read only.
     */
    description?: string;
    /**
     * The ID of the group in Microsoft Entra ID.
     */
    groupId?: string;
}
export declare function serializeGroupMembers(writer: SerializationWriter, groupMembers?: GroupMembers | undefined): void;
