import { type Entity } from './entity';
import { type SettingValue } from './settingValue';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupSetting;
export declare function deserializeIntoGroupSetting(groupSetting?: GroupSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupSetting extends Entity, Parsable {
    /**
     * Display name of this group of settings, which comes from the associated template.
     */
    displayName?: string;
    /**
     * Unique identifier for the tenant-level groupSettingTemplates object that's been customized for this group-level settings object. Read-only.
     */
    templateId?: string;
    /**
     * Collection of name-value pairs corresponding to the name and defaultValue properties in the referenced groupSettingTemplates object.
     */
    values?: SettingValue[];
}
export declare function serializeGroupSetting(writer: SerializationWriter, groupSetting?: GroupSetting | undefined): void;
