import { type DirectoryObject } from './directoryObject';
import { type SettingTemplateValue } from './settingTemplateValue';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupSettingTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupSettingTemplate;
export declare function deserializeIntoGroupSettingTemplate(groupSettingTemplate?: GroupSettingTemplate | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupSettingTemplate extends DirectoryObject, Parsable {
    /**
     * Description of the template.
     */
    description?: string;
    /**
     * Display name of the template. The template named Group.Unified can be used to configure tenant-wide Microsoft 365 group settings, while the template named Group.Unified.Guest can be used to configure group-specific settings.
     */
    displayName?: string;
    /**
     * Collection of settingTemplateValues that list the set of available settings, defaults and types that make up this template.
     */
    values?: SettingTemplateValue[];
}
export declare function serializeGroupSettingTemplate(writer: SerializationWriter, groupSettingTemplate?: GroupSettingTemplate | undefined): void;
