"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHashes = exports.deserializeIntoHashes = exports.createHashesFromDiscriminatorValue = void 0;
function createHashesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHashes;
}
exports.createHashesFromDiscriminatorValue = createHashesFromDiscriminatorValue;
function deserializeIntoHashes(hashes = {}) {
    return {
        "crc32Hash": n => { hashes.crc32Hash = n.getStringValue(); },
        "@odata.type": n => { hashes.odataType = n.getStringValue(); },
        "quickXorHash": n => { hashes.quickXorHash = n.getStringValue(); },
        "sha1Hash": n => { hashes.sha1Hash = n.getStringValue(); },
        "sha256Hash": n => { hashes.sha256Hash = n.getStringValue(); },
    };
}
exports.deserializeIntoHashes = deserializeIntoHashes;
function serializeHashes(writer, hashes = {}) {
    writer.writeStringValue("crc32Hash", hashes.crc32Hash);
    writer.writeStringValue("@odata.type", hashes.odataType);
    writer.writeStringValue("quickXorHash", hashes.quickXorHash);
    writer.writeStringValue("sha1Hash", hashes.sha1Hash);
    writer.writeStringValue("sha256Hash", hashes.sha256Hash);
    writer.writeAdditionalData(hashes.additionalData);
}
exports.serializeHashes = serializeHashes;
// tslint:enable
// eslint-enable
