"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHostSecurityState = exports.deserializeIntoHostSecurityState = exports.createHostSecurityStateFromDiscriminatorValue = void 0;
function createHostSecurityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHostSecurityState;
}
exports.createHostSecurityStateFromDiscriminatorValue = createHostSecurityStateFromDiscriminatorValue;
function deserializeIntoHostSecurityState(hostSecurityState = {}) {
    return {
        "fqdn": n => { hostSecurityState.fqdn = n.getStringValue(); },
        "isAzureAdJoined": n => { hostSecurityState.isAzureAdJoined = n.getBooleanValue(); },
        "isAzureAdRegistered": n => { hostSecurityState.isAzureAdRegistered = n.getBooleanValue(); },
        "isHybridAzureDomainJoined": n => { hostSecurityState.isHybridAzureDomainJoined = n.getBooleanValue(); },
        "netBiosName": n => { hostSecurityState.netBiosName = n.getStringValue(); },
        "@odata.type": n => { hostSecurityState.odataType = n.getStringValue(); },
        "os": n => { hostSecurityState.os = n.getStringValue(); },
        "privateIpAddress": n => { hostSecurityState.privateIpAddress = n.getStringValue(); },
        "publicIpAddress": n => { hostSecurityState.publicIpAddress = n.getStringValue(); },
        "riskScore": n => { hostSecurityState.riskScore = n.getStringValue(); },
    };
}
exports.deserializeIntoHostSecurityState = deserializeIntoHostSecurityState;
function serializeHostSecurityState(writer, hostSecurityState = {}) {
    writer.writeStringValue("fqdn", hostSecurityState.fqdn);
    writer.writeBooleanValue("isAzureAdJoined", hostSecurityState.isAzureAdJoined);
    writer.writeBooleanValue("isAzureAdRegistered", hostSecurityState.isAzureAdRegistered);
    writer.writeBooleanValue("isHybridAzureDomainJoined", hostSecurityState.isHybridAzureDomainJoined);
    writer.writeStringValue("netBiosName", hostSecurityState.netBiosName);
    writer.writeStringValue("@odata.type", hostSecurityState.odataType);
    writer.writeStringValue("os", hostSecurityState.os);
    writer.writeStringValue("privateIpAddress", hostSecurityState.privateIpAddress);
    writer.writeStringValue("publicIpAddress", hostSecurityState.publicIpAddress);
    writer.writeStringValue("riskScore", hostSecurityState.riskScore);
    writer.writeAdditionalData(hostSecurityState.additionalData);
}
exports.serializeHostSecurityState = serializeHostSecurityState;
// tslint:enable
// eslint-enable
