import { type IpRange } from './ipRange';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIPv4CidrRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIPv4CidrRange;
export declare function deserializeIntoIPv4CidrRange(iPv4CidrRange?: IPv4CidrRange | undefined): Record<string, (node: ParseNode) => void>;
export interface IPv4CidrRange extends IpRange, Parsable {
    /**
     * IPv4 address in CIDR notation. Not nullable.
     */
    cidrAddress?: string;
}
export declare function serializeIPv4CidrRange(writer: SerializationWriter, iPv4CidrRange?: IPv4CidrRange | undefined): void;
