import { type IpRange } from './ipRange';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIPv6CidrRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIPv6CidrRange;
export declare function deserializeIntoIPv6CidrRange(iPv6CidrRange?: IPv6CidrRange | undefined): Record<string, (node: ParseNode) => void>;
export interface IPv6CidrRange extends IpRange, Parsable {
    /**
     * IPv6 address in CIDR notation. Not nullable.
     */
    cidrAddress?: string;
}
export declare function serializeIPv6CidrRange(writer: SerializationWriter, iPv6CidrRange?: IPv6CidrRange | undefined): void;
