import { deserializeIntoAzureCommunicationServicesUserIdentity } from './azureCommunicationServicesUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureCommunicationServicesUserIdentity;
export declare function deserializeIntoIdentity(identity?: Identity | undefined): Record<string, (node: ParseNode) => void>;
export interface Identity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The display name of the identity. The display name might not always be available or up to date. For example, if a user changes their display name, the API might show the new value in a future response, but the items associated with the user won't show up as having changed when using delta.
     */
    displayName?: string;
    /**
     * Unique identifier for the identity.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIdentity(writer: SerializationWriter, identity?: Identity | undefined): void;
