"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIdentity = exports.deserializeIntoIdentity = exports.createIdentityFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const azureCommunicationServicesUserIdentity_1 = require("./azureCommunicationServicesUserIdentity");
const communicationsApplicationIdentity_1 = require("./communicationsApplicationIdentity");
const communicationsApplicationInstanceIdentity_1 = require("./communicationsApplicationInstanceIdentity");
const communicationsEncryptedIdentity_1 = require("./communicationsEncryptedIdentity");
const communicationsGuestIdentity_1 = require("./communicationsGuestIdentity");
const communicationsPhoneIdentity_1 = require("./communicationsPhoneIdentity");
const communicationsUserIdentity_1 = require("./communicationsUserIdentity");
const emailIdentity_1 = require("./emailIdentity");
const initiator_1 = require("./initiator");
const provisionedIdentity_1 = require("./provisionedIdentity");
const provisioningServicePrincipal_1 = require("./provisioningServicePrincipal");
const provisioningSystem_1 = require("./provisioningSystem");
const servicePrincipalIdentity_1 = require("./servicePrincipalIdentity");
const sharePointIdentity_1 = require("./sharePointIdentity");
const teamworkApplicationIdentity_1 = require("./teamworkApplicationIdentity");
const teamworkConversationIdentity_1 = require("./teamworkConversationIdentity");
const teamworkTagIdentity_1 = require("./teamworkTagIdentity");
const teamworkUserIdentity_1 = require("./teamworkUserIdentity");
const userIdentity_1 = require("./userIdentity");
function createIdentityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.azureCommunicationServicesUserIdentity":
                    return azureCommunicationServicesUserIdentity_1.deserializeIntoAzureCommunicationServicesUserIdentity;
                case "#microsoft.graph.communicationsApplicationIdentity":
                    return communicationsApplicationIdentity_1.deserializeIntoCommunicationsApplicationIdentity;
                case "#microsoft.graph.communicationsApplicationInstanceIdentity":
                    return communicationsApplicationInstanceIdentity_1.deserializeIntoCommunicationsApplicationInstanceIdentity;
                case "#microsoft.graph.communicationsEncryptedIdentity":
                    return communicationsEncryptedIdentity_1.deserializeIntoCommunicationsEncryptedIdentity;
                case "#microsoft.graph.communicationsGuestIdentity":
                    return communicationsGuestIdentity_1.deserializeIntoCommunicationsGuestIdentity;
                case "#microsoft.graph.communicationsPhoneIdentity":
                    return communicationsPhoneIdentity_1.deserializeIntoCommunicationsPhoneIdentity;
                case "#microsoft.graph.communicationsUserIdentity":
                    return communicationsUserIdentity_1.deserializeIntoCommunicationsUserIdentity;
                case "#microsoft.graph.emailIdentity":
                    return emailIdentity_1.deserializeIntoEmailIdentity;
                case "#microsoft.graph.initiator":
                    return initiator_1.deserializeIntoInitiator;
                case "#microsoft.graph.provisionedIdentity":
                    return provisionedIdentity_1.deserializeIntoProvisionedIdentity;
                case "#microsoft.graph.provisioningServicePrincipal":
                    return provisioningServicePrincipal_1.deserializeIntoProvisioningServicePrincipal;
                case "#microsoft.graph.provisioningSystem":
                    return provisioningSystem_1.deserializeIntoProvisioningSystem;
                case "#microsoft.graph.servicePrincipalIdentity":
                    return servicePrincipalIdentity_1.deserializeIntoServicePrincipalIdentity;
                case "#microsoft.graph.sharePointIdentity":
                    return sharePointIdentity_1.deserializeIntoSharePointIdentity;
                case "#microsoft.graph.teamworkApplicationIdentity":
                    return teamworkApplicationIdentity_1.deserializeIntoTeamworkApplicationIdentity;
                case "#microsoft.graph.teamworkConversationIdentity":
                    return teamworkConversationIdentity_1.deserializeIntoTeamworkConversationIdentity;
                case "#microsoft.graph.teamworkTagIdentity":
                    return teamworkTagIdentity_1.deserializeIntoTeamworkTagIdentity;
                case "#microsoft.graph.teamworkUserIdentity":
                    return teamworkUserIdentity_1.deserializeIntoTeamworkUserIdentity;
                case "#microsoft.graph.userIdentity":
                    return userIdentity_1.deserializeIntoUserIdentity;
            }
        }
    }
    return deserializeIntoIdentity;
}
exports.createIdentityFromDiscriminatorValue = createIdentityFromDiscriminatorValue;
function deserializeIntoIdentity(identity = {}) {
    return {
        "displayName": n => { identity.displayName = n.getStringValue(); },
        "id": n => { identity.id = n.getStringValue(); },
        "@odata.type": n => { identity.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIdentity = deserializeIntoIdentity;
function serializeIdentity(writer, identity = {}) {
    writer.writeStringValue("displayName", identity.displayName);
    writer.writeStringValue("id", identity.id);
    writer.writeStringValue("@odata.type", identity.odataType);
    writer.writeAdditionalData(identity.additionalData);
}
exports.serializeIdentity = serializeIdentity;
// tslint:enable
// eslint-enable
