import { type ApiAuthenticationConfigurationBase } from './apiAuthenticationConfigurationBase';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityApiConnectorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityApiConnector;
export declare function deserializeIntoIdentityApiConnector(identityApiConnector?: IdentityApiConnector | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityApiConnector extends Entity, Parsable {
    /**
     * The object which describes the authentication configuration details for calling the API. Basic and PKCS 12 client certificate are supported.
     */
    authenticationConfiguration?: ApiAuthenticationConfigurationBase;
    /**
     * The name of the API connector.
     */
    displayName?: string;
    /**
     * The URL of the API endpoint to call.
     */
    targetUrl?: string;
}
export declare function serializeIdentityApiConnector(writer: SerializationWriter, identityApiConnector?: IdentityApiConnector | undefined): void;
