import { type B2xIdentityUserFlow } from './b2xIdentityUserFlow';
import { type ConditionalAccessRoot } from './conditionalAccessRoot';
import { type Entity } from './entity';
import { type IdentityApiConnector } from './identityApiConnector';
import { type IdentityProviderBase } from './identityProviderBase';
import { type IdentityUserFlowAttribute } from './identityUserFlowAttribute';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityContainer;
export declare function deserializeIntoIdentityContainer(identityContainer?: IdentityContainer | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityContainer extends Entity, Parsable {
    /**
     * Represents entry point for API connectors.
     */
    apiConnectors?: IdentityApiConnector[];
    /**
     * Represents entry point for B2X/self-service sign-up identity userflows.
     */
    b2xUserFlows?: B2xIdentityUserFlow[];
    /**
     * the entry point for the Conditional Access (CA) object model.
     */
    conditionalAccess?: ConditionalAccessRoot;
    /**
     * The identityProviders property
     */
    identityProviders?: IdentityProviderBase[];
    /**
     * Represents entry point for identity userflow attributes.
     */
    userFlowAttributes?: IdentityUserFlowAttribute[];
}
export declare function serializeIdentityContainer(writer: SerializationWriter, identityContainer?: IdentityContainer | undefined): void;
