import { type AccessReviewSet } from './accessReviewSet';
import { type AppConsentApprovalRoute } from './appConsentApprovalRoute';
import { type EntitlementManagement } from './entitlementManagement';
import { type LifecycleWorkflowsContainer } from './identityGovernance/lifecycleWorkflowsContainer';
import { type PrivilegedAccessRoot } from './privilegedAccessRoot';
import { type TermsOfUseContainer } from './termsOfUseContainer';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityGovernanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityGovernance;
export declare function deserializeIntoIdentityGovernance(identityGovernance?: IdentityGovernance | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityGovernance extends AdditionalDataHolder, Parsable {
    /**
     * The accessReviews property
     */
    accessReviews?: AccessReviewSet;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The appConsent property
     */
    appConsent?: AppConsentApprovalRoute;
    /**
     * The entitlementManagement property
     */
    entitlementManagement?: EntitlementManagement;
    /**
     * The lifecycleWorkflows property
     */
    lifecycleWorkflows?: LifecycleWorkflowsContainer;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The privilegedAccess property
     */
    privilegedAccess?: PrivilegedAccessRoot;
    /**
     * The termsOfUse property
     */
    termsOfUse?: TermsOfUseContainer;
}
export declare function serializeIdentityGovernance(writer: SerializationWriter, identityGovernance?: IdentityGovernance | undefined): void;
