import { type CustomCalloutExtension } from '../customCalloutExtension';
import { type CustomExtensionCallbackConfiguration } from '../customExtensionCallbackConfiguration';
import { type User } from '../user';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTaskExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtension;
export interface CustomTaskExtension extends CustomCalloutExtension, Parsable {
    /**
     * The callback configuration for a custom task extension.
     */
    callbackConfiguration?: CustomExtensionCallbackConfiguration;
    /**
     * The unique identifier of the Microsoft Entra user that created the custom task extension.Supports $filter(eq, ne) and $expand.
     */
    createdBy?: User;
    /**
     * When the custom task extension was created.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    createdDateTime?: Date;
    /**
     * The unique identifier of the Microsoft Entra user that modified the custom task extension last.Supports $filter(eq, ne) and $expand.
     */
    lastModifiedBy?: User;
    /**
     * When the custom extension was last modified.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    lastModifiedDateTime?: Date;
}
export declare function deserializeIntoCustomTaskExtension(customTaskExtension?: CustomTaskExtension | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTaskExtension(writer: SerializationWriter, customTaskExtension?: CustomTaskExtension | undefined): void;
