import { type CustomExtensionData } from '../customExtensionData';
import { CustomTaskExtensionOperationStatus } from './customTaskExtensionOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTaskExtensionCallbackDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtensionCallbackData;
export interface CustomTaskExtensionCallbackData extends CustomExtensionData, Parsable {
    /**
     * Operation status that's provided by the Azure Logic App indicating whenever the Azure Logic App has run successfully or not. Supported values: completed, failed, unknownFutureValue.
     */
    operationStatus?: CustomTaskExtensionOperationStatus;
}
export declare function deserializeIntoCustomTaskExtensionCallbackData(customTaskExtensionCallbackData?: CustomTaskExtensionCallbackData | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTaskExtensionCallbackData(writer: SerializationWriter, customTaskExtensionCallbackData?: CustomTaskExtensionCallbackData | undefined): void;
