import { type CustomExtensionData } from '../customExtensionData';
import { type User } from '../user';
import { type Task } from './task';
import { type TaskProcessingResult } from './taskProcessingResult';
import { type Workflow } from './workflow';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTaskExtensionCalloutDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtensionCalloutData;
export interface CustomTaskExtensionCalloutData extends CustomExtensionData, Parsable {
    /**
     * The subject property
     */
    subject?: User;
    /**
     * The task property
     */
    task?: Task;
    /**
     * The taskProcessingresult property
     */
    taskProcessingresult?: TaskProcessingResult;
    /**
     * The workflow property
     */
    workflow?: Workflow;
}
export declare function deserializeIntoCustomTaskExtensionCalloutData(customTaskExtensionCalloutData?: CustomTaskExtensionCalloutData | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTaskExtensionCalloutData(writer: SerializationWriter, customTaskExtensionCalloutData?: CustomTaskExtensionCalloutData | undefined): void;
