import { type EmailSettings } from '../emailSettings';
import { type Entity } from '../entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLifecycleManagementSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLifecycleManagementSettings;
export declare function deserializeIntoLifecycleManagementSettings(lifecycleManagementSettings?: LifecycleManagementSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface LifecycleManagementSettings extends Entity, Parsable {
    /**
     * The emailSettings property
     */
    emailSettings?: EmailSettings;
    /**
     * The interval in hours at which all workflows running in the tenant should be scheduled for execution. This interval has a minimum value of 1 and a maximum value of 24. The default value is 3 hours.
     */
    workflowScheduleIntervalInHours?: number;
}
export declare function serializeLifecycleManagementSettings(writer: SerializationWriter, lifecycleManagementSettings?: LifecycleManagementSettings | undefined): void;
