import { type DeletedItemContainer } from '../deletedItemContainer';
import { type Entity } from '../entity';
import { type CustomTaskExtension } from './customTaskExtension';
import { type LifecycleManagementSettings } from './lifecycleManagementSettings';
import { type TaskDefinition } from './taskDefinition';
import { type Workflow } from './workflow';
import { type WorkflowTemplate } from './workflowTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLifecycleWorkflowsContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLifecycleWorkflowsContainer;
export declare function deserializeIntoLifecycleWorkflowsContainer(lifecycleWorkflowsContainer?: LifecycleWorkflowsContainer | undefined): Record<string, (node: ParseNode) => void>;
export interface LifecycleWorkflowsContainer extends Entity, Parsable {
    /**
     * The customTaskExtension instance.
     */
    customTaskExtensions?: CustomTaskExtension[];
    /**
     * Deleted workflows in your lifecycle workflows instance.
     */
    deletedItems?: DeletedItemContainer;
    /**
     * The settings property
     */
    settings?: LifecycleManagementSettings;
    /**
     * The definition of tasks within the lifecycle workflows instance.
     */
    taskDefinitions?: TaskDefinition[];
    /**
     * The workflows in the lifecycle workflows instance.
     */
    workflows?: Workflow[];
    /**
     * The workflow templates in the lifecycle workflow instance.
     */
    workflowTemplates?: WorkflowTemplate[];
}
export declare function serializeLifecycleWorkflowsContainer(writer: SerializationWriter, lifecycleWorkflowsContainer?: LifecycleWorkflowsContainer | undefined): void;
