import { ValueType } from './valueType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParameterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParameter;
export declare function deserializeIntoParameter(parameter?: Parameter | undefined): Record<string, (node: ParseNode) => void>;
export interface Parameter extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the parameter.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The values of the parameter.
     */
    values?: string[];
    /**
     * The valueType property
     */
    valueType?: ValueType;
}
export declare function serializeParameter(writer: SerializationWriter, parameter?: Parameter | undefined): void;
