import { type SubjectSet } from '../subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRuleBasedSubjectSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRuleBasedSubjectSet;
export declare function deserializeIntoRuleBasedSubjectSet(ruleBasedSubjectSet?: RuleBasedSubjectSet | undefined): Record<string, (node: ParseNode) => void>;
export interface RuleBasedSubjectSet extends Parsable, SubjectSet {
    /**
     * The rule for the subject set. Lifecycle Workflows supports a rich set of user properties for configuring the rules using $filter query expressions. For more information, see supported user and query parameters.
     */
    rule?: string;
}
export declare function serializeRuleBasedSubjectSet(writer: SerializationWriter, ruleBasedSubjectSet?: RuleBasedSubjectSet | undefined): void;
