import { type Entity } from '../entity';
import { LifecycleWorkflowProcessingStatus } from './lifecycleWorkflowProcessingStatus';
import { type TaskProcessingResult } from './taskProcessingResult';
import { type UserProcessingResult } from './userProcessingResult';
import { WorkflowExecutionType } from './workflowExecutionType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRunFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRun;
export declare function deserializeIntoRun(run?: Run | undefined): Record<string, (node: ParseNode) => void>;
export interface Run extends Entity, Parsable {
    /**
     * The date time that the run completed. Value is null if the workflow hasn't completed.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    completedDateTime?: Date;
    /**
     * The number of tasks that failed in the run execution.
     */
    failedTasksCount?: number;
    /**
     * The number of users that failed in the run execution.
     */
    failedUsersCount?: number;
    /**
     * The datetime that the run was last updated.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    lastUpdatedDateTime?: Date;
    /**
     * The processingStatus property
     */
    processingStatus?: LifecycleWorkflowProcessingStatus;
    /**
     * The date time that the run is scheduled to be executed for a workflow.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    scheduledDateTime?: Date;
    /**
     * The date time that the run execution started.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    startedDateTime?: Date;
    /**
     * The number of successfully completed users in the run.
     */
    successfulUsersCount?: number;
    /**
     * The related taskProcessingResults.
     */
    taskProcessingResults?: TaskProcessingResult[];
    /**
     * The totalTasksCount property
     */
    totalTasksCount?: number;
    /**
     * The total number of unprocessed tasks in the run execution.
     */
    totalUnprocessedTasksCount?: number;
    /**
     * The total number of users in the workflow execution.
     */
    totalUsersCount?: number;
    /**
     * The associated individual user execution.
     */
    userProcessingResults?: UserProcessingResult[];
    /**
     * The workflowExecutionType property
     */
    workflowExecutionType?: WorkflowExecutionType;
}
export declare function serializeRun(writer: SerializationWriter, run?: Run | undefined): void;
