import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRunSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRunSummary;
export declare function deserializeIntoRunSummary(runSummary?: RunSummary | undefined): Record<string, (node: ParseNode) => void>;
export interface RunSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of failed workflow runs.
     */
    failedRuns?: number;
    /**
     * The number of failed tasks of a workflow.
     */
    failedTasks?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The number of successful workflow runs.
     */
    successfulRuns?: number;
    /**
     * The total number of runs for a workflow.
     */
    totalRuns?: number;
    /**
     * The total number of tasks processed by a workflow.
     */
    totalTasks?: number;
    /**
     * The total number of users processed by a workflow.
     */
    totalUsers?: number;
}
export declare function serializeRunSummary(writer: SerializationWriter, runSummary?: RunSummary | undefined): void;
