"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRunSummary = exports.deserializeIntoRunSummary = exports.createRunSummaryFromDiscriminatorValue = void 0;
function createRunSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRunSummary;
}
exports.createRunSummaryFromDiscriminatorValue = createRunSummaryFromDiscriminatorValue;
function deserializeIntoRunSummary(runSummary = {}) {
    return {
        "failedRuns": n => { runSummary.failedRuns = n.getNumberValue(); },
        "failedTasks": n => { runSummary.failedTasks = n.getNumberValue(); },
        "@odata.type": n => { runSummary.odataType = n.getStringValue(); },
        "successfulRuns": n => { runSummary.successfulRuns = n.getNumberValue(); },
        "totalRuns": n => { runSummary.totalRuns = n.getNumberValue(); },
        "totalTasks": n => { runSummary.totalTasks = n.getNumberValue(); },
        "totalUsers": n => { runSummary.totalUsers = n.getNumberValue(); },
    };
}
exports.deserializeIntoRunSummary = deserializeIntoRunSummary;
function serializeRunSummary(writer, runSummary = {}) {
    writer.writeNumberValue("failedRuns", runSummary.failedRuns);
    writer.writeNumberValue("failedTasks", runSummary.failedTasks);
    writer.writeStringValue("@odata.type", runSummary.odataType);
    writer.writeNumberValue("successfulRuns", runSummary.successfulRuns);
    writer.writeNumberValue("totalRuns", runSummary.totalRuns);
    writer.writeNumberValue("totalTasks", runSummary.totalTasks);
    writer.writeNumberValue("totalUsers", runSummary.totalUsers);
    writer.writeAdditionalData(runSummary.additionalData);
}
exports.serializeRunSummary = serializeRunSummary;
// tslint:enable
// eslint-enable
