import { type Entity } from '../entity';
import { LifecycleTaskCategory } from './lifecycleTaskCategory';
import { type Parameter } from './parameter';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskDefinition;
export declare function deserializeIntoTaskDefinition(taskDefinition?: TaskDefinition | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskDefinition(writer: SerializationWriter, taskDefinition?: TaskDefinition | undefined): void;
export interface TaskDefinition extends Entity, Parsable {
    /**
     * The category property
     */
    category?: LifecycleTaskCategory[];
    /**
     * The continueOnError property
     */
    continueOnError?: boolean;
    /**
     * The description of the taskDefinition.
     */
    description?: string;
    /**
     * The display name of the taskDefinition.Supports $filter(eq, ne) and $orderby.
     */
    displayName?: string;
    /**
     * The parameters that must be supplied when creating a workflow task object.Supports $filter(any).
     */
    parameters?: Parameter[];
    /**
     * The version number of the taskDefinition. New records are pushed when we add support for new parameters.Supports $filter(ge, gt, le, lt, eq, ne) and $orderby.
     */
    version?: number;
}
