import { type Entity } from '../entity';
import { type User } from '../user';
import { LifecycleWorkflowProcessingStatus } from './lifecycleWorkflowProcessingStatus';
import { type Task } from './task';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskProcessingResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskProcessingResult;
export declare function deserializeIntoTaskProcessingResult(taskProcessingResult?: TaskProcessingResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskProcessingResult(writer: SerializationWriter, taskProcessingResult?: TaskProcessingResult | undefined): void;
export interface TaskProcessingResult extends Entity, Parsable {
    /**
     * The date time when taskProcessingResult execution ended. Value is null if task execution is still in progress.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    completedDateTime?: Date;
    /**
     * The date time when the taskProcessingResult was created.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    createdDateTime?: Date;
    /**
     * Describes why the taskProcessingResult has failed.
     */
    failureReason?: string;
    /**
     * The processingStatus property
     */
    processingStatus?: LifecycleWorkflowProcessingStatus;
    /**
     * The date time when taskProcessingResult execution started. Value is null if task execution has not yet started.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    startedDateTime?: Date;
    /**
     * The subject property
     */
    subject?: User;
    /**
     * The task property
     */
    task?: Task;
}
