import { type Entity } from '../entity';
import { LifecycleWorkflowProcessingStatus } from './lifecycleWorkflowProcessingStatus';
import { type Task } from './task';
import { type TaskDefinition } from './taskDefinition';
import { type TaskProcessingResult } from './taskProcessingResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskReportFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskReport;
export declare function deserializeIntoTaskReport(taskReport?: TaskReport | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskReport(writer: SerializationWriter, taskReport?: TaskReport | undefined): void;
export interface TaskReport extends Entity, Parsable {
    /**
     * The date time that the associated run completed. Value is null if the run has not completed.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    completedDateTime?: Date;
    /**
     * The number of users in the run execution for which the associated task failed.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    failedUsersCount?: number;
    /**
     * The date and time that the task report was last updated.
     */
    lastUpdatedDateTime?: Date;
    /**
     * The processingStatus property
     */
    processingStatus?: LifecycleWorkflowProcessingStatus;
    /**
     * The unique identifier of the associated run.
     */
    runId?: string;
    /**
     * The date time that the associated run started. Value is null if the run has not started.
     */
    startedDateTime?: Date;
    /**
     * The number of users in the run execution for which the associated task succeeded.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    successfulUsersCount?: number;
    /**
     * The task property
     */
    task?: Task;
    /**
     * The taskDefinition property
     */
    taskDefinition?: TaskDefinition;
    /**
     * The related lifecycle workflow taskProcessingResults.
     */
    taskProcessingResults?: TaskProcessingResult[];
    /**
     * The total number of users in the run execution for which the associated task was scheduled to execute.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    totalUsersCount?: number;
    /**
     * The number of users in the run execution for which the associated task is queued, in progress, or canceled.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    unprocessedUsersCount?: number;
}
