import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskReportSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskReportSummary;
export declare function deserializeIntoTaskReportSummary(taskReportSummary?: TaskReportSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskReportSummary(writer: SerializationWriter, taskReportSummary?: TaskReportSummary | undefined): void;
export interface TaskReportSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of failed tasks in a report.
     */
    failedTasks?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The total number of successful tasks in a report.
     */
    successfulTasks?: number;
    /**
     * The total number of tasks in a report.
     */
    totalTasks?: number;
    /**
     * The number of unprocessed tasks in a report.
     */
    unprocessedTasks?: number;
}
