import { type WorkflowExecutionTrigger } from './workflowExecutionTrigger';
import { WorkflowTriggerTimeBasedAttribute } from './workflowTriggerTimeBasedAttribute';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeBasedAttributeTriggerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeBasedAttributeTrigger;
export declare function deserializeIntoTimeBasedAttributeTrigger(timeBasedAttributeTrigger?: TimeBasedAttributeTrigger | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeBasedAttributeTrigger(writer: SerializationWriter, timeBasedAttributeTrigger?: TimeBasedAttributeTrigger | undefined): void;
export interface TimeBasedAttributeTrigger extends Parsable, WorkflowExecutionTrigger {
    /**
     * How many days before or after the time-based attribute specified the workflow should trigger. For example, if the attribute is employeeHireDate and offsetInDays is -1, then the workflow should trigger one day before the employee hire date. The value can range between -180 and 180 days.
     */
    offsetInDays?: number;
    /**
     * The timeBasedAttribute property
     */
    timeBasedAttribute?: WorkflowTriggerTimeBasedAttribute;
}
