import { type SubjectSet } from '../subjectSet';
import { type WorkflowExecutionConditions } from './workflowExecutionConditions';
import { type WorkflowExecutionTrigger } from './workflowExecutionTrigger';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTriggerAndScopeBasedConditionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTriggerAndScopeBasedConditions;
export declare function deserializeIntoTriggerAndScopeBasedConditions(triggerAndScopeBasedConditions?: TriggerAndScopeBasedConditions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTriggerAndScopeBasedConditions(writer: SerializationWriter, triggerAndScopeBasedConditions?: TriggerAndScopeBasedConditions | undefined): void;
export interface TriggerAndScopeBasedConditions extends Parsable, WorkflowExecutionConditions {
    /**
     * Defines who the workflow runs for.
     */
    scope?: SubjectSet;
    /**
     * What triggers a workflow to run.
     */
    trigger?: WorkflowExecutionTrigger;
}
