import { type Entity } from '../entity';
import { type User } from '../user';
import { LifecycleWorkflowProcessingStatus } from './lifecycleWorkflowProcessingStatus';
import { type TaskProcessingResult } from './taskProcessingResult';
import { WorkflowExecutionType } from './workflowExecutionType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserProcessingResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserProcessingResult;
export declare function deserializeIntoUserProcessingResult(userProcessingResult?: UserProcessingResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserProcessingResult(writer: SerializationWriter, userProcessingResult?: UserProcessingResult | undefined): void;
export interface UserProcessingResult extends Entity, Parsable {
    /**
     * The date time that the workflow execution for a user completed. Value is null if the workflow hasn't completed.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    completedDateTime?: Date;
    /**
     * The number of tasks that failed in the workflow execution.
     */
    failedTasksCount?: number;
    /**
     * The processingStatus property
     */
    processingStatus?: LifecycleWorkflowProcessingStatus;
    /**
     * The date time that the workflow is scheduled to be executed for a user.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    scheduledDateTime?: Date;
    /**
     * The date time that the workflow execution started. Value is null if the workflow execution has not started.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    startedDateTime?: Date;
    /**
     * The subject property
     */
    subject?: User;
    /**
     * The associated individual task execution.
     */
    taskProcessingResults?: TaskProcessingResult[];
    /**
     * The total number of tasks that in the workflow execution.
     */
    totalTasksCount?: number;
    /**
     * The total number of unprocessed tasks for the workflow.
     */
    totalUnprocessedTasksCount?: number;
    /**
     * The workflowExecutionType property
     */
    workflowExecutionType?: WorkflowExecutionType;
    /**
     * The version of the workflow that was executed.
     */
    workflowVersion?: number;
}
