import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserSummary;
export declare function deserializeIntoUserSummary(userSummary?: UserSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserSummary(writer: SerializationWriter, userSummary?: UserSummary | undefined): void;
export interface UserSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of failed tasks for users in a user summary.
     */
    failedTasks?: number;
    /**
     * The number of failed users in a user summary.
     */
    failedUsers?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The number of successful users in a user summary.
     */
    successfulUsers?: number;
    /**
     * The total tasks of users in a user summary.
     */
    totalTasks?: number;
    /**
     * The total number of users in a user summary
     */
    totalUsers?: number;
}
