"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserSummary = exports.deserializeIntoUserSummary = exports.createUserSummaryFromDiscriminatorValue = void 0;
function createUserSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserSummary;
}
exports.createUserSummaryFromDiscriminatorValue = createUserSummaryFromDiscriminatorValue;
function deserializeIntoUserSummary(userSummary = {}) {
    return {
        "failedTasks": n => { userSummary.failedTasks = n.getNumberValue(); },
        "failedUsers": n => { userSummary.failedUsers = n.getNumberValue(); },
        "@odata.type": n => { userSummary.odataType = n.getStringValue(); },
        "successfulUsers": n => { userSummary.successfulUsers = n.getNumberValue(); },
        "totalTasks": n => { userSummary.totalTasks = n.getNumberValue(); },
        "totalUsers": n => { userSummary.totalUsers = n.getNumberValue(); },
    };
}
exports.deserializeIntoUserSummary = deserializeIntoUserSummary;
function serializeUserSummary(writer, userSummary = {}) {
    writer.writeNumberValue("failedTasks", userSummary.failedTasks);
    writer.writeNumberValue("failedUsers", userSummary.failedUsers);
    writer.writeStringValue("@odata.type", userSummary.odataType);
    writer.writeNumberValue("successfulUsers", userSummary.successfulUsers);
    writer.writeNumberValue("totalTasks", userSummary.totalTasks);
    writer.writeNumberValue("totalUsers", userSummary.totalUsers);
    writer.writeAdditionalData(userSummary.additionalData);
}
exports.serializeUserSummary = serializeUserSummary;
// tslint:enable
// eslint-enable
