import { type User } from '../user';
import { LifecycleWorkflowCategory } from './lifecycleWorkflowCategory';
import { type Task } from './task';
import { type WorkflowExecutionConditions } from './workflowExecutionConditions';
import { deserializeIntoWorkflowVersion } from './workflowVersion';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowVersion;
export declare function deserializeIntoWorkflowBase(workflowBase?: WorkflowBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowBase(writer: SerializationWriter, workflowBase?: WorkflowBase | undefined): void;
export interface WorkflowBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The category property
     */
    category?: LifecycleWorkflowCategory;
    /**
     * The user who created the workflow.
     */
    createdBy?: User;
    /**
     * When a workflow was created.
     */
    createdDateTime?: Date;
    /**
     * A string that describes the purpose of the workflow.
     */
    description?: string;
    /**
     * A string to identify the workflow.
     */
    displayName?: string;
    /**
     * Defines when and for who the workflow will run.
     */
    executionConditions?: WorkflowExecutionConditions;
    /**
     * Whether the workflow is enabled or disabled. If this setting is true, the workflow can be run on demand or on schedule when isSchedulingEnabled is true.
     */
    isEnabled?: boolean;
    /**
     * If true, the Lifecycle Workflow engine executes the workflow based on the schedule defined by tenant settings. Can't be true for a disabled workflow (where isEnabled is false).
     */
    isSchedulingEnabled?: boolean;
    /**
     * The unique identifier of the Microsoft Entra identity that last modified the workflow.
     */
    lastModifiedBy?: User;
    /**
     * When the workflow was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The tasks in the workflow.
     */
    tasks?: Task[];
}
