"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkflowBase = exports.deserializeIntoWorkflowBase = exports.createWorkflowBaseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const user_1 = require("../user");
const lifecycleWorkflowCategory_1 = require("./lifecycleWorkflowCategory");
const task_1 = require("./task");
const workflow_1 = require("./workflow");
const workflowExecutionConditions_1 = require("./workflowExecutionConditions");
const workflowVersion_1 = require("./workflowVersion");
function createWorkflowBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityGovernance.workflow":
                    return workflow_1.deserializeIntoWorkflow;
                case "#microsoft.graph.identityGovernance.workflowVersion":
                    return workflowVersion_1.deserializeIntoWorkflowVersion;
            }
        }
    }
    return deserializeIntoWorkflowBase;
}
exports.createWorkflowBaseFromDiscriminatorValue = createWorkflowBaseFromDiscriminatorValue;
function deserializeIntoWorkflowBase(workflowBase = {}) {
    return {
        "category": n => { workflowBase.category = n.getEnumValue(lifecycleWorkflowCategory_1.LifecycleWorkflowCategory); },
        "createdBy": n => { workflowBase.createdBy = n.getObjectValue(user_1.createUserFromDiscriminatorValue); },
        "createdDateTime": n => { workflowBase.createdDateTime = n.getDateValue(); },
        "description": n => { workflowBase.description = n.getStringValue(); },
        "displayName": n => { workflowBase.displayName = n.getStringValue(); },
        "executionConditions": n => { workflowBase.executionConditions = n.getObjectValue(workflowExecutionConditions_1.createWorkflowExecutionConditionsFromDiscriminatorValue); },
        "isEnabled": n => { workflowBase.isEnabled = n.getBooleanValue(); },
        "isSchedulingEnabled": n => { workflowBase.isSchedulingEnabled = n.getBooleanValue(); },
        "lastModifiedBy": n => { workflowBase.lastModifiedBy = n.getObjectValue(user_1.createUserFromDiscriminatorValue); },
        "lastModifiedDateTime": n => { workflowBase.lastModifiedDateTime = n.getDateValue(); },
        "@odata.type": n => { workflowBase.odataType = n.getStringValue(); },
        "tasks": n => { workflowBase.tasks = n.getCollectionOfObjectValues(task_1.createTaskFromDiscriminatorValue); },
    };
}
exports.deserializeIntoWorkflowBase = deserializeIntoWorkflowBase;
function serializeWorkflowBase(writer, workflowBase = {}) {
    writer.writeEnumValue("category", workflowBase.category);
    writer.writeObjectValue("createdBy", workflowBase.createdBy, user_1.serializeUser);
    writer.writeDateValue("createdDateTime", workflowBase.createdDateTime);
    writer.writeStringValue("description", workflowBase.description);
    writer.writeStringValue("displayName", workflowBase.displayName);
    writer.writeObjectValue("executionConditions", workflowBase.executionConditions, workflowExecutionConditions_1.serializeWorkflowExecutionConditions);
    writer.writeBooleanValue("isEnabled", workflowBase.isEnabled);
    writer.writeBooleanValue("isSchedulingEnabled", workflowBase.isSchedulingEnabled);
    writer.writeObjectValue("lastModifiedBy", workflowBase.lastModifiedBy, user_1.serializeUser);
    writer.writeDateValue("lastModifiedDateTime", workflowBase.lastModifiedDateTime);
    writer.writeStringValue("@odata.type", workflowBase.odataType);
    writer.writeCollectionOfObjectValues("tasks", workflowBase.tasks, task_1.serializeTask);
    writer.writeAdditionalData(workflowBase.additionalData);
}
exports.serializeWorkflowBase = serializeWorkflowBase;
// tslint:enable
// eslint-enable
