"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkflowExecutionConditions = exports.deserializeIntoWorkflowExecutionConditions = exports.createWorkflowExecutionConditionsFromDiscriminatorValue = void 0;
const onDemandExecutionOnly_1 = require("./onDemandExecutionOnly");
const triggerAndScopeBasedConditions_1 = require("./triggerAndScopeBasedConditions");
function createWorkflowExecutionConditionsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityGovernance.onDemandExecutionOnly":
                    return onDemandExecutionOnly_1.deserializeIntoOnDemandExecutionOnly;
                case "#microsoft.graph.identityGovernance.triggerAndScopeBasedConditions":
                    return triggerAndScopeBasedConditions_1.deserializeIntoTriggerAndScopeBasedConditions;
            }
        }
    }
    return deserializeIntoWorkflowExecutionConditions;
}
exports.createWorkflowExecutionConditionsFromDiscriminatorValue = createWorkflowExecutionConditionsFromDiscriminatorValue;
function deserializeIntoWorkflowExecutionConditions(workflowExecutionConditions = {}) {
    return {
        "@odata.type": n => { workflowExecutionConditions.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWorkflowExecutionConditions = deserializeIntoWorkflowExecutionConditions;
function serializeWorkflowExecutionConditions(writer, workflowExecutionConditions = {}) {
    writer.writeStringValue("@odata.type", workflowExecutionConditions.odataType);
    writer.writeAdditionalData(workflowExecutionConditions.additionalData);
}
exports.serializeWorkflowExecutionConditions = serializeWorkflowExecutionConditions;
// tslint:enable
// eslint-enable
