"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkflowExecutionTrigger = exports.deserializeIntoWorkflowExecutionTrigger = exports.createWorkflowExecutionTriggerFromDiscriminatorValue = void 0;
const timeBasedAttributeTrigger_1 = require("./timeBasedAttributeTrigger");
function createWorkflowExecutionTriggerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityGovernance.timeBasedAttributeTrigger":
                    return timeBasedAttributeTrigger_1.deserializeIntoTimeBasedAttributeTrigger;
            }
        }
    }
    return deserializeIntoWorkflowExecutionTrigger;
}
exports.createWorkflowExecutionTriggerFromDiscriminatorValue = createWorkflowExecutionTriggerFromDiscriminatorValue;
function deserializeIntoWorkflowExecutionTrigger(workflowExecutionTrigger = {}) {
    return {
        "@odata.type": n => { workflowExecutionTrigger.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWorkflowExecutionTrigger = deserializeIntoWorkflowExecutionTrigger;
function serializeWorkflowExecutionTrigger(writer, workflowExecutionTrigger = {}) {
    writer.writeStringValue("@odata.type", workflowExecutionTrigger.odataType);
    writer.writeAdditionalData(workflowExecutionTrigger.additionalData);
}
exports.serializeWorkflowExecutionTrigger = serializeWorkflowExecutionTrigger;
// tslint:enable
// eslint-enable
