import { type Entity } from '../entity';
import { LifecycleWorkflowCategory } from './lifecycleWorkflowCategory';
import { type Task } from './task';
import { type WorkflowExecutionConditions } from './workflowExecutionConditions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowTemplate;
export declare function deserializeIntoWorkflowTemplate(workflowTemplate?: WorkflowTemplate | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowTemplate(writer: SerializationWriter, workflowTemplate?: WorkflowTemplate | undefined): void;
export interface WorkflowTemplate extends Entity, Parsable {
    /**
     * The category property
     */
    category?: LifecycleWorkflowCategory;
    /**
     * The description of the workflowTemplate.
     */
    description?: string;
    /**
     * The display name of the workflowTemplate.Supports $filter(eq, ne) and $orderby.
     */
    displayName?: string;
    /**
     * Conditions describing when to execute the workflow and the criteria to identify in-scope subject set.
     */
    executionConditions?: WorkflowExecutionConditions;
    /**
     * Represents the configured tasks to execute and their execution sequence within a workflow. This relationship is expanded by default.
     */
    tasks?: Task[];
}
