import { type WorkflowBase } from './workflowBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowVersion;
export declare function deserializeIntoWorkflowVersion(workflowVersion?: WorkflowVersion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowVersion(writer: SerializationWriter, workflowVersion?: WorkflowVersion | undefined): void;
export interface WorkflowVersion extends Parsable, WorkflowBase {
    /**
     * The version of the workflow.Supports $filter(lt, le, gt, ge, eq, ne) and $orderby.
     */
    versionNumber?: number;
}
