import { type RiskDetection } from './riskDetection';
import { type RiskyServicePrincipal } from './riskyServicePrincipal';
import { type RiskyUser } from './riskyUser';
import { type ServicePrincipalRiskDetection } from './servicePrincipalRiskDetection';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityProtectionRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityProtectionRoot;
export declare function deserializeIntoIdentityProtectionRoot(identityProtectionRoot?: IdentityProtectionRoot | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityProtectionRoot extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Risk detection in Microsoft Entra ID Protection and the associated information about the detection.
     */
    riskDetections?: RiskDetection[];
    /**
     * Microsoft Entra service principals that are at risk.
     */
    riskyServicePrincipals?: RiskyServicePrincipal[];
    /**
     * Users that are flagged as at-risk by Microsoft Entra ID Protection.
     */
    riskyUsers?: RiskyUser[];
    /**
     * Represents information about detected at-risk service principals in a Microsoft Entra tenant.
     */
    servicePrincipalRiskDetections?: ServicePrincipalRiskDetection[];
}
export declare function serializeIdentityProtectionRoot(writer: SerializationWriter, identityProtectionRoot?: IdentityProtectionRoot | undefined): void;
