import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityProviderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityProvider;
export declare function deserializeIntoIdentityProvider(identityProvider?: IdentityProvider | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityProvider extends Entity, Parsable {
    /**
     * The client ID for the application. This is the client ID obtained when registering the application with the identity provider. Required. Not nullable.
     */
    clientId?: string;
    /**
     * The client secret for the application. This is the client secret obtained when registering the application with the identity provider. This is write-only. A read operation will return .  Required. Not nullable.
     */
    clientSecret?: string;
    /**
     * The display name of the identity provider. Not nullable.
     */
    name?: string;
    /**
     * The identity provider type is a required field. For B2B scenario: Google, Facebook. For B2C scenario: Microsoft, Google, Amazon, LinkedIn, Facebook, GitHub, Twitter, Weibo, QQ, WeChat, OpenIDConnect. Not nullable.
     */
    type?: string;
}
export declare function serializeIdentityProvider(writer: SerializationWriter, identityProvider?: IdentityProvider | undefined): void;
