import { deserializeIntoChatMessageFromIdentitySet } from './chatMessageFromIdentitySet';
import { type Identity } from './identity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageFromIdentitySet;
export declare function deserializeIntoIdentitySet(identitySet?: IdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentitySet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Optional. The application associated with this action.
     */
    application?: Identity;
    /**
     * Optional. The device associated with this action.
     */
    device?: Identity;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Optional. The user associated with this action.
     */
    user?: Identity;
}
export declare function serializeIdentitySet(writer: SerializationWriter, identitySet?: IdentitySet | undefined): void;
