"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIdentitySet = exports.deserializeIntoIdentitySet = exports.createIdentitySetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const chatMessageFromIdentitySet_1 = require("./chatMessageFromIdentitySet");
const chatMessageMentionedIdentitySet_1 = require("./chatMessageMentionedIdentitySet");
const chatMessageReactionIdentitySet_1 = require("./chatMessageReactionIdentitySet");
const communicationsIdentitySet_1 = require("./communicationsIdentitySet");
const identity_1 = require("./identity");
const sharePointIdentitySet_1 = require("./sharePointIdentitySet");
function createIdentitySetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.chatMessageFromIdentitySet":
                    return chatMessageFromIdentitySet_1.deserializeIntoChatMessageFromIdentitySet;
                case "#microsoft.graph.chatMessageMentionedIdentitySet":
                    return chatMessageMentionedIdentitySet_1.deserializeIntoChatMessageMentionedIdentitySet;
                case "#microsoft.graph.chatMessageReactionIdentitySet":
                    return chatMessageReactionIdentitySet_1.deserializeIntoChatMessageReactionIdentitySet;
                case "#microsoft.graph.communicationsIdentitySet":
                    return communicationsIdentitySet_1.deserializeIntoCommunicationsIdentitySet;
                case "#microsoft.graph.sharePointIdentitySet":
                    return sharePointIdentitySet_1.deserializeIntoSharePointIdentitySet;
            }
        }
    }
    return deserializeIntoIdentitySet;
}
exports.createIdentitySetFromDiscriminatorValue = createIdentitySetFromDiscriminatorValue;
function deserializeIntoIdentitySet(identitySet = {}) {
    return {
        "application": n => { identitySet.application = n.getObjectValue(identity_1.createIdentityFromDiscriminatorValue); },
        "device": n => { identitySet.device = n.getObjectValue(identity_1.createIdentityFromDiscriminatorValue); },
        "@odata.type": n => { identitySet.odataType = n.getStringValue(); },
        "user": n => { identitySet.user = n.getObjectValue(identity_1.createIdentityFromDiscriminatorValue); },
    };
}
exports.deserializeIntoIdentitySet = deserializeIntoIdentitySet;
function serializeIdentitySet(writer, identitySet = {}) {
    writer.writeObjectValue("application", identitySet.application, identity_1.serializeIdentity);
    writer.writeObjectValue("device", identitySet.device, identity_1.serializeIdentity);
    writer.writeStringValue("@odata.type", identitySet.odataType);
    writer.writeObjectValue("user", identitySet.user, identity_1.serializeIdentity);
    writer.writeAdditionalData(identitySet.additionalData);
}
exports.serializeIdentitySet = serializeIdentitySet;
// tslint:enable
// eslint-enable
