"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIdentitySource = exports.deserializeIntoIdentitySource = exports.createIdentitySourceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const azureActiveDirectoryTenant_1 = require("./azureActiveDirectoryTenant");
const crossCloudAzureActiveDirectoryTenant_1 = require("./crossCloudAzureActiveDirectoryTenant");
const domainIdentitySource_1 = require("./domainIdentitySource");
const externalDomainFederation_1 = require("./externalDomainFederation");
function createIdentitySourceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.azureActiveDirectoryTenant":
                    return azureActiveDirectoryTenant_1.deserializeIntoAzureActiveDirectoryTenant;
                case "#microsoft.graph.crossCloudAzureActiveDirectoryTenant":
                    return crossCloudAzureActiveDirectoryTenant_1.deserializeIntoCrossCloudAzureActiveDirectoryTenant;
                case "#microsoft.graph.domainIdentitySource":
                    return domainIdentitySource_1.deserializeIntoDomainIdentitySource;
                case "#microsoft.graph.externalDomainFederation":
                    return externalDomainFederation_1.deserializeIntoExternalDomainFederation;
            }
        }
    }
    return deserializeIntoIdentitySource;
}
exports.createIdentitySourceFromDiscriminatorValue = createIdentitySourceFromDiscriminatorValue;
function deserializeIntoIdentitySource(identitySource = {}) {
    return {
        "@odata.type": n => { identitySource.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIdentitySource = deserializeIntoIdentitySource;
function serializeIdentitySource(writer, identitySource = {}) {
    writer.writeStringValue("@odata.type", identitySource.odataType);
    writer.writeAdditionalData(identitySource.additionalData);
}
exports.serializeIdentitySource = serializeIdentitySource;
// tslint:enable
// eslint-enable
