import { type Entity } from './entity';
import { deserializeIntoIdentityBuiltInUserFlowAttribute } from './identityBuiltInUserFlowAttribute';
import { IdentityUserFlowAttributeDataType } from './identityUserFlowAttributeDataType';
import { IdentityUserFlowAttributeType } from './identityUserFlowAttributeType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityUserFlowAttributeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityBuiltInUserFlowAttribute;
export declare function deserializeIntoIdentityUserFlowAttribute(identityUserFlowAttribute?: IdentityUserFlowAttribute | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityUserFlowAttribute extends Entity, Parsable {
    /**
     * The dataType property
     */
    dataType?: IdentityUserFlowAttributeDataType;
    /**
     * The description of the user flow attribute that's shown to the user at the time of sign-up.
     */
    description?: string;
    /**
     * The display name of the user flow attribute.  Supports $filter (eq, ne).
     */
    displayName?: string;
    /**
     * The userFlowAttributeType property
     */
    userFlowAttributeType?: IdentityUserFlowAttributeType;
}
export declare function serializeIdentityUserFlowAttribute(writer: SerializationWriter, identityUserFlowAttribute?: IdentityUserFlowAttribute | undefined): void;
