import { type Entity } from './entity';
import { type IdentityUserFlowAttribute } from './identityUserFlowAttribute';
import { IdentityUserFlowAttributeInputType } from './identityUserFlowAttributeInputType';
import { type UserAttributeValuesItem } from './userAttributeValuesItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityUserFlowAttributeAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityUserFlowAttributeAssignment;
export declare function deserializeIntoIdentityUserFlowAttributeAssignment(identityUserFlowAttributeAssignment?: IdentityUserFlowAttributeAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityUserFlowAttributeAssignment extends Entity, Parsable {
    /**
     * The display name of the identityUserFlowAttribute within a user flow.
     */
    displayName?: string;
    /**
     * Determines whether the identityUserFlowAttribute is optional. true means the user doesn't have to provide a value. false means the user can't complete sign-up without providing a value.
     */
    isOptional?: boolean;
    /**
     * Determines whether the identityUserFlowAttribute requires verification, and is only used for verifying the user's phone number or email address.
     */
    requiresVerification?: boolean;
    /**
     * The user attribute that you want to add to your user flow.
     */
    userAttribute?: IdentityUserFlowAttribute;
    /**
     * The input options for the user flow attribute. Only applicable when the userInputType is radioSingleSelect, dropdownSingleSelect, or checkboxMultiSelect.
     */
    userAttributeValues?: UserAttributeValuesItem[];
    /**
     * The userInputType property
     */
    userInputType?: IdentityUserFlowAttributeInputType;
}
export declare function serializeIdentityUserFlowAttributeAssignment(writer: SerializationWriter, identityUserFlowAttributeAssignment?: IdentityUserFlowAttributeAssignment | undefined): void;
