import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdleSessionSignOutFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdleSessionSignOut;
export declare function deserializeIntoIdleSessionSignOut(idleSessionSignOut?: IdleSessionSignOut | undefined): Record<string, (node: ParseNode) => void>;
export interface IdleSessionSignOut extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether the idle session sign-out policy is enabled.
     */
    isEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of seconds of inactivity after which a user is signed out.
     */
    signOutAfterInSeconds?: number;
    /**
     * Number of seconds of inactivity after which a user is notified that they'll be signed out.
     */
    warnAfterInSeconds?: number;
}
export declare function serializeIdleSessionSignOut(writer: SerializationWriter, idleSessionSignOut?: IdleSessionSignOut | undefined): void;
