import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImage;
export declare function deserializeIntoImage(image?: Image | undefined): Record<string, (node: ParseNode) => void>;
export interface Image extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Optional. Height of the image, in pixels. Read-only.
     */
    height?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Optional. Width of the image, in pixels. Read-only.
     */
    width?: number;
}
export declare function serializeImage(writer: SerializationWriter, image?: Image | undefined): void;
