import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImageInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImageInfo;
export declare function deserializeIntoImageInfo(imageInfo?: ImageInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ImageInfo extends AdditionalDataHolder, Parsable {
    /**
     * Optional; parameter used to indicate the server is able to render image dynamically in response to parameterization. For example – a high contrast image
     */
    addImageQuery?: boolean;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Optional; alt-text accessible content for the image
     */
    alternateText?: string;
    /**
     * The alternativeText property
     */
    alternativeText?: string;
    /**
     * Optional; URI that points to an icon which represents the application used to generate the activity
     */
    iconUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeImageInfo(writer: SerializationWriter, imageInfo?: ImageInfo | undefined): void;
