import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImplicitGrantSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImplicitGrantSettings;
export declare function deserializeIntoImplicitGrantSettings(implicitGrantSettings?: ImplicitGrantSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface ImplicitGrantSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether this web application can request an access token using the OAuth 2.0 implicit flow.
     */
    enableAccessTokenIssuance?: boolean;
    /**
     * Specifies whether this web application can request an ID token using the OAuth 2.0 implicit flow.
     */
    enableIdTokenIssuance?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeImplicitGrantSettings(writer: SerializationWriter, implicitGrantSettings?: ImplicitGrantSettings | undefined): void;
