import { type Entity } from './entity';
import { type ImportedWindowsAutopilotDeviceIdentityState } from './importedWindowsAutopilotDeviceIdentityState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportedWindowsAutopilotDeviceIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportedWindowsAutopilotDeviceIdentity;
export declare function deserializeIntoImportedWindowsAutopilotDeviceIdentity(importedWindowsAutopilotDeviceIdentity?: ImportedWindowsAutopilotDeviceIdentity | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportedWindowsAutopilotDeviceIdentity extends Entity, Parsable {
    /**
     * UPN of the user the device will be assigned
     */
    assignedUserPrincipalName?: string;
    /**
     * Group Tag of the Windows autopilot device.
     */
    groupTag?: string;
    /**
     * Hardware Blob of the Windows autopilot device.
     */
    hardwareIdentifier?: string;
    /**
     * The Import Id of the Windows autopilot device.
     */
    importId?: string;
    /**
     * Product Key of the Windows autopilot device.
     */
    productKey?: string;
    /**
     * Serial number of the Windows autopilot device.
     */
    serialNumber?: string;
    /**
     * Current state of the imported device.
     */
    state?: ImportedWindowsAutopilotDeviceIdentityState;
}
export declare function serializeImportedWindowsAutopilotDeviceIdentity(writer: SerializationWriter, importedWindowsAutopilotDeviceIdentity?: ImportedWindowsAutopilotDeviceIdentity | undefined): void;
