import { ImportedWindowsAutopilotDeviceIdentityImportStatus } from './importedWindowsAutopilotDeviceIdentityImportStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportedWindowsAutopilotDeviceIdentityStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportedWindowsAutopilotDeviceIdentityState;
export declare function deserializeIntoImportedWindowsAutopilotDeviceIdentityState(importedWindowsAutopilotDeviceIdentityState?: ImportedWindowsAutopilotDeviceIdentityState | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportedWindowsAutopilotDeviceIdentityState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Device error code reported by Device Directory Service(DDS).
     */
    deviceErrorCode?: number;
    /**
     * Device error name reported by Device Directory Service(DDS).
     */
    deviceErrorName?: string;
    /**
     * The deviceImportStatus property
     */
    deviceImportStatus?: ImportedWindowsAutopilotDeviceIdentityImportStatus;
    /**
     * Device Registration ID for successfully added device reported by Device Directory Service(DDS).
     */
    deviceRegistrationId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeImportedWindowsAutopilotDeviceIdentityState(writer: SerializationWriter, importedWindowsAutopilotDeviceIdentityState?: ImportedWindowsAutopilotDeviceIdentityState | undefined): void;
