import { type Entity } from './entity';
import { type ImportedWindowsAutopilotDeviceIdentity } from './importedWindowsAutopilotDeviceIdentity';
import { ImportedWindowsAutopilotDeviceIdentityUploadStatus } from './importedWindowsAutopilotDeviceIdentityUploadStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportedWindowsAutopilotDeviceIdentityUploadFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportedWindowsAutopilotDeviceIdentityUpload;
export declare function deserializeIntoImportedWindowsAutopilotDeviceIdentityUpload(importedWindowsAutopilotDeviceIdentityUpload?: ImportedWindowsAutopilotDeviceIdentityUpload | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportedWindowsAutopilotDeviceIdentityUpload extends Entity, Parsable {
    /**
     * DateTime when the entity is created.
     */
    createdDateTimeUtc?: Date;
    /**
     * Collection of all Autopilot devices as a part of this upload.
     */
    deviceIdentities?: ImportedWindowsAutopilotDeviceIdentity[];
    /**
     * The status property
     */
    status?: ImportedWindowsAutopilotDeviceIdentityUploadStatus;
}
export declare function serializeImportedWindowsAutopilotDeviceIdentityUpload(writer: SerializationWriter, importedWindowsAutopilotDeviceIdentityUpload?: ImportedWindowsAutopilotDeviceIdentityUpload | undefined): void;
