import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInboundOutboundPolicyConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInboundOutboundPolicyConfiguration;
export declare function deserializeIntoInboundOutboundPolicyConfiguration(inboundOutboundPolicyConfiguration?: InboundOutboundPolicyConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface InboundOutboundPolicyConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines whether external users coming inbound are allowed.
     */
    inboundAllowed?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defines whether internal users are allowed to go outbound.
     */
    outboundAllowed?: boolean;
}
export declare function serializeInboundOutboundPolicyConfiguration(writer: SerializationWriter, inboundOutboundPolicyConfiguration?: InboundOutboundPolicyConfiguration | undefined): void;
