import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIncompleteDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIncompleteData;
export declare function deserializeIntoIncompleteData(incompleteData?: IncompleteData | undefined): Record<string, (node: ParseNode) => void>;
export interface IncompleteData extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The service does not have source data before the specified time.
     */
    missingDataBeforeDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Some data was not recorded due to excessive activity.
     */
    wasThrottled?: boolean;
}
export declare function serializeIncompleteData(writer: SerializationWriter, incompleteData?: IncompleteData | undefined): void;
