"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIncompleteData = exports.deserializeIntoIncompleteData = exports.createIncompleteDataFromDiscriminatorValue = void 0;
function createIncompleteDataFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIncompleteData;
}
exports.createIncompleteDataFromDiscriminatorValue = createIncompleteDataFromDiscriminatorValue;
function deserializeIntoIncompleteData(incompleteData = {}) {
    return {
        "missingDataBeforeDateTime": n => { incompleteData.missingDataBeforeDateTime = n.getDateValue(); },
        "@odata.type": n => { incompleteData.odataType = n.getStringValue(); },
        "wasThrottled": n => { incompleteData.wasThrottled = n.getBooleanValue(); },
    };
}
exports.deserializeIntoIncompleteData = deserializeIntoIncompleteData;
function serializeIncompleteData(writer, incompleteData = {}) {
    writer.writeDateValue("missingDataBeforeDateTime", incompleteData.missingDataBeforeDateTime);
    writer.writeStringValue("@odata.type", incompleteData.odataType);
    writer.writeBooleanValue("wasThrottled", incompleteData.wasThrottled);
    writer.writeAdditionalData(incompleteData.additionalData);
}
exports.serializeIncompleteData = serializeIncompleteData;
// tslint:enable
// eslint-enable
