import { type Entity } from './entity';
import { type InferenceClassificationOverride } from './inferenceClassificationOverride';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInferenceClassificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInferenceClassification;
export declare function deserializeIntoInferenceClassification(inferenceClassification?: InferenceClassification | undefined): Record<string, (node: ParseNode) => void>;
export interface InferenceClassification extends Entity, Parsable {
    /**
     * A set of overrides for a user to always classify messages from specific senders in certain ways: focused, or other. Read-only. Nullable.
     */
    overrides?: InferenceClassificationOverride[];
}
export declare function serializeInferenceClassification(writer: SerializationWriter, inferenceClassification?: InferenceClassification | undefined): void;
