import { type EmailAddress } from './emailAddress';
import { type Entity } from './entity';
import { InferenceClassificationType } from './inferenceClassificationType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInferenceClassificationOverrideFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInferenceClassificationOverride;
export declare function deserializeIntoInferenceClassificationOverride(inferenceClassificationOverride?: InferenceClassificationOverride | undefined): Record<string, (node: ParseNode) => void>;
export interface InferenceClassificationOverride extends Entity, Parsable {
    /**
     * Specifies how incoming messages from a specific sender should always be classified as. The possible values are: focused, other.
     */
    classifyAs?: InferenceClassificationType;
    /**
     * The email address information of the sender for whom the override is created.
     */
    senderEmailAddress?: EmailAddress;
}
export declare function serializeInferenceClassificationOverride(writer: SerializationWriter, inferenceClassificationOverride?: InferenceClassificationOverride | undefined): void;
