import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInformationalUrlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInformationalUrl;
export declare function deserializeIntoInformationalUrl(informationalUrl?: InformationalUrl | undefined): Record<string, (node: ParseNode) => void>;
export interface InformationalUrl extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * CDN URL to the application's logo, Read-only.
     */
    logoUrl?: string;
    /**
     * Link to the application's marketing page. For example, https://www.contoso.com/app/marketing
     */
    marketingUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Link to the application's privacy statement. For example, https://www.contoso.com/app/privacy
     */
    privacyStatementUrl?: string;
    /**
     * Link to the application's support page. For example, https://www.contoso.com/app/support
     */
    supportUrl?: string;
    /**
     * Link to the application's terms of service statement. For example, https://www.contoso.com/app/termsofservice
     */
    termsOfServiceUrl?: string;
}
export declare function serializeInformationalUrl(writer: SerializationWriter, informationalUrl?: InformationalUrl | undefined): void;
