"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInformationalUrl = exports.deserializeIntoInformationalUrl = exports.createInformationalUrlFromDiscriminatorValue = void 0;
function createInformationalUrlFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInformationalUrl;
}
exports.createInformationalUrlFromDiscriminatorValue = createInformationalUrlFromDiscriminatorValue;
function deserializeIntoInformationalUrl(informationalUrl = {}) {
    return {
        "logoUrl": n => { informationalUrl.logoUrl = n.getStringValue(); },
        "marketingUrl": n => { informationalUrl.marketingUrl = n.getStringValue(); },
        "@odata.type": n => { informationalUrl.odataType = n.getStringValue(); },
        "privacyStatementUrl": n => { informationalUrl.privacyStatementUrl = n.getStringValue(); },
        "supportUrl": n => { informationalUrl.supportUrl = n.getStringValue(); },
        "termsOfServiceUrl": n => { informationalUrl.termsOfServiceUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoInformationalUrl = deserializeIntoInformationalUrl;
function serializeInformationalUrl(writer, informationalUrl = {}) {
    writer.writeStringValue("logoUrl", informationalUrl.logoUrl);
    writer.writeStringValue("marketingUrl", informationalUrl.marketingUrl);
    writer.writeStringValue("@odata.type", informationalUrl.odataType);
    writer.writeStringValue("privacyStatementUrl", informationalUrl.privacyStatementUrl);
    writer.writeStringValue("supportUrl", informationalUrl.supportUrl);
    writer.writeStringValue("termsOfServiceUrl", informationalUrl.termsOfServiceUrl);
    writer.writeAdditionalData(informationalUrl.additionalData);
}
exports.serializeInformationalUrl = serializeInformationalUrl;
// tslint:enable
// eslint-enable
