import { type Identity } from './identity';
import { InitiatorType } from './initiatorType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInitiatorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInitiator;
export declare function deserializeIntoInitiator(initiator?: Initiator | undefined): Record<string, (node: ParseNode) => void>;
export interface Initiator extends Identity, Parsable {
    /**
     * Type of initiator. Possible values are: user, application, system, unknownFutureValue.
     */
    initiatorType?: InitiatorType;
}
export declare function serializeInitiator(writer: SerializationWriter, initiator?: Initiator | undefined): void;
