import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInsightIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInsightIdentity;
export declare function deserializeIntoInsightIdentity(insightIdentity?: InsightIdentity | undefined): Record<string, (node: ParseNode) => void>;
export interface InsightIdentity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The email address of the user who shared the item.
     */
    address?: string;
    /**
     * The display name of the user who shared the item.
     */
    displayName?: string;
    /**
     * The ID of the user who shared the item.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeInsightIdentity(writer: SerializationWriter, insightIdentity?: InsightIdentity | undefined): void;
