import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntegerRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntegerRange;
export declare function deserializeIntoIntegerRange(integerRange?: IntegerRange | undefined): Record<string, (node: ParseNode) => void>;
export interface IntegerRange extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The inclusive upper bound of the integer range.
     */
    end?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The inclusive lower bound of the integer range.
     */
    start?: number;
}
export declare function serializeIntegerRange(writer: SerializationWriter, integerRange?: IntegerRange | undefined): void;
