import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInternetMessageHeaderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInternetMessageHeader;
export declare function deserializeIntoInternetMessageHeader(internetMessageHeader?: InternetMessageHeader | undefined): Record<string, (node: ParseNode) => void>;
export interface InternetMessageHeader extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents the key in a key-value pair.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The value in a key-value pair.
     */
    value?: string;
}
export declare function serializeInternetMessageHeader(writer: SerializationWriter, internetMessageHeader?: InternetMessageHeader | undefined): void;
