import { type Recipient } from './recipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvitedUserMessageInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvitedUserMessageInfo;
export declare function deserializeIntoInvitedUserMessageInfo(invitedUserMessageInfo?: InvitedUserMessageInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface InvitedUserMessageInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Additional recipients the invitation message should be sent to. Currently only one additional recipient is supported.
     */
    ccRecipients?: Recipient[];
    /**
     * Customized message body you want to send if you don't want the default message.
     */
    customizedMessageBody?: string;
    /**
     * The language you want to send the default message in. If the customizedMessageBody is specified, this property is ignored, and the message is sent using the customizedMessageBody. The language format should be in ISO 639. The default is en-US.
     */
    messageLanguage?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeInvitedUserMessageInfo(writer: SerializationWriter, invitedUserMessageInfo?: InvitedUserMessageInfo | undefined): void;
