import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosCustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosCustomConfiguration;
export declare function deserializeIntoIosCustomConfiguration(iosCustomConfiguration?: IosCustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface IosCustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Payload. (UTF8 encoded byte array)
     */
    payload?: string;
    /**
     * Payload file name (.mobileconfig
     */
    payloadFileName?: string;
    /**
     * Name that is displayed to the user.
     */
    payloadName?: string;
}
export declare function serializeIosCustomConfiguration(writer: SerializationWriter, iosCustomConfiguration?: IosCustomConfiguration | undefined): void;
