import { type IosHomeScreenApp } from './iosHomeScreenApp';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosHomeScreenFolderPageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosHomeScreenFolderPage;
export declare function deserializeIntoIosHomeScreenFolderPage(iosHomeScreenFolderPage?: IosHomeScreenFolderPage | undefined): Record<string, (node: ParseNode) => void>;
export interface IosHomeScreenFolderPage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A list of apps and web clips to appear on a page within a folder. This collection can contain a maximum of 500 elements.
     */
    apps?: IosHomeScreenApp[];
    /**
     * Name of the folder page
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIosHomeScreenFolderPage(writer: SerializationWriter, iosHomeScreenFolderPage?: IosHomeScreenFolderPage | undefined): void;
