"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIosHomeScreenItem = exports.deserializeIntoIosHomeScreenItem = exports.createIosHomeScreenItemFromDiscriminatorValue = void 0;
const iosHomeScreenApp_1 = require("./iosHomeScreenApp");
const iosHomeScreenFolder_1 = require("./iosHomeScreenFolder");
function createIosHomeScreenItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.iosHomeScreenApp":
                    return iosHomeScreenApp_1.deserializeIntoIosHomeScreenApp;
                case "#microsoft.graph.iosHomeScreenFolder":
                    return iosHomeScreenFolder_1.deserializeIntoIosHomeScreenFolder;
            }
        }
    }
    return deserializeIntoIosHomeScreenItem;
}
exports.createIosHomeScreenItemFromDiscriminatorValue = createIosHomeScreenItemFromDiscriminatorValue;
function deserializeIntoIosHomeScreenItem(iosHomeScreenItem = {}) {
    return {
        "displayName": n => { iosHomeScreenItem.displayName = n.getStringValue(); },
        "@odata.type": n => { iosHomeScreenItem.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIosHomeScreenItem = deserializeIntoIosHomeScreenItem;
function serializeIosHomeScreenItem(writer, iosHomeScreenItem = {}) {
    writer.writeStringValue("displayName", iosHomeScreenItem.displayName);
    writer.writeStringValue("@odata.type", iosHomeScreenItem.odataType);
    writer.writeAdditionalData(iosHomeScreenItem.additionalData);
}
exports.serializeIosHomeScreenItem = serializeIosHomeScreenItem;
// tslint:enable
// eslint-enable
