import { type IosHomeScreenItem } from './iosHomeScreenItem';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosHomeScreenPageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosHomeScreenPage;
export declare function deserializeIntoIosHomeScreenPage(iosHomeScreenPage?: IosHomeScreenPage | undefined): Record<string, (node: ParseNode) => void>;
export interface IosHomeScreenPage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the page
     */
    displayName?: string;
    /**
     * A list of apps, folders, and web clips to appear on a page. This collection can contain a maximum of 500 elements.
     */
    icons?: IosHomeScreenItem[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIosHomeScreenPage(writer: SerializationWriter, iosHomeScreenPage?: IosHomeScreenPage | undefined): void;
