import { type IosDeviceType } from './iosDeviceType';
import { type IosMinimumOperatingSystem } from './iosMinimumOperatingSystem';
import { type MobileLobApp } from './mobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosLobApp;
export declare function deserializeIntoIosLobApp(iosLobApp?: IosLobApp | undefined): Record<string, (node: ParseNode) => void>;
export interface IosLobApp extends MobileLobApp, Parsable {
    /**
     * Contains properties of the possible iOS device types the mobile app can run on.
     */
    applicableDeviceType?: IosDeviceType;
    /**
     * The build number of iOS Line of Business (LoB) app.
     */
    buildNumber?: string;
    /**
     * The Identity Name.
     */
    bundleId?: string;
    /**
     * The expiration time.
     */
    expirationDateTime?: Date;
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: IosMinimumOperatingSystem;
    /**
     * The version number of iOS Line of Business (LoB) app.
     */
    versionNumber?: string;
}
export declare function serializeIosLobApp(writer: SerializationWriter, iosLobApp?: IosLobApp | undefined): void;
