import { ManagedAppDataEncryptionType } from './managedAppDataEncryptionType';
import { type ManagedAppPolicyDeploymentSummary } from './managedAppPolicyDeploymentSummary';
import { type ManagedMobileApp } from './managedMobileApp';
import { type TargetedManagedAppProtection } from './targetedManagedAppProtection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosManagedAppProtectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosManagedAppProtection;
export declare function deserializeIntoIosManagedAppProtection(iosManagedAppProtection?: IosManagedAppProtection | undefined): Record<string, (node: ParseNode) => void>;
export interface IosManagedAppProtection extends Parsable, TargetedManagedAppProtection {
    /**
     * Represents the level to which app data is encrypted for managed apps
     */
    appDataEncryptionType?: ManagedAppDataEncryptionType;
    /**
     * List of apps to which the policy is deployed.
     */
    apps?: ManagedMobileApp[];
    /**
     * A custom browser protocol to open weblink on iOS. When this property is configured, ManagedBrowserToOpenLinksRequired should be true.
     */
    customBrowserProtocol?: string;
    /**
     * Count of apps to which the current policy is deployed.
     */
    deployedAppCount?: number;
    /**
     * Navigation property to deployment summary of the configuration.
     */
    deploymentSummary?: ManagedAppPolicyDeploymentSummary;
    /**
     * Indicates whether use of the FaceID is allowed in place of a pin if PinRequired is set to True.
     */
    faceIdBlocked?: boolean;
    /**
     * Versions less than the specified version will block the managed app from accessing company data.
     */
    minimumRequiredSdkVersion?: string;
}
export declare function serializeIosManagedAppProtection(writer: SerializationWriter, iosManagedAppProtection?: IosManagedAppProtection | undefined): void;
