import { type AppConfigurationSettingItem } from './appConfigurationSettingItem';
import { type ManagedDeviceMobileAppConfiguration } from './managedDeviceMobileAppConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosMobileAppConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosMobileAppConfiguration;
export declare function deserializeIntoIosMobileAppConfiguration(iosMobileAppConfiguration?: IosMobileAppConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface IosMobileAppConfiguration extends ManagedDeviceMobileAppConfiguration, Parsable {
    /**
     * mdm app configuration Base64 binary.
     */
    encodedSettingXml?: string;
    /**
     * app configuration setting items.
     */
    settings?: AppConfigurationSettingItem[];
}
export declare function serializeIosMobileAppConfiguration(writer: SerializationWriter, iosMobileAppConfiguration?: IosMobileAppConfiguration | undefined): void;
