import { type AppListItem } from './appListItem';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosNetworkUsageRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosNetworkUsageRule;
export declare function deserializeIntoIosNetworkUsageRule(iosNetworkUsageRule?: IosNetworkUsageRule | undefined): Record<string, (node: ParseNode) => void>;
export interface IosNetworkUsageRule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If set to true, corresponding managed apps will not be allowed to use cellular data at any time.
     */
    cellularDataBlocked?: boolean;
    /**
     * If set to true, corresponding managed apps will not be allowed to use cellular data when roaming.
     */
    cellularDataBlockWhenRoaming?: boolean;
    /**
     * Information about the managed apps that this rule is going to apply to. This collection can contain a maximum of 500 elements.
     */
    managedApps?: AppListItem[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIosNetworkUsageRule(writer: SerializationWriter, iosNetworkUsageRule?: IosNetworkUsageRule | undefined): void;
