import { IosNotificationAlertType } from './iosNotificationAlertType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosNotificationSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosNotificationSettings;
export declare function deserializeIntoIosNotificationSettings(iosNotificationSettings?: IosNotificationSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface IosNotificationSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Notification Settings Alert Type.
     */
    alertType?: IosNotificationAlertType;
    /**
     * Application name to be associated with the bundleID.
     */
    appName?: string;
    /**
     * Indicates whether badges are allowed for this app.
     */
    badgesEnabled?: boolean;
    /**
     * Bundle id of app to which to apply these notification settings.
     */
    bundleID?: string;
    /**
     * Indicates whether notifications are allowed for this app.
     */
    enabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Publisher to be associated with the bundleID.
     */
    publisher?: string;
    /**
     * Indicates whether notifications can be shown in notification center.
     */
    showInNotificationCenter?: boolean;
    /**
     * Indicates whether notifications can be shown on the lock screen.
     */
    showOnLockScreen?: boolean;
    /**
     * Indicates whether sounds are allowed for this app.
     */
    soundsEnabled?: boolean;
}
export declare function serializeIosNotificationSettings(writer: SerializationWriter, iosNotificationSettings?: IosNotificationSettings | undefined): void;
