import { type IosDeviceType } from './iosDeviceType';
import { type IosMinimumOperatingSystem } from './iosMinimumOperatingSystem';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosStoreAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosStoreApp;
export declare function deserializeIntoIosStoreApp(iosStoreApp?: IosStoreApp | undefined): Record<string, (node: ParseNode) => void>;
export interface IosStoreApp extends MobileApp, Parsable {
    /**
     * Contains properties of the possible iOS device types the mobile app can run on.
     */
    applicableDeviceType?: IosDeviceType;
    /**
     * The Apple App Store URL
     */
    appStoreUrl?: string;
    /**
     * The Identity Name.
     */
    bundleId?: string;
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: IosMinimumOperatingSystem;
}
export declare function serializeIosStoreApp(writer: SerializationWriter, iosStoreApp?: IosStoreApp | undefined): void;
