import { DayOfWeek } from './dayOfWeek';
import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter, type TimeOnly } from '@microsoft/kiota-abstractions';
export declare function createIosUpdateConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosUpdateConfiguration;
export declare function deserializeIntoIosUpdateConfiguration(iosUpdateConfiguration?: IosUpdateConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface IosUpdateConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Active Hours End (active hours mean the time window when updates install should not happen)
     */
    activeHoursEnd?: TimeOnly;
    /**
     * Active Hours Start (active hours mean the time window when updates install should not happen)
     */
    activeHoursStart?: TimeOnly;
    /**
     * Days in week for which active hours are configured. This collection can contain a maximum of 7 elements.
     */
    scheduledInstallDays?: DayOfWeek[];
    /**
     * UTC Time Offset indicated in minutes
     */
    utcTimeOffsetInMinutes?: number;
}
export declare function serializeIosUpdateConfiguration(writer: SerializationWriter, iosUpdateConfiguration?: IosUpdateConfiguration | undefined): void;
