import { ComplianceStatus } from './complianceStatus';
import { type Entity } from './entity';
import { IosUpdatesInstallStatus } from './iosUpdatesInstallStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosUpdateDeviceStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosUpdateDeviceStatus;
export declare function deserializeIntoIosUpdateDeviceStatus(iosUpdateDeviceStatus?: IosUpdateDeviceStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface IosUpdateDeviceStatus extends Entity, Parsable {
    /**
     * The DateTime when device compliance grace period expires
     */
    complianceGracePeriodExpirationDateTime?: Date;
    /**
     * Device name of the DevicePolicyStatus.
     */
    deviceDisplayName?: string;
    /**
     * The device id that is being reported.
     */
    deviceId?: string;
    /**
     * The device model that is being reported
     */
    deviceModel?: string;
    /**
     * The installStatus property
     */
    installStatus?: IosUpdatesInstallStatus;
    /**
     * Last modified date time of the policy report.
     */
    lastReportedDateTime?: Date;
    /**
     * The device version that is being reported.
     */
    osVersion?: string;
    /**
     * The status property
     */
    status?: ComplianceStatus;
    /**
     * The User id that is being reported.
     */
    userId?: string;
    /**
     * The User Name that is being reported
     */
    userName?: string;
    /**
     * UserPrincipalName.
     */
    userPrincipalName?: string;
}
export declare function serializeIosUpdateDeviceStatus(writer: SerializationWriter, iosUpdateDeviceStatus?: IosUpdateDeviceStatus | undefined): void;
