import { type IosDeviceType } from './iosDeviceType';
import { type MobileApp } from './mobileApp';
import { type VppLicensingType } from './vppLicensingType';
import { VppTokenAccountType } from './vppTokenAccountType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosVppAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppApp;
export declare function deserializeIntoIosVppApp(iosVppApp?: IosVppApp | undefined): Record<string, (node: ParseNode) => void>;
export interface IosVppApp extends MobileApp, Parsable {
    /**
     * The applicable iOS Device Type.
     */
    applicableDeviceType?: IosDeviceType;
    /**
     * The store URL.
     */
    appStoreUrl?: string;
    /**
     * The Identity Name.
     */
    bundleId?: string;
    /**
     * The supported License Type.
     */
    licensingType?: VppLicensingType;
    /**
     * The VPP application release date and time.
     */
    releaseDateTime?: Date;
    /**
     * The total number of VPP licenses.
     */
    totalLicenseCount?: number;
    /**
     * The number of VPP licenses in use.
     */
    usedLicenseCount?: number;
    /**
     * Possible types of an Apple Volume Purchase Program token.
     */
    vppTokenAccountType?: VppTokenAccountType;
    /**
     * The Apple Id associated with the given Apple Volume Purchase Program Token.
     */
    vppTokenAppleId?: string;
    /**
     * The organization associated with the Apple Volume Purchase Program Token
     */
    vppTokenOrganizationName?: string;
}
export declare function serializeIosVppApp(writer: SerializationWriter, iosVppApp?: IosVppApp | undefined): void;
