import { type ManagedEBook } from './managedEBook';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createIosVppEBookFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppEBook;
export declare function deserializeIntoIosVppEBook(iosVppEBook?: IosVppEBook | undefined): Record<string, (node: ParseNode) => void>;
export interface IosVppEBook extends ManagedEBook, Parsable {
    /**
     * The Apple ID associated with Vpp token.
     */
    appleId?: string;
    /**
     * Genres.
     */
    genres?: string[];
    /**
     * Language.
     */
    language?: string;
    /**
     * Seller.
     */
    seller?: string;
    /**
     * Total license count.
     */
    totalLicenseCount?: number;
    /**
     * Used license count.
     */
    usedLicenseCount?: number;
    /**
     * The Vpp token's organization name.
     */
    vppOrganizationName?: string;
    /**
     * The Vpp token ID.
     */
    vppTokenId?: Guid;
}
export declare function serializeIosVppEBook(writer: SerializationWriter, iosVppEBook?: IosVppEBook | undefined): void;
