import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosiPadOSWebClipFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosiPadOSWebClip;
export declare function deserializeIntoIosiPadOSWebClip(iosiPadOSWebClip?: IosiPadOSWebClip | undefined): Record<string, (node: ParseNode) => void>;
export interface IosiPadOSWebClip extends MobileApp, Parsable {
    /**
     * Indicates iOS/iPadOS web clip app URL. Example: 'https://www.contoso.com'
     */
    appUrl?: string;
    /**
     * Whether or not to use managed browser. When TRUE, the app will be required to be opened in Microsoft Edge. When FALSE, the app will not be required to be opened in Microsoft Edge. By default, this property is set to FALSE.
     */
    useManagedBrowser?: boolean;
}
export declare function serializeIosiPadOSWebClip(writer: SerializationWriter, iosiPadOSWebClip?: IosiPadOSWebClip | undefined): void;
