import { type IpRange } from './ipRange';
import { type NamedLocation } from './namedLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIpNamedLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIpNamedLocation;
export declare function deserializeIntoIpNamedLocation(ipNamedLocation?: IpNamedLocation | undefined): Record<string, (node: ParseNode) => void>;
export interface IpNamedLocation extends NamedLocation, Parsable {
    /**
     * List of IP address ranges in IPv4 CIDR format (for example, 1.2.3.4/32) or any allowable IPv6 format from IETF RFC5969. Required.
     */
    ipRanges?: IpRange[];
    /**
     * true if this location is explicitly trusted. Optional. Default value is false.
     */
    isTrusted?: boolean;
}
export declare function serializeIpNamedLocation(writer: SerializationWriter, ipNamedLocation?: IpNamedLocation | undefined): void;
