"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIpRange = exports.deserializeIntoIpRange = exports.createIpRangeFromDiscriminatorValue = void 0;
const iPv4CidrRange_1 = require("./iPv4CidrRange");
const iPv4Range_1 = require("./iPv4Range");
const iPv6CidrRange_1 = require("./iPv6CidrRange");
const iPv6Range_1 = require("./iPv6Range");
function createIpRangeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.iPv4CidrRange":
                    return iPv4CidrRange_1.deserializeIntoIPv4CidrRange;
                case "#microsoft.graph.iPv4Range":
                    return iPv4Range_1.deserializeIntoIPv4Range;
                case "#microsoft.graph.iPv6CidrRange":
                    return iPv6CidrRange_1.deserializeIntoIPv6CidrRange;
                case "#microsoft.graph.iPv6Range":
                    return iPv6Range_1.deserializeIntoIPv6Range;
            }
        }
    }
    return deserializeIntoIpRange;
}
exports.createIpRangeFromDiscriminatorValue = createIpRangeFromDiscriminatorValue;
function deserializeIntoIpRange(ipRange = {}) {
    return {
        "@odata.type": n => { ipRange.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIpRange = deserializeIntoIpRange;
function serializeIpRange(writer, ipRange = {}) {
    writer.writeStringValue("@odata.type", ipRange.odataType);
    writer.writeAdditionalData(ipRange.additionalData);
}
exports.serializeIpRange = serializeIpRange;
// tslint:enable
// eslint-enable
