import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemActionStatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemActionStat;
export declare function deserializeIntoItemActionStat(itemActionStat?: ItemActionStat | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemActionStat extends AdditionalDataHolder, Parsable {
    /**
     * The number of times the action took place. Read-only.
     */
    actionCount?: number;
    /**
     * The number of distinct actors that performed the action. Read-only.
     */
    actorCount?: number;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeItemActionStat(writer: SerializationWriter, itemActionStat?: ItemActionStat | undefined): void;
