import { type AccessAction } from './accessAction';
import { type DriveItem } from './driveItem';
import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemActivityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemActivity;
export declare function deserializeIntoItemActivity(itemActivity?: ItemActivity | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemActivity extends Entity, Parsable {
    /**
     * An item was accessed.
     */
    access?: AccessAction;
    /**
     * Details about when the activity took place. Read-only.
     */
    activityDateTime?: Date;
    /**
     * Identity of who performed the action. Read-only.
     */
    actor?: IdentitySet;
    /**
     * Exposes the driveItem that was the target of this activity.
     */
    driveItem?: DriveItem;
}
export declare function serializeItemActivity(writer: SerializationWriter, itemActivity?: ItemActivity | undefined): void;
