import { type Entity } from './entity';
import { type IncompleteData } from './incompleteData';
import { type ItemActionStat } from './itemActionStat';
import { type ItemActivity } from './itemActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemActivityStatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemActivityStat;
export declare function deserializeIntoItemActivityStat(itemActivityStat?: ItemActivityStat | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemActivityStat extends Entity, Parsable {
    /**
     * Statistics about the access actions in this interval. Read-only.
     */
    access?: ItemActionStat;
    /**
     * Exposes the itemActivities represented in this itemActivityStat resource.
     */
    activities?: ItemActivity[];
    /**
     * Statistics about the create actions in this interval. Read-only.
     */
    create?: ItemActionStat;
    /**
     * Statistics about the delete actions in this interval. Read-only.
     */
    delete?: ItemActionStat;
    /**
     * Statistics about the edit actions in this interval. Read-only.
     */
    edit?: ItemActionStat;
    /**
     * When the interval ends. Read-only.
     */
    endDateTime?: Date;
    /**
     * Indicates that the statistics in this interval are based on incomplete data. Read-only.
     */
    incompleteData?: IncompleteData;
    /**
     * Indicates whether the item is 'trending.' Read-only.
     */
    isTrending?: boolean;
    /**
     * Statistics about the move actions in this interval. Read-only.
     */
    move?: ItemActionStat;
    /**
     * When the interval starts. Read-only.
     */
    startDateTime?: Date;
}
export declare function serializeItemActivityStat(writer: SerializationWriter, itemActivityStat?: ItemActivityStat | undefined): void;
