import { BodyType } from './bodyType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemBody;
export declare function deserializeIntoItemBody(itemBody?: ItemBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The content of the item.
     */
    content?: string;
    /**
     * The type of the content. Possible values are text and html.
     */
    contentType?: BodyType;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeItemBody(writer: SerializationWriter, itemBody?: ItemBody | undefined): void;
