import { type SharepointIds } from './sharepointIds';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemReferenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemReference;
export declare function deserializeIntoItemReference(itemReference?: ItemReference | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemReference extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Unique identifier of the drive instance that contains the driveItem. Only returned if the item is located in a [drive][]. Read-only.
     */
    driveId?: string;
    /**
     * Identifies the type of drive. Only returned if the item is located in a [drive][]. See [drive][] resource for values.
     */
    driveType?: string;
    /**
     * Unique identifier of the driveItem in the drive or a listItem in a list. Read-only.
     */
    id?: string;
    /**
     * The name of the item being referenced. Read-only.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Path that can be used to navigate to the item. Read-only.
     */
    path?: string;
    /**
     * A unique identifier for a shared resource that can be accessed via the [Shares][] API.
     */
    shareId?: string;
    /**
     * Returns identifiers useful for SharePoint REST compatibility. Read-only.
     */
    sharepointIds?: SharepointIds;
    /**
     * For OneDrive for Business and SharePoint, this property represents the ID of the site that contains the parent document library of the driveItem resource or the parent list of the listItem resource. The value is the same as the id property of that [site][] resource. It is an opaque string that consists of three identifiers of the site. For OneDrive, this property is not populated.
     */
    siteId?: string;
}
export declare function serializeItemReference(writer: SerializationWriter, itemReference?: ItemReference | undefined): void;
