import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type RetentionLabelSettings } from './retentionLabelSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemRetentionLabelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemRetentionLabel;
export declare function deserializeIntoItemRetentionLabel(itemRetentionLabel?: ItemRetentionLabel | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemRetentionLabel extends Entity, Parsable {
    /**
     * Specifies whether the label is applied explicitly on the item. True indicates that the label is applied explicitly; otherwise, the label is inherited from its parent. Read-only.
     */
    isLabelAppliedExplicitly?: boolean;
    /**
     * Identity of the user who applied the label. Read-only.
     */
    labelAppliedBy?: IdentitySet;
    /**
     * The date and time when the label was applied on the item. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    labelAppliedDateTime?: Date;
    /**
     * The retention label on the document. Read-write.
     */
    name?: string;
    /**
     * The retention settings enforced on the item. Read-write.
     */
    retentionSettings?: RetentionLabelSettings;
}
export declare function serializeItemRetentionLabel(writer: SerializationWriter, itemRetentionLabel?: ItemRetentionLabel | undefined): void;
