import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createJoinMeetingIdSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoJoinMeetingIdSettings;
export declare function deserializeIntoJoinMeetingIdSettings(joinMeetingIdSettings?: JoinMeetingIdSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface JoinMeetingIdSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether a passcode is required to join a meeting when using joinMeetingId. Optional.
     */
    isPasscodeRequired?: boolean;
    /**
     * The meeting ID to be used to join a meeting. Optional. Read-only.
     */
    joinMeetingId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The passcode to join a meeting.  Optional. Read-only.
     */
    passcode?: string;
}
export declare function serializeJoinMeetingIdSettings(writer: SerializationWriter, joinMeetingIdSettings?: JoinMeetingIdSettings | undefined): void;
