"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeKeyCredential = exports.deserializeIntoKeyCredential = exports.createKeyCredentialFromDiscriminatorValue = void 0;
function createKeyCredentialFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoKeyCredential;
}
exports.createKeyCredentialFromDiscriminatorValue = createKeyCredentialFromDiscriminatorValue;
function deserializeIntoKeyCredential(keyCredential = {}) {
    return {
        "customKeyIdentifier": n => { keyCredential.customKeyIdentifier = n.getStringValue(); },
        "displayName": n => { keyCredential.displayName = n.getStringValue(); },
        "endDateTime": n => { keyCredential.endDateTime = n.getDateValue(); },
        "key": n => { keyCredential.key = n.getStringValue(); },
        "keyId": n => { keyCredential.keyId = n.getGuidValue(); },
        "@odata.type": n => { keyCredential.odataType = n.getStringValue(); },
        "startDateTime": n => { keyCredential.startDateTime = n.getDateValue(); },
        "type": n => { keyCredential.type = n.getStringValue(); },
        "usage": n => { keyCredential.usage = n.getStringValue(); },
    };
}
exports.deserializeIntoKeyCredential = deserializeIntoKeyCredential;
function serializeKeyCredential(writer, keyCredential = {}) {
    writer.writeStringValue("customKeyIdentifier", keyCredential.customKeyIdentifier);
    writer.writeStringValue("displayName", keyCredential.displayName);
    writer.writeDateValue("endDateTime", keyCredential.endDateTime);
    writer.writeStringValue("key", keyCredential.key);
    writer.writeGuidValue("keyId", keyCredential.keyId);
    writer.writeStringValue("@odata.type", keyCredential.odataType);
    writer.writeDateValue("startDateTime", keyCredential.startDateTime);
    writer.writeStringValue("type", keyCredential.type);
    writer.writeStringValue("usage", keyCredential.usage);
    writer.writeAdditionalData(keyCredential.additionalData);
}
exports.serializeKeyCredential = serializeKeyCredential;
// tslint:enable
// eslint-enable
