import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKeyValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKeyValue;
export declare function deserializeIntoKeyValue(keyValue?: KeyValue | undefined): Record<string, (node: ParseNode) => void>;
export interface KeyValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Key for the key-value pair.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value for the key-value pair.
     */
    value?: string;
}
export declare function serializeKeyValue(writer: SerializationWriter, keyValue?: KeyValue | undefined): void;
