"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeKeyValue = exports.deserializeIntoKeyValue = exports.createKeyValueFromDiscriminatorValue = void 0;
function createKeyValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoKeyValue;
}
exports.createKeyValueFromDiscriminatorValue = createKeyValueFromDiscriminatorValue;
function deserializeIntoKeyValue(keyValue = {}) {
    return {
        "key": n => { keyValue.key = n.getStringValue(); },
        "@odata.type": n => { keyValue.odataType = n.getStringValue(); },
        "value": n => { keyValue.value = n.getStringValue(); },
    };
}
exports.deserializeIntoKeyValue = deserializeIntoKeyValue;
function serializeKeyValue(writer, keyValue = {}) {
    writer.writeStringValue("key", keyValue.key);
    writer.writeStringValue("@odata.type", keyValue.odataType);
    writer.writeStringValue("value", keyValue.value);
    writer.writeAdditionalData(keyValue.additionalData);
}
exports.serializeKeyValue = serializeKeyValue;
// tslint:enable
// eslint-enable
