import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKeyValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKeyValuePair;
export declare function deserializeIntoKeyValuePair(keyValuePair?: KeyValuePair | undefined): Record<string, (node: ParseNode) => void>;
export interface KeyValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name for this key-value pair
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value for this key-value pair
     */
    value?: string;
}
export declare function serializeKeyValuePair(writer: SerializationWriter, keyValuePair?: KeyValuePair | undefined): void;
