import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLandingPageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLandingPageDetail;
export declare function deserializeIntoLandingPageDetail(landingPageDetail?: LandingPageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface LandingPageDetail extends Entity, Parsable {
    /**
     * Landing page detail content.
     */
    content?: string;
    /**
     * Indicates whether this language detail is default for the landing page.
     */
    isDefaultLangauge?: boolean;
    /**
     * The content language for the landing page.
     */
    language?: string;
}
export declare function serializeLandingPageDetail(writer: SerializationWriter, landingPageDetail?: LandingPageDetail | undefined): void;
