import { AssignmentType } from './assignmentType';
import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type ItemBody } from './itemBody';
import { type LearningCourseActivity } from './learningCourseActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningAssignment;
export declare function deserializeIntoLearningAssignment(learningAssignment?: LearningAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningAssignment extends LearningCourseActivity, Parsable {
    /**
     * Assigned date for the course activity. Optional.
     */
    assignedDateTime?: Date;
    /**
     * The user ID of the assigner. Optional.
     */
    assignerUserId?: string;
    /**
     * The assignmentType property
     */
    assignmentType?: AssignmentType;
    /**
     * Due date for the course activity. Optional.
     */
    dueDateTime?: DateTimeTimeZone;
    /**
     * Notes for the course activity. Optional.
     */
    notes?: ItemBody;
}
export declare function serializeLearningAssignment(writer: SerializationWriter, learningAssignment?: LearningAssignment | undefined): void;
