import { CourseStatus } from './courseStatus';
import { type Entity } from './entity';
import { deserializeIntoLearningAssignment } from './learningAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningCourseActivityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningAssignment;
export declare function deserializeIntoLearningCourseActivity(learningCourseActivity?: LearningCourseActivity | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningCourseActivity extends Entity, Parsable {
    /**
     * Date and time when the assignment was completed. Optional.
     */
    completedDateTime?: Date;
    /**
     * The percentage completion value of the course activity. Optional.
     */
    completionPercentage?: number;
    /**
     * A course activity ID generated by the provider. Optional.
     */
    externalcourseActivityId?: string;
    /**
     * The user ID of the learner to whom the activity is assigned. Required.
     */
    learnerUserId?: string;
    /**
     * The ID of the learning content created in Viva Learning. Required.
     */
    learningContentId?: string;
    /**
     * The registration ID of the provider. Required.
     */
    learningProviderId?: string;
    /**
     * The status of the course activity. Possible values are: notStarted, inProgress, completed. Required.
     */
    status?: CourseStatus;
}
export declare function serializeLearningCourseActivity(writer: SerializationWriter, learningCourseActivity?: LearningCourseActivity | undefined): void;
