import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createLicenseAssignmentStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLicenseAssignmentState;
export declare function deserializeIntoLicenseAssignmentState(licenseAssignmentState?: LicenseAssignmentState | undefined): Record<string, (node: ParseNode) => void>;
export interface LicenseAssignmentState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The assignedByGroup property
     */
    assignedByGroup?: string;
    /**
     * The disabledPlans property
     */
    disabledPlans?: Guid[];
    /**
     * The error property
     */
    errorEscaped?: string;
    /**
     * The lastUpdatedDateTime property
     */
    lastUpdatedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The skuId property
     */
    skuId?: Guid;
    /**
     * The state property
     */
    state?: string;
}
export declare function serializeLicenseAssignmentState(writer: SerializationWriter, licenseAssignmentState?: LicenseAssignmentState | undefined): void;
