import { type Entity } from './entity';
import { type ServicePlanInfo } from './servicePlanInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createLicenseDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLicenseDetails;
export declare function deserializeIntoLicenseDetails(licenseDetails?: LicenseDetails | undefined): Record<string, (node: ParseNode) => void>;
export interface LicenseDetails extends Entity, Parsable {
    /**
     * Information about the service plans assigned with the license. Read-only, Not nullable
     */
    servicePlans?: ServicePlanInfo[];
    /**
     * Unique identifier (GUID) for the service SKU. Equal to the skuId property on the related SubscribedSku object. Read-only
     */
    skuId?: Guid;
    /**
     * Unique SKU display name. Equal to the skuPartNumber on the related SubscribedSku object; for example: 'AAD_Premium'. Read-only
     */
    skuPartNumber?: string;
}
export declare function serializeLicenseDetails(writer: SerializationWriter, licenseDetails?: LicenseDetails | undefined): void;
