import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLicenseUnitsDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLicenseUnitsDetail;
export declare function deserializeIntoLicenseUnitsDetail(licenseUnitsDetail?: LicenseUnitsDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface LicenseUnitsDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of units that are enabled for the active subscription of the service SKU.
     */
    enabled?: number;
    /**
     * The number of units that are locked out because the customer canceled their subscription of the service SKU.
     */
    lockedOut?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The number of units that are suspended because the subscription of the service SKU has been canceled. The units can't be assigned but can still be reactivated before they're deleted.
     */
    suspended?: number;
    /**
     * The number of units that are in warning status. When the subscription of the service SKU has expired, the customer has a grace period to renew their subscription before it's canceled (moved to a suspended state).
     */
    warning?: number;
}
export declare function serializeLicenseUnitsDetail(writer: SerializationWriter, licenseUnitsDetail?: LicenseUnitsDetail | undefined): void;
