import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLinkedResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLinkedResource;
export declare function deserializeIntoLinkedResource(linkedResource?: LinkedResource | undefined): Record<string, (node: ParseNode) => void>;
export interface LinkedResource extends Entity, Parsable {
    /**
     * The app name of the source that sends the linkedResource.
     */
    applicationName?: string;
    /**
     * The title of the linkedResource.
     */
    displayName?: string;
    /**
     * ID of the object that is associated with this task on the third-party/partner system.
     */
    externalId?: string;
    /**
     * Deep link to the linkedResource.
     */
    webUrl?: string;
}
export declare function serializeLinkedResource(writer: SerializationWriter, linkedResource?: LinkedResource | undefined): void;
