import { type BaseItem } from './baseItem';
import { type ColumnDefinition } from './columnDefinition';
import { type ContentType } from './contentType';
import { type Drive } from './drive';
import { type ListInfo } from './listInfo';
import { type ListItem } from './listItem';
import { type RichLongRunningOperation } from './richLongRunningOperation';
import { type SharepointIds } from './sharepointIds';
import { type Subscription } from './subscription';
import { type SystemFacet } from './systemFacet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoList;
export declare function deserializeIntoList(list?: List | undefined): Record<string, (node: ParseNode) => void>;
export interface List extends BaseItem, Parsable {
    /**
     * The collection of field definitions for this list.
     */
    columns?: ColumnDefinition[];
    /**
     * The collection of content types present in this list.
     */
    contentTypes?: ContentType[];
    /**
     * The displayable title of the list.
     */
    displayName?: string;
    /**
     * Allows access to the list as a drive resource with driveItems. Only present on document libraries.
     */
    drive?: Drive;
    /**
     * All items contained in the list.
     */
    items?: ListItem[];
    /**
     * Contains more details about the list.
     */
    list?: ListInfo;
    /**
     * The collection of long-running operations on the list.
     */
    operations?: RichLongRunningOperation[];
    /**
     * Returns identifiers useful for SharePoint REST compatibility. Read-only.
     */
    sharepointIds?: SharepointIds;
    /**
     * The set of subscriptions on the list.
     */
    subscriptions?: Subscription[];
    /**
     * If present, indicates that the list is system-managed. Read-only.
     */
    system?: SystemFacet;
}
export declare function serializeList(writer: SerializationWriter, list?: List | undefined): void;
