import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoListInfo;
export declare function deserializeIntoListInfo(listInfo?: ListInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ListInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If true, indicates that content types are enabled for this list.
     */
    contentTypesEnabled?: boolean;
    /**
     * If true, indicates that the list isn't normally visible in the SharePoint user experience.
     */
    hidden?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * An enumerated value that represents the base list template used in creating the list. Possible values include documentLibrary, genericList, task, survey, announcements, contacts, and more.
     */
    template?: string;
}
export declare function serializeListInfo(writer: SerializationWriter, listInfo?: ListInfo | undefined): void;
