import { type BaseItemVersion } from './baseItemVersion';
import { deserializeIntoDocumentSetVersion } from './documentSetVersion';
import { type FieldValueSet } from './fieldValueSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListItemVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetVersion;
export declare function deserializeIntoListItemVersion(listItemVersion?: ListItemVersion | undefined): Record<string, (node: ParseNode) => void>;
export interface ListItemVersion extends BaseItemVersion, Parsable {
    /**
     * A collection of the fields and values for this version of the list item.
     */
    fields?: FieldValueSet;
}
export declare function serializeListItemVersion(writer: SerializationWriter, listItemVersion?: ListItemVersion | undefined): void;
