import { LobbyBypassScope } from './lobbyBypassScope';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLobbyBypassSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLobbyBypassSettings;
export declare function deserializeIntoLobbyBypassSettings(lobbyBypassSettings?: LobbyBypassSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface LobbyBypassSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether or not to always let dial-in callers bypass the lobby. Optional.
     */
    isDialInBypassEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the type of participants that are automatically admitted into a meeting, bypassing the lobby. Optional.
     */
    scope?: LobbyBypassScope;
}
export declare function serializeLobbyBypassSettings(writer: SerializationWriter, lobbyBypassSettings?: LobbyBypassSettings | undefined): void;
