import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocalizedNotificationMessageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocalizedNotificationMessage;
export declare function deserializeIntoLocalizedNotificationMessage(localizedNotificationMessage?: LocalizedNotificationMessage | undefined): Record<string, (node: ParseNode) => void>;
export interface LocalizedNotificationMessage extends Entity, Parsable {
    /**
     * Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message.
     */
    isDefault?: boolean;
    /**
     * DateTime the object was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The Locale for which this message is destined.
     */
    locale?: string;
    /**
     * The Message Template content.
     */
    messageTemplate?: string;
    /**
     * The Message Template Subject.
     */
    subject?: string;
}
export declare function serializeLocalizedNotificationMessage(writer: SerializationWriter, localizedNotificationMessage?: LocalizedNotificationMessage | undefined): void;
