import { deserializeIntoLocationConstraintItem } from './locationConstraintItem';
import { LocationType } from './locationType';
import { LocationUniqueIdType } from './locationUniqueIdType';
import { type OutlookGeoCoordinates } from './outlookGeoCoordinates';
import { type PhysicalAddress } from './physicalAddress';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocationConstraintItem;
export declare function deserializeIntoLocation(location?: Location | undefined): Record<string, (node: ParseNode) => void>;
export interface Location extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The street address of the location.
     */
    address?: PhysicalAddress;
    /**
     * The geographic coordinates and elevation of the location.
     */
    coordinates?: OutlookGeoCoordinates;
    /**
     * The name associated with the location.
     */
    displayName?: string;
    /**
     * Optional email address of the location.
     */
    locationEmailAddress?: string;
    /**
     * The type of location. The possible values are: default, conferenceRoom, homeAddress, businessAddress,geoCoordinates, streetAddress, hotel, restaurant, localBusiness, postalAddress. Read-only.
     */
    locationType?: LocationType;
    /**
     * Optional URI representing the location.
     */
    locationUri?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * For internal use only.
     */
    uniqueId?: string;
    /**
     * For internal use only.
     */
    uniqueIdType?: LocationUniqueIdType;
}
export declare function serializeLocation(writer: SerializationWriter, location?: Location | undefined): void;
