import { type LocationConstraintItem } from './locationConstraintItem';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocationConstraintFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocationConstraint;
export declare function deserializeIntoLocationConstraint(locationConstraint?: LocationConstraint | undefined): Record<string, (node: ParseNode) => void>;
export interface LocationConstraint extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The client requests the service to include in the response a meeting location for the meeting. If this is true and all the resources are busy, findMeetingTimes won't return any meeting time suggestions. If this is false and all the resources are busy, findMeetingTimes would still look for meeting times without locations.
     */
    isRequired?: boolean;
    /**
     * Constraint information for one or more locations that the client requests for the meeting.
     */
    locations?: LocationConstraintItem[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The client requests the service to suggest one or more meeting locations.
     */
    suggestLocation?: boolean;
}
export declare function serializeLocationConstraint(writer: SerializationWriter, locationConstraint?: LocationConstraint | undefined): void;
