import { type Location } from './location';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocationConstraintItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocationConstraintItem;
export declare function deserializeIntoLocationConstraintItem(locationConstraintItem?: LocationConstraintItem | undefined): Record<string, (node: ParseNode) => void>;
export interface LocationConstraintItem extends Location, Parsable {
    /**
     * If set to true and the specified resource is busy, findMeetingTimes looks for another resource that is free. If set to false and the specified resource is busy, findMeetingTimes returns the resource best ranked in the user's cache without checking if it's free. Default is true.
     */
    resolveAvailability?: boolean;
}
export declare function serializeLocationConstraintItem(writer: SerializationWriter, locationConstraintItem?: LocationConstraintItem | undefined): void;
