import { type CustomExtensionEndpointConfiguration } from './customExtensionEndpointConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLogicAppTriggerEndpointConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLogicAppTriggerEndpointConfiguration;
export declare function deserializeIntoLogicAppTriggerEndpointConfiguration(logicAppTriggerEndpointConfiguration?: LogicAppTriggerEndpointConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface LogicAppTriggerEndpointConfiguration extends CustomExtensionEndpointConfiguration, Parsable {
    /**
     * The name of the logic app.
     */
    logicAppWorkflowName?: string;
    /**
     * The Azure resource group name for the logic app.
     */
    resourceGroupName?: string;
    /**
     * Identifier of the Azure subscription for the logic app.
     */
    subscriptionId?: string;
    /**
     * The URL to the logic app endpoint that will be triggered. Only required for app-only token scenarios where app is creating a customCalloutExtension without a signed-in user.
     */
    url?: string;
}
export declare function serializeLogicAppTriggerEndpointConfiguration(writer: SerializationWriter, logicAppTriggerEndpointConfiguration?: LogicAppTriggerEndpointConfiguration | undefined): void;
