import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { SimulationContentSource } from './simulationContentSource';
import { SimulationContentStatus } from './simulationContentStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLoginPageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLoginPage;
export declare function deserializeIntoLoginPage(loginPage?: LoginPage | undefined): Record<string, (node: ParseNode) => void>;
export interface LoginPage extends Entity, Parsable {
    /**
     * The HTML content of the login page.
     */
    content?: string;
    /**
     * Identity of the user who created the login page.
     */
    createdBy?: EmailIdentity;
    /**
     * Date and time when the login page was created. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * Description about the login page.
     */
    description?: string;
    /**
     * Display name of the login page.
     */
    displayName?: string;
    /**
     * The content language of the login page.
     */
    language?: string;
    /**
     * Identity of the user who last modified the login page.
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * Date and time when the login page was last modified. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastModifiedDateTime?: Date;
    /**
     * The source of the content. Possible values are: unknown, global, tenant, unknownFutureValue.
     */
    source?: SimulationContentSource;
    /**
     * The login page status. Possible values are: unknown, draft, ready, archive, delete, unknownFutureValue.
     */
    status?: SimulationContentStatus;
}
export declare function serializeLoginPage(writer: SerializationWriter, loginPage?: LoginPage | undefined): void;
