import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLookupColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLookupColumn;
export declare function deserializeIntoLookupColumn(lookupColumn?: LookupColumn | undefined): Record<string, (node: ParseNode) => void>;
export interface LookupColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether multiple values can be selected from the source.
     */
    allowMultipleValues?: boolean;
    /**
     * Indicates whether values in the column should be able to exceed the standard limit of 255 characters.
     */
    allowUnlimitedLength?: boolean;
    /**
     * The name of the lookup source column.
     */
    columnName?: string;
    /**
     * The unique identifier of the lookup source list.
     */
    listId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If specified, this column is a secondary lookup, pulling an additional field from the list item looked up by the primary lookup. Use the list item looked up by the primary as the source for the column named here.
     */
    primaryLookupColumnId?: string;
}
export declare function serializeLookupColumn(writer: SerializationWriter, lookupColumn?: LookupColumn | undefined): void;
