"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLookupColumn = exports.deserializeIntoLookupColumn = exports.createLookupColumnFromDiscriminatorValue = void 0;
function createLookupColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLookupColumn;
}
exports.createLookupColumnFromDiscriminatorValue = createLookupColumnFromDiscriminatorValue;
function deserializeIntoLookupColumn(lookupColumn = {}) {
    return {
        "allowMultipleValues": n => { lookupColumn.allowMultipleValues = n.getBooleanValue(); },
        "allowUnlimitedLength": n => { lookupColumn.allowUnlimitedLength = n.getBooleanValue(); },
        "columnName": n => { lookupColumn.columnName = n.getStringValue(); },
        "listId": n => { lookupColumn.listId = n.getStringValue(); },
        "@odata.type": n => { lookupColumn.odataType = n.getStringValue(); },
        "primaryLookupColumnId": n => { lookupColumn.primaryLookupColumnId = n.getStringValue(); },
    };
}
exports.deserializeIntoLookupColumn = deserializeIntoLookupColumn;
function serializeLookupColumn(writer, lookupColumn = {}) {
    writer.writeBooleanValue("allowMultipleValues", lookupColumn.allowMultipleValues);
    writer.writeBooleanValue("allowUnlimitedLength", lookupColumn.allowUnlimitedLength);
    writer.writeStringValue("columnName", lookupColumn.columnName);
    writer.writeStringValue("listId", lookupColumn.listId);
    writer.writeStringValue("@odata.type", lookupColumn.odataType);
    writer.writeStringValue("primaryLookupColumnId", lookupColumn.primaryLookupColumnId);
    writer.writeAdditionalData(lookupColumn.additionalData);
}
exports.serializeLookupColumn = serializeLookupColumn;
// tslint:enable
// eslint-enable
