import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSCustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSCustomConfiguration;
export declare function deserializeIntoMacOSCustomConfiguration(macOSCustomConfiguration?: MacOSCustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSCustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Payload. (UTF8 encoded byte array)
     */
    payload?: string;
    /**
     * Payload file name (.mobileconfig
     */
    payloadFileName?: string;
    /**
     * Name that is displayed to the user.
     */
    payloadName?: string;
}
export declare function serializeMacOSCustomConfiguration(writer: SerializationWriter, macOSCustomConfiguration?: MacOSCustomConfiguration | undefined): void;
