import { type MacOSIncludedApp } from './macOSIncludedApp';
import { type MacOSMinimumOperatingSystem } from './macOSMinimumOperatingSystem';
import { type MobileLobApp } from './mobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSDmgAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSDmgApp;
export declare function deserializeIntoMacOSDmgApp(macOSDmgApp?: MacOSDmgApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSDmgApp extends MobileLobApp, Parsable {
    /**
     * When TRUE, indicates that the app's version will NOT be used to detect if the app is installed on a device. When FALSE, indicates that the app's version will be used to detect if the app is installed on a device. Set this to true for apps that use a self update feature. The default value is FALSE.
     */
    ignoreVersionDetection?: boolean;
    /**
     * The list of .apps expected to be installed by the DMG (Apple Disk Image)
     */
    includedApps?: MacOSIncludedApp[];
    /**
     * ComplexType macOSMinimumOperatingSystem that indicates the minimum operating system applicable for the application.
     */
    minimumSupportedOperatingSystem?: MacOSMinimumOperatingSystem;
    /**
     * The bundleId of the primary .app in the DMG (Apple Disk Image). This maps to the CFBundleIdentifier in the app's bundle configuration.
     */
    primaryBundleId?: string;
    /**
     * The version of the primary .app in the DMG (Apple Disk Image). This maps to the CFBundleShortVersion in the app's bundle configuration.
     */
    primaryBundleVersion?: string;
}
export declare function serializeMacOSDmgApp(writer: SerializationWriter, macOSDmgApp?: MacOSDmgApp | undefined): void;
