import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSIncludedAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSIncludedApp;
export declare function deserializeIntoMacOSIncludedApp(macOSIncludedApp?: MacOSIncludedApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSIncludedApp extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bundleId of the app. This maps to the CFBundleIdentifier in the app's bundle configuration.
     */
    bundleId?: string;
    /**
     * The version of the app. This maps to the CFBundleShortVersion in the app's bundle configuration.
     */
    bundleVersion?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMacOSIncludedApp(writer: SerializationWriter, macOSIncludedApp?: MacOSIncludedApp | undefined): void;
