import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOsLobAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOsLobAppAssignmentSettings;
export declare function deserializeIntoMacOsLobAppAssignmentSettings(macOsLobAppAssignmentSettings?: MacOsLobAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOsLobAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * When TRUE, indicates that the app should be uninstalled when the device is removed from Intune. When FALSE, indicates that the app will not be uninstalled when the device is removed from Intune.
     */
    uninstallOnDeviceRemoval?: boolean;
}
export declare function serializeMacOsLobAppAssignmentSettings(writer: SerializationWriter, macOsLobAppAssignmentSettings?: MacOsLobAppAssignmentSettings | undefined): void;
