import { MailDestinationRoutingReason } from './mailDestinationRoutingReason';
import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailAssessmentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailAssessmentRequest;
export declare function deserializeIntoMailAssessmentRequest(mailAssessmentRequest?: MailAssessmentRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface MailAssessmentRequest extends Parsable, ThreatAssessmentRequest {
    /**
     * The reason for mail routed to its destination. Possible values are: none, mailFlowRule, safeSender, blockedSender, advancedSpamFiltering, domainAllowList, domainBlockList, notInAddressBook, firstTimeSender, autoPurgeToInbox, autoPurgeToJunk, autoPurgeToDeleted, outbound, notJunk, junk.
     */
    destinationRoutingReason?: MailDestinationRoutingReason;
    /**
     * The resource URI of the mail message for assessment.
     */
    messageUri?: string;
    /**
     * The mail recipient whose policies are used to assess the mail.
     */
    recipientEmail?: string;
}
export declare function serializeMailAssessmentRequest(writer: SerializationWriter, mailAssessmentRequest?: MailAssessmentRequest | undefined): void;
