import { type Entity } from './entity';
import { deserializeIntoMailSearchFolder } from './mailSearchFolder';
import { type Message } from './message';
import { type MessageRule } from './messageRule';
import { type MultiValueLegacyExtendedProperty } from './multiValueLegacyExtendedProperty';
import { type SingleValueLegacyExtendedProperty } from './singleValueLegacyExtendedProperty';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailFolderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailSearchFolder;
export declare function deserializeIntoMailFolder(mailFolder?: MailFolder | undefined): Record<string, (node: ParseNode) => void>;
export interface MailFolder extends Entity, Parsable {
    /**
     * The number of immediate child mailFolders in the current mailFolder.
     */
    childFolderCount?: number;
    /**
     * The collection of child folders in the mailFolder.
     */
    childFolders?: MailFolder[];
    /**
     * The mailFolder's display name.
     */
    displayName?: string;
    /**
     * Indicates whether the mailFolder is hidden. This property can be set only when creating the folder. Find more information in Hidden mail folders.
     */
    isHidden?: boolean;
    /**
     * The collection of rules that apply to the user's Inbox folder.
     */
    messageRules?: MessageRule[];
    /**
     * The collection of messages in the mailFolder.
     */
    messages?: Message[];
    /**
     * The collection of multi-value extended properties defined for the mailFolder. Read-only. Nullable.
     */
    multiValueExtendedProperties?: MultiValueLegacyExtendedProperty[];
    /**
     * The unique identifier for the mailFolder's parent mailFolder.
     */
    parentFolderId?: string;
    /**
     * The collection of single-value extended properties defined for the mailFolder. Read-only. Nullable.
     */
    singleValueExtendedProperties?: SingleValueLegacyExtendedProperty[];
    /**
     * The number of items in the mailFolder.
     */
    totalItemCount?: number;
    /**
     * The number of items in the mailFolder marked as unread.
     */
    unreadItemCount?: number;
}
export declare function serializeMailFolder(writer: SerializationWriter, mailFolder?: MailFolder | undefined): void;
