"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMailFolder = exports.deserializeIntoMailFolder = exports.createMailFolderFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const mailSearchFolder_1 = require("./mailSearchFolder");
const message_1 = require("./message");
const messageRule_1 = require("./messageRule");
const multiValueLegacyExtendedProperty_1 = require("./multiValueLegacyExtendedProperty");
const singleValueLegacyExtendedProperty_1 = require("./singleValueLegacyExtendedProperty");
function createMailFolderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.mailSearchFolder":
                    return mailSearchFolder_1.deserializeIntoMailSearchFolder;
            }
        }
    }
    return deserializeIntoMailFolder;
}
exports.createMailFolderFromDiscriminatorValue = createMailFolderFromDiscriminatorValue;
function deserializeIntoMailFolder(mailFolder = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(mailFolder)), { "childFolderCount": n => { mailFolder.childFolderCount = n.getNumberValue(); }, "childFolders": n => { mailFolder.childFolders = n.getCollectionOfObjectValues(createMailFolderFromDiscriminatorValue); }, "displayName": n => { mailFolder.displayName = n.getStringValue(); }, "isHidden": n => { mailFolder.isHidden = n.getBooleanValue(); }, "messageRules": n => { mailFolder.messageRules = n.getCollectionOfObjectValues(messageRule_1.createMessageRuleFromDiscriminatorValue); }, "messages": n => { mailFolder.messages = n.getCollectionOfObjectValues(message_1.createMessageFromDiscriminatorValue); }, "multiValueExtendedProperties": n => { mailFolder.multiValueExtendedProperties = n.getCollectionOfObjectValues(multiValueLegacyExtendedProperty_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "parentFolderId": n => { mailFolder.parentFolderId = n.getStringValue(); }, "singleValueExtendedProperties": n => { mailFolder.singleValueExtendedProperties = n.getCollectionOfObjectValues(singleValueLegacyExtendedProperty_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "totalItemCount": n => { mailFolder.totalItemCount = n.getNumberValue(); }, "unreadItemCount": n => { mailFolder.unreadItemCount = n.getNumberValue(); } });
}
exports.deserializeIntoMailFolder = deserializeIntoMailFolder;
function serializeMailFolder(writer, mailFolder = {}) {
    (0, entity_1.serializeEntity)(writer, mailFolder);
    writer.writeNumberValue("childFolderCount", mailFolder.childFolderCount);
    writer.writeCollectionOfObjectValues("childFolders", mailFolder.childFolders, serializeMailFolder);
    writer.writeStringValue("displayName", mailFolder.displayName);
    writer.writeBooleanValue("isHidden", mailFolder.isHidden);
    writer.writeCollectionOfObjectValues("messageRules", mailFolder.messageRules, messageRule_1.serializeMessageRule);
    writer.writeCollectionOfObjectValues("messages", mailFolder.messages, message_1.serializeMessage);
    writer.writeCollectionOfObjectValues("multiValueExtendedProperties", mailFolder.multiValueExtendedProperties, multiValueLegacyExtendedProperty_1.serializeMultiValueLegacyExtendedProperty);
    writer.writeStringValue("parentFolderId", mailFolder.parentFolderId);
    writer.writeCollectionOfObjectValues("singleValueExtendedProperties", mailFolder.singleValueExtendedProperties, singleValueLegacyExtendedProperty_1.serializeSingleValueLegacyExtendedProperty);
    writer.writeNumberValue("totalItemCount", mailFolder.totalItemCount);
    writer.writeNumberValue("unreadItemCount", mailFolder.unreadItemCount);
}
exports.serializeMailFolder = serializeMailFolder;
// tslint:enable
// eslint-enable
