"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMailTips = exports.deserializeIntoMailTips = exports.createMailTipsFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const automaticRepliesMailTips_1 = require("./automaticRepliesMailTips");
const emailAddress_1 = require("./emailAddress");
const mailTipsError_1 = require("./mailTipsError");
const recipient_1 = require("./recipient");
const recipientScopeType_1 = require("./recipientScopeType");
function createMailTipsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMailTips;
}
exports.createMailTipsFromDiscriminatorValue = createMailTipsFromDiscriminatorValue;
function deserializeIntoMailTips(mailTips = {}) {
    return {
        "automaticReplies": n => { mailTips.automaticReplies = n.getObjectValue(automaticRepliesMailTips_1.createAutomaticRepliesMailTipsFromDiscriminatorValue); },
        "customMailTip": n => { mailTips.customMailTip = n.getStringValue(); },
        "deliveryRestricted": n => { mailTips.deliveryRestricted = n.getBooleanValue(); },
        "emailAddress": n => { mailTips.emailAddress = n.getObjectValue(emailAddress_1.createEmailAddressFromDiscriminatorValue); },
        "error": n => { mailTips.errorEscaped = n.getObjectValue(mailTipsError_1.createMailTipsErrorFromDiscriminatorValue); },
        "externalMemberCount": n => { mailTips.externalMemberCount = n.getNumberValue(); },
        "isModerated": n => { mailTips.isModerated = n.getBooleanValue(); },
        "mailboxFull": n => { mailTips.mailboxFull = n.getBooleanValue(); },
        "maxMessageSize": n => { mailTips.maxMessageSize = n.getNumberValue(); },
        "@odata.type": n => { mailTips.odataType = n.getStringValue(); },
        "recipientScope": n => { mailTips.recipientScope = n.getCollectionOfEnumValues(recipientScopeType_1.RecipientScopeType); },
        "recipientSuggestions": n => { mailTips.recipientSuggestions = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); },
        "totalMemberCount": n => { mailTips.totalMemberCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoMailTips = deserializeIntoMailTips;
function serializeMailTips(writer, mailTips = {}) {
    writer.writeObjectValue("automaticReplies", mailTips.automaticReplies, automaticRepliesMailTips_1.serializeAutomaticRepliesMailTips);
    writer.writeStringValue("customMailTip", mailTips.customMailTip);
    writer.writeBooleanValue("deliveryRestricted", mailTips.deliveryRestricted);
    writer.writeObjectValue("emailAddress", mailTips.emailAddress, emailAddress_1.serializeEmailAddress);
    writer.writeObjectValue("error", mailTips.errorEscaped, mailTipsError_1.serializeMailTipsError);
    writer.writeNumberValue("externalMemberCount", mailTips.externalMemberCount);
    writer.writeBooleanValue("isModerated", mailTips.isModerated);
    writer.writeBooleanValue("mailboxFull", mailTips.mailboxFull);
    writer.writeNumberValue("maxMessageSize", mailTips.maxMessageSize);
    writer.writeStringValue("@odata.type", mailTips.odataType);
    writer.writeEnumValue("recipientScope", mailTips.recipientScope);
    writer.writeCollectionOfObjectValues("recipientSuggestions", mailTips.recipientSuggestions, recipient_1.serializeRecipient);
    writer.writeNumberValue("totalMemberCount", mailTips.totalMemberCount);
    writer.writeAdditionalData(mailTips.additionalData);
}
exports.serializeMailTips = serializeMailTips;
// tslint:enable
// eslint-enable
