import { type AutomaticRepliesSetting } from './automaticRepliesSetting';
import { DelegateMeetingMessageDeliveryOptions } from './delegateMeetingMessageDeliveryOptions';
import { type LocaleInfo } from './localeInfo';
import { UserPurpose } from './userPurpose';
import { type WorkingHours } from './workingHours';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailboxSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailboxSettings;
export declare function deserializeIntoMailboxSettings(mailboxSettings?: MailboxSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface MailboxSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Folder ID of an archive folder for the user.
     */
    archiveFolder?: string;
    /**
     * Configuration settings to automatically notify the sender of an incoming email with a message from the signed-in user.
     */
    automaticRepliesSetting?: AutomaticRepliesSetting;
    /**
     * The date format for the user's mailbox.
     */
    dateFormat?: string;
    /**
     * If the user has a calendar delegate, this specifies whether the delegate, mailbox owner, or both receive meeting messages and meeting responses. Possible values are: sendToDelegateAndInformationToPrincipal, sendToDelegateAndPrincipal, sendToDelegateOnly.
     */
    delegateMeetingMessageDeliveryOptions?: DelegateMeetingMessageDeliveryOptions;
    /**
     * The locale information for the user, including the preferred language and country/region.
     */
    language?: LocaleInfo;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The time format for the user's mailbox.
     */
    timeFormat?: string;
    /**
     * The default time zone for the user's mailbox.
     */
    timeZone?: string;
    /**
     * The purpose of the mailbox. Differentiates a mailbox for a single user from a shared mailbox and equipment mailbox in Exchange Online. Possible values are: user, linked, shared, room, equipment, others, unknownFutureValue. Read-only.
     */
    userPurpose?: UserPurpose;
    /**
     * The days of the week and hours in a specific time zone that the user works.
     */
    workingHours?: WorkingHours;
}
export declare function serializeMailboxSettings(writer: SerializationWriter, mailboxSettings?: MailboxSettings | undefined): void;
