"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMailboxSettings = exports.deserializeIntoMailboxSettings = exports.createMailboxSettingsFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const automaticRepliesSetting_1 = require("./automaticRepliesSetting");
const delegateMeetingMessageDeliveryOptions_1 = require("./delegateMeetingMessageDeliveryOptions");
const localeInfo_1 = require("./localeInfo");
const userPurpose_1 = require("./userPurpose");
const workingHours_1 = require("./workingHours");
function createMailboxSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMailboxSettings;
}
exports.createMailboxSettingsFromDiscriminatorValue = createMailboxSettingsFromDiscriminatorValue;
function deserializeIntoMailboxSettings(mailboxSettings = {}) {
    return {
        "archiveFolder": n => { mailboxSettings.archiveFolder = n.getStringValue(); },
        "automaticRepliesSetting": n => { mailboxSettings.automaticRepliesSetting = n.getObjectValue(automaticRepliesSetting_1.createAutomaticRepliesSettingFromDiscriminatorValue); },
        "dateFormat": n => { mailboxSettings.dateFormat = n.getStringValue(); },
        "delegateMeetingMessageDeliveryOptions": n => { mailboxSettings.delegateMeetingMessageDeliveryOptions = n.getEnumValue(delegateMeetingMessageDeliveryOptions_1.DelegateMeetingMessageDeliveryOptions); },
        "language": n => { mailboxSettings.language = n.getObjectValue(localeInfo_1.createLocaleInfoFromDiscriminatorValue); },
        "@odata.type": n => { mailboxSettings.odataType = n.getStringValue(); },
        "timeFormat": n => { mailboxSettings.timeFormat = n.getStringValue(); },
        "timeZone": n => { mailboxSettings.timeZone = n.getStringValue(); },
        "userPurpose": n => { mailboxSettings.userPurpose = n.getEnumValue(userPurpose_1.UserPurpose); },
        "workingHours": n => { mailboxSettings.workingHours = n.getObjectValue(workingHours_1.createWorkingHoursFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMailboxSettings = deserializeIntoMailboxSettings;
function serializeMailboxSettings(writer, mailboxSettings = {}) {
    writer.writeStringValue("archiveFolder", mailboxSettings.archiveFolder);
    writer.writeObjectValue("automaticRepliesSetting", mailboxSettings.automaticRepliesSetting, automaticRepliesSetting_1.serializeAutomaticRepliesSetting);
    writer.writeStringValue("dateFormat", mailboxSettings.dateFormat);
    writer.writeEnumValue("delegateMeetingMessageDeliveryOptions", mailboxSettings.delegateMeetingMessageDeliveryOptions);
    writer.writeObjectValue("language", mailboxSettings.language, localeInfo_1.serializeLocaleInfo);
    writer.writeStringValue("@odata.type", mailboxSettings.odataType);
    writer.writeStringValue("timeFormat", mailboxSettings.timeFormat);
    writer.writeStringValue("timeZone", mailboxSettings.timeZone);
    writer.writeEnumValue("userPurpose", mailboxSettings.userPurpose);
    writer.writeObjectValue("workingHours", mailboxSettings.workingHours, workingHours_1.serializeWorkingHours);
    writer.writeAdditionalData(mailboxSettings.additionalData);
}
exports.serializeMailboxSettings = serializeMailboxSettings;
// tslint:enable
// eslint-enable
