import { type AndroidMinimumOperatingSystem } from './androidMinimumOperatingSystem';
import { type ManagedMobileLobApp } from './managedMobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAndroidLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAndroidLobApp;
export declare function deserializeIntoManagedAndroidLobApp(managedAndroidLobApp?: ManagedAndroidLobApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAndroidLobApp extends ManagedMobileLobApp, Parsable {
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: AndroidMinimumOperatingSystem;
    /**
     * The package identifier.
     */
    packageId?: string;
    /**
     * The version code of managed Android Line of Business (LoB) app.
     */
    versionCode?: string;
    /**
     * The version name of managed Android Line of Business (LoB) app.
     */
    versionName?: string;
}
export declare function serializeManagedAndroidLobApp(writer: SerializationWriter, managedAndroidLobApp?: ManagedAndroidLobApp | undefined): void;
