import { type AndroidMinimumOperatingSystem } from './androidMinimumOperatingSystem';
import { type ManagedApp } from './managedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAndroidStoreAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAndroidStoreApp;
export declare function deserializeIntoManagedAndroidStoreApp(managedAndroidStoreApp?: ManagedAndroidStoreApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAndroidStoreApp extends ManagedApp, Parsable {
    /**
     * The Android AppStoreUrl.
     */
    appStoreUrl?: string;
    /**
     * Contains properties for the minimum operating system required for an Android mobile app.
     */
    minimumSupportedOperatingSystem?: AndroidMinimumOperatingSystem;
    /**
     * The app's package ID.
     */
    packageId?: string;
}
export declare function serializeManagedAndroidStoreApp(writer: SerializationWriter, managedAndroidStoreApp?: ManagedAndroidStoreApp | undefined): void;
