import { deserializeIntoManagedAndroidLobApp } from './managedAndroidLobApp';
import { deserializeIntoManagedAndroidStoreApp } from './managedAndroidStoreApp';
import { ManagedAppAvailability } from './managedAppAvailability';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAndroidLobApp | typeof deserializeIntoManagedAndroidStoreApp;
export declare function deserializeIntoManagedApp(managedApp?: ManagedApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedApp extends MobileApp, Parsable {
    /**
     * A managed (MAM) application's availability.
     */
    appAvailability?: ManagedAppAvailability;
    /**
     * The Application's version.
     */
    version?: string;
}
export declare function serializeManagedApp(writer: SerializationWriter, managedApp?: ManagedApp | undefined): void;
