"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedApp = exports.deserializeIntoManagedApp = exports.createManagedAppFromDiscriminatorValue = void 0;
const managedAndroidLobApp_1 = require("./managedAndroidLobApp");
const managedAndroidStoreApp_1 = require("./managedAndroidStoreApp");
const managedAppAvailability_1 = require("./managedAppAvailability");
const managedIOSLobApp_1 = require("./managedIOSLobApp");
const managedIOSStoreApp_1 = require("./managedIOSStoreApp");
const managedMobileLobApp_1 = require("./managedMobileLobApp");
const mobileApp_1 = require("./mobileApp");
function createManagedAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.managedAndroidLobApp":
                    return managedAndroidLobApp_1.deserializeIntoManagedAndroidLobApp;
                case "#microsoft.graph.managedAndroidStoreApp":
                    return managedAndroidStoreApp_1.deserializeIntoManagedAndroidStoreApp;
                case "#microsoft.graph.managedIOSLobApp":
                    return managedIOSLobApp_1.deserializeIntoManagedIOSLobApp;
                case "#microsoft.graph.managedIOSStoreApp":
                    return managedIOSStoreApp_1.deserializeIntoManagedIOSStoreApp;
                case "#microsoft.graph.managedMobileLobApp":
                    return managedMobileLobApp_1.deserializeIntoManagedMobileLobApp;
            }
        }
    }
    return deserializeIntoManagedApp;
}
exports.createManagedAppFromDiscriminatorValue = createManagedAppFromDiscriminatorValue;
function deserializeIntoManagedApp(managedApp = {}) {
    return Object.assign(Object.assign({}, (0, mobileApp_1.deserializeIntoMobileApp)(managedApp)), { "appAvailability": n => { managedApp.appAvailability = n.getEnumValue(managedAppAvailability_1.ManagedAppAvailability); }, "version": n => { managedApp.version = n.getStringValue(); } });
}
exports.deserializeIntoManagedApp = deserializeIntoManagedApp;
function serializeManagedApp(writer, managedApp = {}) {
    (0, mobileApp_1.serializeMobileApp)(writer, managedApp);
    writer.writeEnumValue("appAvailability", managedApp.appAvailability);
    writer.writeStringValue("version", managedApp.version);
}
exports.serializeManagedApp = serializeManagedApp;
// tslint:enable
// eslint-enable
