import { type KeyValuePair } from './keyValuePair';
import { type ManagedAppPolicy } from './managedAppPolicy';
import { deserializeIntoTargetedManagedAppConfiguration } from './targetedManagedAppConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetedManagedAppConfiguration;
export declare function deserializeIntoManagedAppConfiguration(managedAppConfiguration?: ManagedAppConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppConfiguration extends ManagedAppPolicy, Parsable {
    /**
     * A set of string key and string value pairs to be sent to apps for users to whom the configuration is scoped, unalterned by this service
     */
    customSettings?: KeyValuePair[];
}
export declare function serializeManagedAppConfiguration(writer: SerializationWriter, managedAppConfiguration?: ManagedAppConfiguration | undefined): void;
