"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedAppConfiguration = exports.deserializeIntoManagedAppConfiguration = exports.createManagedAppConfigurationFromDiscriminatorValue = void 0;
const keyValuePair_1 = require("./keyValuePair");
const managedAppPolicy_1 = require("./managedAppPolicy");
const targetedManagedAppConfiguration_1 = require("./targetedManagedAppConfiguration");
function createManagedAppConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.targetedManagedAppConfiguration":
                    return targetedManagedAppConfiguration_1.deserializeIntoTargetedManagedAppConfiguration;
            }
        }
    }
    return deserializeIntoManagedAppConfiguration;
}
exports.createManagedAppConfigurationFromDiscriminatorValue = createManagedAppConfigurationFromDiscriminatorValue;
function deserializeIntoManagedAppConfiguration(managedAppConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, managedAppPolicy_1.deserializeIntoManagedAppPolicy)(managedAppConfiguration)), { "customSettings": n => { managedAppConfiguration.customSettings = n.getCollectionOfObjectValues(keyValuePair_1.createKeyValuePairFromDiscriminatorValue); } });
}
exports.deserializeIntoManagedAppConfiguration = deserializeIntoManagedAppConfiguration;
function serializeManagedAppConfiguration(writer, managedAppConfiguration = {}) {
    (0, managedAppPolicy_1.serializeManagedAppPolicy)(writer, managedAppConfiguration);
    writer.writeCollectionOfObjectValues("customSettings", managedAppConfiguration.customSettings, keyValuePair_1.serializeKeyValuePair);
}
exports.serializeManagedAppConfiguration = serializeManagedAppConfiguration;
// tslint:enable
// eslint-enable
