"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppDataEncryptionType = void 0;
/**
 * Represents the level to which app data is encrypted for managed apps
 */
var ManagedAppDataEncryptionType;
(function (ManagedAppDataEncryptionType) {
    /** App data is encrypted based on the default settings on the device. */
    ManagedAppDataEncryptionType["UseDeviceSettings"] = "useDeviceSettings";
    /** App data is encrypted when the device is restarted. */
    ManagedAppDataEncryptionType["AfterDeviceRestart"] = "afterDeviceRestart";
    /** App data associated with this policy is encrypted when the device is locked, except data in files that are open */
    ManagedAppDataEncryptionType["WhenDeviceLockedExceptOpenFiles"] = "whenDeviceLockedExceptOpenFiles";
    /** App data associated with this policy is encrypted when the device is locked */
    ManagedAppDataEncryptionType["WhenDeviceLocked"] = "whenDeviceLocked";
})(ManagedAppDataEncryptionType || (exports.ManagedAppDataEncryptionType = ManagedAppDataEncryptionType = {}));
// tslint:enable
// eslint-enable
