import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppOperation;
export declare function deserializeIntoManagedAppOperation(managedAppOperation?: ManagedAppOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppOperation extends Entity, Parsable {
    /**
     * The operation name.
     */
    displayName?: string;
    /**
     * The last time the app operation was modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The current state of the operation
     */
    state?: string;
    /**
     * Version of the entity.
     */
    version?: string;
}
export declare function serializeManagedAppOperation(writer: SerializationWriter, managedAppOperation?: ManagedAppOperation | undefined): void;
