import { deserializeIntoDefaultManagedAppProtection } from './defaultManagedAppProtection';
import { type Entity } from './entity';
import { deserializeIntoIosManagedAppProtection } from './iosManagedAppProtection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosManagedAppProtection | typeof deserializeIntoDefaultManagedAppProtection;
export declare function deserializeIntoManagedAppPolicy(managedAppPolicy?: ManagedAppPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppPolicy extends Entity, Parsable {
    /**
     * The date and time the policy was created.
     */
    createdDateTime?: Date;
    /**
     * The policy's description.
     */
    description?: string;
    /**
     * Policy display name.
     */
    displayName?: string;
    /**
     * Last time the policy was modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * Version of the entity.
     */
    version?: string;
}
export declare function serializeManagedAppPolicy(writer: SerializationWriter, managedAppPolicy?: ManagedAppPolicy | undefined): void;
