"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedAppPolicy = exports.deserializeIntoManagedAppPolicy = exports.createManagedAppPolicyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidManagedAppProtection_1 = require("./androidManagedAppProtection");
const defaultManagedAppProtection_1 = require("./defaultManagedAppProtection");
const entity_1 = require("./entity");
const iosManagedAppProtection_1 = require("./iosManagedAppProtection");
const managedAppConfiguration_1 = require("./managedAppConfiguration");
const managedAppProtection_1 = require("./managedAppProtection");
const mdmWindowsInformationProtectionPolicy_1 = require("./mdmWindowsInformationProtectionPolicy");
const targetedManagedAppConfiguration_1 = require("./targetedManagedAppConfiguration");
const targetedManagedAppProtection_1 = require("./targetedManagedAppProtection");
const windowsInformationProtection_1 = require("./windowsInformationProtection");
const windowsInformationProtectionPolicy_1 = require("./windowsInformationProtectionPolicy");
function createManagedAppPolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidManagedAppProtection":
                    return androidManagedAppProtection_1.deserializeIntoAndroidManagedAppProtection;
                case "#microsoft.graph.defaultManagedAppProtection":
                    return defaultManagedAppProtection_1.deserializeIntoDefaultManagedAppProtection;
                case "#microsoft.graph.iosManagedAppProtection":
                    return iosManagedAppProtection_1.deserializeIntoIosManagedAppProtection;
                case "#microsoft.graph.managedAppConfiguration":
                    return managedAppConfiguration_1.deserializeIntoManagedAppConfiguration;
                case "#microsoft.graph.managedAppProtection":
                    return managedAppProtection_1.deserializeIntoManagedAppProtection;
                case "#microsoft.graph.mdmWindowsInformationProtectionPolicy":
                    return mdmWindowsInformationProtectionPolicy_1.deserializeIntoMdmWindowsInformationProtectionPolicy;
                case "#microsoft.graph.targetedManagedAppConfiguration":
                    return targetedManagedAppConfiguration_1.deserializeIntoTargetedManagedAppConfiguration;
                case "#microsoft.graph.targetedManagedAppProtection":
                    return targetedManagedAppProtection_1.deserializeIntoTargetedManagedAppProtection;
                case "#microsoft.graph.windowsInformationProtection":
                    return windowsInformationProtection_1.deserializeIntoWindowsInformationProtection;
                case "#microsoft.graph.windowsInformationProtectionPolicy":
                    return windowsInformationProtectionPolicy_1.deserializeIntoWindowsInformationProtectionPolicy;
            }
        }
    }
    return deserializeIntoManagedAppPolicy;
}
exports.createManagedAppPolicyFromDiscriminatorValue = createManagedAppPolicyFromDiscriminatorValue;
function deserializeIntoManagedAppPolicy(managedAppPolicy = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(managedAppPolicy)), { "createdDateTime": n => { managedAppPolicy.createdDateTime = n.getDateValue(); }, "description": n => { managedAppPolicy.description = n.getStringValue(); }, "displayName": n => { managedAppPolicy.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { managedAppPolicy.lastModifiedDateTime = n.getDateValue(); }, "version": n => { managedAppPolicy.version = n.getStringValue(); } });
}
exports.deserializeIntoManagedAppPolicy = deserializeIntoManagedAppPolicy;
function serializeManagedAppPolicy(writer, managedAppPolicy = {}) {
    (0, entity_1.serializeEntity)(writer, managedAppPolicy);
    writer.writeDateValue("createdDateTime", managedAppPolicy.createdDateTime);
    writer.writeStringValue("description", managedAppPolicy.description);
    writer.writeStringValue("displayName", managedAppPolicy.displayName);
    writer.writeDateValue("lastModifiedDateTime", managedAppPolicy.lastModifiedDateTime);
    writer.writeStringValue("version", managedAppPolicy.version);
}
exports.serializeManagedAppPolicy = serializeManagedAppPolicy;
// tslint:enable
// eslint-enable
