"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedAppProtection = exports.deserializeIntoManagedAppProtection = exports.createManagedAppProtectionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidManagedAppProtection_1 = require("./androidManagedAppProtection");
const defaultManagedAppProtection_1 = require("./defaultManagedAppProtection");
const iosManagedAppProtection_1 = require("./iosManagedAppProtection");
const managedAppClipboardSharingLevel_1 = require("./managedAppClipboardSharingLevel");
const managedAppDataStorageLocation_1 = require("./managedAppDataStorageLocation");
const managedAppDataTransferLevel_1 = require("./managedAppDataTransferLevel");
const managedAppPinCharacterSet_1 = require("./managedAppPinCharacterSet");
const managedAppPolicy_1 = require("./managedAppPolicy");
const managedBrowserType_1 = require("./managedBrowserType");
const targetedManagedAppProtection_1 = require("./targetedManagedAppProtection");
function createManagedAppProtectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidManagedAppProtection":
                    return androidManagedAppProtection_1.deserializeIntoAndroidManagedAppProtection;
                case "#microsoft.graph.defaultManagedAppProtection":
                    return defaultManagedAppProtection_1.deserializeIntoDefaultManagedAppProtection;
                case "#microsoft.graph.iosManagedAppProtection":
                    return iosManagedAppProtection_1.deserializeIntoIosManagedAppProtection;
                case "#microsoft.graph.targetedManagedAppProtection":
                    return targetedManagedAppProtection_1.deserializeIntoTargetedManagedAppProtection;
            }
        }
    }
    return deserializeIntoManagedAppProtection;
}
exports.createManagedAppProtectionFromDiscriminatorValue = createManagedAppProtectionFromDiscriminatorValue;
function deserializeIntoManagedAppProtection(managedAppProtection = {}) {
    return Object.assign(Object.assign({}, (0, managedAppPolicy_1.deserializeIntoManagedAppPolicy)(managedAppProtection)), { "allowedDataStorageLocations": n => { managedAppProtection.allowedDataStorageLocations = n.getCollectionOfEnumValues(managedAppDataStorageLocation_1.ManagedAppDataStorageLocation); }, "allowedInboundDataTransferSources": n => { managedAppProtection.allowedInboundDataTransferSources = n.getEnumValue(managedAppDataTransferLevel_1.ManagedAppDataTransferLevel); }, "allowedOutboundClipboardSharingLevel": n => { managedAppProtection.allowedOutboundClipboardSharingLevel = n.getEnumValue(managedAppClipboardSharingLevel_1.ManagedAppClipboardSharingLevel); }, "allowedOutboundDataTransferDestinations": n => { managedAppProtection.allowedOutboundDataTransferDestinations = n.getEnumValue(managedAppDataTransferLevel_1.ManagedAppDataTransferLevel); }, "contactSyncBlocked": n => { managedAppProtection.contactSyncBlocked = n.getBooleanValue(); }, "dataBackupBlocked": n => { managedAppProtection.dataBackupBlocked = n.getBooleanValue(); }, "deviceComplianceRequired": n => { managedAppProtection.deviceComplianceRequired = n.getBooleanValue(); }, "disableAppPinIfDevicePinIsSet": n => { managedAppProtection.disableAppPinIfDevicePinIsSet = n.getBooleanValue(); }, "fingerprintBlocked": n => { managedAppProtection.fingerprintBlocked = n.getBooleanValue(); }, "managedBrowser": n => { managedAppProtection.managedBrowser = n.getCollectionOfEnumValues(managedBrowserType_1.ManagedBrowserType); }, "managedBrowserToOpenLinksRequired": n => { managedAppProtection.managedBrowserToOpenLinksRequired = n.getBooleanValue(); }, "maximumPinRetries": n => { managedAppProtection.maximumPinRetries = n.getNumberValue(); }, "minimumPinLength": n => { managedAppProtection.minimumPinLength = n.getNumberValue(); }, "minimumRequiredAppVersion": n => { managedAppProtection.minimumRequiredAppVersion = n.getStringValue(); }, "minimumRequiredOsVersion": n => { managedAppProtection.minimumRequiredOsVersion = n.getStringValue(); }, "minimumWarningAppVersion": n => { managedAppProtection.minimumWarningAppVersion = n.getStringValue(); }, "minimumWarningOsVersion": n => { managedAppProtection.minimumWarningOsVersion = n.getStringValue(); }, "organizationalCredentialsRequired": n => { managedAppProtection.organizationalCredentialsRequired = n.getBooleanValue(); }, "periodBeforePinReset": n => { managedAppProtection.periodBeforePinReset = n.getDurationValue(); }, "periodOfflineBeforeAccessCheck": n => { managedAppProtection.periodOfflineBeforeAccessCheck = n.getDurationValue(); }, "periodOfflineBeforeWipeIsEnforced": n => { managedAppProtection.periodOfflineBeforeWipeIsEnforced = n.getDurationValue(); }, "periodOnlineBeforeAccessCheck": n => { managedAppProtection.periodOnlineBeforeAccessCheck = n.getDurationValue(); }, "pinCharacterSet": n => { managedAppProtection.pinCharacterSet = n.getEnumValue(managedAppPinCharacterSet_1.ManagedAppPinCharacterSet); }, "pinRequired": n => { managedAppProtection.pinRequired = n.getBooleanValue(); }, "printBlocked": n => { managedAppProtection.printBlocked = n.getBooleanValue(); }, "saveAsBlocked": n => { managedAppProtection.saveAsBlocked = n.getBooleanValue(); }, "simplePinBlocked": n => { managedAppProtection.simplePinBlocked = n.getBooleanValue(); } });
}
exports.deserializeIntoManagedAppProtection = deserializeIntoManagedAppProtection;
function serializeManagedAppProtection(writer, managedAppProtection = {}) {
    (0, managedAppPolicy_1.serializeManagedAppPolicy)(writer, managedAppProtection);
    if (managedAppProtection.allowedDataStorageLocations)
        writer.writeEnumValue("allowedDataStorageLocations", ...managedAppProtection.allowedDataStorageLocations);
    writer.writeEnumValue("allowedInboundDataTransferSources", managedAppProtection.allowedInboundDataTransferSources);
    writer.writeEnumValue("allowedOutboundClipboardSharingLevel", managedAppProtection.allowedOutboundClipboardSharingLevel);
    writer.writeEnumValue("allowedOutboundDataTransferDestinations", managedAppProtection.allowedOutboundDataTransferDestinations);
    writer.writeBooleanValue("contactSyncBlocked", managedAppProtection.contactSyncBlocked);
    writer.writeBooleanValue("dataBackupBlocked", managedAppProtection.dataBackupBlocked);
    writer.writeBooleanValue("deviceComplianceRequired", managedAppProtection.deviceComplianceRequired);
    writer.writeBooleanValue("disableAppPinIfDevicePinIsSet", managedAppProtection.disableAppPinIfDevicePinIsSet);
    writer.writeBooleanValue("fingerprintBlocked", managedAppProtection.fingerprintBlocked);
    writer.writeEnumValue("managedBrowser", managedAppProtection.managedBrowser);
    writer.writeBooleanValue("managedBrowserToOpenLinksRequired", managedAppProtection.managedBrowserToOpenLinksRequired);
    writer.writeNumberValue("maximumPinRetries", managedAppProtection.maximumPinRetries);
    writer.writeNumberValue("minimumPinLength", managedAppProtection.minimumPinLength);
    writer.writeStringValue("minimumRequiredAppVersion", managedAppProtection.minimumRequiredAppVersion);
    writer.writeStringValue("minimumRequiredOsVersion", managedAppProtection.minimumRequiredOsVersion);
    writer.writeStringValue("minimumWarningAppVersion", managedAppProtection.minimumWarningAppVersion);
    writer.writeStringValue("minimumWarningOsVersion", managedAppProtection.minimumWarningOsVersion);
    writer.writeBooleanValue("organizationalCredentialsRequired", managedAppProtection.organizationalCredentialsRequired);
    writer.writeDurationValue("periodBeforePinReset", managedAppProtection.periodBeforePinReset);
    writer.writeDurationValue("periodOfflineBeforeAccessCheck", managedAppProtection.periodOfflineBeforeAccessCheck);
    writer.writeDurationValue("periodOfflineBeforeWipeIsEnforced", managedAppProtection.periodOfflineBeforeWipeIsEnforced);
    writer.writeDurationValue("periodOnlineBeforeAccessCheck", managedAppProtection.periodOnlineBeforeAccessCheck);
    writer.writeEnumValue("pinCharacterSet", managedAppProtection.pinCharacterSet);
    writer.writeBooleanValue("pinRequired", managedAppProtection.pinRequired);
    writer.writeBooleanValue("printBlocked", managedAppProtection.printBlocked);
    writer.writeBooleanValue("saveAsBlocked", managedAppProtection.saveAsBlocked);
    writer.writeBooleanValue("simplePinBlocked", managedAppProtection.simplePinBlocked);
}
exports.serializeManagedAppProtection = serializeManagedAppProtection;
// tslint:enable
// eslint-enable
