"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedAppRegistration = exports.deserializeIntoManagedAppRegistration = exports.createManagedAppRegistrationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidManagedAppRegistration_1 = require("./androidManagedAppRegistration");
const entity_1 = require("./entity");
const iosManagedAppRegistration_1 = require("./iosManagedAppRegistration");
const managedAppFlaggedReason_1 = require("./managedAppFlaggedReason");
const managedAppOperation_1 = require("./managedAppOperation");
const managedAppPolicy_1 = require("./managedAppPolicy");
const mobileAppIdentifier_1 = require("./mobileAppIdentifier");
function createManagedAppRegistrationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidManagedAppRegistration":
                    return androidManagedAppRegistration_1.deserializeIntoAndroidManagedAppRegistration;
                case "#microsoft.graph.iosManagedAppRegistration":
                    return iosManagedAppRegistration_1.deserializeIntoIosManagedAppRegistration;
            }
        }
    }
    return deserializeIntoManagedAppRegistration;
}
exports.createManagedAppRegistrationFromDiscriminatorValue = createManagedAppRegistrationFromDiscriminatorValue;
function deserializeIntoManagedAppRegistration(managedAppRegistration = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(managedAppRegistration)), { "appIdentifier": n => { managedAppRegistration.appIdentifier = n.getObjectValue(mobileAppIdentifier_1.createMobileAppIdentifierFromDiscriminatorValue); }, "applicationVersion": n => { managedAppRegistration.applicationVersion = n.getStringValue(); }, "appliedPolicies": n => { managedAppRegistration.appliedPolicies = n.getCollectionOfObjectValues(managedAppPolicy_1.createManagedAppPolicyFromDiscriminatorValue); }, "createdDateTime": n => { managedAppRegistration.createdDateTime = n.getDateValue(); }, "deviceName": n => { managedAppRegistration.deviceName = n.getStringValue(); }, "deviceTag": n => { managedAppRegistration.deviceTag = n.getStringValue(); }, "deviceType": n => { managedAppRegistration.deviceType = n.getStringValue(); }, "flaggedReasons": n => { managedAppRegistration.flaggedReasons = n.getCollectionOfEnumValues(managedAppFlaggedReason_1.ManagedAppFlaggedReason); }, "intendedPolicies": n => { managedAppRegistration.intendedPolicies = n.getCollectionOfObjectValues(managedAppPolicy_1.createManagedAppPolicyFromDiscriminatorValue); }, "lastSyncDateTime": n => { managedAppRegistration.lastSyncDateTime = n.getDateValue(); }, "managementSdkVersion": n => { managedAppRegistration.managementSdkVersion = n.getStringValue(); }, "operations": n => { managedAppRegistration.operations = n.getCollectionOfObjectValues(managedAppOperation_1.createManagedAppOperationFromDiscriminatorValue); }, "platformVersion": n => { managedAppRegistration.platformVersion = n.getStringValue(); }, "userId": n => { managedAppRegistration.userId = n.getStringValue(); }, "version": n => { managedAppRegistration.version = n.getStringValue(); } });
}
exports.deserializeIntoManagedAppRegistration = deserializeIntoManagedAppRegistration;
function serializeManagedAppRegistration(writer, managedAppRegistration = {}) {
    (0, entity_1.serializeEntity)(writer, managedAppRegistration);
    writer.writeObjectValue("appIdentifier", managedAppRegistration.appIdentifier, mobileAppIdentifier_1.serializeMobileAppIdentifier);
    writer.writeStringValue("applicationVersion", managedAppRegistration.applicationVersion);
    writer.writeCollectionOfObjectValues("appliedPolicies", managedAppRegistration.appliedPolicies, managedAppPolicy_1.serializeManagedAppPolicy);
    writer.writeDateValue("createdDateTime", managedAppRegistration.createdDateTime);
    writer.writeStringValue("deviceName", managedAppRegistration.deviceName);
    writer.writeStringValue("deviceTag", managedAppRegistration.deviceTag);
    writer.writeStringValue("deviceType", managedAppRegistration.deviceType);
    if (managedAppRegistration.flaggedReasons)
        writer.writeEnumValue("flaggedReasons", ...managedAppRegistration.flaggedReasons);
    writer.writeCollectionOfObjectValues("intendedPolicies", managedAppRegistration.intendedPolicies, managedAppPolicy_1.serializeManagedAppPolicy);
    writer.writeDateValue("lastSyncDateTime", managedAppRegistration.lastSyncDateTime);
    writer.writeStringValue("managementSdkVersion", managedAppRegistration.managementSdkVersion);
    writer.writeCollectionOfObjectValues("operations", managedAppRegistration.operations, managedAppOperation_1.serializeManagedAppOperation);
    writer.writeStringValue("platformVersion", managedAppRegistration.platformVersion);
    writer.writeStringValue("userId", managedAppRegistration.userId);
    writer.writeStringValue("version", managedAppRegistration.version);
}
exports.serializeManagedAppRegistration = serializeManagedAppRegistration;
// tslint:enable
// eslint-enable
