"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedDevice = exports.deserializeIntoManagedDevice = exports.createManagedDeviceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const complianceState_1 = require("./complianceState");
const configurationManagerClientEnabledFeatures_1 = require("./configurationManagerClientEnabledFeatures");
const deviceActionResult_1 = require("./deviceActionResult");
const deviceCategory_1 = require("./deviceCategory");
const deviceCompliancePolicyState_1 = require("./deviceCompliancePolicyState");
const deviceConfigurationState_1 = require("./deviceConfigurationState");
const deviceEnrollmentType_1 = require("./deviceEnrollmentType");
const deviceHealthAttestationState_1 = require("./deviceHealthAttestationState");
const deviceLogCollectionResponse_1 = require("./deviceLogCollectionResponse");
const deviceManagementExchangeAccessState_1 = require("./deviceManagementExchangeAccessState");
const deviceManagementExchangeAccessStateReason_1 = require("./deviceManagementExchangeAccessStateReason");
const deviceRegistrationState_1 = require("./deviceRegistrationState");
const entity_1 = require("./entity");
const managedDeviceOwnerType_1 = require("./managedDeviceOwnerType");
const managedDevicePartnerReportedHealthState_1 = require("./managedDevicePartnerReportedHealthState");
const managementAgentType_1 = require("./managementAgentType");
const user_1 = require("./user");
const windowsProtectionState_1 = require("./windowsProtectionState");
function createManagedDeviceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoManagedDevice;
}
exports.createManagedDeviceFromDiscriminatorValue = createManagedDeviceFromDiscriminatorValue;
function deserializeIntoManagedDevice(managedDevice = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(managedDevice)), { "activationLockBypassCode": n => { managedDevice.activationLockBypassCode = n.getStringValue(); }, "androidSecurityPatchLevel": n => { managedDevice.androidSecurityPatchLevel = n.getStringValue(); }, "azureADDeviceId": n => { managedDevice.azureADDeviceId = n.getStringValue(); }, "azureADRegistered": n => { managedDevice.azureADRegistered = n.getBooleanValue(); }, "complianceGracePeriodExpirationDateTime": n => { managedDevice.complianceGracePeriodExpirationDateTime = n.getDateValue(); }, "complianceState": n => { managedDevice.complianceState = n.getEnumValue(complianceState_1.ComplianceState); }, "configurationManagerClientEnabledFeatures": n => { managedDevice.configurationManagerClientEnabledFeatures = n.getObjectValue(configurationManagerClientEnabledFeatures_1.createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue); }, "deviceActionResults": n => { managedDevice.deviceActionResults = n.getCollectionOfObjectValues(deviceActionResult_1.createDeviceActionResultFromDiscriminatorValue); }, "deviceCategory": n => { managedDevice.deviceCategory = n.getObjectValue(deviceCategory_1.createDeviceCategoryFromDiscriminatorValue); }, "deviceCategoryDisplayName": n => { managedDevice.deviceCategoryDisplayName = n.getStringValue(); }, "deviceCompliancePolicyStates": n => { managedDevice.deviceCompliancePolicyStates = n.getCollectionOfObjectValues(deviceCompliancePolicyState_1.createDeviceCompliancePolicyStateFromDiscriminatorValue); }, "deviceConfigurationStates": n => { managedDevice.deviceConfigurationStates = n.getCollectionOfObjectValues(deviceConfigurationState_1.createDeviceConfigurationStateFromDiscriminatorValue); }, "deviceEnrollmentType": n => { managedDevice.deviceEnrollmentType = n.getEnumValue(deviceEnrollmentType_1.DeviceEnrollmentType); }, "deviceHealthAttestationState": n => { managedDevice.deviceHealthAttestationState = n.getObjectValue(deviceHealthAttestationState_1.createDeviceHealthAttestationStateFromDiscriminatorValue); }, "deviceName": n => { managedDevice.deviceName = n.getStringValue(); }, "deviceRegistrationState": n => { managedDevice.deviceRegistrationState = n.getEnumValue(deviceRegistrationState_1.DeviceRegistrationState); }, "easActivated": n => { managedDevice.easActivated = n.getBooleanValue(); }, "easActivationDateTime": n => { managedDevice.easActivationDateTime = n.getDateValue(); }, "easDeviceId": n => { managedDevice.easDeviceId = n.getStringValue(); }, "emailAddress": n => { managedDevice.emailAddress = n.getStringValue(); }, "enrolledDateTime": n => { managedDevice.enrolledDateTime = n.getDateValue(); }, "ethernetMacAddress": n => { managedDevice.ethernetMacAddress = n.getStringValue(); }, "exchangeAccessState": n => { managedDevice.exchangeAccessState = n.getEnumValue(deviceManagementExchangeAccessState_1.DeviceManagementExchangeAccessState); }, "exchangeAccessStateReason": n => { managedDevice.exchangeAccessStateReason = n.getEnumValue(deviceManagementExchangeAccessStateReason_1.DeviceManagementExchangeAccessStateReason); }, "exchangeLastSuccessfulSyncDateTime": n => { managedDevice.exchangeLastSuccessfulSyncDateTime = n.getDateValue(); }, "freeStorageSpaceInBytes": n => { managedDevice.freeStorageSpaceInBytes = n.getNumberValue(); }, "iccid": n => { managedDevice.iccid = n.getStringValue(); }, "imei": n => { managedDevice.imei = n.getStringValue(); }, "isEncrypted": n => { managedDevice.isEncrypted = n.getBooleanValue(); }, "isSupervised": n => { managedDevice.isSupervised = n.getBooleanValue(); }, "jailBroken": n => { managedDevice.jailBroken = n.getStringValue(); }, "lastSyncDateTime": n => { managedDevice.lastSyncDateTime = n.getDateValue(); }, "logCollectionRequests": n => { managedDevice.logCollectionRequests = n.getCollectionOfObjectValues(deviceLogCollectionResponse_1.createDeviceLogCollectionResponseFromDiscriminatorValue); }, "managedDeviceName": n => { managedDevice.managedDeviceName = n.getStringValue(); }, "managedDeviceOwnerType": n => { managedDevice.managedDeviceOwnerType = n.getEnumValue(managedDeviceOwnerType_1.ManagedDeviceOwnerType); }, "managementAgent": n => { managedDevice.managementAgent = n.getEnumValue(managementAgentType_1.ManagementAgentType); }, "managementCertificateExpirationDate": n => { managedDevice.managementCertificateExpirationDate = n.getDateValue(); }, "manufacturer": n => { managedDevice.manufacturer = n.getStringValue(); }, "meid": n => { managedDevice.meid = n.getStringValue(); }, "model": n => { managedDevice.model = n.getStringValue(); }, "notes": n => { managedDevice.notes = n.getStringValue(); }, "operatingSystem": n => { managedDevice.operatingSystem = n.getStringValue(); }, "osVersion": n => { managedDevice.osVersion = n.getStringValue(); }, "partnerReportedThreatState": n => { managedDevice.partnerReportedThreatState = n.getEnumValue(managedDevicePartnerReportedHealthState_1.ManagedDevicePartnerReportedHealthState); }, "phoneNumber": n => { managedDevice.phoneNumber = n.getStringValue(); }, "physicalMemoryInBytes": n => { managedDevice.physicalMemoryInBytes = n.getNumberValue(); }, "remoteAssistanceSessionErrorDetails": n => { managedDevice.remoteAssistanceSessionErrorDetails = n.getStringValue(); }, "remoteAssistanceSessionUrl": n => { managedDevice.remoteAssistanceSessionUrl = n.getStringValue(); }, "requireUserEnrollmentApproval": n => { managedDevice.requireUserEnrollmentApproval = n.getBooleanValue(); }, "serialNumber": n => { managedDevice.serialNumber = n.getStringValue(); }, "subscriberCarrier": n => { managedDevice.subscriberCarrier = n.getStringValue(); }, "totalStorageSpaceInBytes": n => { managedDevice.totalStorageSpaceInBytes = n.getNumberValue(); }, "udid": n => { managedDevice.udid = n.getStringValue(); }, "userDisplayName": n => { managedDevice.userDisplayName = n.getStringValue(); }, "userId": n => { managedDevice.userId = n.getStringValue(); }, "userPrincipalName": n => { managedDevice.userPrincipalName = n.getStringValue(); }, "users": n => { managedDevice.users = n.getCollectionOfObjectValues(user_1.createUserFromDiscriminatorValue); }, "wiFiMacAddress": n => { managedDevice.wiFiMacAddress = n.getStringValue(); }, "windowsProtectionState": n => { managedDevice.windowsProtectionState = n.getObjectValue(windowsProtectionState_1.createWindowsProtectionStateFromDiscriminatorValue); } });
}
exports.deserializeIntoManagedDevice = deserializeIntoManagedDevice;
function serializeManagedDevice(writer, managedDevice = {}) {
    (0, entity_1.serializeEntity)(writer, managedDevice);
    writer.writeEnumValue("complianceState", managedDevice.complianceState);
    writer.writeObjectValue("deviceCategory", managedDevice.deviceCategory, deviceCategory_1.serializeDeviceCategory);
    writer.writeCollectionOfObjectValues("deviceCompliancePolicyStates", managedDevice.deviceCompliancePolicyStates, deviceCompliancePolicyState_1.serializeDeviceCompliancePolicyState);
    writer.writeCollectionOfObjectValues("deviceConfigurationStates", managedDevice.deviceConfigurationStates, deviceConfigurationState_1.serializeDeviceConfigurationState);
    writer.writeEnumValue("deviceEnrollmentType", managedDevice.deviceEnrollmentType);
    writer.writeEnumValue("deviceRegistrationState", managedDevice.deviceRegistrationState);
    writer.writeEnumValue("exchangeAccessState", managedDevice.exchangeAccessState);
    writer.writeEnumValue("exchangeAccessStateReason", managedDevice.exchangeAccessStateReason);
    writer.writeCollectionOfObjectValues("logCollectionRequests", managedDevice.logCollectionRequests, deviceLogCollectionResponse_1.serializeDeviceLogCollectionResponse);
    writer.writeStringValue("managedDeviceName", managedDevice.managedDeviceName);
    writer.writeEnumValue("managedDeviceOwnerType", managedDevice.managedDeviceOwnerType);
    writer.writeEnumValue("managementAgent", managedDevice.managementAgent);
    writer.writeStringValue("notes", managedDevice.notes);
    writer.writeEnumValue("partnerReportedThreatState", managedDevice.partnerReportedThreatState);
    writer.writeCollectionOfObjectValues("users", managedDevice.users, user_1.serializeUser);
    writer.writeObjectValue("windowsProtectionState", managedDevice.windowsProtectionState, windowsProtectionState_1.serializeWindowsProtectionState);
}
exports.serializeManagedDevice = serializeManagedDevice;
// tslint:enable
// eslint-enable
