import { type Entity } from './entity';
import { deserializeIntoIosMobileAppConfiguration } from './iosMobileAppConfiguration';
import { type ManagedDeviceMobileAppConfigurationAssignment } from './managedDeviceMobileAppConfigurationAssignment';
import { type ManagedDeviceMobileAppConfigurationDeviceStatus } from './managedDeviceMobileAppConfigurationDeviceStatus';
import { type ManagedDeviceMobileAppConfigurationDeviceSummary } from './managedDeviceMobileAppConfigurationDeviceSummary';
import { type ManagedDeviceMobileAppConfigurationUserStatus } from './managedDeviceMobileAppConfigurationUserStatus';
import { type ManagedDeviceMobileAppConfigurationUserSummary } from './managedDeviceMobileAppConfigurationUserSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedDeviceMobileAppConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosMobileAppConfiguration;
export declare function deserializeIntoManagedDeviceMobileAppConfiguration(managedDeviceMobileAppConfiguration?: ManagedDeviceMobileAppConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedDeviceMobileAppConfiguration extends Entity, Parsable {
    /**
     * The list of group assignemenets for app configration.
     */
    assignments?: ManagedDeviceMobileAppConfigurationAssignment[];
    /**
     * DateTime the object was created.
     */
    createdDateTime?: Date;
    /**
     * Admin provided description of the Device Configuration.
     */
    description?: string;
    /**
     * List of ManagedDeviceMobileAppConfigurationDeviceStatus.
     */
    deviceStatuses?: ManagedDeviceMobileAppConfigurationDeviceStatus[];
    /**
     * App configuration device status summary.
     */
    deviceStatusSummary?: ManagedDeviceMobileAppConfigurationDeviceSummary;
    /**
     * Admin provided name of the device configuration.
     */
    displayName?: string;
    /**
     * DateTime the object was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * the associated app.
     */
    targetedMobileApps?: string[];
    /**
     * List of ManagedDeviceMobileAppConfigurationUserStatus.
     */
    userStatuses?: ManagedDeviceMobileAppConfigurationUserStatus[];
    /**
     * App configuration user status summary.
     */
    userStatusSummary?: ManagedDeviceMobileAppConfigurationUserSummary;
    /**
     * Version of the device configuration.
     */
    version?: number;
}
export declare function serializeManagedDeviceMobileAppConfiguration(writer: SerializationWriter, managedDeviceMobileAppConfiguration?: ManagedDeviceMobileAppConfiguration | undefined): void;
