import { type DeviceExchangeAccessStateSummary } from './deviceExchangeAccessStateSummary';
import { type DeviceOperatingSystemSummary } from './deviceOperatingSystemSummary';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedDeviceOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedDeviceOverview;
export declare function deserializeIntoManagedDeviceOverview(managedDeviceOverview?: ManagedDeviceOverview | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedDeviceOverview extends Entity, Parsable {
    /**
     * Distribution of Exchange Access State in Intune
     */
    deviceExchangeAccessStateSummary?: DeviceExchangeAccessStateSummary;
    /**
     * Device operating system summary.
     */
    deviceOperatingSystemSummary?: DeviceOperatingSystemSummary;
    /**
     * The number of devices enrolled in both MDM and EAS
     */
    dualEnrolledDeviceCount?: number;
    /**
     * Total enrolled device count. Does not include PC devices managed via Intune PC Agent
     */
    enrolledDeviceCount?: number;
    /**
     * The number of devices enrolled in MDM
     */
    mdmEnrolledCount?: number;
}
export declare function serializeManagedDeviceOverview(writer: SerializationWriter, managedDeviceOverview?: ManagedDeviceOverview | undefined): void;
