import { type DeviceInstallState } from './deviceInstallState';
import { type EBookInstallSummary } from './eBookInstallSummary';
import { type Entity } from './entity';
import { deserializeIntoIosVppEBook } from './iosVppEBook';
import { type ManagedEBookAssignment } from './managedEBookAssignment';
import { type MimeContent } from './mimeContent';
import { type UserInstallStateSummary } from './userInstallStateSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedEBookFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppEBook;
export declare function deserializeIntoManagedEBook(managedEBook?: ManagedEBook | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedEBook extends Entity, Parsable {
    /**
     * The list of assignments for this eBook.
     */
    assignments?: ManagedEBookAssignment[];
    /**
     * The date and time when the eBook file was created.
     */
    createdDateTime?: Date;
    /**
     * Description.
     */
    description?: string;
    /**
     * The list of installation states for this eBook.
     */
    deviceStates?: DeviceInstallState[];
    /**
     * Name of the eBook.
     */
    displayName?: string;
    /**
     * The more information Url.
     */
    informationUrl?: string;
    /**
     * Mobile App Install Summary.
     */
    installSummary?: EBookInstallSummary;
    /**
     * Book cover.
     */
    largeCover?: MimeContent;
    /**
     * The date and time when the eBook was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The privacy statement Url.
     */
    privacyInformationUrl?: string;
    /**
     * The date and time when the eBook was published.
     */
    publishedDateTime?: Date;
    /**
     * Publisher.
     */
    publisher?: string;
    /**
     * The list of installation states for this eBook.
     */
    userStateSummary?: UserInstallStateSummary[];
}
export declare function serializeManagedEBook(writer: SerializationWriter, managedEBook?: ManagedEBook | undefined): void;
