"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedEBook = exports.deserializeIntoManagedEBook = exports.createManagedEBookFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceInstallState_1 = require("./deviceInstallState");
const eBookInstallSummary_1 = require("./eBookInstallSummary");
const entity_1 = require("./entity");
const iosVppEBook_1 = require("./iosVppEBook");
const managedEBookAssignment_1 = require("./managedEBookAssignment");
const mimeContent_1 = require("./mimeContent");
const userInstallStateSummary_1 = require("./userInstallStateSummary");
function createManagedEBookFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.iosVppEBook":
                    return iosVppEBook_1.deserializeIntoIosVppEBook;
            }
        }
    }
    return deserializeIntoManagedEBook;
}
exports.createManagedEBookFromDiscriminatorValue = createManagedEBookFromDiscriminatorValue;
function deserializeIntoManagedEBook(managedEBook = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(managedEBook)), { "assignments": n => { managedEBook.assignments = n.getCollectionOfObjectValues(managedEBookAssignment_1.createManagedEBookAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { managedEBook.createdDateTime = n.getDateValue(); }, "description": n => { managedEBook.description = n.getStringValue(); }, "deviceStates": n => { managedEBook.deviceStates = n.getCollectionOfObjectValues(deviceInstallState_1.createDeviceInstallStateFromDiscriminatorValue); }, "displayName": n => { managedEBook.displayName = n.getStringValue(); }, "informationUrl": n => { managedEBook.informationUrl = n.getStringValue(); }, "installSummary": n => { managedEBook.installSummary = n.getObjectValue(eBookInstallSummary_1.createEBookInstallSummaryFromDiscriminatorValue); }, "largeCover": n => { managedEBook.largeCover = n.getObjectValue(mimeContent_1.createMimeContentFromDiscriminatorValue); }, "lastModifiedDateTime": n => { managedEBook.lastModifiedDateTime = n.getDateValue(); }, "privacyInformationUrl": n => { managedEBook.privacyInformationUrl = n.getStringValue(); }, "publishedDateTime": n => { managedEBook.publishedDateTime = n.getDateValue(); }, "publisher": n => { managedEBook.publisher = n.getStringValue(); }, "userStateSummary": n => { managedEBook.userStateSummary = n.getCollectionOfObjectValues(userInstallStateSummary_1.createUserInstallStateSummaryFromDiscriminatorValue); } });
}
exports.deserializeIntoManagedEBook = deserializeIntoManagedEBook;
function serializeManagedEBook(writer, managedEBook = {}) {
    (0, entity_1.serializeEntity)(writer, managedEBook);
    writer.writeCollectionOfObjectValues("assignments", managedEBook.assignments, managedEBookAssignment_1.serializeManagedEBookAssignment);
    writer.writeDateValue("createdDateTime", managedEBook.createdDateTime);
    writer.writeStringValue("description", managedEBook.description);
    writer.writeCollectionOfObjectValues("deviceStates", managedEBook.deviceStates, deviceInstallState_1.serializeDeviceInstallState);
    writer.writeStringValue("displayName", managedEBook.displayName);
    writer.writeStringValue("informationUrl", managedEBook.informationUrl);
    writer.writeObjectValue("installSummary", managedEBook.installSummary, eBookInstallSummary_1.serializeEBookInstallSummary);
    writer.writeObjectValue("largeCover", managedEBook.largeCover, mimeContent_1.serializeMimeContent);
    writer.writeDateValue("lastModifiedDateTime", managedEBook.lastModifiedDateTime);
    writer.writeStringValue("privacyInformationUrl", managedEBook.privacyInformationUrl);
    writer.writeDateValue("publishedDateTime", managedEBook.publishedDateTime);
    writer.writeStringValue("publisher", managedEBook.publisher);
    writer.writeCollectionOfObjectValues("userStateSummary", managedEBook.userStateSummary, userInstallStateSummary_1.serializeUserInstallStateSummary);
}
exports.serializeManagedEBook = serializeManagedEBook;
// tslint:enable
// eslint-enable
