import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { InstallIntent } from './installIntent';
import { deserializeIntoIosVppEBookAssignment } from './iosVppEBookAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedEBookAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppEBookAssignment;
export declare function deserializeIntoManagedEBookAssignment(managedEBookAssignment?: ManagedEBookAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedEBookAssignment extends Entity, Parsable {
    /**
     * Possible values for the install intent chosen by the admin.
     */
    installIntent?: InstallIntent;
    /**
     * The assignment target for eBook.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeManagedEBookAssignment(writer: SerializationWriter, managedEBookAssignment?: ManagedEBookAssignment | undefined): void;
