import { type IosDeviceType } from './iosDeviceType';
import { type IosMinimumOperatingSystem } from './iosMinimumOperatingSystem';
import { type ManagedMobileLobApp } from './managedMobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedIOSLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedIOSLobApp;
export declare function deserializeIntoManagedIOSLobApp(managedIOSLobApp?: ManagedIOSLobApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedIOSLobApp extends ManagedMobileLobApp, Parsable {
    /**
     * Contains properties of the possible iOS device types the mobile app can run on.
     */
    applicableDeviceType?: IosDeviceType;
    /**
     * The build number of managed iOS Line of Business (LoB) app.
     */
    buildNumber?: string;
    /**
     * The Identity Name.
     */
    bundleId?: string;
    /**
     * The expiration time.
     */
    expirationDateTime?: Date;
    /**
     * The value for the minimum applicable operating system.
     */
    minimumSupportedOperatingSystem?: IosMinimumOperatingSystem;
    /**
     * The version number of managed iOS Line of Business (LoB) app.
     */
    versionNumber?: string;
}
export declare function serializeManagedIOSLobApp(writer: SerializationWriter, managedIOSLobApp?: ManagedIOSLobApp | undefined): void;
