import { type IosDeviceType } from './iosDeviceType';
import { type IosMinimumOperatingSystem } from './iosMinimumOperatingSystem';
import { type ManagedApp } from './managedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedIOSStoreAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedIOSStoreApp;
export declare function deserializeIntoManagedIOSStoreApp(managedIOSStoreApp?: ManagedIOSStoreApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedIOSStoreApp extends ManagedApp, Parsable {
    /**
     * Contains properties of the possible iOS device types the mobile app can run on.
     */
    applicableDeviceType?: IosDeviceType;
    /**
     * The Apple AppStoreUrl.
     */
    appStoreUrl?: string;
    /**
     * The app's Bundle ID.
     */
    bundleId?: string;
    /**
     * Contains properties of the minimum operating system required for an iOS mobile app.
     */
    minimumSupportedOperatingSystem?: IosMinimumOperatingSystem;
}
export declare function serializeManagedIOSStoreApp(writer: SerializationWriter, managedIOSStoreApp?: ManagedIOSStoreApp | undefined): void;
