import { type Entity } from './entity';
import { type MobileAppIdentifier } from './mobileAppIdentifier';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedMobileAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedMobileApp;
export declare function deserializeIntoManagedMobileApp(managedMobileApp?: ManagedMobileApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedMobileApp extends Entity, Parsable {
    /**
     * The identifier for an app with it's operating system type.
     */
    mobileAppIdentifier?: MobileAppIdentifier;
    /**
     * Version of the entity.
     */
    version?: string;
}
export declare function serializeManagedMobileApp(writer: SerializationWriter, managedMobileApp?: ManagedMobileApp | undefined): void;
