import { deserializeIntoManagedAndroidLobApp } from './managedAndroidLobApp';
import { type ManagedApp } from './managedApp';
import { deserializeIntoManagedIOSLobApp } from './managedIOSLobApp';
import { type MobileAppContent } from './mobileAppContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedMobileLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAndroidLobApp | typeof deserializeIntoManagedIOSLobApp;
export declare function deserializeIntoManagedMobileLobApp(managedMobileLobApp?: ManagedMobileLobApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedMobileLobApp extends ManagedApp, Parsable {
    /**
     * The internal committed content version.
     */
    committedContentVersion?: string;
    /**
     * The list of content versions for this app.
     */
    contentVersions?: MobileAppContent[];
    /**
     * The name of the main Lob application file.
     */
    fileName?: string;
    /**
     * The total size, including all uploaded files.
     */
    size?: number;
}
export declare function serializeManagedMobileLobApp(writer: SerializationWriter, managedMobileLobApp?: ManagedMobileLobApp | undefined): void;
