"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedMobileLobApp = exports.deserializeIntoManagedMobileLobApp = exports.createManagedMobileLobAppFromDiscriminatorValue = void 0;
const managedAndroidLobApp_1 = require("./managedAndroidLobApp");
const managedApp_1 = require("./managedApp");
const managedIOSLobApp_1 = require("./managedIOSLobApp");
const mobileAppContent_1 = require("./mobileAppContent");
function createManagedMobileLobAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.managedAndroidLobApp":
                    return managedAndroidLobApp_1.deserializeIntoManagedAndroidLobApp;
                case "#microsoft.graph.managedIOSLobApp":
                    return managedIOSLobApp_1.deserializeIntoManagedIOSLobApp;
            }
        }
    }
    return deserializeIntoManagedMobileLobApp;
}
exports.createManagedMobileLobAppFromDiscriminatorValue = createManagedMobileLobAppFromDiscriminatorValue;
function deserializeIntoManagedMobileLobApp(managedMobileLobApp = {}) {
    return Object.assign(Object.assign({}, (0, managedApp_1.deserializeIntoManagedApp)(managedMobileLobApp)), { "committedContentVersion": n => { managedMobileLobApp.committedContentVersion = n.getStringValue(); }, "contentVersions": n => { managedMobileLobApp.contentVersions = n.getCollectionOfObjectValues(mobileAppContent_1.createMobileAppContentFromDiscriminatorValue); }, "fileName": n => { managedMobileLobApp.fileName = n.getStringValue(); }, "size": n => { managedMobileLobApp.size = n.getNumberValue(); } });
}
exports.deserializeIntoManagedMobileLobApp = deserializeIntoManagedMobileLobApp;
function serializeManagedMobileLobApp(writer, managedMobileLobApp = {}) {
    (0, managedApp_1.serializeManagedApp)(writer, managedMobileLobApp);
    writer.writeStringValue("committedContentVersion", managedMobileLobApp.committedContentVersion);
    writer.writeCollectionOfObjectValues("contentVersions", managedMobileLobApp.contentVersions, mobileAppContent_1.serializeMobileAppContent);
    writer.writeStringValue("fileName", managedMobileLobApp.fileName);
    writer.writeNumberValue("size", managedMobileLobApp.size);
}
exports.serializeManagedMobileLobApp = serializeManagedMobileLobApp;
// tslint:enable
// eslint-enable
