"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagementAgentType = void 0;
var ManagementAgentType;
(function (ManagementAgentType) {
    /** The device is managed by Exchange server. */
    ManagementAgentType["Eas"] = "eas";
    /** The device is managed by Intune MDM. */
    ManagementAgentType["Mdm"] = "mdm";
    /** The device is managed by both Exchange server and Intune MDM. */
    ManagementAgentType["EasMdm"] = "easMdm";
    /** Intune client managed. */
    ManagementAgentType["IntuneClient"] = "intuneClient";
    /** The device is EAS and Intune client dual managed. */
    ManagementAgentType["EasIntuneClient"] = "easIntuneClient";
    /** The device is managed by Configuration Manager. */
    ManagementAgentType["ConfigurationManagerClient"] = "configurationManagerClient";
    /** The device is managed by Configuration Manager and MDM. */
    ManagementAgentType["ConfigurationManagerClientMdm"] = "configurationManagerClientMdm";
    /** The device is managed by Configuration Manager, MDM and Eas. */
    ManagementAgentType["ConfigurationManagerClientMdmEas"] = "configurationManagerClientMdmEas";
    /** Unknown management agent type. */
    ManagementAgentType["Unknown"] = "unknown";
    /** The device attributes are fetched from Jamf. */
    ManagementAgentType["Jamf"] = "jamf";
    /** The device is managed by Google's CloudDPC. */
    ManagementAgentType["GoogleCloudDevicePolicyController"] = "googleCloudDevicePolicyController";
    /** This device is managed by Microsoft 365 through Intune. */
    ManagementAgentType["Microsoft365ManagedMdm"] = "microsoft365ManagedMdm";
    ManagementAgentType["MsSense"] = "msSense";
})(ManagementAgentType || (exports.ManagementAgentType = ManagementAgentType = {}));
// tslint:enable
// eslint-enable
