"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMediaConfig = exports.deserializeIntoMediaConfig = exports.createMediaConfigFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const appHostedMediaConfig_1 = require("./appHostedMediaConfig");
const serviceHostedMediaConfig_1 = require("./serviceHostedMediaConfig");
function createMediaConfigFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.appHostedMediaConfig":
                    return appHostedMediaConfig_1.deserializeIntoAppHostedMediaConfig;
                case "#microsoft.graph.serviceHostedMediaConfig":
                    return serviceHostedMediaConfig_1.deserializeIntoServiceHostedMediaConfig;
            }
        }
    }
    return deserializeIntoMediaConfig;
}
exports.createMediaConfigFromDiscriminatorValue = createMediaConfigFromDiscriminatorValue;
function deserializeIntoMediaConfig(mediaConfig = {}) {
    return {
        "@odata.type": n => { mediaConfig.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMediaConfig = deserializeIntoMediaConfig;
function serializeMediaConfig(writer, mediaConfig = {}) {
    writer.writeStringValue("@odata.type", mediaConfig.odataType);
    writer.writeAdditionalData(mediaConfig.additionalData);
}
exports.serializeMediaConfig = serializeMediaConfig;
// tslint:enable
// eslint-enable
