import { RatingAustraliaMoviesType } from './ratingAustraliaMoviesType';
import { RatingAustraliaTelevisionType } from './ratingAustraliaTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingAustraliaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingAustralia;
export declare function deserializeIntoMediaContentRatingAustralia(mediaContentRatingAustralia?: MediaContentRatingAustralia | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingAustralia extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in Australia
     */
    movieRating?: RatingAustraliaMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in Australia
     */
    tvRating?: RatingAustraliaTelevisionType;
}
export declare function serializeMediaContentRatingAustralia(writer: SerializationWriter, mediaContentRatingAustralia?: MediaContentRatingAustralia | undefined): void;
