import { RatingCanadaMoviesType } from './ratingCanadaMoviesType';
import { RatingCanadaTelevisionType } from './ratingCanadaTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingCanadaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingCanada;
export declare function deserializeIntoMediaContentRatingCanada(mediaContentRatingCanada?: MediaContentRatingCanada | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingCanada extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in Canada
     */
    movieRating?: RatingCanadaMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in Canada
     */
    tvRating?: RatingCanadaTelevisionType;
}
export declare function serializeMediaContentRatingCanada(writer: SerializationWriter, mediaContentRatingCanada?: MediaContentRatingCanada | undefined): void;
