import { RatingFranceMoviesType } from './ratingFranceMoviesType';
import { RatingFranceTelevisionType } from './ratingFranceTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingFranceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingFrance;
export declare function deserializeIntoMediaContentRatingFrance(mediaContentRatingFrance?: MediaContentRatingFrance | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingFrance extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in France
     */
    movieRating?: RatingFranceMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in France
     */
    tvRating?: RatingFranceTelevisionType;
}
export declare function serializeMediaContentRatingFrance(writer: SerializationWriter, mediaContentRatingFrance?: MediaContentRatingFrance | undefined): void;
