import { RatingGermanyMoviesType } from './ratingGermanyMoviesType';
import { RatingGermanyTelevisionType } from './ratingGermanyTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingGermanyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingGermany;
export declare function deserializeIntoMediaContentRatingGermany(mediaContentRatingGermany?: MediaContentRatingGermany | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingGermany extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in Germany
     */
    movieRating?: RatingGermanyMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in Germany
     */
    tvRating?: RatingGermanyTelevisionType;
}
export declare function serializeMediaContentRatingGermany(writer: SerializationWriter, mediaContentRatingGermany?: MediaContentRatingGermany | undefined): void;
