import { RatingIrelandMoviesType } from './ratingIrelandMoviesType';
import { RatingIrelandTelevisionType } from './ratingIrelandTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingIrelandFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingIreland;
export declare function deserializeIntoMediaContentRatingIreland(mediaContentRatingIreland?: MediaContentRatingIreland | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingIreland extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in Ireland
     */
    movieRating?: RatingIrelandMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in Ireland
     */
    tvRating?: RatingIrelandTelevisionType;
}
export declare function serializeMediaContentRatingIreland(writer: SerializationWriter, mediaContentRatingIreland?: MediaContentRatingIreland | undefined): void;
