import { RatingJapanMoviesType } from './ratingJapanMoviesType';
import { RatingJapanTelevisionType } from './ratingJapanTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingJapanFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingJapan;
export declare function deserializeIntoMediaContentRatingJapan(mediaContentRatingJapan?: MediaContentRatingJapan | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingJapan extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in Japan
     */
    movieRating?: RatingJapanMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in Japan
     */
    tvRating?: RatingJapanTelevisionType;
}
export declare function serializeMediaContentRatingJapan(writer: SerializationWriter, mediaContentRatingJapan?: MediaContentRatingJapan | undefined): void;
