import { RatingNewZealandMoviesType } from './ratingNewZealandMoviesType';
import { RatingNewZealandTelevisionType } from './ratingNewZealandTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingNewZealandFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingNewZealand;
export declare function deserializeIntoMediaContentRatingNewZealand(mediaContentRatingNewZealand?: MediaContentRatingNewZealand | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingNewZealand extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in New Zealand
     */
    movieRating?: RatingNewZealandMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in New Zealand
     */
    tvRating?: RatingNewZealandTelevisionType;
}
export declare function serializeMediaContentRatingNewZealand(writer: SerializationWriter, mediaContentRatingNewZealand?: MediaContentRatingNewZealand | undefined): void;
