import { RatingUnitedKingdomMoviesType } from './ratingUnitedKingdomMoviesType';
import { RatingUnitedKingdomTelevisionType } from './ratingUnitedKingdomTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingUnitedKingdomFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingUnitedKingdom;
export declare function deserializeIntoMediaContentRatingUnitedKingdom(mediaContentRatingUnitedKingdom?: MediaContentRatingUnitedKingdom | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingUnitedKingdom extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in United Kingdom
     */
    movieRating?: RatingUnitedKingdomMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in United Kingdom
     */
    tvRating?: RatingUnitedKingdomTelevisionType;
}
export declare function serializeMediaContentRatingUnitedKingdom(writer: SerializationWriter, mediaContentRatingUnitedKingdom?: MediaContentRatingUnitedKingdom | undefined): void;
