import { RatingUnitedStatesMoviesType } from './ratingUnitedStatesMoviesType';
import { RatingUnitedStatesTelevisionType } from './ratingUnitedStatesTelevisionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaContentRatingUnitedStatesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaContentRatingUnitedStates;
export declare function deserializeIntoMediaContentRatingUnitedStates(mediaContentRatingUnitedStates?: MediaContentRatingUnitedStates | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaContentRatingUnitedStates extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Movies rating labels in United States
     */
    movieRating?: RatingUnitedStatesMoviesType;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * TV content rating labels in United States
     */
    tvRating?: RatingUnitedStatesTelevisionType;
}
export declare function serializeMediaContentRatingUnitedStates(writer: SerializationWriter, mediaContentRatingUnitedStates?: MediaContentRatingUnitedStates | undefined): void;
