import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaInfo;
export declare function deserializeIntoMediaInfo(mediaInfo?: MediaInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Optional. Used to uniquely identity the resource. If passed in, the prompt uri is against this resourceId as a key.
     */
    resourceId?: string;
    /**
     * Path to the prompt that will be played. Currently supports only Wave file (.wav) format, single-channel, 16-bit samples with a 16,000 (16 KHz) sampling rate.
     */
    uri?: string;
}
export declare function serializeMediaInfo(writer: SerializationWriter, mediaInfo?: MediaInfo | undefined): void;
