import { MediaDirection } from './mediaDirection';
import { Modality } from './modality';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaStreamFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaStream;
export declare function deserializeIntoMediaStream(mediaStream?: MediaStream | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaStream extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The direction property
     */
    direction?: MediaDirection;
    /**
     * The media stream label.
     */
    label?: string;
    /**
     * The mediaType property
     */
    mediaType?: Modality;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If the media is muted by the server.
     */
    serverMuted?: boolean;
    /**
     * The source ID.
     */
    sourceId?: string;
}
export declare function serializeMediaStream(writer: SerializationWriter, mediaStream?: MediaStream | undefined): void;
