import { type AttendanceRecord } from './attendanceRecord';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingAttendanceReportFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingAttendanceReport;
export declare function deserializeIntoMeetingAttendanceReport(meetingAttendanceReport?: MeetingAttendanceReport | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingAttendanceReport extends Entity, Parsable {
    /**
     * List of attendance records of an attendance report. Read-only.
     */
    attendanceRecords?: AttendanceRecord[];
    /**
     * UTC time when the meeting ended. Read-only.
     */
    meetingEndDateTime?: Date;
    /**
     * UTC time when the meeting started. Read-only.
     */
    meetingStartDateTime?: Date;
    /**
     * Total number of participants. Read-only.
     */
    totalParticipantCount?: number;
}
export declare function serializeMeetingAttendanceReport(writer: SerializationWriter, meetingAttendanceReport?: MeetingAttendanceReport | undefined): void;
