"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMeetingInfo = exports.deserializeIntoMeetingInfo = exports.createMeetingInfoFromDiscriminatorValue = void 0;
const joinMeetingIdMeetingInfo_1 = require("./joinMeetingIdMeetingInfo");
const organizerMeetingInfo_1 = require("./organizerMeetingInfo");
const tokenMeetingInfo_1 = require("./tokenMeetingInfo");
function createMeetingInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.joinMeetingIdMeetingInfo":
                    return joinMeetingIdMeetingInfo_1.deserializeIntoJoinMeetingIdMeetingInfo;
                case "#microsoft.graph.organizerMeetingInfo":
                    return organizerMeetingInfo_1.deserializeIntoOrganizerMeetingInfo;
                case "#microsoft.graph.tokenMeetingInfo":
                    return tokenMeetingInfo_1.deserializeIntoTokenMeetingInfo;
            }
        }
    }
    return deserializeIntoMeetingInfo;
}
exports.createMeetingInfoFromDiscriminatorValue = createMeetingInfoFromDiscriminatorValue;
function deserializeIntoMeetingInfo(meetingInfo = {}) {
    return {
        "@odata.type": n => { meetingInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMeetingInfo = deserializeIntoMeetingInfo;
function serializeMeetingInfo(writer, meetingInfo = {}) {
    writer.writeStringValue("@odata.type", meetingInfo.odataType);
    writer.writeAdditionalData(meetingInfo.additionalData);
}
exports.serializeMeetingInfo = serializeMeetingInfo;
// tslint:enable
// eslint-enable
