import { type IdentitySet } from './identitySet';
import { OnlineMeetingRole } from './onlineMeetingRole';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingParticipantInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingParticipantInfo;
export declare function deserializeIntoMeetingParticipantInfo(meetingParticipantInfo?: MeetingParticipantInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingParticipantInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Identity information of the participant.
     */
    identity?: IdentitySet;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the participant's role in the meeting.
     */
    role?: OnlineMeetingRole;
    /**
     * User principal name of the participant.
     */
    upn?: string;
}
export declare function serializeMeetingParticipantInfo(writer: SerializationWriter, meetingParticipantInfo?: MeetingParticipantInfo | undefined): void;
