import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingPolicyUpdatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingPolicyUpdatedEventMessageDetail;
export declare function deserializeIntoMeetingPolicyUpdatedEventMessageDetail(meetingPolicyUpdatedEventMessageDetail?: MeetingPolicyUpdatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingPolicyUpdatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Represents whether the meeting chat is enabled or not.
     */
    meetingChatEnabled?: boolean;
    /**
     * Unique identifier of the meeting chat.
     */
    meetingChatId?: string;
}
export declare function serializeMeetingPolicyUpdatedEventMessageDetail(writer: SerializationWriter, meetingPolicyUpdatedEventMessageDetail?: MeetingPolicyUpdatedEventMessageDetail | undefined): void;
