import { type AttendeeAvailability } from './attendeeAvailability';
import { FreeBusyStatus } from './freeBusyStatus';
import { type Location } from './location';
import { type TimeSlot } from './timeSlot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingTimeSuggestionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingTimeSuggestion;
export declare function deserializeIntoMeetingTimeSuggestion(meetingTimeSuggestion?: MeetingTimeSuggestion | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingTimeSuggestion extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * An array that shows the availability status of each attendee for this meeting suggestion.
     */
    attendeeAvailability?: AttendeeAvailability[];
    /**
     * A percentage that represents the likelhood of all the attendees attending.
     */
    confidence?: number;
    /**
     * An array that specifies the name and geographic location of each meeting location for this meeting suggestion.
     */
    locations?: Location[];
    /**
     * A time period suggested for the meeting.
     */
    meetingTimeSlot?: TimeSlot;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence.
     */
    order?: number;
    /**
     * Availability of the meeting organizer for this meeting suggestion. The possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     */
    organizerAvailability?: FreeBusyStatus;
    /**
     * Reason for suggesting the meeting time.
     */
    suggestionReason?: string;
}
export declare function serializeMeetingTimeSuggestion(writer: SerializationWriter, meetingTimeSuggestion?: MeetingTimeSuggestion | undefined): void;
