import { type MeetingTimeSuggestion } from './meetingTimeSuggestion';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingTimeSuggestionsResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingTimeSuggestionsResult;
export declare function deserializeIntoMeetingTimeSuggestionsResult(meetingTimeSuggestionsResult?: MeetingTimeSuggestionsResult | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingTimeSuggestionsResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A reason for not returning any meeting suggestions. The possible values are: attendeesUnavailable, attendeesUnavailableOrUnknown, locationsUnavailable, organizerUnavailable, or unknown. This property is an empty string if the meetingTimeSuggestions property does include any meeting suggestions.
     */
    emptySuggestionsReason?: string;
    /**
     * An array of meeting suggestions.
     */
    meetingTimeSuggestions?: MeetingTimeSuggestion[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMeetingTimeSuggestionsResult(writer: SerializationWriter, meetingTimeSuggestionsResult?: MeetingTimeSuggestionsResult | undefined): void;
