import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMembersAddedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMembersAddedEventMessageDetail;
export declare function deserializeIntoMembersAddedEventMessageDetail(membersAddedEventMessageDetail?: MembersAddedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MembersAddedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * List of members added.
     */
    members?: TeamworkUserIdentity[];
    /**
     * The timestamp that denotes how far back a conversation's history is shared with the conversation members.
     */
    visibleHistoryStartDateTime?: Date;
}
export declare function serializeMembersAddedEventMessageDetail(writer: SerializationWriter, membersAddedEventMessageDetail?: MembersAddedEventMessageDetail | undefined): void;
