import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMembersJoinedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMembersJoinedEventMessageDetail;
export declare function deserializeIntoMembersJoinedEventMessageDetail(membersJoinedEventMessageDetail?: MembersJoinedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MembersJoinedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * List of members who joined the chat.
     */
    members?: TeamworkUserIdentity[];
}
export declare function serializeMembersJoinedEventMessageDetail(writer: SerializationWriter, membersJoinedEventMessageDetail?: MembersJoinedEventMessageDetail | undefined): void;
