import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMembersLeftEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMembersLeftEventMessageDetail;
export declare function deserializeIntoMembersLeftEventMessageDetail(membersLeftEventMessageDetail?: MembersLeftEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MembersLeftEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * List of members who left the chat.
     */
    members?: TeamworkUserIdentity[];
}
export declare function serializeMembersLeftEventMessageDetail(writer: SerializationWriter, membersLeftEventMessageDetail?: MembersLeftEventMessageDetail | undefined): void;
