import { type DirectoryObject } from './directoryObject';
import { type GovernanceInsight } from './governanceInsight';
import { OutlierContainerType } from './outlierContainerType';
import { OutlierMemberType } from './outlierMemberType';
import { type User } from './user';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMembershipOutlierInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMembershipOutlierInsight;
export declare function deserializeIntoMembershipOutlierInsight(membershipOutlierInsight?: MembershipOutlierInsight | undefined): Record<string, (node: ParseNode) => void>;
export interface MembershipOutlierInsight extends GovernanceInsight, Parsable {
    /**
     * Navigation link to the container directory object. For example, to a group.
     */
    container?: DirectoryObject;
    /**
     * Indicates the identifier of the container, for example, a group ID.
     */
    containerId?: string;
    /**
     * Navigation link to a member object who modified the record. For example, to a user.
     */
    lastModifiedBy?: User;
    /**
     * Navigation link to a member object. For example, to a user.
     */
    member?: DirectoryObject;
    /**
     * Indicates the identifier of the user.
     */
    memberId?: string;
    /**
     * The outlierContainerType property
     */
    outlierContainerType?: OutlierContainerType;
    /**
     * The outlierMemberType property
     */
    outlierMemberType?: OutlierMemberType;
}
export declare function serializeMembershipOutlierInsight(writer: SerializationWriter, membershipOutlierInsight?: MembershipOutlierInsight | undefined): void;
