"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMessage = exports.deserializeIntoMessage = exports.createMessageFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attachment_1 = require("./attachment");
const calendarSharingMessage_1 = require("./calendarSharingMessage");
const eventMessage_1 = require("./eventMessage");
const eventMessageRequest_1 = require("./eventMessageRequest");
const eventMessageResponse_1 = require("./eventMessageResponse");
const extension_1 = require("./extension");
const followupFlag_1 = require("./followupFlag");
const importance_1 = require("./importance");
const inferenceClassificationType_1 = require("./inferenceClassificationType");
const internetMessageHeader_1 = require("./internetMessageHeader");
const itemBody_1 = require("./itemBody");
const multiValueLegacyExtendedProperty_1 = require("./multiValueLegacyExtendedProperty");
const outlookItem_1 = require("./outlookItem");
const recipient_1 = require("./recipient");
const singleValueLegacyExtendedProperty_1 = require("./singleValueLegacyExtendedProperty");
function createMessageFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.calendarSharingMessage":
                    return calendarSharingMessage_1.deserializeIntoCalendarSharingMessage;
                case "#microsoft.graph.eventMessage":
                    return eventMessage_1.deserializeIntoEventMessage;
                case "#microsoft.graph.eventMessageRequest":
                    return eventMessageRequest_1.deserializeIntoEventMessageRequest;
                case "#microsoft.graph.eventMessageResponse":
                    return eventMessageResponse_1.deserializeIntoEventMessageResponse;
            }
        }
    }
    return deserializeIntoMessage;
}
exports.createMessageFromDiscriminatorValue = createMessageFromDiscriminatorValue;
function deserializeIntoMessage(message = {}) {
    return Object.assign(Object.assign({}, (0, outlookItem_1.deserializeIntoOutlookItem)(message)), { "attachments": n => { message.attachments = n.getCollectionOfObjectValues(attachment_1.createAttachmentFromDiscriminatorValue); }, "bccRecipients": n => { message.bccRecipients = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); }, "body": n => { message.body = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "bodyPreview": n => { message.bodyPreview = n.getStringValue(); }, "ccRecipients": n => { message.ccRecipients = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); }, "conversationId": n => { message.conversationId = n.getStringValue(); }, "conversationIndex": n => { message.conversationIndex = n.getStringValue(); }, "extensions": n => { message.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "flag": n => { message.flag = n.getObjectValue(followupFlag_1.createFollowupFlagFromDiscriminatorValue); }, "from": n => { message.from = n.getObjectValue(recipient_1.createRecipientFromDiscriminatorValue); }, "hasAttachments": n => { message.hasAttachments = n.getBooleanValue(); }, "importance": n => { message.importance = n.getEnumValue(importance_1.Importance); }, "inferenceClassification": n => { message.inferenceClassification = n.getEnumValue(inferenceClassificationType_1.InferenceClassificationType); }, "internetMessageHeaders": n => { message.internetMessageHeaders = n.getCollectionOfObjectValues(internetMessageHeader_1.createInternetMessageHeaderFromDiscriminatorValue); }, "internetMessageId": n => { message.internetMessageId = n.getStringValue(); }, "isDeliveryReceiptRequested": n => { message.isDeliveryReceiptRequested = n.getBooleanValue(); }, "isDraft": n => { message.isDraft = n.getBooleanValue(); }, "isRead": n => { message.isRead = n.getBooleanValue(); }, "isReadReceiptRequested": n => { message.isReadReceiptRequested = n.getBooleanValue(); }, "multiValueExtendedProperties": n => { message.multiValueExtendedProperties = n.getCollectionOfObjectValues(multiValueLegacyExtendedProperty_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "parentFolderId": n => { message.parentFolderId = n.getStringValue(); }, "receivedDateTime": n => { message.receivedDateTime = n.getDateValue(); }, "replyTo": n => { message.replyTo = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); }, "sender": n => { message.sender = n.getObjectValue(recipient_1.createRecipientFromDiscriminatorValue); }, "sentDateTime": n => { message.sentDateTime = n.getDateValue(); }, "singleValueExtendedProperties": n => { message.singleValueExtendedProperties = n.getCollectionOfObjectValues(singleValueLegacyExtendedProperty_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "subject": n => { message.subject = n.getStringValue(); }, "toRecipients": n => { message.toRecipients = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); }, "uniqueBody": n => { message.uniqueBody = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "webLink": n => { message.webLink = n.getStringValue(); } });
}
exports.deserializeIntoMessage = deserializeIntoMessage;
function serializeMessage(writer, message = {}) {
    (0, outlookItem_1.serializeOutlookItem)(writer, message);
    writer.writeCollectionOfObjectValues("attachments", message.attachments, attachment_1.serializeAttachment);
    writer.writeCollectionOfObjectValues("bccRecipients", message.bccRecipients, recipient_1.serializeRecipient);
    writer.writeObjectValue("body", message.body, itemBody_1.serializeItemBody);
    writer.writeStringValue("bodyPreview", message.bodyPreview);
    writer.writeCollectionOfObjectValues("ccRecipients", message.ccRecipients, recipient_1.serializeRecipient);
    writer.writeStringValue("conversationId", message.conversationId);
    writer.writeStringValue("conversationIndex", message.conversationIndex);
    writer.writeCollectionOfObjectValues("extensions", message.extensions, extension_1.serializeExtension);
    writer.writeObjectValue("flag", message.flag, followupFlag_1.serializeFollowupFlag);
    writer.writeObjectValue("from", message.from, recipient_1.serializeRecipient);
    writer.writeBooleanValue("hasAttachments", message.hasAttachments);
    writer.writeEnumValue("importance", message.importance);
    writer.writeEnumValue("inferenceClassification", message.inferenceClassification);
    writer.writeCollectionOfObjectValues("internetMessageHeaders", message.internetMessageHeaders, internetMessageHeader_1.serializeInternetMessageHeader);
    writer.writeStringValue("internetMessageId", message.internetMessageId);
    writer.writeBooleanValue("isDeliveryReceiptRequested", message.isDeliveryReceiptRequested);
    writer.writeBooleanValue("isDraft", message.isDraft);
    writer.writeBooleanValue("isRead", message.isRead);
    writer.writeBooleanValue("isReadReceiptRequested", message.isReadReceiptRequested);
    writer.writeCollectionOfObjectValues("multiValueExtendedProperties", message.multiValueExtendedProperties, multiValueLegacyExtendedProperty_1.serializeMultiValueLegacyExtendedProperty);
    writer.writeStringValue("parentFolderId", message.parentFolderId);
    writer.writeDateValue("receivedDateTime", message.receivedDateTime);
    writer.writeCollectionOfObjectValues("replyTo", message.replyTo, recipient_1.serializeRecipient);
    writer.writeObjectValue("sender", message.sender, recipient_1.serializeRecipient);
    writer.writeDateValue("sentDateTime", message.sentDateTime);
    writer.writeCollectionOfObjectValues("singleValueExtendedProperties", message.singleValueExtendedProperties, singleValueLegacyExtendedProperty_1.serializeSingleValueLegacyExtendedProperty);
    writer.writeStringValue("subject", message.subject);
    writer.writeCollectionOfObjectValues("toRecipients", message.toRecipients, recipient_1.serializeRecipient);
    writer.writeObjectValue("uniqueBody", message.uniqueBody, itemBody_1.serializeItemBody);
    writer.writeStringValue("webLink", message.webLink);
}
exports.serializeMessage = serializeMessage;
// tslint:enable
// eslint-enable
