import { type Entity } from './entity';
import { type MessageRuleActions } from './messageRuleActions';
import { type MessageRulePredicates } from './messageRulePredicates';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageRule;
export declare function deserializeIntoMessageRule(messageRule?: MessageRule | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageRule extends Entity, Parsable {
    /**
     * Actions to be taken on a message when the corresponding conditions are fulfilled.
     */
    actions?: MessageRuleActions;
    /**
     * Conditions that when fulfilled, will trigger the corresponding actions for that rule.
     */
    conditions?: MessageRulePredicates;
    /**
     * The display name of the rule.
     */
    displayName?: string;
    /**
     * Exception conditions for the rule.
     */
    exceptions?: MessageRulePredicates;
    /**
     * Indicates whether the rule is in an error condition. Read-only.
     */
    hasError?: boolean;
    /**
     * Indicates whether the rule is enabled to be applied to messages.
     */
    isEnabled?: boolean;
    /**
     * Indicates if the rule is read-only and cannot be modified or deleted by the rules REST API.
     */
    isReadOnly?: boolean;
    /**
     * Indicates the order in which the rule is executed, among other rules.
     */
    sequence?: number;
}
export declare function serializeMessageRule(writer: SerializationWriter, messageRule?: MessageRule | undefined): void;
