import { Importance } from './importance';
import { type Recipient } from './recipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageRuleActionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageRuleActions;
export declare function deserializeIntoMessageRuleActions(messageRuleActions?: MessageRuleActions | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageRuleActions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A list of categories to be assigned to a message.
     */
    assignCategories?: string[];
    /**
     * The ID of a folder that a message is to be copied to.
     */
    copyToFolder?: string;
    /**
     * Indicates whether a message should be moved to the Deleted Items folder.
     */
    delete?: boolean;
    /**
     * The email addresses of the recipients to which a message should be forwarded as an attachment.
     */
    forwardAsAttachmentTo?: Recipient[];
    /**
     * The email addresses of the recipients to which a message should be forwarded.
     */
    forwardTo?: Recipient[];
    /**
     * Indicates whether a message should be marked as read.
     */
    markAsRead?: boolean;
    /**
     * Sets the importance of the message, which can be: low, normal, high.
     */
    markImportance?: Importance;
    /**
     * The ID of the folder that a message will be moved to.
     */
    moveToFolder?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates whether a message should be permanently deleted and not saved to the Deleted Items folder.
     */
    permanentDelete?: boolean;
    /**
     * The email addresses to which a message should be redirected.
     */
    redirectTo?: Recipient[];
    /**
     * Indicates whether subsequent rules should be evaluated.
     */
    stopProcessingRules?: boolean;
}
export declare function serializeMessageRuleActions(writer: SerializationWriter, messageRuleActions?: MessageRuleActions | undefined): void;
