"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMessageRulePredicates = exports.deserializeIntoMessageRulePredicates = exports.createMessageRulePredicatesFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const importance_1 = require("./importance");
const messageActionFlag_1 = require("./messageActionFlag");
const recipient_1 = require("./recipient");
const sensitivity_1 = require("./sensitivity");
const sizeRange_1 = require("./sizeRange");
function createMessageRulePredicatesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMessageRulePredicates;
}
exports.createMessageRulePredicatesFromDiscriminatorValue = createMessageRulePredicatesFromDiscriminatorValue;
function deserializeIntoMessageRulePredicates(messageRulePredicates = {}) {
    return {
        "bodyContains": n => { messageRulePredicates.bodyContains = n.getCollectionOfPrimitiveValues(); },
        "bodyOrSubjectContains": n => { messageRulePredicates.bodyOrSubjectContains = n.getCollectionOfPrimitiveValues(); },
        "categories": n => { messageRulePredicates.categories = n.getCollectionOfPrimitiveValues(); },
        "fromAddresses": n => { messageRulePredicates.fromAddresses = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); },
        "hasAttachments": n => { messageRulePredicates.hasAttachments = n.getBooleanValue(); },
        "headerContains": n => { messageRulePredicates.headerContains = n.getCollectionOfPrimitiveValues(); },
        "importance": n => { messageRulePredicates.importance = n.getEnumValue(importance_1.Importance); },
        "isApprovalRequest": n => { messageRulePredicates.isApprovalRequest = n.getBooleanValue(); },
        "isAutomaticForward": n => { messageRulePredicates.isAutomaticForward = n.getBooleanValue(); },
        "isAutomaticReply": n => { messageRulePredicates.isAutomaticReply = n.getBooleanValue(); },
        "isEncrypted": n => { messageRulePredicates.isEncrypted = n.getBooleanValue(); },
        "isMeetingRequest": n => { messageRulePredicates.isMeetingRequest = n.getBooleanValue(); },
        "isMeetingResponse": n => { messageRulePredicates.isMeetingResponse = n.getBooleanValue(); },
        "isNonDeliveryReport": n => { messageRulePredicates.isNonDeliveryReport = n.getBooleanValue(); },
        "isPermissionControlled": n => { messageRulePredicates.isPermissionControlled = n.getBooleanValue(); },
        "isReadReceipt": n => { messageRulePredicates.isReadReceipt = n.getBooleanValue(); },
        "isSigned": n => { messageRulePredicates.isSigned = n.getBooleanValue(); },
        "isVoicemail": n => { messageRulePredicates.isVoicemail = n.getBooleanValue(); },
        "messageActionFlag": n => { messageRulePredicates.messageActionFlag = n.getEnumValue(messageActionFlag_1.MessageActionFlag); },
        "notSentToMe": n => { messageRulePredicates.notSentToMe = n.getBooleanValue(); },
        "@odata.type": n => { messageRulePredicates.odataType = n.getStringValue(); },
        "recipientContains": n => { messageRulePredicates.recipientContains = n.getCollectionOfPrimitiveValues(); },
        "senderContains": n => { messageRulePredicates.senderContains = n.getCollectionOfPrimitiveValues(); },
        "sensitivity": n => { messageRulePredicates.sensitivity = n.getEnumValue(sensitivity_1.Sensitivity); },
        "sentCcMe": n => { messageRulePredicates.sentCcMe = n.getBooleanValue(); },
        "sentOnlyToMe": n => { messageRulePredicates.sentOnlyToMe = n.getBooleanValue(); },
        "sentToAddresses": n => { messageRulePredicates.sentToAddresses = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); },
        "sentToMe": n => { messageRulePredicates.sentToMe = n.getBooleanValue(); },
        "sentToOrCcMe": n => { messageRulePredicates.sentToOrCcMe = n.getBooleanValue(); },
        "subjectContains": n => { messageRulePredicates.subjectContains = n.getCollectionOfPrimitiveValues(); },
        "withinSizeRange": n => { messageRulePredicates.withinSizeRange = n.getObjectValue(sizeRange_1.createSizeRangeFromDiscriminatorValue); },
    };
}
exports.deserializeIntoMessageRulePredicates = deserializeIntoMessageRulePredicates;
function serializeMessageRulePredicates(writer, messageRulePredicates = {}) {
    writer.writeCollectionOfPrimitiveValues("bodyContains", messageRulePredicates.bodyContains);
    writer.writeCollectionOfPrimitiveValues("bodyOrSubjectContains", messageRulePredicates.bodyOrSubjectContains);
    writer.writeCollectionOfPrimitiveValues("categories", messageRulePredicates.categories);
    writer.writeCollectionOfObjectValues("fromAddresses", messageRulePredicates.fromAddresses, recipient_1.serializeRecipient);
    writer.writeBooleanValue("hasAttachments", messageRulePredicates.hasAttachments);
    writer.writeCollectionOfPrimitiveValues("headerContains", messageRulePredicates.headerContains);
    writer.writeEnumValue("importance", messageRulePredicates.importance);
    writer.writeBooleanValue("isApprovalRequest", messageRulePredicates.isApprovalRequest);
    writer.writeBooleanValue("isAutomaticForward", messageRulePredicates.isAutomaticForward);
    writer.writeBooleanValue("isAutomaticReply", messageRulePredicates.isAutomaticReply);
    writer.writeBooleanValue("isEncrypted", messageRulePredicates.isEncrypted);
    writer.writeBooleanValue("isMeetingRequest", messageRulePredicates.isMeetingRequest);
    writer.writeBooleanValue("isMeetingResponse", messageRulePredicates.isMeetingResponse);
    writer.writeBooleanValue("isNonDeliveryReport", messageRulePredicates.isNonDeliveryReport);
    writer.writeBooleanValue("isPermissionControlled", messageRulePredicates.isPermissionControlled);
    writer.writeBooleanValue("isReadReceipt", messageRulePredicates.isReadReceipt);
    writer.writeBooleanValue("isSigned", messageRulePredicates.isSigned);
    writer.writeBooleanValue("isVoicemail", messageRulePredicates.isVoicemail);
    writer.writeEnumValue("messageActionFlag", messageRulePredicates.messageActionFlag);
    writer.writeBooleanValue("notSentToMe", messageRulePredicates.notSentToMe);
    writer.writeStringValue("@odata.type", messageRulePredicates.odataType);
    writer.writeCollectionOfPrimitiveValues("recipientContains", messageRulePredicates.recipientContains);
    writer.writeCollectionOfPrimitiveValues("senderContains", messageRulePredicates.senderContains);
    writer.writeEnumValue("sensitivity", messageRulePredicates.sensitivity);
    writer.writeBooleanValue("sentCcMe", messageRulePredicates.sentCcMe);
    writer.writeBooleanValue("sentOnlyToMe", messageRulePredicates.sentOnlyToMe);
    writer.writeCollectionOfObjectValues("sentToAddresses", messageRulePredicates.sentToAddresses, recipient_1.serializeRecipient);
    writer.writeBooleanValue("sentToMe", messageRulePredicates.sentToMe);
    writer.writeBooleanValue("sentToOrCcMe", messageRulePredicates.sentToOrCcMe);
    writer.writeCollectionOfPrimitiveValues("subjectContains", messageRulePredicates.subjectContains);
    writer.writeObjectValue("withinSizeRange", messageRulePredicates.withinSizeRange, sizeRange_1.serializeSizeRange);
    writer.writeAdditionalData(messageRulePredicates.additionalData);
}
exports.serializeMessageRulePredicates = serializeMessageRulePredicates;
// tslint:enable
// eslint-enable
