import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageSecurityStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageSecurityState;
export declare function deserializeIntoMessageSecurityState(messageSecurityState?: MessageSecurityState | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageSecurityState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The connectingIP property
     */
    connectingIP?: string;
    /**
     * The deliveryAction property
     */
    deliveryAction?: string;
    /**
     * The deliveryLocation property
     */
    deliveryLocation?: string;
    /**
     * The directionality property
     */
    directionality?: string;
    /**
     * The internetMessageId property
     */
    internetMessageId?: string;
    /**
     * The messageFingerprint property
     */
    messageFingerprint?: string;
    /**
     * The messageReceivedDateTime property
     */
    messageReceivedDateTime?: Date;
    /**
     * The messageSubject property
     */
    messageSubject?: string;
    /**
     * The networkMessageId property
     */
    networkMessageId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMessageSecurityState(writer: SerializationWriter, messageSecurityState?: MessageSecurityState | undefined): void;
