"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMessageSecurityState = exports.deserializeIntoMessageSecurityState = exports.createMessageSecurityStateFromDiscriminatorValue = void 0;
function createMessageSecurityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMessageSecurityState;
}
exports.createMessageSecurityStateFromDiscriminatorValue = createMessageSecurityStateFromDiscriminatorValue;
function deserializeIntoMessageSecurityState(messageSecurityState = {}) {
    return {
        "connectingIP": n => { messageSecurityState.connectingIP = n.getStringValue(); },
        "deliveryAction": n => { messageSecurityState.deliveryAction = n.getStringValue(); },
        "deliveryLocation": n => { messageSecurityState.deliveryLocation = n.getStringValue(); },
        "directionality": n => { messageSecurityState.directionality = n.getStringValue(); },
        "internetMessageId": n => { messageSecurityState.internetMessageId = n.getStringValue(); },
        "messageFingerprint": n => { messageSecurityState.messageFingerprint = n.getStringValue(); },
        "messageReceivedDateTime": n => { messageSecurityState.messageReceivedDateTime = n.getDateValue(); },
        "messageSubject": n => { messageSecurityState.messageSubject = n.getStringValue(); },
        "networkMessageId": n => { messageSecurityState.networkMessageId = n.getStringValue(); },
        "@odata.type": n => { messageSecurityState.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMessageSecurityState = deserializeIntoMessageSecurityState;
function serializeMessageSecurityState(writer, messageSecurityState = {}) {
    writer.writeStringValue("connectingIP", messageSecurityState.connectingIP);
    writer.writeStringValue("deliveryAction", messageSecurityState.deliveryAction);
    writer.writeStringValue("deliveryLocation", messageSecurityState.deliveryLocation);
    writer.writeStringValue("directionality", messageSecurityState.directionality);
    writer.writeStringValue("internetMessageId", messageSecurityState.internetMessageId);
    writer.writeStringValue("messageFingerprint", messageSecurityState.messageFingerprint);
    writer.writeDateValue("messageReceivedDateTime", messageSecurityState.messageReceivedDateTime);
    writer.writeStringValue("messageSubject", messageSecurityState.messageSubject);
    writer.writeStringValue("networkMessageId", messageSecurityState.networkMessageId);
    writer.writeStringValue("@odata.type", messageSecurityState.odataType);
    writer.writeAdditionalData(messageSecurityState.additionalData);
}
exports.serializeMessageSecurityState = serializeMessageSecurityState;
// tslint:enable
// eslint-enable
