import { type AuthenticationMethod } from './authenticationMethod';
import { type Device } from './device';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAuthenticatorAuthenticationMethodFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAuthenticatorAuthenticationMethod;
export declare function deserializeIntoMicrosoftAuthenticatorAuthenticationMethod(microsoftAuthenticatorAuthenticationMethod?: MicrosoftAuthenticatorAuthenticationMethod | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAuthenticatorAuthenticationMethod extends AuthenticationMethod, Parsable {
    /**
     * The date and time that this app was registered. This property is null if the device isn't registered for passwordless Phone Sign-In.
     */
    createdDateTime?: Date;
    /**
     * The registered device on which Microsoft Authenticator resides. This property is null if the device isn't registered for passwordless Phone Sign-In.
     */
    device?: Device;
    /**
     * Tags containing app metadata.
     */
    deviceTag?: string;
    /**
     * The name of the device on which this app is registered.
     */
    displayName?: string;
    /**
     * Numerical version of this instance of the Authenticator app.
     */
    phoneAppVersion?: string;
}
export declare function serializeMicrosoftAuthenticatorAuthenticationMethod(writer: SerializationWriter, microsoftAuthenticatorAuthenticationMethod?: MicrosoftAuthenticatorAuthenticationMethod | undefined): void;
