import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type MicrosoftAuthenticatorAuthenticationMethodTarget } from './microsoftAuthenticatorAuthenticationMethodTarget';
import { type MicrosoftAuthenticatorFeatureSettings } from './microsoftAuthenticatorFeatureSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAuthenticatorAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAuthenticatorAuthenticationMethodConfiguration;
export declare function deserializeIntoMicrosoftAuthenticatorAuthenticationMethodConfiguration(microsoftAuthenticatorAuthenticationMethodConfiguration?: MicrosoftAuthenticatorAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAuthenticatorAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * A collection of Microsoft Authenticator settings such as application context and location context, and whether they are enabled for all users or specific users only.
     */
    featureSettings?: MicrosoftAuthenticatorFeatureSettings;
    /**
     * A collection of groups that are enabled to use the authentication method. Expanded by default.
     */
    includeTargets?: MicrosoftAuthenticatorAuthenticationMethodTarget[];
    /**
     * The isSoftwareOathEnabled property
     */
    isSoftwareOathEnabled?: boolean;
}
export declare function serializeMicrosoftAuthenticatorAuthenticationMethodConfiguration(writer: SerializationWriter, microsoftAuthenticatorAuthenticationMethodConfiguration?: MicrosoftAuthenticatorAuthenticationMethodConfiguration | undefined): void;
