import { type AuthenticationMethodFeatureConfiguration } from './authenticationMethodFeatureConfiguration';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAuthenticatorFeatureSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAuthenticatorFeatureSettings;
export declare function deserializeIntoMicrosoftAuthenticatorFeatureSettings(microsoftAuthenticatorFeatureSettings?: MicrosoftAuthenticatorFeatureSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAuthenticatorFeatureSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Determines whether the user's Authenticator app shows them the client app they're signing into.
     */
    displayAppInformationRequiredState?: AuthenticationMethodFeatureConfiguration;
    /**
     * Determines whether the user's Authenticator app shows them the geographic location of where the authentication request originated from.
     */
    displayLocationInformationRequiredState?: AuthenticationMethodFeatureConfiguration;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMicrosoftAuthenticatorFeatureSettings(writer: SerializationWriter, microsoftAuthenticatorFeatureSettings?: MicrosoftAuthenticatorFeatureSettings | undefined): void;
