import { type MicrosoftTrainingAssignmentMapping } from './microsoftTrainingAssignmentMapping';
import { TrainingCompletionDuration } from './trainingCompletionDuration';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftCustomTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftCustomTrainingSetting;
export declare function deserializeIntoMicrosoftCustomTrainingSetting(microsoftCustomTrainingSetting?: MicrosoftCustomTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftCustomTrainingSetting extends Parsable, TrainingSetting {
    /**
     * The completion date and time of the training. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    completionDateTime?: Date;
    /**
     * The mapping details of the associated training.
     */
    trainingAssignmentMappings?: MicrosoftTrainingAssignmentMapping[];
    /**
     * The training completion duration that needs to be provided before scheduling the training. Possible values are: week, fortnite, month, unknownFutureValue.
     */
    trainingCompletionDuration?: TrainingCompletionDuration;
}
export declare function serializeMicrosoftCustomTrainingSetting(writer: SerializationWriter, microsoftCustomTrainingSetting?: MicrosoftCustomTrainingSetting | undefined): void;
