import { TrainingCompletionDuration } from './trainingCompletionDuration';
import { type TrainingSetting } from './trainingSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftManagedTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftManagedTrainingSetting;
export declare function deserializeIntoMicrosoftManagedTrainingSetting(microsoftManagedTrainingSetting?: MicrosoftManagedTrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftManagedTrainingSetting extends Parsable, TrainingSetting {
    /**
     * The completion date for the training. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    completionDateTime?: Date;
    /**
     * The training completion duration that needs to be provided before scheduling the training. The possible values are: week, fortnite, month, unknownFutureValue.
     */
    trainingCompletionDuration?: TrainingCompletionDuration;
}
export declare function serializeMicrosoftManagedTrainingSetting(writer: SerializationWriter, microsoftManagedTrainingSetting?: MicrosoftManagedTrainingSetting | undefined): void;
