import { MicrosoftStoreForBusinessLicenseType } from './microsoftStoreForBusinessLicenseType';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftStoreForBusinessAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftStoreForBusinessApp;
export declare function deserializeIntoMicrosoftStoreForBusinessApp(microsoftStoreForBusinessApp?: MicrosoftStoreForBusinessApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftStoreForBusinessApp extends MobileApp, Parsable {
    /**
     * The licenseType property
     */
    licenseType?: MicrosoftStoreForBusinessLicenseType;
    /**
     * The app package identifier
     */
    packageIdentityName?: string;
    /**
     * The app product key
     */
    productKey?: string;
    /**
     * The total number of Microsoft Store for Business licenses.
     */
    totalLicenseCount?: number;
    /**
     * The number of Microsoft Store for Business licenses in use.
     */
    usedLicenseCount?: number;
}
export declare function serializeMicrosoftStoreForBusinessApp(writer: SerializationWriter, microsoftStoreForBusinessApp?: MicrosoftStoreForBusinessApp | undefined): void;
