import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMimeContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMimeContent;
export declare function deserializeIntoMimeContent(mimeContent?: MimeContent | undefined): Record<string, (node: ParseNode) => void>;
export interface MimeContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the content mime type.
     */
    type?: string;
    /**
     * The byte array that contains the actual content.
     */
    value?: string;
}
export declare function serializeMimeContent(writer: SerializationWriter, mimeContent?: MimeContent | undefined): void;
