"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMimeContent = exports.deserializeIntoMimeContent = exports.createMimeContentFromDiscriminatorValue = void 0;
function createMimeContentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMimeContent;
}
exports.createMimeContentFromDiscriminatorValue = createMimeContentFromDiscriminatorValue;
function deserializeIntoMimeContent(mimeContent = {}) {
    return {
        "@odata.type": n => { mimeContent.odataType = n.getStringValue(); },
        "type": n => { mimeContent.type = n.getStringValue(); },
        "value": n => { mimeContent.value = n.getStringValue(); },
    };
}
exports.deserializeIntoMimeContent = deserializeIntoMimeContent;
function serializeMimeContent(writer, mimeContent = {}) {
    writer.writeStringValue("@odata.type", mimeContent.odataType);
    writer.writeStringValue("type", mimeContent.type);
    writer.writeStringValue("value", mimeContent.value);
    writer.writeAdditionalData(mimeContent.additionalData);
}
exports.serializeMimeContent = serializeMimeContent;
// tslint:enable
// eslint-enable
