import { deserializeIntoAndroidLobApp } from './androidLobApp';
import { deserializeIntoAndroidStoreApp } from './androidStoreApp';
import { type Entity } from './entity';
import { deserializeIntoIosiPadOSWebClip } from './iosiPadOSWebClip';
import { deserializeIntoIosLobApp } from './iosLobApp';
import { deserializeIntoIosStoreApp } from './iosStoreApp';
import { deserializeIntoIosVppApp } from './iosVppApp';
import { deserializeIntoMacOSDmgApp } from './macOSDmgApp';
import { deserializeIntoMacOSLobApp } from './macOSLobApp';
import { type MimeContent } from './mimeContent';
import { type MobileAppAssignment } from './mobileAppAssignment';
import { type MobileAppCategory } from './mobileAppCategory';
import { MobileAppPublishingState } from './mobileAppPublishingState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidLobApp | typeof deserializeIntoAndroidStoreApp | typeof deserializeIntoIosiPadOSWebClip | typeof deserializeIntoIosLobApp | typeof deserializeIntoIosStoreApp | typeof deserializeIntoIosVppApp | typeof deserializeIntoMacOSDmgApp | typeof deserializeIntoMacOSLobApp;
export declare function deserializeIntoMobileApp(mobileApp?: MobileApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileApp extends Entity, Parsable {
    /**
     * The list of group assignments for this mobile app.
     */
    assignments?: MobileAppAssignment[];
    /**
     * The list of categories for this app.
     */
    categories?: MobileAppCategory[];
    /**
     * The date and time the app was created.
     */
    createdDateTime?: Date;
    /**
     * The description of the app.
     */
    description?: string;
    /**
     * The developer of the app.
     */
    developer?: string;
    /**
     * The admin provided or imported title of the app.
     */
    displayName?: string;
    /**
     * The more information Url.
     */
    informationUrl?: string;
    /**
     * The value indicating whether the app is marked as featured by the admin.
     */
    isFeatured?: boolean;
    /**
     * The large icon, to be displayed in the app details and used for upload of the icon.
     */
    largeIcon?: MimeContent;
    /**
     * The date and time the app was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * Notes for the app.
     */
    notes?: string;
    /**
     * The owner of the app.
     */
    owner?: string;
    /**
     * The privacy statement Url.
     */
    privacyInformationUrl?: string;
    /**
     * The publisher of the app.
     */
    publisher?: string;
    /**
     * Indicates the publishing state of an app.
     */
    publishingState?: MobileAppPublishingState;
}
export declare function serializeMobileApp(writer: SerializationWriter, mobileApp?: MobileApp | undefined): void;
