import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { InstallIntent } from './installIntent';
import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppAssignment;
export declare function deserializeIntoMobileAppAssignment(mobileAppAssignment?: MobileAppAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppAssignment extends Entity, Parsable {
    /**
     * Possible values for the install intent chosen by the admin.
     */
    intent?: InstallIntent;
    /**
     * The settings for target assignment defined by the admin.
     */
    settings?: MobileAppAssignmentSettings;
    /**
     * The target group assignment defined by the admin.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeMobileAppAssignment(writer: SerializationWriter, mobileAppAssignment?: MobileAppAssignment | undefined): void;
