"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMobileAppAssignmentSettings = exports.deserializeIntoMobileAppAssignmentSettings = exports.createMobileAppAssignmentSettingsFromDiscriminatorValue = void 0;
const iosLobAppAssignmentSettings_1 = require("./iosLobAppAssignmentSettings");
const iosStoreAppAssignmentSettings_1 = require("./iosStoreAppAssignmentSettings");
const iosVppAppAssignmentSettings_1 = require("./iosVppAppAssignmentSettings");
const macOsLobAppAssignmentSettings_1 = require("./macOsLobAppAssignmentSettings");
const microsoftStoreForBusinessAppAssignmentSettings_1 = require("./microsoftStoreForBusinessAppAssignmentSettings");
const win32LobAppAssignmentSettings_1 = require("./win32LobAppAssignmentSettings");
const windowsAppXAppAssignmentSettings_1 = require("./windowsAppXAppAssignmentSettings");
const windowsUniversalAppXAppAssignmentSettings_1 = require("./windowsUniversalAppXAppAssignmentSettings");
function createMobileAppAssignmentSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.iosLobAppAssignmentSettings":
                    return iosLobAppAssignmentSettings_1.deserializeIntoIosLobAppAssignmentSettings;
                case "#microsoft.graph.iosStoreAppAssignmentSettings":
                    return iosStoreAppAssignmentSettings_1.deserializeIntoIosStoreAppAssignmentSettings;
                case "#microsoft.graph.iosVppAppAssignmentSettings":
                    return iosVppAppAssignmentSettings_1.deserializeIntoIosVppAppAssignmentSettings;
                case "#microsoft.graph.macOsLobAppAssignmentSettings":
                    return macOsLobAppAssignmentSettings_1.deserializeIntoMacOsLobAppAssignmentSettings;
                case "#microsoft.graph.microsoftStoreForBusinessAppAssignmentSettings":
                    return microsoftStoreForBusinessAppAssignmentSettings_1.deserializeIntoMicrosoftStoreForBusinessAppAssignmentSettings;
                case "#microsoft.graph.win32LobAppAssignmentSettings":
                    return win32LobAppAssignmentSettings_1.deserializeIntoWin32LobAppAssignmentSettings;
                case "#microsoft.graph.windowsAppXAppAssignmentSettings":
                    return windowsAppXAppAssignmentSettings_1.deserializeIntoWindowsAppXAppAssignmentSettings;
                case "#microsoft.graph.windowsUniversalAppXAppAssignmentSettings":
                    return windowsUniversalAppXAppAssignmentSettings_1.deserializeIntoWindowsUniversalAppXAppAssignmentSettings;
            }
        }
    }
    return deserializeIntoMobileAppAssignmentSettings;
}
exports.createMobileAppAssignmentSettingsFromDiscriminatorValue = createMobileAppAssignmentSettingsFromDiscriminatorValue;
function deserializeIntoMobileAppAssignmentSettings(mobileAppAssignmentSettings = {}) {
    return {
        "@odata.type": n => { mobileAppAssignmentSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMobileAppAssignmentSettings = deserializeIntoMobileAppAssignmentSettings;
function serializeMobileAppAssignmentSettings(writer, mobileAppAssignmentSettings = {}) {
    writer.writeStringValue("@odata.type", mobileAppAssignmentSettings.odataType);
    writer.writeAdditionalData(mobileAppAssignmentSettings.additionalData);
}
exports.serializeMobileAppAssignmentSettings = serializeMobileAppAssignmentSettings;
// tslint:enable
// eslint-enable
