import { type Entity } from './entity';
import { type MobileAppContentFile } from './mobileAppContentFile';
import { type MobileContainedApp } from './mobileContainedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppContent;
export declare function deserializeIntoMobileAppContent(mobileAppContent?: MobileAppContent | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppContent extends Entity, Parsable {
    /**
     * The collection of contained apps in a MobileLobApp acting as a package.
     */
    containedApps?: MobileContainedApp[];
    /**
     * The list of files for this app content version.
     */
    files?: MobileAppContentFile[];
}
export declare function serializeMobileAppContent(writer: SerializationWriter, mobileAppContent?: MobileAppContent | undefined): void;
