import { type Entity } from './entity';
import { MobileAppContentFileUploadState } from './mobileAppContentFileUploadState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppContentFileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppContentFile;
export declare function deserializeIntoMobileAppContentFile(mobileAppContentFile?: MobileAppContentFile | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppContentFile extends Entity, Parsable {
    /**
     * The Azure Storage URI.
     */
    azureStorageUri?: string;
    /**
     * The time the Azure storage Uri expires.
     */
    azureStorageUriExpirationDateTime?: Date;
    /**
     * The time the file was created.
     */
    createdDateTime?: Date;
    /**
     * A value indicating whether the file is committed.
     */
    isCommitted?: boolean;
    /**
     * The manifest information.
     */
    manifest?: string;
    /**
     * the file name.
     */
    name?: string;
    /**
     * The size of the file prior to encryption.
     */
    size?: number;
    /**
     * The size of the file after encryption.
     */
    sizeEncrypted?: number;
    /**
     * Contains properties for upload request states.
     */
    uploadState?: MobileAppContentFileUploadState;
}
export declare function serializeMobileAppContentFile(writer: SerializationWriter, mobileAppContentFile?: MobileAppContentFile | undefined): void;
