import { deserializeIntoAndroidLobApp } from './androidLobApp';
import { deserializeIntoIosLobApp } from './iosLobApp';
import { deserializeIntoMacOSDmgApp } from './macOSDmgApp';
import { deserializeIntoMacOSLobApp } from './macOSLobApp';
import { type MobileApp } from './mobileApp';
import { type MobileAppContent } from './mobileAppContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileLobAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidLobApp | typeof deserializeIntoIosLobApp | typeof deserializeIntoMacOSDmgApp | typeof deserializeIntoMacOSLobApp;
export declare function deserializeIntoMobileLobApp(mobileLobApp?: MobileLobApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileLobApp extends MobileApp, Parsable {
    /**
     * The internal committed content version.
     */
    committedContentVersion?: string;
    /**
     * The list of content versions for this app.
     */
    contentVersions?: MobileAppContent[];
    /**
     * The name of the main Lob application file.
     */
    fileName?: string;
    /**
     * The total size, including all uploaded files.
     */
    size?: number;
}
export declare function serializeMobileLobApp(writer: SerializationWriter, mobileLobApp?: MobileLobApp | undefined): void;
