"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMobileLobApp = exports.deserializeIntoMobileLobApp = exports.createMobileLobAppFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidLobApp_1 = require("./androidLobApp");
const iosLobApp_1 = require("./iosLobApp");
const macOSDmgApp_1 = require("./macOSDmgApp");
const macOSLobApp_1 = require("./macOSLobApp");
const mobileApp_1 = require("./mobileApp");
const mobileAppContent_1 = require("./mobileAppContent");
const win32LobApp_1 = require("./win32LobApp");
const windowsAppX_1 = require("./windowsAppX");
const windowsMobileMSI_1 = require("./windowsMobileMSI");
const windowsUniversalAppX_1 = require("./windowsUniversalAppX");
function createMobileLobAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidLobApp":
                    return androidLobApp_1.deserializeIntoAndroidLobApp;
                case "#microsoft.graph.iosLobApp":
                    return iosLobApp_1.deserializeIntoIosLobApp;
                case "#microsoft.graph.macOSDmgApp":
                    return macOSDmgApp_1.deserializeIntoMacOSDmgApp;
                case "#microsoft.graph.macOSLobApp":
                    return macOSLobApp_1.deserializeIntoMacOSLobApp;
                case "#microsoft.graph.win32LobApp":
                    return win32LobApp_1.deserializeIntoWin32LobApp;
                case "#microsoft.graph.windowsAppX":
                    return windowsAppX_1.deserializeIntoWindowsAppX;
                case "#microsoft.graph.windowsMobileMSI":
                    return windowsMobileMSI_1.deserializeIntoWindowsMobileMSI;
                case "#microsoft.graph.windowsUniversalAppX":
                    return windowsUniversalAppX_1.deserializeIntoWindowsUniversalAppX;
            }
        }
    }
    return deserializeIntoMobileLobApp;
}
exports.createMobileLobAppFromDiscriminatorValue = createMobileLobAppFromDiscriminatorValue;
function deserializeIntoMobileLobApp(mobileLobApp = {}) {
    return Object.assign(Object.assign({}, (0, mobileApp_1.deserializeIntoMobileApp)(mobileLobApp)), { "committedContentVersion": n => { mobileLobApp.committedContentVersion = n.getStringValue(); }, "contentVersions": n => { mobileLobApp.contentVersions = n.getCollectionOfObjectValues(mobileAppContent_1.createMobileAppContentFromDiscriminatorValue); }, "fileName": n => { mobileLobApp.fileName = n.getStringValue(); }, "size": n => { mobileLobApp.size = n.getNumberValue(); } });
}
exports.deserializeIntoMobileLobApp = deserializeIntoMobileLobApp;
function serializeMobileLobApp(writer, mobileLobApp = {}) {
    (0, mobileApp_1.serializeMobileApp)(writer, mobileLobApp);
    writer.writeStringValue("committedContentVersion", mobileLobApp.committedContentVersion);
    writer.writeCollectionOfObjectValues("contentVersions", mobileLobApp.contentVersions, mobileAppContent_1.serializeMobileAppContent);
    writer.writeStringValue("fileName", mobileLobApp.fileName);
    writer.writeNumberValue("size", mobileLobApp.size);
}
exports.serializeMobileLobApp = serializeMobileLobApp;
// tslint:enable
// eslint-enable
