import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createModifiedPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoModifiedProperty;
export declare function deserializeIntoModifiedProperty(modifiedProperty?: ModifiedProperty | undefined): Record<string, (node: ParseNode) => void>;
export interface ModifiedProperty extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates the property name of the target attribute that was changed.
     */
    displayName?: string;
    /**
     * Indicates the updated value for the propery.
     */
    newValue?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the previous value (before the update) for the property.
     */
    oldValue?: string;
}
export declare function serializeModifiedProperty(writer: SerializationWriter, modifiedProperty?: ModifiedProperty | undefined): void;
