"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeModifiedProperty = exports.deserializeIntoModifiedProperty = exports.createModifiedPropertyFromDiscriminatorValue = void 0;
function createModifiedPropertyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoModifiedProperty;
}
exports.createModifiedPropertyFromDiscriminatorValue = createModifiedPropertyFromDiscriminatorValue;
function deserializeIntoModifiedProperty(modifiedProperty = {}) {
    return {
        "displayName": n => { modifiedProperty.displayName = n.getStringValue(); },
        "newValue": n => { modifiedProperty.newValue = n.getStringValue(); },
        "@odata.type": n => { modifiedProperty.odataType = n.getStringValue(); },
        "oldValue": n => { modifiedProperty.oldValue = n.getStringValue(); },
    };
}
exports.deserializeIntoModifiedProperty = deserializeIntoModifiedProperty;
function serializeModifiedProperty(writer, modifiedProperty = {}) {
    writer.writeStringValue("displayName", modifiedProperty.displayName);
    writer.writeStringValue("newValue", modifiedProperty.newValue);
    writer.writeStringValue("@odata.type", modifiedProperty.odataType);
    writer.writeStringValue("oldValue", modifiedProperty.oldValue);
    writer.writeAdditionalData(modifiedProperty.additionalData);
}
exports.serializeModifiedProperty = serializeModifiedProperty;
// tslint:enable
// eslint-enable
