import { deserializeIntoCountryNamedLocation } from './countryNamedLocation';
import { type Entity } from './entity';
import { deserializeIntoIpNamedLocation } from './ipNamedLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNamedLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCountryNamedLocation | typeof deserializeIntoIpNamedLocation;
export declare function deserializeIntoNamedLocation(namedLocation?: NamedLocation | undefined): Record<string, (node: ParseNode) => void>;
export interface NamedLocation extends Entity, Parsable {
    /**
     * The Timestamp type represents creation date and time of the location using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
    /**
     * Human-readable name of the location.
     */
    displayName?: string;
    /**
     * The Timestamp type represents last modified date and time of the location using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    modifiedDateTime?: Date;
}
export declare function serializeNamedLocation(writer: SerializationWriter, namedLocation?: NamedLocation | undefined): void;
