"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeNetworkConnection = exports.deserializeIntoNetworkConnection = exports.createNetworkConnectionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const connectionDirection_1 = require("./connectionDirection");
const connectionStatus_1 = require("./connectionStatus");
const securityNetworkProtocol_1 = require("./securityNetworkProtocol");
function createNetworkConnectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNetworkConnection;
}
exports.createNetworkConnectionFromDiscriminatorValue = createNetworkConnectionFromDiscriminatorValue;
function deserializeIntoNetworkConnection(networkConnection = {}) {
    return {
        "applicationName": n => { networkConnection.applicationName = n.getStringValue(); },
        "destinationAddress": n => { networkConnection.destinationAddress = n.getStringValue(); },
        "destinationDomain": n => { networkConnection.destinationDomain = n.getStringValue(); },
        "destinationLocation": n => { networkConnection.destinationLocation = n.getStringValue(); },
        "destinationPort": n => { networkConnection.destinationPort = n.getStringValue(); },
        "destinationUrl": n => { networkConnection.destinationUrl = n.getStringValue(); },
        "direction": n => { networkConnection.direction = n.getEnumValue(connectionDirection_1.ConnectionDirection); },
        "domainRegisteredDateTime": n => { networkConnection.domainRegisteredDateTime = n.getDateValue(); },
        "localDnsName": n => { networkConnection.localDnsName = n.getStringValue(); },
        "natDestinationAddress": n => { networkConnection.natDestinationAddress = n.getStringValue(); },
        "natDestinationPort": n => { networkConnection.natDestinationPort = n.getStringValue(); },
        "natSourceAddress": n => { networkConnection.natSourceAddress = n.getStringValue(); },
        "natSourcePort": n => { networkConnection.natSourcePort = n.getStringValue(); },
        "@odata.type": n => { networkConnection.odataType = n.getStringValue(); },
        "protocol": n => { networkConnection.protocol = n.getEnumValue(securityNetworkProtocol_1.SecurityNetworkProtocol); },
        "riskScore": n => { networkConnection.riskScore = n.getStringValue(); },
        "sourceAddress": n => { networkConnection.sourceAddress = n.getStringValue(); },
        "sourceLocation": n => { networkConnection.sourceLocation = n.getStringValue(); },
        "sourcePort": n => { networkConnection.sourcePort = n.getStringValue(); },
        "status": n => { networkConnection.status = n.getEnumValue(connectionStatus_1.ConnectionStatus); },
        "urlParameters": n => { networkConnection.urlParameters = n.getStringValue(); },
    };
}
exports.deserializeIntoNetworkConnection = deserializeIntoNetworkConnection;
function serializeNetworkConnection(writer, networkConnection = {}) {
    writer.writeStringValue("applicationName", networkConnection.applicationName);
    writer.writeStringValue("destinationAddress", networkConnection.destinationAddress);
    writer.writeStringValue("destinationDomain", networkConnection.destinationDomain);
    writer.writeStringValue("destinationLocation", networkConnection.destinationLocation);
    writer.writeStringValue("destinationPort", networkConnection.destinationPort);
    writer.writeStringValue("destinationUrl", networkConnection.destinationUrl);
    writer.writeEnumValue("direction", networkConnection.direction);
    writer.writeDateValue("domainRegisteredDateTime", networkConnection.domainRegisteredDateTime);
    writer.writeStringValue("localDnsName", networkConnection.localDnsName);
    writer.writeStringValue("natDestinationAddress", networkConnection.natDestinationAddress);
    writer.writeStringValue("natDestinationPort", networkConnection.natDestinationPort);
    writer.writeStringValue("natSourceAddress", networkConnection.natSourceAddress);
    writer.writeStringValue("natSourcePort", networkConnection.natSourcePort);
    writer.writeStringValue("@odata.type", networkConnection.odataType);
    writer.writeEnumValue("protocol", networkConnection.protocol);
    writer.writeStringValue("riskScore", networkConnection.riskScore);
    writer.writeStringValue("sourceAddress", networkConnection.sourceAddress);
    writer.writeStringValue("sourceLocation", networkConnection.sourceLocation);
    writer.writeStringValue("sourcePort", networkConnection.sourcePort);
    writer.writeEnumValue("status", networkConnection.status);
    writer.writeStringValue("urlParameters", networkConnection.urlParameters);
    writer.writeAdditionalData(networkConnection.additionalData);
}
exports.serializeNetworkConnection = serializeNetworkConnection;
// tslint:enable
// eslint-enable
