import { type ExternalLink } from './externalLink';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNotebookLinksFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNotebookLinks;
export declare function deserializeIntoNotebookLinks(notebookLinks?: NotebookLinks | undefined): Record<string, (node: ParseNode) => void>;
export interface NotebookLinks extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Opens the notebook in the OneNote native client if it's installed.
     */
    oneNoteClientUrl?: ExternalLink;
    /**
     * Opens the notebook in OneNote on the web.
     */
    oneNoteWebUrl?: ExternalLink;
}
export declare function serializeNotebookLinks(writer: SerializationWriter, notebookLinks?: NotebookLinks | undefined): void;
