import { type Entity } from './entity';
import { type LocalizedNotificationMessage } from './localizedNotificationMessage';
import { NotificationTemplateBrandingOptions } from './notificationTemplateBrandingOptions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNotificationMessageTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNotificationMessageTemplate;
export declare function deserializeIntoNotificationMessageTemplate(notificationMessageTemplate?: NotificationMessageTemplate | undefined): Record<string, (node: ParseNode) => void>;
export interface NotificationMessageTemplate extends Entity, Parsable {
    /**
     * Branding Options for the Message Template. Branding is defined in the Intune Admin Console.
     */
    brandingOptions?: NotificationTemplateBrandingOptions[];
    /**
     * The default locale to fallback onto when the requested locale is not available.
     */
    defaultLocale?: string;
    /**
     * Display name for the Notification Message Template.
     */
    displayName?: string;
    /**
     * DateTime the object was last modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * The list of localized messages for this Notification Message Template.
     */
    localizedNotificationMessages?: LocalizedNotificationMessage[];
    /**
     * List of Scope Tags for this Entity instance.
     */
    roleScopeTagIds?: string[];
}
export declare function serializeNotificationMessageTemplate(writer: SerializationWriter, notificationMessageTemplate?: NotificationMessageTemplate | undefined): void;
