"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationTemplateBrandingOptions = void 0;
/**
 * Branding Options for the Message Template. Branding is defined in the Intune Admin Console.
 */
var NotificationTemplateBrandingOptions;
(function (NotificationTemplateBrandingOptions) {
    /** Indicates that no branding options are set in the message template. */
    NotificationTemplateBrandingOptions["None"] = "none";
    /** Indicates to include company logo in the message template. */
    NotificationTemplateBrandingOptions["IncludeCompanyLogo"] = "includeCompanyLogo";
    /** Indicates to include company name in the message template. */
    NotificationTemplateBrandingOptions["IncludeCompanyName"] = "includeCompanyName";
    /** Indicates to include contact information in the message template. */
    NotificationTemplateBrandingOptions["IncludeContactInformation"] = "includeContactInformation";
    /** Indicates to include company portal website link in the message template. */
    NotificationTemplateBrandingOptions["IncludeCompanyPortalLink"] = "includeCompanyPortalLink";
    /** Indicates to include device details in the message template. */
    NotificationTemplateBrandingOptions["IncludeDeviceDetails"] = "includeDeviceDetails";
    /** Evolvable enumeration sentinel value. Do not use. */
    NotificationTemplateBrandingOptions["UnknownFutureValue"] = "unknownFutureValue";
})(NotificationTemplateBrandingOptions || (exports.NotificationTemplateBrandingOptions = NotificationTemplateBrandingOptions = {}));
// tslint:enable
// eslint-enable
