"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeNumberColumn = exports.deserializeIntoNumberColumn = exports.createNumberColumnFromDiscriminatorValue = void 0;
function createNumberColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoNumberColumn;
}
exports.createNumberColumnFromDiscriminatorValue = createNumberColumnFromDiscriminatorValue;
function deserializeIntoNumberColumn(numberColumn = {}) {
    return {
        "decimalPlaces": n => { numberColumn.decimalPlaces = n.getStringValue(); },
        "displayAs": n => { numberColumn.displayAs = n.getStringValue(); },
        "maximum": n => { numberColumn.maximum = n.getNumberValue(); },
        "minimum": n => { numberColumn.minimum = n.getNumberValue(); },
        "@odata.type": n => { numberColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoNumberColumn = deserializeIntoNumberColumn;
function serializeNumberColumn(writer, numberColumn = {}) {
    writer.writeStringValue("decimalPlaces", numberColumn.decimalPlaces);
    writer.writeStringValue("displayAs", numberColumn.displayAs);
    writer.writeNumberValue("maximum", numberColumn.maximum);
    writer.writeNumberValue("minimum", numberColumn.minimum);
    writer.writeStringValue("@odata.type", numberColumn.odataType);
    writer.writeAdditionalData(numberColumn.additionalData);
}
exports.serializeNumberColumn = serializeNumberColumn;
// tslint:enable
// eslint-enable
