import { OAuthAppScope } from './oAuthAppScope';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOAuthConsentAppDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOAuthConsentAppDetail;
export declare function deserializeIntoOAuthConsentAppDetail(oAuthConsentAppDetail?: OAuthConsentAppDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface OAuthConsentAppDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * App scope. Possible values are: unknown, readCalendar, readContact, readMail, readAllChat, readAllFile, readAndWriteMail, sendMail, unknownFutureValue.
     */
    appScope?: OAuthAppScope;
    /**
     * App display logo.
     */
    displayLogo?: string;
    /**
     * App name.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeOAuthConsentAppDetail(writer: SerializationWriter, oAuthConsentAppDetail?: OAuthConsentAppDetail | undefined): void;
