import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createErrorDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoErrorDetails;
export declare function deserializeIntoErrorDetails(errorDetails?: ErrorDetails | undefined): Record<string, (node: ParseNode) => void>;
export interface ErrorDetails extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The code property
     */
    code?: string;
    /**
     * The message property
     */
    message?: string;
    /**
     * The target property
     */
    target?: string;
}
export declare function serializeErrorDetails(writer: SerializationWriter, errorDetails?: ErrorDetails | undefined): void;
