import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInnerErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInnerError;
export declare function deserializeIntoInnerError(innerError?: InnerError | undefined): Record<string, (node: ParseNode) => void>;
export interface InnerError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Client request Id as sent by the client application.
     */
    clientRequestId?: string;
    /**
     * Date when the error occured.
     */
    date?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Request Id as tracked internally by the service
     */
    requestId?: string;
}
export declare function serializeInnerError(writer: SerializationWriter, innerError?: InnerError | undefined): void;
