"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInnerError = exports.deserializeIntoInnerError = exports.createInnerErrorFromDiscriminatorValue = void 0;
function createInnerErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInnerError;
}
exports.createInnerErrorFromDiscriminatorValue = createInnerErrorFromDiscriminatorValue;
function deserializeIntoInnerError(innerError = {}) {
    return {
        "client-request-id": n => { innerError.clientRequestId = n.getStringValue(); },
        "date": n => { innerError.date = n.getDateValue(); },
        "@odata.type": n => { innerError.odataType = n.getStringValue(); },
        "request-id": n => { innerError.requestId = n.getStringValue(); },
    };
}
exports.deserializeIntoInnerError = deserializeIntoInnerError;
function serializeInnerError(writer, innerError = {}) {
    writer.writeStringValue("client-request-id", innerError.clientRequestId);
    writer.writeDateValue("Date", innerError.date);
    writer.writeStringValue("@odata.type", innerError.odataType);
    writer.writeStringValue("request-id", innerError.requestId);
    writer.writeAdditionalData(innerError.additionalData);
}
exports.serializeInnerError = serializeInnerError;
// tslint:enable
// eslint-enable
