import { type ErrorDetails } from './errorDetails';
import { type InnerError } from './innerError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMainErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMainError;
export declare function deserializeIntoMainError(mainError?: MainError | undefined): Record<string, (node: ParseNode) => void>;
export interface MainError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The code property
     */
    code?: string;
    /**
     * The details property
     */
    details?: ErrorDetails[];
    /**
     * The innerError property
     */
    innerError?: InnerError;
    /**
     * The message property
     */
    message?: string;
    /**
     * The target property
     */
    target?: string;
}
export declare function serializeMainError(writer: SerializationWriter, mainError?: MainError | undefined): void;
