import { type MainError } from './mainError';
import { type AdditionalDataHolder, type ApiError, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createODataErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoODataError;
export declare function deserializeIntoODataError(oDataError?: ODataError | undefined): Record<string, (node: ParseNode) => void>;
export interface ODataError extends AdditionalDataHolder, ApiError, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error property
     */
    errorEscaped?: MainError;
}
export declare function serializeODataError(writer: SerializationWriter, oDataError?: ODataError | undefined): void;
