import { type AttributeDefinition } from './attributeDefinition';
import { type ObjectDefinitionMetadataEntry } from './objectDefinitionMetadataEntry';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createObjectDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoObjectDefinition;
export declare function deserializeIntoObjectDefinition(objectDefinition?: ObjectDefinition | undefined): Record<string, (node: ParseNode) => void>;
export interface ObjectDefinition extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines attributes of the object.
     */
    attributes?: AttributeDefinition[];
    /**
     * Metadata for the given object.
     */
    metadata?: ObjectDefinitionMetadataEntry[];
    /**
     * Name of the object. Must be unique within a directory definition. Not nullable.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The API that the provisioning service queries to retrieve data for synchronization.
     */
    supportedApis?: string[];
}
export declare function serializeObjectDefinition(writer: SerializationWriter, objectDefinition?: ObjectDefinition | undefined): void;
