import { ObjectDefinitionMetadata } from './objectDefinitionMetadata';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createObjectDefinitionMetadataEntryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoObjectDefinitionMetadataEntry;
export declare function deserializeIntoObjectDefinitionMetadataEntry(objectDefinitionMetadataEntry?: ObjectDefinitionMetadataEntry | undefined): Record<string, (node: ParseNode) => void>;
export interface ObjectDefinitionMetadataEntry extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Possible values are: PropertyNameAccountEnabled, PropertyNameSoftDeleted, IsSoftDeletionSupported, IsSynchronizeAllSupported, ConnectorDataStorageRequired, Extensions, LinkTypeName.
     */
    key?: ObjectDefinitionMetadata;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value of the metadata property.
     */
    value?: string;
}
export declare function serializeObjectDefinitionMetadataEntry(writer: SerializationWriter, objectDefinitionMetadataEntry?: ObjectDefinitionMetadataEntry | undefined): void;
