"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeObjectIdentity = exports.deserializeIntoObjectIdentity = exports.createObjectIdentityFromDiscriminatorValue = void 0;
function createObjectIdentityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoObjectIdentity;
}
exports.createObjectIdentityFromDiscriminatorValue = createObjectIdentityFromDiscriminatorValue;
function deserializeIntoObjectIdentity(objectIdentity = {}) {
    return {
        "issuer": n => { objectIdentity.issuer = n.getStringValue(); },
        "issuerAssignedId": n => { objectIdentity.issuerAssignedId = n.getStringValue(); },
        "@odata.type": n => { objectIdentity.odataType = n.getStringValue(); },
        "signInType": n => { objectIdentity.signInType = n.getStringValue(); },
    };
}
exports.deserializeIntoObjectIdentity = deserializeIntoObjectIdentity;
function serializeObjectIdentity(writer, objectIdentity = {}) {
    writer.writeStringValue("issuer", objectIdentity.issuer);
    writer.writeStringValue("issuerAssignedId", objectIdentity.issuerAssignedId);
    writer.writeStringValue("@odata.type", objectIdentity.odataType);
    writer.writeStringValue("signInType", objectIdentity.signInType);
    writer.writeAdditionalData(objectIdentity.additionalData);
}
exports.serializeObjectIdentity = serializeObjectIdentity;
// tslint:enable
// eslint-enable
