import { ObjectMappingMetadata } from './objectMappingMetadata';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createObjectMappingMetadataEntryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoObjectMappingMetadataEntry;
export declare function deserializeIntoObjectMappingMetadataEntry(objectMappingMetadataEntry?: ObjectMappingMetadataEntry | undefined): Record<string, (node: ParseNode) => void>;
export interface ObjectMappingMetadataEntry extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Possible values are: EscrowBehavior, DisableMonitoringForChanges, OriginalJoiningProperty, Disposition, IsCustomerDefined, ExcludeFromReporting, Unsynchronized.
     */
    key?: ObjectMappingMetadata;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value of the metadata property.
     */
    value?: string;
}
export declare function serializeObjectMappingMetadataEntry(writer: SerializationWriter, objectMappingMetadataEntry?: ObjectMappingMetadataEntry | undefined): void;
