"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOfferShiftRequest = exports.deserializeIntoOfferShiftRequest = exports.createOfferShiftRequestFromDiscriminatorValue = void 0;
const scheduleChangeRequest_1 = require("./scheduleChangeRequest");
const swapShiftsChangeRequest_1 = require("./swapShiftsChangeRequest");
function createOfferShiftRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.swapShiftsChangeRequest":
                    return swapShiftsChangeRequest_1.deserializeIntoSwapShiftsChangeRequest;
            }
        }
    }
    return deserializeIntoOfferShiftRequest;
}
exports.createOfferShiftRequestFromDiscriminatorValue = createOfferShiftRequestFromDiscriminatorValue;
function deserializeIntoOfferShiftRequest(offerShiftRequest = {}) {
    return Object.assign(Object.assign({}, (0, scheduleChangeRequest_1.deserializeIntoScheduleChangeRequest)(offerShiftRequest)), { "recipientActionDateTime": n => { offerShiftRequest.recipientActionDateTime = n.getDateValue(); }, "recipientActionMessage": n => { offerShiftRequest.recipientActionMessage = n.getStringValue(); }, "recipientUserId": n => { offerShiftRequest.recipientUserId = n.getStringValue(); }, "senderShiftId": n => { offerShiftRequest.senderShiftId = n.getStringValue(); } });
}
exports.deserializeIntoOfferShiftRequest = deserializeIntoOfferShiftRequest;
function serializeOfferShiftRequest(writer, offerShiftRequest = {}) {
    (0, scheduleChangeRequest_1.serializeScheduleChangeRequest)(writer, offerShiftRequest);
    writer.writeStringValue("recipientActionMessage", offerShiftRequest.recipientActionMessage);
    writer.writeStringValue("recipientUserId", offerShiftRequest.recipientUserId);
    writer.writeStringValue("senderShiftId", offerShiftRequest.senderShiftId);
}
exports.serializeOfferShiftRequest = serializeOfferShiftRequest;
// tslint:enable
// eslint-enable
