import { type Entity } from './entity';
import { type SharedInsight } from './sharedInsight';
import { type Trending } from './trending';
import { type UsedInsight } from './usedInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOfficeGraphInsightsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOfficeGraphInsights;
export declare function deserializeIntoOfficeGraphInsights(officeGraphInsights?: OfficeGraphInsights | undefined): Record<string, (node: ParseNode) => void>;
export interface OfficeGraphInsights extends Entity, Parsable {
    /**
     * Calculated relationship identifying documents shared with or by the user. This includes URLs, file attachments, and reference attachments to OneDrive for Business and SharePoint files found in Outlook messages and meetings. This also includes URLs and reference attachments to Teams conversations. Ordered by recency of share.
     */
    shared?: SharedInsight[];
    /**
     * Calculated relationship identifying documents trending around a user. Trending documents are calculated based on activity of the user's closest network of people and include files stored in OneDrive for Business and SharePoint. Trending insights help the user to discover potentially useful content that the user has access to, but has never viewed before.
     */
    trending?: Trending[];
    /**
     * Calculated relationship identifying the latest documents viewed or modified by a user, including OneDrive for Business and SharePoint documents, ranked by recency of use.
     */
    used?: UsedInsight[];
}
export declare function serializeOfficeGraphInsights(writer: SerializationWriter, officeGraphInsights?: OfficeGraphInsights | undefined): void;
