import { deserializeIntoOmaSettingBase64 } from './omaSettingBase64';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingBase64;
export declare function deserializeIntoOmaSetting(omaSetting?: OmaSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSetting extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Description.
     */
    description?: string;
    /**
     * Display Name.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * OMA.
     */
    omaUri?: string;
}
export declare function serializeOmaSetting(writer: SerializationWriter, omaSetting?: OmaSetting | undefined): void;
