"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOmaSetting = exports.deserializeIntoOmaSetting = exports.createOmaSettingFromDiscriminatorValue = void 0;
const omaSettingBase64_1 = require("./omaSettingBase64");
const omaSettingBoolean_1 = require("./omaSettingBoolean");
const omaSettingDateTime_1 = require("./omaSettingDateTime");
const omaSettingFloatingPoint_1 = require("./omaSettingFloatingPoint");
const omaSettingInteger_1 = require("./omaSettingInteger");
const omaSettingString_1 = require("./omaSettingString");
const omaSettingStringXml_1 = require("./omaSettingStringXml");
function createOmaSettingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.omaSettingBase64":
                    return omaSettingBase64_1.deserializeIntoOmaSettingBase64;
                case "#microsoft.graph.omaSettingBoolean":
                    return omaSettingBoolean_1.deserializeIntoOmaSettingBoolean;
                case "#microsoft.graph.omaSettingDateTime":
                    return omaSettingDateTime_1.deserializeIntoOmaSettingDateTime;
                case "#microsoft.graph.omaSettingFloatingPoint":
                    return omaSettingFloatingPoint_1.deserializeIntoOmaSettingFloatingPoint;
                case "#microsoft.graph.omaSettingInteger":
                    return omaSettingInteger_1.deserializeIntoOmaSettingInteger;
                case "#microsoft.graph.omaSettingString":
                    return omaSettingString_1.deserializeIntoOmaSettingString;
                case "#microsoft.graph.omaSettingStringXml":
                    return omaSettingStringXml_1.deserializeIntoOmaSettingStringXml;
            }
        }
    }
    return deserializeIntoOmaSetting;
}
exports.createOmaSettingFromDiscriminatorValue = createOmaSettingFromDiscriminatorValue;
function deserializeIntoOmaSetting(omaSetting = {}) {
    return {
        "description": n => { omaSetting.description = n.getStringValue(); },
        "displayName": n => { omaSetting.displayName = n.getStringValue(); },
        "@odata.type": n => { omaSetting.odataType = n.getStringValue(); },
        "omaUri": n => { omaSetting.omaUri = n.getStringValue(); },
    };
}
exports.deserializeIntoOmaSetting = deserializeIntoOmaSetting;
function serializeOmaSetting(writer, omaSetting = {}) {
    writer.writeStringValue("description", omaSetting.description);
    writer.writeStringValue("displayName", omaSetting.displayName);
    writer.writeStringValue("@odata.type", omaSetting.odataType);
    writer.writeStringValue("omaUri", omaSetting.omaUri);
    writer.writeAdditionalData(omaSetting.additionalData);
}
exports.serializeOmaSetting = serializeOmaSetting;
// tslint:enable
// eslint-enable
