import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingBase64FromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingBase64;
export declare function deserializeIntoOmaSettingBase64(omaSettingBase64?: OmaSettingBase64 | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingBase64 extends OmaSetting, Parsable {
    /**
     * File name associated with the Value property (.cer
     */
    fileName?: string;
    /**
     * Value. (Base64 encoded string)
     */
    value?: string;
}
export declare function serializeOmaSettingBase64(writer: SerializationWriter, omaSettingBase64?: OmaSettingBase64 | undefined): void;
