import { OnPremisesDirectorySynchronizationDeletionPreventionType } from './onPremisesDirectorySynchronizationDeletionPreventionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnPremisesAccidentalDeletionPreventionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesAccidentalDeletionPrevention;
export declare function deserializeIntoOnPremisesAccidentalDeletionPrevention(onPremisesAccidentalDeletionPrevention?: OnPremisesAccidentalDeletionPrevention | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesAccidentalDeletionPrevention extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Threshold value which triggers accidental deletion prevention. The threshold is either an absolute number of objects or a percentage number of objects.
     */
    alertThreshold?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status of the accidental deletion prevention feature. The possible values are: disabled, enabledForCount, enabledForPercentage, unknownFutureValue.
     */
    synchronizationPreventionType?: OnPremisesDirectorySynchronizationDeletionPreventionType;
}
export declare function serializeOnPremisesAccidentalDeletionPrevention(writer: SerializationWriter, onPremisesAccidentalDeletionPrevention?: OnPremisesAccidentalDeletionPrevention | undefined): void;
