import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createOnPremisesConditionalAccessSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesConditionalAccessSettings;
export declare function deserializeIntoOnPremisesConditionalAccessSettings(onPremisesConditionalAccessSettings?: OnPremisesConditionalAccessSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesConditionalAccessSettings extends Entity, Parsable {
    /**
     * Indicates if on premises conditional access is enabled for this organization
     */
    enabled?: boolean;
    /**
     * User groups that will be exempt by on premises conditional access. All users in these groups will be exempt from the conditional access policy.
     */
    excludedGroups?: Guid[];
    /**
     * User groups that will be targeted by on premises conditional access. All users in these groups will be required to have mobile device managed and compliant for mail access.
     */
    includedGroups?: Guid[];
    /**
     * Override the default access rule when allowing a device to ensure access is granted.
     */
    overrideDefaultRule?: boolean;
}
export declare function serializeOnPremisesConditionalAccessSettings(writer: SerializationWriter, onPremisesConditionalAccessSettings?: OnPremisesConditionalAccessSettings | undefined): void;
