import { type Entity } from './entity';
import { type OnPremisesDirectorySynchronizationConfiguration } from './onPremisesDirectorySynchronizationConfiguration';
import { type OnPremisesDirectorySynchronizationFeature } from './onPremisesDirectorySynchronizationFeature';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnPremisesDirectorySynchronizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesDirectorySynchronization;
export declare function deserializeIntoOnPremisesDirectorySynchronization(onPremisesDirectorySynchronization?: OnPremisesDirectorySynchronization | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesDirectorySynchronization extends Entity, Parsable {
    /**
     * Consists of configurations that can be fine-tuned and impact the on-premises directory synchronization process for a tenant.
     */
    configuration?: OnPremisesDirectorySynchronizationConfiguration;
    /**
     * The features property
     */
    features?: OnPremisesDirectorySynchronizationFeature;
}
export declare function serializeOnPremisesDirectorySynchronization(writer: SerializationWriter, onPremisesDirectorySynchronization?: OnPremisesDirectorySynchronization | undefined): void;
