import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnPremisesProvisioningErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesProvisioningError;
export declare function deserializeIntoOnPremisesProvisioningError(onPremisesProvisioningError?: OnPremisesProvisioningError | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesProvisioningError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Category of the provisioning error. Note: Currently, there is only one possible value. Possible value: PropertyConflict - indicates a property value is not unique. Other objects contain the same value for the property.
     */
    category?: string;
    /**
     * The date and time at which the error occurred.
     */
    occurredDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Name of the directory property causing the error. Current possible values: UserPrincipalName or ProxyAddress
     */
    propertyCausingError?: string;
    /**
     * Value of the property causing the error.
     */
    value?: string;
}
export declare function serializeOnPremisesProvisioningError(writer: SerializationWriter, onPremisesProvisioningError?: OnPremisesProvisioningError | undefined): void;
