import { type Entity } from './entity';
import { type Notebook } from './notebook';
import { type OnenoteOperation } from './onenoteOperation';
import { type OnenotePage } from './onenotePage';
import { type OnenoteResource } from './onenoteResource';
import { type OnenoteSection } from './onenoteSection';
import { type SectionGroup } from './sectionGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenote;
export declare function deserializeIntoOnenote(onenote?: Onenote | undefined): Record<string, (node: ParseNode) => void>;
export interface Onenote extends Entity, Parsable {
    /**
     * The collection of OneNote notebooks that are owned by the user or group. Read-only. Nullable.
     */
    notebooks?: Notebook[];
    /**
     * The status of OneNote operations. Getting an operations collection isn't supported, but you can get the status of long-running operations if the Operation-Location header is returned in the response. Read-only. Nullable.
     */
    operations?: OnenoteOperation[];
    /**
     * The pages in all OneNote notebooks that are owned by the user or group.  Read-only. Nullable.
     */
    pages?: OnenotePage[];
    /**
     * The image and other file resources in OneNote pages. Getting a resources collection isn't supported, but you can get the binary content of a specific resource. Read-only. Nullable.
     */
    resources?: OnenoteResource[];
    /**
     * The section groups in all OneNote notebooks that are owned by the user or group.  Read-only. Nullable.
     */
    sectionGroups?: SectionGroup[];
    /**
     * The sections in all OneNote notebooks that are owned by the user or group.  Read-only. Nullable.
     */
    sections?: OnenoteSection[];
}
export declare function serializeOnenote(writer: SerializationWriter, onenote?: Onenote | undefined): void;
