import { type IdentitySet } from './identitySet';
import { type OnenoteEntitySchemaObjectModel } from './onenoteEntitySchemaObjectModel';
import { deserializeIntoSectionGroup } from './sectionGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteEntityHierarchyModelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionGroup;
export declare function deserializeIntoOnenoteEntityHierarchyModel(onenoteEntityHierarchyModel?: OnenoteEntityHierarchyModel | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteEntityHierarchyModel extends OnenoteEntitySchemaObjectModel, Parsable {
    /**
     * Identity of the user, device, and application that created the item. Read-only.
     */
    createdBy?: IdentitySet;
    /**
     * The name of the notebook.
     */
    displayName?: string;
    /**
     * Identity of the user, device, and application that created the item. Read-only.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The date and time when the notebook was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeOnenoteEntityHierarchyModel(writer: SerializationWriter, onenoteEntityHierarchyModel?: OnenoteEntityHierarchyModel | undefined): void;
