"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnenoteEntitySchemaObjectModel = exports.deserializeIntoOnenoteEntitySchemaObjectModel = exports.createOnenoteEntitySchemaObjectModelFromDiscriminatorValue = void 0;
const notebook_1 = require("./notebook");
const onenoteEntityBaseModel_1 = require("./onenoteEntityBaseModel");
const onenoteEntityHierarchyModel_1 = require("./onenoteEntityHierarchyModel");
const onenotePage_1 = require("./onenotePage");
const onenoteSection_1 = require("./onenoteSection");
const sectionGroup_1 = require("./sectionGroup");
function createOnenoteEntitySchemaObjectModelFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.notebook":
                    return notebook_1.deserializeIntoNotebook;
                case "#microsoft.graph.onenoteEntityHierarchyModel":
                    return onenoteEntityHierarchyModel_1.deserializeIntoOnenoteEntityHierarchyModel;
                case "#microsoft.graph.onenotePage":
                    return onenotePage_1.deserializeIntoOnenotePage;
                case "#microsoft.graph.onenoteSection":
                    return onenoteSection_1.deserializeIntoOnenoteSection;
                case "#microsoft.graph.sectionGroup":
                    return sectionGroup_1.deserializeIntoSectionGroup;
            }
        }
    }
    return deserializeIntoOnenoteEntitySchemaObjectModel;
}
exports.createOnenoteEntitySchemaObjectModelFromDiscriminatorValue = createOnenoteEntitySchemaObjectModelFromDiscriminatorValue;
function deserializeIntoOnenoteEntitySchemaObjectModel(onenoteEntitySchemaObjectModel = {}) {
    return Object.assign(Object.assign({}, (0, onenoteEntityBaseModel_1.deserializeIntoOnenoteEntityBaseModel)(onenoteEntitySchemaObjectModel)), { "createdDateTime": n => { onenoteEntitySchemaObjectModel.createdDateTime = n.getDateValue(); } });
}
exports.deserializeIntoOnenoteEntitySchemaObjectModel = deserializeIntoOnenoteEntitySchemaObjectModel;
function serializeOnenoteEntitySchemaObjectModel(writer, onenoteEntitySchemaObjectModel = {}) {
    (0, onenoteEntityBaseModel_1.serializeOnenoteEntityBaseModel)(writer, onenoteEntitySchemaObjectModel);
    writer.writeDateValue("createdDateTime", onenoteEntitySchemaObjectModel.createdDateTime);
}
exports.serializeOnenoteEntitySchemaObjectModel = serializeOnenoteEntitySchemaObjectModel;
// tslint:enable
// eslint-enable
