import { type OnenoteOperationError } from './onenoteOperationError';
import { type Operation } from './operation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteOperation;
export declare function deserializeIntoOnenoteOperation(onenoteOperation?: OnenoteOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteOperation extends Operation, Parsable {
    /**
     * The error returned by the operation.
     */
    errorEscaped?: OnenoteOperationError;
    /**
     * The operation percent complete if the operation is still in running status.
     */
    percentComplete?: string;
    /**
     * The resource id.
     */
    resourceId?: string;
    /**
     * The resource URI for the object. For example, the resource URI for a copied page or section.
     */
    resourceLocation?: string;
}
export declare function serializeOnenoteOperation(writer: SerializationWriter, onenoteOperation?: OnenoteOperation | undefined): void;
