import { type Notebook } from './notebook';
import { type OnenoteEntitySchemaObjectModel } from './onenoteEntitySchemaObjectModel';
import { type OnenoteSection } from './onenoteSection';
import { type PageLinks } from './pageLinks';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePage;
export declare function deserializeIntoOnenotePage(onenotePage?: OnenotePage | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePage extends OnenoteEntitySchemaObjectModel, Parsable {
    /**
     * The page's HTML content.
     */
    content?: string;
    /**
     * The URL for the page's HTML content.  Read-only.
     */
    contentUrl?: string;
    /**
     * The unique identifier of the application that created the page. Read-only.
     */
    createdByAppId?: string;
    /**
     * The date and time when the page was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * The indentation level of the page. Read-only.
     */
    level?: number;
    /**
     * Links for opening the page. The oneNoteClientURL link opens the page in the OneNote native client if it 's installed. The oneNoteWebUrl link opens the page in OneNote on the web. Read-only.
     */
    links?: PageLinks;
    /**
     * The order of the page within its parent section. Read-only.
     */
    order?: number;
    /**
     * The notebook that contains the page.  Read-only.
     */
    parentNotebook?: Notebook;
    /**
     * The section that contains the page. Read-only.
     */
    parentSection?: OnenoteSection;
    /**
     * The title of the page.
     */
    title?: string;
    /**
     * The userTags property
     */
    userTags?: string[];
}
export declare function serializeOnenotePage(writer: SerializationWriter, onenotePage?: OnenotePage | undefined): void;
