import { type Notebook } from './notebook';
import { type OnenoteEntityHierarchyModel } from './onenoteEntityHierarchyModel';
import { type OnenotePage } from './onenotePage';
import { type SectionGroup } from './sectionGroup';
import { type SectionLinks } from './sectionLinks';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteSectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteSection;
export declare function deserializeIntoOnenoteSection(onenoteSection?: OnenoteSection | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteSection extends OnenoteEntityHierarchyModel, Parsable {
    /**
     * Indicates whether this is the user's default section. Read-only.
     */
    isDefault?: boolean;
    /**
     * Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web.
     */
    links?: SectionLinks;
    /**
     * The collection of pages in the section.  Read-only. Nullable.
     */
    pages?: OnenotePage[];
    /**
     * The pages endpoint where you can get details for all the pages in the section. Read-only.
     */
    pagesUrl?: string;
    /**
     * The notebook that contains the section.  Read-only.
     */
    parentNotebook?: Notebook;
    /**
     * The section group that contains the section.  Read-only.
     */
    parentSectionGroup?: SectionGroup;
}
export declare function serializeOnenoteSection(writer: SerializationWriter, onenoteSection?: OnenoteSection | undefined): void;
