import { type BroadcastMeetingSettings } from './broadcastMeetingSettings';
import { type CallRecording } from './callRecording';
import { type CallTranscript } from './callTranscript';
import { type MeetingParticipants } from './meetingParticipants';
import { type OnlineMeetingBase } from './onlineMeetingBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnlineMeetingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnlineMeeting;
export declare function deserializeIntoOnlineMeeting(onlineMeeting?: OnlineMeeting | undefined): Record<string, (node: ParseNode) => void>;
export interface OnlineMeeting extends OnlineMeetingBase, Parsable {
    /**
     * The attendeeReport property
     */
    attendeeReport?: string;
    /**
     * The broadcastSettings property
     */
    broadcastSettings?: BroadcastMeetingSettings;
    /**
     * The meeting creation time in UTC. Read-only.
     */
    creationDateTime?: Date;
    /**
     * The meeting end time in UTC.
     */
    endDateTime?: Date;
    /**
     * The externalId property
     */
    externalId?: string;
    /**
     * The isBroadcast property
     */
    isBroadcast?: boolean;
    /**
     * The participants associated with the online meeting.  This includes the organizer and the attendees.
     */
    participants?: MeetingParticipants;
    /**
     * The recordings of an online meeting. Read-only.
     */
    recordings?: CallRecording[];
    /**
     * The meeting start time in UTC.
     */
    startDateTime?: Date;
    /**
     * The transcripts of an online meeting. Read-only.
     */
    transcripts?: CallTranscript[];
}
export declare function serializeOnlineMeeting(writer: SerializationWriter, onlineMeeting?: OnlineMeeting | undefined): void;
