import { type AudioConferencing } from './audioConferencing';
import { type ChatInfo } from './chatInfo';
import { type Entity } from './entity';
import { type ItemBody } from './itemBody';
import { type JoinMeetingIdSettings } from './joinMeetingIdSettings';
import { type LobbyBypassSettings } from './lobbyBypassSettings';
import { type MeetingAttendanceReport } from './meetingAttendanceReport';
import { MeetingChatHistoryDefaultMode } from './meetingChatHistoryDefaultMode';
import { MeetingChatMode } from './meetingChatMode';
import { deserializeIntoOnlineMeeting } from './onlineMeeting';
import { OnlineMeetingPresenters } from './onlineMeetingPresenters';
import { type WatermarkProtectionValues } from './watermarkProtectionValues';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnlineMeetingBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnlineMeeting;
export declare function deserializeIntoOnlineMeetingBase(onlineMeetingBase?: OnlineMeetingBase | undefined): Record<string, (node: ParseNode) => void>;
export interface OnlineMeetingBase extends Entity, Parsable {
    /**
     * The allowAttendeeToEnableCamera property
     */
    allowAttendeeToEnableCamera?: boolean;
    /**
     * The allowAttendeeToEnableMic property
     */
    allowAttendeeToEnableMic?: boolean;
    /**
     * The allowedPresenters property
     */
    allowedPresenters?: OnlineMeetingPresenters;
    /**
     * The allowMeetingChat property
     */
    allowMeetingChat?: MeetingChatMode;
    /**
     * The allowParticipantsToChangeName property
     */
    allowParticipantsToChangeName?: boolean;
    /**
     * The allowTeamworkReactions property
     */
    allowTeamworkReactions?: boolean;
    /**
     * The attendanceReports property
     */
    attendanceReports?: MeetingAttendanceReport[];
    /**
     * The audioConferencing property
     */
    audioConferencing?: AudioConferencing;
    /**
     * The chatInfo property
     */
    chatInfo?: ChatInfo;
    /**
     * The isEntryExitAnnounced property
     */
    isEntryExitAnnounced?: boolean;
    /**
     * The joinInformation property
     */
    joinInformation?: ItemBody;
    /**
     * The joinMeetingIdSettings property
     */
    joinMeetingIdSettings?: JoinMeetingIdSettings;
    /**
     * The joinWebUrl property
     */
    joinWebUrl?: string;
    /**
     * The lobbyBypassSettings property
     */
    lobbyBypassSettings?: LobbyBypassSettings;
    /**
     * The recordAutomatically property
     */
    recordAutomatically?: boolean;
    /**
     * The shareMeetingChatHistoryDefault property
     */
    shareMeetingChatHistoryDefault?: MeetingChatHistoryDefaultMode;
    /**
     * The subject property
     */
    subject?: string;
    /**
     * The videoTeleconferenceId property
     */
    videoTeleconferenceId?: string;
    /**
     * The watermarkProtection property
     */
    watermarkProtection?: WatermarkProtectionValues;
}
export declare function serializeOnlineMeetingBase(writer: SerializationWriter, onlineMeetingBase?: OnlineMeetingBase | undefined): void;
