"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnlineMeetingBase = exports.deserializeIntoOnlineMeetingBase = exports.createOnlineMeetingBaseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const audioConferencing_1 = require("./audioConferencing");
const chatInfo_1 = require("./chatInfo");
const entity_1 = require("./entity");
const itemBody_1 = require("./itemBody");
const joinMeetingIdSettings_1 = require("./joinMeetingIdSettings");
const lobbyBypassSettings_1 = require("./lobbyBypassSettings");
const meetingAttendanceReport_1 = require("./meetingAttendanceReport");
const meetingChatHistoryDefaultMode_1 = require("./meetingChatHistoryDefaultMode");
const meetingChatMode_1 = require("./meetingChatMode");
const onlineMeeting_1 = require("./onlineMeeting");
const onlineMeetingPresenters_1 = require("./onlineMeetingPresenters");
const virtualEventSession_1 = require("./virtualEventSession");
const watermarkProtectionValues_1 = require("./watermarkProtectionValues");
function createOnlineMeetingBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.onlineMeeting":
                    return onlineMeeting_1.deserializeIntoOnlineMeeting;
                case "#microsoft.graph.virtualEventSession":
                    return virtualEventSession_1.deserializeIntoVirtualEventSession;
            }
        }
    }
    return deserializeIntoOnlineMeetingBase;
}
exports.createOnlineMeetingBaseFromDiscriminatorValue = createOnlineMeetingBaseFromDiscriminatorValue;
function deserializeIntoOnlineMeetingBase(onlineMeetingBase = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(onlineMeetingBase)), { "allowAttendeeToEnableCamera": n => { onlineMeetingBase.allowAttendeeToEnableCamera = n.getBooleanValue(); }, "allowAttendeeToEnableMic": n => { onlineMeetingBase.allowAttendeeToEnableMic = n.getBooleanValue(); }, "allowedPresenters": n => { onlineMeetingBase.allowedPresenters = n.getEnumValue(onlineMeetingPresenters_1.OnlineMeetingPresenters); }, "allowMeetingChat": n => { onlineMeetingBase.allowMeetingChat = n.getEnumValue(meetingChatMode_1.MeetingChatMode); }, "allowParticipantsToChangeName": n => { onlineMeetingBase.allowParticipantsToChangeName = n.getBooleanValue(); }, "allowTeamworkReactions": n => { onlineMeetingBase.allowTeamworkReactions = n.getBooleanValue(); }, "attendanceReports": n => { onlineMeetingBase.attendanceReports = n.getCollectionOfObjectValues(meetingAttendanceReport_1.createMeetingAttendanceReportFromDiscriminatorValue); }, "audioConferencing": n => { onlineMeetingBase.audioConferencing = n.getObjectValue(audioConferencing_1.createAudioConferencingFromDiscriminatorValue); }, "chatInfo": n => { onlineMeetingBase.chatInfo = n.getObjectValue(chatInfo_1.createChatInfoFromDiscriminatorValue); }, "isEntryExitAnnounced": n => { onlineMeetingBase.isEntryExitAnnounced = n.getBooleanValue(); }, "joinInformation": n => { onlineMeetingBase.joinInformation = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "joinMeetingIdSettings": n => { onlineMeetingBase.joinMeetingIdSettings = n.getObjectValue(joinMeetingIdSettings_1.createJoinMeetingIdSettingsFromDiscriminatorValue); }, "joinWebUrl": n => { onlineMeetingBase.joinWebUrl = n.getStringValue(); }, "lobbyBypassSettings": n => { onlineMeetingBase.lobbyBypassSettings = n.getObjectValue(lobbyBypassSettings_1.createLobbyBypassSettingsFromDiscriminatorValue); }, "recordAutomatically": n => { onlineMeetingBase.recordAutomatically = n.getBooleanValue(); }, "shareMeetingChatHistoryDefault": n => { onlineMeetingBase.shareMeetingChatHistoryDefault = n.getEnumValue(meetingChatHistoryDefaultMode_1.MeetingChatHistoryDefaultMode); }, "subject": n => { onlineMeetingBase.subject = n.getStringValue(); }, "videoTeleconferenceId": n => { onlineMeetingBase.videoTeleconferenceId = n.getStringValue(); }, "watermarkProtection": n => { onlineMeetingBase.watermarkProtection = n.getObjectValue(watermarkProtectionValues_1.createWatermarkProtectionValuesFromDiscriminatorValue); } });
}
exports.deserializeIntoOnlineMeetingBase = deserializeIntoOnlineMeetingBase;
function serializeOnlineMeetingBase(writer, onlineMeetingBase = {}) {
    (0, entity_1.serializeEntity)(writer, onlineMeetingBase);
    writer.writeBooleanValue("allowAttendeeToEnableCamera", onlineMeetingBase.allowAttendeeToEnableCamera);
    writer.writeBooleanValue("allowAttendeeToEnableMic", onlineMeetingBase.allowAttendeeToEnableMic);
    writer.writeEnumValue("allowedPresenters", onlineMeetingBase.allowedPresenters);
    writer.writeEnumValue("allowMeetingChat", onlineMeetingBase.allowMeetingChat);
    writer.writeBooleanValue("allowParticipantsToChangeName", onlineMeetingBase.allowParticipantsToChangeName);
    writer.writeBooleanValue("allowTeamworkReactions", onlineMeetingBase.allowTeamworkReactions);
    writer.writeCollectionOfObjectValues("attendanceReports", onlineMeetingBase.attendanceReports, meetingAttendanceReport_1.serializeMeetingAttendanceReport);
    writer.writeObjectValue("audioConferencing", onlineMeetingBase.audioConferencing, audioConferencing_1.serializeAudioConferencing);
    writer.writeObjectValue("chatInfo", onlineMeetingBase.chatInfo, chatInfo_1.serializeChatInfo);
    writer.writeBooleanValue("isEntryExitAnnounced", onlineMeetingBase.isEntryExitAnnounced);
    writer.writeObjectValue("joinInformation", onlineMeetingBase.joinInformation, itemBody_1.serializeItemBody);
    writer.writeObjectValue("joinMeetingIdSettings", onlineMeetingBase.joinMeetingIdSettings, joinMeetingIdSettings_1.serializeJoinMeetingIdSettings);
    writer.writeStringValue("joinWebUrl", onlineMeetingBase.joinWebUrl);
    writer.writeObjectValue("lobbyBypassSettings", onlineMeetingBase.lobbyBypassSettings, lobbyBypassSettings_1.serializeLobbyBypassSettings);
    writer.writeBooleanValue("recordAutomatically", onlineMeetingBase.recordAutomatically);
    writer.writeEnumValue("shareMeetingChatHistoryDefault", onlineMeetingBase.shareMeetingChatHistoryDefault);
    writer.writeStringValue("subject", onlineMeetingBase.subject);
    writer.writeStringValue("videoTeleconferenceId", onlineMeetingBase.videoTeleconferenceId);
    writer.writeObjectValue("watermarkProtection", onlineMeetingBase.watermarkProtection, watermarkProtectionValues_1.serializeWatermarkProtectionValues);
}
exports.serializeOnlineMeetingBase = serializeOnlineMeetingBase;
// tslint:enable
// eslint-enable
