import { type Phone } from './phone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnlineMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnlineMeetingInfo;
export declare function deserializeIntoOnlineMeetingInfo(onlineMeetingInfo?: OnlineMeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface OnlineMeetingInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ID of the conference.
     */
    conferenceId?: string;
    /**
     * The external link that launches the online meeting. This is a URL that clients launch into a browser and will redirect the user to join the meeting.
     */
    joinUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * All of the phone numbers associated with this conference.
     */
    phones?: Phone[];
    /**
     * The preformatted quick dial for this call.
     */
    quickDial?: string;
    /**
     * The toll free numbers that can be used to join the conference.
     */
    tollFreeNumbers?: string[];
    /**
     * The toll number that can be used to join the conference.
     */
    tollNumber?: string;
}
export declare function serializeOnlineMeetingInfo(writer: SerializationWriter, onlineMeetingInfo?: OnlineMeetingInfo | undefined): void;
