import { OnlineMeetingContentSharingDisabledReason } from './onlineMeetingContentSharingDisabledReason';
import { OnlineMeetingVideoDisabledReason } from './onlineMeetingVideoDisabledReason';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnlineMeetingRestrictedFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnlineMeetingRestricted;
export declare function deserializeIntoOnlineMeetingRestricted(onlineMeetingRestricted?: OnlineMeetingRestricted | undefined): Record<string, (node: ParseNode) => void>;
export interface OnlineMeetingRestricted extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies the reason shared content from this participant is disabled. Possible values are: watermarkProtection, unknownFutureValue.
     */
    contentSharingDisabled?: OnlineMeetingContentSharingDisabledReason[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the reason video from this participant is disabled. Possible values are: watermarkProtection, unknownFutureValue.
     */
    videoDisabled?: OnlineMeetingVideoDisabledReason[];
}
export declare function serializeOnlineMeetingRestricted(writer: SerializationWriter, onlineMeetingRestricted?: OnlineMeetingRestricted | undefined): void;
