import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type OpenShiftItem } from './openShiftItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenShiftFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShift;
export declare function deserializeIntoOpenShift(openShift?: OpenShift | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenShift extends ChangeTrackedEntity, Parsable {
    /**
     * An unpublished open shift.
     */
    draftOpenShift?: OpenShiftItem;
    /**
     * ID for the scheduling group that the open shift belongs to.
     */
    schedulingGroupId?: string;
    /**
     * A published open shift.
     */
    sharedOpenShift?: OpenShiftItem;
}
export declare function serializeOpenShift(writer: SerializationWriter, openShift?: OpenShift | undefined): void;
