import { type Extension } from './extension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenTypeExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenTypeExtension;
export declare function deserializeIntoOpenTypeExtension(openTypeExtension?: OpenTypeExtension | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenTypeExtension extends Extension, Parsable {
    /**
     * A unique text identifier for an open type data extension. Optional.
     */
    extensionName?: string;
}
export declare function serializeOpenTypeExtension(writer: SerializationWriter, openTypeExtension?: OpenTypeExtension | undefined): void;
