import { type Entity } from './entity';
import { deserializeIntoOnenoteOperation } from './onenoteOperation';
import { OperationStatus } from './operationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteOperation;
export declare function deserializeIntoOperation(operation?: Operation | undefined): Record<string, (node: ParseNode) => void>;
export interface Operation extends Entity, Parsable {
    /**
     * The start time of the operation.
     */
    createdDateTime?: Date;
    /**
     * The time of the last action of the operation.
     */
    lastActionDateTime?: Date;
    /**
     * The current status of the operation: notStarted, running, completed, failed
     */
    status?: OperationStatus;
}
export declare function serializeOperation(writer: SerializationWriter, operation?: Operation | undefined): void;
