import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOperationErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOperationError;
export declare function deserializeIntoOperationError(operationError?: OperationError | undefined): Record<string, (node: ParseNode) => void>;
export interface OperationError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Operation error code.
     */
    code?: string;
    /**
     * Operation error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeOperationError(writer: SerializationWriter, operationError?: OperationError | undefined): void;
