import { type OptionalClaim } from './optionalClaim';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOptionalClaimsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOptionalClaims;
export declare function deserializeIntoOptionalClaims(optionalClaims?: OptionalClaims | undefined): Record<string, (node: ParseNode) => void>;
export interface OptionalClaims extends AdditionalDataHolder, Parsable {
    /**
     * The optional claims returned in the JWT access token.
     */
    accessToken?: OptionalClaim[];
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The optional claims returned in the JWT ID token.
     */
    idToken?: OptionalClaim[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The optional claims returned in the SAML token.
     */
    saml2Token?: OptionalClaim[];
}
export declare function serializeOptionalClaims(writer: SerializationWriter, optionalClaims?: OptionalClaims | undefined): void;
