"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOrgContact = exports.deserializeIntoOrgContact = exports.createOrgContactFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const directoryObject_1 = require("./directoryObject");
const onPremisesProvisioningError_1 = require("./onPremisesProvisioningError");
const phone_1 = require("./phone");
const physicalOfficeAddress_1 = require("./physicalOfficeAddress");
const serviceProvisioningError_1 = require("./serviceProvisioningError");
function createOrgContactFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOrgContact;
}
exports.createOrgContactFromDiscriminatorValue = createOrgContactFromDiscriminatorValue;
function deserializeIntoOrgContact(orgContact = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(orgContact)), { "addresses": n => { orgContact.addresses = n.getCollectionOfObjectValues(physicalOfficeAddress_1.createPhysicalOfficeAddressFromDiscriminatorValue); }, "companyName": n => { orgContact.companyName = n.getStringValue(); }, "department": n => { orgContact.department = n.getStringValue(); }, "directReports": n => { orgContact.directReports = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "displayName": n => { orgContact.displayName = n.getStringValue(); }, "givenName": n => { orgContact.givenName = n.getStringValue(); }, "jobTitle": n => { orgContact.jobTitle = n.getStringValue(); }, "mail": n => { orgContact.mail = n.getStringValue(); }, "mailNickname": n => { orgContact.mailNickname = n.getStringValue(); }, "manager": n => { orgContact.manager = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "memberOf": n => { orgContact.memberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "onPremisesLastSyncDateTime": n => { orgContact.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesProvisioningErrors": n => { orgContact.onPremisesProvisioningErrors = n.getCollectionOfObjectValues(onPremisesProvisioningError_1.createOnPremisesProvisioningErrorFromDiscriminatorValue); }, "onPremisesSyncEnabled": n => { orgContact.onPremisesSyncEnabled = n.getBooleanValue(); }, "phones": n => { orgContact.phones = n.getCollectionOfObjectValues(phone_1.createPhoneFromDiscriminatorValue); }, "proxyAddresses": n => { orgContact.proxyAddresses = n.getCollectionOfPrimitiveValues(); }, "serviceProvisioningErrors": n => { orgContact.serviceProvisioningErrors = n.getCollectionOfObjectValues(serviceProvisioningError_1.createServiceProvisioningErrorFromDiscriminatorValue); }, "surname": n => { orgContact.surname = n.getStringValue(); }, "transitiveMemberOf": n => { orgContact.transitiveMemberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); } });
}
exports.deserializeIntoOrgContact = deserializeIntoOrgContact;
function serializeOrgContact(writer, orgContact = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, orgContact);
    writer.writeCollectionOfObjectValues("addresses", orgContact.addresses, physicalOfficeAddress_1.serializePhysicalOfficeAddress);
    writer.writeStringValue("companyName", orgContact.companyName);
    writer.writeStringValue("department", orgContact.department);
    writer.writeCollectionOfObjectValues("directReports", orgContact.directReports, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("displayName", orgContact.displayName);
    writer.writeStringValue("givenName", orgContact.givenName);
    writer.writeStringValue("jobTitle", orgContact.jobTitle);
    writer.writeStringValue("mail", orgContact.mail);
    writer.writeStringValue("mailNickname", orgContact.mailNickname);
    writer.writeObjectValue("manager", orgContact.manager, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("memberOf", orgContact.memberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeDateValue("onPremisesLastSyncDateTime", orgContact.onPremisesLastSyncDateTime);
    writer.writeCollectionOfObjectValues("onPremisesProvisioningErrors", orgContact.onPremisesProvisioningErrors, onPremisesProvisioningError_1.serializeOnPremisesProvisioningError);
    writer.writeBooleanValue("onPremisesSyncEnabled", orgContact.onPremisesSyncEnabled);
    writer.writeCollectionOfObjectValues("phones", orgContact.phones, phone_1.serializePhone);
    writer.writeCollectionOfPrimitiveValues("proxyAddresses", orgContact.proxyAddresses);
    writer.writeCollectionOfObjectValues("serviceProvisioningErrors", orgContact.serviceProvisioningErrors, serviceProvisioningError_1.serializeServiceProvisioningError);
    writer.writeStringValue("surname", orgContact.surname);
    writer.writeCollectionOfObjectValues("transitiveMemberOf", orgContact.transitiveMemberOf, directoryObject_1.serializeDirectoryObject);
}
exports.serializeOrgContact = serializeOrgContact;
// tslint:enable
// eslint-enable
