"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOrganization = exports.deserializeIntoOrganization = exports.createOrganizationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const assignedPlan_1 = require("./assignedPlan");
const certificateBasedAuthConfiguration_1 = require("./certificateBasedAuthConfiguration");
const directoryObject_1 = require("./directoryObject");
const extension_1 = require("./extension");
const mdmAuthority_1 = require("./mdmAuthority");
const organizationalBranding_1 = require("./organizationalBranding");
const partnerTenantType_1 = require("./partnerTenantType");
const privacyProfile_1 = require("./privacyProfile");
const provisionedPlan_1 = require("./provisionedPlan");
const verifiedDomain_1 = require("./verifiedDomain");
function createOrganizationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOrganization;
}
exports.createOrganizationFromDiscriminatorValue = createOrganizationFromDiscriminatorValue;
function deserializeIntoOrganization(organization = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(organization)), { "assignedPlans": n => { organization.assignedPlans = n.getCollectionOfObjectValues(assignedPlan_1.createAssignedPlanFromDiscriminatorValue); }, "branding": n => { organization.branding = n.getObjectValue(organizationalBranding_1.createOrganizationalBrandingFromDiscriminatorValue); }, "businessPhones": n => { organization.businessPhones = n.getCollectionOfPrimitiveValues(); }, "certificateBasedAuthConfiguration": n => { organization.certificateBasedAuthConfiguration = n.getCollectionOfObjectValues(certificateBasedAuthConfiguration_1.createCertificateBasedAuthConfigurationFromDiscriminatorValue); }, "city": n => { organization.city = n.getStringValue(); }, "country": n => { organization.country = n.getStringValue(); }, "countryLetterCode": n => { organization.countryLetterCode = n.getStringValue(); }, "createdDateTime": n => { organization.createdDateTime = n.getDateValue(); }, "defaultUsageLocation": n => { organization.defaultUsageLocation = n.getStringValue(); }, "displayName": n => { organization.displayName = n.getStringValue(); }, "extensions": n => { organization.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "marketingNotificationEmails": n => { organization.marketingNotificationEmails = n.getCollectionOfPrimitiveValues(); }, "mobileDeviceManagementAuthority": n => { organization.mobileDeviceManagementAuthority = n.getEnumValue(mdmAuthority_1.MdmAuthority); }, "onPremisesLastSyncDateTime": n => { organization.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesSyncEnabled": n => { organization.onPremisesSyncEnabled = n.getBooleanValue(); }, "partnerTenantType": n => { organization.partnerTenantType = n.getEnumValue(partnerTenantType_1.PartnerTenantType); }, "postalCode": n => { organization.postalCode = n.getStringValue(); }, "preferredLanguage": n => { organization.preferredLanguage = n.getStringValue(); }, "privacyProfile": n => { organization.privacyProfile = n.getObjectValue(privacyProfile_1.createPrivacyProfileFromDiscriminatorValue); }, "provisionedPlans": n => { organization.provisionedPlans = n.getCollectionOfObjectValues(provisionedPlan_1.createProvisionedPlanFromDiscriminatorValue); }, "securityComplianceNotificationMails": n => { organization.securityComplianceNotificationMails = n.getCollectionOfPrimitiveValues(); }, "securityComplianceNotificationPhones": n => { organization.securityComplianceNotificationPhones = n.getCollectionOfPrimitiveValues(); }, "state": n => { organization.state = n.getStringValue(); }, "street": n => { organization.street = n.getStringValue(); }, "technicalNotificationMails": n => { organization.technicalNotificationMails = n.getCollectionOfPrimitiveValues(); }, "tenantType": n => { organization.tenantType = n.getStringValue(); }, "verifiedDomains": n => { organization.verifiedDomains = n.getCollectionOfObjectValues(verifiedDomain_1.createVerifiedDomainFromDiscriminatorValue); } });
}
exports.deserializeIntoOrganization = deserializeIntoOrganization;
function serializeOrganization(writer, organization = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, organization);
    writer.writeCollectionOfObjectValues("assignedPlans", organization.assignedPlans, assignedPlan_1.serializeAssignedPlan);
    writer.writeObjectValue("branding", organization.branding, organizationalBranding_1.serializeOrganizationalBranding);
    writer.writeCollectionOfPrimitiveValues("businessPhones", organization.businessPhones);
    writer.writeCollectionOfObjectValues("certificateBasedAuthConfiguration", organization.certificateBasedAuthConfiguration, certificateBasedAuthConfiguration_1.serializeCertificateBasedAuthConfiguration);
    writer.writeStringValue("city", organization.city);
    writer.writeStringValue("country", organization.country);
    writer.writeStringValue("countryLetterCode", organization.countryLetterCode);
    writer.writeDateValue("createdDateTime", organization.createdDateTime);
    writer.writeStringValue("defaultUsageLocation", organization.defaultUsageLocation);
    writer.writeStringValue("displayName", organization.displayName);
    writer.writeCollectionOfObjectValues("extensions", organization.extensions, extension_1.serializeExtension);
    writer.writeCollectionOfPrimitiveValues("marketingNotificationEmails", organization.marketingNotificationEmails);
    writer.writeEnumValue("mobileDeviceManagementAuthority", organization.mobileDeviceManagementAuthority);
    writer.writeDateValue("onPremisesLastSyncDateTime", organization.onPremisesLastSyncDateTime);
    writer.writeBooleanValue("onPremisesSyncEnabled", organization.onPremisesSyncEnabled);
    writer.writeEnumValue("partnerTenantType", organization.partnerTenantType);
    writer.writeStringValue("postalCode", organization.postalCode);
    writer.writeStringValue("preferredLanguage", organization.preferredLanguage);
    writer.writeObjectValue("privacyProfile", organization.privacyProfile, privacyProfile_1.serializePrivacyProfile);
    writer.writeCollectionOfObjectValues("provisionedPlans", organization.provisionedPlans, provisionedPlan_1.serializeProvisionedPlan);
    writer.writeCollectionOfPrimitiveValues("securityComplianceNotificationMails", organization.securityComplianceNotificationMails);
    writer.writeCollectionOfPrimitiveValues("securityComplianceNotificationPhones", organization.securityComplianceNotificationPhones);
    writer.writeStringValue("state", organization.state);
    writer.writeStringValue("street", organization.street);
    writer.writeCollectionOfPrimitiveValues("technicalNotificationMails", organization.technicalNotificationMails);
    writer.writeStringValue("tenantType", organization.tenantType);
    writer.writeCollectionOfObjectValues("verifiedDomains", organization.verifiedDomains, verifiedDomain_1.serializeVerifiedDomain);
}
exports.serializeOrganization = serializeOrganization;
// tslint:enable
// eslint-enable
