"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOrganizationalBrandingProperties = exports.deserializeIntoOrganizationalBrandingProperties = exports.createOrganizationalBrandingPropertiesFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const loginPageLayoutConfiguration_1 = require("./loginPageLayoutConfiguration");
const loginPageTextVisibilitySettings_1 = require("./loginPageTextVisibilitySettings");
const organizationalBranding_1 = require("./organizationalBranding");
const organizationalBrandingLocalization_1 = require("./organizationalBrandingLocalization");
function createOrganizationalBrandingPropertiesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.organizationalBranding":
                    return organizationalBranding_1.deserializeIntoOrganizationalBranding;
                case "#microsoft.graph.organizationalBrandingLocalization":
                    return organizationalBrandingLocalization_1.deserializeIntoOrganizationalBrandingLocalization;
            }
        }
    }
    return deserializeIntoOrganizationalBrandingProperties;
}
exports.createOrganizationalBrandingPropertiesFromDiscriminatorValue = createOrganizationalBrandingPropertiesFromDiscriminatorValue;
function deserializeIntoOrganizationalBrandingProperties(organizationalBrandingProperties = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(organizationalBrandingProperties)), { "backgroundColor": n => { organizationalBrandingProperties.backgroundColor = n.getStringValue(); }, "backgroundImage": n => { organizationalBrandingProperties.backgroundImage = n.getStringValue(); }, "backgroundImageRelativeUrl": n => { organizationalBrandingProperties.backgroundImageRelativeUrl = n.getStringValue(); }, "bannerLogo": n => { organizationalBrandingProperties.bannerLogo = n.getStringValue(); }, "bannerLogoRelativeUrl": n => { organizationalBrandingProperties.bannerLogoRelativeUrl = n.getStringValue(); }, "cdnList": n => { organizationalBrandingProperties.cdnList = n.getCollectionOfPrimitiveValues(); }, "customAccountResetCredentialsUrl": n => { organizationalBrandingProperties.customAccountResetCredentialsUrl = n.getStringValue(); }, "customCannotAccessYourAccountText": n => { organizationalBrandingProperties.customCannotAccessYourAccountText = n.getStringValue(); }, "customCannotAccessYourAccountUrl": n => { organizationalBrandingProperties.customCannotAccessYourAccountUrl = n.getStringValue(); }, "customCSS": n => { organizationalBrandingProperties.customCSS = n.getStringValue(); }, "customCSSRelativeUrl": n => { organizationalBrandingProperties.customCSSRelativeUrl = n.getStringValue(); }, "customForgotMyPasswordText": n => { organizationalBrandingProperties.customForgotMyPasswordText = n.getStringValue(); }, "customPrivacyAndCookiesText": n => { organizationalBrandingProperties.customPrivacyAndCookiesText = n.getStringValue(); }, "customPrivacyAndCookiesUrl": n => { organizationalBrandingProperties.customPrivacyAndCookiesUrl = n.getStringValue(); }, "customResetItNowText": n => { organizationalBrandingProperties.customResetItNowText = n.getStringValue(); }, "customTermsOfUseText": n => { organizationalBrandingProperties.customTermsOfUseText = n.getStringValue(); }, "customTermsOfUseUrl": n => { organizationalBrandingProperties.customTermsOfUseUrl = n.getStringValue(); }, "favicon": n => { organizationalBrandingProperties.favicon = n.getStringValue(); }, "faviconRelativeUrl": n => { organizationalBrandingProperties.faviconRelativeUrl = n.getStringValue(); }, "headerBackgroundColor": n => { organizationalBrandingProperties.headerBackgroundColor = n.getStringValue(); }, "headerLogo": n => { organizationalBrandingProperties.headerLogo = n.getStringValue(); }, "headerLogoRelativeUrl": n => { organizationalBrandingProperties.headerLogoRelativeUrl = n.getStringValue(); }, "loginPageLayoutConfiguration": n => { organizationalBrandingProperties.loginPageLayoutConfiguration = n.getObjectValue(loginPageLayoutConfiguration_1.createLoginPageLayoutConfigurationFromDiscriminatorValue); }, "loginPageTextVisibilitySettings": n => { organizationalBrandingProperties.loginPageTextVisibilitySettings = n.getObjectValue(loginPageTextVisibilitySettings_1.createLoginPageTextVisibilitySettingsFromDiscriminatorValue); }, "signInPageText": n => { organizationalBrandingProperties.signInPageText = n.getStringValue(); }, "squareLogo": n => { organizationalBrandingProperties.squareLogo = n.getStringValue(); }, "squareLogoDark": n => { organizationalBrandingProperties.squareLogoDark = n.getStringValue(); }, "squareLogoDarkRelativeUrl": n => { organizationalBrandingProperties.squareLogoDarkRelativeUrl = n.getStringValue(); }, "squareLogoRelativeUrl": n => { organizationalBrandingProperties.squareLogoRelativeUrl = n.getStringValue(); }, "usernameHintText": n => { organizationalBrandingProperties.usernameHintText = n.getStringValue(); } });
}
exports.deserializeIntoOrganizationalBrandingProperties = deserializeIntoOrganizationalBrandingProperties;
function serializeOrganizationalBrandingProperties(writer, organizationalBrandingProperties = {}) {
    (0, entity_1.serializeEntity)(writer, organizationalBrandingProperties);
    writer.writeStringValue("backgroundColor", organizationalBrandingProperties.backgroundColor);
    writer.writeStringValue("backgroundImage", organizationalBrandingProperties.backgroundImage);
    writer.writeStringValue("backgroundImageRelativeUrl", organizationalBrandingProperties.backgroundImageRelativeUrl);
    writer.writeStringValue("bannerLogo", organizationalBrandingProperties.bannerLogo);
    writer.writeStringValue("bannerLogoRelativeUrl", organizationalBrandingProperties.bannerLogoRelativeUrl);
    writer.writeCollectionOfPrimitiveValues("cdnList", organizationalBrandingProperties.cdnList);
    writer.writeStringValue("customAccountResetCredentialsUrl", organizationalBrandingProperties.customAccountResetCredentialsUrl);
    writer.writeStringValue("customCannotAccessYourAccountText", organizationalBrandingProperties.customCannotAccessYourAccountText);
    writer.writeStringValue("customCannotAccessYourAccountUrl", organizationalBrandingProperties.customCannotAccessYourAccountUrl);
    writer.writeStringValue("customCSS", organizationalBrandingProperties.customCSS);
    writer.writeStringValue("customCSSRelativeUrl", organizationalBrandingProperties.customCSSRelativeUrl);
    writer.writeStringValue("customForgotMyPasswordText", organizationalBrandingProperties.customForgotMyPasswordText);
    writer.writeStringValue("customPrivacyAndCookiesText", organizationalBrandingProperties.customPrivacyAndCookiesText);
    writer.writeStringValue("customPrivacyAndCookiesUrl", organizationalBrandingProperties.customPrivacyAndCookiesUrl);
    writer.writeStringValue("customResetItNowText", organizationalBrandingProperties.customResetItNowText);
    writer.writeStringValue("customTermsOfUseText", organizationalBrandingProperties.customTermsOfUseText);
    writer.writeStringValue("customTermsOfUseUrl", organizationalBrandingProperties.customTermsOfUseUrl);
    writer.writeStringValue("favicon", organizationalBrandingProperties.favicon);
    writer.writeStringValue("faviconRelativeUrl", organizationalBrandingProperties.faviconRelativeUrl);
    writer.writeStringValue("headerBackgroundColor", organizationalBrandingProperties.headerBackgroundColor);
    writer.writeStringValue("headerLogo", organizationalBrandingProperties.headerLogo);
    writer.writeStringValue("headerLogoRelativeUrl", organizationalBrandingProperties.headerLogoRelativeUrl);
    writer.writeObjectValue("loginPageLayoutConfiguration", organizationalBrandingProperties.loginPageLayoutConfiguration, loginPageLayoutConfiguration_1.serializeLoginPageLayoutConfiguration);
    writer.writeObjectValue("loginPageTextVisibilitySettings", organizationalBrandingProperties.loginPageTextVisibilitySettings, loginPageTextVisibilitySettings_1.serializeLoginPageTextVisibilitySettings);
    writer.writeStringValue("signInPageText", organizationalBrandingProperties.signInPageText);
    writer.writeStringValue("squareLogo", organizationalBrandingProperties.squareLogo);
    writer.writeStringValue("squareLogoDark", organizationalBrandingProperties.squareLogoDark);
    writer.writeStringValue("squareLogoDarkRelativeUrl", organizationalBrandingProperties.squareLogoDarkRelativeUrl);
    writer.writeStringValue("squareLogoRelativeUrl", organizationalBrandingProperties.squareLogoRelativeUrl);
    writer.writeStringValue("usernameHintText", organizationalBrandingProperties.usernameHintText);
}
exports.serializeOrganizationalBrandingProperties = serializeOrganizationalBrandingProperties;
// tslint:enable
// eslint-enable
