import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOsVersionCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOsVersionCount;
export declare function deserializeIntoOsVersionCount(osVersionCount?: OsVersionCount | undefined): Record<string, (node: ParseNode) => void>;
export interface OsVersionCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of devices with malware for the OS version
     */
    deviceCount?: number;
    /**
     * The Timestamp of the last update for the device count in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * OS version
     */
    osVersion?: string;
}
export declare function serializeOsVersionCount(writer: SerializationWriter, osVersionCount?: OsVersionCount | undefined): void;
