import { CategoryColor } from './categoryColor';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOutlookCategoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOutlookCategory;
export declare function deserializeIntoOutlookCategory(outlookCategory?: OutlookCategory | undefined): Record<string, (node: ParseNode) => void>;
export interface OutlookCategory extends Entity, Parsable {
    /**
     * A pre-set color constant that characterizes a category, and that is mapped to one of 25 predefined colors. For more details, see the following note.
     */
    color?: CategoryColor;
    /**
     * A unique name that identifies a category in the user's mailbox. After a category is created, the name cannot be changed. Read-only.
     */
    displayName?: string;
}
export declare function serializeOutlookCategory(writer: SerializationWriter, outlookCategory?: OutlookCategory | undefined): void;
