import { type Entity } from './entity';
import { deserializeIntoEvent } from './event';
import { deserializeIntoEventMessageRequest } from './eventMessageRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOutlookItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventMessageRequest | typeof deserializeIntoEvent;
export declare function deserializeIntoOutlookItem(outlookItem?: OutlookItem | undefined): Record<string, (node: ParseNode) => void>;
export interface OutlookItem extends Entity, Parsable {
    /**
     * The categories associated with the item
     */
    categories?: string[];
    /**
     * Identifies the version of the item. Every time the item is changed, changeKey changes as well. This allows Exchange to apply changes to the correct version of the object. Read-only.
     */
    changeKey?: string;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    createdDateTime?: Date;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeOutlookItem(writer: SerializationWriter, outlookItem?: OutlookItem | undefined): void;
