"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOutlookItem = exports.deserializeIntoOutlookItem = exports.createOutlookItemFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const calendarSharingMessage_1 = require("./calendarSharingMessage");
const contact_1 = require("./contact");
const entity_1 = require("./entity");
const event_1 = require("./event");
const eventMessage_1 = require("./eventMessage");
const eventMessageRequest_1 = require("./eventMessageRequest");
const eventMessageResponse_1 = require("./eventMessageResponse");
const message_1 = require("./message");
const post_1 = require("./post");
function createOutlookItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.calendarSharingMessage":
                    return calendarSharingMessage_1.deserializeIntoCalendarSharingMessage;
                case "#microsoft.graph.contact":
                    return contact_1.deserializeIntoContact;
                case "#microsoft.graph.event":
                    return event_1.deserializeIntoEvent;
                case "#microsoft.graph.eventMessage":
                    return eventMessage_1.deserializeIntoEventMessage;
                case "#microsoft.graph.eventMessageRequest":
                    return eventMessageRequest_1.deserializeIntoEventMessageRequest;
                case "#microsoft.graph.eventMessageResponse":
                    return eventMessageResponse_1.deserializeIntoEventMessageResponse;
                case "#microsoft.graph.message":
                    return message_1.deserializeIntoMessage;
                case "#microsoft.graph.post":
                    return post_1.deserializeIntoPost;
            }
        }
    }
    return deserializeIntoOutlookItem;
}
exports.createOutlookItemFromDiscriminatorValue = createOutlookItemFromDiscriminatorValue;
function deserializeIntoOutlookItem(outlookItem = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(outlookItem)), { "categories": n => { outlookItem.categories = n.getCollectionOfPrimitiveValues(); }, "changeKey": n => { outlookItem.changeKey = n.getStringValue(); }, "createdDateTime": n => { outlookItem.createdDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { outlookItem.lastModifiedDateTime = n.getDateValue(); } });
}
exports.deserializeIntoOutlookItem = deserializeIntoOutlookItem;
function serializeOutlookItem(writer, outlookItem = {}) {
    (0, entity_1.serializeEntity)(writer, outlookItem);
    writer.writeCollectionOfPrimitiveValues("categories", outlookItem.categories);
    writer.writeStringValue("changeKey", outlookItem.changeKey);
    writer.writeDateValue("createdDateTime", outlookItem.createdDateTime);
    writer.writeDateValue("lastModifiedDateTime", outlookItem.lastModifiedDateTime);
}
exports.serializeOutlookItem = serializeOutlookItem;
// tslint:enable
// eslint-enable
