import { type ExternalLink } from './externalLink';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPageLinksFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPageLinks;
export declare function deserializeIntoPageLinks(pageLinks?: PageLinks | undefined): Record<string, (node: ParseNode) => void>;
export interface PageLinks extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Opens the page in the OneNote native client if it's installed.
     */
    oneNoteClientUrl?: ExternalLink;
    /**
     * Opens the page in OneNote on the web.
     */
    oneNoteWebUrl?: ExternalLink;
}
export declare function serializePageLinks(writer: SerializationWriter, pageLinks?: PageLinks | undefined): void;
