"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeParentalControlSettings = exports.deserializeIntoParentalControlSettings = exports.createParentalControlSettingsFromDiscriminatorValue = void 0;
function createParentalControlSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoParentalControlSettings;
}
exports.createParentalControlSettingsFromDiscriminatorValue = createParentalControlSettingsFromDiscriminatorValue;
function deserializeIntoParentalControlSettings(parentalControlSettings = {}) {
    return {
        "countriesBlockedForMinors": n => { parentalControlSettings.countriesBlockedForMinors = n.getCollectionOfPrimitiveValues(); },
        "legalAgeGroupRule": n => { parentalControlSettings.legalAgeGroupRule = n.getStringValue(); },
        "@odata.type": n => { parentalControlSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoParentalControlSettings = deserializeIntoParentalControlSettings;
function serializeParentalControlSettings(writer, parentalControlSettings = {}) {
    writer.writeCollectionOfPrimitiveValues("countriesBlockedForMinors", parentalControlSettings.countriesBlockedForMinors);
    writer.writeStringValue("legalAgeGroupRule", parentalControlSettings.legalAgeGroupRule);
    writer.writeStringValue("@odata.type", parentalControlSettings.odataType);
    writer.writeAdditionalData(parentalControlSettings.additionalData);
}
exports.serializeParentalControlSettings = serializeParentalControlSettings;
// tslint:enable
// eslint-enable
