import { type AttributeMappingSource } from './attributeMappingSource';
import { type PublicError } from './publicError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParseExpressionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParseExpressionResponse;
export declare function deserializeIntoParseExpressionResponse(parseExpressionResponse?: ParseExpressionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ParseExpressionResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Error details, if expression evaluation resulted in an error.
     */
    errorEscaped?: PublicError;
    /**
     * A collection of values produced by the evaluation of the expression.
     */
    evaluationResult?: string[];
    /**
     * true if the evaluation was successful.
     */
    evaluationSucceeded?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * An attributeMappingSource object representing the parsed expression.
     */
    parsedExpression?: AttributeMappingSource;
    /**
     * true if the expression was parsed successfully.
     */
    parsingSucceeded?: boolean;
}
export declare function serializeParseExpressionResponse(writer: SerializationWriter, parseExpressionResponse?: ParseExpressionResponse | undefined): void;
