import { EndpointType } from './endpointType';
import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantInfo;
export declare function deserializeIntoParticipantInfo(participantInfo?: ParticipantInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ParticipantInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The ISO 3166-1 Alpha-2 country code of the participant's best estimated physical location at the start of the call. Read-only.
     */
    countryCode?: string;
    /**
     * The type of endpoint the participant is using. Possible values are: default, skypeForBusiness, or skypeForBusinessVoipPhone. Read-only.
     */
    endpointType?: EndpointType;
    /**
     * The identity property
     */
    identity?: IdentitySet;
    /**
     * The language culture string. Read-only.
     */
    languageId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The participant ID of the participant. Read-only.
     */
    participantId?: string;
    /**
     * The home region of the participant. This can be a country, a continent, or a larger geographic region. This doesn't change based on the participant's current physical location. Read-only.
     */
    region?: string;
}
export declare function serializeParticipantInfo(writer: SerializationWriter, participantInfo?: ParticipantInfo | undefined): void;
