import { type AuthenticationMethod } from './authenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPasswordAuthenticationMethodFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPasswordAuthenticationMethod;
export declare function deserializeIntoPasswordAuthenticationMethod(passwordAuthenticationMethod?: PasswordAuthenticationMethod | undefined): Record<string, (node: ParseNode) => void>;
export interface PasswordAuthenticationMethod extends AuthenticationMethod, Parsable {
    /**
     * The date and time when this password was last updated. This property is currently not populated. Read-only. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * For security, the password is always returned as null from a LIST or GET operation.
     */
    password?: string;
}
export declare function serializePasswordAuthenticationMethod(writer: SerializationWriter, passwordAuthenticationMethod?: PasswordAuthenticationMethod | undefined): void;
