import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createPasswordCredentialFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPasswordCredential;
export declare function deserializeIntoPasswordCredential(passwordCredential?: PasswordCredential | undefined): Record<string, (node: ParseNode) => void>;
export interface PasswordCredential extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Do not use.
     */
    customKeyIdentifier?: string;
    /**
     * Friendly name for the password. Optional.
     */
    displayName?: string;
    /**
     * The date and time at which the password expires represented using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     */
    endDateTime?: Date;
    /**
     * Contains the first three characters of the password. Read-only.
     */
    hint?: string;
    /**
     * The unique identifier for the password.
     */
    keyId?: Guid;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Read-only; Contains the strong passwords generated by Microsoft Entra ID that are 16-64 characters in length. The generated password value is only returned during the initial POST request to addPassword. There is no way to retrieve this password in the future.
     */
    secretText?: string;
    /**
     * The date and time at which the password becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     */
    startDateTime?: Date;
}
export declare function serializePasswordCredential(writer: SerializationWriter, passwordCredential?: PasswordCredential | undefined): void;
