"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePasswordCredential = exports.deserializeIntoPasswordCredential = exports.createPasswordCredentialFromDiscriminatorValue = void 0;
function createPasswordCredentialFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPasswordCredential;
}
exports.createPasswordCredentialFromDiscriminatorValue = createPasswordCredentialFromDiscriminatorValue;
function deserializeIntoPasswordCredential(passwordCredential = {}) {
    return {
        "customKeyIdentifier": n => { passwordCredential.customKeyIdentifier = n.getStringValue(); },
        "displayName": n => { passwordCredential.displayName = n.getStringValue(); },
        "endDateTime": n => { passwordCredential.endDateTime = n.getDateValue(); },
        "hint": n => { passwordCredential.hint = n.getStringValue(); },
        "keyId": n => { passwordCredential.keyId = n.getGuidValue(); },
        "@odata.type": n => { passwordCredential.odataType = n.getStringValue(); },
        "secretText": n => { passwordCredential.secretText = n.getStringValue(); },
        "startDateTime": n => { passwordCredential.startDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoPasswordCredential = deserializeIntoPasswordCredential;
function serializePasswordCredential(writer, passwordCredential = {}) {
    writer.writeStringValue("customKeyIdentifier", passwordCredential.customKeyIdentifier);
    writer.writeStringValue("displayName", passwordCredential.displayName);
    writer.writeDateValue("endDateTime", passwordCredential.endDateTime);
    writer.writeStringValue("hint", passwordCredential.hint);
    writer.writeGuidValue("keyId", passwordCredential.keyId);
    writer.writeStringValue("@odata.type", passwordCredential.odataType);
    writer.writeStringValue("secretText", passwordCredential.secretText);
    writer.writeDateValue("startDateTime", passwordCredential.startDateTime);
    writer.writeAdditionalData(passwordCredential.additionalData);
}
exports.serializePasswordCredential = serializePasswordCredential;
// tslint:enable
// eslint-enable
