import { AppCredentialRestrictionType } from './appCredentialRestrictionType';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPasswordCredentialConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPasswordCredentialConfiguration;
export declare function deserializeIntoPasswordCredentialConfiguration(passwordCredentialConfiguration?: PasswordCredentialConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface PasswordCredentialConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The maxLifetime property
     */
    maxLifetime?: Duration;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Enforces the policy for an app created on or after the enforcement date. For existing applications, the enforcement date would be back dated. To apply to all applications, enforcement datetime would be null.
     */
    restrictForAppsCreatedAfterDateTime?: Date;
    /**
     * The type of restriction being applied. The possible values are: passwordAddition, passwordLifetime, symmetricKeyAddition, symmetricKeyLifetime,customPasswordAddition, unknownFutureValue. Each value of restrictionType can be used only once per policy.
     */
    restrictionType?: AppCredentialRestrictionType;
}
export declare function serializePasswordCredentialConfiguration(writer: SerializationWriter, passwordCredentialConfiguration?: PasswordCredentialConfiguration | undefined): void;
