import { type RecurrencePattern } from './recurrencePattern';
import { type RecurrenceRange } from './recurrenceRange';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPatternedRecurrenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPatternedRecurrence;
export declare function deserializeIntoPatternedRecurrence(patternedRecurrence?: PatternedRecurrence | undefined): Record<string, (node: ParseNode) => void>;
export interface PatternedRecurrence extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The frequency of an event.  For access reviews: Do not specify this property for a one-time access review.  Only interval, dayOfMonth, and type (weekly, absoluteMonthly) properties of recurrencePattern are supported.
     */
    pattern?: RecurrencePattern;
    /**
     * The duration of an event.
     */
    range?: RecurrenceRange;
}
export declare function serializePatternedRecurrence(writer: SerializationWriter, patternedRecurrence?: PatternedRecurrence | undefined): void;
