import { deserializeIntoEmailPayloadDetail } from './emailPayloadDetail';
import { type PayloadCoachmark } from './payloadCoachmark';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPayloadDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailPayloadDetail;
export declare function deserializeIntoPayloadDetail(payloadDetail?: PayloadDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface PayloadDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Payload coachmark details.
     */
    coachmarks?: PayloadCoachmark[];
    /**
     * Payload content details.
     */
    content?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The phishing URL used to target a user.
     */
    phishingUrl?: string;
}
export declare function serializePayloadDetail(writer: SerializationWriter, payloadDetail?: PayloadDetail | undefined): void;
