"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePayloadDetail = exports.deserializeIntoPayloadDetail = exports.createPayloadDetailFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const emailPayloadDetail_1 = require("./emailPayloadDetail");
const payloadCoachmark_1 = require("./payloadCoachmark");
function createPayloadDetailFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.emailPayloadDetail":
                    return emailPayloadDetail_1.deserializeIntoEmailPayloadDetail;
            }
        }
    }
    return deserializeIntoPayloadDetail;
}
exports.createPayloadDetailFromDiscriminatorValue = createPayloadDetailFromDiscriminatorValue;
function deserializeIntoPayloadDetail(payloadDetail = {}) {
    return {
        "coachmarks": n => { payloadDetail.coachmarks = n.getCollectionOfObjectValues(payloadCoachmark_1.createPayloadCoachmarkFromDiscriminatorValue); },
        "content": n => { payloadDetail.content = n.getStringValue(); },
        "@odata.type": n => { payloadDetail.odataType = n.getStringValue(); },
        "phishingUrl": n => { payloadDetail.phishingUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoPayloadDetail = deserializeIntoPayloadDetail;
function serializePayloadDetail(writer, payloadDetail = {}) {
    writer.writeCollectionOfObjectValues("coachmarks", payloadDetail.coachmarks, payloadCoachmark_1.serializePayloadCoachmark);
    writer.writeStringValue("content", payloadDetail.content);
    writer.writeStringValue("@odata.type", payloadDetail.odataType);
    writer.writeStringValue("phishingUrl", payloadDetail.phishingUrl);
    writer.writeAdditionalData(payloadDetail.additionalData);
}
exports.serializePayloadDetail = serializePayloadDetail;
// tslint:enable
// eslint-enable
