import { type PendingContentUpdate } from './pendingContentUpdate';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPendingOperationsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPendingOperations;
export declare function deserializeIntoPendingOperations(pendingOperations?: PendingOperations | undefined): Record<string, (node: ParseNode) => void>;
export interface PendingOperations extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A property that indicates that an operation that might update the binary content of a file is pending completion.
     */
    pendingContentUpdate?: PendingContentUpdate;
}
export declare function serializePendingOperations(writer: SerializationWriter, pendingOperations?: PendingOperations | undefined): void;
