import { type Entity } from './entity';
import { type ProfileCardProperty } from './profileCardProperty';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPeopleAdminSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPeopleAdminSettings;
export declare function deserializeIntoPeopleAdminSettings(peopleAdminSettings?: PeopleAdminSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface PeopleAdminSettings extends Entity, Parsable {
    /**
     * Contains a collection of the properties an administrator has defined as visible on the Microsoft 365 profile card.
     */
    profileCardProperties?: ProfileCardProperty[];
}
export declare function serializePeopleAdminSettings(writer: SerializationWriter, peopleAdminSettings?: PeopleAdminSettings | undefined): void;
