import { type PermissionGrantConditionSet } from './permissionGrantConditionSet';
import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermissionGrantPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermissionGrantPolicy;
export declare function deserializeIntoPermissionGrantPolicy(permissionGrantPolicy?: PermissionGrantPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface PermissionGrantPolicy extends Parsable, PolicyBase {
    /**
     * Condition sets which are excluded in this permission grant policy. Automatically expanded on GET.
     */
    excludes?: PermissionGrantConditionSet[];
    /**
     * Condition sets which are included in this permission grant policy. Automatically expanded on GET.
     */
    includes?: PermissionGrantConditionSet[];
}
export declare function serializePermissionGrantPolicy(writer: SerializationWriter, permissionGrantPolicy?: PermissionGrantPolicy | undefined): void;
