"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePermissionScope = exports.deserializeIntoPermissionScope = exports.createPermissionScopeFromDiscriminatorValue = void 0;
function createPermissionScopeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPermissionScope;
}
exports.createPermissionScopeFromDiscriminatorValue = createPermissionScopeFromDiscriminatorValue;
function deserializeIntoPermissionScope(permissionScope = {}) {
    return {
        "adminConsentDescription": n => { permissionScope.adminConsentDescription = n.getStringValue(); },
        "adminConsentDisplayName": n => { permissionScope.adminConsentDisplayName = n.getStringValue(); },
        "id": n => { permissionScope.id = n.getGuidValue(); },
        "isEnabled": n => { permissionScope.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { permissionScope.odataType = n.getStringValue(); },
        "origin": n => { permissionScope.origin = n.getStringValue(); },
        "type": n => { permissionScope.type = n.getStringValue(); },
        "userConsentDescription": n => { permissionScope.userConsentDescription = n.getStringValue(); },
        "userConsentDisplayName": n => { permissionScope.userConsentDisplayName = n.getStringValue(); },
        "value": n => { permissionScope.value = n.getStringValue(); },
    };
}
exports.deserializeIntoPermissionScope = deserializeIntoPermissionScope;
function serializePermissionScope(writer, permissionScope = {}) {
    writer.writeStringValue("adminConsentDescription", permissionScope.adminConsentDescription);
    writer.writeStringValue("adminConsentDisplayName", permissionScope.adminConsentDisplayName);
    writer.writeGuidValue("id", permissionScope.id);
    writer.writeBooleanValue("isEnabled", permissionScope.isEnabled);
    writer.writeStringValue("@odata.type", permissionScope.odataType);
    writer.writeStringValue("origin", permissionScope.origin);
    writer.writeStringValue("type", permissionScope.type);
    writer.writeStringValue("userConsentDescription", permissionScope.userConsentDescription);
    writer.writeStringValue("userConsentDisplayName", permissionScope.userConsentDisplayName);
    writer.writeStringValue("value", permissionScope.value);
    writer.writeAdditionalData(permissionScope.additionalData);
}
exports.serializePermissionScope = serializePermissionScope;
// tslint:enable
// eslint-enable
