import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPersonOrGroupColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPersonOrGroupColumn;
export declare function deserializeIntoPersonOrGroupColumn(personOrGroupColumn?: PersonOrGroupColumn | undefined): Record<string, (node: ParseNode) => void>;
export interface PersonOrGroupColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether multiple values can be selected from the source.
     */
    allowMultipleSelection?: boolean;
    /**
     * Whether to allow selection of people only, or people and groups. Must be one of peopleAndGroups or peopleOnly.
     */
    chooseFromType?: string;
    /**
     * How to display the information about the person or group chosen. See below.
     */
    displayAs?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePersonOrGroupColumn(writer: SerializationWriter, personOrGroupColumn?: PersonOrGroupColumn | undefined): void;
