import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPersonTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPersonType;
export declare function deserializeIntoPersonType(personType?: PersonType | undefined): Record<string, (node: ParseNode) => void>;
export interface PersonType extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The type of data source, such as Person.
     */
    classEscaped?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The secondary type of data source, such as OrganizationUser.
     */
    subclass?: string;
}
export declare function serializePersonType(writer: SerializationWriter, personType?: PersonType | undefined): void;
