"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePersonType = exports.deserializeIntoPersonType = exports.createPersonTypeFromDiscriminatorValue = void 0;
function createPersonTypeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPersonType;
}
exports.createPersonTypeFromDiscriminatorValue = createPersonTypeFromDiscriminatorValue;
function deserializeIntoPersonType(personType = {}) {
    return {
        "class": n => { personType.classEscaped = n.getStringValue(); },
        "@odata.type": n => { personType.odataType = n.getStringValue(); },
        "subclass": n => { personType.subclass = n.getStringValue(); },
    };
}
exports.deserializeIntoPersonType = deserializeIntoPersonType;
function serializePersonType(writer, personType = {}) {
    writer.writeStringValue("class", personType.classEscaped);
    writer.writeStringValue("@odata.type", personType.odataType);
    writer.writeStringValue("subclass", personType.subclass);
    writer.writeAdditionalData(personType.additionalData);
}
exports.serializePersonType = serializePersonType;
// tslint:enable
// eslint-enable
