import { PhoneType } from './phoneType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPhoneFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPhone;
export declare function deserializeIntoPhone(phone?: Phone | undefined): Record<string, (node: ParseNode) => void>;
export interface Phone extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The language property
     */
    language?: string;
    /**
     * The phone number.
     */
    number?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The region property
     */
    region?: string;
    /**
     * The type of phone number. The possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio.
     */
    type?: PhoneType;
}
export declare function serializePhone(writer: SerializationWriter, phone?: Phone | undefined): void;
