import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPhotoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPhoto;
export declare function deserializeIntoPhoto(photo?: Photo | undefined): Record<string, (node: ParseNode) => void>;
export interface Photo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Camera manufacturer. Read-only.
     */
    cameraMake?: string;
    /**
     * Camera model. Read-only.
     */
    cameraModel?: string;
    /**
     * The denominator for the exposure time fraction from the camera. Read-only.
     */
    exposureDenominator?: number;
    /**
     * The numerator for the exposure time fraction from the camera. Read-only.
     */
    exposureNumerator?: number;
    /**
     * The F-stop value from the camera. Read-only.
     */
    fNumber?: number;
    /**
     * The focal length from the camera. Read-only.
     */
    focalLength?: number;
    /**
     * The ISO value from the camera. Read-only.
     */
    iso?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The orientation value from the camera. Writable on OneDrive Personal.
     */
    orientation?: number;
    /**
     * Represents the date and time the photo was taken. Read-only.
     */
    takenDateTime?: Date;
}
export declare function serializePhoto(writer: SerializationWriter, photo?: Photo | undefined): void;
