"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePhoto = exports.deserializeIntoPhoto = exports.createPhotoFromDiscriminatorValue = void 0;
function createPhotoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPhoto;
}
exports.createPhotoFromDiscriminatorValue = createPhotoFromDiscriminatorValue;
function deserializeIntoPhoto(photo = {}) {
    return {
        "cameraMake": n => { photo.cameraMake = n.getStringValue(); },
        "cameraModel": n => { photo.cameraModel = n.getStringValue(); },
        "exposureDenominator": n => { photo.exposureDenominator = n.getNumberValue(); },
        "exposureNumerator": n => { photo.exposureNumerator = n.getNumberValue(); },
        "fNumber": n => { photo.fNumber = n.getNumberValue(); },
        "focalLength": n => { photo.focalLength = n.getNumberValue(); },
        "iso": n => { photo.iso = n.getNumberValue(); },
        "@odata.type": n => { photo.odataType = n.getStringValue(); },
        "orientation": n => { photo.orientation = n.getNumberValue(); },
        "takenDateTime": n => { photo.takenDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoPhoto = deserializeIntoPhoto;
function serializePhoto(writer, photo = {}) {
    writer.writeStringValue("cameraMake", photo.cameraMake);
    writer.writeStringValue("cameraModel", photo.cameraModel);
    writer.writeNumberValue("exposureDenominator", photo.exposureDenominator);
    writer.writeNumberValue("exposureNumerator", photo.exposureNumerator);
    writer.writeNumberValue("fNumber", photo.fNumber);
    writer.writeNumberValue("focalLength", photo.focalLength);
    writer.writeNumberValue("iso", photo.iso);
    writer.writeStringValue("@odata.type", photo.odataType);
    writer.writeNumberValue("orientation", photo.orientation);
    writer.writeDateValue("takenDateTime", photo.takenDateTime);
    writer.writeAdditionalData(photo.additionalData);
}
exports.serializePhoto = serializePhoto;
// tslint:enable
// eslint-enable
