import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPhysicalAddressFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPhysicalAddress;
export declare function deserializeIntoPhysicalAddress(physicalAddress?: PhysicalAddress | undefined): Record<string, (node: ParseNode) => void>;
export interface PhysicalAddress extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The city.
     */
    city?: string;
    /**
     * The country or region. It's a free-format string value, for example, 'United States'.
     */
    countryOrRegion?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The postal code.
     */
    postalCode?: string;
    /**
     * The state.
     */
    state?: string;
    /**
     * The street.
     */
    street?: string;
}
export declare function serializePhysicalAddress(writer: SerializationWriter, physicalAddress?: PhysicalAddress | undefined): void;
