"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePhysicalAddress = exports.deserializeIntoPhysicalAddress = exports.createPhysicalAddressFromDiscriminatorValue = void 0;
function createPhysicalAddressFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPhysicalAddress;
}
exports.createPhysicalAddressFromDiscriminatorValue = createPhysicalAddressFromDiscriminatorValue;
function deserializeIntoPhysicalAddress(physicalAddress = {}) {
    return {
        "city": n => { physicalAddress.city = n.getStringValue(); },
        "countryOrRegion": n => { physicalAddress.countryOrRegion = n.getStringValue(); },
        "@odata.type": n => { physicalAddress.odataType = n.getStringValue(); },
        "postalCode": n => { physicalAddress.postalCode = n.getStringValue(); },
        "state": n => { physicalAddress.state = n.getStringValue(); },
        "street": n => { physicalAddress.street = n.getStringValue(); },
    };
}
exports.deserializeIntoPhysicalAddress = deserializeIntoPhysicalAddress;
function serializePhysicalAddress(writer, physicalAddress = {}) {
    writer.writeStringValue("city", physicalAddress.city);
    writer.writeStringValue("countryOrRegion", physicalAddress.countryOrRegion);
    writer.writeStringValue("@odata.type", physicalAddress.odataType);
    writer.writeStringValue("postalCode", physicalAddress.postalCode);
    writer.writeStringValue("state", physicalAddress.state);
    writer.writeStringValue("street", physicalAddress.street);
    writer.writeAdditionalData(physicalAddress.additionalData);
}
exports.serializePhysicalAddress = serializePhysicalAddress;
// tslint:enable
// eslint-enable
