import { type ApiAuthenticationConfigurationBase } from './apiAuthenticationConfigurationBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPkcs12CertificateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPkcs12Certificate;
export declare function deserializeIntoPkcs12Certificate(pkcs12Certificate?: Pkcs12Certificate | undefined): Record<string, (node: ParseNode) => void>;
export interface Pkcs12Certificate extends ApiAuthenticationConfigurationBase, Parsable {
    /**
     * The password for the pfx file. Required. If no password is used, you must still provide a value of ''.
     */
    password?: string;
    /**
     * Represents the pfx content that is sent. The value should be a base-64 encoded version of the actual certificate content. Required.
     */
    pkcs12Value?: string;
}
export declare function serializePkcs12Certificate(writer: SerializationWriter, pkcs12Certificate?: Pkcs12Certificate | undefined): void;
