import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPkcs12CertificateInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPkcs12CertificateInformation;
export declare function deserializeIntoPkcs12CertificateInformation(pkcs12CertificateInformation?: Pkcs12CertificateInformation | undefined): Record<string, (node: ParseNode) => void>;
export interface Pkcs12CertificateInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents whether the certificate is the active certificate to be used for calling the API connector. The active certificate is the most recently uploaded certificate that isn't yet expired but whose notBefore time is in the past.
     */
    isActive?: boolean;
    /**
     * The certificate's expiry. This value is a NumericDate as defined in RFC 7519 (A JSON numeric value representing the number of seconds from 1970-01-01T00:00:00Z UTC until the specified UTC date/time, ignoring leap seconds.)
     */
    notAfter?: number;
    /**
     * The certificate's issue time (not before). This value is a NumericDate as defined in RFC 7519 (A JSON numeric value representing the number of seconds from 1970-01-01T00:00:00Z UTC until the specified UTC date/time, ignoring leap seconds.)
     */
    notBefore?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The certificate thumbprint.
     */
    thumbprint?: string;
}
export declare function serializePkcs12CertificateInformation(writer: SerializationWriter, pkcs12CertificateInformation?: Pkcs12CertificateInformation | undefined): void;
