import { type Entity } from './entity';
import { type OutlookGeoCoordinates } from './outlookGeoCoordinates';
import { type PhysicalAddress } from './physicalAddress';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlaceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlace;
export declare function deserializeIntoPlace(place?: Place | undefined): Record<string, (node: ParseNode) => void>;
export interface Place extends Entity, Parsable {
    /**
     * The street address of the place.
     */
    address?: PhysicalAddress;
    /**
     * The name associated with the place.
     */
    displayName?: string;
    /**
     * Specifies the place location in latitude, longitude and (optionally) altitude coordinates.
     */
    geoCoordinates?: OutlookGeoCoordinates;
    /**
     * The phone number of the place.
     */
    phone?: string;
}
export declare function serializePlace(writer: SerializationWriter, place?: Place | undefined): void;
