"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlace = exports.deserializeIntoPlace = exports.createPlaceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const outlookGeoCoordinates_1 = require("./outlookGeoCoordinates");
const physicalAddress_1 = require("./physicalAddress");
const room_1 = require("./room");
const roomList_1 = require("./roomList");
function createPlaceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.room":
                    return room_1.deserializeIntoRoom;
                case "#microsoft.graph.roomList":
                    return roomList_1.deserializeIntoRoomList;
            }
        }
    }
    return deserializeIntoPlace;
}
exports.createPlaceFromDiscriminatorValue = createPlaceFromDiscriminatorValue;
function deserializeIntoPlace(place = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(place)), { "address": n => { place.address = n.getObjectValue(physicalAddress_1.createPhysicalAddressFromDiscriminatorValue); }, "displayName": n => { place.displayName = n.getStringValue(); }, "geoCoordinates": n => { place.geoCoordinates = n.getObjectValue(outlookGeoCoordinates_1.createOutlookGeoCoordinatesFromDiscriminatorValue); }, "phone": n => { place.phone = n.getStringValue(); } });
}
exports.deserializeIntoPlace = deserializeIntoPlace;
function serializePlace(writer, place = {}) {
    (0, entity_1.serializeEntity)(writer, place);
    writer.writeObjectValue("address", place.address, physicalAddress_1.serializePhysicalAddress);
    writer.writeStringValue("displayName", place.displayName);
    writer.writeObjectValue("geoCoordinates", place.geoCoordinates, outlookGeoCoordinates_1.serializeOutlookGeoCoordinates);
    writer.writeStringValue("phone", place.phone);
}
exports.serializePlace = serializePlace;
// tslint:enable
// eslint-enable
