import { type Entity } from './entity';
import { type PlannerBucket } from './plannerBucket';
import { type PlannerPlan } from './plannerPlan';
import { type PlannerTask } from './plannerTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlanner;
export declare function deserializeIntoPlanner(planner?: Planner | undefined): Record<string, (node: ParseNode) => void>;
export interface Planner extends Entity, Parsable {
    /**
     * Read-only. Nullable. Returns a collection of the specified buckets
     */
    buckets?: PlannerBucket[];
    /**
     * Read-only. Nullable. Returns a collection of the specified plans
     */
    plans?: PlannerPlan[];
    /**
     * Read-only. Nullable. Returns a collection of the specified tasks
     */
    tasks?: PlannerTask[];
}
export declare function serializePlanner(writer: SerializationWriter, planner?: Planner | undefined): void;
