import { type Entity } from './entity';
import { type PlannerOrderHintsByAssignee } from './plannerOrderHintsByAssignee';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerAssignedToTaskBoardTaskFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerAssignedToTaskBoardTaskFormat;
export declare function deserializeIntoPlannerAssignedToTaskBoardTaskFormat(plannerAssignedToTaskBoardTaskFormat?: PlannerAssignedToTaskBoardTaskFormat | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerAssignedToTaskBoardTaskFormat extends Entity, Parsable {
    /**
     * Dictionary of hints used to order tasks on the AssignedTo view of the Task Board. The key of each entry is one of the users the task is assigned to and the value is the order hint. The format of each value is defined as outlined here.
     */
    orderHintsByAssignee?: PlannerOrderHintsByAssignee;
    /**
     * Hint value used to order the task on the AssignedTo view of the Task Board when the task isn't assigned to anyone, or if the orderHintsByAssignee dictionary doesn't provide an order hint for the user the task is assigned to. The format is defined as outlined here.
     */
    unassignedOrderHint?: string;
}
export declare function serializePlannerAssignedToTaskBoardTaskFormat(writer: SerializationWriter, plannerAssignedToTaskBoardTaskFormat?: PlannerAssignedToTaskBoardTaskFormat | undefined): void;
