import { type Entity } from './entity';
import { type PlannerTask } from './plannerTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerBucketFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerBucket;
export declare function deserializeIntoPlannerBucket(plannerBucket?: PlannerBucket | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerBucket extends Entity, Parsable {
    /**
     * Name of the bucket.
     */
    name?: string;
    /**
     * Hint used to order items of this type in a list view. For details about the supported format, see Using order hints in Planner.
     */
    orderHint?: string;
    /**
     * Plan ID to which the bucket belongs.
     */
    planId?: string;
    /**
     * Read-only. Nullable. The collection of tasks in the bucket.
     */
    tasks?: PlannerTask[];
}
export declare function serializePlannerBucket(writer: SerializationWriter, plannerBucket?: PlannerBucket | undefined): void;
