import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type PlannerBucket } from './plannerBucket';
import { type PlannerPlanContainer } from './plannerPlanContainer';
import { type PlannerPlanDetails } from './plannerPlanDetails';
import { type PlannerTask } from './plannerTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerPlanFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerPlan;
export declare function deserializeIntoPlannerPlan(plannerPlan?: PlannerPlan | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerPlan extends Entity, Parsable {
    /**
     * Read-only. Nullable. Collection of buckets in the plan.
     */
    buckets?: PlannerBucket[];
    /**
     * Identifies the container of the plan. Specify only the url, the containerId and type, or all properties. After it's set, this property can’t be updated. Required.
     */
    container?: PlannerPlanContainer;
    /**
     * Read-only. The user who created the plan.
     */
    createdBy?: IdentitySet;
    /**
     * Read-only. Date and time at which the plan is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    createdDateTime?: Date;
    /**
     * Read-only. Nullable. Extra details about the plan.
     */
    details?: PlannerPlanDetails;
    /**
     * The owner property
     */
    owner?: string;
    /**
     * Read-only. Nullable. Collection of tasks in the plan.
     */
    tasks?: PlannerTask[];
    /**
     * Required. Title of the plan.
     */
    title?: string;
}
export declare function serializePlannerPlan(writer: SerializationWriter, plannerPlan?: PlannerPlan | undefined): void;
