import { type Entity } from './entity';
import { type PlannerChecklistItems } from './plannerChecklistItems';
import { type PlannerExternalReferences } from './plannerExternalReferences';
import { PlannerPreviewType } from './plannerPreviewType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerTaskDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerTaskDetails;
export declare function deserializeIntoPlannerTaskDetails(plannerTaskDetails?: PlannerTaskDetails | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerTaskDetails extends Entity, Parsable {
    /**
     * The collection of checklist items on the task.
     */
    checklist?: PlannerChecklistItems;
    /**
     * Description of the task.
     */
    description?: string;
    /**
     * This sets the type of preview that shows up on the task. The possible values are: automatic, noPreview, checklist, description, reference. When set to automatic the displayed preview is chosen by the app viewing the task.
     */
    previewType?: PlannerPreviewType;
    /**
     * The collection of references on the task.
     */
    references?: PlannerExternalReferences;
}
export declare function serializePlannerTaskDetails(writer: SerializationWriter, plannerTaskDetails?: PlannerTaskDetails | undefined): void;
