import { type Entity } from './entity';
import { type PlannerPlan } from './plannerPlan';
import { type PlannerTask } from './plannerTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerUser;
export declare function deserializeIntoPlannerUser(plannerUser?: PlannerUser | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerUser extends Entity, Parsable {
    /**
     * Read-only. Nullable. Returns the plannerTasks assigned to the user.
     */
    plans?: PlannerPlan[];
    /**
     * Read-only. Nullable. Returns the plannerPlans shared with the user.
     */
    tasks?: PlannerTask[];
}
export declare function serializePlannerUser(writer: SerializationWriter, plannerUser?: PlannerUser | undefined): void;
