import { deserializeIntoAuthorizationPolicy } from './authorizationPolicy';
import { deserializeIntoClaimsMappingPolicy } from './claimsMappingPolicy';
import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPolicyBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClaimsMappingPolicy | typeof deserializeIntoAuthorizationPolicy;
export declare function deserializeIntoPolicyBase(policyBase?: PolicyBase | undefined): Record<string, (node: ParseNode) => void>;
export interface PolicyBase extends DirectoryObject, Parsable {
    /**
     * Description for this policy. Required.
     */
    description?: string;
    /**
     * Display name for this policy. Required.
     */
    displayName?: string;
}
export declare function serializePolicyBase(writer: SerializationWriter, policyBase?: PolicyBase | undefined): void;
