"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePolicyBase = exports.deserializeIntoPolicyBase = exports.createPolicyBaseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const activityBasedTimeoutPolicy_1 = require("./activityBasedTimeoutPolicy");
const appManagementPolicy_1 = require("./appManagementPolicy");
const authorizationPolicy_1 = require("./authorizationPolicy");
const claimsMappingPolicy_1 = require("./claimsMappingPolicy");
const crossTenantAccessPolicy_1 = require("./crossTenantAccessPolicy");
const directoryObject_1 = require("./directoryObject");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const identitySecurityDefaultsEnforcementPolicy_1 = require("./identitySecurityDefaultsEnforcementPolicy");
const permissionGrantPolicy_1 = require("./permissionGrantPolicy");
const stsPolicy_1 = require("./stsPolicy");
const tenantAppManagementPolicy_1 = require("./tenantAppManagementPolicy");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
function createPolicyBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.activityBasedTimeoutPolicy":
                    return activityBasedTimeoutPolicy_1.deserializeIntoActivityBasedTimeoutPolicy;
                case "#microsoft.graph.appManagementPolicy":
                    return appManagementPolicy_1.deserializeIntoAppManagementPolicy;
                case "#microsoft.graph.authorizationPolicy":
                    return authorizationPolicy_1.deserializeIntoAuthorizationPolicy;
                case "#microsoft.graph.claimsMappingPolicy":
                    return claimsMappingPolicy_1.deserializeIntoClaimsMappingPolicy;
                case "#microsoft.graph.crossTenantAccessPolicy":
                    return crossTenantAccessPolicy_1.deserializeIntoCrossTenantAccessPolicy;
                case "#microsoft.graph.homeRealmDiscoveryPolicy":
                    return homeRealmDiscoveryPolicy_1.deserializeIntoHomeRealmDiscoveryPolicy;
                case "#microsoft.graph.identitySecurityDefaultsEnforcementPolicy":
                    return identitySecurityDefaultsEnforcementPolicy_1.deserializeIntoIdentitySecurityDefaultsEnforcementPolicy;
                case "#microsoft.graph.permissionGrantPolicy":
                    return permissionGrantPolicy_1.deserializeIntoPermissionGrantPolicy;
                case "#microsoft.graph.stsPolicy":
                    return stsPolicy_1.deserializeIntoStsPolicy;
                case "#microsoft.graph.tenantAppManagementPolicy":
                    return tenantAppManagementPolicy_1.deserializeIntoTenantAppManagementPolicy;
                case "#microsoft.graph.tokenIssuancePolicy":
                    return tokenIssuancePolicy_1.deserializeIntoTokenIssuancePolicy;
                case "#microsoft.graph.tokenLifetimePolicy":
                    return tokenLifetimePolicy_1.deserializeIntoTokenLifetimePolicy;
            }
        }
    }
    return deserializeIntoPolicyBase;
}
exports.createPolicyBaseFromDiscriminatorValue = createPolicyBaseFromDiscriminatorValue;
function deserializeIntoPolicyBase(policyBase = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(policyBase)), { "description": n => { policyBase.description = n.getStringValue(); }, "displayName": n => { policyBase.displayName = n.getStringValue(); } });
}
exports.deserializeIntoPolicyBase = deserializeIntoPolicyBase;
function serializePolicyBase(writer, policyBase = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, policyBase);
    writer.writeStringValue("description", policyBase.description);
    writer.writeStringValue("displayName", policyBase.displayName);
}
exports.serializePolicyBase = serializePolicyBase;
// tslint:enable
// eslint-enable
