"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePolicyRoot = exports.deserializeIntoPolicyRoot = exports.createPolicyRootFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const activityBasedTimeoutPolicy_1 = require("./activityBasedTimeoutPolicy");
const adminConsentRequestPolicy_1 = require("./adminConsentRequestPolicy");
const appManagementPolicy_1 = require("./appManagementPolicy");
const authenticationFlowsPolicy_1 = require("./authenticationFlowsPolicy");
const authenticationMethodsPolicy_1 = require("./authenticationMethodsPolicy");
const authenticationStrengthPolicy_1 = require("./authenticationStrengthPolicy");
const authorizationPolicy_1 = require("./authorizationPolicy");
const claimsMappingPolicy_1 = require("./claimsMappingPolicy");
const conditionalAccessPolicy_1 = require("./conditionalAccessPolicy");
const crossTenantAccessPolicy_1 = require("./crossTenantAccessPolicy");
const entity_1 = require("./entity");
const featureRolloutPolicy_1 = require("./featureRolloutPolicy");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const identitySecurityDefaultsEnforcementPolicy_1 = require("./identitySecurityDefaultsEnforcementPolicy");
const permissionGrantPolicy_1 = require("./permissionGrantPolicy");
const tenantAppManagementPolicy_1 = require("./tenantAppManagementPolicy");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
const unifiedRoleManagementPolicy_1 = require("./unifiedRoleManagementPolicy");
const unifiedRoleManagementPolicyAssignment_1 = require("./unifiedRoleManagementPolicyAssignment");
function createPolicyRootFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPolicyRoot;
}
exports.createPolicyRootFromDiscriminatorValue = createPolicyRootFromDiscriminatorValue;
function deserializeIntoPolicyRoot(policyRoot = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(policyRoot)), { "activityBasedTimeoutPolicies": n => { policyRoot.activityBasedTimeoutPolicies = n.getCollectionOfObjectValues(activityBasedTimeoutPolicy_1.createActivityBasedTimeoutPolicyFromDiscriminatorValue); }, "adminConsentRequestPolicy": n => { policyRoot.adminConsentRequestPolicy = n.getObjectValue(adminConsentRequestPolicy_1.createAdminConsentRequestPolicyFromDiscriminatorValue); }, "appManagementPolicies": n => { policyRoot.appManagementPolicies = n.getCollectionOfObjectValues(appManagementPolicy_1.createAppManagementPolicyFromDiscriminatorValue); }, "authenticationFlowsPolicy": n => { policyRoot.authenticationFlowsPolicy = n.getObjectValue(authenticationFlowsPolicy_1.createAuthenticationFlowsPolicyFromDiscriminatorValue); }, "authenticationMethodsPolicy": n => { policyRoot.authenticationMethodsPolicy = n.getObjectValue(authenticationMethodsPolicy_1.createAuthenticationMethodsPolicyFromDiscriminatorValue); }, "authenticationStrengthPolicies": n => { policyRoot.authenticationStrengthPolicies = n.getCollectionOfObjectValues(authenticationStrengthPolicy_1.createAuthenticationStrengthPolicyFromDiscriminatorValue); }, "authorizationPolicy": n => { policyRoot.authorizationPolicy = n.getObjectValue(authorizationPolicy_1.createAuthorizationPolicyFromDiscriminatorValue); }, "claimsMappingPolicies": n => { policyRoot.claimsMappingPolicies = n.getCollectionOfObjectValues(claimsMappingPolicy_1.createClaimsMappingPolicyFromDiscriminatorValue); }, "conditionalAccessPolicies": n => { policyRoot.conditionalAccessPolicies = n.getCollectionOfObjectValues(conditionalAccessPolicy_1.createConditionalAccessPolicyFromDiscriminatorValue); }, "crossTenantAccessPolicy": n => { policyRoot.crossTenantAccessPolicy = n.getObjectValue(crossTenantAccessPolicy_1.createCrossTenantAccessPolicyFromDiscriminatorValue); }, "defaultAppManagementPolicy": n => { policyRoot.defaultAppManagementPolicy = n.getObjectValue(tenantAppManagementPolicy_1.createTenantAppManagementPolicyFromDiscriminatorValue); }, "featureRolloutPolicies": n => { policyRoot.featureRolloutPolicies = n.getCollectionOfObjectValues(featureRolloutPolicy_1.createFeatureRolloutPolicyFromDiscriminatorValue); }, "homeRealmDiscoveryPolicies": n => { policyRoot.homeRealmDiscoveryPolicies = n.getCollectionOfObjectValues(homeRealmDiscoveryPolicy_1.createHomeRealmDiscoveryPolicyFromDiscriminatorValue); }, "identitySecurityDefaultsEnforcementPolicy": n => { policyRoot.identitySecurityDefaultsEnforcementPolicy = n.getObjectValue(identitySecurityDefaultsEnforcementPolicy_1.createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue); }, "permissionGrantPolicies": n => { policyRoot.permissionGrantPolicies = n.getCollectionOfObjectValues(permissionGrantPolicy_1.createPermissionGrantPolicyFromDiscriminatorValue); }, "roleManagementPolicies": n => { policyRoot.roleManagementPolicies = n.getCollectionOfObjectValues(unifiedRoleManagementPolicy_1.createUnifiedRoleManagementPolicyFromDiscriminatorValue); }, "roleManagementPolicyAssignments": n => { policyRoot.roleManagementPolicyAssignments = n.getCollectionOfObjectValues(unifiedRoleManagementPolicyAssignment_1.createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue); }, "tokenIssuancePolicies": n => { policyRoot.tokenIssuancePolicies = n.getCollectionOfObjectValues(tokenIssuancePolicy_1.createTokenIssuancePolicyFromDiscriminatorValue); }, "tokenLifetimePolicies": n => { policyRoot.tokenLifetimePolicies = n.getCollectionOfObjectValues(tokenLifetimePolicy_1.createTokenLifetimePolicyFromDiscriminatorValue); } });
}
exports.deserializeIntoPolicyRoot = deserializeIntoPolicyRoot;
function serializePolicyRoot(writer, policyRoot = {}) {
    (0, entity_1.serializeEntity)(writer, policyRoot);
    writer.writeCollectionOfObjectValues("activityBasedTimeoutPolicies", policyRoot.activityBasedTimeoutPolicies, activityBasedTimeoutPolicy_1.serializeActivityBasedTimeoutPolicy);
    writer.writeObjectValue("adminConsentRequestPolicy", policyRoot.adminConsentRequestPolicy, adminConsentRequestPolicy_1.serializeAdminConsentRequestPolicy);
    writer.writeCollectionOfObjectValues("appManagementPolicies", policyRoot.appManagementPolicies, appManagementPolicy_1.serializeAppManagementPolicy);
    writer.writeObjectValue("authenticationFlowsPolicy", policyRoot.authenticationFlowsPolicy, authenticationFlowsPolicy_1.serializeAuthenticationFlowsPolicy);
    writer.writeObjectValue("authenticationMethodsPolicy", policyRoot.authenticationMethodsPolicy, authenticationMethodsPolicy_1.serializeAuthenticationMethodsPolicy);
    writer.writeCollectionOfObjectValues("authenticationStrengthPolicies", policyRoot.authenticationStrengthPolicies, authenticationStrengthPolicy_1.serializeAuthenticationStrengthPolicy);
    writer.writeObjectValue("authorizationPolicy", policyRoot.authorizationPolicy, authorizationPolicy_1.serializeAuthorizationPolicy);
    writer.writeCollectionOfObjectValues("claimsMappingPolicies", policyRoot.claimsMappingPolicies, claimsMappingPolicy_1.serializeClaimsMappingPolicy);
    writer.writeCollectionOfObjectValues("conditionalAccessPolicies", policyRoot.conditionalAccessPolicies, conditionalAccessPolicy_1.serializeConditionalAccessPolicy);
    writer.writeObjectValue("crossTenantAccessPolicy", policyRoot.crossTenantAccessPolicy, crossTenantAccessPolicy_1.serializeCrossTenantAccessPolicy);
    writer.writeObjectValue("defaultAppManagementPolicy", policyRoot.defaultAppManagementPolicy, tenantAppManagementPolicy_1.serializeTenantAppManagementPolicy);
    writer.writeCollectionOfObjectValues("featureRolloutPolicies", policyRoot.featureRolloutPolicies, featureRolloutPolicy_1.serializeFeatureRolloutPolicy);
    writer.writeCollectionOfObjectValues("homeRealmDiscoveryPolicies", policyRoot.homeRealmDiscoveryPolicies, homeRealmDiscoveryPolicy_1.serializeHomeRealmDiscoveryPolicy);
    writer.writeObjectValue("identitySecurityDefaultsEnforcementPolicy", policyRoot.identitySecurityDefaultsEnforcementPolicy, identitySecurityDefaultsEnforcementPolicy_1.serializeIdentitySecurityDefaultsEnforcementPolicy);
    writer.writeCollectionOfObjectValues("permissionGrantPolicies", policyRoot.permissionGrantPolicies, permissionGrantPolicy_1.serializePermissionGrantPolicy);
    writer.writeCollectionOfObjectValues("roleManagementPolicies", policyRoot.roleManagementPolicies, unifiedRoleManagementPolicy_1.serializeUnifiedRoleManagementPolicy);
    writer.writeCollectionOfObjectValues("roleManagementPolicyAssignments", policyRoot.roleManagementPolicyAssignments, unifiedRoleManagementPolicyAssignment_1.serializeUnifiedRoleManagementPolicyAssignment);
    writer.writeCollectionOfObjectValues("tokenIssuancePolicies", policyRoot.tokenIssuancePolicies, tokenIssuancePolicy_1.serializeTokenIssuancePolicy);
    writer.writeCollectionOfObjectValues("tokenLifetimePolicies", policyRoot.tokenLifetimePolicies, tokenLifetimePolicy_1.serializeTokenLifetimePolicy);
}
exports.serializePolicyRoot = serializePolicyRoot;
// tslint:enable
// eslint-enable
