import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPreAuthorizedApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPreAuthorizedApplication;
export declare function deserializeIntoPreAuthorizedApplication(preAuthorizedApplication?: PreAuthorizedApplication | undefined): Record<string, (node: ParseNode) => void>;
export interface PreAuthorizedApplication extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier for the application.
     */
    appId?: string;
    /**
     * The unique identifier for the oauth2PermissionScopes the application requires.
     */
    delegatedPermissionIds?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePreAuthorizedApplication(writer: SerializationWriter, preAuthorizedApplication?: PreAuthorizedApplication | undefined): void;
