import { type Entity } from './entity';
import { type PresenceStatusMessage } from './presenceStatusMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPresenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPresence;
export declare function deserializeIntoPresence(presence?: Presence | undefined): Record<string, (node: ParseNode) => void>;
export interface Presence extends Entity, Parsable {
    /**
     * The supplemental information to a user's availability. Possible values are Available, Away, BeRightBack, Busy, DoNotDisturb, InACall, InAConferenceCall, Inactive, InAMeeting, Offline, OffWork, OutOfOffice, PresenceUnknown, Presenting, UrgentInterruptionsOnly.
     */
    activity?: string;
    /**
     * The base presence information for a user. Possible values are Available, AvailableIdle,  Away, BeRightBack, Busy, BusyIdle, DoNotDisturb, Offline, PresenceUnknown
     */
    availability?: string;
    /**
     * The presence status message of a user.
     */
    statusMessage?: PresenceStatusMessage;
}
export declare function serializePresence(writer: SerializationWriter, presence?: Presence | undefined): void;
