import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type ItemBody } from './itemBody';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPresenceStatusMessageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPresenceStatusMessage;
export declare function deserializeIntoPresenceStatusMessage(presenceStatusMessage?: PresenceStatusMessage | undefined): Record<string, (node: ParseNode) => void>;
export interface PresenceStatusMessage extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Time in which the status message expires.If not provided, the status message doesn't expire.expiryDateTime.dateTime shouldn't include time zone.expiryDateTime isn't available when you request the presence of another user.
     */
    expiryDateTime?: DateTimeTimeZone;
    /**
     * Status message item. The only supported format currently is message.contentType = 'text'.
     */
    message?: ItemBody;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Time in which the status message was published.Read-only.publishedDateTime isn't available when you request the presence of another user.
     */
    publishedDateTime?: Date;
}
export declare function serializePresenceStatusMessage(writer: SerializationWriter, presenceStatusMessage?: PresenceStatusMessage | undefined): void;
