import { type AccessReviewScope } from './accessReviewScope';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrincipalResourceMembershipsScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrincipalResourceMembershipsScope;
export declare function deserializeIntoPrincipalResourceMembershipsScope(principalResourceMembershipsScope?: PrincipalResourceMembershipsScope | undefined): Record<string, (node: ParseNode) => void>;
export interface PrincipalResourceMembershipsScope extends AccessReviewScope, Parsable {
    /**
     * Defines the scopes of the principals whose access to resources are reviewed in the access review.
     */
    principalScopes?: AccessReviewScope[];
    /**
     * Defines the scopes of the resources for which access is reviewed.
     */
    resourceScopes?: AccessReviewScope[];
}
export declare function serializePrincipalResourceMembershipsScope(writer: SerializationWriter, principalResourceMembershipsScope?: PrincipalResourceMembershipsScope | undefined): void;
