import { type PrintConnector } from './printConnector';
import { type Printer } from './printer';
import { type PrinterShare } from './printerShare';
import { type PrintOperation } from './printOperation';
import { type PrintService } from './printService';
import { type PrintSettings } from './printSettings';
import { type PrintTaskDefinition } from './printTaskDefinition';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrint;
export declare function deserializeIntoPrint(print?: Print | undefined): Record<string, (node: ParseNode) => void>;
export interface Print extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The list of available print connectors.
     */
    connectors?: PrintConnector[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The list of print long running operations.
     */
    operations?: PrintOperation[];
    /**
     * The list of printers registered in the tenant.
     */
    printers?: Printer[];
    /**
     * The list of available Universal Print service endpoints.
     */
    services?: PrintService[];
    /**
     * Tenant-wide settings for the Universal Print service.
     */
    settings?: PrintSettings;
    /**
     * The list of printer shares registered in the tenant.
     */
    shares?: PrinterShare[];
    /**
     * List of abstract definition for a task that can be triggered when various events occur within Universal Print.
     */
    taskDefinitions?: PrintTaskDefinition[];
}
export declare function serializePrint(writer: SerializationWriter, print?: Print | undefined): void;
