import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintCertificateSigningRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintCertificateSigningRequest;
export declare function deserializeIntoPrintCertificateSigningRequest(printCertificateSigningRequest?: PrintCertificateSigningRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintCertificateSigningRequest extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A base64-encoded pkcs10 certificate request. Read-only.
     */
    content?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The base64-encoded public portion of an asymmetric key that is generated by the client. Read-only.
     */
    transportKey?: string;
}
export declare function serializePrintCertificateSigningRequest(writer: SerializationWriter, printCertificateSigningRequest?: PrintCertificateSigningRequest | undefined): void;
