import { type Entity } from './entity';
import { type PrinterLocation } from './printerLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintConnectorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintConnector;
export declare function deserializeIntoPrintConnector(printConnector?: PrintConnector | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintConnector extends Entity, Parsable {
    /**
     * The connector's version.
     */
    appVersion?: string;
    /**
     * The name of the connector.
     */
    displayName?: string;
    /**
     * The connector machine's hostname.
     */
    fullyQualifiedDomainName?: string;
    /**
     * The physical and/or organizational location of the connector.
     */
    location?: PrinterLocation;
    /**
     * The connector machine's operating system version.
     */
    operatingSystem?: string;
    /**
     * The DateTimeOffset when the connector was registered.
     */
    registeredDateTime?: Date;
}
export declare function serializePrintConnector(writer: SerializationWriter, printConnector?: PrintConnector | undefined): void;
