import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintDocumentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintDocument;
export declare function deserializeIntoPrintDocument(printDocument?: PrintDocument | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintDocument extends Entity, Parsable {
    /**
     * The document's content (MIME) type. Read-only.
     */
    contentType?: string;
    /**
     * The document's name. Read-only.
     */
    displayName?: string;
    /**
     * The document's size in bytes. Read-only.
     */
    size?: number;
}
export declare function serializePrintDocument(writer: SerializationWriter, printDocument?: PrintDocument | undefined): void;
