import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintDocumentUploadPropertiesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintDocumentUploadProperties;
export declare function deserializeIntoPrintDocumentUploadProperties(printDocumentUploadProperties?: PrintDocumentUploadProperties | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintDocumentUploadProperties extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The document's content (MIME) type.
     */
    contentType?: string;
    /**
     * The document's name.
     */
    documentName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The document's size in bytes.
     */
    size?: number;
}
export declare function serializePrintDocumentUploadProperties(writer: SerializationWriter, printDocumentUploadProperties?: PrintDocumentUploadProperties | undefined): void;
