import { type Entity } from './entity';
import { type PrintDocument } from './printDocument';
import { type PrintJobConfiguration } from './printJobConfiguration';
import { type PrintJobStatus } from './printJobStatus';
import { type PrintTask } from './printTask';
import { type UserIdentity } from './userIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintJobFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintJob;
export declare function deserializeIntoPrintJob(printJob?: PrintJob | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintJob extends Entity, Parsable {
    /**
     * The configuration property
     */
    configuration?: PrintJobConfiguration;
    /**
     * The createdBy property
     */
    createdBy?: UserIdentity;
    /**
     * The DateTimeOffset when the job was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The documents property
     */
    documents?: PrintDocument[];
    /**
     * If true, document can be fetched by printer.
     */
    isFetchable?: boolean;
    /**
     * Contains the source job URL, if the job has been redirected from another printer.
     */
    redirectedFrom?: string;
    /**
     * Contains the destination job URL, if the job has been redirected to another printer.
     */
    redirectedTo?: string;
    /**
     * The status property
     */
    status?: PrintJobStatus;
    /**
     * A list of printTasks that were triggered by this print job.
     */
    tasks?: PrintTask[];
}
export declare function serializePrintJob(writer: SerializationWriter, printJob?: PrintJob | undefined): void;
