"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintJobConfiguration = exports.deserializeIntoPrintJobConfiguration = exports.createPrintJobConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const integerRange_1 = require("./integerRange");
const printColorMode_1 = require("./printColorMode");
const printDuplexMode_1 = require("./printDuplexMode");
const printerFeedOrientation_1 = require("./printerFeedOrientation");
const printFinishing_1 = require("./printFinishing");
const printMargin_1 = require("./printMargin");
const printMultipageLayout_1 = require("./printMultipageLayout");
const printOrientation_1 = require("./printOrientation");
const printQuality_1 = require("./printQuality");
const printScaling_1 = require("./printScaling");
function createPrintJobConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrintJobConfiguration;
}
exports.createPrintJobConfigurationFromDiscriminatorValue = createPrintJobConfigurationFromDiscriminatorValue;
function deserializeIntoPrintJobConfiguration(printJobConfiguration = {}) {
    return {
        "collate": n => { printJobConfiguration.collate = n.getBooleanValue(); },
        "colorMode": n => { printJobConfiguration.colorMode = n.getEnumValue(printColorMode_1.PrintColorMode); },
        "copies": n => { printJobConfiguration.copies = n.getNumberValue(); },
        "dpi": n => { printJobConfiguration.dpi = n.getNumberValue(); },
        "duplexMode": n => { printJobConfiguration.duplexMode = n.getEnumValue(printDuplexMode_1.PrintDuplexMode); },
        "feedOrientation": n => { printJobConfiguration.feedOrientation = n.getEnumValue(printerFeedOrientation_1.PrinterFeedOrientation); },
        "finishings": n => { printJobConfiguration.finishings = n.getCollectionOfEnumValues(printFinishing_1.PrintFinishing); },
        "fitPdfToPage": n => { printJobConfiguration.fitPdfToPage = n.getBooleanValue(); },
        "inputBin": n => { printJobConfiguration.inputBin = n.getStringValue(); },
        "margin": n => { printJobConfiguration.margin = n.getObjectValue(printMargin_1.createPrintMarginFromDiscriminatorValue); },
        "mediaSize": n => { printJobConfiguration.mediaSize = n.getStringValue(); },
        "mediaType": n => { printJobConfiguration.mediaType = n.getStringValue(); },
        "multipageLayout": n => { printJobConfiguration.multipageLayout = n.getEnumValue(printMultipageLayout_1.PrintMultipageLayout); },
        "@odata.type": n => { printJobConfiguration.odataType = n.getStringValue(); },
        "orientation": n => { printJobConfiguration.orientation = n.getEnumValue(printOrientation_1.PrintOrientation); },
        "outputBin": n => { printJobConfiguration.outputBin = n.getStringValue(); },
        "pageRanges": n => { printJobConfiguration.pageRanges = n.getCollectionOfObjectValues(integerRange_1.createIntegerRangeFromDiscriminatorValue); },
        "pagesPerSheet": n => { printJobConfiguration.pagesPerSheet = n.getNumberValue(); },
        "quality": n => { printJobConfiguration.quality = n.getEnumValue(printQuality_1.PrintQuality); },
        "scaling": n => { printJobConfiguration.scaling = n.getEnumValue(printScaling_1.PrintScaling); },
    };
}
exports.deserializeIntoPrintJobConfiguration = deserializeIntoPrintJobConfiguration;
function serializePrintJobConfiguration(writer, printJobConfiguration = {}) {
    writer.writeBooleanValue("collate", printJobConfiguration.collate);
    writer.writeEnumValue("colorMode", printJobConfiguration.colorMode);
    writer.writeNumberValue("copies", printJobConfiguration.copies);
    writer.writeNumberValue("dpi", printJobConfiguration.dpi);
    writer.writeEnumValue("duplexMode", printJobConfiguration.duplexMode);
    writer.writeEnumValue("feedOrientation", printJobConfiguration.feedOrientation);
    if (printJobConfiguration.finishings)
        writer.writeEnumValue("finishings", ...printJobConfiguration.finishings);
    writer.writeBooleanValue("fitPdfToPage", printJobConfiguration.fitPdfToPage);
    writer.writeStringValue("inputBin", printJobConfiguration.inputBin);
    writer.writeObjectValue("margin", printJobConfiguration.margin, printMargin_1.serializePrintMargin);
    writer.writeStringValue("mediaSize", printJobConfiguration.mediaSize);
    writer.writeStringValue("mediaType", printJobConfiguration.mediaType);
    writer.writeEnumValue("multipageLayout", printJobConfiguration.multipageLayout);
    writer.writeStringValue("@odata.type", printJobConfiguration.odataType);
    writer.writeEnumValue("orientation", printJobConfiguration.orientation);
    writer.writeStringValue("outputBin", printJobConfiguration.outputBin);
    writer.writeCollectionOfObjectValues("pageRanges", printJobConfiguration.pageRanges, integerRange_1.serializeIntegerRange);
    writer.writeNumberValue("pagesPerSheet", printJobConfiguration.pagesPerSheet);
    writer.writeEnumValue("quality", printJobConfiguration.quality);
    writer.writeEnumValue("scaling", printJobConfiguration.scaling);
    writer.writeAdditionalData(printJobConfiguration.additionalData);
}
exports.serializePrintJobConfiguration = serializePrintJobConfiguration;
// tslint:enable
// eslint-enable
