import { PrintJobProcessingState } from './printJobProcessingState';
import { PrintJobStateDetail } from './printJobStateDetail';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintJobStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintJobStatus;
export declare function deserializeIntoPrintJobStatus(printJobStatus?: PrintJobStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintJobStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A human-readable description of the print job's current processing state. Read-only.
     */
    description?: string;
    /**
     * Additional details for print job state. Valid values are described in the following table. Read-only.
     */
    details?: PrintJobStateDetail[];
    /**
     * True if the job was acknowledged by a printer; false otherwise. Read-only.
     */
    isAcquiredByPrinter?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: PrintJobProcessingState;
}
export declare function serializePrintJobStatus(writer: SerializationWriter, printJobStatus?: PrintJobStatus | undefined): void;
