import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintMarginFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintMargin;
export declare function deserializeIntoPrintMargin(printMargin?: PrintMargin | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintMargin extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The margin in microns from the bottom edge.
     */
    bottom?: number;
    /**
     * The margin in microns from the left edge.
     */
    left?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The margin in microns from the right edge.
     */
    right?: number;
    /**
     * The margin in microns from the top edge.
     */
    top?: number;
}
export declare function serializePrintMargin(writer: SerializationWriter, printMargin?: PrintMargin | undefined): void;
