import { type Entity } from './entity';
import { deserializeIntoPrinterCreateOperation } from './printerCreateOperation';
import { type PrintOperationStatus } from './printOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterCreateOperation;
export declare function deserializeIntoPrintOperation(printOperation?: PrintOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintOperation extends Entity, Parsable {
    /**
     * The DateTimeOffset when the operation was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The status property
     */
    status?: PrintOperationStatus;
}
export declare function serializePrintOperation(writer: SerializationWriter, printOperation?: PrintOperation | undefined): void;
