import { PrintOperationProcessingState } from './printOperationProcessingState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintOperationStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintOperationStatus;
export declare function deserializeIntoPrintOperationStatus(printOperationStatus?: PrintOperationStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintOperationStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A human-readable description of the printOperation's current processing state. Read-only.
     */
    description?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: PrintOperationProcessingState;
}
export declare function serializePrintOperationStatus(writer: SerializationWriter, printOperationStatus?: PrintOperationStatus | undefined): void;
