import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintServiceEndpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintServiceEndpoint;
export declare function deserializeIntoPrintServiceEndpoint(printServiceEndpoint?: PrintServiceEndpoint | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintServiceEndpoint extends Entity, Parsable {
    /**
     * A human-readable display name for the endpoint.
     */
    displayName?: string;
    /**
     * The URI that can be used to access the service.
     */
    uri?: string;
}
export declare function serializePrintServiceEndpoint(writer: SerializationWriter, printServiceEndpoint?: PrintServiceEndpoint | undefined): void;
