import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintSettings;
export declare function deserializeIntoPrintSettings(printSettings?: PrintSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether document conversion is enabled for the tenant. If document conversion is enabled, Universal Print service will automatically convert documents into a format compatible with the printer (xps to pdf) when needed.
     */
    documentConversionEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePrintSettings(writer: SerializationWriter, printSettings?: PrintSettings | undefined): void;
