import { type Entity } from './entity';
import { type PrintTaskDefinition } from './printTaskDefinition';
import { type PrintTaskStatus } from './printTaskStatus';
import { type PrintTaskTrigger } from './printTaskTrigger';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTask;
export declare function deserializeIntoPrintTask(printTask?: PrintTask | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTask extends Entity, Parsable {
    /**
     * The definition property
     */
    definition?: PrintTaskDefinition;
    /**
     * The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/v1.0/print/printers/{printerId}/jobs/{jobId}. Read-only.
     */
    parentUrl?: string;
    /**
     * The status property
     */
    status?: PrintTaskStatus;
    /**
     * The trigger property
     */
    trigger?: PrintTaskTrigger;
}
export declare function serializePrintTask(writer: SerializationWriter, printTask?: PrintTask | undefined): void;
