import { type AppIdentity } from './appIdentity';
import { type Entity } from './entity';
import { type PrintTask } from './printTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskDefinition;
export declare function deserializeIntoPrintTaskDefinition(printTaskDefinition?: PrintTaskDefinition | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskDefinition extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: AppIdentity;
    /**
     * The name of the printTaskDefinition.
     */
    displayName?: string;
    /**
     * A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only.
     */
    tasks?: PrintTask[];
}
export declare function serializePrintTaskDefinition(writer: SerializationWriter, printTaskDefinition?: PrintTaskDefinition | undefined): void;
