import { PrintTaskProcessingState } from './printTaskProcessingState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskStatus;
export declare function deserializeIntoPrintTaskStatus(printTaskStatus?: PrintTaskStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A human-readable description of the current processing state of the printTask.
     */
    description?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: PrintTaskProcessingState;
}
export declare function serializePrintTaskStatus(writer: SerializationWriter, printTaskStatus?: PrintTaskStatus | undefined): void;
