import { type Entity } from './entity';
import { type DateOnly, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintUsageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintUsage;
export declare function deserializeIntoPrintUsage(printUsage?: PrintUsage | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintUsage extends Entity, Parsable {
    /**
     * The blackAndWhitePageCount property
     */
    blackAndWhitePageCount?: number;
    /**
     * The colorPageCount property
     */
    colorPageCount?: number;
    /**
     * The completedBlackAndWhiteJobCount property
     */
    completedBlackAndWhiteJobCount?: number;
    /**
     * The completedColorJobCount property
     */
    completedColorJobCount?: number;
    /**
     * The completedJobCount property
     */
    completedJobCount?: number;
    /**
     * The doubleSidedSheetCount property
     */
    doubleSidedSheetCount?: number;
    /**
     * The incompleteJobCount property
     */
    incompleteJobCount?: number;
    /**
     * The mediaSheetCount property
     */
    mediaSheetCount?: number;
    /**
     * The pageCount property
     */
    pageCount?: number;
    /**
     * The singleSidedSheetCount property
     */
    singleSidedSheetCount?: number;
    /**
     * The usageDate property
     */
    usageDate?: DateOnly;
}
export declare function serializePrintUsage(writer: SerializationWriter, printUsage?: PrintUsage | undefined): void;
