"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintUsage = exports.deserializeIntoPrintUsage = exports.createPrintUsageFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const printUsageByPrinter_1 = require("./printUsageByPrinter");
const printUsageByUser_1 = require("./printUsageByUser");
function createPrintUsageFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.printUsageByPrinter":
                    return printUsageByPrinter_1.deserializeIntoPrintUsageByPrinter;
                case "#microsoft.graph.printUsageByUser":
                    return printUsageByUser_1.deserializeIntoPrintUsageByUser;
            }
        }
    }
    return deserializeIntoPrintUsage;
}
exports.createPrintUsageFromDiscriminatorValue = createPrintUsageFromDiscriminatorValue;
function deserializeIntoPrintUsage(printUsage = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(printUsage)), { "blackAndWhitePageCount": n => { printUsage.blackAndWhitePageCount = n.getNumberValue(); }, "colorPageCount": n => { printUsage.colorPageCount = n.getNumberValue(); }, "completedBlackAndWhiteJobCount": n => { printUsage.completedBlackAndWhiteJobCount = n.getNumberValue(); }, "completedColorJobCount": n => { printUsage.completedColorJobCount = n.getNumberValue(); }, "completedJobCount": n => { printUsage.completedJobCount = n.getNumberValue(); }, "doubleSidedSheetCount": n => { printUsage.doubleSidedSheetCount = n.getNumberValue(); }, "incompleteJobCount": n => { printUsage.incompleteJobCount = n.getNumberValue(); }, "mediaSheetCount": n => { printUsage.mediaSheetCount = n.getNumberValue(); }, "pageCount": n => { printUsage.pageCount = n.getNumberValue(); }, "singleSidedSheetCount": n => { printUsage.singleSidedSheetCount = n.getNumberValue(); }, "usageDate": n => { printUsage.usageDate = n.getDateOnlyValue(); } });
}
exports.deserializeIntoPrintUsage = deserializeIntoPrintUsage;
function serializePrintUsage(writer, printUsage = {}) {
    (0, entity_1.serializeEntity)(writer, printUsage);
    writer.writeNumberValue("blackAndWhitePageCount", printUsage.blackAndWhitePageCount);
    writer.writeNumberValue("colorPageCount", printUsage.colorPageCount);
    writer.writeNumberValue("completedBlackAndWhiteJobCount", printUsage.completedBlackAndWhiteJobCount);
    writer.writeNumberValue("completedColorJobCount", printUsage.completedColorJobCount);
    writer.writeNumberValue("completedJobCount", printUsage.completedJobCount);
    writer.writeNumberValue("doubleSidedSheetCount", printUsage.doubleSidedSheetCount);
    writer.writeNumberValue("incompleteJobCount", printUsage.incompleteJobCount);
    writer.writeNumberValue("mediaSheetCount", printUsage.mediaSheetCount);
    writer.writeNumberValue("pageCount", printUsage.pageCount);
    writer.writeNumberValue("singleSidedSheetCount", printUsage.singleSidedSheetCount);
    writer.writeDateOnlyValue("usageDate", printUsage.usageDate);
}
exports.serializePrintUsage = serializePrintUsage;
// tslint:enable
// eslint-enable
