import { type PrintConnector } from './printConnector';
import { type PrinterBase } from './printerBase';
import { type PrinterShare } from './printerShare';
import { type PrintTaskTrigger } from './printTaskTrigger';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinter;
export declare function deserializeIntoPrinter(printer?: Printer | undefined): Record<string, (node: ParseNode) => void>;
export interface Printer extends Parsable, PrinterBase {
    /**
     * The connectors that are associated with the printer.
     */
    connectors?: PrintConnector[];
    /**
     * True if the printer has a physical device for printing. Read-only.
     */
    hasPhysicalDevice?: boolean;
    /**
     * True if the printer is shared; false otherwise. Read-only.
     */
    isShared?: boolean;
    /**
     * The most recent dateTimeOffset when a printer interacted with Universal Print. Read-only.
     */
    lastSeenDateTime?: Date;
    /**
     * The DateTimeOffset when the printer was registered. Read-only.
     */
    registeredDateTime?: Date;
    /**
     * The list of printerShares that are associated with the printer. Currently, only one printerShare can be associated with the printer. Read-only. Nullable.
     */
    shares?: PrinterShare[];
    /**
     * A list of task triggers that are associated with the printer.
     */
    taskTriggers?: PrintTaskTrigger[];
}
export declare function serializePrinter(writer: SerializationWriter, printer?: Printer | undefined): void;
