import { type Entity } from './entity';
import { deserializeIntoPrinter } from './printer';
import { type PrinterCapabilities } from './printerCapabilities';
import { type PrinterDefaults } from './printerDefaults';
import { type PrinterLocation } from './printerLocation';
import { type PrinterStatus } from './printerStatus';
import { type PrintJob } from './printJob';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinter;
export declare function deserializeIntoPrinterBase(printerBase?: PrinterBase | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterBase extends Entity, Parsable {
    /**
     * The capabilities of the printer/printerShare.
     */
    capabilities?: PrinterCapabilities;
    /**
     * The default print settings of printer/printerShare.
     */
    defaults?: PrinterDefaults;
    /**
     * The name of the printer/printerShare.
     */
    displayName?: string;
    /**
     * Specifies whether the printer/printerShare is currently accepting new print jobs.
     */
    isAcceptingJobs?: boolean;
    /**
     * The list of jobs that are queued for printing by the printer/printerShare.
     */
    jobs?: PrintJob[];
    /**
     * The physical and/or organizational location of the printer/printerShare.
     */
    location?: PrinterLocation;
    /**
     * The manufacturer of the printer/printerShare.
     */
    manufacturer?: string;
    /**
     * The model name of the printer/printerShare.
     */
    model?: string;
    /**
     * The status property
     */
    status?: PrinterStatus;
}
export declare function serializePrinterBase(writer: SerializationWriter, printerBase?: PrinterBase | undefined): void;
