"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrinterBase = exports.deserializeIntoPrinterBase = exports.createPrinterBaseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const printer_1 = require("./printer");
const printerCapabilities_1 = require("./printerCapabilities");
const printerDefaults_1 = require("./printerDefaults");
const printerLocation_1 = require("./printerLocation");
const printerShare_1 = require("./printerShare");
const printerStatus_1 = require("./printerStatus");
const printJob_1 = require("./printJob");
function createPrinterBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.printer":
                    return printer_1.deserializeIntoPrinter;
                case "#microsoft.graph.printerShare":
                    return printerShare_1.deserializeIntoPrinterShare;
            }
        }
    }
    return deserializeIntoPrinterBase;
}
exports.createPrinterBaseFromDiscriminatorValue = createPrinterBaseFromDiscriminatorValue;
function deserializeIntoPrinterBase(printerBase = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(printerBase)), { "capabilities": n => { printerBase.capabilities = n.getObjectValue(printerCapabilities_1.createPrinterCapabilitiesFromDiscriminatorValue); }, "defaults": n => { printerBase.defaults = n.getObjectValue(printerDefaults_1.createPrinterDefaultsFromDiscriminatorValue); }, "displayName": n => { printerBase.displayName = n.getStringValue(); }, "isAcceptingJobs": n => { printerBase.isAcceptingJobs = n.getBooleanValue(); }, "jobs": n => { printerBase.jobs = n.getCollectionOfObjectValues(printJob_1.createPrintJobFromDiscriminatorValue); }, "location": n => { printerBase.location = n.getObjectValue(printerLocation_1.createPrinterLocationFromDiscriminatorValue); }, "manufacturer": n => { printerBase.manufacturer = n.getStringValue(); }, "model": n => { printerBase.model = n.getStringValue(); }, "status": n => { printerBase.status = n.getObjectValue(printerStatus_1.createPrinterStatusFromDiscriminatorValue); } });
}
exports.deserializeIntoPrinterBase = deserializeIntoPrinterBase;
function serializePrinterBase(writer, printerBase = {}) {
    (0, entity_1.serializeEntity)(writer, printerBase);
    writer.writeObjectValue("capabilities", printerBase.capabilities, printerCapabilities_1.serializePrinterCapabilities);
    writer.writeObjectValue("defaults", printerBase.defaults, printerDefaults_1.serializePrinterDefaults);
    writer.writeStringValue("displayName", printerBase.displayName);
    writer.writeBooleanValue("isAcceptingJobs", printerBase.isAcceptingJobs);
    writer.writeCollectionOfObjectValues("jobs", printerBase.jobs, printJob_1.serializePrintJob);
    writer.writeObjectValue("location", printerBase.location, printerLocation_1.serializePrinterLocation);
    writer.writeStringValue("manufacturer", printerBase.manufacturer);
    writer.writeStringValue("model", printerBase.model);
    writer.writeObjectValue("status", printerBase.status, printerStatus_1.serializePrinterStatus);
}
exports.serializePrinterBase = serializePrinterBase;
// tslint:enable
// eslint-enable
