"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrinterCapabilities = exports.deserializeIntoPrinterCapabilities = exports.createPrinterCapabilitiesFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const integerRange_1 = require("./integerRange");
const printColorMode_1 = require("./printColorMode");
const printDuplexMode_1 = require("./printDuplexMode");
const printerFeedOrientation_1 = require("./printerFeedOrientation");
const printFinishing_1 = require("./printFinishing");
const printMultipageLayout_1 = require("./printMultipageLayout");
const printOrientation_1 = require("./printOrientation");
const printQuality_1 = require("./printQuality");
const printScaling_1 = require("./printScaling");
function createPrinterCapabilitiesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrinterCapabilities;
}
exports.createPrinterCapabilitiesFromDiscriminatorValue = createPrinterCapabilitiesFromDiscriminatorValue;
function deserializeIntoPrinterCapabilities(printerCapabilities = {}) {
    return {
        "bottomMargins": n => { printerCapabilities.bottomMargins = n.getCollectionOfPrimitiveValues(); },
        "collation": n => { printerCapabilities.collation = n.getBooleanValue(); },
        "colorModes": n => { printerCapabilities.colorModes = n.getCollectionOfEnumValues(printColorMode_1.PrintColorMode); },
        "contentTypes": n => { printerCapabilities.contentTypes = n.getCollectionOfPrimitiveValues(); },
        "copiesPerJob": n => { printerCapabilities.copiesPerJob = n.getObjectValue(integerRange_1.createIntegerRangeFromDiscriminatorValue); },
        "dpis": n => { printerCapabilities.dpis = n.getCollectionOfPrimitiveValues(); },
        "duplexModes": n => { printerCapabilities.duplexModes = n.getCollectionOfEnumValues(printDuplexMode_1.PrintDuplexMode); },
        "feedOrientations": n => { printerCapabilities.feedOrientations = n.getCollectionOfEnumValues(printerFeedOrientation_1.PrinterFeedOrientation); },
        "finishings": n => { printerCapabilities.finishings = n.getCollectionOfEnumValues(printFinishing_1.PrintFinishing); },
        "inputBins": n => { printerCapabilities.inputBins = n.getCollectionOfPrimitiveValues(); },
        "isColorPrintingSupported": n => { printerCapabilities.isColorPrintingSupported = n.getBooleanValue(); },
        "isPageRangeSupported": n => { printerCapabilities.isPageRangeSupported = n.getBooleanValue(); },
        "leftMargins": n => { printerCapabilities.leftMargins = n.getCollectionOfPrimitiveValues(); },
        "mediaColors": n => { printerCapabilities.mediaColors = n.getCollectionOfPrimitiveValues(); },
        "mediaSizes": n => { printerCapabilities.mediaSizes = n.getCollectionOfPrimitiveValues(); },
        "mediaTypes": n => { printerCapabilities.mediaTypes = n.getCollectionOfPrimitiveValues(); },
        "multipageLayouts": n => { printerCapabilities.multipageLayouts = n.getCollectionOfEnumValues(printMultipageLayout_1.PrintMultipageLayout); },
        "@odata.type": n => { printerCapabilities.odataType = n.getStringValue(); },
        "orientations": n => { printerCapabilities.orientations = n.getCollectionOfEnumValues(printOrientation_1.PrintOrientation); },
        "outputBins": n => { printerCapabilities.outputBins = n.getCollectionOfPrimitiveValues(); },
        "pagesPerSheet": n => { printerCapabilities.pagesPerSheet = n.getCollectionOfPrimitiveValues(); },
        "qualities": n => { printerCapabilities.qualities = n.getCollectionOfEnumValues(printQuality_1.PrintQuality); },
        "rightMargins": n => { printerCapabilities.rightMargins = n.getCollectionOfPrimitiveValues(); },
        "scalings": n => { printerCapabilities.scalings = n.getCollectionOfEnumValues(printScaling_1.PrintScaling); },
        "supportsFitPdfToPage": n => { printerCapabilities.supportsFitPdfToPage = n.getBooleanValue(); },
        "topMargins": n => { printerCapabilities.topMargins = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoPrinterCapabilities = deserializeIntoPrinterCapabilities;
function serializePrinterCapabilities(writer, printerCapabilities = {}) {
    writer.writeCollectionOfPrimitiveValues("bottomMargins", printerCapabilities.bottomMargins);
    writer.writeBooleanValue("collation", printerCapabilities.collation);
    if (printerCapabilities.colorModes)
        writer.writeEnumValue("colorModes", ...printerCapabilities.colorModes);
    writer.writeCollectionOfPrimitiveValues("contentTypes", printerCapabilities.contentTypes);
    writer.writeObjectValue("copiesPerJob", printerCapabilities.copiesPerJob, integerRange_1.serializeIntegerRange);
    writer.writeCollectionOfPrimitiveValues("dpis", printerCapabilities.dpis);
    if (printerCapabilities.duplexModes)
        writer.writeEnumValue("duplexModes", ...printerCapabilities.duplexModes);
    if (printerCapabilities.feedOrientations)
        writer.writeEnumValue("feedOrientations", ...printerCapabilities.feedOrientations);
    if (printerCapabilities.finishings)
        writer.writeEnumValue("finishings", ...printerCapabilities.finishings);
    writer.writeCollectionOfPrimitiveValues("inputBins", printerCapabilities.inputBins);
    writer.writeBooleanValue("isColorPrintingSupported", printerCapabilities.isColorPrintingSupported);
    writer.writeBooleanValue("isPageRangeSupported", printerCapabilities.isPageRangeSupported);
    writer.writeCollectionOfPrimitiveValues("leftMargins", printerCapabilities.leftMargins);
    writer.writeCollectionOfPrimitiveValues("mediaColors", printerCapabilities.mediaColors);
    writer.writeCollectionOfPrimitiveValues("mediaSizes", printerCapabilities.mediaSizes);
    writer.writeCollectionOfPrimitiveValues("mediaTypes", printerCapabilities.mediaTypes);
    if (printerCapabilities.multipageLayouts)
        writer.writeEnumValue("multipageLayouts", ...printerCapabilities.multipageLayouts);
    writer.writeStringValue("@odata.type", printerCapabilities.odataType);
    if (printerCapabilities.orientations)
        writer.writeEnumValue("orientations", ...printerCapabilities.orientations);
    writer.writeCollectionOfPrimitiveValues("outputBins", printerCapabilities.outputBins);
    writer.writeCollectionOfPrimitiveValues("pagesPerSheet", printerCapabilities.pagesPerSheet);
    if (printerCapabilities.qualities)
        writer.writeEnumValue("qualities", ...printerCapabilities.qualities);
    writer.writeCollectionOfPrimitiveValues("rightMargins", printerCapabilities.rightMargins);
    if (printerCapabilities.scalings)
        writer.writeEnumValue("scalings", ...printerCapabilities.scalings);
    writer.writeBooleanValue("supportsFitPdfToPage", printerCapabilities.supportsFitPdfToPage);
    writer.writeCollectionOfPrimitiveValues("topMargins", printerCapabilities.topMargins);
    writer.writeAdditionalData(printerCapabilities.additionalData);
}
exports.serializePrinterCapabilities = serializePrinterCapabilities;
// tslint:enable
// eslint-enable
