import { type Printer } from './printer';
import { type PrintOperation } from './printOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterCreateOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterCreateOperation;
export declare function deserializeIntoPrinterCreateOperation(printerCreateOperation?: PrinterCreateOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterCreateOperation extends Parsable, PrintOperation {
    /**
     * The signed certificate created during the registration process. Read-only.
     */
    certificate?: string;
    /**
     * The created printer entity. Read-only.
     */
    printer?: Printer;
}
export declare function serializePrinterCreateOperation(writer: SerializationWriter, printerCreateOperation?: PrinterCreateOperation | undefined): void;
