"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrinterDefaults = exports.deserializeIntoPrinterDefaults = exports.createPrinterDefaultsFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const printColorMode_1 = require("./printColorMode");
const printDuplexMode_1 = require("./printDuplexMode");
const printFinishing_1 = require("./printFinishing");
const printMultipageLayout_1 = require("./printMultipageLayout");
const printOrientation_1 = require("./printOrientation");
const printQuality_1 = require("./printQuality");
const printScaling_1 = require("./printScaling");
function createPrinterDefaultsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrinterDefaults;
}
exports.createPrinterDefaultsFromDiscriminatorValue = createPrinterDefaultsFromDiscriminatorValue;
function deserializeIntoPrinterDefaults(printerDefaults = {}) {
    return {
        "colorMode": n => { printerDefaults.colorMode = n.getEnumValue(printColorMode_1.PrintColorMode); },
        "contentType": n => { printerDefaults.contentType = n.getStringValue(); },
        "copiesPerJob": n => { printerDefaults.copiesPerJob = n.getNumberValue(); },
        "dpi": n => { printerDefaults.dpi = n.getNumberValue(); },
        "duplexMode": n => { printerDefaults.duplexMode = n.getEnumValue(printDuplexMode_1.PrintDuplexMode); },
        "finishings": n => { printerDefaults.finishings = n.getCollectionOfEnumValues(printFinishing_1.PrintFinishing); },
        "fitPdfToPage": n => { printerDefaults.fitPdfToPage = n.getBooleanValue(); },
        "inputBin": n => { printerDefaults.inputBin = n.getStringValue(); },
        "mediaColor": n => { printerDefaults.mediaColor = n.getStringValue(); },
        "mediaSize": n => { printerDefaults.mediaSize = n.getStringValue(); },
        "mediaType": n => { printerDefaults.mediaType = n.getStringValue(); },
        "multipageLayout": n => { printerDefaults.multipageLayout = n.getEnumValue(printMultipageLayout_1.PrintMultipageLayout); },
        "@odata.type": n => { printerDefaults.odataType = n.getStringValue(); },
        "orientation": n => { printerDefaults.orientation = n.getEnumValue(printOrientation_1.PrintOrientation); },
        "outputBin": n => { printerDefaults.outputBin = n.getStringValue(); },
        "pagesPerSheet": n => { printerDefaults.pagesPerSheet = n.getNumberValue(); },
        "quality": n => { printerDefaults.quality = n.getEnumValue(printQuality_1.PrintQuality); },
        "scaling": n => { printerDefaults.scaling = n.getEnumValue(printScaling_1.PrintScaling); },
    };
}
exports.deserializeIntoPrinterDefaults = deserializeIntoPrinterDefaults;
function serializePrinterDefaults(writer, printerDefaults = {}) {
    writer.writeEnumValue("colorMode", printerDefaults.colorMode);
    writer.writeStringValue("contentType", printerDefaults.contentType);
    writer.writeNumberValue("copiesPerJob", printerDefaults.copiesPerJob);
    writer.writeNumberValue("dpi", printerDefaults.dpi);
    writer.writeEnumValue("duplexMode", printerDefaults.duplexMode);
    if (printerDefaults.finishings)
        writer.writeEnumValue("finishings", ...printerDefaults.finishings);
    writer.writeBooleanValue("fitPdfToPage", printerDefaults.fitPdfToPage);
    writer.writeStringValue("inputBin", printerDefaults.inputBin);
    writer.writeStringValue("mediaColor", printerDefaults.mediaColor);
    writer.writeStringValue("mediaSize", printerDefaults.mediaSize);
    writer.writeStringValue("mediaType", printerDefaults.mediaType);
    writer.writeEnumValue("multipageLayout", printerDefaults.multipageLayout);
    writer.writeStringValue("@odata.type", printerDefaults.odataType);
    writer.writeEnumValue("orientation", printerDefaults.orientation);
    writer.writeStringValue("outputBin", printerDefaults.outputBin);
    writer.writeNumberValue("pagesPerSheet", printerDefaults.pagesPerSheet);
    writer.writeEnumValue("quality", printerDefaults.quality);
    writer.writeEnumValue("scaling", printerDefaults.scaling);
    writer.writeAdditionalData(printerDefaults.additionalData);
}
exports.serializePrinterDefaults = serializePrinterDefaults;
// tslint:enable
// eslint-enable
