"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrinterLocation = exports.deserializeIntoPrinterLocation = exports.createPrinterLocationFromDiscriminatorValue = void 0;
function createPrinterLocationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrinterLocation;
}
exports.createPrinterLocationFromDiscriminatorValue = createPrinterLocationFromDiscriminatorValue;
function deserializeIntoPrinterLocation(printerLocation = {}) {
    return {
        "altitudeInMeters": n => { printerLocation.altitudeInMeters = n.getNumberValue(); },
        "building": n => { printerLocation.building = n.getStringValue(); },
        "city": n => { printerLocation.city = n.getStringValue(); },
        "countryOrRegion": n => { printerLocation.countryOrRegion = n.getStringValue(); },
        "floor": n => { printerLocation.floor = n.getStringValue(); },
        "floorDescription": n => { printerLocation.floorDescription = n.getStringValue(); },
        "latitude": n => { printerLocation.latitude = n.getNumberValue(); },
        "longitude": n => { printerLocation.longitude = n.getNumberValue(); },
        "@odata.type": n => { printerLocation.odataType = n.getStringValue(); },
        "organization": n => { printerLocation.organization = n.getCollectionOfPrimitiveValues(); },
        "postalCode": n => { printerLocation.postalCode = n.getStringValue(); },
        "roomDescription": n => { printerLocation.roomDescription = n.getStringValue(); },
        "roomName": n => { printerLocation.roomName = n.getStringValue(); },
        "site": n => { printerLocation.site = n.getStringValue(); },
        "stateOrProvince": n => { printerLocation.stateOrProvince = n.getStringValue(); },
        "streetAddress": n => { printerLocation.streetAddress = n.getStringValue(); },
        "subdivision": n => { printerLocation.subdivision = n.getCollectionOfPrimitiveValues(); },
        "subunit": n => { printerLocation.subunit = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoPrinterLocation = deserializeIntoPrinterLocation;
function serializePrinterLocation(writer, printerLocation = {}) {
    writer.writeNumberValue("altitudeInMeters", printerLocation.altitudeInMeters);
    writer.writeStringValue("building", printerLocation.building);
    writer.writeStringValue("city", printerLocation.city);
    writer.writeStringValue("countryOrRegion", printerLocation.countryOrRegion);
    writer.writeStringValue("floor", printerLocation.floor);
    writer.writeStringValue("floorDescription", printerLocation.floorDescription);
    writer.writeNumberValue("latitude", printerLocation.latitude);
    writer.writeNumberValue("longitude", printerLocation.longitude);
    writer.writeStringValue("@odata.type", printerLocation.odataType);
    writer.writeCollectionOfPrimitiveValues("organization", printerLocation.organization);
    writer.writeStringValue("postalCode", printerLocation.postalCode);
    writer.writeStringValue("roomDescription", printerLocation.roomDescription);
    writer.writeStringValue("roomName", printerLocation.roomName);
    writer.writeStringValue("site", printerLocation.site);
    writer.writeStringValue("stateOrProvince", printerLocation.stateOrProvince);
    writer.writeStringValue("streetAddress", printerLocation.streetAddress);
    writer.writeCollectionOfPrimitiveValues("subdivision", printerLocation.subdivision);
    writer.writeCollectionOfPrimitiveValues("subunit", printerLocation.subunit);
    writer.writeAdditionalData(printerLocation.additionalData);
}
exports.serializePrinterLocation = serializePrinterLocation;
// tslint:enable
// eslint-enable
