import { type Group } from './group';
import { type Printer } from './printer';
import { type PrinterBase } from './printerBase';
import { type PrinterShareViewpoint } from './printerShareViewpoint';
import { type User } from './user';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterShareFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterShare;
export declare function deserializeIntoPrinterShare(printerShare?: PrinterShare | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterShare extends Parsable, PrinterBase {
    /**
     * If true, all users and groups will be granted access to this printer share. This supersedes the allow lists defined by the allowedUsers and allowedGroups navigation properties.
     */
    allowAllUsers?: boolean;
    /**
     * The groups whose users have access to print using the printer.
     */
    allowedGroups?: Group[];
    /**
     * The users who have access to print using the printer.
     */
    allowedUsers?: User[];
    /**
     * The DateTimeOffset when the printer share was created. Read-only.
     */
    createdDateTime?: Date;
    /**
     * The printer that this printer share is related to.
     */
    printer?: Printer;
    /**
     * Additional data for a printer share as viewed by the signed-in user.
     */
    viewPoint?: PrinterShareViewpoint;
}
export declare function serializePrinterShare(writer: SerializationWriter, printerShare?: PrinterShare | undefined): void;
