import { PrinterProcessingState } from './printerProcessingState';
import { PrinterProcessingStateDetail } from './printerProcessingStateDetail';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterStatus;
export declare function deserializeIntoPrinterStatus(printerStatus?: PrinterStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A human-readable description of the printer's current processing state. Read-only.
     */
    description?: string;
    /**
     * The list of details describing why the printer is in the current state. Valid values are described in the following table. Read-only.
     */
    details?: PrinterProcessingStateDetail[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: PrinterProcessingState;
}
export declare function serializePrinterStatus(writer: SerializationWriter, printerStatus?: PrinterStatus | undefined): void;
