import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivacyProfileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivacyProfile;
export declare function deserializeIntoPrivacyProfile(privacyProfile?: PrivacyProfile | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivacyProfile extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A valid smtp email address for the privacy statement contact. Not required.
     */
    contactEmail?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A valid URL format that begins with http:// or https://. Maximum length is 255 characters. The URL that directs to the company's privacy statement. Not required.
     */
    statementUrl?: string;
}
export declare function serializePrivacyProfile(writer: SerializationWriter, privacyProfile?: PrivacyProfile | undefined): void;
