import { type Approval } from './approval';
import { type Entity } from './entity';
import { type PrivilegedAccessGroupAssignmentSchedule } from './privilegedAccessGroupAssignmentSchedule';
import { type PrivilegedAccessGroupAssignmentScheduleInstance } from './privilegedAccessGroupAssignmentScheduleInstance';
import { type PrivilegedAccessGroupAssignmentScheduleRequest } from './privilegedAccessGroupAssignmentScheduleRequest';
import { type PrivilegedAccessGroupEligibilitySchedule } from './privilegedAccessGroupEligibilitySchedule';
import { type PrivilegedAccessGroupEligibilityScheduleInstance } from './privilegedAccessGroupEligibilityScheduleInstance';
import { type PrivilegedAccessGroupEligibilityScheduleRequest } from './privilegedAccessGroupEligibilityScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroup;
export declare function deserializeIntoPrivilegedAccessGroup(privilegedAccessGroup?: PrivilegedAccessGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroup extends Entity, Parsable {
    /**
     * The assignmentApprovals property
     */
    assignmentApprovals?: Approval[];
    /**
     * The instances of assignment schedules to activate a just-in-time access.
     */
    assignmentScheduleInstances?: PrivilegedAccessGroupAssignmentScheduleInstance[];
    /**
     * The schedule requests for operations to create, update, delete, extend, and renew an assignment.
     */
    assignmentScheduleRequests?: PrivilegedAccessGroupAssignmentScheduleRequest[];
    /**
     * The assignment schedules to activate a just-in-time access.
     */
    assignmentSchedules?: PrivilegedAccessGroupAssignmentSchedule[];
    /**
     * The instances of eligibility schedules to activate a just-in-time access.
     */
    eligibilityScheduleInstances?: PrivilegedAccessGroupEligibilityScheduleInstance[];
    /**
     * The schedule requests for operations to create, update, delete, extend, and renew an eligibility.
     */
    eligibilityScheduleRequests?: PrivilegedAccessGroupEligibilityScheduleRequest[];
    /**
     * The eligibility schedules to activate a just-in-time access.
     */
    eligibilitySchedules?: PrivilegedAccessGroupEligibilitySchedule[];
}
export declare function serializePrivilegedAccessGroup(writer: SerializationWriter, privilegedAccessGroup?: PrivilegedAccessGroup | undefined): void;
