import { type DirectoryObject } from './directoryObject';
import { type Group } from './group';
import { PrivilegedAccessGroupAssignmentType } from './privilegedAccessGroupAssignmentType';
import { type PrivilegedAccessGroupEligibilityScheduleInstance } from './privilegedAccessGroupEligibilityScheduleInstance';
import { PrivilegedAccessGroupMemberType } from './privilegedAccessGroupMemberType';
import { PrivilegedAccessGroupRelationships } from './privilegedAccessGroupRelationships';
import { type PrivilegedAccessScheduleInstance } from './privilegedAccessScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupAssignmentScheduleInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstance;
export declare function deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstance(privilegedAccessGroupAssignmentScheduleInstance?: PrivilegedAccessGroupAssignmentScheduleInstance | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupAssignmentScheduleInstance extends Parsable, PrivilegedAccessScheduleInstance {
    /**
     * The identifier of the membership or ownership assignment relationship to the group. Required. The possible values are: owner, member,  unknownFutureValue. Supports $filter (eq).
     */
    accessId?: PrivilegedAccessGroupRelationships;
    /**
     * When the request activates a membership or ownership in PIM for groups, this object represents the eligibility request for the group. Otherwise, it is null.
     */
    activatedUsing?: PrivilegedAccessGroupEligibilityScheduleInstance;
    /**
     * The identifier of the privilegedAccessGroupAssignmentSchedule from which this instance was created. Required. Supports $filter (eq, ne).
     */
    assignmentScheduleId?: string;
    /**
     * Indicates whether the membership or ownership assignment is granted through activation of an eligibility or through direct assignment. Required. The possible values are: assigned, activated, unknownFutureValue. Supports $filter (eq).
     */
    assignmentType?: PrivilegedAccessGroupAssignmentType;
    /**
     * References the group that is the scope of the membership or ownership assignment through PIM for groups. Supports $expand.
     */
    group?: Group;
    /**
     * The identifier of the group representing the scope of the membership or ownership assignment through PIM for groups. Optional. Supports $filter (eq).
     */
    groupId?: string;
    /**
     * Indicates whether the assignment is derived from a group assignment. It can further imply whether the caller can manage the assignment schedule. Required. The possible values are: direct, group, unknownFutureValue. Supports $filter (eq).
     */
    memberType?: PrivilegedAccessGroupMemberType;
    /**
     * References the principal that's in the scope of the membership or ownership assignment request through the group that's governed by PIM. Supports $expand.
     */
    principal?: DirectoryObject;
    /**
     * The identifier of the principal whose membership or ownership assignment to the group is managed through PIM for groups. Required. Supports $filter (eq).
     */
    principalId?: string;
}
export declare function serializePrivilegedAccessGroupAssignmentScheduleInstance(writer: SerializationWriter, privilegedAccessGroupAssignmentScheduleInstance?: PrivilegedAccessGroupAssignmentScheduleInstance | undefined): void;
