import { type DirectoryObject } from './directoryObject';
import { type Group } from './group';
import { type PrivilegedAccessGroupEligibilitySchedule } from './privilegedAccessGroupEligibilitySchedule';
import { PrivilegedAccessGroupRelationships } from './privilegedAccessGroupRelationships';
import { type PrivilegedAccessScheduleRequest } from './privilegedAccessScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupAssignmentScheduleRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest;
export declare function deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest(privilegedAccessGroupAssignmentScheduleRequest?: PrivilegedAccessGroupAssignmentScheduleRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupAssignmentScheduleRequest extends Parsable, PrivilegedAccessScheduleRequest {
    /**
     * The identifier of a membership or ownership assignment relationship to the group. Required. The possible values are: owner, member, unknownFutureValue.
     */
    accessId?: PrivilegedAccessGroupRelationships;
    /**
     * When the request activates a membership or ownership assignment in PIM for groups, this object represents the eligibility policy for the group. Otherwise, it is null. Supports $expand.
     */
    activatedUsing?: PrivilegedAccessGroupEligibilitySchedule;
    /**
     * References the group that is the scope of the membership or ownership assignment request through PIM for groups. Supports $expand.
     */
    group?: Group;
    /**
     * The identifier of the group representing the scope of the membership or ownership assignment through PIM for groups. Required.
     */
    groupId?: string;
    /**
     * References the principal that's in the scope of this membership or ownership assignment request through the group that's governed by PIM. Supports $expand.
     */
    principal?: DirectoryObject;
    /**
     * The identifier of the principal whose membership or ownership assignment to the group is managed through PIM for groups. Supports $filter (eq, ne).
     */
    principalId?: string;
    /**
     * Schedule created by this request. Supports $expand.
     */
    targetSchedule?: PrivilegedAccessGroupEligibilitySchedule;
    /**
     * The identifier of the schedule that's created from the membership or ownership assignment request. Supports $filter (eq, ne).
     */
    targetScheduleId?: string;
}
export declare function serializePrivilegedAccessGroupAssignmentScheduleRequest(writer: SerializationWriter, privilegedAccessGroupAssignmentScheduleRequest?: PrivilegedAccessGroupAssignmentScheduleRequest | undefined): void;
