import { type DirectoryObject } from './directoryObject';
import { type Group } from './group';
import { PrivilegedAccessGroupMemberType } from './privilegedAccessGroupMemberType';
import { PrivilegedAccessGroupRelationships } from './privilegedAccessGroupRelationships';
import { type PrivilegedAccessSchedule } from './privilegedAccessSchedule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilitySchedule;
export declare function deserializeIntoPrivilegedAccessGroupEligibilitySchedule(privilegedAccessGroupEligibilitySchedule?: PrivilegedAccessGroupEligibilitySchedule | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilitySchedule extends Parsable, PrivilegedAccessSchedule {
    /**
     * The identifier of the membership or ownership eligibility to the group that is governed by PIM. Required. The possible values are: owner, member. Supports $filter (eq).
     */
    accessId?: PrivilegedAccessGroupRelationships;
    /**
     * References the group that is the scope of the membership or ownership eligibility through PIM for groups. Supports $expand.
     */
    group?: Group;
    /**
     * The identifier of the group representing the scope of the membership or ownership eligibility through PIM for groups. Required. Supports $filter (eq).
     */
    groupId?: string;
    /**
     * Indicates whether the assignment is derived from a group assignment. It can further imply whether the caller can manage the schedule. Required. The possible values are: direct, group, unknownFutureValue. Supports $filter (eq).
     */
    memberType?: PrivilegedAccessGroupMemberType;
    /**
     * References the principal that's in the scope of this membership or ownership eligibility request to the group that's governed by PIM. Supports $expand.
     */
    principal?: DirectoryObject;
    /**
     * The identifier of the principal whose membership or ownership eligibility is granted through PIM for groups. Required. Supports $filter (eq).
     */
    principalId?: string;
}
export declare function serializePrivilegedAccessGroupEligibilitySchedule(writer: SerializationWriter, privilegedAccessGroupEligibilitySchedule?: PrivilegedAccessGroupEligibilitySchedule | undefined): void;
