import { type DirectoryObject } from './directoryObject';
import { type Group } from './group';
import { PrivilegedAccessGroupMemberType } from './privilegedAccessGroupMemberType';
import { PrivilegedAccessGroupRelationships } from './privilegedAccessGroupRelationships';
import { type PrivilegedAccessScheduleInstance } from './privilegedAccessScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstance;
export declare function deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstance(privilegedAccessGroupEligibilityScheduleInstance?: PrivilegedAccessGroupEligibilityScheduleInstance | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilityScheduleInstance extends Parsable, PrivilegedAccessScheduleInstance {
    /**
     * The identifier of the membership or ownership eligibility relationship to the group. Required. The possible values are: owner, member. Supports $filter (eq).
     */
    accessId?: PrivilegedAccessGroupRelationships;
    /**
     * The identifier of the privilegedAccessGroupEligibilitySchedule from which this instance was created. Required. Supports $filter (eq, ne).
     */
    eligibilityScheduleId?: string;
    /**
     * References the group that is the scope of the membership or ownership eligibility through PIM for groups. Supports $expand.
     */
    group?: Group;
    /**
     * The identifier of the group representing the scope of the membership or ownership eligibility through PIM for groups. Required. Supports $filter (eq).
     */
    groupId?: string;
    /**
     * Indicates whether the assignment is derived from a group assignment. It can further imply whether the calling principal can manage the assignment schedule. Required. The possible values are: direct, group, unknownFutureValue. Supports $filter (eq).
     */
    memberType?: PrivilegedAccessGroupMemberType;
    /**
     * References the principal that's in the scope of the membership or ownership eligibility request through the group that's governed by PIM. Supports $expand.
     */
    principal?: DirectoryObject;
    /**
     * The identifier of the principal whose membership or ownership eligibility to the group is managed through PIM for groups. Required. Supports $filter (eq).
     */
    principalId?: string;
}
export declare function serializePrivilegedAccessGroupEligibilityScheduleInstance(writer: SerializationWriter, privilegedAccessGroupEligibilityScheduleInstance?: PrivilegedAccessGroupEligibilityScheduleInstance | undefined): void;
