import { type DirectoryObject } from './directoryObject';
import { type Group } from './group';
import { type PrivilegedAccessGroupEligibilitySchedule } from './privilegedAccessGroupEligibilitySchedule';
import { PrivilegedAccessGroupRelationships } from './privilegedAccessGroupRelationships';
import { type PrivilegedAccessScheduleRequest } from './privilegedAccessScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequest;
export declare function deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequest(privilegedAccessGroupEligibilityScheduleRequest?: PrivilegedAccessGroupEligibilityScheduleRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilityScheduleRequest extends Parsable, PrivilegedAccessScheduleRequest {
    /**
     * The identifier of membership or ownership eligibility relationship to the group. Required. The possible values are: owner, member, unknownFutureValue.
     */
    accessId?: PrivilegedAccessGroupRelationships;
    /**
     * References the group that is the scope of the membership or ownership eligibility request through PIM for groups. Supports $expand.
     */
    group?: Group;
    /**
     * The identifier of the group representing the scope of the membership and ownership eligibility through PIM for groups. Required.
     */
    groupId?: string;
    /**
     * References the principal that's in the scope of the membership or ownership eligibility request through the group that's governed by PIM. Supports $expand.
     */
    principal?: DirectoryObject;
    /**
     * The identifier of the principal whose membership or ownership eligibility to the group is managed through PIM for groups. Required.
     */
    principalId?: string;
    /**
     * Schedule created by this request.
     */
    targetSchedule?: PrivilegedAccessGroupEligibilitySchedule;
    /**
     * The identifier of the schedule that's created from the eligibility request. Optional.
     */
    targetScheduleId?: string;
}
export declare function serializePrivilegedAccessGroupEligibilityScheduleRequest(writer: SerializationWriter, privilegedAccessGroupEligibilityScheduleRequest?: PrivilegedAccessGroupEligibilityScheduleRequest | undefined): void;
