import { type Entity } from './entity';
import { type PrivilegedAccessGroup } from './privilegedAccessGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessRoot;
export declare function deserializeIntoPrivilegedAccessRoot(privilegedAccessRoot?: PrivilegedAccessRoot | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessRoot extends Entity, Parsable {
    /**
     * A group that's governed through Privileged Identity Management (PIM).
     */
    group?: PrivilegedAccessGroup;
}
export declare function serializePrivilegedAccessRoot(writer: SerializationWriter, privilegedAccessRoot?: PrivilegedAccessRoot | undefined): void;
