import { type Entity } from './entity';
import { deserializeIntoPrivilegedAccessGroupAssignmentSchedule } from './privilegedAccessGroupAssignmentSchedule';
import { type RequestSchedule } from './requestSchedule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentSchedule;
export declare function deserializeIntoPrivilegedAccessSchedule(privilegedAccessSchedule?: PrivilegedAccessSchedule | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessSchedule extends Entity, Parsable {
    /**
     * When the schedule was created. Optional.
     */
    createdDateTime?: Date;
    /**
     * The identifier of the access assignment or eligibility request that created this schedule. Optional.
     */
    createdUsing?: string;
    /**
     * When the schedule was last modified. Optional.
     */
    modifiedDateTime?: Date;
    /**
     * Represents the period of the access assignment or eligibility. The scheduleInfo can represent a single occurrence or multiple recurring instances. Required.
     */
    scheduleInfo?: RequestSchedule;
    /**
     * The status of the access assignment or eligibility request. The possible values are: Canceled, Denied, Failed, Granted, PendingAdminDecision, PendingApproval, PendingProvisioning, PendingScheduleCreation, Provisioned, Revoked, and ScheduleCreated. Not nullable. Optional.
     */
    status?: string;
}
export declare function serializePrivilegedAccessSchedule(writer: SerializationWriter, privilegedAccessSchedule?: PrivilegedAccessSchedule | undefined): void;
