import { deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest } from './privilegedAccessGroupAssignmentScheduleRequest';
import { type Request } from './request';
import { type RequestSchedule } from './requestSchedule';
import { ScheduleRequestActions } from './scheduleRequestActions';
import { type TicketInfo } from './ticketInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessScheduleRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest;
export declare function deserializeIntoPrivilegedAccessScheduleRequest(privilegedAccessScheduleRequest?: PrivilegedAccessScheduleRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessScheduleRequest extends Parsable, Request {
    /**
     * Represents the type of operation on the group membership or ownership assignment request. The possible values are: adminAssign, adminUpdate, adminRemove, selfActivate, selfDeactivate, adminExtend, adminRenew. adminAssign: For administrators to assign group membership or ownership to principals.adminRemove: For administrators to remove principals from group membership or ownership. adminUpdate: For administrators to change existing group membership or ownership assignments.adminExtend: For administrators to extend expiring assignments.adminRenew: For administrators to renew expired assignments.selfActivate: For principals to activate their assignments.selfDeactivate: For principals to deactivate their active assignments.
     */
    action?: ScheduleRequestActions;
    /**
     * Determines whether the call is a validation or an actual call. Only set this property if you want to check whether an activation is subject to additional rules like MFA before actually submitting the request.
     */
    isValidationOnly?: boolean;
    /**
     * A message provided by users and administrators when create they create the privilegedAccessGroupAssignmentScheduleRequest object.
     */
    justification?: string;
    /**
     * The period of the group membership or ownership assignment. Recurring schedules are currently unsupported.
     */
    scheduleInfo?: RequestSchedule;
    /**
     * Ticket details linked to the group membership or ownership assignment request including details of the ticket number and ticket system.
     */
    ticketInfo?: TicketInfo;
}
export declare function serializePrivilegedAccessScheduleRequest(writer: SerializationWriter, privilegedAccessScheduleRequest?: PrivilegedAccessScheduleRequest | undefined): void;
