"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrivilegedAccessScheduleRequest = exports.deserializeIntoPrivilegedAccessScheduleRequest = exports.createPrivilegedAccessScheduleRequestFromDiscriminatorValue = void 0;
const privilegedAccessGroupAssignmentScheduleRequest_1 = require("./privilegedAccessGroupAssignmentScheduleRequest");
const privilegedAccessGroupEligibilityScheduleRequest_1 = require("./privilegedAccessGroupEligibilityScheduleRequest");
const request_1 = require("./request");
const requestSchedule_1 = require("./requestSchedule");
const scheduleRequestActions_1 = require("./scheduleRequestActions");
const ticketInfo_1 = require("./ticketInfo");
function createPrivilegedAccessScheduleRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.privilegedAccessGroupAssignmentScheduleRequest":
                    return privilegedAccessGroupAssignmentScheduleRequest_1.deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest;
                case "#microsoft.graph.privilegedAccessGroupEligibilityScheduleRequest":
                    return privilegedAccessGroupEligibilityScheduleRequest_1.deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequest;
            }
        }
    }
    return deserializeIntoPrivilegedAccessScheduleRequest;
}
exports.createPrivilegedAccessScheduleRequestFromDiscriminatorValue = createPrivilegedAccessScheduleRequestFromDiscriminatorValue;
function deserializeIntoPrivilegedAccessScheduleRequest(privilegedAccessScheduleRequest = {}) {
    return Object.assign(Object.assign({}, (0, request_1.deserializeIntoRequest)(privilegedAccessScheduleRequest)), { "action": n => { privilegedAccessScheduleRequest.action = n.getEnumValue(scheduleRequestActions_1.ScheduleRequestActions); }, "isValidationOnly": n => { privilegedAccessScheduleRequest.isValidationOnly = n.getBooleanValue(); }, "justification": n => { privilegedAccessScheduleRequest.justification = n.getStringValue(); }, "scheduleInfo": n => { privilegedAccessScheduleRequest.scheduleInfo = n.getObjectValue(requestSchedule_1.createRequestScheduleFromDiscriminatorValue); }, "ticketInfo": n => { privilegedAccessScheduleRequest.ticketInfo = n.getObjectValue(ticketInfo_1.createTicketInfoFromDiscriminatorValue); } });
}
exports.deserializeIntoPrivilegedAccessScheduleRequest = deserializeIntoPrivilegedAccessScheduleRequest;
function serializePrivilegedAccessScheduleRequest(writer, privilegedAccessScheduleRequest = {}) {
    (0, request_1.serializeRequest)(writer, privilegedAccessScheduleRequest);
    writer.writeEnumValue("action", privilegedAccessScheduleRequest.action);
    writer.writeBooleanValue("isValidationOnly", privilegedAccessScheduleRequest.isValidationOnly);
    writer.writeStringValue("justification", privilegedAccessScheduleRequest.justification);
    writer.writeObjectValue("scheduleInfo", privilegedAccessScheduleRequest.scheduleInfo, requestSchedule_1.serializeRequestSchedule);
    writer.writeObjectValue("ticketInfo", privilegedAccessScheduleRequest.ticketInfo, ticketInfo_1.serializeTicketInfo);
}
exports.serializePrivilegedAccessScheduleRequest = serializePrivilegedAccessScheduleRequest;
// tslint:enable
// eslint-enable
