import { type DisplayNameLocalization } from './displayNameLocalization';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfileCardAnnotationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfileCardAnnotation;
export declare function deserializeIntoProfileCardAnnotation(profileCardAnnotation?: ProfileCardAnnotation | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfileCardAnnotation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If present, the value of this field is used by the profile card as the default property label in the experience (for example, 'Cost Center').
     */
    displayName?: string;
    /**
     * Each resource in this collection represents the localized value of the attribute name for a given language, used as the default label for that locale. For example, a user with a nb-NO client gets 'Kostnadssenter' as the attribute label, rather than 'Cost Center.'
     */
    localizations?: DisplayNameLocalization[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeProfileCardAnnotation(writer: SerializationWriter, profileCardAnnotation?: ProfileCardAnnotation | undefined): void;
