import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfilePhotoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfilePhoto;
export declare function deserializeIntoProfilePhoto(profilePhoto?: ProfilePhoto | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfilePhoto extends Entity, Parsable {
    /**
     * The height of the photo. Read-only.
     */
    height?: number;
    /**
     * The width of the photo. Read-only.
     */
    width?: number;
}
export declare function serializeProfilePhoto(writer: SerializationWriter, profilePhoto?: ProfilePhoto | undefined): void;
