"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrompt = exports.deserializeIntoPrompt = exports.createPromptFromDiscriminatorValue = void 0;
const mediaPrompt_1 = require("./mediaPrompt");
function createPromptFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.mediaPrompt":
                    return mediaPrompt_1.deserializeIntoMediaPrompt;
            }
        }
    }
    return deserializeIntoPrompt;
}
exports.createPromptFromDiscriminatorValue = createPromptFromDiscriminatorValue;
function deserializeIntoPrompt(prompt = {}) {
    return {
        "@odata.type": n => { prompt.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPrompt = deserializeIntoPrompt;
function serializePrompt(writer, prompt = {}) {
    writer.writeStringValue("@odata.type", prompt.odataType);
    writer.writeAdditionalData(prompt.additionalData);
}
exports.serializePrompt = serializePrompt;
// tslint:enable
// eslint-enable
