import { type DetailsInfo } from './detailsInfo';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisionedIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisionedIdentity;
export declare function deserializeIntoProvisionedIdentity(provisionedIdentity?: ProvisionedIdentity | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisionedIdentity extends Identity, Parsable {
    /**
     * Details of the identity.
     */
    details?: DetailsInfo;
    /**
     * Type of identity that has been provisioned, such as 'user' or 'group'. Supports $filter (eq, contains).
     */
    identityType?: string;
}
export declare function serializeProvisionedIdentity(writer: SerializationWriter, provisionedIdentity?: ProvisionedIdentity | undefined): void;
