import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisionedPlanFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisionedPlan;
export declare function deserializeIntoProvisionedPlan(provisionedPlan?: ProvisionedPlan | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisionedPlan extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * For example, 'Enabled'.
     */
    capabilityStatus?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * For example, 'Success'.
     */
    provisioningStatus?: string;
    /**
     * The name of the service; for example, 'AccessControlS2S'
     */
    service?: string;
}
export declare function serializeProvisionedPlan(writer: SerializationWriter, provisionedPlan?: ProvisionedPlan | undefined): void;
