import { ProvisioningStatusErrorCategory } from './provisioningStatusErrorCategory';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningErrorInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningErrorInfo;
export declare function deserializeIntoProvisioningErrorInfo(provisioningErrorInfo?: ProvisioningErrorInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningErrorInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Additional details if there's error.
     */
    additionalDetails?: string;
    /**
     * Categorizes the error code. Possible values are failure, nonServiceFailure, success, unknownFutureValue
     */
    errorCategory?: ProvisioningStatusErrorCategory;
    /**
     * Unique error code if any occurred. Learn more
     */
    errorCode?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Summarizes the status and describes why the status happened.
     */
    reason?: string;
    /**
     * Provides the resolution for the corresponding error.
     */
    recommendedAction?: string;
}
export declare function serializeProvisioningErrorInfo(writer: SerializationWriter, provisioningErrorInfo?: ProvisioningErrorInfo | undefined): void;
