import { type ProvisioningErrorInfo } from './provisioningErrorInfo';
import { ProvisioningResult } from './provisioningResult';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningStatusInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningStatusInfo;
export declare function deserializeIntoProvisioningStatusInfo(provisioningStatusInfo?: ProvisioningStatusInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningStatusInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If status isn't success/ skipped details for the error are contained in this.
     */
    errorInformation?: ProvisioningErrorInfo;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Possible values are: success, warning, failure, skipped, unknownFutureValue.
     */
    status?: ProvisioningResult;
}
export declare function serializeProvisioningStatusInfo(writer: SerializationWriter, provisioningStatusInfo?: ProvisioningStatusInfo | undefined): void;
