import { type DetailsInfo } from './detailsInfo';
import { ProvisioningResult } from './provisioningResult';
import { ProvisioningStepType } from './provisioningStepType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningStepFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningStep;
export declare function deserializeIntoProvisioningStep(provisioningStep?: ProvisioningStep | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningStep extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Summary of what occurred during the step.
     */
    description?: string;
    /**
     * Details of what occurred during the step.
     */
    details?: DetailsInfo;
    /**
     * Name of the step.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Type of step. Possible values are: import, scoping, matching, processing, referenceResolution, export, unknownFutureValue.
     */
    provisioningStepType?: ProvisioningStepType;
    /**
     * Status of the step. Possible values are: success, warning,  failure, skipped, unknownFutureValue.
     */
    status?: ProvisioningResult;
}
export declare function serializeProvisioningStep(writer: SerializationWriter, provisioningStep?: ProvisioningStep | undefined): void;
