import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProxiedDomainFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProxiedDomain;
export declare function deserializeIntoProxiedDomain(proxiedDomain?: ProxiedDomain | undefined): Record<string, (node: ParseNode) => void>;
export interface ProxiedDomain extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The IP address or FQDN
     */
    ipAddressOrFQDN?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Proxy IP or FQDN
     */
    proxy?: string;
}
export declare function serializeProxiedDomain(writer: SerializationWriter, proxiedDomain?: ProxiedDomain | undefined): void;
