import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublicClientApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublicClientApplication;
export declare function deserializeIntoPublicClientApplication(publicClientApplication?: PublicClientApplication | undefined): Record<string, (node: ParseNode) => void>;
export interface PublicClientApplication extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the URLs where user tokens are sent for sign-in, or the redirect URIs where OAuth 2.0 authorization codes and access tokens are sent.
     */
    redirectUris?: string[];
}
export declare function serializePublicClientApplication(writer: SerializationWriter, publicClientApplication?: PublicClientApplication | undefined): void;
