import { type PublicErrorDetail } from './publicErrorDetail';
import { type PublicInnerError } from './publicInnerError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublicErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublicError;
export declare function deserializeIntoPublicError(publicError?: PublicError | undefined): Record<string, (node: ParseNode) => void>;
export interface PublicError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents the error code.
     */
    code?: string;
    /**
     * Details of the error.
     */
    details?: PublicErrorDetail[];
    /**
     * Details of the inner error.
     */
    innerError?: PublicInnerError;
    /**
     * A non-localized message for the developer.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The target of the error.
     */
    target?: string;
}
export declare function serializePublicError(writer: SerializationWriter, publicError?: PublicError | undefined): void;
