import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublicErrorDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublicErrorDetail;
export declare function deserializeIntoPublicErrorDetail(publicErrorDetail?: PublicErrorDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface PublicErrorDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The target of the error.
     */
    target?: string;
}
export declare function serializePublicErrorDetail(writer: SerializationWriter, publicErrorDetail?: PublicErrorDetail | undefined): void;
