import { type PublicErrorDetail } from './publicErrorDetail';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublicInnerErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublicInnerError;
export declare function deserializeIntoPublicInnerError(publicInnerError?: PublicInnerError | undefined): Record<string, (node: ParseNode) => void>;
export interface PublicInnerError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * A collection of error details.
     */
    details?: PublicErrorDetail[];
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The target of the error.
     */
    target?: string;
}
export declare function serializePublicInnerError(writer: SerializationWriter, publicInnerError?: PublicInnerError | undefined): void;
