import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPublicationFacetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPublicationFacet;
export declare function deserializeIntoPublicationFacet(publicationFacet?: PublicationFacet | undefined): Record<string, (node: ParseNode) => void>;
export interface PublicationFacet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * User who has checked out the file.
     */
    checkedOutBy?: IdentitySet;
    /**
     * The state of publication for this document. Either published or checkout. Read-only.
     */
    level?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The unique identifier for the version that is visible to the current caller. Read-only.
     */
    versionId?: string;
}
export declare function serializePublicationFacet(writer: SerializationWriter, publicationFacet?: PublicationFacet | undefined): void;
