import { type StoragePlanInformation } from './storagePlanInformation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQuotaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQuota;
export declare function deserializeIntoQuota(quota?: Quota | undefined): Record<string, (node: ParseNode) => void>;
export interface Quota extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Total space consumed by files in the recycle bin, in bytes. Read-only.
     */
    deleted?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total space remaining before reaching the quota limit, in bytes. Read-only.
     */
    remaining?: number;
    /**
     * Enumeration value that indicates the state of the storage space. Read-only.
     */
    state?: string;
    /**
     * Information about the drive's storage quota plans. Only in Personal OneDrive.
     */
    storagePlanInformation?: StoragePlanInformation;
    /**
     * Total allowed storage space, in bytes. Read-only.
     */
    total?: number;
    /**
     * Total space used, in bytes. Read-only.
     */
    used?: number;
}
export declare function serializeQuota(writer: SerializationWriter, quota?: Quota | undefined): void;
