"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingAustraliaTelevisionType = void 0;
/**
 * TV content rating labels in Australia
 */
var RatingAustraliaTelevisionType;
(function (RatingAustraliaTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingAustraliaTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingAustraliaTelevisionType["AllBlocked"] = "allBlocked";
    /** The P classification is intended for preschoolers */
    RatingAustraliaTelevisionType["Preschoolers"] = "preschoolers";
    /** The C classification is intended for children under 14 */
    RatingAustraliaTelevisionType["Children"] = "children";
    /** The G classification is suitable for all ages */
    RatingAustraliaTelevisionType["General"] = "general";
    /** The PG classification is recommended for young viewers */
    RatingAustraliaTelevisionType["ParentalGuidance"] = "parentalGuidance";
    /** The M classification is recommended for viewers over 15 */
    RatingAustraliaTelevisionType["Mature"] = "mature";
    /** The MA15+ classification is not suitable for viewers under 15 */
    RatingAustraliaTelevisionType["AgesAbove15"] = "agesAbove15";
    /** The AV15+ classification is not suitable for viewers under 15, adult violence-specific */
    RatingAustraliaTelevisionType["AgesAbove15AdultViolence"] = "agesAbove15AdultViolence";
})(RatingAustraliaTelevisionType || (exports.RatingAustraliaTelevisionType = RatingAustraliaTelevisionType = {}));
// tslint:enable
// eslint-enable
