"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingCanadaTelevisionType = void 0;
/**
 * TV content rating labels in Canada
 */
var RatingCanadaTelevisionType;
(function (RatingCanadaTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingCanadaTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingCanadaTelevisionType["AllBlocked"] = "allBlocked";
    /** The C classification is suitable for children ages of 2 to 7 years */
    RatingCanadaTelevisionType["Children"] = "children";
    /** The C8 classification is suitable for children ages 8+ */
    RatingCanadaTelevisionType["ChildrenAbove8"] = "childrenAbove8";
    /** The G classification is suitable for general audience */
    RatingCanadaTelevisionType["General"] = "general";
    /** PG, Parental Guidance */
    RatingCanadaTelevisionType["ParentalGuidance"] = "parentalGuidance";
    /** The 14+ classification is intended for viewers ages 14 and older */
    RatingCanadaTelevisionType["AgesAbove14"] = "agesAbove14";
    /** The 18+ classification is intended for viewers ages 18 and older */
    RatingCanadaTelevisionType["AgesAbove18"] = "agesAbove18";
})(RatingCanadaTelevisionType || (exports.RatingCanadaTelevisionType = RatingCanadaTelevisionType = {}));
// tslint:enable
// eslint-enable
