import { type Entity } from './entity';
import { type UnifiedRbacResourceNamespace } from './unifiedRbacResourceNamespace';
import { type UnifiedRoleAssignment } from './unifiedRoleAssignment';
import { type UnifiedRoleAssignmentSchedule } from './unifiedRoleAssignmentSchedule';
import { type UnifiedRoleAssignmentScheduleInstance } from './unifiedRoleAssignmentScheduleInstance';
import { type UnifiedRoleAssignmentScheduleRequest } from './unifiedRoleAssignmentScheduleRequest';
import { type UnifiedRoleDefinition } from './unifiedRoleDefinition';
import { type UnifiedRoleEligibilitySchedule } from './unifiedRoleEligibilitySchedule';
import { type UnifiedRoleEligibilityScheduleInstance } from './unifiedRoleEligibilityScheduleInstance';
import { type UnifiedRoleEligibilityScheduleRequest } from './unifiedRoleEligibilityScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRbacApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRbacApplication;
export declare function deserializeIntoRbacApplication(rbacApplication?: RbacApplication | undefined): Record<string, (node: ParseNode) => void>;
export interface RbacApplication extends Entity, Parsable {
    /**
     * The resourceNamespaces property
     */
    resourceNamespaces?: UnifiedRbacResourceNamespace[];
    /**
     * Resource to grant access to users or groups.
     */
    roleAssignments?: UnifiedRoleAssignment[];
    /**
     * Instances for active role assignments.
     */
    roleAssignmentScheduleInstances?: UnifiedRoleAssignmentScheduleInstance[];
    /**
     * Requests for active role assignments to principals through PIM.
     */
    roleAssignmentScheduleRequests?: UnifiedRoleAssignmentScheduleRequest[];
    /**
     * Schedules for active role assignment operations.
     */
    roleAssignmentSchedules?: UnifiedRoleAssignmentSchedule[];
    /**
     * Resource representing the roles allowed by RBAC providers and the permissions assigned to the roles.
     */
    roleDefinitions?: UnifiedRoleDefinition[];
    /**
     * Instances for role eligibility requests.
     */
    roleEligibilityScheduleInstances?: UnifiedRoleEligibilityScheduleInstance[];
    /**
     * Requests for role eligibilities for principals through PIM.
     */
    roleEligibilityScheduleRequests?: UnifiedRoleEligibilityScheduleRequest[];
    /**
     * Schedules for role eligibility operations.
     */
    roleEligibilitySchedules?: UnifiedRoleEligibilitySchedule[];
}
export declare function serializeRbacApplication(writer: SerializationWriter, rbacApplication?: RbacApplication | undefined): void;
