import { type ExternalLink } from './externalLink';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecentNotebookLinksFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecentNotebookLinks;
export declare function deserializeIntoRecentNotebookLinks(recentNotebookLinks?: RecentNotebookLinks | undefined): Record<string, (node: ParseNode) => void>;
export interface RecentNotebookLinks extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Opens the notebook in the OneNote native client if it's installed.
     */
    oneNoteClientUrl?: ExternalLink;
    /**
     * Opens the notebook in OneNote on the web.
     */
    oneNoteWebUrl?: ExternalLink;
}
export declare function serializeRecentNotebookLinks(writer: SerializationWriter, recentNotebookLinks?: RecentNotebookLinks | undefined): void;
