import { deserializeIntoAttendee } from './attendee';
import { type EmailAddress } from './emailAddress';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttendee;
export declare function deserializeIntoRecipient(recipient?: Recipient | undefined): Record<string, (node: ParseNode) => void>;
export interface Recipient extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The recipient's email address.
     */
    emailAddress?: EmailAddress;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRecipient(writer: SerializationWriter, recipient?: Recipient | undefined): void;
