"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRecipient = exports.deserializeIntoRecipient = exports.createRecipientFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attendee_1 = require("./attendee");
const attendeeBase_1 = require("./attendeeBase");
const emailAddress_1 = require("./emailAddress");
function createRecipientFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.attendee":
                    return attendee_1.deserializeIntoAttendee;
                case "#microsoft.graph.attendeeBase":
                    return attendeeBase_1.deserializeIntoAttendeeBase;
            }
        }
    }
    return deserializeIntoRecipient;
}
exports.createRecipientFromDiscriminatorValue = createRecipientFromDiscriminatorValue;
function deserializeIntoRecipient(recipient = {}) {
    return {
        "emailAddress": n => { recipient.emailAddress = n.getObjectValue(emailAddress_1.createEmailAddressFromDiscriminatorValue); },
        "@odata.type": n => { recipient.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoRecipient = deserializeIntoRecipient;
function serializeRecipient(writer, recipient = {}) {
    writer.writeObjectValue("emailAddress", recipient.emailAddress, emailAddress_1.serializeEmailAddress);
    writer.writeStringValue("@odata.type", recipient.odataType);
    writer.writeAdditionalData(recipient.additionalData);
}
exports.serializeRecipient = serializeRecipient;
// tslint:enable
// eslint-enable
