import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecommendedActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecommendedAction;
export declare function deserializeIntoRecommendedAction(recommendedAction?: RecommendedAction | undefined): Record<string, (node: ParseNode) => void>;
export interface RecommendedAction extends AdditionalDataHolder, Parsable {
    /**
     * Web URL to the recommended action.
     */
    actionWebUrl?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Potential improvement in the tenant security score from the recommended action.
     */
    potentialScoreImpact?: number;
    /**
     * Title of the recommended action.
     */
    title?: string;
}
export declare function serializeRecommendedAction(writer: SerializationWriter, recommendedAction?: RecommendedAction | undefined): void;
