import { type CommsOperation } from './commsOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecordOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecordOperation;
export declare function deserializeIntoRecordOperation(recordOperation?: RecordOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface RecordOperation extends CommsOperation, Parsable {
    /**
     * The access token required to retrieve the recording.
     */
    recordingAccessToken?: string;
    /**
     * The location where the recording is located.
     */
    recordingLocation?: string;
}
export declare function serializeRecordOperation(writer: SerializationWriter, recordOperation?: RecordOperation | undefined): void;
