import { type IdentitySet } from './identitySet';
import { RecordingStatus } from './recordingStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRecordingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRecordingInfo;
export declare function deserializeIntoRecordingInfo(recordingInfo?: RecordingInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface RecordingInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The identities of the recording initiator.
     */
    initiator?: IdentitySet;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The recordingStatus property
     */
    recordingStatus?: RecordingStatus;
}
export declare function serializeRecordingInfo(writer: SerializationWriter, recordingInfo?: RecordingInfo | undefined): void;
