import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReferencedObjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReferencedObject;
export declare function deserializeIntoReferencedObject(referencedObject?: ReferencedObject | undefined): Record<string, (node: ParseNode) => void>;
export interface ReferencedObject extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Name of the referenced object. Must match one of the objects in the directory definition.
     */
    referencedObjectName?: string;
    /**
     * Currently not supported. Name of the property in the referenced object, the value for which is used as the reference.
     */
    referencedProperty?: string;
}
export declare function serializeReferencedObject(writer: SerializationWriter, referencedObject?: ReferencedObject | undefined): void;
