"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeReferencedObject = exports.deserializeIntoReferencedObject = exports.createReferencedObjectFromDiscriminatorValue = void 0;
function createReferencedObjectFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReferencedObject;
}
exports.createReferencedObjectFromDiscriminatorValue = createReferencedObjectFromDiscriminatorValue;
function deserializeIntoReferencedObject(referencedObject = {}) {
    return {
        "@odata.type": n => { referencedObject.odataType = n.getStringValue(); },
        "referencedObjectName": n => { referencedObject.referencedObjectName = n.getStringValue(); },
        "referencedProperty": n => { referencedObject.referencedProperty = n.getStringValue(); },
    };
}
exports.deserializeIntoReferencedObject = deserializeIntoReferencedObject;
function serializeReferencedObject(writer, referencedObject = {}) {
    writer.writeStringValue("@odata.type", referencedObject.odataType);
    writer.writeStringValue("referencedObjectName", referencedObject.referencedObjectName);
    writer.writeStringValue("referencedProperty", referencedObject.referencedProperty);
    writer.writeAdditionalData(referencedObject.additionalData);
}
exports.serializeReferencedObject = serializeReferencedObject;
// tslint:enable
// eslint-enable
