import { type AuthenticationMethodsRegistrationCampaign } from './authenticationMethodsRegistrationCampaign';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRegistrationEnforcementFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRegistrationEnforcement;
export declare function deserializeIntoRegistrationEnforcement(registrationEnforcement?: RegistrationEnforcement | undefined): Record<string, (node: ParseNode) => void>;
export interface RegistrationEnforcement extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Run campaigns to remind users to set up targeted authentication methods.
     */
    authenticationMethodsRegistrationCampaign?: AuthenticationMethodsRegistrationCampaign;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRegistrationEnforcement(writer: SerializationWriter, registrationEnforcement?: RegistrationEnforcement | undefined): void;
