import { ContactRelationship } from './contactRelationship';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRelatedContactFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRelatedContact;
export declare function deserializeIntoRelatedContact(relatedContact?: RelatedContact | undefined): Record<string, (node: ParseNode) => void>;
export interface RelatedContact extends AdditionalDataHolder, Parsable {
    /**
     * Indicates whether the user has been consented to access student data.
     */
    accessConsent?: boolean;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the contact. Required.
     */
    displayName?: string;
    /**
     * Primary email address of the contact. Required.
     */
    emailAddress?: string;
    /**
     * Mobile phone number of the contact.
     */
    mobilePhone?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The relationship property
     */
    relationship?: ContactRelationship;
}
export declare function serializeRelatedContact(writer: SerializationWriter, relatedContact?: RelatedContact | undefined): void;
