import { type Entity } from './entity';
import { RemoteAssistanceOnboardingStatus } from './remoteAssistanceOnboardingStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoteAssistancePartnerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoteAssistancePartner;
export declare function deserializeIntoRemoteAssistancePartner(remoteAssistancePartner?: RemoteAssistancePartner | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoteAssistancePartner extends Entity, Parsable {
    /**
     * Display name of the partner.
     */
    displayName?: string;
    /**
     * Timestamp of the last request sent to Intune by the TEM partner.
     */
    lastConnectionDateTime?: Date;
    /**
     * The current TeamViewer connector status
     */
    onboardingStatus?: RemoteAssistanceOnboardingStatus;
    /**
     * URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service.
     */
    onboardingUrl?: string;
}
export declare function serializeRemoteAssistancePartner(writer: SerializationWriter, remoteAssistancePartner?: RemoteAssistancePartner | undefined): void;
