import { type Entity } from './entity';
import { type TargetDeviceGroup } from './targetDeviceGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoteDesktopSecurityConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoteDesktopSecurityConfiguration;
export declare function deserializeIntoRemoteDesktopSecurityConfiguration(remoteDesktopSecurityConfiguration?: RemoteDesktopSecurityConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoteDesktopSecurityConfiguration extends Entity, Parsable {
    /**
     * Determines if Microsoft Entra ID RDS authentication protocol for RDP is enabled.
     */
    isRemoteDesktopProtocolEnabled?: boolean;
    /**
     * The collection of target device groups that are associated with the RDS security configuration that will be enabled for SSO when a client connects to the target device over RDP using the new Microsoft Entra ID RDS authentication protocol.
     */
    targetDeviceGroups?: TargetDeviceGroup[];
}
export declare function serializeRemoteDesktopSecurityConfiguration(writer: SerializationWriter, remoteDesktopSecurityConfiguration?: RemoteDesktopSecurityConfiguration | undefined): void;
