"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRemovedState = exports.deserializeIntoRemovedState = exports.createRemovedStateFromDiscriminatorValue = void 0;
function createRemovedStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemovedState;
}
exports.createRemovedStateFromDiscriminatorValue = createRemovedStateFromDiscriminatorValue;
function deserializeIntoRemovedState(removedState = {}) {
    return {
        "@odata.type": n => { removedState.odataType = n.getStringValue(); },
        "reason": n => { removedState.reason = n.getStringValue(); },
    };
}
exports.deserializeIntoRemovedState = deserializeIntoRemovedState;
function serializeRemovedState(writer, removedState = {}) {
    writer.writeStringValue("@odata.type", removedState.odataType);
    writer.writeStringValue("reason", removedState.reason);
    writer.writeAdditionalData(removedState.additionalData);
}
exports.serializeRemovedState = serializeRemovedState;
// tslint:enable
// eslint-enable
