import { type AuthenticationMethodsRoot } from './authenticationMethodsRoot';
import { type PrintUsageByPrinter } from './printUsageByPrinter';
import { type PrintUsageByUser } from './printUsageByUser';
import { type SecurityReportsRoot } from './securityReportsRoot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReportRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReportRoot;
export declare function deserializeIntoReportRoot(reportRoot?: ReportRoot | undefined): Record<string, (node: ParseNode) => void>;
export interface ReportRoot extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Container for navigation properties for Microsoft Entra authentication methods resources.
     */
    authenticationMethods?: AuthenticationMethodsRoot;
    /**
     * Retrieve a list of daily print usage summaries, grouped by printer.
     */
    dailyPrintUsageByPrinter?: PrintUsageByPrinter[];
    /**
     * Retrieve a list of daily print usage summaries, grouped by user.
     */
    dailyPrintUsageByUser?: PrintUsageByUser[];
    /**
     * Retrieve a list of monthly print usage summaries, grouped by printer.
     */
    monthlyPrintUsageByPrinter?: PrintUsageByPrinter[];
    /**
     * Retrieve a list of monthly print usage summaries, grouped by user.
     */
    monthlyPrintUsageByUser?: PrintUsageByUser[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents an abstract type that contains resources for attack simulation and training reports.
     */
    security?: SecurityReportsRoot;
}
export declare function serializeReportRoot(writer: SerializationWriter, reportRoot?: ReportRoot | undefined): void;
