"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeReportRoot = exports.deserializeIntoReportRoot = exports.createReportRootFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodsRoot_1 = require("./authenticationMethodsRoot");
const printUsageByPrinter_1 = require("./printUsageByPrinter");
const printUsageByUser_1 = require("./printUsageByUser");
const securityReportsRoot_1 = require("./securityReportsRoot");
function createReportRootFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReportRoot;
}
exports.createReportRootFromDiscriminatorValue = createReportRootFromDiscriminatorValue;
function deserializeIntoReportRoot(reportRoot = {}) {
    return {
        "authenticationMethods": n => { reportRoot.authenticationMethods = n.getObjectValue(authenticationMethodsRoot_1.createAuthenticationMethodsRootFromDiscriminatorValue); },
        "dailyPrintUsageByPrinter": n => { reportRoot.dailyPrintUsageByPrinter = n.getCollectionOfObjectValues(printUsageByPrinter_1.createPrintUsageByPrinterFromDiscriminatorValue); },
        "dailyPrintUsageByUser": n => { reportRoot.dailyPrintUsageByUser = n.getCollectionOfObjectValues(printUsageByUser_1.createPrintUsageByUserFromDiscriminatorValue); },
        "monthlyPrintUsageByPrinter": n => { reportRoot.monthlyPrintUsageByPrinter = n.getCollectionOfObjectValues(printUsageByPrinter_1.createPrintUsageByPrinterFromDiscriminatorValue); },
        "monthlyPrintUsageByUser": n => { reportRoot.monthlyPrintUsageByUser = n.getCollectionOfObjectValues(printUsageByUser_1.createPrintUsageByUserFromDiscriminatorValue); },
        "@odata.type": n => { reportRoot.odataType = n.getStringValue(); },
        "security": n => { reportRoot.security = n.getObjectValue(securityReportsRoot_1.createSecurityReportsRootFromDiscriminatorValue); },
    };
}
exports.deserializeIntoReportRoot = deserializeIntoReportRoot;
function serializeReportRoot(writer, reportRoot = {}) {
    writer.writeObjectValue("authenticationMethods", reportRoot.authenticationMethods, authenticationMethodsRoot_1.serializeAuthenticationMethodsRoot);
    writer.writeCollectionOfObjectValues("dailyPrintUsageByPrinter", reportRoot.dailyPrintUsageByPrinter, printUsageByPrinter_1.serializePrintUsageByPrinter);
    writer.writeCollectionOfObjectValues("dailyPrintUsageByUser", reportRoot.dailyPrintUsageByUser, printUsageByUser_1.serializePrintUsageByUser);
    writer.writeCollectionOfObjectValues("monthlyPrintUsageByPrinter", reportRoot.monthlyPrintUsageByPrinter, printUsageByPrinter_1.serializePrintUsageByPrinter);
    writer.writeCollectionOfObjectValues("monthlyPrintUsageByUser", reportRoot.monthlyPrintUsageByUser, printUsageByUser_1.serializePrintUsageByUser);
    writer.writeStringValue("@odata.type", reportRoot.odataType);
    writer.writeObjectValue("security", reportRoot.security, securityReportsRoot_1.serializeSecurityReportsRoot);
    writer.writeAdditionalData(reportRoot.additionalData);
}
exports.serializeReportRoot = serializeReportRoot;
// tslint:enable
// eslint-enable
