import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest } from './privilegedAccessGroupAssignmentScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest;
export declare function deserializeIntoRequest(request?: Request | undefined): Record<string, (node: ParseNode) => void>;
export interface Request extends Entity, Parsable {
    /**
     * The identifier of the approval of the request.
     */
    approvalId?: string;
    /**
     * The request completion date time.
     */
    completedDateTime?: Date;
    /**
     * The principal that created the request.
     */
    createdBy?: IdentitySet;
    /**
     * The request creation date time.
     */
    createdDateTime?: Date;
    /**
     * Free text field to define any custom data for the request. Not used.
     */
    customData?: string;
    /**
     * The status of the request. Not nullable. The possible values are: Canceled, Denied, Failed, Granted, PendingAdminDecision, PendingApproval, PendingProvisioning, PendingScheduleCreation, Provisioned, Revoked, and ScheduleCreated. Not nullable.
     */
    status?: string;
}
export declare function serializeRequest(writer: SerializationWriter, request?: Request | undefined): void;
