"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRequest = exports.deserializeIntoRequest = exports.createRequestFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const identitySet_1 = require("./identitySet");
const privilegedAccessGroupAssignmentScheduleRequest_1 = require("./privilegedAccessGroupAssignmentScheduleRequest");
const privilegedAccessGroupEligibilityScheduleRequest_1 = require("./privilegedAccessGroupEligibilityScheduleRequest");
const privilegedAccessScheduleRequest_1 = require("./privilegedAccessScheduleRequest");
const unifiedRoleAssignmentScheduleRequest_1 = require("./unifiedRoleAssignmentScheduleRequest");
const unifiedRoleEligibilityScheduleRequest_1 = require("./unifiedRoleEligibilityScheduleRequest");
const userConsentRequest_1 = require("./userConsentRequest");
function createRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.privilegedAccessGroupAssignmentScheduleRequest":
                    return privilegedAccessGroupAssignmentScheduleRequest_1.deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequest;
                case "#microsoft.graph.privilegedAccessGroupEligibilityScheduleRequest":
                    return privilegedAccessGroupEligibilityScheduleRequest_1.deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequest;
                case "#microsoft.graph.privilegedAccessScheduleRequest":
                    return privilegedAccessScheduleRequest_1.deserializeIntoPrivilegedAccessScheduleRequest;
                case "#microsoft.graph.unifiedRoleAssignmentScheduleRequest":
                    return unifiedRoleAssignmentScheduleRequest_1.deserializeIntoUnifiedRoleAssignmentScheduleRequest;
                case "#microsoft.graph.unifiedRoleEligibilityScheduleRequest":
                    return unifiedRoleEligibilityScheduleRequest_1.deserializeIntoUnifiedRoleEligibilityScheduleRequest;
                case "#microsoft.graph.userConsentRequest":
                    return userConsentRequest_1.deserializeIntoUserConsentRequest;
            }
        }
    }
    return deserializeIntoRequest;
}
exports.createRequestFromDiscriminatorValue = createRequestFromDiscriminatorValue;
function deserializeIntoRequest(request = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(request)), { "approvalId": n => { request.approvalId = n.getStringValue(); }, "completedDateTime": n => { request.completedDateTime = n.getDateValue(); }, "createdBy": n => { request.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { request.createdDateTime = n.getDateValue(); }, "customData": n => { request.customData = n.getStringValue(); }, "status": n => { request.status = n.getStringValue(); } });
}
exports.deserializeIntoRequest = deserializeIntoRequest;
function serializeRequest(writer, request = {}) {
    (0, entity_1.serializeEntity)(writer, request);
    writer.writeStringValue("approvalId", request.approvalId);
    writer.writeDateValue("completedDateTime", request.completedDateTime);
    writer.writeObjectValue("createdBy", request.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", request.createdDateTime);
    writer.writeStringValue("customData", request.customData);
    writer.writeStringValue("status", request.status);
}
exports.serializeRequest = serializeRequest;
// tslint:enable
// eslint-enable
