import { type ExpirationPattern } from './expirationPattern';
import { type PatternedRecurrence } from './patternedRecurrence';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRequestScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRequestSchedule;
export declare function deserializeIntoRequestSchedule(requestSchedule?: RequestSchedule | undefined): Record<string, (node: ParseNode) => void>;
export interface RequestSchedule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * When the eligible or active assignment expires.
     */
    expiration?: ExpirationPattern;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The frequency of the  eligible or active assignment. This property is currently unsupported in PIM.
     */
    recurrence?: PatternedRecurrence;
    /**
     * When the  eligible or active assignment becomes active.
     */
    startDateTime?: Date;
}
export declare function serializeRequestSchedule(writer: SerializationWriter, requestSchedule?: RequestSchedule | undefined): void;
