import { WeakAlgorithms } from './weakAlgorithms';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRequestSignatureVerificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRequestSignatureVerification;
export declare function deserializeIntoRequestSignatureVerification(requestSignatureVerification?: RequestSignatureVerification | undefined): Record<string, (node: ParseNode) => void>;
export interface RequestSignatureVerification extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies which weak algorithms are allowed.  The possible values are: rsaSha1, unknownFutureValue.
     */
    allowedWeakAlgorithms?: WeakAlgorithms[];
    /**
     * Specifies whether signed authentication requests for this application should be required.
     */
    isSignedRequestRequired?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRequestSignatureVerification(writer: SerializationWriter, requestSignatureVerification?: RequestSignatureVerification | undefined): void;
