import { type ResourceAccess } from './resourceAccess';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRequiredResourceAccessFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRequiredResourceAccess;
export declare function deserializeIntoRequiredResourceAccess(requiredResourceAccess?: RequiredResourceAccess | undefined): Record<string, (node: ParseNode) => void>;
export interface RequiredResourceAccess extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The list of OAuth2.0 permission scopes and app roles that the application requires from the specified resource.
     */
    resourceAccess?: ResourceAccess[];
    /**
     * The unique identifier for the resource that the application requires access to. This should be equal to the appId declared on the target resource application.
     */
    resourceAppId?: string;
}
export declare function serializeRequiredResourceAccess(writer: SerializationWriter, requiredResourceAccess?: RequiredResourceAccess | undefined): void;
