import { type DelegatedAdminRelationship } from './delegatedAdminRelationship';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResellerDelegatedAdminRelationshipFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResellerDelegatedAdminRelationship;
export declare function deserializeIntoResellerDelegatedAdminRelationship(resellerDelegatedAdminRelationship?: ResellerDelegatedAdminRelationship | undefined): Record<string, (node: ParseNode) => void>;
export interface ResellerDelegatedAdminRelationship extends DelegatedAdminRelationship, Parsable {
    /**
     * The tenant ID of the indirect provider partner who created the relationship for the indirect reseller partner.
     */
    indirectProviderTenantId?: string;
    /**
     * Indicates the indirect reseller partner consent status. true indicates that the partner has yet to review the relationship; false indicates that the partner has already provided consent by approving or rejecting the relationship.
     */
    isPartnerConsentPending?: boolean;
}
export declare function serializeResellerDelegatedAdminRelationship(writer: SerializationWriter, resellerDelegatedAdminRelationship?: ResellerDelegatedAdminRelationship | undefined): void;
