import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceAction;
export declare function deserializeIntoResourceAction(resourceAction?: ResourceAction | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceAction extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Allowed Actions
     */
    allowedResourceActions?: string[];
    /**
     * Not Allowed Actions.
     */
    notAllowedResourceActions?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeResourceAction(writer: SerializationWriter, resourceAction?: ResourceAction | undefined): void;
