import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceOperation;
export declare function deserializeIntoResourceOperation(resourceOperation?: ResourceOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceOperation extends Entity, Parsable {
    /**
     * Type of action this operation is going to perform. The actionName should be concise and limited to as few words as possible.
     */
    actionName?: string;
    /**
     * Description of the resource operation. The description is used in mouse-over text for the operation when shown in the Azure Portal.
     */
    description?: string;
    /**
     * Name of the Resource this operation is performed on.
     */
    resourceName?: string;
}
export declare function serializeResourceOperation(writer: SerializationWriter, resourceOperation?: ResourceOperation | undefined): void;
