import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceReferenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceReference;
export declare function deserializeIntoResourceReference(resourceReference?: ResourceReference | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceReference extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The item's unique identifier.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A string value that can be used to classify the item, such as 'microsoft.graph.driveItem'
     */
    type?: string;
    /**
     * A URL leading to the referenced item.
     */
    webUrl?: string;
}
export declare function serializeResourceReference(writer: SerializationWriter, resourceReference?: ResourceReference | undefined): void;
