import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createResourceSpecificPermissionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceSpecificPermission;
export declare function deserializeIntoResourceSpecificPermission(resourceSpecificPermission?: ResourceSpecificPermission | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceSpecificPermission extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Describes the level of access that the resource-specific permission represents.
     */
    description?: string;
    /**
     * The display name for the resource-specific permission.
     */
    displayName?: string;
    /**
     * The unique identifier for the resource-specific application permission.
     */
    id?: Guid;
    /**
     * Indicates whether the permission is enabled.
     */
    isEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The value of the permission.
     */
    value?: string;
}
export declare function serializeResourceSpecificPermission(writer: SerializationWriter, resourceSpecificPermission?: ResourceSpecificPermission | undefined): void;
