import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceSpecificPermissionGrantFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceSpecificPermissionGrant;
export declare function deserializeIntoResourceSpecificPermissionGrant(resourceSpecificPermissionGrant?: ResourceSpecificPermissionGrant | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceSpecificPermissionGrant extends DirectoryObject, Parsable {
    /**
     * ID of the service principal of the Microsoft Entra app that has been granted access. Read-only.
     */
    clientAppId?: string;
    /**
     * ID of the Microsoft Entra app that has been granted access. Read-only.
     */
    clientId?: string;
    /**
     * The name of the resource-specific permission. Read-only.
     */
    permission?: string;
    /**
     * The type of permission. Possible values are: Application, Delegated. Read-only.
     */
    permissionType?: string;
    /**
     * ID of the Microsoft Entra app that is hosting the resource. Read-only.
     */
    resourceAppId?: string;
}
export declare function serializeResourceSpecificPermissionGrant(writer: SerializationWriter, resourceSpecificPermissionGrant?: ResourceSpecificPermissionGrant | undefined): void;
