"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResourceVisualization = exports.deserializeIntoResourceVisualization = exports.createResourceVisualizationFromDiscriminatorValue = void 0;
function createResourceVisualizationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResourceVisualization;
}
exports.createResourceVisualizationFromDiscriminatorValue = createResourceVisualizationFromDiscriminatorValue;
function deserializeIntoResourceVisualization(resourceVisualization = {}) {
    return {
        "containerDisplayName": n => { resourceVisualization.containerDisplayName = n.getStringValue(); },
        "containerType": n => { resourceVisualization.containerType = n.getStringValue(); },
        "containerWebUrl": n => { resourceVisualization.containerWebUrl = n.getStringValue(); },
        "mediaType": n => { resourceVisualization.mediaType = n.getStringValue(); },
        "@odata.type": n => { resourceVisualization.odataType = n.getStringValue(); },
        "previewImageUrl": n => { resourceVisualization.previewImageUrl = n.getStringValue(); },
        "previewText": n => { resourceVisualization.previewText = n.getStringValue(); },
        "title": n => { resourceVisualization.title = n.getStringValue(); },
        "type": n => { resourceVisualization.type = n.getStringValue(); },
    };
}
exports.deserializeIntoResourceVisualization = deserializeIntoResourceVisualization;
function serializeResourceVisualization(writer, resourceVisualization = {}) {
    writer.writeStringValue("containerDisplayName", resourceVisualization.containerDisplayName);
    writer.writeStringValue("containerType", resourceVisualization.containerType);
    writer.writeStringValue("containerWebUrl", resourceVisualization.containerWebUrl);
    writer.writeStringValue("mediaType", resourceVisualization.mediaType);
    writer.writeStringValue("@odata.type", resourceVisualization.odataType);
    writer.writeStringValue("previewImageUrl", resourceVisualization.previewImageUrl);
    writer.writeStringValue("previewText", resourceVisualization.previewText);
    writer.writeStringValue("title", resourceVisualization.title);
    writer.writeStringValue("type", resourceVisualization.type);
    writer.writeAdditionalData(resourceVisualization.additionalData);
}
exports.serializeResourceVisualization = serializeResourceVisualization;
// tslint:enable
// eslint-enable
