import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResultInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResultInfo;
export declare function deserializeIntoResultInfo(resultInfo?: ResultInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ResultInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The result code.
     */
    code?: number;
    /**
     * The message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The result subcode.
     */
    subcode?: number;
}
export declare function serializeResultInfo(writer: SerializationWriter, resultInfo?: ResultInfo | undefined): void;
