"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResultInfo = exports.deserializeIntoResultInfo = exports.createResultInfoFromDiscriminatorValue = void 0;
function createResultInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResultInfo;
}
exports.createResultInfoFromDiscriminatorValue = createResultInfoFromDiscriminatorValue;
function deserializeIntoResultInfo(resultInfo = {}) {
    return {
        "code": n => { resultInfo.code = n.getNumberValue(); },
        "message": n => { resultInfo.message = n.getStringValue(); },
        "@odata.type": n => { resultInfo.odataType = n.getStringValue(); },
        "subcode": n => { resultInfo.subcode = n.getNumberValue(); },
    };
}
exports.deserializeIntoResultInfo = deserializeIntoResultInfo;
function serializeResultInfo(writer, resultInfo = {}) {
    writer.writeNumberValue("code", resultInfo.code);
    writer.writeStringValue("message", resultInfo.message);
    writer.writeStringValue("@odata.type", resultInfo.odataType);
    writer.writeNumberValue("subcode", resultInfo.subcode);
    writer.writeAdditionalData(resultInfo.additionalData);
}
exports.serializeResultInfo = serializeResultInfo;
// tslint:enable
// eslint-enable
