import { BehaviorDuringRetentionPeriod } from './security/behaviorDuringRetentionPeriod';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionLabelSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionLabelSettings;
export declare function deserializeIntoRetentionLabelSettings(retentionLabelSettings?: RetentionLabelSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionLabelSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Describes the item behavior during retention period. Possible values are: doNotRetain, retain, retainAsRecord, retainAsRegulatoryRecord, unknownFutureValue. Read-only.
     */
    behaviorDuringRetentionPeriod?: BehaviorDuringRetentionPeriod;
    /**
     * Specifies whether updates to document content are allowed. Read-only.
     */
    isContentUpdateAllowed?: boolean;
    /**
     * Specifies whether the document deletion is allowed. Read-only.
     */
    isDeleteAllowed?: boolean;
    /**
     * Specifies whether you're allowed to change the retention label on the document. Read-only.
     */
    isLabelUpdateAllowed?: boolean;
    /**
     * Specifies whether updates to the item metadata (for example, the Title field) are blocked. Read-only.
     */
    isMetadataUpdateAllowed?: boolean;
    /**
     * Specifies whether the item is locked. Read-write.
     */
    isRecordLocked?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRetentionLabelSettings(writer: SerializationWriter, retentionLabelSettings?: RetentionLabelSettings | undefined): void;
