"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRgbColor = exports.deserializeIntoRgbColor = exports.createRgbColorFromDiscriminatorValue = void 0;
function createRgbColorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRgbColor;
}
exports.createRgbColorFromDiscriminatorValue = createRgbColorFromDiscriminatorValue;
function deserializeIntoRgbColor(rgbColor = {}) {
    return {
        "b": n => { rgbColor.b = n.getNumberValue(); },
        "g": n => { rgbColor.g = n.getNumberValue(); },
        "@odata.type": n => { rgbColor.odataType = n.getStringValue(); },
        "r": n => { rgbColor.r = n.getNumberValue(); },
    };
}
exports.deserializeIntoRgbColor = deserializeIntoRgbColor;
function serializeRgbColor(writer, rgbColor = {}) {
    writer.writeNumberValue("b", rgbColor.b);
    writer.writeNumberValue("g", rgbColor.g);
    writer.writeStringValue("@odata.type", rgbColor.odataType);
    writer.writeNumberValue("r", rgbColor.r);
    writer.writeAdditionalData(rgbColor.additionalData);
}
exports.serializeRgbColor = serializeRgbColor;
// tslint:enable
// eslint-enable
