import { type LongRunningOperation } from './longRunningOperation';
import { type PublicError } from './publicError';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRichLongRunningOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRichLongRunningOperation;
export declare function deserializeIntoRichLongRunningOperation(richLongRunningOperation?: RichLongRunningOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface RichLongRunningOperation extends LongRunningOperation, Parsable {
    /**
     * Error that caused the operation to fail.
     */
    errorEscaped?: PublicError;
    /**
     * A value between 0 and 100 that indicates the progress of the operation.
     */
    percentageComplete?: number;
    /**
     * The unique identifier for the result.
     */
    resourceId?: string;
    /**
     * The type of the operation.
     */
    type?: string;
}
export declare function serializeRichLongRunningOperation(writer: SerializationWriter, richLongRunningOperation?: RichLongRunningOperation | undefined): void;
