import { RiskDetail } from './riskDetail';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskUserActivityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskUserActivity;
export declare function deserializeIntoRiskUserActivity(riskUserActivity?: RiskUserActivity | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskUserActivity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Details of the detected risk. Possible values are: none, adminGeneratedTemporaryPassword, userPerformedSecuredPasswordChange, userPerformedSecuredPasswordReset, adminConfirmedSigninSafe, aiConfirmedSigninSafe, userPassedMFADrivenByRiskBasedPolicy, adminDismissedAllRiskForUser, adminConfirmedSigninCompromised, hidden, adminConfirmedUserCompromised, unknownFutureValue.
     */
    detail?: RiskDetail;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of risk event detected.
     */
    riskEventTypes?: string[];
}
export declare function serializeRiskUserActivity(writer: SerializationWriter, riskUserActivity?: RiskUserActivity | undefined): void;
