"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRiskyUser = exports.deserializeIntoRiskyUser = exports.createRiskyUserFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const riskDetail_1 = require("./riskDetail");
const riskLevel_1 = require("./riskLevel");
const riskState_1 = require("./riskState");
const riskyUserHistoryItem_1 = require("./riskyUserHistoryItem");
function createRiskyUserFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.riskyUserHistoryItem":
                    return riskyUserHistoryItem_1.deserializeIntoRiskyUserHistoryItem;
            }
        }
    }
    return deserializeIntoRiskyUser;
}
exports.createRiskyUserFromDiscriminatorValue = createRiskyUserFromDiscriminatorValue;
function deserializeIntoRiskyUser(riskyUser = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(riskyUser)), { "history": n => { riskyUser.history = n.getCollectionOfObjectValues(riskyUserHistoryItem_1.createRiskyUserHistoryItemFromDiscriminatorValue); }, "isDeleted": n => { riskyUser.isDeleted = n.getBooleanValue(); }, "isProcessing": n => { riskyUser.isProcessing = n.getBooleanValue(); }, "riskDetail": n => { riskyUser.riskDetail = n.getEnumValue(riskDetail_1.RiskDetail); }, "riskLastUpdatedDateTime": n => { riskyUser.riskLastUpdatedDateTime = n.getDateValue(); }, "riskLevel": n => { riskyUser.riskLevel = n.getEnumValue(riskLevel_1.RiskLevel); }, "riskState": n => { riskyUser.riskState = n.getEnumValue(riskState_1.RiskState); }, "userDisplayName": n => { riskyUser.userDisplayName = n.getStringValue(); }, "userPrincipalName": n => { riskyUser.userPrincipalName = n.getStringValue(); } });
}
exports.deserializeIntoRiskyUser = deserializeIntoRiskyUser;
function serializeRiskyUser(writer, riskyUser = {}) {
    (0, entity_1.serializeEntity)(writer, riskyUser);
    writer.writeCollectionOfObjectValues("history", riskyUser.history, riskyUserHistoryItem_1.serializeRiskyUserHistoryItem);
    writer.writeBooleanValue("isDeleted", riskyUser.isDeleted);
    writer.writeBooleanValue("isProcessing", riskyUser.isProcessing);
    writer.writeEnumValue("riskDetail", riskyUser.riskDetail);
    writer.writeDateValue("riskLastUpdatedDateTime", riskyUser.riskLastUpdatedDateTime);
    writer.writeEnumValue("riskLevel", riskyUser.riskLevel);
    writer.writeEnumValue("riskState", riskyUser.riskState);
    writer.writeStringValue("userDisplayName", riskyUser.userDisplayName);
    writer.writeStringValue("userPrincipalName", riskyUser.userPrincipalName);
}
exports.serializeRiskyUser = serializeRiskyUser;
// tslint:enable
// eslint-enable
