import { type RiskUserActivity } from './riskUserActivity';
import { type RiskyUser } from './riskyUser';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyUserHistoryItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyUserHistoryItem;
export declare function deserializeIntoRiskyUserHistoryItem(riskyUserHistoryItem?: RiskyUserHistoryItem | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyUserHistoryItem extends Parsable, RiskyUser {
    /**
     * The activity related to user risk level change.
     */
    activity?: RiskUserActivity;
    /**
     * The ID of actor that does the operation.
     */
    initiatedBy?: string;
    /**
     * The ID of the user.
     */
    userId?: string;
}
export declare function serializeRiskyUserHistoryItem(writer: SerializationWriter, riskyUserHistoryItem?: RiskyUserHistoryItem | undefined): void;
