import { deserializeIntoDeviceAndAppManagementRoleAssignment } from './deviceAndAppManagementRoleAssignment';
import { type Entity } from './entity';
import { type RoleDefinition } from './roleDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoleAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementRoleAssignment;
export declare function deserializeIntoRoleAssignment(roleAssignment?: RoleAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface RoleAssignment extends Entity, Parsable {
    /**
     * Description of the Role Assignment.
     */
    description?: string;
    /**
     * The display or friendly name of the role Assignment.
     */
    displayName?: string;
    /**
     * List of ids of role scope member security groups.  These are IDs from Azure Active Directory.
     */
    resourceScopes?: string[];
    /**
     * Role definition this assignment is part of.
     */
    roleDefinition?: RoleDefinition;
}
export declare function serializeRoleAssignment(writer: SerializationWriter, roleAssignment?: RoleAssignment | undefined): void;
