import { deserializeIntoDeviceAndAppManagementRoleDefinition } from './deviceAndAppManagementRoleDefinition';
import { type Entity } from './entity';
import { type RoleAssignment } from './roleAssignment';
import { type RolePermission } from './rolePermission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoleDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementRoleDefinition;
export declare function deserializeIntoRoleDefinition(roleDefinition?: RoleDefinition | undefined): Record<string, (node: ParseNode) => void>;
export interface RoleDefinition extends Entity, Parsable {
    /**
     * Description of the Role definition.
     */
    description?: string;
    /**
     * Display Name of the Role definition.
     */
    displayName?: string;
    /**
     * Type of Role. Set to True if it is built-in, or set to False if it is a custom role definition.
     */
    isBuiltIn?: boolean;
    /**
     * List of Role assignments for this role definition.
     */
    roleAssignments?: RoleAssignment[];
    /**
     * List of Role Permissions this role is allowed to perform. These must match the actionName that is defined as part of the rolePermission.
     */
    rolePermissions?: RolePermission[];
}
export declare function serializeRoleDefinition(writer: SerializationWriter, roleDefinition?: RoleDefinition | undefined): void;
