"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRoleDefinition = exports.deserializeIntoRoleDefinition = exports.createRoleDefinitionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceAndAppManagementRoleDefinition_1 = require("./deviceAndAppManagementRoleDefinition");
const entity_1 = require("./entity");
const roleAssignment_1 = require("./roleAssignment");
const rolePermission_1 = require("./rolePermission");
function createRoleDefinitionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.deviceAndAppManagementRoleDefinition":
                    return deviceAndAppManagementRoleDefinition_1.deserializeIntoDeviceAndAppManagementRoleDefinition;
            }
        }
    }
    return deserializeIntoRoleDefinition;
}
exports.createRoleDefinitionFromDiscriminatorValue = createRoleDefinitionFromDiscriminatorValue;
function deserializeIntoRoleDefinition(roleDefinition = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(roleDefinition)), { "description": n => { roleDefinition.description = n.getStringValue(); }, "displayName": n => { roleDefinition.displayName = n.getStringValue(); }, "isBuiltIn": n => { roleDefinition.isBuiltIn = n.getBooleanValue(); }, "roleAssignments": n => { roleDefinition.roleAssignments = n.getCollectionOfObjectValues(roleAssignment_1.createRoleAssignmentFromDiscriminatorValue); }, "rolePermissions": n => { roleDefinition.rolePermissions = n.getCollectionOfObjectValues(rolePermission_1.createRolePermissionFromDiscriminatorValue); } });
}
exports.deserializeIntoRoleDefinition = deserializeIntoRoleDefinition;
function serializeRoleDefinition(writer, roleDefinition = {}) {
    (0, entity_1.serializeEntity)(writer, roleDefinition);
    writer.writeStringValue("description", roleDefinition.description);
    writer.writeStringValue("displayName", roleDefinition.displayName);
    writer.writeBooleanValue("isBuiltIn", roleDefinition.isBuiltIn);
    writer.writeCollectionOfObjectValues("roleAssignments", roleDefinition.roleAssignments, roleAssignment_1.serializeRoleAssignment);
    writer.writeCollectionOfObjectValues("rolePermissions", roleDefinition.rolePermissions, rolePermission_1.serializeRolePermission);
}
exports.serializeRoleDefinition = serializeRoleDefinition;
// tslint:enable
// eslint-enable
