import { type RbacApplication } from './rbacApplication';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoleManagementFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoleManagement;
export declare function deserializeIntoRoleManagement(roleManagement?: RoleManagement | undefined): Record<string, (node: ParseNode) => void>;
export interface RoleManagement extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The directory property
     */
    directory?: RbacApplication;
    /**
     * Container for roles and assignments for entitlement management resources.
     */
    entitlementManagement?: RbacApplication;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRoleManagement(writer: SerializationWriter, roleManagement?: RoleManagement | undefined): void;
