import { type ResourceAction } from './resourceAction';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRolePermissionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRolePermission;
export declare function deserializeIntoRolePermission(rolePermission?: RolePermission | undefined): Record<string, (node: ParseNode) => void>;
export interface RolePermission extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Resource Actions each containing a set of allowed and not allowed permissions.
     */
    resourceActions?: ResourceAction[];
}
export declare function serializeRolePermission(writer: SerializationWriter, rolePermission?: RolePermission | undefined): void;
