import { BookingType } from './bookingType';
import { type Place } from './place';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoomFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoom;
export declare function deserializeIntoRoom(room?: Room | undefined): Record<string, (node: ParseNode) => void>;
export interface Room extends Parsable, Place {
    /**
     * Specifies the name of the audio device in the room.
     */
    audioDeviceName?: string;
    /**
     * Type of room. Possible values are standard, and reserved.
     */
    bookingType?: BookingType;
    /**
     * Specifies the building name or building number that the room is in.
     */
    building?: string;
    /**
     * Specifies the capacity of the room.
     */
    capacity?: number;
    /**
     * Specifies the name of the display device in the room.
     */
    displayDeviceName?: string;
    /**
     * Email address of the room.
     */
    emailAddress?: string;
    /**
     * Specifies a descriptive label for the floor, for example, P.
     */
    floorLabel?: string;
    /**
     * Specifies the floor number that the room is on.
     */
    floorNumber?: number;
    /**
     * Specifies whether the room is wheelchair accessible.
     */
    isWheelChairAccessible?: boolean;
    /**
     * Specifies a descriptive label for the room, for example, a number or name.
     */
    label?: string;
    /**
     * Specifies a nickname for the room, for example, 'conf room'.
     */
    nickname?: string;
    /**
     * Specifies additional features of the room, for example, details like the type of view or furniture type.
     */
    tags?: string[];
    /**
     * Specifies the name of the video device in the room.
     */
    videoDeviceName?: string;
}
export declare function serializeRoom(writer: SerializationWriter, room?: Room | undefined): void;
