import { type Place } from './place';
import { type Room } from './room';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoomListFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoomList;
export declare function deserializeIntoRoomList(roomList?: RoomList | undefined): Record<string, (node: ParseNode) => void>;
export interface RoomList extends Parsable, Place {
    /**
     * The email address of the room list.
     */
    emailAddress?: string;
    /**
     * The rooms property
     */
    rooms?: Room[];
}
export declare function serializeRoomList(writer: SerializationWriter, roomList?: RoomList | undefined): void;
