import { type EducationAssignmentGradeType } from './educationAssignmentGradeType';
import { type EducationItemBody } from './educationItemBody';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRubricLevelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRubricLevel;
export declare function deserializeIntoRubricLevel(rubricLevel?: RubricLevel | undefined): Record<string, (node: ParseNode) => void>;
export interface RubricLevel extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The description of this rubric level.
     */
    description?: EducationItemBody;
    /**
     * The name of this rubric level.
     */
    displayName?: string;
    /**
     * Null if this is a no-points rubric; educationAssignmentPointsGradeType if it's a points rubric.
     */
    grading?: EducationAssignmentGradeType;
    /**
     * The ID of this resource.
     */
    levelId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRubricLevel(writer: SerializationWriter, rubricLevel?: RubricLevel | undefined): void;
