import { type EducationItemBody } from './educationItemBody';
import { type RubricCriterion } from './rubricCriterion';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRubricQualityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRubricQuality;
export declare function deserializeIntoRubricQuality(rubricQuality?: RubricQuality | undefined): Record<string, (node: ParseNode) => void>;
export interface RubricQuality extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The collection of criteria for this rubric quality.
     */
    criteria?: RubricCriterion[];
    /**
     * The description of this rubric quality.
     */
    description?: EducationItemBody;
    /**
     * The name of this rubric quality.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The ID of this resource.
     */
    qualityId?: string;
    /**
     * If present, a numerical weight for this quality.  Weights must add up to 100.
     */
    weight?: number;
}
export declare function serializeRubricQuality(writer: SerializationWriter, rubricQuality?: RubricQuality | undefined): void;
