import { type EducationItemBody } from './educationItemBody';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRubricQualityFeedbackModelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRubricQualityFeedbackModel;
export declare function deserializeIntoRubricQualityFeedbackModel(rubricQualityFeedbackModel?: RubricQualityFeedbackModel | undefined): Record<string, (node: ParseNode) => void>;
export interface RubricQualityFeedbackModel extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specific feedback for one quality of this rubric.
     */
    feedback?: EducationItemBody;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The ID of the rubricQuality that this feedback is related to.
     */
    qualityId?: string;
}
export declare function serializeRubricQualityFeedbackModel(writer: SerializationWriter, rubricQualityFeedbackModel?: RubricQualityFeedbackModel | undefined): void;
