"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSamlOrWsFedProvider = exports.deserializeIntoSamlOrWsFedProvider = exports.createSamlOrWsFedProviderFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationProtocol_1 = require("./authenticationProtocol");
const identityProviderBase_1 = require("./identityProviderBase");
const internalDomainFederation_1 = require("./internalDomainFederation");
const samlOrWsFedExternalDomainFederation_1 = require("./samlOrWsFedExternalDomainFederation");
function createSamlOrWsFedProviderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.internalDomainFederation":
                    return internalDomainFederation_1.deserializeIntoInternalDomainFederation;
                case "#microsoft.graph.samlOrWsFedExternalDomainFederation":
                    return samlOrWsFedExternalDomainFederation_1.deserializeIntoSamlOrWsFedExternalDomainFederation;
            }
        }
    }
    return deserializeIntoSamlOrWsFedProvider;
}
exports.createSamlOrWsFedProviderFromDiscriminatorValue = createSamlOrWsFedProviderFromDiscriminatorValue;
function deserializeIntoSamlOrWsFedProvider(samlOrWsFedProvider = {}) {
    return Object.assign(Object.assign({}, (0, identityProviderBase_1.deserializeIntoIdentityProviderBase)(samlOrWsFedProvider)), { "issuerUri": n => { samlOrWsFedProvider.issuerUri = n.getStringValue(); }, "metadataExchangeUri": n => { samlOrWsFedProvider.metadataExchangeUri = n.getStringValue(); }, "passiveSignInUri": n => { samlOrWsFedProvider.passiveSignInUri = n.getStringValue(); }, "preferredAuthenticationProtocol": n => { samlOrWsFedProvider.preferredAuthenticationProtocol = n.getEnumValue(authenticationProtocol_1.AuthenticationProtocol); }, "signingCertificate": n => { samlOrWsFedProvider.signingCertificate = n.getStringValue(); } });
}
exports.deserializeIntoSamlOrWsFedProvider = deserializeIntoSamlOrWsFedProvider;
function serializeSamlOrWsFedProvider(writer, samlOrWsFedProvider = {}) {
    (0, identityProviderBase_1.serializeIdentityProviderBase)(writer, samlOrWsFedProvider);
    writer.writeStringValue("issuerUri", samlOrWsFedProvider.issuerUri);
    writer.writeStringValue("metadataExchangeUri", samlOrWsFedProvider.metadataExchangeUri);
    writer.writeStringValue("passiveSignInUri", samlOrWsFedProvider.passiveSignInUri);
    writer.writeEnumValue("preferredAuthenticationProtocol", samlOrWsFedProvider.preferredAuthenticationProtocol);
    writer.writeStringValue("signingCertificate", samlOrWsFedProvider.signingCertificate);
}
exports.serializeSamlOrWsFedProvider = serializeSamlOrWsFedProvider;
// tslint:enable
// eslint-enable
