"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSchedule = exports.deserializeIntoSchedule = exports.createScheduleFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const offerShiftRequest_1 = require("./offerShiftRequest");
const openShift_1 = require("./openShift");
const openShiftChangeRequest_1 = require("./openShiftChangeRequest");
const operationStatus_1 = require("./operationStatus");
const schedulingGroup_1 = require("./schedulingGroup");
const shift_1 = require("./shift");
const swapShiftsChangeRequest_1 = require("./swapShiftsChangeRequest");
const timeOff_1 = require("./timeOff");
const timeOffReason_1 = require("./timeOffReason");
const timeOffRequest_1 = require("./timeOffRequest");
function createScheduleFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSchedule;
}
exports.createScheduleFromDiscriminatorValue = createScheduleFromDiscriminatorValue;
function deserializeIntoSchedule(schedule = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(schedule)), { "enabled": n => { schedule.enabled = n.getBooleanValue(); }, "offerShiftRequests": n => { schedule.offerShiftRequests = n.getCollectionOfObjectValues(offerShiftRequest_1.createOfferShiftRequestFromDiscriminatorValue); }, "offerShiftRequestsEnabled": n => { schedule.offerShiftRequestsEnabled = n.getBooleanValue(); }, "openShiftChangeRequests": n => { schedule.openShiftChangeRequests = n.getCollectionOfObjectValues(openShiftChangeRequest_1.createOpenShiftChangeRequestFromDiscriminatorValue); }, "openShifts": n => { schedule.openShifts = n.getCollectionOfObjectValues(openShift_1.createOpenShiftFromDiscriminatorValue); }, "openShiftsEnabled": n => { schedule.openShiftsEnabled = n.getBooleanValue(); }, "provisionStatus": n => { schedule.provisionStatus = n.getEnumValue(operationStatus_1.OperationStatus); }, "provisionStatusCode": n => { schedule.provisionStatusCode = n.getStringValue(); }, "schedulingGroups": n => { schedule.schedulingGroups = n.getCollectionOfObjectValues(schedulingGroup_1.createSchedulingGroupFromDiscriminatorValue); }, "shifts": n => { schedule.shifts = n.getCollectionOfObjectValues(shift_1.createShiftFromDiscriminatorValue); }, "swapShiftsChangeRequests": n => { schedule.swapShiftsChangeRequests = n.getCollectionOfObjectValues(swapShiftsChangeRequest_1.createSwapShiftsChangeRequestFromDiscriminatorValue); }, "swapShiftsRequestsEnabled": n => { schedule.swapShiftsRequestsEnabled = n.getBooleanValue(); }, "timeClockEnabled": n => { schedule.timeClockEnabled = n.getBooleanValue(); }, "timeOffReasons": n => { schedule.timeOffReasons = n.getCollectionOfObjectValues(timeOffReason_1.createTimeOffReasonFromDiscriminatorValue); }, "timeOffRequests": n => { schedule.timeOffRequests = n.getCollectionOfObjectValues(timeOffRequest_1.createTimeOffRequestFromDiscriminatorValue); }, "timeOffRequestsEnabled": n => { schedule.timeOffRequestsEnabled = n.getBooleanValue(); }, "timesOff": n => { schedule.timesOff = n.getCollectionOfObjectValues(timeOff_1.createTimeOffFromDiscriminatorValue); }, "timeZone": n => { schedule.timeZone = n.getStringValue(); }, "workforceIntegrationIds": n => { schedule.workforceIntegrationIds = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoSchedule = deserializeIntoSchedule;
function serializeSchedule(writer, schedule = {}) {
    (0, entity_1.serializeEntity)(writer, schedule);
    writer.writeBooleanValue("enabled", schedule.enabled);
    writer.writeCollectionOfObjectValues("offerShiftRequests", schedule.offerShiftRequests, offerShiftRequest_1.serializeOfferShiftRequest);
    writer.writeBooleanValue("offerShiftRequestsEnabled", schedule.offerShiftRequestsEnabled);
    writer.writeCollectionOfObjectValues("openShiftChangeRequests", schedule.openShiftChangeRequests, openShiftChangeRequest_1.serializeOpenShiftChangeRequest);
    writer.writeCollectionOfObjectValues("openShifts", schedule.openShifts, openShift_1.serializeOpenShift);
    writer.writeBooleanValue("openShiftsEnabled", schedule.openShiftsEnabled);
    writer.writeCollectionOfObjectValues("schedulingGroups", schedule.schedulingGroups, schedulingGroup_1.serializeSchedulingGroup);
    writer.writeCollectionOfObjectValues("shifts", schedule.shifts, shift_1.serializeShift);
    writer.writeCollectionOfObjectValues("swapShiftsChangeRequests", schedule.swapShiftsChangeRequests, swapShiftsChangeRequest_1.serializeSwapShiftsChangeRequest);
    writer.writeBooleanValue("swapShiftsRequestsEnabled", schedule.swapShiftsRequestsEnabled);
    writer.writeBooleanValue("timeClockEnabled", schedule.timeClockEnabled);
    writer.writeCollectionOfObjectValues("timeOffReasons", schedule.timeOffReasons, timeOffReason_1.serializeTimeOffReason);
    writer.writeCollectionOfObjectValues("timeOffRequests", schedule.timeOffRequests, timeOffRequest_1.serializeTimeOffRequest);
    writer.writeBooleanValue("timeOffRequestsEnabled", schedule.timeOffRequestsEnabled);
    writer.writeCollectionOfObjectValues("timesOff", schedule.timesOff, timeOff_1.serializeTimeOff);
    writer.writeStringValue("timeZone", schedule.timeZone);
    writer.writeCollectionOfPrimitiveValues("workforceIntegrationIds", schedule.workforceIntegrationIds);
}
exports.serializeSchedule = serializeSchedule;
// tslint:enable
// eslint-enable
