import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { deserializeIntoOfferShiftRequest } from './offerShiftRequest';
import { deserializeIntoOpenShiftChangeRequest } from './openShiftChangeRequest';
import { ScheduleChangeRequestActor } from './scheduleChangeRequestActor';
import { ScheduleChangeState } from './scheduleChangeState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScheduleChangeRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOfferShiftRequest | typeof deserializeIntoOpenShiftChangeRequest;
export declare function deserializeIntoScheduleChangeRequest(scheduleChangeRequest?: ScheduleChangeRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface ScheduleChangeRequest extends ChangeTrackedEntity, Parsable {
    /**
     * The assignedTo property
     */
    assignedTo?: ScheduleChangeRequestActor;
    /**
     * The managerActionDateTime property
     */
    managerActionDateTime?: Date;
    /**
     * The managerActionMessage property
     */
    managerActionMessage?: string;
    /**
     * The managerUserId property
     */
    managerUserId?: string;
    /**
     * The senderDateTime property
     */
    senderDateTime?: Date;
    /**
     * The senderMessage property
     */
    senderMessage?: string;
    /**
     * The senderUserId property
     */
    senderUserId?: string;
    /**
     * The state property
     */
    state?: ScheduleChangeState;
}
export declare function serializeScheduleChangeRequest(writer: SerializationWriter, scheduleChangeRequest?: ScheduleChangeRequest | undefined): void;
