"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeScheduleChangeRequest = exports.deserializeIntoScheduleChangeRequest = exports.createScheduleChangeRequestFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const changeTrackedEntity_1 = require("./changeTrackedEntity");
const offerShiftRequest_1 = require("./offerShiftRequest");
const openShiftChangeRequest_1 = require("./openShiftChangeRequest");
const scheduleChangeRequestActor_1 = require("./scheduleChangeRequestActor");
const scheduleChangeState_1 = require("./scheduleChangeState");
const swapShiftsChangeRequest_1 = require("./swapShiftsChangeRequest");
const timeOffRequest_1 = require("./timeOffRequest");
function createScheduleChangeRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.offerShiftRequest":
                    return offerShiftRequest_1.deserializeIntoOfferShiftRequest;
                case "#microsoft.graph.openShiftChangeRequest":
                    return openShiftChangeRequest_1.deserializeIntoOpenShiftChangeRequest;
                case "#microsoft.graph.swapShiftsChangeRequest":
                    return swapShiftsChangeRequest_1.deserializeIntoSwapShiftsChangeRequest;
                case "#microsoft.graph.timeOffRequest":
                    return timeOffRequest_1.deserializeIntoTimeOffRequest;
            }
        }
    }
    return deserializeIntoScheduleChangeRequest;
}
exports.createScheduleChangeRequestFromDiscriminatorValue = createScheduleChangeRequestFromDiscriminatorValue;
function deserializeIntoScheduleChangeRequest(scheduleChangeRequest = {}) {
    return Object.assign(Object.assign({}, (0, changeTrackedEntity_1.deserializeIntoChangeTrackedEntity)(scheduleChangeRequest)), { "assignedTo": n => { scheduleChangeRequest.assignedTo = n.getEnumValue(scheduleChangeRequestActor_1.ScheduleChangeRequestActor); }, "managerActionDateTime": n => { scheduleChangeRequest.managerActionDateTime = n.getDateValue(); }, "managerActionMessage": n => { scheduleChangeRequest.managerActionMessage = n.getStringValue(); }, "managerUserId": n => { scheduleChangeRequest.managerUserId = n.getStringValue(); }, "senderDateTime": n => { scheduleChangeRequest.senderDateTime = n.getDateValue(); }, "senderMessage": n => { scheduleChangeRequest.senderMessage = n.getStringValue(); }, "senderUserId": n => { scheduleChangeRequest.senderUserId = n.getStringValue(); }, "state": n => { scheduleChangeRequest.state = n.getEnumValue(scheduleChangeState_1.ScheduleChangeState); } });
}
exports.deserializeIntoScheduleChangeRequest = deserializeIntoScheduleChangeRequest;
function serializeScheduleChangeRequest(writer, scheduleChangeRequest = {}) {
    (0, changeTrackedEntity_1.serializeChangeTrackedEntity)(writer, scheduleChangeRequest);
    writer.writeEnumValue("assignedTo", scheduleChangeRequest.assignedTo);
    writer.writeStringValue("managerActionMessage", scheduleChangeRequest.managerActionMessage);
    writer.writeStringValue("senderMessage", scheduleChangeRequest.senderMessage);
    writer.writeEnumValue("state", scheduleChangeRequest.state);
}
exports.serializeScheduleChangeRequest = serializeScheduleChangeRequest;
// tslint:enable
// eslint-enable
