"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeScheduleEntity = exports.deserializeIntoScheduleEntity = exports.createScheduleEntityFromDiscriminatorValue = void 0;
const openShiftItem_1 = require("./openShiftItem");
const scheduleEntityTheme_1 = require("./scheduleEntityTheme");
const shiftItem_1 = require("./shiftItem");
const timeOffItem_1 = require("./timeOffItem");
function createScheduleEntityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.openShiftItem":
                    return openShiftItem_1.deserializeIntoOpenShiftItem;
                case "#microsoft.graph.shiftItem":
                    return shiftItem_1.deserializeIntoShiftItem;
                case "#microsoft.graph.timeOffItem":
                    return timeOffItem_1.deserializeIntoTimeOffItem;
            }
        }
    }
    return deserializeIntoScheduleEntity;
}
exports.createScheduleEntityFromDiscriminatorValue = createScheduleEntityFromDiscriminatorValue;
function deserializeIntoScheduleEntity(scheduleEntity = {}) {
    return {
        "endDateTime": n => { scheduleEntity.endDateTime = n.getDateValue(); },
        "@odata.type": n => { scheduleEntity.odataType = n.getStringValue(); },
        "startDateTime": n => { scheduleEntity.startDateTime = n.getDateValue(); },
        "theme": n => { scheduleEntity.theme = n.getEnumValue(scheduleEntityTheme_1.ScheduleEntityTheme); },
    };
}
exports.deserializeIntoScheduleEntity = deserializeIntoScheduleEntity;
function serializeScheduleEntity(writer, scheduleEntity = {}) {
    writer.writeDateValue("endDateTime", scheduleEntity.endDateTime);
    writer.writeStringValue("@odata.type", scheduleEntity.odataType);
    writer.writeDateValue("startDateTime", scheduleEntity.startDateTime);
    writer.writeEnumValue("theme", scheduleEntity.theme);
    writer.writeAdditionalData(scheduleEntity.additionalData);
}
exports.serializeScheduleEntity = serializeScheduleEntity;
// tslint:enable
// eslint-enable
