import { type FreeBusyError } from './freeBusyError';
import { type ScheduleItem } from './scheduleItem';
import { type WorkingHours } from './workingHours';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScheduleInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoScheduleInformation;
export declare function deserializeIntoScheduleInformation(scheduleInformation?: ScheduleInformation | undefined): Record<string, (node: ParseNode) => void>;
export interface ScheduleInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents a merged view of availability of all the items in scheduleItems. The view consists of time slots. Availability during each time slot is indicated with: 0= free, 1= tentative, 2= busy, 3= out of office, 4= working elsewhere.
     */
    availabilityView?: string;
    /**
     * Error information from attempting to get the availability of the user, distribution list, or resource.
     */
    errorEscaped?: FreeBusyError;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * An SMTP address of the user, distribution list, or resource, identifying an instance of scheduleInformation.
     */
    scheduleId?: string;
    /**
     * Contains the items that describe the availability of the user or resource.
     */
    scheduleItems?: ScheduleItem[];
    /**
     * The days of the week and hours in a specific time zone that the user works. These are set as part of the user's mailboxSettings.
     */
    workingHours?: WorkingHours;
}
export declare function serializeScheduleInformation(writer: SerializationWriter, scheduleInformation?: ScheduleInformation | undefined): void;
