import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { FreeBusyStatus } from './freeBusyStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScheduleItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoScheduleItem;
export declare function deserializeIntoScheduleItem(scheduleItem?: ScheduleItem | undefined): Record<string, (node: ParseNode) => void>;
export interface ScheduleItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date, time, and time zone that the corresponding event ends.
     */
    end?: DateTimeTimeZone;
    /**
     * The sensitivity of the corresponding event. True if the event is marked private, false otherwise. Optional.
     */
    isPrivate?: boolean;
    /**
     * The location where the corresponding event is held or attended from. Optional.
     */
    location?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The date, time, and time zone that the corresponding event starts.
     */
    start?: DateTimeTimeZone;
    /**
     * The availability status of the user or resource during the corresponding event. The possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     */
    status?: FreeBusyStatus;
    /**
     * The corresponding event's subject line. Optional.
     */
    subject?: string;
}
export declare function serializeScheduleItem(writer: SerializationWriter, scheduleItem?: ScheduleItem | undefined): void;
