import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSchedulingGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSchedulingGroup;
export declare function deserializeIntoSchedulingGroup(schedulingGroup?: SchedulingGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface SchedulingGroup extends ChangeTrackedEntity, Parsable {
    /**
     * The display name for the schedulingGroup. Required.
     */
    displayName?: string;
    /**
     * Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required.
     */
    isActive?: boolean;
    /**
     * The list of user IDs that are a member of the schedulingGroup. Required.
     */
    userIds?: string[];
}
export declare function serializeSchedulingGroup(writer: SerializationWriter, schedulingGroup?: SchedulingGroup | undefined): void;
