import { type Entity } from './entity';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScopedRoleMembershipFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoScopedRoleMembership;
export declare function deserializeIntoScopedRoleMembership(scopedRoleMembership?: ScopedRoleMembership | undefined): Record<string, (node: ParseNode) => void>;
export interface ScopedRoleMembership extends Entity, Parsable {
    /**
     * Unique identifier for the administrative unit that the directory role is scoped to
     */
    administrativeUnitId?: string;
    /**
     * Unique identifier for the directory role that the member is in.
     */
    roleId?: string;
    /**
     * The roleMemberInfo property
     */
    roleMemberInfo?: Identity;
}
export declare function serializeScopedRoleMembership(writer: SerializationWriter, scopedRoleMembership?: ScopedRoleMembership | undefined): void;
