import { type AlteredQueryToken } from './alteredQueryToken';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchAlterationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchAlteration;
export declare function deserializeIntoSearchAlteration(searchAlteration?: SearchAlteration | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchAlteration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defines the altered highlighted query string with spelling correction. The annotation around the corrected segment is: /ue000, /ue001.
     */
    alteredHighlightedQueryString?: string;
    /**
     * Defines the altered query string with spelling correction.
     */
    alteredQueryString?: string;
    /**
     * Represents changed segments related to an original user query.
     */
    alteredQueryTokens?: AlteredQueryToken[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeSearchAlteration(writer: SerializationWriter, searchAlteration?: SearchAlteration | undefined): void;
