import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchAlterationOptionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchAlterationOptions;
export declare function deserializeIntoSearchAlterationOptions(searchAlterationOptions?: SearchAlterationOptions | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchAlterationOptions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether spelling modifications are enabled. If enabled, the user gets the search results for the corrected query if there were no results for the original query with typos. The response will also include the spelling modification information in the queryAlterationResponse property. Optional.
     */
    enableModification?: boolean;
    /**
     * Indicates whether spelling suggestions are enabled. If enabled, the user gets the search results for the original search query and suggestions for spelling correction in the queryAlterationResponse property of the response for the typos in the query. Optional.
     */
    enableSuggestion?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeSearchAlterationOptions(writer: SerializationWriter, searchAlterationOptions?: SearchAlterationOptions | undefined): void;
