import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchBucketFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchBucket;
export declare function deserializeIntoSearchBucket(searchBucket?: SearchBucket | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchBucket extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A token containing the encoded filter to aggregate search matches by the specific key value. To use the filter, pass the token as part of the aggregationFilter property in a searchRequest object, in the format '{field}:/'{aggregationFilterToken}/''. See an example.
     */
    aggregationFilterToken?: string;
    /**
     * The approximate number of search matches that share the same value specified in the key property. Note that this number is not the exact number of matches.
     */
    count?: number;
    /**
     * The discrete value of the field that an aggregation was computed on.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeSearchBucket(writer: SerializationWriter, searchBucket?: SearchBucket | undefined): void;
