import { type SearchAggregation } from './searchAggregation';
import { type SearchHit } from './searchHit';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchHitsContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchHitsContainer;
export declare function deserializeIntoSearchHitsContainer(searchHitsContainer?: SearchHitsContainer | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchHitsContainer extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The aggregations property
     */
    aggregations?: SearchAggregation[];
    /**
     * A collection of the search results.
     */
    hits?: SearchHit[];
    /**
     * Provides information if more results are available. Based on this information, you can adjust the from and size properties of the searchRequest accordingly.
     */
    moreResultsAvailable?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The total number of results. Note this isn't the number of results on the page, but the total number of results satisfying the query.
     */
    total?: number;
}
export declare function serializeSearchHitsContainer(writer: SerializationWriter, searchHitsContainer?: SearchHitsContainer | undefined): void;
