import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchQueryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchQuery;
export declare function deserializeIntoSearchQuery(searchQuery?: SearchQuery | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchQuery extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The search query containing the search terms. Required.
     */
    queryString?: string;
    /**
     * Provides a way to decorate the query string. Supports both KQL and query variables. Optional.
     */
    queryTemplate?: string;
}
export declare function serializeSearchQuery(writer: SerializationWriter, searchQuery?: SearchQuery | undefined): void;
