"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearchRequest = exports.deserializeIntoSearchRequest = exports.createSearchRequestFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const aggregationOption_1 = require("./aggregationOption");
const collapseProperty_1 = require("./collapseProperty");
const entityType_1 = require("./entityType");
const resultTemplateOption_1 = require("./resultTemplateOption");
const searchAlterationOptions_1 = require("./searchAlterationOptions");
const searchQuery_1 = require("./searchQuery");
const sharePointOneDriveOptions_1 = require("./sharePointOneDriveOptions");
const sortProperty_1 = require("./sortProperty");
function createSearchRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchRequest;
}
exports.createSearchRequestFromDiscriminatorValue = createSearchRequestFromDiscriminatorValue;
function deserializeIntoSearchRequest(searchRequest = {}) {
    return {
        "aggregationFilters": n => { searchRequest.aggregationFilters = n.getCollectionOfPrimitiveValues(); },
        "aggregations": n => { searchRequest.aggregations = n.getCollectionOfObjectValues(aggregationOption_1.createAggregationOptionFromDiscriminatorValue); },
        "collapseProperties": n => { searchRequest.collapseProperties = n.getCollectionOfObjectValues(collapseProperty_1.createCollapsePropertyFromDiscriminatorValue); },
        "contentSources": n => { searchRequest.contentSources = n.getCollectionOfPrimitiveValues(); },
        "enableTopResults": n => { searchRequest.enableTopResults = n.getBooleanValue(); },
        "entityTypes": n => { searchRequest.entityTypes = n.getCollectionOfEnumValues(entityType_1.EntityType); },
        "fields": n => { searchRequest.fields = n.getCollectionOfPrimitiveValues(); },
        "from": n => { searchRequest.from = n.getNumberValue(); },
        "@odata.type": n => { searchRequest.odataType = n.getStringValue(); },
        "query": n => { searchRequest.query = n.getObjectValue(searchQuery_1.createSearchQueryFromDiscriminatorValue); },
        "queryAlterationOptions": n => { searchRequest.queryAlterationOptions = n.getObjectValue(searchAlterationOptions_1.createSearchAlterationOptionsFromDiscriminatorValue); },
        "region": n => { searchRequest.region = n.getStringValue(); },
        "resultTemplateOptions": n => { searchRequest.resultTemplateOptions = n.getObjectValue(resultTemplateOption_1.createResultTemplateOptionFromDiscriminatorValue); },
        "sharePointOneDriveOptions": n => { searchRequest.sharePointOneDriveOptions = n.getObjectValue(sharePointOneDriveOptions_1.createSharePointOneDriveOptionsFromDiscriminatorValue); },
        "size": n => { searchRequest.size = n.getNumberValue(); },
        "sortProperties": n => { searchRequest.sortProperties = n.getCollectionOfObjectValues(sortProperty_1.createSortPropertyFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSearchRequest = deserializeIntoSearchRequest;
function serializeSearchRequest(writer, searchRequest = {}) {
    writer.writeCollectionOfPrimitiveValues("aggregationFilters", searchRequest.aggregationFilters);
    writer.writeCollectionOfObjectValues("aggregations", searchRequest.aggregations, aggregationOption_1.serializeAggregationOption);
    writer.writeCollectionOfObjectValues("collapseProperties", searchRequest.collapseProperties, collapseProperty_1.serializeCollapseProperty);
    writer.writeCollectionOfPrimitiveValues("contentSources", searchRequest.contentSources);
    writer.writeBooleanValue("enableTopResults", searchRequest.enableTopResults);
    if (searchRequest.entityTypes)
        writer.writeEnumValue("entityTypes", ...searchRequest.entityTypes);
    writer.writeCollectionOfPrimitiveValues("fields", searchRequest.fields);
    writer.writeNumberValue("from", searchRequest.from);
    writer.writeStringValue("@odata.type", searchRequest.odataType);
    writer.writeObjectValue("query", searchRequest.query, searchQuery_1.serializeSearchQuery);
    writer.writeObjectValue("queryAlterationOptions", searchRequest.queryAlterationOptions, searchAlterationOptions_1.serializeSearchAlterationOptions);
    writer.writeStringValue("region", searchRequest.region);
    writer.writeObjectValue("resultTemplateOptions", searchRequest.resultTemplateOptions, resultTemplateOption_1.serializeResultTemplateOption);
    writer.writeObjectValue("sharePointOneDriveOptions", searchRequest.sharePointOneDriveOptions, sharePointOneDriveOptions_1.serializeSharePointOneDriveOptions);
    writer.writeNumberValue("size", searchRequest.size);
    writer.writeCollectionOfObjectValues("sortProperties", searchRequest.sortProperties, sortProperty_1.serializeSortProperty);
    writer.writeAdditionalData(searchRequest.additionalData);
}
exports.serializeSearchRequest = serializeSearchRequest;
// tslint:enable
// eslint-enable
