import { type AlterationResponse } from './alterationResponse';
import { type ResultTemplateDictionary } from './resultTemplateDictionary';
import { type SearchHitsContainer } from './searchHitsContainer';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchResponse;
export declare function deserializeIntoSearchResponse(searchResponse?: SearchResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A collection of search results.
     */
    hitsContainers?: SearchHitsContainer[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Provides information related to spelling corrections in the alteration response.
     */
    queryAlterationResponse?: AlterationResponse;
    /**
     * A dictionary of resultTemplateIds and associated values, which include the name and JSON schema of the result templates.
     */
    resultTemplates?: ResultTemplateDictionary;
    /**
     * Contains the search terms sent in the initial search query.
     */
    searchTerms?: string[];
}
export declare function serializeSearchResponse(writer: SerializationWriter, searchResponse?: SearchResponse | undefined): void;
