import { type Notebook } from './notebook';
import { type OnenoteEntityHierarchyModel } from './onenoteEntityHierarchyModel';
import { type OnenoteSection } from './onenoteSection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSectionGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionGroup;
export declare function deserializeIntoSectionGroup(sectionGroup?: SectionGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface SectionGroup extends OnenoteEntityHierarchyModel, Parsable {
    /**
     * The notebook that contains the section group. Read-only.
     */
    parentNotebook?: Notebook;
    /**
     * The section group that contains the section group. Read-only.
     */
    parentSectionGroup?: SectionGroup;
    /**
     * The section groups in the section. Read-only. Nullable.
     */
    sectionGroups?: SectionGroup[];
    /**
     * The URL for the sectionGroups navigation property, which returns all the section groups in the section group. Read-only.
     */
    sectionGroupsUrl?: string;
    /**
     * The sections in the section group. Read-only. Nullable.
     */
    sections?: OnenoteSection[];
    /**
     * The URL for the sections navigation property, which returns all the sections in the section group. Read-only.
     */
    sectionsUrl?: string;
}
export declare function serializeSectionGroup(writer: SerializationWriter, sectionGroup?: SectionGroup | undefined): void;
