import { type ExternalLink } from './externalLink';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSectionLinksFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionLinks;
export declare function deserializeIntoSectionLinks(sectionLinks?: SectionLinks | undefined): Record<string, (node: ParseNode) => void>;
export interface SectionLinks extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Opens the section in the OneNote native client if it's installed.
     */
    oneNoteClientUrl?: ExternalLink;
    /**
     * Opens the section in OneNote on the web.
     */
    oneNoteWebUrl?: ExternalLink;
}
export declare function serializeSectionLinks(writer: SerializationWriter, sectionLinks?: SectionLinks | undefined): void;
