import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecureScoreControlStateUpdateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecureScoreControlStateUpdate;
export declare function deserializeIntoSecureScoreControlStateUpdate(secureScoreControlStateUpdate?: SecureScoreControlStateUpdate | undefined): Record<string, (node: ParseNode) => void>;
export interface SecureScoreControlStateUpdate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Assigns the control to the user who will take the action.
     */
    assignedTo?: string;
    /**
     * Provides optional comment about the control.
     */
    comment?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * State of the control, which can be modified via a PATCH command (for example, ignored, thirdParty).
     */
    state?: string;
    /**
     * ID of the user who updated tenant state.
     */
    updatedBy?: string;
    /**
     * Time at which the control state was updated.
     */
    updatedDateTime?: Date;
}
export declare function serializeSecureScoreControlStateUpdate(writer: SerializationWriter, secureScoreControlStateUpdate?: SecureScoreControlStateUpdate | undefined): void;
