"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSecureScoreControlStateUpdate = exports.deserializeIntoSecureScoreControlStateUpdate = exports.createSecureScoreControlStateUpdateFromDiscriminatorValue = void 0;
function createSecureScoreControlStateUpdateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSecureScoreControlStateUpdate;
}
exports.createSecureScoreControlStateUpdateFromDiscriminatorValue = createSecureScoreControlStateUpdateFromDiscriminatorValue;
function deserializeIntoSecureScoreControlStateUpdate(secureScoreControlStateUpdate = {}) {
    return {
        "assignedTo": n => { secureScoreControlStateUpdate.assignedTo = n.getStringValue(); },
        "comment": n => { secureScoreControlStateUpdate.comment = n.getStringValue(); },
        "@odata.type": n => { secureScoreControlStateUpdate.odataType = n.getStringValue(); },
        "state": n => { secureScoreControlStateUpdate.state = n.getStringValue(); },
        "updatedBy": n => { secureScoreControlStateUpdate.updatedBy = n.getStringValue(); },
        "updatedDateTime": n => { secureScoreControlStateUpdate.updatedDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoSecureScoreControlStateUpdate = deserializeIntoSecureScoreControlStateUpdate;
function serializeSecureScoreControlStateUpdate(writer, secureScoreControlStateUpdate = {}) {
    writer.writeStringValue("assignedTo", secureScoreControlStateUpdate.assignedTo);
    writer.writeStringValue("comment", secureScoreControlStateUpdate.comment);
    writer.writeStringValue("@odata.type", secureScoreControlStateUpdate.odataType);
    writer.writeStringValue("state", secureScoreControlStateUpdate.state);
    writer.writeStringValue("updatedBy", secureScoreControlStateUpdate.updatedBy);
    writer.writeDateValue("updatedDateTime", secureScoreControlStateUpdate.updatedDateTime);
    writer.writeAdditionalData(secureScoreControlStateUpdate.additionalData);
}
exports.serializeSecureScoreControlStateUpdate = serializeSecureScoreControlStateUpdate;
// tslint:enable
// eslint-enable
