"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSecurity = exports.deserializeIntoSecurity = exports.createSecurityFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const alert_1 = require("./alert");
const attackSimulationRoot_1 = require("./attackSimulationRoot");
const entity_1 = require("./entity");
const secureScore_1 = require("./secureScore");
const secureScoreControlProfile_1 = require("./secureScoreControlProfile");
const alert_2 = require("./security/alert");
const casesRoot_1 = require("./security/casesRoot");
const incident_1 = require("./security/incident");
const threatIntelligence_1 = require("./security/threatIntelligence");
const triggersRoot_1 = require("./security/triggersRoot");
const triggerTypesRoot_1 = require("./security/triggerTypesRoot");
const subjectRightsRequest_1 = require("./subjectRightsRequest");
function createSecurityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSecurity;
}
exports.createSecurityFromDiscriminatorValue = createSecurityFromDiscriminatorValue;
function deserializeIntoSecurity(security = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(security)), { "alerts": n => { security.alerts = n.getCollectionOfObjectValues(alert_1.createAlertFromDiscriminatorValue); }, "alerts_v2": n => { security.alerts_v2 = n.getCollectionOfObjectValues(alert_2.createAlertFromDiscriminatorValue); }, "attackSimulation": n => { security.attackSimulation = n.getObjectValue(attackSimulationRoot_1.createAttackSimulationRootFromDiscriminatorValue); }, "cases": n => { security.cases = n.getObjectValue(casesRoot_1.createCasesRootFromDiscriminatorValue); }, "incidents": n => { security.incidents = n.getCollectionOfObjectValues(incident_1.createIncidentFromDiscriminatorValue); }, "secureScoreControlProfiles": n => { security.secureScoreControlProfiles = n.getCollectionOfObjectValues(secureScoreControlProfile_1.createSecureScoreControlProfileFromDiscriminatorValue); }, "secureScores": n => { security.secureScores = n.getCollectionOfObjectValues(secureScore_1.createSecureScoreFromDiscriminatorValue); }, "subjectRightsRequests": n => { security.subjectRightsRequests = n.getCollectionOfObjectValues(subjectRightsRequest_1.createSubjectRightsRequestFromDiscriminatorValue); }, "threatIntelligence": n => { security.threatIntelligence = n.getObjectValue(threatIntelligence_1.createThreatIntelligenceFromDiscriminatorValue); }, "triggers": n => { security.triggers = n.getObjectValue(triggersRoot_1.createTriggersRootFromDiscriminatorValue); }, "triggerTypes": n => { security.triggerTypes = n.getObjectValue(triggerTypesRoot_1.createTriggerTypesRootFromDiscriminatorValue); } });
}
exports.deserializeIntoSecurity = deserializeIntoSecurity;
function serializeSecurity(writer, security = {}) {
    (0, entity_1.serializeEntity)(writer, security);
    writer.writeCollectionOfObjectValues("alerts", security.alerts, alert_1.serializeAlert);
    writer.writeCollectionOfObjectValues("alerts_v2", security.alerts_v2, alert_2.serializeAlert);
    writer.writeObjectValue("attackSimulation", security.attackSimulation, attackSimulationRoot_1.serializeAttackSimulationRoot);
    writer.writeObjectValue("cases", security.cases, casesRoot_1.serializeCasesRoot);
    writer.writeCollectionOfObjectValues("incidents", security.incidents, incident_1.serializeIncident);
    writer.writeCollectionOfObjectValues("secureScoreControlProfiles", security.secureScoreControlProfiles, secureScoreControlProfile_1.serializeSecureScoreControlProfile);
    writer.writeCollectionOfObjectValues("secureScores", security.secureScores, secureScore_1.serializeSecureScore);
    writer.writeCollectionOfObjectValues("subjectRightsRequests", security.subjectRightsRequests, subjectRightsRequest_1.serializeSubjectRightsRequest);
    writer.writeObjectValue("threatIntelligence", security.threatIntelligence, threatIntelligence_1.serializeThreatIntelligence);
    writer.writeObjectValue("triggers", security.triggers, triggersRoot_1.serializeTriggersRoot);
    writer.writeObjectValue("triggerTypes", security.triggerTypes, triggerTypesRoot_1.serializeTriggerTypesRoot);
}
exports.serializeSecurity = serializeSecurity;
// tslint:enable
// eslint-enable
