"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlert = exports.deserializeIntoAlert = exports.createAlertFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const alertClassification_1 = require("./alertClassification");
const alertComment_1 = require("./alertComment");
const alertDetermination_1 = require("./alertDetermination");
const alertEvidence_1 = require("./alertEvidence");
const alertSeverity_1 = require("./alertSeverity");
const alertStatus_1 = require("./alertStatus");
const detectionSource_1 = require("./detectionSource");
const serviceSource_1 = require("./serviceSource");
function createAlertFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlert;
}
exports.createAlertFromDiscriminatorValue = createAlertFromDiscriminatorValue;
function deserializeIntoAlert(alert = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(alert)), { "actorDisplayName": n => { alert.actorDisplayName = n.getStringValue(); }, "alertPolicyId": n => { alert.alertPolicyId = n.getStringValue(); }, "alertWebUrl": n => { alert.alertWebUrl = n.getStringValue(); }, "assignedTo": n => { alert.assignedTo = n.getStringValue(); }, "category": n => { alert.category = n.getStringValue(); }, "classification": n => { alert.classification = n.getEnumValue(alertClassification_1.AlertClassification); }, "comments": n => { alert.comments = n.getCollectionOfObjectValues(alertComment_1.createAlertCommentFromDiscriminatorValue); }, "createdDateTime": n => { alert.createdDateTime = n.getDateValue(); }, "description": n => { alert.description = n.getStringValue(); }, "detectionSource": n => { alert.detectionSource = n.getEnumValue(detectionSource_1.DetectionSource); }, "detectorId": n => { alert.detectorId = n.getStringValue(); }, "determination": n => { alert.determination = n.getEnumValue(alertDetermination_1.AlertDetermination); }, "evidence": n => { alert.evidence = n.getCollectionOfObjectValues(alertEvidence_1.createAlertEvidenceFromDiscriminatorValue); }, "firstActivityDateTime": n => { alert.firstActivityDateTime = n.getDateValue(); }, "incidentId": n => { alert.incidentId = n.getStringValue(); }, "incidentWebUrl": n => { alert.incidentWebUrl = n.getStringValue(); }, "lastActivityDateTime": n => { alert.lastActivityDateTime = n.getDateValue(); }, "lastUpdateDateTime": n => { alert.lastUpdateDateTime = n.getDateValue(); }, "mitreTechniques": n => { alert.mitreTechniques = n.getCollectionOfPrimitiveValues(); }, "productName": n => { alert.productName = n.getStringValue(); }, "providerAlertId": n => { alert.providerAlertId = n.getStringValue(); }, "recommendedActions": n => { alert.recommendedActions = n.getStringValue(); }, "resolvedDateTime": n => { alert.resolvedDateTime = n.getDateValue(); }, "serviceSource": n => { alert.serviceSource = n.getEnumValue(serviceSource_1.ServiceSource); }, "severity": n => { alert.severity = n.getEnumValue(alertSeverity_1.AlertSeverity); }, "status": n => { alert.status = n.getEnumValue(alertStatus_1.AlertStatus); }, "tenantId": n => { alert.tenantId = n.getStringValue(); }, "threatDisplayName": n => { alert.threatDisplayName = n.getStringValue(); }, "threatFamilyName": n => { alert.threatFamilyName = n.getStringValue(); }, "title": n => { alert.title = n.getStringValue(); } });
}
exports.deserializeIntoAlert = deserializeIntoAlert;
function serializeAlert(writer, alert = {}) {
    (0, entity_1.serializeEntity)(writer, alert);
    writer.writeStringValue("actorDisplayName", alert.actorDisplayName);
    writer.writeStringValue("alertPolicyId", alert.alertPolicyId);
    writer.writeStringValue("alertWebUrl", alert.alertWebUrl);
    writer.writeStringValue("assignedTo", alert.assignedTo);
    writer.writeStringValue("category", alert.category);
    writer.writeEnumValue("classification", alert.classification);
    writer.writeCollectionOfObjectValues("comments", alert.comments, alertComment_1.serializeAlertComment);
    writer.writeDateValue("createdDateTime", alert.createdDateTime);
    writer.writeStringValue("description", alert.description);
    writer.writeEnumValue("detectionSource", alert.detectionSource);
    writer.writeStringValue("detectorId", alert.detectorId);
    writer.writeEnumValue("determination", alert.determination);
    writer.writeCollectionOfObjectValues("evidence", alert.evidence, alertEvidence_1.serializeAlertEvidence);
    writer.writeDateValue("firstActivityDateTime", alert.firstActivityDateTime);
    writer.writeStringValue("incidentId", alert.incidentId);
    writer.writeStringValue("incidentWebUrl", alert.incidentWebUrl);
    writer.writeDateValue("lastActivityDateTime", alert.lastActivityDateTime);
    writer.writeDateValue("lastUpdateDateTime", alert.lastUpdateDateTime);
    writer.writeCollectionOfPrimitiveValues("mitreTechniques", alert.mitreTechniques);
    writer.writeStringValue("productName", alert.productName);
    writer.writeStringValue("providerAlertId", alert.providerAlertId);
    writer.writeStringValue("recommendedActions", alert.recommendedActions);
    writer.writeDateValue("resolvedDateTime", alert.resolvedDateTime);
    writer.writeEnumValue("serviceSource", alert.serviceSource);
    writer.writeEnumValue("severity", alert.severity);
    writer.writeEnumValue("status", alert.status);
    writer.writeStringValue("tenantId", alert.tenantId);
    writer.writeStringValue("threatDisplayName", alert.threatDisplayName);
    writer.writeStringValue("threatFamilyName", alert.threatFamilyName);
    writer.writeStringValue("title", alert.title);
}
exports.serializeAlert = serializeAlert;
// tslint:enable
// eslint-enable
