import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertComment extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The comment text.
     */
    comment?: string;
    /**
     * The person or app name that submitted the comment.
     */
    createdByDisplayName?: string;
    /**
     * The time when the comment was submitted.
     */
    createdDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAlertCommentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlertComment;
export declare function deserializeIntoAlertComment(alertComment?: AlertComment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertComment(writer: SerializationWriter, alertComment?: AlertComment | undefined): void;
