import { deserializeIntoAmazonResourceEvidence } from './amazonResourceEvidence';
import { EvidenceRemediationStatus } from './evidenceRemediationStatus';
import { EvidenceRole } from './evidenceRole';
import { EvidenceVerdict } from './evidenceVerdict';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertEvidence extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date and time when the evidence was created and added to the alert. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * Detailed description of the entity role/s in an alert. Values are free-form.
     */
    detailedRoles?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The remediationStatus property
     */
    remediationStatus?: EvidenceRemediationStatus;
    /**
     * Details about the remediation status.
     */
    remediationStatusDetails?: string;
    /**
     * The role/s that an evidence entity represents in an alert, for example, an IP address that is associated with an attacker has the evidence role Attacker.
     */
    roles?: EvidenceRole[];
    /**
     * Array of custom tags associated with an evidence instance, for example, to denote a group of devices, high-value assets, etc.
     */
    tags?: string[];
    /**
     * The verdict property
     */
    verdict?: EvidenceVerdict;
}
export declare function createAlertEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAmazonResourceEvidence;
export declare function deserializeIntoAlertEvidence(alertEvidence?: AlertEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertEvidence(writer: SerializationWriter, alertEvidence?: AlertEvidence | undefined): void;
