import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AmazonResourceEvidence extends AlertEvidence, Parsable {
    /**
     * The unique identifier for the Amazon account.
     */
    amazonAccountId?: string;
    /**
     * The Amazon resource identifier (ARN) for the cloud resource.
     */
    amazonResourceId?: string;
    /**
     * The name of the resource.
     */
    resourceName?: string;
    /**
     * The type of the resource.
     */
    resourceType?: string;
}
export declare function createAmazonResourceEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAmazonResourceEvidence;
export declare function deserializeIntoAmazonResourceEvidence(amazonResourceEvidence?: AmazonResourceEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAmazonResourceEvidence(writer: SerializationWriter, amazonResourceEvidence?: AmazonResourceEvidence | undefined): void;
