import { type AlertEvidence } from './alertEvidence';
import { type EmailSender } from './emailSender';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AnalyzedMessageEvidence extends AlertEvidence, Parsable {
    /**
     * Direction of the email relative to your network. The possible values are: inbound, outbound or intraorg.
     */
    antiSpamDirection?: string;
    /**
     * Number of attachments in the email.
     */
    attachmentsCount?: number;
    /**
     * Delivery action of the email. The possible values are: delivered, deliveredAsSpam, junked, blocked, or replaced.
     */
    deliveryAction?: string;
    /**
     * Location where the email was delivered. The possible values are: inbox, external, junkFolder, quarantine, failed, dropped, deletedFolder or forwarded.
     */
    deliveryLocation?: string;
    /**
     * Public-facing identifier for the email that is set by the sending email system.
     */
    internetMessageId?: string;
    /**
     * Detected language of the email content.
     */
    language?: string;
    /**
     * Unique identifier for the email, generated by Microsoft 365.
     */
    networkMessageId?: string;
    /**
     * The P1 sender.
     */
    p1Sender?: EmailSender;
    /**
     * The P2 sender.
     */
    p2Sender?: EmailSender;
    /**
     * Date and time when the email was received.
     */
    receivedDateTime?: Date;
    /**
     * Email address of the recipient, or email address of the recipient after distribution list expansion.
     */
    recipientEmailAddress?: string;
    /**
     * IP address of the last detected mail server that relayed the message.
     */
    senderIp?: string;
    /**
     * Subject of the email.
     */
    subject?: string;
    /**
     * Collection of methods used to detect malware, phishing, or other threats found in the email.
     */
    threatDetectionMethods?: string[];
    /**
     * Collection of detection names for malware or other threats found.
     */
    threats?: string[];
    /**
     * Number of embedded URLs in the email.
     */
    urlCount?: number;
    /**
     * Collection of the URLs contained in this email.
     */
    urls?: string[];
    /**
     * Uniform resource name (URN) of the automated investigation where the cluster was identified.
     */
    urn?: string;
}
export declare function createAnalyzedMessageEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAnalyzedMessageEvidence;
export declare function deserializeIntoAnalyzedMessageEvidence(analyzedMessageEvidence?: AnalyzedMessageEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAnalyzedMessageEvidence(writer: SerializationWriter, analyzedMessageEvidence?: AnalyzedMessageEvidence | undefined): void;
