"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeArtifact = exports.deserializeIntoArtifact = exports.createArtifactFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const host_1 = require("./host");
const hostComponent_1 = require("./hostComponent");
const hostCookie_1 = require("./hostCookie");
const hostname_1 = require("./hostname");
const hostSslCertificate_1 = require("./hostSslCertificate");
const hostTracker_1 = require("./hostTracker");
const ipAddress_1 = require("./ipAddress");
const passiveDnsRecord_1 = require("./passiveDnsRecord");
const sslCertificate_1 = require("./sslCertificate");
const unclassifiedArtifact_1 = require("./unclassifiedArtifact");
function createArtifactFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.host":
                    return host_1.deserializeIntoHost;
                case "#microsoft.graph.security.hostComponent":
                    return hostComponent_1.deserializeIntoHostComponent;
                case "#microsoft.graph.security.hostCookie":
                    return hostCookie_1.deserializeIntoHostCookie;
                case "#microsoft.graph.security.hostname":
                    return hostname_1.deserializeIntoHostname;
                case "#microsoft.graph.security.hostSslCertificate":
                    return hostSslCertificate_1.deserializeIntoHostSslCertificate;
                case "#microsoft.graph.security.hostTracker":
                    return hostTracker_1.deserializeIntoHostTracker;
                case "#microsoft.graph.security.ipAddress":
                    return ipAddress_1.deserializeIntoIpAddress;
                case "#microsoft.graph.security.passiveDnsRecord":
                    return passiveDnsRecord_1.deserializeIntoPassiveDnsRecord;
                case "#microsoft.graph.security.sslCertificate":
                    return sslCertificate_1.deserializeIntoSslCertificate;
                case "#microsoft.graph.security.unclassifiedArtifact":
                    return unclassifiedArtifact_1.deserializeIntoUnclassifiedArtifact;
            }
        }
    }
    return deserializeIntoArtifact;
}
exports.createArtifactFromDiscriminatorValue = createArtifactFromDiscriminatorValue;
function deserializeIntoArtifact(artifact = {}) {
    return Object.assign({}, (0, entity_1.deserializeIntoEntity)(artifact));
}
exports.deserializeIntoArtifact = deserializeIntoArtifact;
function serializeArtifact(writer, artifact = {}) {
    (0, entity_1.serializeEntity)(writer, artifact);
}
exports.serializeArtifact = serializeArtifact;
// tslint:enable
// eslint-enable
