import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AutonomousSystem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the autonomous system.
     */
    name?: string;
    /**
     * The autonomous system number, assigned by IANA.
     */
    number?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The name of the autonomous system organization.
     */
    organization?: string;
    /**
     * A displayable value for these autonomous system details.
     */
    value?: string;
}
export declare function createAutonomousSystemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAutonomousSystem;
export declare function deserializeIntoAutonomousSystem(autonomousSystem?: AutonomousSystem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAutonomousSystem(writer: SerializationWriter, autonomousSystem?: AutonomousSystem | undefined): void;
