"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAutonomousSystem = exports.deserializeIntoAutonomousSystem = exports.createAutonomousSystemFromDiscriminatorValue = void 0;
function createAutonomousSystemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAutonomousSystem;
}
exports.createAutonomousSystemFromDiscriminatorValue = createAutonomousSystemFromDiscriminatorValue;
function deserializeIntoAutonomousSystem(autonomousSystem = {}) {
    return {
        "name": n => { autonomousSystem.name = n.getStringValue(); },
        "number": n => { autonomousSystem.number = n.getNumberValue(); },
        "@odata.type": n => { autonomousSystem.odataType = n.getStringValue(); },
        "organization": n => { autonomousSystem.organization = n.getStringValue(); },
        "value": n => { autonomousSystem.value = n.getStringValue(); },
    };
}
exports.deserializeIntoAutonomousSystem = deserializeIntoAutonomousSystem;
function serializeAutonomousSystem(writer, autonomousSystem = {}) {
    writer.writeStringValue("name", autonomousSystem.name);
    writer.writeNumberValue("number", autonomousSystem.number);
    writer.writeStringValue("@odata.type", autonomousSystem.odataType);
    writer.writeStringValue("organization", autonomousSystem.organization);
    writer.writeStringValue("value", autonomousSystem.value);
    writer.writeAdditionalData(autonomousSystem.additionalData);
}
exports.serializeAutonomousSystem = serializeAutonomousSystem;
// tslint:enable
// eslint-enable
