import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AzureResourceEvidence extends AlertEvidence, Parsable {
    /**
     * The unique identifier for the Azure resource.
     */
    resourceId?: string;
    /**
     * The name of the resource.
     */
    resourceName?: string;
    /**
     * The type of the resource.
     */
    resourceType?: string;
}
export declare function createAzureResourceEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureResourceEvidence;
export declare function deserializeIntoAzureResourceEvidence(azureResourceEvidence?: AzureResourceEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAzureResourceEvidence(writer: SerializationWriter, azureResourceEvidence?: AzureResourceEvidence | undefined): void;
