import { type AlertEvidence } from './alertEvidence';
import { type AzureResourceEvidence } from './azureResourceEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BlobContainerEvidence extends AlertEvidence, Parsable {
    /**
     * The name of the blob container.
     */
    name?: string;
    /**
     * The storage which the blob container belongs to.
     */
    storageResource?: AzureResourceEvidence;
    /**
     * The full URL representation of the blob container.
     */
    url?: string;
}
export declare function createBlobContainerEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBlobContainerEvidence;
export declare function deserializeIntoBlobContainerEvidence(blobContainerEvidence?: BlobContainerEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBlobContainerEvidence(writer: SerializationWriter, blobContainerEvidence?: BlobContainerEvidence | undefined): void;
