import { type AlertEvidence } from './alertEvidence';
import { type BlobContainerEvidence } from './blobContainerEvidence';
import { type FileHash } from './fileHash';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BlobEvidence extends AlertEvidence, Parsable {
    /**
     * The container which the blob belongs to.
     */
    blobContainer?: BlobContainerEvidence;
    /**
     * The Etag associated with this blob.
     */
    etag?: string;
    /**
     * The file hashes associated with this blob.
     */
    fileHashes?: FileHash[];
    /**
     * The name of the blob.
     */
    name?: string;
    /**
     * The full URL representation of the blob.
     */
    url?: string;
}
export declare function createBlobEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBlobEvidence;
export declare function deserializeIntoBlobEvidence(blobEvidence?: BlobEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBlobEvidence(writer: SerializationWriter, blobEvidence?: BlobEvidence | undefined): void;
