import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { CaseStatus } from './caseStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CaseEscaped extends Entity, Parsable {
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The status property
     */
    status?: CaseStatus;
}
export declare function createCaseEscapedFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCaseEscaped;
export declare function deserializeIntoCaseEscaped(caseEscaped?: CaseEscaped | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCaseEscaped(writer: SerializationWriter, caseEscaped?: CaseEscaped | undefined): void;
