"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCaseEscaped = exports.deserializeIntoCaseEscaped = exports.createCaseEscapedFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const identitySet_1 = require("../identitySet");
const caseStatus_1 = require("./caseStatus");
const ediscoveryCase_1 = require("./ediscoveryCase");
function createCaseEscapedFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.ediscoveryCase":
                    return ediscoveryCase_1.deserializeIntoEdiscoveryCase;
            }
        }
    }
    return deserializeIntoCaseEscaped;
}
exports.createCaseEscapedFromDiscriminatorValue = createCaseEscapedFromDiscriminatorValue;
function deserializeIntoCaseEscaped(caseEscaped = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(caseEscaped)), { "createdDateTime": n => { caseEscaped.createdDateTime = n.getDateValue(); }, "description": n => { caseEscaped.description = n.getStringValue(); }, "displayName": n => { caseEscaped.displayName = n.getStringValue(); }, "lastModifiedBy": n => { caseEscaped.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { caseEscaped.lastModifiedDateTime = n.getDateValue(); }, "status": n => { caseEscaped.status = n.getEnumValue(caseStatus_1.CaseStatus); } });
}
exports.deserializeIntoCaseEscaped = deserializeIntoCaseEscaped;
function serializeCaseEscaped(writer, caseEscaped = {}) {
    (0, entity_1.serializeEntity)(writer, caseEscaped);
    writer.writeDateValue("createdDateTime", caseEscaped.createdDateTime);
    writer.writeStringValue("description", caseEscaped.description);
    writer.writeStringValue("displayName", caseEscaped.displayName);
    writer.writeObjectValue("lastModifiedBy", caseEscaped.lastModifiedBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("lastModifiedDateTime", caseEscaped.lastModifiedDateTime);
    writer.writeEnumValue("status", caseEscaped.status);
}
exports.serializeCaseEscaped = serializeCaseEscaped;
// tslint:enable
// eslint-enable
