import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { type ResultInfo } from '../resultInfo';
import { CaseAction } from './caseAction';
import { CaseOperationStatus } from './caseOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CaseOperation extends Entity, Parsable {
    /**
     * The type of action the operation represents. Possible values are: addToReviewSet,applyTags,contentExport,convertToPdf,estimateStatistics, purgeData
     */
    action?: CaseAction;
    /**
     * The date and time the operation was completed.
     */
    completedDateTime?: Date;
    /**
     * The user that created the operation.
     */
    createdBy?: IdentitySet;
    /**
     * The date and time the operation was created.
     */
    createdDateTime?: Date;
    /**
     * The progress of the operation.
     */
    percentProgress?: number;
    /**
     * Contains success and failure-specific result information.
     */
    resultInfo?: ResultInfo;
    /**
     * The status of the case operation. Possible values are: notStarted, submissionFailed, running, succeeded, partiallySucceeded, failed.
     */
    status?: CaseOperationStatus;
}
export declare function createCaseOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCaseOperation;
export declare function deserializeIntoCaseOperation(caseOperation?: CaseOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCaseOperation(writer: SerializationWriter, caseOperation?: CaseOperation | undefined): void;
