"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCaseOperation = exports.deserializeIntoCaseOperation = exports.createCaseOperationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const identitySet_1 = require("../identitySet");
const resultInfo_1 = require("../resultInfo");
const caseAction_1 = require("./caseAction");
const caseOperationStatus_1 = require("./caseOperationStatus");
const ediscoveryAddToReviewSetOperation_1 = require("./ediscoveryAddToReviewSetOperation");
const ediscoveryEstimateOperation_1 = require("./ediscoveryEstimateOperation");
const ediscoveryExportOperation_1 = require("./ediscoveryExportOperation");
const ediscoveryHoldOperation_1 = require("./ediscoveryHoldOperation");
const ediscoveryIndexOperation_1 = require("./ediscoveryIndexOperation");
const ediscoveryPurgeDataOperation_1 = require("./ediscoveryPurgeDataOperation");
const ediscoveryTagOperation_1 = require("./ediscoveryTagOperation");
function createCaseOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.ediscoveryAddToReviewSetOperation":
                    return ediscoveryAddToReviewSetOperation_1.deserializeIntoEdiscoveryAddToReviewSetOperation;
                case "#microsoft.graph.security.ediscoveryEstimateOperation":
                    return ediscoveryEstimateOperation_1.deserializeIntoEdiscoveryEstimateOperation;
                case "#microsoft.graph.security.ediscoveryExportOperation":
                    return ediscoveryExportOperation_1.deserializeIntoEdiscoveryExportOperation;
                case "#microsoft.graph.security.ediscoveryHoldOperation":
                    return ediscoveryHoldOperation_1.deserializeIntoEdiscoveryHoldOperation;
                case "#microsoft.graph.security.ediscoveryIndexOperation":
                    return ediscoveryIndexOperation_1.deserializeIntoEdiscoveryIndexOperation;
                case "#microsoft.graph.security.ediscoveryPurgeDataOperation":
                    return ediscoveryPurgeDataOperation_1.deserializeIntoEdiscoveryPurgeDataOperation;
                case "#microsoft.graph.security.ediscoveryTagOperation":
                    return ediscoveryTagOperation_1.deserializeIntoEdiscoveryTagOperation;
            }
        }
    }
    return deserializeIntoCaseOperation;
}
exports.createCaseOperationFromDiscriminatorValue = createCaseOperationFromDiscriminatorValue;
function deserializeIntoCaseOperation(caseOperation = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(caseOperation)), { "action": n => { caseOperation.action = n.getEnumValue(caseAction_1.CaseAction); }, "completedDateTime": n => { caseOperation.completedDateTime = n.getDateValue(); }, "createdBy": n => { caseOperation.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { caseOperation.createdDateTime = n.getDateValue(); }, "percentProgress": n => { caseOperation.percentProgress = n.getNumberValue(); }, "resultInfo": n => { caseOperation.resultInfo = n.getObjectValue(resultInfo_1.createResultInfoFromDiscriminatorValue); }, "status": n => { caseOperation.status = n.getEnumValue(caseOperationStatus_1.CaseOperationStatus); } });
}
exports.deserializeIntoCaseOperation = deserializeIntoCaseOperation;
function serializeCaseOperation(writer, caseOperation = {}) {
    (0, entity_1.serializeEntity)(writer, caseOperation);
    writer.writeEnumValue("action", caseOperation.action);
    writer.writeDateValue("completedDateTime", caseOperation.completedDateTime);
    writer.writeObjectValue("createdBy", caseOperation.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", caseOperation.createdDateTime);
    writer.writeNumberValue("percentProgress", caseOperation.percentProgress);
    writer.writeObjectValue("resultInfo", caseOperation.resultInfo, resultInfo_1.serializeResultInfo);
    writer.writeEnumValue("status", caseOperation.status);
}
exports.serializeCaseOperation = serializeCaseOperation;
// tslint:enable
// eslint-enable
