import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CloudApplicationEvidence extends AlertEvidence, Parsable {
    /**
     * Unique identifier of the application.
     */
    appId?: number;
    /**
     * Name of the application.
     */
    displayName?: string;
    /**
     * Identifier of the instance of the Software as a Service (SaaS) application.
     */
    instanceId?: number;
    /**
     * Name of the instance of the SaaS application.
     */
    instanceName?: string;
    /**
     * The identifier of the SaaS application.
     */
    saasAppId?: number;
}
export declare function createCloudApplicationEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCloudApplicationEvidence;
export declare function deserializeIntoCloudApplicationEvidence(cloudApplicationEvidence?: CloudApplicationEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCloudApplicationEvidence(writer: SerializationWriter, cloudApplicationEvidence?: CloudApplicationEvidence | undefined): void;
