import { type AlertEvidence } from './alertEvidence';
import { type ContainerImageEvidence } from './containerImageEvidence';
import { type KubernetesPodEvidence } from './kubernetesPodEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContainerEvidence extends AlertEvidence, Parsable {
    /**
     * The list of arguments.
     */
    args?: string[];
    /**
     * The list of commands.
     */
    command?: string[];
    /**
     * The container ID.
     */
    containerId?: string;
    /**
     * The image used to run the container.
     */
    image?: ContainerImageEvidence;
    /**
     * The privileged status.
     */
    isPrivileged?: boolean;
    /**
     * The container name.
     */
    name?: string;
    /**
     * The pod this container belongs to.
     */
    pod?: KubernetesPodEvidence;
}
export declare function createContainerEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContainerEvidence;
export declare function deserializeIntoContainerEvidence(containerEvidence?: ContainerEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContainerEvidence(writer: SerializationWriter, containerEvidence?: ContainerEvidence | undefined): void;
