import { type AlertEvidence } from './alertEvidence';
import { type ContainerRegistryEvidence } from './containerRegistryEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContainerImageEvidence extends AlertEvidence, Parsable {
    /**
     * The digest image entity, in case this is a tag image.
     */
    digestImage?: ContainerImageEvidence;
    /**
     * The unique identifier for the container image entity.
     */
    imageId?: string;
    /**
     * The container registry for this image.
     */
    registry?: ContainerRegistryEvidence;
}
export declare function createContainerImageEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContainerImageEvidence;
export declare function deserializeIntoContainerImageEvidence(containerImageEvidence?: ContainerImageEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContainerImageEvidence(writer: SerializationWriter, containerImageEvidence?: ContainerImageEvidence | undefined): void;
