import { VulnerabilitySeverity } from './vulnerabilitySeverity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCvssSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCvssSummary;
export interface CvssSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The CVSS score about this vulnerability.
     */
    score?: number;
    /**
     * The CVSS severity rating for this vulnerability. The possible values are: none, low, medium, high, critical, unknownFutureValue.
     */
    severity?: VulnerabilitySeverity;
    /**
     * The CVSS vector string for this vulnerability.
     */
    vectorString?: string;
}
export declare function deserializeIntoCvssSummary(cvssSummary?: CvssSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCvssSummary(writer: SerializationWriter, cvssSummary?: CvssSummary | undefined): void;
