import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataSet;
export interface DataSet extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: IdentitySet;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The displayName property
     */
    displayName?: string;
}
export declare function deserializeIntoDataSet(dataSet?: DataSet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataSet(writer: SerializationWriter, dataSet?: DataSet | undefined): void;
