import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { DataSourceHoldStatus } from './dataSourceHoldStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataSource;
export interface DataSource extends Entity, Parsable {
    /**
     * The user who created the dataSource.
     */
    createdBy?: IdentitySet;
    /**
     * The date and time the dataSource was created.
     */
    createdDateTime?: Date;
    /**
     * The display name of the dataSource and is the name of the SharePoint site.
     */
    displayName?: string;
    /**
     * The hold status of the dataSource.The possible values are: notApplied, applied, applying, removing, partial
     */
    holdStatus?: DataSourceHoldStatus;
}
export declare function deserializeIntoDataSource(dataSource?: DataSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataSource(writer: SerializationWriter, dataSource?: DataSource | undefined): void;
