"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDataSource = exports.deserializeIntoDataSource = exports.createDataSourceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const identitySet_1 = require("../identitySet");
const dataSourceHoldStatus_1 = require("./dataSourceHoldStatus");
const siteSource_1 = require("./siteSource");
const unifiedGroupSource_1 = require("./unifiedGroupSource");
const userSource_1 = require("./userSource");
function createDataSourceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.siteSource":
                    return siteSource_1.deserializeIntoSiteSource;
                case "#microsoft.graph.security.unifiedGroupSource":
                    return unifiedGroupSource_1.deserializeIntoUnifiedGroupSource;
                case "#microsoft.graph.security.userSource":
                    return userSource_1.deserializeIntoUserSource;
            }
        }
    }
    return deserializeIntoDataSource;
}
exports.createDataSourceFromDiscriminatorValue = createDataSourceFromDiscriminatorValue;
function deserializeIntoDataSource(dataSource = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(dataSource)), { "createdBy": n => { dataSource.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { dataSource.createdDateTime = n.getDateValue(); }, "displayName": n => { dataSource.displayName = n.getStringValue(); }, "holdStatus": n => { dataSource.holdStatus = n.getEnumValue(dataSourceHoldStatus_1.DataSourceHoldStatus); } });
}
exports.deserializeIntoDataSource = deserializeIntoDataSource;
function serializeDataSource(writer, dataSource = {}) {
    (0, entity_1.serializeEntity)(writer, dataSource);
    writer.writeObjectValue("createdBy", dataSource.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", dataSource.createdDateTime);
    writer.writeStringValue("displayName", dataSource.displayName);
    writer.writeEnumValue("holdStatus", dataSource.holdStatus);
}
exports.serializeDataSource = serializeDataSource;
// tslint:enable
// eslint-enable
