import { type Entity } from '../entity';
import { DataSourceContainerStatus } from './dataSourceContainerStatus';
import { DataSourceHoldStatus } from './dataSourceHoldStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataSourceContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataSourceContainer;
export interface DataSourceContainer extends Entity, Parsable {
    /**
     * Created date and time of the dataSourceContainer entity.
     */
    createdDateTime?: Date;
    /**
     * Display name of the dataSourceContainer entity.
     */
    displayName?: string;
    /**
     * The hold status of the dataSourceContainer. The possible values are: notApplied, applied, applying, removing, partial
     */
    holdStatus?: DataSourceHoldStatus;
    /**
     * Last modified date and time of the dataSourceContainer.
     */
    lastModifiedDateTime?: Date;
    /**
     * Date and time that the dataSourceContainer was released from the case.
     */
    releasedDateTime?: Date;
    /**
     * Latest status of the dataSourceContainer. Possible values are: Active, Released.
     */
    status?: DataSourceContainerStatus;
}
export declare function deserializeIntoDataSourceContainer(dataSourceContainer?: DataSourceContainer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataSourceContainer(writer: SerializationWriter, dataSourceContainer?: DataSourceContainer | undefined): void;
