"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDataSourceContainer = exports.deserializeIntoDataSourceContainer = exports.createDataSourceContainerFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const dataSourceContainerStatus_1 = require("./dataSourceContainerStatus");
const dataSourceHoldStatus_1 = require("./dataSourceHoldStatus");
const ediscoveryCustodian_1 = require("./ediscoveryCustodian");
const ediscoveryNoncustodialDataSource_1 = require("./ediscoveryNoncustodialDataSource");
function createDataSourceContainerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.ediscoveryCustodian":
                    return ediscoveryCustodian_1.deserializeIntoEdiscoveryCustodian;
                case "#microsoft.graph.security.ediscoveryNoncustodialDataSource":
                    return ediscoveryNoncustodialDataSource_1.deserializeIntoEdiscoveryNoncustodialDataSource;
            }
        }
    }
    return deserializeIntoDataSourceContainer;
}
exports.createDataSourceContainerFromDiscriminatorValue = createDataSourceContainerFromDiscriminatorValue;
function deserializeIntoDataSourceContainer(dataSourceContainer = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(dataSourceContainer)), { "createdDateTime": n => { dataSourceContainer.createdDateTime = n.getDateValue(); }, "displayName": n => { dataSourceContainer.displayName = n.getStringValue(); }, "holdStatus": n => { dataSourceContainer.holdStatus = n.getEnumValue(dataSourceHoldStatus_1.DataSourceHoldStatus); }, "lastModifiedDateTime": n => { dataSourceContainer.lastModifiedDateTime = n.getDateValue(); }, "releasedDateTime": n => { dataSourceContainer.releasedDateTime = n.getDateValue(); }, "status": n => { dataSourceContainer.status = n.getEnumValue(dataSourceContainerStatus_1.DataSourceContainerStatus); } });
}
exports.deserializeIntoDataSourceContainer = deserializeIntoDataSourceContainer;
function serializeDataSourceContainer(writer, dataSourceContainer = {}) {
    (0, entity_1.serializeEntity)(writer, dataSourceContainer);
    writer.writeDateValue("createdDateTime", dataSourceContainer.createdDateTime);
    writer.writeStringValue("displayName", dataSourceContainer.displayName);
    writer.writeEnumValue("holdStatus", dataSourceContainer.holdStatus);
    writer.writeDateValue("lastModifiedDateTime", dataSourceContainer.lastModifiedDateTime);
    writer.writeDateValue("releasedDateTime", dataSourceContainer.releasedDateTime);
    writer.writeEnumValue("status", dataSourceContainer.status);
}
exports.serializeDataSourceContainer = serializeDataSourceContainer;
// tslint:enable
// eslint-enable
