import { type CaseOperation } from './caseOperation';
import { type EdiscoveryReviewSet } from './ediscoveryReviewSet';
import { type EdiscoverySearch } from './ediscoverySearch';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryAddToReviewSetOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryAddToReviewSetOperation;
export declare function deserializeIntoEdiscoveryAddToReviewSetOperation(ediscoveryAddToReviewSetOperation?: EdiscoveryAddToReviewSetOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryAddToReviewSetOperation extends CaseOperation, Parsable {
    /**
     * eDiscovery review set to which items matching source collection query gets added.
     */
    reviewSet?: EdiscoveryReviewSet;
    /**
     * eDiscovery search that gets added to review set.
     */
    search?: EdiscoverySearch;
}
export declare function serializeEdiscoveryAddToReviewSetOperation(writer: SerializationWriter, ediscoveryAddToReviewSetOperation?: EdiscoveryAddToReviewSetOperation | undefined): void;
