import { type Entity } from '../entity';
import { type OcrSettings } from './ocrSettings';
import { type RedundancyDetectionSettings } from './redundancyDetectionSettings';
import { type TopicModelingSettings } from './topicModelingSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryCaseSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryCaseSettings;
export declare function deserializeIntoEdiscoveryCaseSettings(ediscoveryCaseSettings?: EdiscoveryCaseSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryCaseSettings extends Entity, Parsable {
    /**
     * The OCR (Optical Character Recognition) settings for the case.
     */
    ocr?: OcrSettings;
    /**
     * The redundancy (near duplicate and email threading) detection settings for the case.
     */
    redundancyDetection?: RedundancyDetectionSettings;
    /**
     * The Topic Modeling (Themes) settings for the case.
     */
    topicModeling?: TopicModelingSettings;
}
export declare function serializeEdiscoveryCaseSettings(writer: SerializationWriter, ediscoveryCaseSettings?: EdiscoveryCaseSettings | undefined): void;
