import { type DataSourceContainer } from './dataSourceContainer';
import { type EdiscoveryIndexOperation } from './ediscoveryIndexOperation';
import { type SiteSource } from './siteSource';
import { type UnifiedGroupSource } from './unifiedGroupSource';
import { type UserSource } from './userSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryCustodianFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryCustodian;
export declare function deserializeIntoEdiscoveryCustodian(ediscoveryCustodian?: EdiscoveryCustodian | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryCustodian extends DataSourceContainer, Parsable {
    /**
     * Date and time the custodian acknowledged a hold notification.
     */
    acknowledgedDateTime?: Date;
    /**
     * Email address of the custodian.
     */
    email?: string;
    /**
     * Operation entity that represents the latest indexing for the custodian.
     */
    lastIndexOperation?: EdiscoveryIndexOperation;
    /**
     * Data source entity for SharePoint sites associated with the custodian.
     */
    siteSources?: SiteSource[];
    /**
     * Data source entity for groups associated with the custodian.
     */
    unifiedGroupSources?: UnifiedGroupSource[];
    /**
     * Data source entity for a the custodian. This is the container for a custodian's mailbox and OneDrive for Business site.
     */
    userSources?: UserSource[];
}
export declare function serializeEdiscoveryCustodian(writer: SerializationWriter, ediscoveryCustodian?: EdiscoveryCustodian | undefined): void;
