import { type CaseOperation } from './caseOperation';
import { type EdiscoverySearch } from './ediscoverySearch';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryEstimateOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryEstimateOperation;
export declare function deserializeIntoEdiscoveryEstimateOperation(ediscoveryEstimateOperation?: EdiscoveryEstimateOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryEstimateOperation extends CaseOperation, Parsable {
    /**
     * The estimated count of items for the search that matched the content query.
     */
    indexedItemCount?: number;
    /**
     * The estimated size of items for the search that matched the content query.
     */
    indexedItemsSize?: number;
    /**
     * The number of mailboxes that had search hits.
     */
    mailboxCount?: number;
    /**
     * eDiscovery search.
     */
    search?: EdiscoverySearch;
    /**
     * The number of mailboxes that had search hits.
     */
    siteCount?: number;
    /**
     * The estimated count of unindexed items for the collection.
     */
    unindexedItemCount?: number;
    /**
     * The estimated size of unindexed items for the collection.
     */
    unindexedItemsSize?: number;
}
export declare function serializeEdiscoveryEstimateOperation(writer: SerializationWriter, ediscoveryEstimateOperation?: EdiscoveryEstimateOperation | undefined): void;
