import { type CaseOperation } from './caseOperation';
import { type EdiscoveryReviewSet } from './ediscoveryReviewSet';
import { type EdiscoveryReviewSetQuery } from './ediscoveryReviewSetQuery';
import { type ExportFileMetadata } from './exportFileMetadata';
import { ExportFileStructure } from './exportFileStructure';
import { ExportOptions } from './exportOptions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryExportOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryExportOperation;
export declare function deserializeIntoEdiscoveryExportOperation(ediscoveryExportOperation?: EdiscoveryExportOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryExportOperation extends CaseOperation, Parsable {
    /**
     * The description provided for the export.
     */
    description?: string;
    /**
     * The exportFileMetadata property
     */
    exportFileMetadata?: ExportFileMetadata[];
    /**
     * The options provided for the export. For more information, see reviewSet: export. Possible values are: originalFiles, text, pdfReplacement,  tags.
     */
    exportOptions?: ExportOptions[];
    /**
     * The options that specify the structure of the export. For more information, see reviewSet: export. Possible values are: none, directory, pst.
     */
    exportStructure?: ExportFileStructure;
    /**
     * The name provided for the export.
     */
    outputName?: string;
    /**
     * Review set from where documents are exported.
     */
    reviewSet?: EdiscoveryReviewSet;
    /**
     * The review set query that is used to filter the documents for export.
     */
    reviewSetQuery?: EdiscoveryReviewSetQuery;
}
export declare function serializeEdiscoveryExportOperation(writer: SerializationWriter, ediscoveryExportOperation?: EdiscoveryExportOperation | undefined): void;
