import { type DataSource } from './dataSource';
import { type DataSourceContainer } from './dataSourceContainer';
import { type EdiscoveryIndexOperation } from './ediscoveryIndexOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryNoncustodialDataSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryNoncustodialDataSource;
export declare function deserializeIntoEdiscoveryNoncustodialDataSource(ediscoveryNoncustodialDataSource?: EdiscoveryNoncustodialDataSource | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryNoncustodialDataSource extends DataSourceContainer, Parsable {
    /**
     * User source or SharePoint site data source as noncustodial data source.
     */
    dataSource?: DataSource;
    /**
     * Operation entity that represents the latest indexing for the noncustodial data source.
     */
    lastIndexOperation?: EdiscoveryIndexOperation;
}
export declare function serializeEdiscoveryNoncustodialDataSource(writer: SerializationWriter, ediscoveryNoncustodialDataSource?: EdiscoveryNoncustodialDataSource | undefined): void;
