import { ChildSelectability } from './childSelectability';
import { type Tag } from './tag';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryReviewTagFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryReviewTag;
export declare function deserializeIntoEdiscoveryReviewTag(ediscoveryReviewTag?: EdiscoveryReviewTag | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryReviewTag extends Parsable, Tag {
    /**
     * Indicates whether a single or multiple child tags can be associated with a document. Possible values are: One, Many.  This value controls whether the UX presents the tags as checkboxes or a radio button group.
     */
    childSelectability?: ChildSelectability;
    /**
     * Returns the tags that are a child of a tag.
     */
    childTags?: EdiscoveryReviewTag[];
    /**
     * Returns the parent tag of the specified tag.
     */
    parent?: EdiscoveryReviewTag;
}
export declare function serializeEdiscoveryReviewTag(writer: SerializationWriter, ediscoveryReviewTag?: EdiscoveryReviewTag | undefined): void;
