import { type DataSource } from './dataSource';
import { DataSourceScopes } from './dataSourceScopes';
import { type EdiscoveryAddToReviewSetOperation } from './ediscoveryAddToReviewSetOperation';
import { type EdiscoveryEstimateOperation } from './ediscoveryEstimateOperation';
import { type EdiscoveryNoncustodialDataSource } from './ediscoveryNoncustodialDataSource';
import { type Search } from './search';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoverySearchFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoverySearch;
export declare function deserializeIntoEdiscoverySearch(ediscoverySearch?: EdiscoverySearch | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoverySearch extends Parsable, Search {
    /**
     * Adds an additional source to the eDiscovery search.
     */
    additionalSources?: DataSource[];
    /**
     * Adds the results of the eDiscovery search to the specified reviewSet.
     */
    addToReviewSetOperation?: EdiscoveryAddToReviewSetOperation;
    /**
     * Custodian sources that are included in the eDiscovery search.
     */
    custodianSources?: DataSource[];
    /**
     * When specified, the collection will span across a service for an entire workload. Possible values are: none, allTenantMailboxes, allTenantSites, allCaseCustodians, allCaseNoncustodialDataSources.
     */
    dataSourceScopes?: DataSourceScopes[];
    /**
     * The last estimate operation associated with the eDiscovery search.
     */
    lastEstimateStatisticsOperation?: EdiscoveryEstimateOperation;
    /**
     * noncustodialDataSource sources that are included in the eDiscovery search
     */
    noncustodialSources?: EdiscoveryNoncustodialDataSource[];
}
export declare function serializeEdiscoverySearch(writer: SerializationWriter, ediscoverySearch?: EdiscoverySearch | undefined): void;
