import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailSenderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailSender;
export declare function deserializeIntoEmailSender(emailSender?: EmailSender | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailSender extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the sender.
     */
    displayName?: string;
    /**
     * Sender domain.
     */
    domainName?: string;
    /**
     * Sender email address.
     */
    emailAddress?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEmailSender(writer: SerializationWriter, emailSender?: EmailSender | undefined): void;
