import { EventPropagationStatus } from './eventPropagationStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventPropagationResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventPropagationResult;
export declare function deserializeIntoEventPropagationResult(eventPropagationResult?: EventPropagationResult | undefined): Record<string, (node: ParseNode) => void>;
export interface EventPropagationResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the specific location in the workload associated with the event.
     */
    location?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The name of the workload associated with the event.
     */
    serviceName?: string;
    /**
     * Indicates the status of the event creation request. The possible values are: none, inProcessing, failed, success, unknownFutureValue.
     */
    status?: EventPropagationStatus;
    /**
     * Additional information about the status of the event creation request.
     */
    statusInformation?: string;
}
export declare function serializeEventPropagationResult(writer: SerializationWriter, eventPropagationResult?: EventPropagationResult | undefined): void;
