import { QueryType } from './queryType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventQueryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventQuery;
export declare function deserializeIntoEventQuery(eventQuery?: EventQuery | undefined): Record<string, (node: ParseNode) => void>;
export interface EventQuery extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents unique identification for the  query. 'Asset ID' for SharePoint Online and OneDrive for Business, 'keywords' for Exchange Online.
     */
    query?: string;
    /**
     * Represents the type of query associated with an event. 'files' for SPO and ODB and 'messages' for EXO.The possible values are: files, messages, unknownFutureValue.
     */
    queryType?: QueryType;
}
export declare function serializeEventQuery(writer: SerializationWriter, eventQuery?: EventQuery | undefined): void;
