import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileDetails;
export declare function deserializeIntoFileDetails(fileDetails?: FileDetails | undefined): Record<string, (node: ParseNode) => void>;
export interface FileDetails extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the file.
     */
    fileName?: string;
    /**
     * The file path (location) of the file instance.
     */
    filePath?: string;
    /**
     * The publisher of the file.
     */
    filePublisher?: string;
    /**
     * The size of the file in bytes.
     */
    fileSize?: number;
    /**
     * The certificate authority (CA) that issued the certificate.
     */
    issuer?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The Sha1 cryptographic hash of the file content.
     */
    sha1?: string;
    /**
     * The Sha256 cryptographic hash of the file content.
     */
    sha256?: string;
    /**
     * The signer of the signed file.
     */
    signer?: string;
}
export declare function serializeFileDetails(writer: SerializationWriter, fileDetails?: FileDetails | undefined): void;
