"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFileDetails = exports.deserializeIntoFileDetails = exports.createFileDetailsFromDiscriminatorValue = void 0;
function createFileDetailsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFileDetails;
}
exports.createFileDetailsFromDiscriminatorValue = createFileDetailsFromDiscriminatorValue;
function deserializeIntoFileDetails(fileDetails = {}) {
    return {
        "fileName": n => { fileDetails.fileName = n.getStringValue(); },
        "filePath": n => { fileDetails.filePath = n.getStringValue(); },
        "filePublisher": n => { fileDetails.filePublisher = n.getStringValue(); },
        "fileSize": n => { fileDetails.fileSize = n.getNumberValue(); },
        "issuer": n => { fileDetails.issuer = n.getStringValue(); },
        "@odata.type": n => { fileDetails.odataType = n.getStringValue(); },
        "sha1": n => { fileDetails.sha1 = n.getStringValue(); },
        "sha256": n => { fileDetails.sha256 = n.getStringValue(); },
        "signer": n => { fileDetails.signer = n.getStringValue(); },
    };
}
exports.deserializeIntoFileDetails = deserializeIntoFileDetails;
function serializeFileDetails(writer, fileDetails = {}) {
    writer.writeStringValue("fileName", fileDetails.fileName);
    writer.writeStringValue("filePath", fileDetails.filePath);
    writer.writeStringValue("filePublisher", fileDetails.filePublisher);
    writer.writeNumberValue("fileSize", fileDetails.fileSize);
    writer.writeStringValue("issuer", fileDetails.issuer);
    writer.writeStringValue("@odata.type", fileDetails.odataType);
    writer.writeStringValue("sha1", fileDetails.sha1);
    writer.writeStringValue("sha256", fileDetails.sha256);
    writer.writeStringValue("signer", fileDetails.signer);
    writer.writeAdditionalData(fileDetails.additionalData);
}
exports.serializeFileDetails = serializeFileDetails;
// tslint:enable
// eslint-enable
