import { type AlertEvidence } from './alertEvidence';
import { DetectionStatus } from './detectionStatus';
import { type FileDetails } from './fileDetails';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileEvidence;
export declare function deserializeIntoFileEvidence(fileEvidence?: FileEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface FileEvidence extends AlertEvidence, Parsable {
    /**
     * The status of the detection.The possible values are: detected, blocked, prevented, unknownFutureValue.
     */
    detectionStatus?: DetectionStatus;
    /**
     * The file details.
     */
    fileDetails?: FileDetails;
    /**
     * A unique identifier assigned to a device by Microsoft Defender for Endpoint.
     */
    mdeDeviceId?: string;
}
export declare function serializeFileEvidence(writer: SerializationWriter, fileEvidence?: FileEvidence | undefined): void;
