import { FileHashAlgorithm } from './fileHashAlgorithm';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileHashFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileHash;
export declare function deserializeIntoFileHash(fileHash?: FileHash | undefined): Record<string, (node: ParseNode) => void>;
export interface FileHash extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The algorithm property
     */
    algorithm?: FileHashAlgorithm;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The hash value.
     */
    value?: string;
}
export declare function serializeFileHash(writer: SerializationWriter, fileHash?: FileHash | undefined): void;
