import { ContentFormat } from './contentFormat';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFormattedContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFormattedContent;
export declare function deserializeIntoFormattedContent(formattedContent?: FormattedContent | undefined): Record<string, (node: ParseNode) => void>;
export interface FormattedContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The content of this formattedContent.
     */
    content?: string;
    /**
     * The format of the content. The possible values are: text, html, markdown, unknownFutureValue.
     */
    format?: ContentFormat;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFormattedContent(writer: SerializationWriter, formattedContent?: FormattedContent | undefined): void;
