import { type AlertEvidence } from './alertEvidence';
import { GoogleCloudLocationType } from './googleCloudLocationType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGoogleCloudResourceEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGoogleCloudResourceEvidence;
export declare function deserializeIntoGoogleCloudResourceEvidence(googleCloudResourceEvidence?: GoogleCloudResourceEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface GoogleCloudResourceEvidence extends AlertEvidence, Parsable {
    /**
     * The zone or region where the resource is located.
     */
    location?: string;
    /**
     * The type of location. Possible values are: unknown, regional, zonal, global, unknownFutureValue.
     */
    locationType?: GoogleCloudLocationType;
    /**
     * The Google project ID as defined by the user.
     */
    projectId?: string;
    /**
     * The project number assigned by Google.
     */
    projectNumber?: number;
    /**
     * The name of the resource.
     */
    resourceName?: string;
    /**
     * The type of the resource.
     */
    resourceType?: string;
}
export declare function serializeGoogleCloudResourceEvidence(writer: SerializationWriter, googleCloudResourceEvidence?: GoogleCloudResourceEvidence | undefined): void;
