import { type Entity } from '../entity';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostPairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostPair;
export declare function deserializeIntoHostPair(hostPair?: HostPair | undefined): Record<string, (node: ParseNode) => void>;
export interface HostPair extends Entity, Parsable {
    /**
     * The childHost property
     */
    childHost?: Host;
    /**
     * The date and time when Microsoft Defender Threat Intelligence first observed the hostPair. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The date and time when Microsoft Defender Threat Intelligence last observed the hostPair. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The reason that two hosts are identified as hostPair.
     */
    linkKind?: string;
    /**
     * The parentHost property
     */
    parentHost?: Host;
}
export declare function serializeHostPair(writer: SerializationWriter, hostPair?: HostPair | undefined): void;
