import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostPortBannerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostPortBanner;
export declare function deserializeIntoHostPortBanner(hostPortBanner?: HostPortBanner | undefined): Record<string, (node: ParseNode) => void>;
export interface HostPortBanner extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The text response received from a web component when scanning a hostPort.
     */
    banner?: string;
    /**
     * The first date and time when Microsoft Defender Threat Intelligence observed the hostPortBanner. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014, is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The last date and time when Microsoft Defender Threat Intelligence observed the hostPortBanner. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014, is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The specific protocol used to scan the hostPort.
     */
    scanProtocol?: string;
    /**
     * The total amount of times that Microsoft Defender Threat Intelligence has observed the hostPortBanner in all its scans.
     */
    timesObserved?: number;
}
export declare function serializeHostPortBanner(writer: SerializationWriter, hostPortBanner?: HostPortBanner | undefined): void;
