import { type Entity } from '../entity';
import { HostReputationClassification } from './hostReputationClassification';
import { type HostReputationRule } from './hostReputationRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostReputationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostReputation;
export declare function deserializeIntoHostReputation(hostReputation?: HostReputation | undefined): Record<string, (node: ParseNode) => void>;
export interface HostReputation extends Entity, Parsable {
    /**
     * The classification property
     */
    classification?: HostReputationClassification;
    /**
     * A collection of rules that have been used to calculate the classification and score.
     */
    rules?: HostReputationRule[];
    /**
     * The calculated score (0-100) of the requested host. A higher value indicates that this host is more likely to be suspicious or malicious.
     */
    score?: number;
}
export declare function serializeHostReputation(writer: SerializationWriter, hostReputation?: HostReputation | undefined): void;
