import { HostReputationRuleSeverity } from './hostReputationRuleSeverity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostReputationRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostReputationRule;
export declare function deserializeIntoHostReputationRule(hostReputationRule?: HostReputationRule | undefined): Record<string, (node: ParseNode) => void>;
export interface HostReputationRule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The description of the rule that gives more context.
     */
    description?: string;
    /**
     * The name of the rule.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Link to a web page with details related to this rule.
     */
    relatedDetailsUrl?: string;
    /**
     * The severity property
     */
    severity?: HostReputationRuleSeverity;
}
export declare function serializeHostReputationRule(writer: SerializationWriter, hostReputationRule?: HostReputationRule | undefined): void;
