import { type Artifact } from './artifact';
import { type Host } from './host';
import { type HostSslCertificatePort } from './hostSslCertificatePort';
import { type SslCertificate } from './sslCertificate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostSslCertificateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostSslCertificate;
export declare function deserializeIntoHostSslCertificate(hostSslCertificate?: HostSslCertificate | undefined): Record<string, (node: ParseNode) => void>;
export interface HostSslCertificate extends Artifact, Parsable {
    /**
     * The first date and time when this hostSslCertificate was observed. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The host for this hostSslCertificate.
     */
    host?: Host;
    /**
     * The most recent date and time when this hostSslCertificate was observed. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The ports related with this hostSslCertificate.
     */
    ports?: HostSslCertificatePort[];
    /**
     * The sslCertificate for this hostSslCertificate.
     */
    sslCertificate?: SslCertificate;
}
export declare function serializeHostSslCertificate(writer: SerializationWriter, hostSslCertificate?: HostSslCertificate | undefined): void;
