import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostSslCertificatePortFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostSslCertificatePort;
export declare function deserializeIntoHostSslCertificatePort(hostSslCertificatePort?: HostSslCertificatePort | undefined): Record<string, (node: ParseNode) => void>;
export interface HostSslCertificatePort extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The first date and time when this port was observed. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The most recent date and time when this port was observed. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The port number.
     */
    port?: number;
}
export declare function serializeHostSslCertificatePort(writer: SerializationWriter, hostSslCertificatePort?: HostSslCertificatePort | undefined): void;
