import { type Artifact } from './artifact';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostTrackerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostTracker;
export declare function deserializeIntoHostTracker(hostTracker?: HostTracker | undefined): Record<string, (node: ParseNode) => void>;
export interface HostTracker extends Artifact, Parsable {
    /**
     * The first date and time when this hostTracker was observed by Microsoft Defender Threat Intelligence. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014, is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The host property
     */
    host?: Host;
    /**
     * The kind of hostTracker that was detected. For example, GoogleAnalyticsID or JarmHash.
     */
    kind?: string;
    /**
     * The most recent date and time when this hostTracker was observed by Microsoft Defender Threat Intelligence. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014, is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The identification value for the hostTracker.
     */
    value?: string;
}
export declare function serializeHostTracker(writer: SerializationWriter, hostTracker?: HostTracker | undefined): void;
