import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostnameFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostname;
export declare function deserializeIntoHostname(hostname?: Hostname | undefined): Record<string, (node: ParseNode) => void>;
export interface Hostname extends Host, Parsable {
    /**
     * The company or individual who registered this hostname, from WHOIS data.
     */
    registrant?: string;
    /**
     * The registrar for this hostname, from WHOIS data.
     */
    registrar?: string;
}
export declare function serializeHostname(writer: SerializationWriter, hostname?: Hostname | undefined): void;
