import { type HuntingRowResult } from './huntingRowResult';
import { type SinglePropertySchema } from './singlePropertySchema';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHuntingQueryResultsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHuntingQueryResults;
export declare function deserializeIntoHuntingQueryResults(huntingQueryResults?: HuntingQueryResults | undefined): Record<string, (node: ParseNode) => void>;
export interface HuntingQueryResults extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The results of the hunting query.
     */
    results?: HuntingRowResult[];
    /**
     * The schema for the response.
     */
    schema?: SinglePropertySchema[];
}
export declare function serializeHuntingQueryResults(writer: SerializationWriter, huntingQueryResults?: HuntingQueryResults | undefined): void;
