import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHyperlinkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHyperlink;
export declare function deserializeIntoHyperlink(hyperlink?: Hyperlink | undefined): Record<string, (node: ParseNode) => void>;
export interface Hyperlink extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name for this hyperlink.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The URL for this hyperlink.
     */
    url?: string;
}
export declare function serializeHyperlink(writer: SerializationWriter, hyperlink?: Hyperlink | undefined): void;
