import { type Entity } from '../entity';
import { deserializeIntoArticleIndicator } from './articleIndicator';
import { type Artifact } from './artifact';
import { IndicatorSource } from './indicatorSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIndicatorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArticleIndicator;
export declare function deserializeIntoIndicator(indicator?: Indicator | undefined): Record<string, (node: ParseNode) => void>;
export interface Indicator extends Entity, Parsable {
    /**
     * The artifact property
     */
    artifact?: Artifact;
    /**
     * The source property
     */
    source?: IndicatorSource;
}
export declare function serializeIndicator(writer: SerializationWriter, indicator?: Indicator | undefined): void;
