"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIndicator = exports.deserializeIntoIndicator = exports.createIndicatorFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const articleIndicator_1 = require("./articleIndicator");
const artifact_1 = require("./artifact");
const indicatorSource_1 = require("./indicatorSource");
const intelligenceProfileIndicator_1 = require("./intelligenceProfileIndicator");
function createIndicatorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.articleIndicator":
                    return articleIndicator_1.deserializeIntoArticleIndicator;
                case "#microsoft.graph.security.intelligenceProfileIndicator":
                    return intelligenceProfileIndicator_1.deserializeIntoIntelligenceProfileIndicator;
            }
        }
    }
    return deserializeIntoIndicator;
}
exports.createIndicatorFromDiscriminatorValue = createIndicatorFromDiscriminatorValue;
function deserializeIntoIndicator(indicator = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(indicator)), { "artifact": n => { indicator.artifact = n.getObjectValue(artifact_1.createArtifactFromDiscriminatorValue); }, "source": n => { indicator.source = n.getEnumValue(indicatorSource_1.IndicatorSource); } });
}
exports.deserializeIntoIndicator = deserializeIntoIndicator;
function serializeIndicator(writer, indicator = {}) {
    (0, entity_1.serializeEntity)(writer, indicator);
    writer.writeObjectValue("artifact", indicator.artifact, artifact_1.serializeArtifact);
    writer.writeEnumValue("source", indicator.source);
}
exports.serializeIndicator = serializeIndicator;
// tslint:enable
// eslint-enable
