import { type Indicator } from './indicator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntelligenceProfileIndicatorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntelligenceProfileIndicator;
export declare function deserializeIntoIntelligenceProfileIndicator(intelligenceProfileIndicator?: IntelligenceProfileIndicator | undefined): Record<string, (node: ParseNode) => void>;
export interface IntelligenceProfileIndicator extends Indicator, Parsable {
    /**
     * Designate when an artifact was first used actively in an attack, when a particular sample was compiled, or if neither of those could be ascertained when the file was first seen in public repositories (for example, VirusTotal, ANY.RUN, Hybrid Analysis) or reported publicly.
     */
    firstSeenDateTime?: Date;
    /**
     * Designate when an artifact was most recently used actively in an attack, when a particular sample was compiled, or if neither of those could be ascertained when the file was first seen in public repositories (for example, VirusTotal, ANY.RUN, Hybrid Analysis) or reported publicly.
     */
    lastSeenDateTime?: Date;
}
export declare function serializeIntelligenceProfileIndicator(writer: SerializationWriter, intelligenceProfileIndicator?: IntelligenceProfileIndicator | undefined): void;
