import { type AutonomousSystem } from './autonomousSystem';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIpAddressFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIpAddress;
export declare function deserializeIntoIpAddress(ipAddress?: IpAddress | undefined): Record<string, (node: ParseNode) => void>;
export interface IpAddress extends Host, Parsable {
    /**
     * The details about the autonomous system to which this IP address belongs.
     */
    autonomousSystem?: AutonomousSystem;
    /**
     * The country/region for this IP address.
     */
    countryOrRegion?: string;
    /**
     * The hosting company listed for this host.
     */
    hostingProvider?: string;
    /**
     * The block of IP addresses this IP address belongs to.
     */
    netblock?: string;
}
export declare function serializeIpAddress(writer: SerializationWriter, ipAddress?: IpAddress | undefined): void;
