import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIpEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIpEvidence;
export declare function deserializeIntoIpEvidence(ipEvidence?: IpEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface IpEvidence extends AlertEvidence, Parsable {
    /**
     * The two-letter country code according to ISO 3166 format, for example: US, UK, CA, etc.
     */
    countryLetterCode?: string;
    /**
     * The value of the IP Address, can be either in V4 address or V6 address format.
     */
    ipAddress?: string;
}
export declare function serializeIpEvidence(writer: SerializationWriter, ipEvidence?: IpEvidence | undefined): void;
