import { type AlertEvidence } from './alertEvidence';
import { KubernetesPlatform } from './kubernetesPlatform';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesClusterEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesClusterEvidence;
export declare function deserializeIntoKubernetesClusterEvidence(kubernetesClusterEvidence?: KubernetesClusterEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesClusterEvidence extends AlertEvidence, Parsable {
    /**
     * The cloud identifier of the cluster. Can be either an amazonResourceEvidence, azureResourceEvidence, or googleCloudResourceEvidence object.
     */
    cloudResource?: AlertEvidence;
    /**
     * The distribution type of the cluster.
     */
    distribution?: string;
    /**
     * The cluster name.
     */
    name?: string;
    /**
     * The platform the cluster runs on. Possible values are: unknown, aks, eks, gke, arc, unknownFutureValue.
     */
    platform?: KubernetesPlatform;
    /**
     * The kubernetes version of the cluster.
     */
    version?: string;
}
export declare function serializeKubernetesClusterEvidence(writer: SerializationWriter, kubernetesClusterEvidence?: KubernetesClusterEvidence | undefined): void;
