import { type AlertEvidence } from './alertEvidence';
import { type Dictionary } from './dictionary';
import { type KubernetesNamespaceEvidence } from './kubernetesNamespaceEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesControllerEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesControllerEvidence;
export declare function deserializeIntoKubernetesControllerEvidence(kubernetesControllerEvidence?: KubernetesControllerEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesControllerEvidence extends AlertEvidence, Parsable {
    /**
     * The labels for the Kubernetes pod.
     */
    labels?: Dictionary;
    /**
     * The controller name.
     */
    name?: string;
    /**
     * The service account namespace.
     */
    namespace?: KubernetesNamespaceEvidence;
    /**
     * The controller type.
     */
    type?: string;
}
export declare function serializeKubernetesControllerEvidence(writer: SerializationWriter, kubernetesControllerEvidence?: KubernetesControllerEvidence | undefined): void;
