import { type AlertEvidence } from './alertEvidence';
import { type Dictionary } from './dictionary';
import { type KubernetesClusterEvidence } from './kubernetesClusterEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesNamespaceEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesNamespaceEvidence;
export declare function deserializeIntoKubernetesNamespaceEvidence(kubernetesNamespaceEvidence?: KubernetesNamespaceEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesNamespaceEvidence extends AlertEvidence, Parsable {
    /**
     * The namespace cluster.
     */
    cluster?: KubernetesClusterEvidence;
    /**
     * The labels for the Kubernetes pod.
     */
    labels?: Dictionary;
    /**
     * The namespace name.
     */
    name?: string;
}
export declare function serializeKubernetesNamespaceEvidence(writer: SerializationWriter, kubernetesNamespaceEvidence?: KubernetesNamespaceEvidence | undefined): void;
