import { type AlertEvidence } from './alertEvidence';
import { type ContainerEvidence } from './containerEvidence';
import { type Dictionary } from './dictionary';
import { type IpEvidence } from './ipEvidence';
import { type KubernetesControllerEvidence } from './kubernetesControllerEvidence';
import { type KubernetesNamespaceEvidence } from './kubernetesNamespaceEvidence';
import { type KubernetesServiceAccountEvidence } from './kubernetesServiceAccountEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesPodEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesPodEvidence;
export declare function deserializeIntoKubernetesPodEvidence(kubernetesPodEvidence?: KubernetesPodEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesPodEvidence extends AlertEvidence, Parsable {
    /**
     * The list of pod containers which are not init or ephemeral containers.
     */
    containers?: ContainerEvidence[];
    /**
     * The pod controller.
     */
    controller?: KubernetesControllerEvidence;
    /**
     * The list of pod ephemeral containers.
     */
    ephemeralContainers?: ContainerEvidence[];
    /**
     * The list of pod init containers.
     */
    initContainers?: ContainerEvidence[];
    /**
     * The pod labels.
     */
    labels?: Dictionary;
    /**
     * The pod name.
     */
    name?: string;
    /**
     * The pod namespace.
     */
    namespace?: KubernetesNamespaceEvidence;
    /**
     * The pod IP.
     */
    podIp?: IpEvidence;
    /**
     * The pod service account.
     */
    serviceAccount?: KubernetesServiceAccountEvidence;
}
export declare function serializeKubernetesPodEvidence(writer: SerializationWriter, kubernetesPodEvidence?: KubernetesPodEvidence | undefined): void;
