import { type AlertEvidence } from './alertEvidence';
import { type KubernetesNamespaceEvidence } from './kubernetesNamespaceEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesSecretEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesSecretEvidence;
export declare function deserializeIntoKubernetesSecretEvidence(kubernetesSecretEvidence?: KubernetesSecretEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesSecretEvidence extends AlertEvidence, Parsable {
    /**
     * The secret name.
     */
    name?: string;
    /**
     * The secret namespace.
     */
    namespace?: KubernetesNamespaceEvidence;
    /**
     * The secret type can include both built-in types and custom ones. Examples of built-in types are: Opaque, kubernetes.io/service-account-token, kubernetes.io/dockercfg, kubernetes.io/dockerconfigjson, kubernetes.io/basic-auth, kubernetes.io/ssh-auth, kubernetes.io/tls, bootstrap.kubernetes.io/token.
     */
    secretType?: string;
}
export declare function serializeKubernetesSecretEvidence(writer: SerializationWriter, kubernetesSecretEvidence?: KubernetesSecretEvidence | undefined): void;
