import { type AlertEvidence } from './alertEvidence';
import { type Dictionary } from './dictionary';
import { type IpEvidence } from './ipEvidence';
import { type KubernetesNamespaceEvidence } from './kubernetesNamespaceEvidence';
import { type KubernetesServicePort } from './kubernetesServicePort';
import { KubernetesServiceType } from './kubernetesServiceType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesServiceEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesServiceEvidence;
export declare function deserializeIntoKubernetesServiceEvidence(kubernetesServiceEvidence?: KubernetesServiceEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesServiceEvidence extends AlertEvidence, Parsable {
    /**
     * The service cluster IP.
     */
    clusterIP?: IpEvidence;
    /**
     * The service external IPs.
     */
    externalIPs?: IpEvidence[];
    /**
     * The service labels.
     */
    labels?: Dictionary;
    /**
     * The service name.
     */
    name?: string;
    /**
     * The service namespace.
     */
    namespace?: KubernetesNamespaceEvidence;
    /**
     * The service selector.
     */
    selector?: Dictionary;
    /**
     * The list of service ports.
     */
    servicePorts?: KubernetesServicePort[];
    /**
     * The serviceType property
     */
    serviceType?: KubernetesServiceType;
}
export declare function serializeKubernetesServiceEvidence(writer: SerializationWriter, kubernetesServiceEvidence?: KubernetesServiceEvidence | undefined): void;
