import { ContainerPortProtocol } from './containerPortProtocol';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesServicePortFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesServicePort;
export declare function deserializeIntoKubernetesServicePort(kubernetesServicePort?: KubernetesServicePort | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesServicePort extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The application protocol for this port.
     */
    appProtocol?: string;
    /**
     * The name of this port within the service.
     */
    name?: string;
    /**
     * The port on each node on which this service is exposed when the type is either NodePort or LoadBalancer.
     */
    nodePort?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The port that this service exposes.
     */
    port?: number;
    /**
     * The protocol name. Possible values are: udp, tcp, sctp, unknownFutureValue.
     */
    protocol?: ContainerPortProtocol;
    /**
     * The name or number of the port to access on the pods targeted by the service. The port number must be in the range 1 to 65535. The name must be an IANASVCNAME.
     */
    targetPort?: string;
}
export declare function serializeKubernetesServicePort(writer: SerializationWriter, kubernetesServicePort?: KubernetesServicePort | undefined): void;
