import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLoggedOnUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLoggedOnUser;
export declare function deserializeIntoLoggedOnUser(loggedOnUser?: LoggedOnUser | undefined): Record<string, (node: ParseNode) => void>;
export interface LoggedOnUser extends AdditionalDataHolder, Parsable {
    /**
     * User account name of the logged-on user.
     */
    accountName?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * User account domain of the logged-on user.
     */
    domainName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeLoggedOnUser(writer: SerializationWriter, loggedOnUser?: LoggedOnUser | undefined): void;
