import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailClusterEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailClusterEvidence;
export declare function deserializeIntoMailClusterEvidence(mailClusterEvidence?: MailClusterEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface MailClusterEvidence extends AlertEvidence, Parsable {
    /**
     * The clustering logic of the emails inside the cluster.
     */
    clusterBy?: string;
    /**
     * The value utilized to cluster the similar emails.
     */
    clusterByValue?: string;
    /**
     * Count of emails in the email cluster.
     */
    emailCount?: number;
    /**
     * Unique identifiers for the emails in the cluster, generated by Microsoft 365.
     */
    networkMessageIds?: string[];
    /**
     * The query used to identify the email cluster.
     */
    query?: string;
    /**
     * Uniform resource name (URN) of the automated investigation where the cluster was identified.
     */
    urn?: string;
}
export declare function serializeMailClusterEvidence(writer: SerializationWriter, mailClusterEvidence?: MailClusterEvidence | undefined): void;
