import { type AlertEvidence } from './alertEvidence';
import { type UserAccount } from './userAccount';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailboxEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailboxEvidence;
export declare function deserializeIntoMailboxEvidence(mailboxEvidence?: MailboxEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface MailboxEvidence extends AlertEvidence, Parsable {
    /**
     * The name associated with the mailbox.
     */
    displayName?: string;
    /**
     * The primary email address of the mailbox.
     */
    primaryAddress?: string;
    /**
     * The user account of the mailbox.
     */
    userAccount?: UserAccount;
}
export declare function serializeMailboxEvidence(writer: SerializationWriter, mailboxEvidence?: MailboxEvidence | undefined): void;
