import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOauthApplicationEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOauthApplicationEvidence;
export declare function deserializeIntoOauthApplicationEvidence(oauthApplicationEvidence?: OauthApplicationEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface OauthApplicationEvidence extends AlertEvidence, Parsable {
    /**
     * Unique identifier of the application.
     */
    appId?: string;
    /**
     * Name of the application.
     */
    displayName?: string;
    /**
     * The unique identifier of the application object in Azure AD.
     */
    objectId?: string;
    /**
     * The name of the application publisher.
     */
    publisher?: string;
}
export declare function serializeOauthApplicationEvidence(writer: SerializationWriter, oauthApplicationEvidence?: OauthApplicationEvidence | undefined): void;
