"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOcrSettings = exports.deserializeIntoOcrSettings = exports.createOcrSettingsFromDiscriminatorValue = void 0;
function createOcrSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOcrSettings;
}
exports.createOcrSettingsFromDiscriminatorValue = createOcrSettingsFromDiscriminatorValue;
function deserializeIntoOcrSettings(ocrSettings = {}) {
    return {
        "isEnabled": n => { ocrSettings.isEnabled = n.getBooleanValue(); },
        "maxImageSize": n => { ocrSettings.maxImageSize = n.getNumberValue(); },
        "@odata.type": n => { ocrSettings.odataType = n.getStringValue(); },
        "timeout": n => { ocrSettings.timeout = n.getDurationValue(); },
    };
}
exports.deserializeIntoOcrSettings = deserializeIntoOcrSettings;
function serializeOcrSettings(writer, ocrSettings = {}) {
    writer.writeBooleanValue("isEnabled", ocrSettings.isEnabled);
    writer.writeNumberValue("maxImageSize", ocrSettings.maxImageSize);
    writer.writeStringValue("@odata.type", ocrSettings.odataType);
    writer.writeDurationValue("timeout", ocrSettings.timeout);
    writer.writeAdditionalData(ocrSettings.additionalData);
}
exports.serializeOcrSettings = serializeOcrSettings;
// tslint:enable
// eslint-enable
