import { type Artifact } from './artifact';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPassiveDnsRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPassiveDnsRecord;
export declare function deserializeIntoPassiveDnsRecord(passiveDnsRecord?: PassiveDnsRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface PassiveDnsRecord extends Artifact, Parsable {
    /**
     * The artifact property
     */
    artifact?: Artifact;
    /**
     * The date and time that this passiveDnsRecord entry was collected by Microsoft. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    collectedDateTime?: Date;
    /**
     * The date and time when this passiveDnsRecord entry was first seen. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The date and time when this passiveDnsRecord entry was most recently seen. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The parentHost property
     */
    parentHost?: Host;
    /**
     * The DNS record type for this passiveDnsRecord entry.
     */
    recordType?: string;
}
export declare function serializePassiveDnsRecord(writer: SerializationWriter, passiveDnsRecord?: PassiveDnsRecord | undefined): void;
