import { type AlertEvidence } from './alertEvidence';
import { DetectionStatus } from './detectionStatus';
import { type FileDetails } from './fileDetails';
import { type UserAccount } from './userAccount';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProcessEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProcessEvidence;
export declare function deserializeIntoProcessEvidence(processEvidence?: ProcessEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface ProcessEvidence extends AlertEvidence, Parsable {
    /**
     * The status of the detection.The possible values are: detected, blocked, prevented, unknownFutureValue.
     */
    detectionStatus?: DetectionStatus;
    /**
     * Image file details.
     */
    imageFile?: FileDetails;
    /**
     * A unique identifier assigned to a device by Microsoft Defender for Endpoint.
     */
    mdeDeviceId?: string;
    /**
     * Date and time when the parent of the process was created. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    parentProcessCreationDateTime?: Date;
    /**
     * Process ID (PID) of the parent process that spawned the process.
     */
    parentProcessId?: number;
    /**
     * Parent process image file details.
     */
    parentProcessImageFile?: FileDetails;
    /**
     * Command line used to create the new process.
     */
    processCommandLine?: string;
    /**
     * Date and time when the process was created. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    processCreationDateTime?: Date;
    /**
     * Process ID (PID) of the newly created process.
     */
    processId?: number;
    /**
     * User details of the user that ran the process.
     */
    userAccount?: UserAccount;
}
export declare function serializeProcessEvidence(writer: SerializationWriter, processEvidence?: ProcessEvidence | undefined): void;
