import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRegistryKeyEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRegistryKeyEvidence;
export declare function deserializeIntoRegistryKeyEvidence(registryKeyEvidence?: RegistryKeyEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface RegistryKeyEvidence extends AlertEvidence, Parsable {
    /**
     * Registry hive of the key that the recorded action was applied to.
     */
    registryHive?: string;
    /**
     * Registry key that the recorded action was applied to.
     */
    registryKey?: string;
}
export declare function serializeRegistryKeyEvidence(writer: SerializationWriter, registryKeyEvidence?: RegistryKeyEvidence | undefined): void;
