import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRegistryValueEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRegistryValueEvidence;
export declare function deserializeIntoRegistryValueEvidence(registryValueEvidence?: RegistryValueEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface RegistryValueEvidence extends AlertEvidence, Parsable {
    /**
     * A unique identifier assigned to a device by Microsoft Defender for Endpoint.
     */
    mdeDeviceId?: string;
    /**
     * Registry hive of the key that the recorded action was applied to.
     */
    registryHive?: string;
    /**
     * Registry key that the recorded action was applied to.
     */
    registryKey?: string;
    /**
     * Data of the registry value that the recorded action was applied to.
     */
    registryValue?: string;
    /**
     * Name of the registry value that the recorded action was applied to.
     */
    registryValueName?: string;
    /**
     * Data type, such as binary or string, of the registry value that the recorded action was applied to.
     */
    registryValueType?: string;
}
export declare function serializeRegistryValueEvidence(writer: SerializationWriter, registryValueEvidence?: RegistryValueEvidence | undefined): void;
