import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { type EventPropagationResult } from './eventPropagationResult';
import { type EventQuery } from './eventQuery';
import { type RetentionEventStatus } from './retentionEventStatus';
import { type RetentionEventType } from './retentionEventType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionEvent;
export declare function deserializeIntoRetentionEvent(retentionEvent?: RetentionEvent | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionEvent extends Entity, Parsable {
    /**
     * The user who created the retentionEvent.
     */
    createdBy?: IdentitySet;
    /**
     * The date time when the retentionEvent was created.
     */
    createdDateTime?: Date;
    /**
     * Optional information about the event.
     */
    description?: string;
    /**
     * Name of the event.
     */
    displayName?: string;
    /**
     * The eventPropagationResults property
     */
    eventPropagationResults?: EventPropagationResult[];
    /**
     * Represents the workload (SharePoint Online, OneDrive for Business, Exchange Online) and identification information associated with a retention event.
     */
    eventQueries?: EventQuery[];
    /**
     * The eventStatus property
     */
    eventStatus?: RetentionEventStatus;
    /**
     * Optional time when the event should be triggered.
     */
    eventTriggerDateTime?: Date;
    /**
     * The user who last modified the retentionEvent.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The latest date time when the retentionEvent was modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * Last time the status of the event was updated.
     */
    lastStatusUpdateDateTime?: Date;
    /**
     * Specifies the event that will start the retention period for labels that use this event type when an event is created.
     */
    retentionEventType?: RetentionEventType;
}
export declare function serializeRetentionEvent(writer: SerializationWriter, retentionEvent?: RetentionEvent | undefined): void;
