import { type PublicError } from '../publicError';
import { EventStatusType } from './eventStatusType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionEventStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionEventStatus;
export declare function deserializeIntoRetentionEventStatus(retentionEventStatus?: RetentionEventStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionEventStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error if the status isn't successful.
     */
    errorEscaped?: PublicError;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status of the distribution. The possible values are: pending, error, success, notAvaliable.
     */
    status?: EventStatusType;
}
export declare function serializeRetentionEventStatus(writer: SerializationWriter, retentionEventStatus?: RetentionEventStatus | undefined): void;
