import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionEventTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionEventType;
export declare function deserializeIntoRetentionEventType(retentionEventType?: RetentionEventType | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionEventType extends Entity, Parsable {
    /**
     * The user who created the retentionEventType.
     */
    createdBy?: IdentitySet;
    /**
     * The date time when the retentionEventType was created.
     */
    createdDateTime?: Date;
    /**
     * Optional information about the event type.
     */
    description?: string;
    /**
     * Name of the event type.
     */
    displayName?: string;
    /**
     * The user who last modified the retentionEventType.
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The latest date time when the retentionEventType was modified.
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeRetentionEventType(writer: SerializationWriter, retentionEventType?: RetentionEventType | undefined): void;
