import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { deserializeIntoEdiscoveryReviewSetQuery } from './ediscoveryReviewSetQuery';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryReviewSetQuery;
export declare function deserializeIntoSearch(search?: Search | undefined): Record<string, (node: ParseNode) => void>;
export interface Search extends Entity, Parsable {
    /**
     * The contentQuery property
     */
    contentQuery?: string;
    /**
     * The createdBy property
     */
    createdBy?: IdentitySet;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The lastModifiedBy property
     */
    lastModifiedBy?: IdentitySet;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeSearch(writer: SerializationWriter, search?: Search | undefined): void;
