"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearch = exports.deserializeIntoSearch = exports.createSearchFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const identitySet_1 = require("../identitySet");
const ediscoveryReviewSetQuery_1 = require("./ediscoveryReviewSetQuery");
const ediscoverySearch_1 = require("./ediscoverySearch");
function createSearchFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.ediscoveryReviewSetQuery":
                    return ediscoveryReviewSetQuery_1.deserializeIntoEdiscoveryReviewSetQuery;
                case "#microsoft.graph.security.ediscoverySearch":
                    return ediscoverySearch_1.deserializeIntoEdiscoverySearch;
            }
        }
    }
    return deserializeIntoSearch;
}
exports.createSearchFromDiscriminatorValue = createSearchFromDiscriminatorValue;
function deserializeIntoSearch(search = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(search)), { "contentQuery": n => { search.contentQuery = n.getStringValue(); }, "createdBy": n => { search.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { search.createdDateTime = n.getDateValue(); }, "description": n => { search.description = n.getStringValue(); }, "displayName": n => { search.displayName = n.getStringValue(); }, "lastModifiedBy": n => { search.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { search.lastModifiedDateTime = n.getDateValue(); } });
}
exports.deserializeIntoSearch = deserializeIntoSearch;
function serializeSearch(writer, search = {}) {
    (0, entity_1.serializeEntity)(writer, search);
    writer.writeStringValue("contentQuery", search.contentQuery);
    writer.writeObjectValue("createdBy", search.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", search.createdDateTime);
    writer.writeStringValue("description", search.description);
    writer.writeStringValue("displayName", search.displayName);
    writer.writeObjectValue("lastModifiedBy", search.lastModifiedBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("lastModifiedDateTime", search.lastModifiedDateTime);
}
exports.serializeSearch = serializeSearch;
// tslint:enable
// eslint-enable
