import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSinglePropertySchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSinglePropertySchema;
export declare function deserializeIntoSinglePropertySchema(singlePropertySchema?: SinglePropertySchema | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSinglePropertySchema(writer: SerializationWriter, singlePropertySchema?: SinglePropertySchema | undefined): void;
export interface SinglePropertySchema extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the property.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of the property.
     */
    type?: string;
}
