"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSinglePropertySchema = exports.deserializeIntoSinglePropertySchema = exports.createSinglePropertySchemaFromDiscriminatorValue = void 0;
function createSinglePropertySchemaFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSinglePropertySchema;
}
exports.createSinglePropertySchemaFromDiscriminatorValue = createSinglePropertySchemaFromDiscriminatorValue;
function deserializeIntoSinglePropertySchema(singlePropertySchema = {}) {
    return {
        "name": n => { singlePropertySchema.name = n.getStringValue(); },
        "@odata.type": n => { singlePropertySchema.odataType = n.getStringValue(); },
        "type": n => { singlePropertySchema.type = n.getStringValue(); },
    };
}
exports.deserializeIntoSinglePropertySchema = deserializeIntoSinglePropertySchema;
function serializeSinglePropertySchema(writer, singlePropertySchema = {}) {
    writer.writeStringValue("name", singlePropertySchema.name);
    writer.writeStringValue("@odata.type", singlePropertySchema.odataType);
    writer.writeStringValue("type", singlePropertySchema.type);
    writer.writeAdditionalData(singlePropertySchema.additionalData);
}
exports.serializeSinglePropertySchema = serializeSinglePropertySchema;
// tslint:enable
// eslint-enable
