import { type PhysicalAddress } from '../physicalAddress';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSslCertificateEntityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSslCertificateEntity;
export declare function deserializeIntoSslCertificateEntity(sslCertificateEntity?: SslCertificateEntity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSslCertificateEntity(writer: SerializationWriter, sslCertificateEntity?: SslCertificateEntity | undefined): void;
export interface SslCertificateEntity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A physical address of the entity.
     */
    address?: PhysicalAddress;
    /**
     * Alternate names for this entity that are part of the certificate.
     */
    alternateNames?: string[];
    /**
     * A common name for this entity.
     */
    commonName?: string;
    /**
     * An email for this entity.
     */
    email?: string;
    /**
     * If the entity is a person, this is the person's given name (first name).
     */
    givenName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If the entity is an organization, this is the name of the organization.
     */
    organizationName?: string;
    /**
     * If the entity is an organization, this communicates if a unit in the organization is named on the entity.
     */
    organizationUnitName?: string;
    /**
     * A serial number assigned to the entity; usually only available if the entity is the issuer.
     */
    serialNumber?: string;
    /**
     * If the entity is a person, this is the person's surname (last name).
     */
    surname?: string;
}
