import { type Entity } from '../entity';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubdomainFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubdomain;
export declare function deserializeIntoSubdomain(subdomain?: Subdomain | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubdomain(writer: SerializationWriter, subdomain?: Subdomain | undefined): void;
export interface Subdomain extends Entity, Parsable {
    /**
     * The date and time when Microsoft Defender Threat Intelligence first observed the subdomain. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The host property
     */
    host?: Host;
}
