import { type Entity } from '../entity';
import { type Article } from './article';
import { type ArticleIndicator } from './articleIndicator';
import { type Host } from './host';
import { type HostComponent } from './hostComponent';
import { type HostCookie } from './hostCookie';
import { type HostPair } from './hostPair';
import { type HostPort } from './hostPort';
import { type HostSslCertificate } from './hostSslCertificate';
import { type HostTracker } from './hostTracker';
import { type IntelligenceProfile } from './intelligenceProfile';
import { type IntelligenceProfileIndicator } from './intelligenceProfileIndicator';
import { type PassiveDnsRecord } from './passiveDnsRecord';
import { type SslCertificate } from './sslCertificate';
import { type Subdomain } from './subdomain';
import { type Vulnerability } from './vulnerability';
import { type WhoisHistoryRecord } from './whoisHistoryRecord';
import { type WhoisRecord } from './whoisRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThreatIntelligenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThreatIntelligence;
export declare function deserializeIntoThreatIntelligence(threatIntelligence?: ThreatIntelligence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThreatIntelligence(writer: SerializationWriter, threatIntelligence?: ThreatIntelligence | undefined): void;
export interface ThreatIntelligence extends Entity, Parsable {
    /**
     * Refers to indicators of threat or compromise highlighted in an article.Note: List retrieval is not yet supported.
     */
    articleIndicators?: ArticleIndicator[];
    /**
     * A list of article objects.
     */
    articles?: Article[];
    /**
     * Retrieve details about hostComponent objects.Note: List retrieval is not yet supported.
     */
    hostComponents?: HostComponent[];
    /**
     * Retrieve details about hostCookie objects.Note: List retrieval is not yet supported.
     */
    hostCookies?: HostCookie[];
    /**
     * Retrieve details about hostTracker objects.Note: List retrieval is not yet supported.
     */
    hostPairs?: HostPair[];
    /**
     * Retrieve details about hostPort objects.Note: List retrieval is not yet supported.
     */
    hostPorts?: HostPort[];
    /**
     * Refers to host objects that Microsoft Threat Intelligence has observed.Note: List retrieval is not yet supported.
     */
    hosts?: Host[];
    /**
     * Retrieve details about hostSslCertificate objects.Note: List retrieval is not yet supported.
     */
    hostSslCertificates?: HostSslCertificate[];
    /**
     * Retrieve details about hostTracker objects.Note: List retrieval is not yet supported.
     */
    hostTrackers?: HostTracker[];
    /**
     * The intelligenceProfileIndicators property
     */
    intelligenceProfileIndicators?: IntelligenceProfileIndicator[];
    /**
     * A list of intelligenceProfile objects.
     */
    intelProfiles?: IntelligenceProfile[];
    /**
     * Retrieve details about passiveDnsRecord objects.Note: List retrieval is not yet supported.
     */
    passiveDnsRecords?: PassiveDnsRecord[];
    /**
     * Retrieve details about sslCertificate objects.Note: List retrieval is not yet supported.
     */
    sslCertificates?: SslCertificate[];
    /**
     * Retrieve details about the subdomain.Note: List retrieval is not yet supported.
     */
    subdomains?: Subdomain[];
    /**
     * Retrieve details about vulnerabilities.Note: List retrieval is not yet supported.
     */
    vulnerabilities?: Vulnerability[];
    /**
     * Retrieve details about whoisHistoryRecord objects.Note: List retrieval is not yet supported.
     */
    whoisHistoryRecords?: WhoisHistoryRecord[];
    /**
     * A list of whoisRecord objects.
     */
    whoisRecords?: WhoisRecord[];
}
