"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeThreatIntelligence = exports.deserializeIntoThreatIntelligence = exports.createThreatIntelligenceFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const article_1 = require("./article");
const articleIndicator_1 = require("./articleIndicator");
const host_1 = require("./host");
const hostComponent_1 = require("./hostComponent");
const hostCookie_1 = require("./hostCookie");
const hostPair_1 = require("./hostPair");
const hostPort_1 = require("./hostPort");
const hostSslCertificate_1 = require("./hostSslCertificate");
const hostTracker_1 = require("./hostTracker");
const intelligenceProfile_1 = require("./intelligenceProfile");
const intelligenceProfileIndicator_1 = require("./intelligenceProfileIndicator");
const passiveDnsRecord_1 = require("./passiveDnsRecord");
const sslCertificate_1 = require("./sslCertificate");
const subdomain_1 = require("./subdomain");
const vulnerability_1 = require("./vulnerability");
const whoisHistoryRecord_1 = require("./whoisHistoryRecord");
const whoisRecord_1 = require("./whoisRecord");
function createThreatIntelligenceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoThreatIntelligence;
}
exports.createThreatIntelligenceFromDiscriminatorValue = createThreatIntelligenceFromDiscriminatorValue;
function deserializeIntoThreatIntelligence(threatIntelligence = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(threatIntelligence)), { "articleIndicators": n => { threatIntelligence.articleIndicators = n.getCollectionOfObjectValues(articleIndicator_1.createArticleIndicatorFromDiscriminatorValue); }, "articles": n => { threatIntelligence.articles = n.getCollectionOfObjectValues(article_1.createArticleFromDiscriminatorValue); }, "hostComponents": n => { threatIntelligence.hostComponents = n.getCollectionOfObjectValues(hostComponent_1.createHostComponentFromDiscriminatorValue); }, "hostCookies": n => { threatIntelligence.hostCookies = n.getCollectionOfObjectValues(hostCookie_1.createHostCookieFromDiscriminatorValue); }, "hostPairs": n => { threatIntelligence.hostPairs = n.getCollectionOfObjectValues(hostPair_1.createHostPairFromDiscriminatorValue); }, "hostPorts": n => { threatIntelligence.hostPorts = n.getCollectionOfObjectValues(hostPort_1.createHostPortFromDiscriminatorValue); }, "hosts": n => { threatIntelligence.hosts = n.getCollectionOfObjectValues(host_1.createHostFromDiscriminatorValue); }, "hostSslCertificates": n => { threatIntelligence.hostSslCertificates = n.getCollectionOfObjectValues(hostSslCertificate_1.createHostSslCertificateFromDiscriminatorValue); }, "hostTrackers": n => { threatIntelligence.hostTrackers = n.getCollectionOfObjectValues(hostTracker_1.createHostTrackerFromDiscriminatorValue); }, "intelligenceProfileIndicators": n => { threatIntelligence.intelligenceProfileIndicators = n.getCollectionOfObjectValues(intelligenceProfileIndicator_1.createIntelligenceProfileIndicatorFromDiscriminatorValue); }, "intelProfiles": n => { threatIntelligence.intelProfiles = n.getCollectionOfObjectValues(intelligenceProfile_1.createIntelligenceProfileFromDiscriminatorValue); }, "passiveDnsRecords": n => { threatIntelligence.passiveDnsRecords = n.getCollectionOfObjectValues(passiveDnsRecord_1.createPassiveDnsRecordFromDiscriminatorValue); }, "sslCertificates": n => { threatIntelligence.sslCertificates = n.getCollectionOfObjectValues(sslCertificate_1.createSslCertificateFromDiscriminatorValue); }, "subdomains": n => { threatIntelligence.subdomains = n.getCollectionOfObjectValues(subdomain_1.createSubdomainFromDiscriminatorValue); }, "vulnerabilities": n => { threatIntelligence.vulnerabilities = n.getCollectionOfObjectValues(vulnerability_1.createVulnerabilityFromDiscriminatorValue); }, "whoisHistoryRecords": n => { threatIntelligence.whoisHistoryRecords = n.getCollectionOfObjectValues(whoisHistoryRecord_1.createWhoisHistoryRecordFromDiscriminatorValue); }, "whoisRecords": n => { threatIntelligence.whoisRecords = n.getCollectionOfObjectValues(whoisRecord_1.createWhoisRecordFromDiscriminatorValue); } });
}
exports.deserializeIntoThreatIntelligence = deserializeIntoThreatIntelligence;
function serializeThreatIntelligence(writer, threatIntelligence = {}) {
    (0, entity_1.serializeEntity)(writer, threatIntelligence);
    writer.writeCollectionOfObjectValues("articleIndicators", threatIntelligence.articleIndicators, articleIndicator_1.serializeArticleIndicator);
    writer.writeCollectionOfObjectValues("articles", threatIntelligence.articles, article_1.serializeArticle);
    writer.writeCollectionOfObjectValues("hostComponents", threatIntelligence.hostComponents, hostComponent_1.serializeHostComponent);
    writer.writeCollectionOfObjectValues("hostCookies", threatIntelligence.hostCookies, hostCookie_1.serializeHostCookie);
    writer.writeCollectionOfObjectValues("hostPairs", threatIntelligence.hostPairs, hostPair_1.serializeHostPair);
    writer.writeCollectionOfObjectValues("hostPorts", threatIntelligence.hostPorts, hostPort_1.serializeHostPort);
    writer.writeCollectionOfObjectValues("hosts", threatIntelligence.hosts, host_1.serializeHost);
    writer.writeCollectionOfObjectValues("hostSslCertificates", threatIntelligence.hostSslCertificates, hostSslCertificate_1.serializeHostSslCertificate);
    writer.writeCollectionOfObjectValues("hostTrackers", threatIntelligence.hostTrackers, hostTracker_1.serializeHostTracker);
    writer.writeCollectionOfObjectValues("intelligenceProfileIndicators", threatIntelligence.intelligenceProfileIndicators, intelligenceProfileIndicator_1.serializeIntelligenceProfileIndicator);
    writer.writeCollectionOfObjectValues("intelProfiles", threatIntelligence.intelProfiles, intelligenceProfile_1.serializeIntelligenceProfile);
    writer.writeCollectionOfObjectValues("passiveDnsRecords", threatIntelligence.passiveDnsRecords, passiveDnsRecord_1.serializePassiveDnsRecord);
    writer.writeCollectionOfObjectValues("sslCertificates", threatIntelligence.sslCertificates, sslCertificate_1.serializeSslCertificate);
    writer.writeCollectionOfObjectValues("subdomains", threatIntelligence.subdomains, subdomain_1.serializeSubdomain);
    writer.writeCollectionOfObjectValues("vulnerabilities", threatIntelligence.vulnerabilities, vulnerability_1.serializeVulnerability);
    writer.writeCollectionOfObjectValues("whoisHistoryRecords", threatIntelligence.whoisHistoryRecords, whoisHistoryRecord_1.serializeWhoisHistoryRecord);
    writer.writeCollectionOfObjectValues("whoisRecords", threatIntelligence.whoisRecords, whoisRecord_1.serializeWhoisRecord);
}
exports.serializeThreatIntelligence = serializeThreatIntelligence;
// tslint:enable
// eslint-enable
