"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTopicModelingSettings = exports.deserializeIntoTopicModelingSettings = exports.createTopicModelingSettingsFromDiscriminatorValue = void 0;
function createTopicModelingSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTopicModelingSettings;
}
exports.createTopicModelingSettingsFromDiscriminatorValue = createTopicModelingSettingsFromDiscriminatorValue;
function deserializeIntoTopicModelingSettings(topicModelingSettings = {}) {
    return {
        "dynamicallyAdjustTopicCount": n => { topicModelingSettings.dynamicallyAdjustTopicCount = n.getBooleanValue(); },
        "ignoreNumbers": n => { topicModelingSettings.ignoreNumbers = n.getBooleanValue(); },
        "isEnabled": n => { topicModelingSettings.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { topicModelingSettings.odataType = n.getStringValue(); },
        "topicCount": n => { topicModelingSettings.topicCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoTopicModelingSettings = deserializeIntoTopicModelingSettings;
function serializeTopicModelingSettings(writer, topicModelingSettings = {}) {
    writer.writeBooleanValue("dynamicallyAdjustTopicCount", topicModelingSettings.dynamicallyAdjustTopicCount);
    writer.writeBooleanValue("ignoreNumbers", topicModelingSettings.ignoreNumbers);
    writer.writeBooleanValue("isEnabled", topicModelingSettings.isEnabled);
    writer.writeStringValue("@odata.type", topicModelingSettings.odataType);
    writer.writeNumberValue("topicCount", topicModelingSettings.topicCount);
    writer.writeAdditionalData(topicModelingSettings.additionalData);
}
exports.serializeTopicModelingSettings = serializeTopicModelingSettings;
// tslint:enable
// eslint-enable
