import { type Artifact } from './artifact';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnclassifiedArtifactFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnclassifiedArtifact;
export declare function deserializeIntoUnclassifiedArtifact(unclassifiedArtifact?: UnclassifiedArtifact | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnclassifiedArtifact(writer: SerializationWriter, unclassifiedArtifact?: UnclassifiedArtifact | undefined): void;
export interface UnclassifiedArtifact extends Artifact, Parsable {
    /**
     * The kind for this unclassifiedArtifact resource, describing what this value means.
     */
    kind?: string;
    /**
     * The value for this unclassifiedArtifact.
     */
    value?: string;
}
