import { type Group } from '../group';
import { type DataSource } from './dataSource';
import { SourceType } from './sourceType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedGroupSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedGroupSource;
export declare function deserializeIntoUnifiedGroupSource(unifiedGroupSource?: UnifiedGroupSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedGroupSource(writer: SerializationWriter, unifiedGroupSource?: UnifiedGroupSource | undefined): void;
export interface UnifiedGroupSource extends DataSource, Parsable {
    /**
     * The group property
     */
    group?: Group;
    /**
     * Specifies which sources are included in this group. Possible values are: mailbox, site.
     */
    includedSources?: SourceType[];
}
