import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserAccountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserAccount;
export declare function deserializeIntoUserAccount(userAccount?: UserAccount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserAccount(writer: SerializationWriter, userAccount?: UserAccount | undefined): void;
export interface UserAccount extends AdditionalDataHolder, Parsable {
    /**
     * The displayed name of the user account.
     */
    accountName?: string;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user object identifier in Microsoft Entra ID.
     */
    azureAdUserId?: string;
    /**
     * The user display name in Microsoft Entra ID.
     */
    displayName?: string;
    /**
     * The name of the Active Directory domain of which the user is a member.
     */
    domainName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The user principal name of the account in Microsoft Entra ID.
     */
    userPrincipalName?: string;
    /**
     * The local security identifier of the user account.
     */
    userSid?: string;
}
