"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserAccount = exports.deserializeIntoUserAccount = exports.createUserAccountFromDiscriminatorValue = void 0;
function createUserAccountFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserAccount;
}
exports.createUserAccountFromDiscriminatorValue = createUserAccountFromDiscriminatorValue;
function deserializeIntoUserAccount(userAccount = {}) {
    return {
        "accountName": n => { userAccount.accountName = n.getStringValue(); },
        "azureAdUserId": n => { userAccount.azureAdUserId = n.getStringValue(); },
        "displayName": n => { userAccount.displayName = n.getStringValue(); },
        "domainName": n => { userAccount.domainName = n.getStringValue(); },
        "@odata.type": n => { userAccount.odataType = n.getStringValue(); },
        "userPrincipalName": n => { userAccount.userPrincipalName = n.getStringValue(); },
        "userSid": n => { userAccount.userSid = n.getStringValue(); },
    };
}
exports.deserializeIntoUserAccount = deserializeIntoUserAccount;
function serializeUserAccount(writer, userAccount = {}) {
    writer.writeStringValue("accountName", userAccount.accountName);
    writer.writeStringValue("azureAdUserId", userAccount.azureAdUserId);
    writer.writeStringValue("displayName", userAccount.displayName);
    writer.writeStringValue("domainName", userAccount.domainName);
    writer.writeStringValue("@odata.type", userAccount.odataType);
    writer.writeStringValue("userPrincipalName", userAccount.userPrincipalName);
    writer.writeStringValue("userSid", userAccount.userSid);
    writer.writeAdditionalData(userAccount.additionalData);
}
exports.serializeUserAccount = serializeUserAccount;
// tslint:enable
// eslint-enable
