import { type DataSource } from './dataSource';
import { SourceType } from './sourceType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserSource;
export declare function deserializeIntoUserSource(userSource?: UserSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserSource(writer: SerializationWriter, userSource?: UserSource | undefined): void;
export interface UserSource extends DataSource, Parsable {
    /**
     * Email address of the user's mailbox.
     */
    email?: string;
    /**
     * Specifies which sources are included in this group. Possible values are: mailbox, site.
     */
    includedSources?: SourceType[];
    /**
     * The URL of the user's OneDrive for Business site. Read-only.
     */
    siteWebUrl?: string;
}
