import { VmCloudProvider } from './vmCloudProvider';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVmMetadataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVmMetadata;
export declare function deserializeIntoVmMetadata(vmMetadata?: VmMetadata | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVmMetadata(writer: SerializationWriter, vmMetadata?: VmMetadata | undefined): void;
export interface VmMetadata extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The cloudProvider property
     */
    cloudProvider?: VmCloudProvider;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Unique identifier of the Azure resource.
     */
    resourceId?: string;
    /**
     * Unique identifier of the Azure subscription the customer tenant belongs to.
     */
    subscriptionId?: string;
    /**
     * Unique identifier of the virtual machine instance.
     */
    vmId?: string;
}
