"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWhoisBaseRecord = exports.deserializeIntoWhoisBaseRecord = exports.createWhoisBaseRecordFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const host_1 = require("./host");
const whoisContact_1 = require("./whoisContact");
const whoisHistoryRecord_1 = require("./whoisHistoryRecord");
const whoisNameserver_1 = require("./whoisNameserver");
const whoisRecord_1 = require("./whoisRecord");
function createWhoisBaseRecordFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.security.whoisHistoryRecord":
                    return whoisHistoryRecord_1.deserializeIntoWhoisHistoryRecord;
                case "#microsoft.graph.security.whoisRecord":
                    return whoisRecord_1.deserializeIntoWhoisRecord;
            }
        }
    }
    return deserializeIntoWhoisBaseRecord;
}
exports.createWhoisBaseRecordFromDiscriminatorValue = createWhoisBaseRecordFromDiscriminatorValue;
function deserializeIntoWhoisBaseRecord(whoisBaseRecord = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(whoisBaseRecord)), { "abuse": n => { whoisBaseRecord.abuse = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "admin": n => { whoisBaseRecord.admin = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "billing": n => { whoisBaseRecord.billing = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "domainStatus": n => { whoisBaseRecord.domainStatus = n.getStringValue(); }, "expirationDateTime": n => { whoisBaseRecord.expirationDateTime = n.getDateValue(); }, "firstSeenDateTime": n => { whoisBaseRecord.firstSeenDateTime = n.getDateValue(); }, "host": n => { whoisBaseRecord.host = n.getObjectValue(host_1.createHostFromDiscriminatorValue); }, "lastSeenDateTime": n => { whoisBaseRecord.lastSeenDateTime = n.getDateValue(); }, "lastUpdateDateTime": n => { whoisBaseRecord.lastUpdateDateTime = n.getDateValue(); }, "nameservers": n => { whoisBaseRecord.nameservers = n.getCollectionOfObjectValues(whoisNameserver_1.createWhoisNameserverFromDiscriminatorValue); }, "noc": n => { whoisBaseRecord.noc = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "rawWhoisText": n => { whoisBaseRecord.rawWhoisText = n.getStringValue(); }, "registrant": n => { whoisBaseRecord.registrant = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "registrar": n => { whoisBaseRecord.registrar = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "registrationDateTime": n => { whoisBaseRecord.registrationDateTime = n.getDateValue(); }, "technical": n => { whoisBaseRecord.technical = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); }, "whoisServer": n => { whoisBaseRecord.whoisServer = n.getStringValue(); }, "zone": n => { whoisBaseRecord.zone = n.getObjectValue(whoisContact_1.createWhoisContactFromDiscriminatorValue); } });
}
exports.deserializeIntoWhoisBaseRecord = deserializeIntoWhoisBaseRecord;
function serializeWhoisBaseRecord(writer, whoisBaseRecord = {}) {
    (0, entity_1.serializeEntity)(writer, whoisBaseRecord);
    writer.writeObjectValue("abuse", whoisBaseRecord.abuse, whoisContact_1.serializeWhoisContact);
    writer.writeObjectValue("admin", whoisBaseRecord.admin, whoisContact_1.serializeWhoisContact);
    writer.writeObjectValue("billing", whoisBaseRecord.billing, whoisContact_1.serializeWhoisContact);
    writer.writeStringValue("domainStatus", whoisBaseRecord.domainStatus);
    writer.writeDateValue("expirationDateTime", whoisBaseRecord.expirationDateTime);
    writer.writeDateValue("firstSeenDateTime", whoisBaseRecord.firstSeenDateTime);
    writer.writeObjectValue("host", whoisBaseRecord.host, host_1.serializeHost);
    writer.writeDateValue("lastSeenDateTime", whoisBaseRecord.lastSeenDateTime);
    writer.writeDateValue("lastUpdateDateTime", whoisBaseRecord.lastUpdateDateTime);
    writer.writeCollectionOfObjectValues("nameservers", whoisBaseRecord.nameservers, whoisNameserver_1.serializeWhoisNameserver);
    writer.writeObjectValue("noc", whoisBaseRecord.noc, whoisContact_1.serializeWhoisContact);
    writer.writeStringValue("rawWhoisText", whoisBaseRecord.rawWhoisText);
    writer.writeObjectValue("registrant", whoisBaseRecord.registrant, whoisContact_1.serializeWhoisContact);
    writer.writeObjectValue("registrar", whoisBaseRecord.registrar, whoisContact_1.serializeWhoisContact);
    writer.writeDateValue("registrationDateTime", whoisBaseRecord.registrationDateTime);
    writer.writeObjectValue("technical", whoisBaseRecord.technical, whoisContact_1.serializeWhoisContact);
    writer.writeStringValue("whoisServer", whoisBaseRecord.whoisServer);
    writer.writeObjectValue("zone", whoisBaseRecord.zone, whoisContact_1.serializeWhoisContact);
}
exports.serializeWhoisBaseRecord = serializeWhoisBaseRecord;
// tslint:enable
// eslint-enable
