import { type PhysicalAddress } from '../physicalAddress';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisContactFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisContact;
export declare function deserializeIntoWhoisContact(whoisContact?: WhoisContact | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisContact(writer: SerializationWriter, whoisContact?: WhoisContact | undefined): void;
export interface WhoisContact extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The physical address of the entity.
     */
    address?: PhysicalAddress;
    /**
     * The email of this WHOIS contact.
     */
    email?: string;
    /**
     * The fax of this WHOIS contact. No format is guaranteed.
     */
    fax?: string;
    /**
     * The name of this WHOIS contact.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The organization of this WHOIS contact.
     */
    organization?: string;
    /**
     * The telephone of this WHOIS contact. No format is guaranteed.
     */
    telephone?: string;
}
