import { type Host } from './host';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisNameserverFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisNameserver;
export declare function deserializeIntoWhoisNameserver(whoisNameserver?: WhoisNameserver | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisNameserver(writer: SerializationWriter, whoisNameserver?: WhoisNameserver | undefined): void;
export interface WhoisNameserver extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The first seen date and time of this WHOIS contact. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    firstSeenDateTime?: Date;
    /**
     * The host property
     */
    host?: Host;
    /**
     * The last seen date and time of this WHOIS contact. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastSeenDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
