import { type WhoisBaseRecord } from './whoisBaseRecord';
import { type WhoisHistoryRecord } from './whoisHistoryRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisRecord;
export declare function deserializeIntoWhoisRecord(whoisRecord?: WhoisRecord | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisRecord(writer: SerializationWriter, whoisRecord?: WhoisRecord | undefined): void;
export interface WhoisRecord extends Parsable, WhoisBaseRecord {
    /**
     * The collection of historical records associated to this WHOIS object.
     */
    history?: WhoisHistoryRecord[];
}
