import { SecurityResourceType } from './securityResourceType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecurityResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecurityResource;
export declare function deserializeIntoSecurityResource(securityResource?: SecurityResource | undefined): Record<string, (node: ParseNode) => void>;
export interface SecurityResource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Name of the resource that is related to current alert. Required.
     */
    resource?: string;
    /**
     * Represents type of security resources related to an alert. Possible values are: attacked, related.
     */
    resourceType?: SecurityResourceType;
}
export declare function serializeSecurityResource(writer: SerializationWriter, securityResource?: SecurityResource | undefined): void;
