import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecurityVendorInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecurityVendorInformation;
export declare function deserializeIntoSecurityVendorInformation(securityVendorInformation?: SecurityVendorInformation | undefined): Record<string, (node: ParseNode) => void>;
export interface SecurityVendorInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specific provider (product/service - not vendor company); for example, WindowsDefenderATP.
     */
    provider?: string;
    /**
     * Version of the provider or subprovider, if it exists, that generated the alert. Required
     */
    providerVersion?: string;
    /**
     * Specific subprovider (under aggregating provider); for example, WindowsDefenderATP.SmartScreen.
     */
    subProvider?: string;
    /**
     * Name of the alert vendor (for example, Microsoft, Dell, FireEye). Required
     */
    vendor?: string;
}
export declare function serializeSecurityVendorInformation(writer: SerializationWriter, securityVendorInformation?: SecurityVendorInformation | undefined): void;
