import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createSelfSignedCertificateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSelfSignedCertificate;
export declare function deserializeIntoSelfSignedCertificate(selfSignedCertificate?: SelfSignedCertificate | undefined): Record<string, (node: ParseNode) => void>;
export interface SelfSignedCertificate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The customKeyIdentifier property
     */
    customKeyIdentifier?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The endDateTime property
     */
    endDateTime?: Date;
    /**
     * The key property
     */
    key?: string;
    /**
     * The keyId property
     */
    keyId?: Guid;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The startDateTime property
     */
    startDateTime?: Date;
    /**
     * The thumbprint property
     */
    thumbprint?: string;
    /**
     * The type property
     */
    type?: string;
    /**
     * The usage property
     */
    usage?: string;
}
export declare function serializeSelfSignedCertificate(writer: SerializationWriter, selfSignedCertificate?: SelfSignedCertificate | undefined): void;
