"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSelfSignedCertificate = exports.deserializeIntoSelfSignedCertificate = exports.createSelfSignedCertificateFromDiscriminatorValue = void 0;
function createSelfSignedCertificateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSelfSignedCertificate;
}
exports.createSelfSignedCertificateFromDiscriminatorValue = createSelfSignedCertificateFromDiscriminatorValue;
function deserializeIntoSelfSignedCertificate(selfSignedCertificate = {}) {
    return {
        "customKeyIdentifier": n => { selfSignedCertificate.customKeyIdentifier = n.getStringValue(); },
        "displayName": n => { selfSignedCertificate.displayName = n.getStringValue(); },
        "endDateTime": n => { selfSignedCertificate.endDateTime = n.getDateValue(); },
        "key": n => { selfSignedCertificate.key = n.getStringValue(); },
        "keyId": n => { selfSignedCertificate.keyId = n.getGuidValue(); },
        "@odata.type": n => { selfSignedCertificate.odataType = n.getStringValue(); },
        "startDateTime": n => { selfSignedCertificate.startDateTime = n.getDateValue(); },
        "thumbprint": n => { selfSignedCertificate.thumbprint = n.getStringValue(); },
        "type": n => { selfSignedCertificate.type = n.getStringValue(); },
        "usage": n => { selfSignedCertificate.usage = n.getStringValue(); },
    };
}
exports.deserializeIntoSelfSignedCertificate = deserializeIntoSelfSignedCertificate;
function serializeSelfSignedCertificate(writer, selfSignedCertificate = {}) {
    writer.writeStringValue("customKeyIdentifier", selfSignedCertificate.customKeyIdentifier);
    writer.writeStringValue("displayName", selfSignedCertificate.displayName);
    writer.writeDateValue("endDateTime", selfSignedCertificate.endDateTime);
    writer.writeStringValue("key", selfSignedCertificate.key);
    writer.writeGuidValue("keyId", selfSignedCertificate.keyId);
    writer.writeStringValue("@odata.type", selfSignedCertificate.odataType);
    writer.writeDateValue("startDateTime", selfSignedCertificate.startDateTime);
    writer.writeStringValue("thumbprint", selfSignedCertificate.thumbprint);
    writer.writeStringValue("type", selfSignedCertificate.type);
    writer.writeStringValue("usage", selfSignedCertificate.usage);
    writer.writeAdditionalData(selfSignedCertificate.additionalData);
}
exports.serializeSelfSignedCertificate = serializeSelfSignedCertificate;
// tslint:enable
// eslint-enable
