import { SensitivityLabelAssignmentMethod } from './sensitivityLabelAssignmentMethod';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSensitivityLabelAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSensitivityLabelAssignment;
export declare function deserializeIntoSensitivityLabelAssignment(sensitivityLabelAssignment?: SensitivityLabelAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface SensitivityLabelAssignment extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The assignmentMethod property
     */
    assignmentMethod?: SensitivityLabelAssignmentMethod;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The unique identifier for the sensitivity label assigned to the file.
     */
    sensitivityLabelId?: string;
    /**
     * The unique identifier for the tenant that hosts the file when this label is applied.
     */
    tenantId?: string;
}
export declare function serializeSensitivityLabelAssignment(writer: SerializationWriter, sensitivityLabelAssignment?: SensitivityLabelAssignment | undefined): void;
