import { type Entity } from './entity';
import { type ServiceHealth } from './serviceHealth';
import { type ServiceHealthIssue } from './serviceHealthIssue';
import { type ServiceUpdateMessage } from './serviceUpdateMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceAnnouncementFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceAnnouncement;
export declare function deserializeIntoServiceAnnouncement(serviceAnnouncement?: ServiceAnnouncement | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceAnnouncement(writer: SerializationWriter, serviceAnnouncement?: ServiceAnnouncement | undefined): void;
export interface ServiceAnnouncement extends Entity, Parsable {
    /**
     * A collection of service health information for tenant. This property is a contained navigation property, it is nullable and readonly.
     */
    healthOverviews?: ServiceHealth[];
    /**
     * A collection of service issues for tenant. This property is a contained navigation property, it is nullable and readonly.
     */
    issues?: ServiceHealthIssue[];
    /**
     * A collection of service messages for tenant. This property is a contained navigation property, it is nullable and readonly.
     */
    messages?: ServiceUpdateMessage[];
}
