import { type Entity } from './entity';
import { type KeyValuePair } from './keyValuePair';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceAnnouncementBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceAnnouncementBase;
export declare function deserializeIntoServiceAnnouncementBase(serviceAnnouncementBase?: ServiceAnnouncementBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceAnnouncementBase(writer: SerializationWriter, serviceAnnouncementBase?: ServiceAnnouncementBase | undefined): void;
export interface ServiceAnnouncementBase extends Entity, Parsable {
    /**
     * More details about service event. This property doesn't support filters.
     */
    details?: KeyValuePair[];
    /**
     * The end time of the service event.
     */
    endDateTime?: Date;
    /**
     * The last modified time of the service event.
     */
    lastModifiedDateTime?: Date;
    /**
     * The start time of the service event.
     */
    startDateTime?: Date;
    /**
     * The title of the service event.
     */
    title?: string;
}
