import { type Entity } from './entity';
import { type ServiceHealthIssue } from './serviceHealthIssue';
import { ServiceHealthStatus } from './serviceHealthStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHealthFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHealth;
export declare function deserializeIntoServiceHealth(serviceHealth?: ServiceHealth | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHealth(writer: SerializationWriter, serviceHealth?: ServiceHealth | undefined): void;
export interface ServiceHealth extends Entity, Parsable {
    /**
     * A collection of issues that happened on the service, with detailed information for each issue.
     */
    issues?: ServiceHealthIssue[];
    /**
     * The service name. Use the list healthOverviews operation to get exact string names for services subscribed by the tenant.
     */
    service?: string;
    /**
     * The status property
     */
    status?: ServiceHealthStatus;
}
