import { type ServiceAnnouncementBase } from './serviceAnnouncementBase';
import { ServiceHealthClassificationType } from './serviceHealthClassificationType';
import { type ServiceHealthIssuePost } from './serviceHealthIssuePost';
import { ServiceHealthOrigin } from './serviceHealthOrigin';
import { ServiceHealthStatus } from './serviceHealthStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHealthIssueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHealthIssue;
export declare function deserializeIntoServiceHealthIssue(serviceHealthIssue?: ServiceHealthIssue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHealthIssue(writer: SerializationWriter, serviceHealthIssue?: ServiceHealthIssue | undefined): void;
export interface ServiceHealthIssue extends Parsable, ServiceAnnouncementBase {
    /**
     * The classification property
     */
    classification?: ServiceHealthClassificationType;
    /**
     * The feature name of the service issue.
     */
    feature?: string;
    /**
     * The feature group name of the service issue.
     */
    featureGroup?: string;
    /**
     * The description of the service issue impact.
     */
    impactDescription?: string;
    /**
     * Indicates whether the issue is resolved.
     */
    isResolved?: boolean;
    /**
     * The origin property
     */
    origin?: ServiceHealthOrigin;
    /**
     * Collection of historical posts for the service issue.
     */
    posts?: ServiceHealthIssuePost[];
    /**
     * Indicates the service affected by the issue.
     */
    service?: string;
    /**
     * The status property
     */
    status?: ServiceHealthStatus;
}
