import { type ItemBody } from './itemBody';
import { PostType } from './postType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHealthIssuePostFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHealthIssuePost;
export declare function deserializeIntoServiceHealthIssuePost(serviceHealthIssuePost?: ServiceHealthIssuePost | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHealthIssuePost(writer: SerializationWriter, serviceHealthIssuePost?: ServiceHealthIssuePost | undefined): void;
export interface ServiceHealthIssuePost extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The published time of the post.
     */
    createdDateTime?: Date;
    /**
     * The content of the service issue post. The supported value for the contentType property is html.
     */
    description?: ItemBody;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The post type of the service issue historical post. Possible values are: regular, quick, strategic, unknownFutureValue.
     */
    postType?: PostType;
}
