"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeServicePrincipal = exports.deserializeIntoServicePrincipal = exports.createServicePrincipalFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const addIn_1 = require("./addIn");
const appManagementPolicy_1 = require("./appManagementPolicy");
const appRole_1 = require("./appRole");
const appRoleAssignment_1 = require("./appRoleAssignment");
const claimsMappingPolicy_1 = require("./claimsMappingPolicy");
const customSecurityAttributeValue_1 = require("./customSecurityAttributeValue");
const delegatedPermissionClassification_1 = require("./delegatedPermissionClassification");
const directoryObject_1 = require("./directoryObject");
const endpoint_1 = require("./endpoint");
const federatedIdentityCredential_1 = require("./federatedIdentityCredential");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const informationalUrl_1 = require("./informationalUrl");
const keyCredential_1 = require("./keyCredential");
const oAuth2PermissionGrant_1 = require("./oAuth2PermissionGrant");
const passwordCredential_1 = require("./passwordCredential");
const permissionScope_1 = require("./permissionScope");
const remoteDesktopSecurityConfiguration_1 = require("./remoteDesktopSecurityConfiguration");
const resourceSpecificPermission_1 = require("./resourceSpecificPermission");
const samlSingleSignOnSettings_1 = require("./samlSingleSignOnSettings");
const synchronization_1 = require("./synchronization");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
const verifiedPublisher_1 = require("./verifiedPublisher");
function createServicePrincipalFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoServicePrincipal;
}
exports.createServicePrincipalFromDiscriminatorValue = createServicePrincipalFromDiscriminatorValue;
function deserializeIntoServicePrincipal(servicePrincipal = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(servicePrincipal)), { "accountEnabled": n => { servicePrincipal.accountEnabled = n.getBooleanValue(); }, "addIns": n => { servicePrincipal.addIns = n.getCollectionOfObjectValues(addIn_1.createAddInFromDiscriminatorValue); }, "alternativeNames": n => { servicePrincipal.alternativeNames = n.getCollectionOfPrimitiveValues(); }, "appDescription": n => { servicePrincipal.appDescription = n.getStringValue(); }, "appDisplayName": n => { servicePrincipal.appDisplayName = n.getStringValue(); }, "appId": n => { servicePrincipal.appId = n.getStringValue(); }, "applicationTemplateId": n => { servicePrincipal.applicationTemplateId = n.getStringValue(); }, "appManagementPolicies": n => { servicePrincipal.appManagementPolicies = n.getCollectionOfObjectValues(appManagementPolicy_1.createAppManagementPolicyFromDiscriminatorValue); }, "appOwnerOrganizationId": n => { servicePrincipal.appOwnerOrganizationId = n.getGuidValue(); }, "appRoleAssignedTo": n => { servicePrincipal.appRoleAssignedTo = n.getCollectionOfObjectValues(appRoleAssignment_1.createAppRoleAssignmentFromDiscriminatorValue); }, "appRoleAssignmentRequired": n => { servicePrincipal.appRoleAssignmentRequired = n.getBooleanValue(); }, "appRoleAssignments": n => { servicePrincipal.appRoleAssignments = n.getCollectionOfObjectValues(appRoleAssignment_1.createAppRoleAssignmentFromDiscriminatorValue); }, "appRoles": n => { servicePrincipal.appRoles = n.getCollectionOfObjectValues(appRole_1.createAppRoleFromDiscriminatorValue); }, "claimsMappingPolicies": n => { servicePrincipal.claimsMappingPolicies = n.getCollectionOfObjectValues(claimsMappingPolicy_1.createClaimsMappingPolicyFromDiscriminatorValue); }, "createdObjects": n => { servicePrincipal.createdObjects = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "customSecurityAttributes": n => { servicePrincipal.customSecurityAttributes = n.getObjectValue(customSecurityAttributeValue_1.createCustomSecurityAttributeValueFromDiscriminatorValue); }, "delegatedPermissionClassifications": n => { servicePrincipal.delegatedPermissionClassifications = n.getCollectionOfObjectValues(delegatedPermissionClassification_1.createDelegatedPermissionClassificationFromDiscriminatorValue); }, "description": n => { servicePrincipal.description = n.getStringValue(); }, "disabledByMicrosoftStatus": n => { servicePrincipal.disabledByMicrosoftStatus = n.getStringValue(); }, "displayName": n => { servicePrincipal.displayName = n.getStringValue(); }, "endpoints": n => { servicePrincipal.endpoints = n.getCollectionOfObjectValues(endpoint_1.createEndpointFromDiscriminatorValue); }, "federatedIdentityCredentials": n => { servicePrincipal.federatedIdentityCredentials = n.getCollectionOfObjectValues(federatedIdentityCredential_1.createFederatedIdentityCredentialFromDiscriminatorValue); }, "homepage": n => { servicePrincipal.homepage = n.getStringValue(); }, "homeRealmDiscoveryPolicies": n => { servicePrincipal.homeRealmDiscoveryPolicies = n.getCollectionOfObjectValues(homeRealmDiscoveryPolicy_1.createHomeRealmDiscoveryPolicyFromDiscriminatorValue); }, "info": n => { servicePrincipal.info = n.getObjectValue(informationalUrl_1.createInformationalUrlFromDiscriminatorValue); }, "keyCredentials": n => { servicePrincipal.keyCredentials = n.getCollectionOfObjectValues(keyCredential_1.createKeyCredentialFromDiscriminatorValue); }, "loginUrl": n => { servicePrincipal.loginUrl = n.getStringValue(); }, "logoutUrl": n => { servicePrincipal.logoutUrl = n.getStringValue(); }, "memberOf": n => { servicePrincipal.memberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "notes": n => { servicePrincipal.notes = n.getStringValue(); }, "notificationEmailAddresses": n => { servicePrincipal.notificationEmailAddresses = n.getCollectionOfPrimitiveValues(); }, "oauth2PermissionGrants": n => { servicePrincipal.oauth2PermissionGrants = n.getCollectionOfObjectValues(oAuth2PermissionGrant_1.createOAuth2PermissionGrantFromDiscriminatorValue); }, "oauth2PermissionScopes": n => { servicePrincipal.oauth2PermissionScopes = n.getCollectionOfObjectValues(permissionScope_1.createPermissionScopeFromDiscriminatorValue); }, "ownedObjects": n => { servicePrincipal.ownedObjects = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "owners": n => { servicePrincipal.owners = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "passwordCredentials": n => { servicePrincipal.passwordCredentials = n.getCollectionOfObjectValues(passwordCredential_1.createPasswordCredentialFromDiscriminatorValue); }, "preferredSingleSignOnMode": n => { servicePrincipal.preferredSingleSignOnMode = n.getStringValue(); }, "preferredTokenSigningKeyThumbprint": n => { servicePrincipal.preferredTokenSigningKeyThumbprint = n.getStringValue(); }, "remoteDesktopSecurityConfiguration": n => { servicePrincipal.remoteDesktopSecurityConfiguration = n.getObjectValue(remoteDesktopSecurityConfiguration_1.createRemoteDesktopSecurityConfigurationFromDiscriminatorValue); }, "replyUrls": n => { servicePrincipal.replyUrls = n.getCollectionOfPrimitiveValues(); }, "resourceSpecificApplicationPermissions": n => { servicePrincipal.resourceSpecificApplicationPermissions = n.getCollectionOfObjectValues(resourceSpecificPermission_1.createResourceSpecificPermissionFromDiscriminatorValue); }, "samlSingleSignOnSettings": n => { servicePrincipal.samlSingleSignOnSettings = n.getObjectValue(samlSingleSignOnSettings_1.createSamlSingleSignOnSettingsFromDiscriminatorValue); }, "servicePrincipalNames": n => { servicePrincipal.servicePrincipalNames = n.getCollectionOfPrimitiveValues(); }, "servicePrincipalType": n => { servicePrincipal.servicePrincipalType = n.getStringValue(); }, "signInAudience": n => { servicePrincipal.signInAudience = n.getStringValue(); }, "synchronization": n => { servicePrincipal.synchronization = n.getObjectValue(synchronization_1.createSynchronizationFromDiscriminatorValue); }, "tags": n => { servicePrincipal.tags = n.getCollectionOfPrimitiveValues(); }, "tokenEncryptionKeyId": n => { servicePrincipal.tokenEncryptionKeyId = n.getGuidValue(); }, "tokenIssuancePolicies": n => { servicePrincipal.tokenIssuancePolicies = n.getCollectionOfObjectValues(tokenIssuancePolicy_1.createTokenIssuancePolicyFromDiscriminatorValue); }, "tokenLifetimePolicies": n => { servicePrincipal.tokenLifetimePolicies = n.getCollectionOfObjectValues(tokenLifetimePolicy_1.createTokenLifetimePolicyFromDiscriminatorValue); }, "transitiveMemberOf": n => { servicePrincipal.transitiveMemberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "verifiedPublisher": n => { servicePrincipal.verifiedPublisher = n.getObjectValue(verifiedPublisher_1.createVerifiedPublisherFromDiscriminatorValue); } });
}
exports.deserializeIntoServicePrincipal = deserializeIntoServicePrincipal;
function serializeServicePrincipal(writer, servicePrincipal = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, servicePrincipal);
    writer.writeBooleanValue("accountEnabled", servicePrincipal.accountEnabled);
    writer.writeCollectionOfObjectValues("addIns", servicePrincipal.addIns, addIn_1.serializeAddIn);
    writer.writeCollectionOfPrimitiveValues("alternativeNames", servicePrincipal.alternativeNames);
    writer.writeStringValue("appDescription", servicePrincipal.appDescription);
    writer.writeStringValue("appDisplayName", servicePrincipal.appDisplayName);
    writer.writeStringValue("appId", servicePrincipal.appId);
    writer.writeStringValue("applicationTemplateId", servicePrincipal.applicationTemplateId);
    writer.writeCollectionOfObjectValues("appManagementPolicies", servicePrincipal.appManagementPolicies, appManagementPolicy_1.serializeAppManagementPolicy);
    writer.writeGuidValue("appOwnerOrganizationId", servicePrincipal.appOwnerOrganizationId);
    writer.writeCollectionOfObjectValues("appRoleAssignedTo", servicePrincipal.appRoleAssignedTo, appRoleAssignment_1.serializeAppRoleAssignment);
    writer.writeBooleanValue("appRoleAssignmentRequired", servicePrincipal.appRoleAssignmentRequired);
    writer.writeCollectionOfObjectValues("appRoleAssignments", servicePrincipal.appRoleAssignments, appRoleAssignment_1.serializeAppRoleAssignment);
    writer.writeCollectionOfObjectValues("appRoles", servicePrincipal.appRoles, appRole_1.serializeAppRole);
    writer.writeCollectionOfObjectValues("claimsMappingPolicies", servicePrincipal.claimsMappingPolicies, claimsMappingPolicy_1.serializeClaimsMappingPolicy);
    writer.writeCollectionOfObjectValues("createdObjects", servicePrincipal.createdObjects, directoryObject_1.serializeDirectoryObject);
    writer.writeObjectValue("customSecurityAttributes", servicePrincipal.customSecurityAttributes, customSecurityAttributeValue_1.serializeCustomSecurityAttributeValue);
    writer.writeCollectionOfObjectValues("delegatedPermissionClassifications", servicePrincipal.delegatedPermissionClassifications, delegatedPermissionClassification_1.serializeDelegatedPermissionClassification);
    writer.writeStringValue("description", servicePrincipal.description);
    writer.writeStringValue("disabledByMicrosoftStatus", servicePrincipal.disabledByMicrosoftStatus);
    writer.writeStringValue("displayName", servicePrincipal.displayName);
    writer.writeCollectionOfObjectValues("endpoints", servicePrincipal.endpoints, endpoint_1.serializeEndpoint);
    writer.writeCollectionOfObjectValues("federatedIdentityCredentials", servicePrincipal.federatedIdentityCredentials, federatedIdentityCredential_1.serializeFederatedIdentityCredential);
    writer.writeStringValue("homepage", servicePrincipal.homepage);
    writer.writeCollectionOfObjectValues("homeRealmDiscoveryPolicies", servicePrincipal.homeRealmDiscoveryPolicies, homeRealmDiscoveryPolicy_1.serializeHomeRealmDiscoveryPolicy);
    writer.writeObjectValue("info", servicePrincipal.info, informationalUrl_1.serializeInformationalUrl);
    writer.writeCollectionOfObjectValues("keyCredentials", servicePrincipal.keyCredentials, keyCredential_1.serializeKeyCredential);
    writer.writeStringValue("loginUrl", servicePrincipal.loginUrl);
    writer.writeStringValue("logoutUrl", servicePrincipal.logoutUrl);
    writer.writeCollectionOfObjectValues("memberOf", servicePrincipal.memberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("notes", servicePrincipal.notes);
    writer.writeCollectionOfPrimitiveValues("notificationEmailAddresses", servicePrincipal.notificationEmailAddresses);
    writer.writeCollectionOfObjectValues("oauth2PermissionGrants", servicePrincipal.oauth2PermissionGrants, oAuth2PermissionGrant_1.serializeOAuth2PermissionGrant);
    writer.writeCollectionOfObjectValues("oauth2PermissionScopes", servicePrincipal.oauth2PermissionScopes, permissionScope_1.serializePermissionScope);
    writer.writeCollectionOfObjectValues("ownedObjects", servicePrincipal.ownedObjects, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("owners", servicePrincipal.owners, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("passwordCredentials", servicePrincipal.passwordCredentials, passwordCredential_1.serializePasswordCredential);
    writer.writeStringValue("preferredSingleSignOnMode", servicePrincipal.preferredSingleSignOnMode);
    writer.writeStringValue("preferredTokenSigningKeyThumbprint", servicePrincipal.preferredTokenSigningKeyThumbprint);
    writer.writeObjectValue("remoteDesktopSecurityConfiguration", servicePrincipal.remoteDesktopSecurityConfiguration, remoteDesktopSecurityConfiguration_1.serializeRemoteDesktopSecurityConfiguration);
    writer.writeCollectionOfPrimitiveValues("replyUrls", servicePrincipal.replyUrls);
    writer.writeCollectionOfObjectValues("resourceSpecificApplicationPermissions", servicePrincipal.resourceSpecificApplicationPermissions, resourceSpecificPermission_1.serializeResourceSpecificPermission);
    writer.writeObjectValue("samlSingleSignOnSettings", servicePrincipal.samlSingleSignOnSettings, samlSingleSignOnSettings_1.serializeSamlSingleSignOnSettings);
    writer.writeCollectionOfPrimitiveValues("servicePrincipalNames", servicePrincipal.servicePrincipalNames);
    writer.writeStringValue("servicePrincipalType", servicePrincipal.servicePrincipalType);
    writer.writeStringValue("signInAudience", servicePrincipal.signInAudience);
    writer.writeObjectValue("synchronization", servicePrincipal.synchronization, synchronization_1.serializeSynchronization);
    writer.writeCollectionOfPrimitiveValues("tags", servicePrincipal.tags);
    writer.writeGuidValue("tokenEncryptionKeyId", servicePrincipal.tokenEncryptionKeyId);
    writer.writeCollectionOfObjectValues("tokenIssuancePolicies", servicePrincipal.tokenIssuancePolicies, tokenIssuancePolicy_1.serializeTokenIssuancePolicy);
    writer.writeCollectionOfObjectValues("tokenLifetimePolicies", servicePrincipal.tokenLifetimePolicies, tokenLifetimePolicy_1.serializeTokenLifetimePolicy);
    writer.writeCollectionOfObjectValues("transitiveMemberOf", servicePrincipal.transitiveMemberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeObjectValue("verifiedPublisher", servicePrincipal.verifiedPublisher, verifiedPublisher_1.serializeVerifiedPublisher);
}
exports.serializeServicePrincipal = serializeServicePrincipal;
// tslint:enable
// eslint-enable
