import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServicePrincipalLockConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServicePrincipalLockConfiguration;
export declare function deserializeIntoServicePrincipalLockConfiguration(servicePrincipalLockConfiguration?: ServicePrincipalLockConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServicePrincipalLockConfiguration(writer: SerializationWriter, servicePrincipalLockConfiguration?: ServicePrincipalLockConfiguration | undefined): void;
export interface ServicePrincipalLockConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Enables locking all sensitive properties. The sensitive properties are keyCredentials, passwordCredentials, and tokenEncryptionKeyId.
     */
    allProperties?: boolean;
    /**
     * Locks the keyCredentials and passwordCredentials properties for modification where credential usage type is Sign.
     */
    credentialsWithUsageSign?: boolean;
    /**
     * Locks the keyCredentials and passwordCredentials properties for modification where credential usage type is Verify. This locks OAuth service principals.
     */
    credentialsWithUsageVerify?: boolean;
    /**
     * Enables or disables service principal lock configuration. To allow the sensitive properties to be updated, update this property to false to disable the lock on the service principal.
     */
    isEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Locks the tokenEncryptionKeyId property for modification on the service principal.
     */
    tokenEncryptionKeyId?: boolean;
}
