"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeServiceProvisioningError = exports.deserializeIntoServiceProvisioningError = exports.createServiceProvisioningErrorFromDiscriminatorValue = void 0;
const serviceProvisioningXmlError_1 = require("./serviceProvisioningXmlError");
function createServiceProvisioningErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.serviceProvisioningXmlError":
                    return serviceProvisioningXmlError_1.deserializeIntoServiceProvisioningXmlError;
            }
        }
    }
    return deserializeIntoServiceProvisioningError;
}
exports.createServiceProvisioningErrorFromDiscriminatorValue = createServiceProvisioningErrorFromDiscriminatorValue;
function deserializeIntoServiceProvisioningError(serviceProvisioningError = {}) {
    return {
        "createdDateTime": n => { serviceProvisioningError.createdDateTime = n.getDateValue(); },
        "isResolved": n => { serviceProvisioningError.isResolved = n.getBooleanValue(); },
        "@odata.type": n => { serviceProvisioningError.odataType = n.getStringValue(); },
        "serviceInstance": n => { serviceProvisioningError.serviceInstance = n.getStringValue(); },
    };
}
exports.deserializeIntoServiceProvisioningError = deserializeIntoServiceProvisioningError;
function serializeServiceProvisioningError(writer, serviceProvisioningError = {}) {
    writer.writeDateValue("createdDateTime", serviceProvisioningError.createdDateTime);
    writer.writeBooleanValue("isResolved", serviceProvisioningError.isResolved);
    writer.writeStringValue("@odata.type", serviceProvisioningError.odataType);
    writer.writeStringValue("serviceInstance", serviceProvisioningError.serviceInstance);
    writer.writeAdditionalData(serviceProvisioningError.additionalData);
}
exports.serializeServiceProvisioningError = serializeServiceProvisioningError;
// tslint:enable
// eslint-enable
