import { type ItemBody } from './itemBody';
import { type ServiceAnnouncementAttachment } from './serviceAnnouncementAttachment';
import { type ServiceAnnouncementBase } from './serviceAnnouncementBase';
import { ServiceUpdateCategory } from './serviceUpdateCategory';
import { type ServiceUpdateMessageViewpoint } from './serviceUpdateMessageViewpoint';
import { ServiceUpdateSeverity } from './serviceUpdateSeverity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceUpdateMessageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceUpdateMessage;
export declare function deserializeIntoServiceUpdateMessage(serviceUpdateMessage?: ServiceUpdateMessage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceUpdateMessage(writer: SerializationWriter, serviceUpdateMessage?: ServiceUpdateMessage | undefined): void;
export interface ServiceUpdateMessage extends Parsable, ServiceAnnouncementBase {
    /**
     * The expected deadline of the action for the message.
     */
    actionRequiredByDateTime?: Date;
    /**
     * A collection of serviceAnnouncementAttachments.
     */
    attachments?: ServiceAnnouncementAttachment[];
    /**
     * The zip file that contains all attachments for a message.
     */
    attachmentsArchive?: string;
    /**
     * The body property
     */
    body?: ItemBody;
    /**
     * The category property
     */
    category?: ServiceUpdateCategory;
    /**
     * Indicates whether the message has any attachment.
     */
    hasAttachments?: boolean;
    /**
     * Indicates whether the message describes a major update for the service.
     */
    isMajorChange?: boolean;
    /**
     * The affected services by the service message.
     */
    services?: string[];
    /**
     * The severity property
     */
    severity?: ServiceUpdateSeverity;
    /**
     * A collection of tags for the service message. Tags are provided by the service team/support team who post the message to tell whether this message contains privacy data, or whether this message is for a service new feature update, and so on.
     */
    tags?: string[];
    /**
     * Represents user viewpoints data of the service message. This data includes message status such as whether the user has archived, read, or marked the message as favorite. This property is null when accessed with application permissions.
     */
    viewPoint?: ServiceUpdateMessageViewpoint;
}
