import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSettingStateDeviceSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSettingStateDeviceSummary;
export declare function deserializeIntoSettingStateDeviceSummary(settingStateDeviceSummary?: SettingStateDeviceSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSettingStateDeviceSummary(writer: SerializationWriter, settingStateDeviceSummary?: SettingStateDeviceSummary | undefined): void;
export interface SettingStateDeviceSummary extends Entity, Parsable {
    /**
     * Device Compliant count for the setting
     */
    compliantDeviceCount?: number;
    /**
     * Device conflict error count for the setting
     */
    conflictDeviceCount?: number;
    /**
     * Device error count for the setting
     */
    errorDeviceCount?: number;
    /**
     * Name of the InstancePath for the setting
     */
    instancePath?: string;
    /**
     * Device NonCompliant count for the setting
     */
    nonCompliantDeviceCount?: number;
    /**
     * Device Not Applicable count for the setting
     */
    notApplicableDeviceCount?: number;
    /**
     * Device Compliant count for the setting
     */
    remediatedDeviceCount?: number;
    /**
     * Name of the setting
     */
    settingName?: string;
    /**
     * Device Unkown count for the setting
     */
    unknownDeviceCount?: number;
}
