import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSettingTemplateValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSettingTemplateValue;
export declare function deserializeIntoSettingTemplateValue(settingTemplateValue?: SettingTemplateValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSettingTemplateValue(writer: SerializationWriter, settingTemplateValue?: SettingTemplateValue | undefined): void;
export interface SettingTemplateValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Default value for the setting.
     */
    defaultValue?: string;
    /**
     * Description of the setting.
     */
    description?: string;
    /**
     * Name of the setting.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Type of the setting.
     */
    type?: string;
}
