"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSettingTemplateValue = exports.deserializeIntoSettingTemplateValue = exports.createSettingTemplateValueFromDiscriminatorValue = void 0;
function createSettingTemplateValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSettingTemplateValue;
}
exports.createSettingTemplateValueFromDiscriminatorValue = createSettingTemplateValueFromDiscriminatorValue;
function deserializeIntoSettingTemplateValue(settingTemplateValue = {}) {
    return {
        "defaultValue": n => { settingTemplateValue.defaultValue = n.getStringValue(); },
        "description": n => { settingTemplateValue.description = n.getStringValue(); },
        "name": n => { settingTemplateValue.name = n.getStringValue(); },
        "@odata.type": n => { settingTemplateValue.odataType = n.getStringValue(); },
        "type": n => { settingTemplateValue.type = n.getStringValue(); },
    };
}
exports.deserializeIntoSettingTemplateValue = deserializeIntoSettingTemplateValue;
function serializeSettingTemplateValue(writer, settingTemplateValue = {}) {
    writer.writeStringValue("defaultValue", settingTemplateValue.defaultValue);
    writer.writeStringValue("description", settingTemplateValue.description);
    writer.writeStringValue("name", settingTemplateValue.name);
    writer.writeStringValue("@odata.type", settingTemplateValue.odataType);
    writer.writeStringValue("type", settingTemplateValue.type);
    writer.writeAdditionalData(settingTemplateValue.additionalData);
}
exports.serializeSettingTemplateValue = serializeSettingTemplateValue;
// tslint:enable
// eslint-enable
