import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSettingValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSettingValue;
export declare function deserializeIntoSettingValue(settingValue?: SettingValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSettingValue(writer: SerializationWriter, settingValue?: SettingValue | undefined): void;
export interface SettingValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the setting (as defined by the groupSettingTemplate).
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value of the setting.
     */
    value?: string;
}
