"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSettingValue = exports.deserializeIntoSettingValue = exports.createSettingValueFromDiscriminatorValue = void 0;
function createSettingValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSettingValue;
}
exports.createSettingValueFromDiscriminatorValue = createSettingValueFromDiscriminatorValue;
function deserializeIntoSettingValue(settingValue = {}) {
    return {
        "name": n => { settingValue.name = n.getStringValue(); },
        "@odata.type": n => { settingValue.odataType = n.getStringValue(); },
        "value": n => { settingValue.value = n.getStringValue(); },
    };
}
exports.deserializeIntoSettingValue = deserializeIntoSettingValue;
function serializeSettingValue(writer, settingValue = {}) {
    writer.writeStringValue("name", settingValue.name);
    writer.writeStringValue("@odata.type", settingValue.odataType);
    writer.writeStringValue("value", settingValue.value);
    writer.writeAdditionalData(settingValue.additionalData);
}
exports.serializeSettingValue = serializeSettingValue;
// tslint:enable
// eslint-enable
