import { type Identity } from './identity';
import { type IdentitySet } from './identitySet';
import { type SharePointIdentity } from './sharePointIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharePointIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharePointIdentitySet;
export declare function deserializeIntoSharePointIdentitySet(sharePointIdentitySet?: SharePointIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharePointIdentitySet(writer: SerializationWriter, sharePointIdentitySet?: SharePointIdentitySet | undefined): void;
export interface SharePointIdentitySet extends IdentitySet, Parsable {
    /**
     * The group associated with this action. Optional.
     */
    group?: Identity;
    /**
     * The SharePoint group associated with this action. Optional.
     */
    siteGroup?: SharePointIdentity;
    /**
     * The SharePoint user associated with this action. Optional.
     */
    siteUser?: SharePointIdentity;
}
