import { SearchContent } from './searchContent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharePointOneDriveOptionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharePointOneDriveOptions;
export declare function deserializeIntoSharePointOneDriveOptions(sharePointOneDriveOptions?: SharePointOneDriveOptions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharePointOneDriveOptions(writer: SerializationWriter, sharePointOneDriveOptions?: SharePointOneDriveOptions | undefined): void;
export interface SharePointOneDriveOptions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The type of search content. The possible values are: sharedContent, privateContent, unknownFutureValue. Read-only.
     */
    includeContent?: SearchContent[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
