import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShared;
export declare function deserializeIntoShared(shared?: Shared | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShared(writer: SerializationWriter, shared?: Shared | undefined): void;
export interface Shared extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The identity of the owner of the shared item. Read-only.
     */
    owner?: IdentitySet;
    /**
     * Indicates the scope of how the item is shared: anonymous, organization, or users. Read-only.
     */
    scope?: string;
    /**
     * The identity of the user who shared the item. Read-only.
     */
    sharedBy?: IdentitySet;
    /**
     * The UTC date and time when the item was shared. Read-only.
     */
    sharedDateTime?: Date;
}
