import { type BaseItem } from './baseItem';
import { type DriveItem } from './driveItem';
import { type IdentitySet } from './identitySet';
import { type List } from './list';
import { type ListItem } from './listItem';
import { type Permission } from './permission';
import { type Site } from './site';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedDriveItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedDriveItem;
export declare function deserializeIntoSharedDriveItem(sharedDriveItem?: SharedDriveItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedDriveItem(writer: SerializationWriter, sharedDriveItem?: SharedDriveItem | undefined): void;
export interface SharedDriveItem extends BaseItem, Parsable {
    /**
     * Used to access the underlying driveItem
     */
    driveItem?: DriveItem;
    /**
     * All driveItems contained in the sharing root. This collection cannot be enumerated.
     */
    items?: DriveItem[];
    /**
     * Used to access the underlying list
     */
    list?: List;
    /**
     * Used to access the underlying listItem
     */
    listItem?: ListItem;
    /**
     * Information about the owner of the shared item being referenced.
     */
    owner?: IdentitySet;
    /**
     * Used to access the permission representing the underlying sharing link
     */
    permission?: Permission;
    /**
     * Used to access the underlying driveItem. Deprecated -- use driveItem instead.
     */
    root?: DriveItem;
    /**
     * Used to access the underlying site
     */
    site?: Site;
}
