import { type Entity } from './entity';
import { type ResourceReference } from './resourceReference';
import { type ResourceVisualization } from './resourceVisualization';
import { type SharingDetail } from './sharingDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedInsight;
export declare function deserializeIntoSharedInsight(sharedInsight?: SharedInsight | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedInsight(writer: SerializationWriter, sharedInsight?: SharedInsight | undefined): void;
export interface SharedInsight extends Entity, Parsable {
    /**
     * Details about the shared item. Read only.
     */
    lastShared?: SharingDetail;
    /**
     * The lastSharedMethod property
     */
    lastSharedMethod?: Entity;
    /**
     * Used for navigating to the item that was shared. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     */
    resource?: Entity;
    /**
     * Reference properties of the shared document, such as the url and type of the document. Read-only
     */
    resourceReference?: ResourceReference;
    /**
     * Properties that you can use to visualize the document in your experience. Read-only
     */
    resourceVisualization?: ResourceVisualization;
    /**
     * The sharingHistory property
     */
    sharingHistory?: SharingDetail[];
}
