import { type ConversationMember } from './conversationMember';
import { type TeamInfo } from './teamInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedWithChannelTeamInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedWithChannelTeamInfo;
export declare function deserializeIntoSharedWithChannelTeamInfo(sharedWithChannelTeamInfo?: SharedWithChannelTeamInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedWithChannelTeamInfo(writer: SerializationWriter, sharedWithChannelTeamInfo?: SharedWithChannelTeamInfo | undefined): void;
export interface SharedWithChannelTeamInfo extends Parsable, TeamInfo {
    /**
     * A collection of team members who have access to the shared channel.
     */
    allowedMembers?: ConversationMember[];
    /**
     * Indicates whether the team is the host of the channel.
     */
    isHostTeam?: boolean;
}
