"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSharepointSettings = exports.deserializeIntoSharepointSettings = exports.createSharepointSettingsFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("./entity");
const idleSessionSignOut_1 = require("./idleSessionSignOut");
const imageTaggingChoice_1 = require("./imageTaggingChoice");
const sharingCapabilities_1 = require("./sharingCapabilities");
const sharingDomainRestrictionMode_1 = require("./sharingDomainRestrictionMode");
function createSharepointSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSharepointSettings;
}
exports.createSharepointSettingsFromDiscriminatorValue = createSharepointSettingsFromDiscriminatorValue;
function deserializeIntoSharepointSettings(sharepointSettings = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(sharepointSettings)), { "allowedDomainGuidsForSyncApp": n => { sharepointSettings.allowedDomainGuidsForSyncApp = n.getCollectionOfPrimitiveValues(); }, "availableManagedPathsForSiteCreation": n => { sharepointSettings.availableManagedPathsForSiteCreation = n.getCollectionOfPrimitiveValues(); }, "deletedUserPersonalSiteRetentionPeriodInDays": n => { sharepointSettings.deletedUserPersonalSiteRetentionPeriodInDays = n.getNumberValue(); }, "excludedFileExtensionsForSyncApp": n => { sharepointSettings.excludedFileExtensionsForSyncApp = n.getCollectionOfPrimitiveValues(); }, "idleSessionSignOut": n => { sharepointSettings.idleSessionSignOut = n.getObjectValue(idleSessionSignOut_1.createIdleSessionSignOutFromDiscriminatorValue); }, "imageTaggingOption": n => { sharepointSettings.imageTaggingOption = n.getEnumValue(imageTaggingChoice_1.ImageTaggingChoice); }, "isCommentingOnSitePagesEnabled": n => { sharepointSettings.isCommentingOnSitePagesEnabled = n.getBooleanValue(); }, "isFileActivityNotificationEnabled": n => { sharepointSettings.isFileActivityNotificationEnabled = n.getBooleanValue(); }, "isLegacyAuthProtocolsEnabled": n => { sharepointSettings.isLegacyAuthProtocolsEnabled = n.getBooleanValue(); }, "isLoopEnabled": n => { sharepointSettings.isLoopEnabled = n.getBooleanValue(); }, "isMacSyncAppEnabled": n => { sharepointSettings.isMacSyncAppEnabled = n.getBooleanValue(); }, "isRequireAcceptingUserToMatchInvitedUserEnabled": n => { sharepointSettings.isRequireAcceptingUserToMatchInvitedUserEnabled = n.getBooleanValue(); }, "isResharingByExternalUsersEnabled": n => { sharepointSettings.isResharingByExternalUsersEnabled = n.getBooleanValue(); }, "isSharePointMobileNotificationEnabled": n => { sharepointSettings.isSharePointMobileNotificationEnabled = n.getBooleanValue(); }, "isSharePointNewsfeedEnabled": n => { sharepointSettings.isSharePointNewsfeedEnabled = n.getBooleanValue(); }, "isSiteCreationEnabled": n => { sharepointSettings.isSiteCreationEnabled = n.getBooleanValue(); }, "isSiteCreationUIEnabled": n => { sharepointSettings.isSiteCreationUIEnabled = n.getBooleanValue(); }, "isSitePagesCreationEnabled": n => { sharepointSettings.isSitePagesCreationEnabled = n.getBooleanValue(); }, "isSitesStorageLimitAutomatic": n => { sharepointSettings.isSitesStorageLimitAutomatic = n.getBooleanValue(); }, "isSyncButtonHiddenOnPersonalSite": n => { sharepointSettings.isSyncButtonHiddenOnPersonalSite = n.getBooleanValue(); }, "isUnmanagedSyncAppForTenantRestricted": n => { sharepointSettings.isUnmanagedSyncAppForTenantRestricted = n.getBooleanValue(); }, "personalSiteDefaultStorageLimitInMB": n => { sharepointSettings.personalSiteDefaultStorageLimitInMB = n.getNumberValue(); }, "sharingAllowedDomainList": n => { sharepointSettings.sharingAllowedDomainList = n.getCollectionOfPrimitiveValues(); }, "sharingBlockedDomainList": n => { sharepointSettings.sharingBlockedDomainList = n.getCollectionOfPrimitiveValues(); }, "sharingCapability": n => { sharepointSettings.sharingCapability = n.getEnumValue(sharingCapabilities_1.SharingCapabilities); }, "sharingDomainRestrictionMode": n => { sharepointSettings.sharingDomainRestrictionMode = n.getEnumValue(sharingDomainRestrictionMode_1.SharingDomainRestrictionMode); }, "siteCreationDefaultManagedPath": n => { sharepointSettings.siteCreationDefaultManagedPath = n.getStringValue(); }, "siteCreationDefaultStorageLimitInMB": n => { sharepointSettings.siteCreationDefaultStorageLimitInMB = n.getNumberValue(); }, "tenantDefaultTimezone": n => { sharepointSettings.tenantDefaultTimezone = n.getStringValue(); } });
}
exports.deserializeIntoSharepointSettings = deserializeIntoSharepointSettings;
function serializeSharepointSettings(writer, sharepointSettings = {}) {
    (0, entity_1.serializeEntity)(writer, sharepointSettings);
    writer.writeCollectionOfPrimitiveValues("allowedDomainGuidsForSyncApp", sharepointSettings.allowedDomainGuidsForSyncApp);
    writer.writeCollectionOfPrimitiveValues("availableManagedPathsForSiteCreation", sharepointSettings.availableManagedPathsForSiteCreation);
    writer.writeNumberValue("deletedUserPersonalSiteRetentionPeriodInDays", sharepointSettings.deletedUserPersonalSiteRetentionPeriodInDays);
    writer.writeCollectionOfPrimitiveValues("excludedFileExtensionsForSyncApp", sharepointSettings.excludedFileExtensionsForSyncApp);
    writer.writeObjectValue("idleSessionSignOut", sharepointSettings.idleSessionSignOut, idleSessionSignOut_1.serializeIdleSessionSignOut);
    writer.writeEnumValue("imageTaggingOption", sharepointSettings.imageTaggingOption);
    writer.writeBooleanValue("isCommentingOnSitePagesEnabled", sharepointSettings.isCommentingOnSitePagesEnabled);
    writer.writeBooleanValue("isFileActivityNotificationEnabled", sharepointSettings.isFileActivityNotificationEnabled);
    writer.writeBooleanValue("isLegacyAuthProtocolsEnabled", sharepointSettings.isLegacyAuthProtocolsEnabled);
    writer.writeBooleanValue("isLoopEnabled", sharepointSettings.isLoopEnabled);
    writer.writeBooleanValue("isMacSyncAppEnabled", sharepointSettings.isMacSyncAppEnabled);
    writer.writeBooleanValue("isRequireAcceptingUserToMatchInvitedUserEnabled", sharepointSettings.isRequireAcceptingUserToMatchInvitedUserEnabled);
    writer.writeBooleanValue("isResharingByExternalUsersEnabled", sharepointSettings.isResharingByExternalUsersEnabled);
    writer.writeBooleanValue("isSharePointMobileNotificationEnabled", sharepointSettings.isSharePointMobileNotificationEnabled);
    writer.writeBooleanValue("isSharePointNewsfeedEnabled", sharepointSettings.isSharePointNewsfeedEnabled);
    writer.writeBooleanValue("isSiteCreationEnabled", sharepointSettings.isSiteCreationEnabled);
    writer.writeBooleanValue("isSiteCreationUIEnabled", sharepointSettings.isSiteCreationUIEnabled);
    writer.writeBooleanValue("isSitePagesCreationEnabled", sharepointSettings.isSitePagesCreationEnabled);
    writer.writeBooleanValue("isSitesStorageLimitAutomatic", sharepointSettings.isSitesStorageLimitAutomatic);
    writer.writeBooleanValue("isSyncButtonHiddenOnPersonalSite", sharepointSettings.isSyncButtonHiddenOnPersonalSite);
    writer.writeBooleanValue("isUnmanagedSyncAppForTenantRestricted", sharepointSettings.isUnmanagedSyncAppForTenantRestricted);
    writer.writeNumberValue("personalSiteDefaultStorageLimitInMB", sharepointSettings.personalSiteDefaultStorageLimitInMB);
    writer.writeCollectionOfPrimitiveValues("sharingAllowedDomainList", sharepointSettings.sharingAllowedDomainList);
    writer.writeCollectionOfPrimitiveValues("sharingBlockedDomainList", sharepointSettings.sharingBlockedDomainList);
    writer.writeEnumValue("sharingCapability", sharepointSettings.sharingCapability);
    writer.writeEnumValue("sharingDomainRestrictionMode", sharepointSettings.sharingDomainRestrictionMode);
    writer.writeStringValue("siteCreationDefaultManagedPath", sharepointSettings.siteCreationDefaultManagedPath);
    writer.writeNumberValue("siteCreationDefaultStorageLimitInMB", sharepointSettings.siteCreationDefaultStorageLimitInMB);
    writer.writeStringValue("tenantDefaultTimezone", sharepointSettings.tenantDefaultTimezone);
}
exports.serializeSharepointSettings = serializeSharepointSettings;
// tslint:enable
// eslint-enable
