import { type IdentitySet } from './identitySet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharingInvitationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharingInvitation;
export declare function deserializeIntoSharingInvitation(sharingInvitation?: SharingInvitation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharingInvitation(writer: SerializationWriter, sharingInvitation?: SharingInvitation | undefined): void;
export interface SharingInvitation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The email address provided for the recipient of the sharing invitation. Read-only.
     */
    email?: string;
    /**
     * Provides information about who sent the invitation that created this permission, if that information is available. Read-only.
     */
    invitedBy?: IdentitySet;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The redeemedBy property
     */
    redeemedBy?: string;
    /**
     * If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only.
     */
    signInRequired?: boolean;
}
