import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type ShiftItem } from './shiftItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShift;
export declare function deserializeIntoShift(shift?: Shift | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShift(writer: SerializationWriter, shift?: Shift | undefined): void;
export interface Shift extends ChangeTrackedEntity, Parsable {
    /**
     * The draft version of this shift that is viewable by managers. Required.
     */
    draftShift?: ShiftItem;
    /**
     * ID of the scheduling group the shift is part of. Required.
     */
    schedulingGroupId?: string;
    /**
     * The shared version of this shift that is viewable by both employees and managers. Required.
     */
    sharedShift?: ShiftItem;
    /**
     * ID of the user assigned to the shift. Required.
     */
    userId?: string;
}
