import { ScheduleEntityTheme } from './scheduleEntityTheme';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftActivityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShiftActivity;
export declare function deserializeIntoShiftActivity(shiftActivity?: ShiftActivity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShiftActivity(writer: SerializationWriter, shiftActivity?: ShiftActivity | undefined): void;
export interface ShiftActivity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Customer defined code for the shiftActivity. Required.
     */
    code?: string;
    /**
     * The name of the shiftActivity. Required.
     */
    displayName?: string;
    /**
     * The end date and time for the shiftActivity. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     */
    endDateTime?: Date;
    /**
     * Indicates whether the microsoft.graph.user should be paid for the activity during their shift. Required.
     */
    isPaid?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The start date and time for the shiftActivity. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     */
    startDateTime?: Date;
    /**
     * The theme property
     */
    theme?: ScheduleEntityTheme;
}
