import { type PatternedRecurrence } from './patternedRecurrence';
import { type TimeRange } from './timeRange';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftAvailabilityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShiftAvailability;
export declare function deserializeIntoShiftAvailability(shiftAvailability?: ShiftAvailability | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShiftAvailability(writer: SerializationWriter, shiftAvailability?: ShiftAvailability | undefined): void;
export interface ShiftAvailability extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the pattern for recurrence
     */
    recurrence?: PatternedRecurrence;
    /**
     * The time slot(s) preferred by the user.
     */
    timeSlots?: TimeRange[];
    /**
     * Specifies the time zone for the indicated time.
     */
    timeZone?: string;
}
