import { deserializeIntoOpenShiftItem } from './openShiftItem';
import { type ScheduleEntity } from './scheduleEntity';
import { type ShiftActivity } from './shiftActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShiftItem;
export declare function deserializeIntoShiftItem(shiftItem?: ShiftItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShiftItem(writer: SerializationWriter, shiftItem?: ShiftItem | undefined): void;
export interface ShiftItem extends Parsable, ScheduleEntity {
    /**
     * An incremental part of a shift which can cover details of when and where an employee is during their shift. For example, an assignment or a scheduled break or lunch. Required.
     */
    activities?: ShiftActivity[];
    /**
     * The shift label of the shiftItem.
     */
    displayName?: string;
    /**
     * The shift notes for the shiftItem.
     */
    notes?: string;
}
