"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeShiftItem = exports.deserializeIntoShiftItem = exports.createShiftItemFromDiscriminatorValue = void 0;
const openShiftItem_1 = require("./openShiftItem");
const scheduleEntity_1 = require("./scheduleEntity");
const shiftActivity_1 = require("./shiftActivity");
function createShiftItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.openShiftItem":
                    return openShiftItem_1.deserializeIntoOpenShiftItem;
            }
        }
    }
    return deserializeIntoShiftItem;
}
exports.createShiftItemFromDiscriminatorValue = createShiftItemFromDiscriminatorValue;
function deserializeIntoShiftItem(shiftItem = {}) {
    return Object.assign(Object.assign({}, (0, scheduleEntity_1.deserializeIntoScheduleEntity)(shiftItem)), { "activities": n => { shiftItem.activities = n.getCollectionOfObjectValues(shiftActivity_1.createShiftActivityFromDiscriminatorValue); }, "displayName": n => { shiftItem.displayName = n.getStringValue(); }, "notes": n => { shiftItem.notes = n.getStringValue(); } });
}
exports.deserializeIntoShiftItem = deserializeIntoShiftItem;
function serializeShiftItem(writer, shiftItem = {}) {
    (0, scheduleEntity_1.serializeScheduleEntity)(writer, shiftItem);
    writer.writeCollectionOfObjectValues("activities", shiftItem.activities, shiftActivity_1.serializeShiftActivity);
    writer.writeStringValue("displayName", shiftItem.displayName);
    writer.writeStringValue("notes", shiftItem.notes);
}
exports.serializeShiftItem = serializeShiftItem;
// tslint:enable
// eslint-enable
