"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSignIn = exports.deserializeIntoSignIn = exports.createSignInFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const appliedConditionalAccessPolicy_1 = require("./appliedConditionalAccessPolicy");
const conditionalAccessStatus_1 = require("./conditionalAccessStatus");
const deviceDetail_1 = require("./deviceDetail");
const entity_1 = require("./entity");
const riskDetail_1 = require("./riskDetail");
const riskEventType_1 = require("./riskEventType");
const riskLevel_1 = require("./riskLevel");
const riskState_1 = require("./riskState");
const signInLocation_1 = require("./signInLocation");
const signInStatus_1 = require("./signInStatus");
function createSignInFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSignIn;
}
exports.createSignInFromDiscriminatorValue = createSignInFromDiscriminatorValue;
function deserializeIntoSignIn(signIn = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(signIn)), { "appDisplayName": n => { signIn.appDisplayName = n.getStringValue(); }, "appId": n => { signIn.appId = n.getStringValue(); }, "appliedConditionalAccessPolicies": n => { signIn.appliedConditionalAccessPolicies = n.getCollectionOfObjectValues(appliedConditionalAccessPolicy_1.createAppliedConditionalAccessPolicyFromDiscriminatorValue); }, "clientAppUsed": n => { signIn.clientAppUsed = n.getStringValue(); }, "conditionalAccessStatus": n => { signIn.conditionalAccessStatus = n.getEnumValue(conditionalAccessStatus_1.ConditionalAccessStatus); }, "correlationId": n => { signIn.correlationId = n.getStringValue(); }, "createdDateTime": n => { signIn.createdDateTime = n.getDateValue(); }, "deviceDetail": n => { signIn.deviceDetail = n.getObjectValue(deviceDetail_1.createDeviceDetailFromDiscriminatorValue); }, "ipAddress": n => { signIn.ipAddress = n.getStringValue(); }, "isInteractive": n => { signIn.isInteractive = n.getBooleanValue(); }, "location": n => { signIn.location = n.getObjectValue(signInLocation_1.createSignInLocationFromDiscriminatorValue); }, "resourceDisplayName": n => { signIn.resourceDisplayName = n.getStringValue(); }, "resourceId": n => { signIn.resourceId = n.getStringValue(); }, "riskDetail": n => { signIn.riskDetail = n.getEnumValue(riskDetail_1.RiskDetail); }, "riskEventTypes": n => { signIn.riskEventTypes = n.getCollectionOfEnumValues(riskEventType_1.RiskEventType); }, "riskEventTypes_v2": n => { signIn.riskEventTypes_v2 = n.getCollectionOfPrimitiveValues(); }, "riskLevelAggregated": n => { signIn.riskLevelAggregated = n.getEnumValue(riskLevel_1.RiskLevel); }, "riskLevelDuringSignIn": n => { signIn.riskLevelDuringSignIn = n.getEnumValue(riskLevel_1.RiskLevel); }, "riskState": n => { signIn.riskState = n.getEnumValue(riskState_1.RiskState); }, "status": n => { signIn.status = n.getObjectValue(signInStatus_1.createSignInStatusFromDiscriminatorValue); }, "userDisplayName": n => { signIn.userDisplayName = n.getStringValue(); }, "userId": n => { signIn.userId = n.getStringValue(); }, "userPrincipalName": n => { signIn.userPrincipalName = n.getStringValue(); } });
}
exports.deserializeIntoSignIn = deserializeIntoSignIn;
function serializeSignIn(writer, signIn = {}) {
    (0, entity_1.serializeEntity)(writer, signIn);
    writer.writeStringValue("appDisplayName", signIn.appDisplayName);
    writer.writeStringValue("appId", signIn.appId);
    writer.writeCollectionOfObjectValues("appliedConditionalAccessPolicies", signIn.appliedConditionalAccessPolicies, appliedConditionalAccessPolicy_1.serializeAppliedConditionalAccessPolicy);
    writer.writeStringValue("clientAppUsed", signIn.clientAppUsed);
    writer.writeEnumValue("conditionalAccessStatus", signIn.conditionalAccessStatus);
    writer.writeStringValue("correlationId", signIn.correlationId);
    writer.writeDateValue("createdDateTime", signIn.createdDateTime);
    writer.writeObjectValue("deviceDetail", signIn.deviceDetail, deviceDetail_1.serializeDeviceDetail);
    writer.writeStringValue("ipAddress", signIn.ipAddress);
    writer.writeBooleanValue("isInteractive", signIn.isInteractive);
    writer.writeObjectValue("location", signIn.location, signInLocation_1.serializeSignInLocation);
    writer.writeStringValue("resourceDisplayName", signIn.resourceDisplayName);
    writer.writeStringValue("resourceId", signIn.resourceId);
    writer.writeEnumValue("riskDetail", signIn.riskDetail);
    if (signIn.riskEventTypes)
        writer.writeEnumValue("riskEventTypes", ...signIn.riskEventTypes);
    writer.writeCollectionOfPrimitiveValues("riskEventTypes_v2", signIn.riskEventTypes_v2);
    writer.writeEnumValue("riskLevelAggregated", signIn.riskLevelAggregated);
    writer.writeEnumValue("riskLevelDuringSignIn", signIn.riskLevelDuringSignIn);
    writer.writeEnumValue("riskState", signIn.riskState);
    writer.writeObjectValue("status", signIn.status, signInStatus_1.serializeSignInStatus);
    writer.writeStringValue("userDisplayName", signIn.userDisplayName);
    writer.writeStringValue("userId", signIn.userId);
    writer.writeStringValue("userPrincipalName", signIn.userPrincipalName);
}
exports.serializeSignIn = serializeSignIn;
// tslint:enable
// eslint-enable
