import { type ConditionalAccessSessionControl } from './conditionalAccessSessionControl';
import { SignInFrequencyAuthenticationType } from './signInFrequencyAuthenticationType';
import { SignInFrequencyInterval } from './signInFrequencyInterval';
import { SigninFrequencyType } from './signinFrequencyType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSignInFrequencySessionControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSignInFrequencySessionControl;
export declare function deserializeIntoSignInFrequencySessionControl(signInFrequencySessionControl?: SignInFrequencySessionControl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSignInFrequencySessionControl(writer: SerializationWriter, signInFrequencySessionControl?: SignInFrequencySessionControl | undefined): void;
export interface SignInFrequencySessionControl extends ConditionalAccessSessionControl, Parsable {
    /**
     * The possible values are primaryAndSecondaryAuthentication, secondaryAuthentication, unknownFutureValue.
     */
    authenticationType?: SignInFrequencyAuthenticationType;
    /**
     * The possible values are timeBased, everyTime, unknownFutureValue.
     */
    frequencyInterval?: SignInFrequencyInterval;
    /**
     * Possible values are: days, hours.
     */
    type?: SigninFrequencyType;
    /**
     * The number of days or hours.
     */
    value?: number;
}
