import { type GeoCoordinates } from './geoCoordinates';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSignInLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSignInLocation;
export declare function deserializeIntoSignInLocation(signInLocation?: SignInLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSignInLocation(writer: SerializationWriter, signInLocation?: SignInLocation | undefined): void;
export interface SignInLocation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Provides the city where the sign-in originated and is determined using latitude/longitude information from the sign-in activity.
     */
    city?: string;
    /**
     * Provides the country code info (two letter code) where the sign-in originated.  This is calculated using latitude/longitude information from the sign-in activity.
     */
    countryOrRegion?: string;
    /**
     * Provides the latitude, longitude and altitude where the sign-in originated.
     */
    geoCoordinates?: GeoCoordinates;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Provides the State where the sign-in originated. This is calculated using latitude/longitude information from the sign-in activity.
     */
    state?: string;
}
