"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSimulation = exports.deserializeIntoSimulation = exports.createSimulationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const accountTargetContent_1 = require("./accountTargetContent");
const emailIdentity_1 = require("./emailIdentity");
const endUserNotificationSetting_1 = require("./endUserNotificationSetting");
const entity_1 = require("./entity");
const landingPage_1 = require("./landingPage");
const loginPage_1 = require("./loginPage");
const oAuthConsentAppDetail_1 = require("./oAuthConsentAppDetail");
const payload_1 = require("./payload");
const payloadDeliveryPlatform_1 = require("./payloadDeliveryPlatform");
const simulationAttackTechnique_1 = require("./simulationAttackTechnique");
const simulationAttackType_1 = require("./simulationAttackType");
const simulationReport_1 = require("./simulationReport");
const simulationStatus_1 = require("./simulationStatus");
const trainingSetting_1 = require("./trainingSetting");
function createSimulationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSimulation;
}
exports.createSimulationFromDiscriminatorValue = createSimulationFromDiscriminatorValue;
function deserializeIntoSimulation(simulation = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(simulation)), { "attackTechnique": n => { simulation.attackTechnique = n.getEnumValue(simulationAttackTechnique_1.SimulationAttackTechnique); }, "attackType": n => { simulation.attackType = n.getEnumValue(simulationAttackType_1.SimulationAttackType); }, "automationId": n => { simulation.automationId = n.getStringValue(); }, "completionDateTime": n => { simulation.completionDateTime = n.getDateValue(); }, "createdBy": n => { simulation.createdBy = n.getObjectValue(emailIdentity_1.createEmailIdentityFromDiscriminatorValue); }, "createdDateTime": n => { simulation.createdDateTime = n.getDateValue(); }, "description": n => { simulation.description = n.getStringValue(); }, "displayName": n => { simulation.displayName = n.getStringValue(); }, "durationInDays": n => { simulation.durationInDays = n.getNumberValue(); }, "endUserNotificationSetting": n => { simulation.endUserNotificationSetting = n.getObjectValue(endUserNotificationSetting_1.createEndUserNotificationSettingFromDiscriminatorValue); }, "excludedAccountTarget": n => { simulation.excludedAccountTarget = n.getObjectValue(accountTargetContent_1.createAccountTargetContentFromDiscriminatorValue); }, "includedAccountTarget": n => { simulation.includedAccountTarget = n.getObjectValue(accountTargetContent_1.createAccountTargetContentFromDiscriminatorValue); }, "isAutomated": n => { simulation.isAutomated = n.getBooleanValue(); }, "landingPage": n => { simulation.landingPage = n.getObjectValue(landingPage_1.createLandingPageFromDiscriminatorValue); }, "lastModifiedBy": n => { simulation.lastModifiedBy = n.getObjectValue(emailIdentity_1.createEmailIdentityFromDiscriminatorValue); }, "lastModifiedDateTime": n => { simulation.lastModifiedDateTime = n.getDateValue(); }, "launchDateTime": n => { simulation.launchDateTime = n.getDateValue(); }, "loginPage": n => { simulation.loginPage = n.getObjectValue(loginPage_1.createLoginPageFromDiscriminatorValue); }, "oAuthConsentAppDetail": n => { simulation.oAuthConsentAppDetail = n.getObjectValue(oAuthConsentAppDetail_1.createOAuthConsentAppDetailFromDiscriminatorValue); }, "payload": n => { simulation.payload = n.getObjectValue(payload_1.createPayloadFromDiscriminatorValue); }, "payloadDeliveryPlatform": n => { simulation.payloadDeliveryPlatform = n.getEnumValue(payloadDeliveryPlatform_1.PayloadDeliveryPlatform); }, "report": n => { simulation.report = n.getObjectValue(simulationReport_1.createSimulationReportFromDiscriminatorValue); }, "status": n => { simulation.status = n.getEnumValue(simulationStatus_1.SimulationStatus); }, "trainingSetting": n => { simulation.trainingSetting = n.getObjectValue(trainingSetting_1.createTrainingSettingFromDiscriminatorValue); } });
}
exports.deserializeIntoSimulation = deserializeIntoSimulation;
function serializeSimulation(writer, simulation = {}) {
    (0, entity_1.serializeEntity)(writer, simulation);
    writer.writeEnumValue("attackTechnique", simulation.attackTechnique);
    writer.writeEnumValue("attackType", simulation.attackType);
    writer.writeStringValue("automationId", simulation.automationId);
    writer.writeDateValue("completionDateTime", simulation.completionDateTime);
    writer.writeObjectValue("createdBy", simulation.createdBy, emailIdentity_1.serializeEmailIdentity);
    writer.writeDateValue("createdDateTime", simulation.createdDateTime);
    writer.writeStringValue("description", simulation.description);
    writer.writeStringValue("displayName", simulation.displayName);
    writer.writeNumberValue("durationInDays", simulation.durationInDays);
    writer.writeObjectValue("endUserNotificationSetting", simulation.endUserNotificationSetting, endUserNotificationSetting_1.serializeEndUserNotificationSetting);
    writer.writeObjectValue("excludedAccountTarget", simulation.excludedAccountTarget, accountTargetContent_1.serializeAccountTargetContent);
    writer.writeObjectValue("includedAccountTarget", simulation.includedAccountTarget, accountTargetContent_1.serializeAccountTargetContent);
    writer.writeBooleanValue("isAutomated", simulation.isAutomated);
    writer.writeObjectValue("landingPage", simulation.landingPage, landingPage_1.serializeLandingPage);
    writer.writeObjectValue("lastModifiedBy", simulation.lastModifiedBy, emailIdentity_1.serializeEmailIdentity);
    writer.writeDateValue("lastModifiedDateTime", simulation.lastModifiedDateTime);
    writer.writeDateValue("launchDateTime", simulation.launchDateTime);
    writer.writeObjectValue("loginPage", simulation.loginPage, loginPage_1.serializeLoginPage);
    writer.writeObjectValue("oAuthConsentAppDetail", simulation.oAuthConsentAppDetail, oAuthConsentAppDetail_1.serializeOAuthConsentAppDetail);
    writer.writeObjectValue("payload", simulation.payload, payload_1.serializePayload);
    writer.writeEnumValue("payloadDeliveryPlatform", simulation.payloadDeliveryPlatform);
    writer.writeObjectValue("report", simulation.report, simulationReport_1.serializeSimulationReport);
    writer.writeEnumValue("status", simulation.status);
    writer.writeObjectValue("trainingSetting", simulation.trainingSetting, trainingSetting_1.serializeTrainingSetting);
}
exports.serializeSimulation = serializeSimulation;
// tslint:enable
// eslint-enable
