import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type SimulationAutomationRun } from './simulationAutomationRun';
import { SimulationAutomationStatus } from './simulationAutomationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationAutomationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationAutomation;
export declare function deserializeIntoSimulationAutomation(simulationAutomation?: SimulationAutomation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationAutomation(writer: SerializationWriter, simulationAutomation?: SimulationAutomation | undefined): void;
export interface SimulationAutomation extends Entity, Parsable {
    /**
     * Identity of the user who created the attack simulation automation.
     */
    createdBy?: EmailIdentity;
    /**
     * Date and time when the attack simulation automation was created.
     */
    createdDateTime?: Date;
    /**
     * Description of the attack simulation automation.
     */
    description?: string;
    /**
     * Display name of the attack simulation automation. Supports $filter and $orderby.
     */
    displayName?: string;
    /**
     * Identity of the user who most recently modified the attack simulation automation.
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * Date and time when the attack simulation automation was most recently modified.
     */
    lastModifiedDateTime?: Date;
    /**
     * Date and time of the latest run of the attack simulation automation.
     */
    lastRunDateTime?: Date;
    /**
     * Date and time of the upcoming run of the attack simulation automation.
     */
    nextRunDateTime?: Date;
    /**
     * A collection of simulation automation runs.
     */
    runs?: SimulationAutomationRun[];
    /**
     * Status of the attack simulation automation. Supports $filter and $orderby. The possible values are: unknown, draft, notRunning, running, completed, unknownFutureValue.
     */
    status?: SimulationAutomationStatus;
}
