import { type Entity } from './entity';
import { SimulationAutomationRunStatus } from './simulationAutomationRunStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationAutomationRunFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationAutomationRun;
export declare function deserializeIntoSimulationAutomationRun(simulationAutomationRun?: SimulationAutomationRun | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationAutomationRun(writer: SerializationWriter, simulationAutomationRun?: SimulationAutomationRun | undefined): void;
export interface SimulationAutomationRun extends Entity, Parsable {
    /**
     * Date and time when the run ends in an attack simulation automation.
     */
    endDateTime?: Date;
    /**
     * Unique identifier for the attack simulation campaign initiated in the attack simulation automation run.
     */
    simulationId?: string;
    /**
     * Date and time when the run starts in an attack simulation automation.
     */
    startDateTime?: Date;
    /**
     * Status of the attack simulation automation run. The possible values are: unknown, running, succeeded, failed, skipped, unknownFutureValue.
     */
    status?: SimulationAutomationRunStatus;
}
