import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationEvent;
export declare function deserializeIntoSimulationEvent(simulationEvent?: SimulationEvent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationEvent(writer: SerializationWriter, simulationEvent?: SimulationEvent | undefined): void;
export interface SimulationEvent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of the simulation event occurrence in an attack simulation and training campaign.
     */
    count?: number;
    /**
     * Name of the simulation event in an attack simulation and training campaign.
     */
    eventName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
