import { type SimulationEvent } from './simulationEvent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationEventsContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationEventsContent;
export declare function deserializeIntoSimulationEventsContent(simulationEventsContent?: SimulationEventsContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationEventsContent(writer: SerializationWriter, simulationEventsContent?: SimulationEventsContent | undefined): void;
export interface SimulationEventsContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Actual percentage of users who fell for the simulated attack in an attack simulation and training campaign.
     */
    compromisedRate?: number;
    /**
     * List of simulation events in an attack simulation and training campaign.
     */
    events?: SimulationEvent[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
