import { type SimulationReportOverview } from './simulationReportOverview';
import { type UserSimulationDetails } from './userSimulationDetails';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationReportFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationReport;
export declare function deserializeIntoSimulationReport(simulationReport?: SimulationReport | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationReport(writer: SerializationWriter, simulationReport?: SimulationReport | undefined): void;
export interface SimulationReport extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Overview of an attack simulation and training campaign.
     */
    overview?: SimulationReportOverview;
    /**
     * The tenant users and their online actions in an attack simulation and training campaign.
     */
    simulationUsers?: UserSimulationDetails[];
}
