import { type RecommendedAction } from './recommendedAction';
import { type SimulationEventsContent } from './simulationEventsContent';
import { type TrainingEventsContent } from './trainingEventsContent';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationReportOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationReportOverview;
export declare function deserializeIntoSimulationReportOverview(simulationReportOverview?: SimulationReportOverview | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationReportOverview(writer: SerializationWriter, simulationReportOverview?: SimulationReportOverview | undefined): void;
export interface SimulationReportOverview extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * List of recommended actions for a tenant to improve its security posture based on the attack simulation and training campaign attack type.
     */
    recommendedActions?: RecommendedAction[];
    /**
     * Number of valid users in the attack simulation and training campaign.
     */
    resolvedTargetsCount?: number;
    /**
     * Summary of simulation events in the attack simulation and training campaign.
     */
    simulationEventsContent?: SimulationEventsContent;
    /**
     * Summary of assigned trainings in the attack simulation and training campaign.
     */
    trainingEventsContent?: TrainingEventsContent;
}
