import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSingleUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSingleUser;
export declare function deserializeIntoSingleUser(singleUser?: SingleUser | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSingleUser(writer: SerializationWriter, singleUser?: SingleUser | undefined): void;
export interface SingleUser extends Parsable, SubjectSet {
    /**
     * The name of the user in Microsoft Entra ID. Read only.
     */
    description?: string;
    /**
     * The ID of the user in Microsoft Entra ID.
     */
    userId?: string;
}
