"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSite = exports.deserializeIntoSite = exports.createSiteFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseItem_1 = require("./baseItem");
const columnDefinition_1 = require("./columnDefinition");
const contentType_1 = require("./contentType");
const drive_1 = require("./drive");
const itemAnalytics_1 = require("./itemAnalytics");
const list_1 = require("./list");
const onenote_1 = require("./onenote");
const permission_1 = require("./permission");
const publicError_1 = require("./publicError");
const richLongRunningOperation_1 = require("./richLongRunningOperation");
const root_1 = require("./root");
const sharepointIds_1 = require("./sharepointIds");
const siteCollection_1 = require("./siteCollection");
const store_1 = require("./termStore/store");
function createSiteFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSite;
}
exports.createSiteFromDiscriminatorValue = createSiteFromDiscriminatorValue;
function deserializeIntoSite(site = {}) {
    return Object.assign(Object.assign({}, (0, baseItem_1.deserializeIntoBaseItem)(site)), { "analytics": n => { site.analytics = n.getObjectValue(itemAnalytics_1.createItemAnalyticsFromDiscriminatorValue); }, "columns": n => { site.columns = n.getCollectionOfObjectValues(columnDefinition_1.createColumnDefinitionFromDiscriminatorValue); }, "contentTypes": n => { site.contentTypes = n.getCollectionOfObjectValues(contentType_1.createContentTypeFromDiscriminatorValue); }, "displayName": n => { site.displayName = n.getStringValue(); }, "drive": n => { site.drive = n.getObjectValue(drive_1.createDriveFromDiscriminatorValue); }, "drives": n => { site.drives = n.getCollectionOfObjectValues(drive_1.createDriveFromDiscriminatorValue); }, "error": n => { site.errorEscaped = n.getObjectValue(publicError_1.createPublicErrorFromDiscriminatorValue); }, "externalColumns": n => { site.externalColumns = n.getCollectionOfObjectValues(columnDefinition_1.createColumnDefinitionFromDiscriminatorValue); }, "isPersonalSite": n => { site.isPersonalSite = n.getBooleanValue(); }, "items": n => { site.items = n.getCollectionOfObjectValues(baseItem_1.createBaseItemFromDiscriminatorValue); }, "lists": n => { site.lists = n.getCollectionOfObjectValues(list_1.createListFromDiscriminatorValue); }, "onenote": n => { site.onenote = n.getObjectValue(onenote_1.createOnenoteFromDiscriminatorValue); }, "operations": n => { site.operations = n.getCollectionOfObjectValues(richLongRunningOperation_1.createRichLongRunningOperationFromDiscriminatorValue); }, "permissions": n => { site.permissions = n.getCollectionOfObjectValues(permission_1.createPermissionFromDiscriminatorValue); }, "root": n => { site.root = n.getObjectValue(root_1.createRootFromDiscriminatorValue); }, "sharepointIds": n => { site.sharepointIds = n.getObjectValue(sharepointIds_1.createSharepointIdsFromDiscriminatorValue); }, "siteCollection": n => { site.siteCollection = n.getObjectValue(siteCollection_1.createSiteCollectionFromDiscriminatorValue); }, "sites": n => { site.sites = n.getCollectionOfObjectValues(createSiteFromDiscriminatorValue); }, "termStore": n => { site.termStore = n.getObjectValue(store_1.createStoreFromDiscriminatorValue); }, "termStores": n => { site.termStores = n.getCollectionOfObjectValues(store_1.createStoreFromDiscriminatorValue); } });
}
exports.deserializeIntoSite = deserializeIntoSite;
function serializeSite(writer, site = {}) {
    (0, baseItem_1.serializeBaseItem)(writer, site);
    writer.writeObjectValue("analytics", site.analytics, itemAnalytics_1.serializeItemAnalytics);
    writer.writeCollectionOfObjectValues("columns", site.columns, columnDefinition_1.serializeColumnDefinition);
    writer.writeCollectionOfObjectValues("contentTypes", site.contentTypes, contentType_1.serializeContentType);
    writer.writeStringValue("displayName", site.displayName);
    writer.writeObjectValue("drive", site.drive, drive_1.serializeDrive);
    writer.writeCollectionOfObjectValues("drives", site.drives, drive_1.serializeDrive);
    writer.writeObjectValue("error", site.errorEscaped, publicError_1.serializePublicError);
    writer.writeCollectionOfObjectValues("externalColumns", site.externalColumns, columnDefinition_1.serializeColumnDefinition);
    writer.writeBooleanValue("isPersonalSite", site.isPersonalSite);
    writer.writeCollectionOfObjectValues("items", site.items, baseItem_1.serializeBaseItem);
    writer.writeCollectionOfObjectValues("lists", site.lists, list_1.serializeList);
    writer.writeObjectValue("onenote", site.onenote, onenote_1.serializeOnenote);
    writer.writeCollectionOfObjectValues("operations", site.operations, richLongRunningOperation_1.serializeRichLongRunningOperation);
    writer.writeCollectionOfObjectValues("permissions", site.permissions, permission_1.serializePermission);
    writer.writeObjectValue("root", site.root, root_1.serializeRoot);
    writer.writeObjectValue("sharepointIds", site.sharepointIds, sharepointIds_1.serializeSharepointIds);
    writer.writeObjectValue("siteCollection", site.siteCollection, siteCollection_1.serializeSiteCollection);
    writer.writeCollectionOfObjectValues("sites", site.sites, serializeSite);
    writer.writeObjectValue("termStore", site.termStore, store_1.serializeStore);
    writer.writeCollectionOfObjectValues("termStores", site.termStores, store_1.serializeStore);
}
exports.serializeSite = serializeSite;
// tslint:enable
// eslint-enable
