import { type Root } from './root';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSiteCollectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSiteCollection;
export declare function deserializeIntoSiteCollection(siteCollection?: SiteCollection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSiteCollection(writer: SerializationWriter, siteCollection?: SiteCollection | undefined): void;
export interface SiteCollection extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The geographic region code for where this site collection resides. Read-only.
     */
    dataLocationCode?: string;
    /**
     * The hostname for the site collection. Read-only.
     */
    hostname?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * If present, indicates that this is a root site collection in SharePoint. Read-only.
     */
    root?: Root;
}
