import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSizeRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSizeRange;
export declare function deserializeIntoSizeRange(sizeRange?: SizeRange | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSizeRange(writer: SerializationWriter, sizeRange?: SizeRange | undefined): void;
export interface SizeRange extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The maximum size (in kilobytes) that an incoming message must have in order for a condition or exception to apply.
     */
    maximumSize?: number;
    /**
     * The minimum size (in kilobytes) that an incoming message must have in order for a condition or exception to apply.
     */
    minimumSize?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
}
