import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type SmsAuthenticationMethodTarget } from './smsAuthenticationMethodTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSmsAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSmsAuthenticationMethodConfiguration;
export declare function deserializeIntoSmsAuthenticationMethodConfiguration(smsAuthenticationMethodConfiguration?: SmsAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSmsAuthenticationMethodConfiguration(writer: SerializationWriter, smsAuthenticationMethodConfiguration?: SmsAuthenticationMethodConfiguration | undefined): void;
export interface SmsAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * A collection of groups that are enabled to use the authentication method.
     */
    includeTargets?: SmsAuthenticationMethodTarget[];
}
