import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSmsAuthenticationMethodTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSmsAuthenticationMethodTarget;
export declare function deserializeIntoSmsAuthenticationMethodTarget(smsAuthenticationMethodTarget?: SmsAuthenticationMethodTarget | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSmsAuthenticationMethodTarget(writer: SerializationWriter, smsAuthenticationMethodTarget?: SmsAuthenticationMethodTarget | undefined): void;
export interface SmsAuthenticationMethodTarget extends AuthenticationMethodTarget, Parsable {
    /**
     * Determines if users can use this authentication method to sign in to Microsoft Entra ID. true if users can use this method for primary authentication, otherwise false.
     */
    isUsableForSignIn?: boolean;
}
