import { type IdentityProviderBase } from './identityProviderBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSocialIdentityProviderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSocialIdentityProvider;
export declare function deserializeIntoSocialIdentityProvider(socialIdentityProvider?: SocialIdentityProvider | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSocialIdentityProvider(writer: SerializationWriter, socialIdentityProvider?: SocialIdentityProvider | undefined): void;
export interface SocialIdentityProvider extends IdentityProviderBase, Parsable {
    /**
     * The identifier for the client application obtained when registering the application with the identity provider. Required.
     */
    clientId?: string;
    /**
     * The client secret for the application that is obtained when the application is registered with the identity provider. This is write-only. A read operation returns . Required.
     */
    clientSecret?: string;
    /**
     * For a B2B scenario, possible values: Google, Facebook. For a B2C scenario, possible values: Microsoft, Google, Amazon, LinkedIn, Facebook, GitHub, Twitter, Weibo, QQ, WeChat. Required.
     */
    identityProviderType?: string;
}
