import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSoftwareOathAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSoftwareOathAuthenticationMethodConfiguration;
export declare function deserializeIntoSoftwareOathAuthenticationMethodConfiguration(softwareOathAuthenticationMethodConfiguration?: SoftwareOathAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSoftwareOathAuthenticationMethodConfiguration(writer: SerializationWriter, softwareOathAuthenticationMethodConfiguration?: SoftwareOathAuthenticationMethodConfiguration | undefined): void;
export interface SoftwareOathAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * A collection of groups that are enabled to use the authentication method. Expanded by default.
     */
    includeTargets?: AuthenticationMethodTarget[];
}
