import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSoftwareUpdateStatusSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSoftwareUpdateStatusSummary;
export declare function deserializeIntoSoftwareUpdateStatusSummary(softwareUpdateStatusSummary?: SoftwareUpdateStatusSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSoftwareUpdateStatusSummary(writer: SerializationWriter, softwareUpdateStatusSummary?: SoftwareUpdateStatusSummary | undefined): void;
export interface SoftwareUpdateStatusSummary extends Entity, Parsable {
    /**
     * Number of compliant devices.
     */
    compliantDeviceCount?: number;
    /**
     * Number of compliant users.
     */
    compliantUserCount?: number;
    /**
     * Number of conflict devices.
     */
    conflictDeviceCount?: number;
    /**
     * Number of conflict users.
     */
    conflictUserCount?: number;
    /**
     * The name of the policy.
     */
    displayName?: string;
    /**
     * Number of devices had error.
     */
    errorDeviceCount?: number;
    /**
     * Number of users had error.
     */
    errorUserCount?: number;
    /**
     * Number of non compliant devices.
     */
    nonCompliantDeviceCount?: number;
    /**
     * Number of non compliant users.
     */
    nonCompliantUserCount?: number;
    /**
     * Number of not applicable devices.
     */
    notApplicableDeviceCount?: number;
    /**
     * Number of not applicable users.
     */
    notApplicableUserCount?: number;
    /**
     * Number of remediated devices.
     */
    remediatedDeviceCount?: number;
    /**
     * Number of remediated users.
     */
    remediatedUserCount?: number;
    /**
     * Number of unknown devices.
     */
    unknownDeviceCount?: number;
    /**
     * Number of unknown users.
     */
    unknownUserCount?: number;
}
