import { type BookingBusiness } from './bookingBusiness';
import { type BookingCurrency } from './bookingCurrency';
import { type VirtualEventsRoot } from './virtualEventsRoot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSolutionsRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSolutionsRoot;
export declare function deserializeIntoSolutionsRoot(solutionsRoot?: SolutionsRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSolutionsRoot(writer: SerializationWriter, solutionsRoot?: SolutionsRoot | undefined): void;
export interface SolutionsRoot extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bookingBusinesses property
     */
    bookingBusinesses?: BookingBusiness[];
    /**
     * The bookingCurrencies property
     */
    bookingCurrencies?: BookingCurrency[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The virtualEvents property
     */
    virtualEvents?: VirtualEventsRoot;
}
