import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSortPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSortProperty;
export declare function deserializeIntoSortProperty(sortProperty?: SortProperty | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSortProperty(writer: SerializationWriter, sortProperty?: SortProperty | undefined): void;
export interface SortProperty extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * True if the sort order is descending. Default is false, with the sort order as ascending. Optional.
     */
    isDescending?: boolean;
    /**
     * The name of the property to sort on. Required.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
