import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSpaApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSpaApplication;
export declare function deserializeIntoSpaApplication(spaApplication?: SpaApplication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSpaApplication(writer: SerializationWriter, spaApplication?: SpaApplication | undefined): void;
export interface SpaApplication extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the URLs where user tokens are sent for sign-in, or the redirect URIs where OAuth 2.0 authorization codes and access tokens are sent.
     */
    redirectUris?: string[];
}
