import { type AvailabilityItem } from './availabilityItem';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStaffAvailabilityItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStaffAvailabilityItem;
export declare function deserializeIntoStaffAvailabilityItem(staffAvailabilityItem?: StaffAvailabilityItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStaffAvailabilityItem(writer: SerializationWriter, staffAvailabilityItem?: StaffAvailabilityItem | undefined): void;
export interface StaffAvailabilityItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Each item in this collection indicates a slot and the status of the staff member.
     */
    availabilityItems?: AvailabilityItem[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The ID of the staff member.
     */
    staffId?: string;
}
