"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStandardTimeZoneOffset = exports.deserializeIntoStandardTimeZoneOffset = exports.createStandardTimeZoneOffsetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const daylightTimeZoneOffset_1 = require("./daylightTimeZoneOffset");
const dayOfWeek_1 = require("./dayOfWeek");
function createStandardTimeZoneOffsetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.daylightTimeZoneOffset":
                    return daylightTimeZoneOffset_1.deserializeIntoDaylightTimeZoneOffset;
            }
        }
    }
    return deserializeIntoStandardTimeZoneOffset;
}
exports.createStandardTimeZoneOffsetFromDiscriminatorValue = createStandardTimeZoneOffsetFromDiscriminatorValue;
function deserializeIntoStandardTimeZoneOffset(standardTimeZoneOffset = {}) {
    return {
        "dayOccurrence": n => { standardTimeZoneOffset.dayOccurrence = n.getNumberValue(); },
        "dayOfWeek": n => { standardTimeZoneOffset.dayOfWeek = n.getEnumValue(dayOfWeek_1.DayOfWeek); },
        "month": n => { standardTimeZoneOffset.month = n.getNumberValue(); },
        "@odata.type": n => { standardTimeZoneOffset.odataType = n.getStringValue(); },
        "time": n => { standardTimeZoneOffset.time = n.getTimeOnlyValue(); },
        "year": n => { standardTimeZoneOffset.year = n.getNumberValue(); },
    };
}
exports.deserializeIntoStandardTimeZoneOffset = deserializeIntoStandardTimeZoneOffset;
function serializeStandardTimeZoneOffset(writer, standardTimeZoneOffset = {}) {
    writer.writeNumberValue("dayOccurrence", standardTimeZoneOffset.dayOccurrence);
    writer.writeEnumValue("dayOfWeek", standardTimeZoneOffset.dayOfWeek);
    writer.writeNumberValue("month", standardTimeZoneOffset.month);
    writer.writeStringValue("@odata.type", standardTimeZoneOffset.odataType);
    writer.writeTimeOnlyValue("time", standardTimeZoneOffset.time);
    writer.writeNumberValue("year", standardTimeZoneOffset.year);
    writer.writeAdditionalData(standardTimeZoneOffset.additionalData);
}
exports.serializeStandardTimeZoneOffset = serializeStandardTimeZoneOffset;
// tslint:enable
// eslint-enable
