import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStoragePlanInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStoragePlanInformation;
export declare function deserializeIntoStoragePlanInformation(storagePlanInformation?: StoragePlanInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStoragePlanInformation(writer: SerializationWriter, storagePlanInformation?: StoragePlanInformation | undefined): void;
export interface StoragePlanInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates whether there are higher storage quota plans available. Read-only.
     */
    upgradeAvailable?: boolean;
}
