import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStringKeyLongValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStringKeyLongValuePair;
export declare function deserializeIntoStringKeyLongValuePair(stringKeyLongValuePair?: StringKeyLongValuePair | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStringKeyLongValuePair(writer: SerializationWriter, stringKeyLongValuePair?: StringKeyLongValuePair | undefined): void;
export interface StringKeyLongValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The mapping of the user type from the source system to the target system. For example:User to User - For Microsoft Entra ID to Microsoft Entra ID synchronization worker to user - For Workday to Microsoft Entra synchronization.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total number of synchronized objects.
     */
    value?: number;
}
