import { deserializeIntoClaimsMappingPolicy } from './claimsMappingPolicy';
import { type DirectoryObject } from './directoryObject';
import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStsPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClaimsMappingPolicy;
export declare function deserializeIntoStsPolicy(stsPolicy?: StsPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStsPolicy(writer: SerializationWriter, stsPolicy?: StsPolicy | undefined): void;
export interface StsPolicy extends Parsable, PolicyBase {
    /**
     * The appliesTo property
     */
    appliesTo?: DirectoryObject[];
    /**
     * A string collection containing a JSON string that defines the rules and settings for a policy. The syntax for the definition differs for each derived policy type. Required.
     */
    definition?: string[];
    /**
     * If set to true, activates this policy. There can be many policies for the same policy type, but only one can be activated as the organization default. Optional, default value is false.
     */
    isOrganizationDefault?: boolean;
}
