"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStsPolicy = exports.deserializeIntoStsPolicy = exports.createStsPolicyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const activityBasedTimeoutPolicy_1 = require("./activityBasedTimeoutPolicy");
const claimsMappingPolicy_1 = require("./claimsMappingPolicy");
const directoryObject_1 = require("./directoryObject");
const homeRealmDiscoveryPolicy_1 = require("./homeRealmDiscoveryPolicy");
const policyBase_1 = require("./policyBase");
const tokenIssuancePolicy_1 = require("./tokenIssuancePolicy");
const tokenLifetimePolicy_1 = require("./tokenLifetimePolicy");
function createStsPolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.activityBasedTimeoutPolicy":
                    return activityBasedTimeoutPolicy_1.deserializeIntoActivityBasedTimeoutPolicy;
                case "#microsoft.graph.claimsMappingPolicy":
                    return claimsMappingPolicy_1.deserializeIntoClaimsMappingPolicy;
                case "#microsoft.graph.homeRealmDiscoveryPolicy":
                    return homeRealmDiscoveryPolicy_1.deserializeIntoHomeRealmDiscoveryPolicy;
                case "#microsoft.graph.tokenIssuancePolicy":
                    return tokenIssuancePolicy_1.deserializeIntoTokenIssuancePolicy;
                case "#microsoft.graph.tokenLifetimePolicy":
                    return tokenLifetimePolicy_1.deserializeIntoTokenLifetimePolicy;
            }
        }
    }
    return deserializeIntoStsPolicy;
}
exports.createStsPolicyFromDiscriminatorValue = createStsPolicyFromDiscriminatorValue;
function deserializeIntoStsPolicy(stsPolicy = {}) {
    return Object.assign(Object.assign({}, (0, policyBase_1.deserializeIntoPolicyBase)(stsPolicy)), { "appliesTo": n => { stsPolicy.appliesTo = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "definition": n => { stsPolicy.definition = n.getCollectionOfPrimitiveValues(); }, "isOrganizationDefault": n => { stsPolicy.isOrganizationDefault = n.getBooleanValue(); } });
}
exports.deserializeIntoStsPolicy = deserializeIntoStsPolicy;
function serializeStsPolicy(writer, stsPolicy = {}) {
    (0, policyBase_1.serializePolicyBase)(writer, stsPolicy);
    writer.writeCollectionOfObjectValues("appliesTo", stsPolicy.appliesTo, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfPrimitiveValues("definition", stsPolicy.definition);
    writer.writeBooleanValue("isOrganizationDefault", stsPolicy.isOrganizationDefault);
}
exports.serializeStsPolicy = serializeStsPolicy;
// tslint:enable
// eslint-enable
