"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSubjectRightsRequest = exports.deserializeIntoSubjectRightsRequest = exports.createSubjectRightsRequestFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authoredNote_1 = require("./authoredNote");
const dataSubject_1 = require("./dataSubject");
const dataSubjectType_1 = require("./dataSubjectType");
const entity_1 = require("./entity");
const identity_1 = require("./identity");
const identitySet_1 = require("./identitySet");
const subjectRightsRequestDetail_1 = require("./subjectRightsRequestDetail");
const subjectRightsRequestHistory_1 = require("./subjectRightsRequestHistory");
const subjectRightsRequestMailboxLocation_1 = require("./subjectRightsRequestMailboxLocation");
const subjectRightsRequestSiteLocation_1 = require("./subjectRightsRequestSiteLocation");
const subjectRightsRequestStageDetail_1 = require("./subjectRightsRequestStageDetail");
const subjectRightsRequestStatus_1 = require("./subjectRightsRequestStatus");
const subjectRightsRequestType_1 = require("./subjectRightsRequestType");
const team_1 = require("./team");
const user_1 = require("./user");
function createSubjectRightsRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSubjectRightsRequest;
}
exports.createSubjectRightsRequestFromDiscriminatorValue = createSubjectRightsRequestFromDiscriminatorValue;
function deserializeIntoSubjectRightsRequest(subjectRightsRequest = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(subjectRightsRequest)), { "approvers": n => { subjectRightsRequest.approvers = n.getCollectionOfObjectValues(user_1.createUserFromDiscriminatorValue); }, "assignedTo": n => { subjectRightsRequest.assignedTo = n.getObjectValue(identity_1.createIdentityFromDiscriminatorValue); }, "closedDateTime": n => { subjectRightsRequest.closedDateTime = n.getDateValue(); }, "collaborators": n => { subjectRightsRequest.collaborators = n.getCollectionOfObjectValues(user_1.createUserFromDiscriminatorValue); }, "contentQuery": n => { subjectRightsRequest.contentQuery = n.getStringValue(); }, "createdBy": n => { subjectRightsRequest.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { subjectRightsRequest.createdDateTime = n.getDateValue(); }, "dataSubject": n => { subjectRightsRequest.dataSubject = n.getObjectValue(dataSubject_1.createDataSubjectFromDiscriminatorValue); }, "dataSubjectType": n => { subjectRightsRequest.dataSubjectType = n.getEnumValue(dataSubjectType_1.DataSubjectType); }, "description": n => { subjectRightsRequest.description = n.getStringValue(); }, "displayName": n => { subjectRightsRequest.displayName = n.getStringValue(); }, "externalId": n => { subjectRightsRequest.externalId = n.getStringValue(); }, "history": n => { subjectRightsRequest.history = n.getCollectionOfObjectValues(subjectRightsRequestHistory_1.createSubjectRightsRequestHistoryFromDiscriminatorValue); }, "includeAllVersions": n => { subjectRightsRequest.includeAllVersions = n.getBooleanValue(); }, "includeAuthoredContent": n => { subjectRightsRequest.includeAuthoredContent = n.getBooleanValue(); }, "insight": n => { subjectRightsRequest.insight = n.getObjectValue(subjectRightsRequestDetail_1.createSubjectRightsRequestDetailFromDiscriminatorValue); }, "internalDueDateTime": n => { subjectRightsRequest.internalDueDateTime = n.getDateValue(); }, "lastModifiedBy": n => { subjectRightsRequest.lastModifiedBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { subjectRightsRequest.lastModifiedDateTime = n.getDateValue(); }, "mailboxLocations": n => { subjectRightsRequest.mailboxLocations = n.getObjectValue(subjectRightsRequestMailboxLocation_1.createSubjectRightsRequestMailboxLocationFromDiscriminatorValue); }, "notes": n => { subjectRightsRequest.notes = n.getCollectionOfObjectValues(authoredNote_1.createAuthoredNoteFromDiscriminatorValue); }, "pauseAfterEstimate": n => { subjectRightsRequest.pauseAfterEstimate = n.getBooleanValue(); }, "regulations": n => { subjectRightsRequest.regulations = n.getCollectionOfPrimitiveValues(); }, "siteLocations": n => { subjectRightsRequest.siteLocations = n.getObjectValue(subjectRightsRequestSiteLocation_1.createSubjectRightsRequestSiteLocationFromDiscriminatorValue); }, "stages": n => { subjectRightsRequest.stages = n.getCollectionOfObjectValues(subjectRightsRequestStageDetail_1.createSubjectRightsRequestStageDetailFromDiscriminatorValue); }, "status": n => { subjectRightsRequest.status = n.getEnumValue(subjectRightsRequestStatus_1.SubjectRightsRequestStatus); }, "team": n => { subjectRightsRequest.team = n.getObjectValue(team_1.createTeamFromDiscriminatorValue); }, "type": n => { subjectRightsRequest.type = n.getEnumValue(subjectRightsRequestType_1.SubjectRightsRequestType); } });
}
exports.deserializeIntoSubjectRightsRequest = deserializeIntoSubjectRightsRequest;
function serializeSubjectRightsRequest(writer, subjectRightsRequest = {}) {
    (0, entity_1.serializeEntity)(writer, subjectRightsRequest);
    writer.writeCollectionOfObjectValues("approvers", subjectRightsRequest.approvers, user_1.serializeUser);
    writer.writeObjectValue("assignedTo", subjectRightsRequest.assignedTo, identity_1.serializeIdentity);
    writer.writeDateValue("closedDateTime", subjectRightsRequest.closedDateTime);
    writer.writeCollectionOfObjectValues("collaborators", subjectRightsRequest.collaborators, user_1.serializeUser);
    writer.writeStringValue("contentQuery", subjectRightsRequest.contentQuery);
    writer.writeObjectValue("createdBy", subjectRightsRequest.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", subjectRightsRequest.createdDateTime);
    writer.writeObjectValue("dataSubject", subjectRightsRequest.dataSubject, dataSubject_1.serializeDataSubject);
    writer.writeEnumValue("dataSubjectType", subjectRightsRequest.dataSubjectType);
    writer.writeStringValue("description", subjectRightsRequest.description);
    writer.writeStringValue("displayName", subjectRightsRequest.displayName);
    writer.writeStringValue("externalId", subjectRightsRequest.externalId);
    writer.writeCollectionOfObjectValues("history", subjectRightsRequest.history, subjectRightsRequestHistory_1.serializeSubjectRightsRequestHistory);
    writer.writeBooleanValue("includeAllVersions", subjectRightsRequest.includeAllVersions);
    writer.writeBooleanValue("includeAuthoredContent", subjectRightsRequest.includeAuthoredContent);
    writer.writeObjectValue("insight", subjectRightsRequest.insight, subjectRightsRequestDetail_1.serializeSubjectRightsRequestDetail);
    writer.writeDateValue("internalDueDateTime", subjectRightsRequest.internalDueDateTime);
    writer.writeObjectValue("lastModifiedBy", subjectRightsRequest.lastModifiedBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("lastModifiedDateTime", subjectRightsRequest.lastModifiedDateTime);
    writer.writeObjectValue("mailboxLocations", subjectRightsRequest.mailboxLocations, subjectRightsRequestMailboxLocation_1.serializeSubjectRightsRequestMailboxLocation);
    writer.writeCollectionOfObjectValues("notes", subjectRightsRequest.notes, authoredNote_1.serializeAuthoredNote);
    writer.writeBooleanValue("pauseAfterEstimate", subjectRightsRequest.pauseAfterEstimate);
    writer.writeCollectionOfPrimitiveValues("regulations", subjectRightsRequest.regulations);
    writer.writeObjectValue("siteLocations", subjectRightsRequest.siteLocations, subjectRightsRequestSiteLocation_1.serializeSubjectRightsRequestSiteLocation);
    writer.writeCollectionOfObjectValues("stages", subjectRightsRequest.stages, subjectRightsRequestStageDetail_1.serializeSubjectRightsRequestStageDetail);
    writer.writeEnumValue("status", subjectRightsRequest.status);
    writer.writeObjectValue("team", subjectRightsRequest.team, team_1.serializeTeam);
    writer.writeEnumValue("type", subjectRightsRequest.type);
}
exports.serializeSubjectRightsRequest = serializeSubjectRightsRequest;
// tslint:enable
// eslint-enable
