import { type KeyValuePair } from './keyValuePair';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestDetail;
export declare function deserializeIntoSubjectRightsRequestDetail(subjectRightsRequestDetail?: SubjectRightsRequestDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestDetail(writer: SerializationWriter, subjectRightsRequestDetail?: SubjectRightsRequestDetail | undefined): void;
export interface SubjectRightsRequestDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of items that are excluded from the request.
     */
    excludedItemCount?: number;
    /**
     * Count of items per insight.
     */
    insightCounts?: KeyValuePair[];
    /**
     * Count of items found.
     */
    itemCount?: number;
    /**
     * Count of item that need review.
     */
    itemNeedReview?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Count of items per product, such as Exchange, SharePoint, OneDrive, and Teams.
     */
    productItemCounts?: KeyValuePair[];
    /**
     * Count of items signed off by the administrator.
     */
    signedOffItemCount?: number;
    /**
     * Total item size in bytes.
     */
    totalItemSize?: number;
}
