import { type IdentitySet } from './identitySet';
import { SubjectRightsRequestStage } from './subjectRightsRequestStage';
import { SubjectRightsRequestStageStatus } from './subjectRightsRequestStageStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestHistoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestHistory;
export declare function deserializeIntoSubjectRightsRequestHistory(subjectRightsRequestHistory?: SubjectRightsRequestHistory | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestHistory(writer: SerializationWriter, subjectRightsRequestHistory?: SubjectRightsRequestHistory | undefined): void;
export interface SubjectRightsRequestHistory extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Identity of the user who changed the  subject rights request.
     */
    changedBy?: IdentitySet;
    /**
     * Data and time when the entity was changed.
     */
    eventDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The stage when the entity was changed. Possible values are: contentRetrieval, contentReview, generateReport, contentDeletion, caseResolved, unknownFutureValue, approval. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value(s) in this evolvable enum: approval.
     */
    stage?: SubjectRightsRequestStage;
    /**
     * The status of the stage when the entity was changed. Possible values are: notStarted, current, completed, failed, unknownFutureValue.
     */
    stageStatus?: SubjectRightsRequestStageStatus;
    /**
     * Type of history.
     */
    type?: string;
}
