import { type PublicError } from './publicError';
import { SubjectRightsRequestStage } from './subjectRightsRequestStage';
import { SubjectRightsRequestStageStatus } from './subjectRightsRequestStageStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestStageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestStageDetail;
export declare function deserializeIntoSubjectRightsRequestStageDetail(subjectRightsRequestStageDetail?: SubjectRightsRequestStageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestStageDetail(writer: SerializationWriter, subjectRightsRequestStageDetail?: SubjectRightsRequestStageDetail | undefined): void;
export interface SubjectRightsRequestStageDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Describes the error, if any, for the current stage.
     */
    errorEscaped?: PublicError;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The stage of the subject rights request. Possible values are: contentRetrieval, contentReview, generateReport, contentDeletion, caseResolved, unknownFutureValue, approval. You must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: approval.
     */
    stage?: SubjectRightsRequestStage;
    /**
     * Status of the current stage. Possible values are: notStarted, current, completed, failed, unknownFutureValue.
     */
    status?: SubjectRightsRequestStageStatus;
}
