"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSubjectSet = exports.deserializeIntoSubjectSet = exports.createSubjectSetFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attributeRuleMembers_1 = require("./attributeRuleMembers");
const connectedOrganizationMembers_1 = require("./connectedOrganizationMembers");
const externalSponsors_1 = require("./externalSponsors");
const groupMembers_1 = require("./groupMembers");
const ruleBasedSubjectSet_1 = require("./identityGovernance/ruleBasedSubjectSet");
const internalSponsors_1 = require("./internalSponsors");
const requestorManager_1 = require("./requestorManager");
const singleServicePrincipal_1 = require("./singleServicePrincipal");
const singleUser_1 = require("./singleUser");
const targetApplicationOwners_1 = require("./targetApplicationOwners");
const targetManager_1 = require("./targetManager");
function createSubjectSetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.attributeRuleMembers":
                    return attributeRuleMembers_1.deserializeIntoAttributeRuleMembers;
                case "#microsoft.graph.connectedOrganizationMembers":
                    return connectedOrganizationMembers_1.deserializeIntoConnectedOrganizationMembers;
                case "#microsoft.graph.externalSponsors":
                    return externalSponsors_1.deserializeIntoExternalSponsors;
                case "#microsoft.graph.groupMembers":
                    return groupMembers_1.deserializeIntoGroupMembers;
                case "#microsoft.graph.identityGovernance.ruleBasedSubjectSet":
                    return ruleBasedSubjectSet_1.deserializeIntoRuleBasedSubjectSet;
                case "#microsoft.graph.internalSponsors":
                    return internalSponsors_1.deserializeIntoInternalSponsors;
                case "#microsoft.graph.requestorManager":
                    return requestorManager_1.deserializeIntoRequestorManager;
                case "#microsoft.graph.singleServicePrincipal":
                    return singleServicePrincipal_1.deserializeIntoSingleServicePrincipal;
                case "#microsoft.graph.singleUser":
                    return singleUser_1.deserializeIntoSingleUser;
                case "#microsoft.graph.targetApplicationOwners":
                    return targetApplicationOwners_1.deserializeIntoTargetApplicationOwners;
                case "#microsoft.graph.targetManager":
                    return targetManager_1.deserializeIntoTargetManager;
            }
        }
    }
    return deserializeIntoSubjectSet;
}
exports.createSubjectSetFromDiscriminatorValue = createSubjectSetFromDiscriminatorValue;
function deserializeIntoSubjectSet(subjectSet = {}) {
    return {
        "@odata.type": n => { subjectSet.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSubjectSet = deserializeIntoSubjectSet;
function serializeSubjectSet(writer, subjectSet = {}) {
    writer.writeStringValue("@odata.type", subjectSet.odataType);
    writer.writeAdditionalData(subjectSet.additionalData);
}
exports.serializeSubjectSet = serializeSubjectSet;
// tslint:enable
// eslint-enable
