import { type Entity } from './entity';
import { type LicenseUnitsDetail } from './licenseUnitsDetail';
import { type ServicePlanInfo } from './servicePlanInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createSubscribedSkuFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubscribedSku;
export declare function deserializeIntoSubscribedSku(subscribedSku?: SubscribedSku | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubscribedSku(writer: SerializationWriter, subscribedSku?: SubscribedSku | undefined): void;
export interface SubscribedSku extends Entity, Parsable {
    /**
     * The unique ID of the account this SKU belongs to.
     */
    accountId?: string;
    /**
     * The name of the account this SKU belongs to.
     */
    accountName?: string;
    /**
     * The target class for this SKU. Only SKUs with target class User are assignable. Possible values are: 'User', 'Company'.
     */
    appliesTo?: string;
    /**
     * Enabled indicates that the prepaidUnits property has at least one unit that is enabled. LockedOut indicates that the customer canceled their subscription. Possible values are: Enabled, Warning, Suspended, Deleted, LockedOut.
     */
    capabilityStatus?: string;
    /**
     * The number of licenses that have been assigned.
     */
    consumedUnits?: number;
    /**
     * Information about the number and status of prepaid licenses.
     */
    prepaidUnits?: LicenseUnitsDetail;
    /**
     * Information about the service plans that are available with the SKU. Not nullable.
     */
    servicePlans?: ServicePlanInfo[];
    /**
     * The unique identifier (GUID) for the service SKU.
     */
    skuId?: Guid;
    /**
     * The SKU part number; for example: 'AAD_PREMIUM' or 'RMSBASIC'. To get a list of commercial subscriptions that an organization has acquired, see List subscribedSkus.
     */
    skuPartNumber?: string;
    /**
     * The subscriptionIds property
     */
    subscriptionIds?: string[];
}
