import { type Entity } from './entity';
import { type SynchronizationJob } from './synchronizationJob';
import { type SynchronizationSecretKeyStringValuePair } from './synchronizationSecretKeyStringValuePair';
import { type SynchronizationTemplate } from './synchronizationTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronization;
export declare function deserializeIntoSynchronization(synchronization?: Synchronization | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronization(writer: SerializationWriter, synchronization?: Synchronization | undefined): void;
export interface Synchronization extends Entity, Parsable {
    /**
     * Performs synchronization by periodically running in the background, polling for changes in one directory, and pushing them to another directory.
     */
    jobs?: SynchronizationJob[];
    /**
     * Represents a collection of credentials to access provisioned cloud applications.
     */
    secrets?: SynchronizationSecretKeyStringValuePair[];
    /**
     * Preconfigured synchronization settings for a particular application.
     */
    templates?: SynchronizationTemplate[];
}
