import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationError;
export declare function deserializeIntoSynchronizationError(synchronizationError?: SynchronizationError | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationError(writer: SerializationWriter, synchronizationError?: SynchronizationError | undefined): void;
export interface SynchronizationError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code. For example, AzureDirectoryB2BManagementPolicyCheckFailure.
     */
    code?: string;
    /**
     * The error message. For example, Policy permitting auto-redemption of invitations not configured.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The action to take to resolve the error. For example, false.
     */
    tenantActionable?: boolean;
}
