import { type Entity } from './entity';
import { type KeyValuePair } from './keyValuePair';
import { type SynchronizationSchedule } from './synchronizationSchedule';
import { type SynchronizationSchema } from './synchronizationSchema';
import { type SynchronizationStatus } from './synchronizationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationJobFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationJob;
export declare function deserializeIntoSynchronizationJob(synchronizationJob?: SynchronizationJob | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationJob(writer: SerializationWriter, synchronizationJob?: SynchronizationJob | undefined): void;
export interface SynchronizationJob extends Entity, Parsable {
    /**
     * Schedule used to run the job. Read-only.
     */
    schedule?: SynchronizationSchedule;
    /**
     * The synchronization schema configured for the job.
     */
    schema?: SynchronizationSchema;
    /**
     * Status of the job, which includes when the job was last run, current job state, and errors.
     */
    status?: SynchronizationStatus;
    /**
     * Settings associated with the job. Some settings are inherited from the template.
     */
    synchronizationJobSettings?: KeyValuePair[];
    /**
     * Identifier of the synchronization template this job is based on.
     */
    templateId?: string;
}
