import { type SynchronizationLinkedObjects } from './synchronizationLinkedObjects';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationJobSubjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationJobSubject;
export declare function deserializeIntoSynchronizationJobSubject(synchronizationJobSubject?: SynchronizationJobSubject | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationJobSubject(writer: SerializationWriter, synchronizationJobSubject?: SynchronizationJobSubject | undefined): void;
export interface SynchronizationJobSubject extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Principals that you would like to provision.
     */
    links?: SynchronizationLinkedObjects;
    /**
     * The identifier of an object to which a synchronizationJob is to be applied. Can be one of the following: An onPremisesDistinguishedName for synchronization from Active Directory to Azure AD.The user ID for synchronization from Microsoft Entra ID to a third-party.The Worker ID of the Workday worker for synchronization from Workday to either Active Directory or Microsoft Entra ID.
     */
    objectId?: string;
    /**
     * The type of the object to which a synchronizationJob is to be applied. Can be one of the following: user for synchronizing between Active Directory and Azure AD.User for synchronizing a user between Microsoft Entra ID and a third-party application. Worker for synchronization a user between Workday and either Active Directory or Microsoft Entra ID.Group for synchronizing a group between Microsoft Entra ID and a third-party application.
     */
    objectTypeName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
