import { type SynchronizationJobSubject } from './synchronizationJobSubject';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationLinkedObjectsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationLinkedObjects;
export declare function deserializeIntoSynchronizationLinkedObjects(synchronizationLinkedObjects?: SynchronizationLinkedObjects | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationLinkedObjects(writer: SerializationWriter, synchronizationLinkedObjects?: SynchronizationLinkedObjects | undefined): void;
export interface SynchronizationLinkedObjects extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The manager property
     */
    manager?: SynchronizationJobSubject;
    /**
     * All group members that you would like to provision.
     */
    members?: SynchronizationJobSubject[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The owners property
     */
    owners?: SynchronizationJobSubject[];
}
