import { SynchronizationMetadata } from './synchronizationMetadata';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationMetadataEntryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationMetadataEntry;
export declare function deserializeIntoSynchronizationMetadataEntry(synchronizationMetadataEntry?: SynchronizationMetadataEntry | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationMetadataEntry(writer: SerializationWriter, synchronizationMetadataEntry?: SynchronizationMetadataEntry | undefined): void;
export interface SynchronizationMetadataEntry extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Possible values are: GalleryApplicationIdentifier, GalleryApplicationKey, IsOAuthEnabled, IsSynchronizationAgentAssignmentRequired, IsSynchronizationAgentRequired, IsSynchronizationInPreview, OAuthSettings, SynchronizationLearnMoreIbizaFwLink, ConfigurationFields.
     */
    key?: SynchronizationMetadata;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value of the metadata property.
     */
    value?: string;
}
