import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationProgressFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationProgress;
export declare function deserializeIntoSynchronizationProgress(synchronizationProgress?: SynchronizationProgress | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationProgress(writer: SerializationWriter, synchronizationProgress?: SynchronizationProgress | undefined): void;
export interface SynchronizationProgress extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The numerator of a progress ratio; the number of units of changes already processed.
     */
    completedUnits?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The time of a progress observation as an offset in minutes from UTC.
     */
    progressObservationDateTime?: Date;
    /**
     * The denominator of a progress ratio; a number of units of changes to be processed to accomplish synchronization.
     */
    totalUnits?: number;
    /**
     * An optional description of the units.
     */
    units?: string;
}
