"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSynchronizationRule = exports.deserializeIntoSynchronizationRule = exports.createSynchronizationRuleFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const containerFilter_1 = require("./containerFilter");
const groupFilter_1 = require("./groupFilter");
const objectMapping_1 = require("./objectMapping");
const stringKeyStringValuePair_1 = require("./stringKeyStringValuePair");
function createSynchronizationRuleFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSynchronizationRule;
}
exports.createSynchronizationRuleFromDiscriminatorValue = createSynchronizationRuleFromDiscriminatorValue;
function deserializeIntoSynchronizationRule(synchronizationRule = {}) {
    return {
        "containerFilter": n => { synchronizationRule.containerFilter = n.getObjectValue(containerFilter_1.createContainerFilterFromDiscriminatorValue); },
        "editable": n => { synchronizationRule.editable = n.getBooleanValue(); },
        "groupFilter": n => { synchronizationRule.groupFilter = n.getObjectValue(groupFilter_1.createGroupFilterFromDiscriminatorValue); },
        "id": n => { synchronizationRule.id = n.getStringValue(); },
        "metadata": n => { synchronizationRule.metadata = n.getCollectionOfObjectValues(stringKeyStringValuePair_1.createStringKeyStringValuePairFromDiscriminatorValue); },
        "name": n => { synchronizationRule.name = n.getStringValue(); },
        "objectMappings": n => { synchronizationRule.objectMappings = n.getCollectionOfObjectValues(objectMapping_1.createObjectMappingFromDiscriminatorValue); },
        "@odata.type": n => { synchronizationRule.odataType = n.getStringValue(); },
        "priority": n => { synchronizationRule.priority = n.getNumberValue(); },
        "sourceDirectoryName": n => { synchronizationRule.sourceDirectoryName = n.getStringValue(); },
        "targetDirectoryName": n => { synchronizationRule.targetDirectoryName = n.getStringValue(); },
    };
}
exports.deserializeIntoSynchronizationRule = deserializeIntoSynchronizationRule;
function serializeSynchronizationRule(writer, synchronizationRule = {}) {
    writer.writeObjectValue("containerFilter", synchronizationRule.containerFilter, containerFilter_1.serializeContainerFilter);
    writer.writeBooleanValue("editable", synchronizationRule.editable);
    writer.writeObjectValue("groupFilter", synchronizationRule.groupFilter, groupFilter_1.serializeGroupFilter);
    writer.writeStringValue("id", synchronizationRule.id);
    writer.writeCollectionOfObjectValues("metadata", synchronizationRule.metadata, stringKeyStringValuePair_1.serializeStringKeyStringValuePair);
    writer.writeStringValue("name", synchronizationRule.name);
    writer.writeCollectionOfObjectValues("objectMappings", synchronizationRule.objectMappings, objectMapping_1.serializeObjectMapping);
    writer.writeStringValue("@odata.type", synchronizationRule.odataType);
    writer.writeNumberValue("priority", synchronizationRule.priority);
    writer.writeStringValue("sourceDirectoryName", synchronizationRule.sourceDirectoryName);
    writer.writeStringValue("targetDirectoryName", synchronizationRule.targetDirectoryName);
    writer.writeAdditionalData(synchronizationRule.additionalData);
}
exports.serializeSynchronizationRule = serializeSynchronizationRule;
// tslint:enable
// eslint-enable
