import { SynchronizationScheduleState } from './synchronizationScheduleState';
import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationSchedule;
export declare function deserializeIntoSynchronizationSchedule(synchronizationSchedule?: SynchronizationSchedule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationSchedule(writer: SerializationWriter, synchronizationSchedule?: SynchronizationSchedule | undefined): void;
export interface SynchronizationSchedule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Date and time when this job expires. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    expiration?: Date;
    /**
     * The interval between synchronization iterations. The value is represented in ISO 8601 format for durations. For example, PT1M represents a period of one month.
     */
    interval?: Duration;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: SynchronizationScheduleState;
}
