import { type DirectoryDefinition } from './directoryDefinition';
import { type Entity } from './entity';
import { type SynchronizationRule } from './synchronizationRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationSchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationSchema;
export declare function deserializeIntoSynchronizationSchema(synchronizationSchema?: SynchronizationSchema | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationSchema(writer: SerializationWriter, synchronizationSchema?: SynchronizationSchema | undefined): void;
export interface SynchronizationSchema extends Entity, Parsable {
    /**
     * Contains the collection of directories and all of their objects.
     */
    directories?: DirectoryDefinition[];
    /**
     * A collection of synchronization rules configured for the synchronizationJob or synchronizationTemplate.
     */
    synchronizationRules?: SynchronizationRule[];
    /**
     * The version of the schema, updated automatically with every schema change.
     */
    version?: string;
}
