"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSynchronizationStatus = exports.deserializeIntoSynchronizationStatus = exports.createSynchronizationStatusFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const stringKeyLongValuePair_1 = require("./stringKeyLongValuePair");
const synchronizationProgress_1 = require("./synchronizationProgress");
const synchronizationQuarantine_1 = require("./synchronizationQuarantine");
const synchronizationStatusCode_1 = require("./synchronizationStatusCode");
const synchronizationTaskExecution_1 = require("./synchronizationTaskExecution");
function createSynchronizationStatusFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSynchronizationStatus;
}
exports.createSynchronizationStatusFromDiscriminatorValue = createSynchronizationStatusFromDiscriminatorValue;
function deserializeIntoSynchronizationStatus(synchronizationStatus = {}) {
    return {
        "code": n => { synchronizationStatus.code = n.getEnumValue(synchronizationStatusCode_1.SynchronizationStatusCode); },
        "countSuccessiveCompleteFailures": n => { synchronizationStatus.countSuccessiveCompleteFailures = n.getNumberValue(); },
        "escrowsPruned": n => { synchronizationStatus.escrowsPruned = n.getBooleanValue(); },
        "lastExecution": n => { synchronizationStatus.lastExecution = n.getObjectValue(synchronizationTaskExecution_1.createSynchronizationTaskExecutionFromDiscriminatorValue); },
        "lastSuccessfulExecution": n => { synchronizationStatus.lastSuccessfulExecution = n.getObjectValue(synchronizationTaskExecution_1.createSynchronizationTaskExecutionFromDiscriminatorValue); },
        "lastSuccessfulExecutionWithExports": n => { synchronizationStatus.lastSuccessfulExecutionWithExports = n.getObjectValue(synchronizationTaskExecution_1.createSynchronizationTaskExecutionFromDiscriminatorValue); },
        "@odata.type": n => { synchronizationStatus.odataType = n.getStringValue(); },
        "progress": n => { synchronizationStatus.progress = n.getCollectionOfObjectValues(synchronizationProgress_1.createSynchronizationProgressFromDiscriminatorValue); },
        "quarantine": n => { synchronizationStatus.quarantine = n.getObjectValue(synchronizationQuarantine_1.createSynchronizationQuarantineFromDiscriminatorValue); },
        "steadyStateFirstAchievedTime": n => { synchronizationStatus.steadyStateFirstAchievedTime = n.getDateValue(); },
        "steadyStateLastAchievedTime": n => { synchronizationStatus.steadyStateLastAchievedTime = n.getDateValue(); },
        "synchronizedEntryCountByType": n => { synchronizationStatus.synchronizedEntryCountByType = n.getCollectionOfObjectValues(stringKeyLongValuePair_1.createStringKeyLongValuePairFromDiscriminatorValue); },
        "troubleshootingUrl": n => { synchronizationStatus.troubleshootingUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoSynchronizationStatus = deserializeIntoSynchronizationStatus;
function serializeSynchronizationStatus(writer, synchronizationStatus = {}) {
    writer.writeEnumValue("code", synchronizationStatus.code);
    writer.writeNumberValue("countSuccessiveCompleteFailures", synchronizationStatus.countSuccessiveCompleteFailures);
    writer.writeBooleanValue("escrowsPruned", synchronizationStatus.escrowsPruned);
    writer.writeObjectValue("lastExecution", synchronizationStatus.lastExecution, synchronizationTaskExecution_1.serializeSynchronizationTaskExecution);
    writer.writeObjectValue("lastSuccessfulExecution", synchronizationStatus.lastSuccessfulExecution, synchronizationTaskExecution_1.serializeSynchronizationTaskExecution);
    writer.writeObjectValue("lastSuccessfulExecutionWithExports", synchronizationStatus.lastSuccessfulExecutionWithExports, synchronizationTaskExecution_1.serializeSynchronizationTaskExecution);
    writer.writeStringValue("@odata.type", synchronizationStatus.odataType);
    writer.writeCollectionOfObjectValues("progress", synchronizationStatus.progress, synchronizationProgress_1.serializeSynchronizationProgress);
    writer.writeObjectValue("quarantine", synchronizationStatus.quarantine, synchronizationQuarantine_1.serializeSynchronizationQuarantine);
    writer.writeDateValue("steadyStateFirstAchievedTime", synchronizationStatus.steadyStateFirstAchievedTime);
    writer.writeDateValue("steadyStateLastAchievedTime", synchronizationStatus.steadyStateLastAchievedTime);
    writer.writeCollectionOfObjectValues("synchronizedEntryCountByType", synchronizationStatus.synchronizedEntryCountByType, stringKeyLongValuePair_1.serializeStringKeyLongValuePair);
    writer.writeStringValue("troubleshootingUrl", synchronizationStatus.troubleshootingUrl);
    writer.writeAdditionalData(synchronizationStatus.additionalData);
}
exports.serializeSynchronizationStatus = serializeSynchronizationStatus;
// tslint:enable
// eslint-enable
