import { type Entity } from './entity';
import { type SynchronizationMetadataEntry } from './synchronizationMetadataEntry';
import { type SynchronizationSchema } from './synchronizationSchema';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
import { type Guid } from 'guid-typescript';
export declare function createSynchronizationTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationTemplate;
export declare function deserializeIntoSynchronizationTemplate(synchronizationTemplate?: SynchronizationTemplate | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationTemplate(writer: SerializationWriter, synchronizationTemplate?: SynchronizationTemplate | undefined): void;
export interface SynchronizationTemplate extends Entity, Parsable {
    /**
     * Identifier of the application this template belongs to.
     */
    applicationId?: Guid;
    /**
     * true if this template is recommended to be the default for the application.
     */
    defaultEscaped?: boolean;
    /**
     * Description of the template.
     */
    description?: string;
    /**
     * true if this template should appear in the collection of templates available for the application instance (service principal).
     */
    discoverable?: boolean;
    /**
     * One of the well-known factory tags supported by the synchronization engine. The factoryTag tells the synchronization engine which implementation to use when processing jobs based on this template.
     */
    factoryTag?: string;
    /**
     * Additional extension properties. Unless mentioned explicitly, metadata values should not be changed.
     */
    metadata?: SynchronizationMetadataEntry[];
    /**
     * Default synchronization schema for the jobs based on this template.
     */
    schema?: SynchronizationSchema;
}
