import { GroupType } from './groupType';
import { type ModifiedProperty } from './modifiedProperty';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetResource;
export declare function deserializeIntoTargetResource(targetResource?: TargetResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetResource(writer: SerializationWriter, targetResource?: TargetResource | undefined): void;
export interface TargetResource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates the visible name defined for the resource. Typically specified when the resource is created.
     */
    displayName?: string;
    /**
     * When type is set to Group, this indicates the group type. Possible values are: unifiedGroups, azureAD, and unknownFutureValue
     */
    groupType?: GroupType;
    /**
     * Indicates the unique ID of the resource.
     */
    id?: string;
    /**
     * Indicates name, old value and new value of each attribute that changed. Property values depend on the operation type.
     */
    modifiedProperties?: ModifiedProperty[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Describes the resource type.  Example values include Application, Group, ServicePrincipal, and User.
     */
    type?: string;
    /**
     * When type is set to User, this includes the user name that initiated the action; null for other types.
     */
    userPrincipalName?: string;
}
