import { type ManagedAppConfiguration } from './managedAppConfiguration';
import { type ManagedAppPolicyDeploymentSummary } from './managedAppPolicyDeploymentSummary';
import { type ManagedMobileApp } from './managedMobileApp';
import { type TargetedManagedAppPolicyAssignment } from './targetedManagedAppPolicyAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetedManagedAppConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetedManagedAppConfiguration;
export declare function deserializeIntoTargetedManagedAppConfiguration(targetedManagedAppConfiguration?: TargetedManagedAppConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetedManagedAppConfiguration(writer: SerializationWriter, targetedManagedAppConfiguration?: TargetedManagedAppConfiguration | undefined): void;
export interface TargetedManagedAppConfiguration extends ManagedAppConfiguration, Parsable {
    /**
     * List of apps to which the policy is deployed.
     */
    apps?: ManagedMobileApp[];
    /**
     * Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     */
    assignments?: TargetedManagedAppPolicyAssignment[];
    /**
     * Count of apps to which the current policy is deployed.
     */
    deployedAppCount?: number;
    /**
     * Navigation property to deployment summary of the configuration.
     */
    deploymentSummary?: ManagedAppPolicyDeploymentSummary;
    /**
     * Indicates if the policy is deployed to any inclusion groups or not.
     */
    isAssigned?: boolean;
}
