"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetedManagedAppGroupType = void 0;
/**
 * Indicates a collection of apps to target which can be one of several pre-defined lists of apps or a manually selected list of apps
 */
var TargetedManagedAppGroupType;
(function (TargetedManagedAppGroupType) {
    /** Target the collection of apps manually selected by the admin. */
    TargetedManagedAppGroupType["SelectedPublicApps"] = "selectedPublicApps";
    /** Target the core set of Microsoft apps (Office, Edge, etc). */
    TargetedManagedAppGroupType["AllCoreMicrosoftApps"] = "allCoreMicrosoftApps";
    /** Target all apps with Microsoft as publisher. */
    TargetedManagedAppGroupType["AllMicrosoftApps"] = "allMicrosoftApps";
    /** Target all apps with an available assignment. */
    TargetedManagedAppGroupType["AllApps"] = "allApps";
})(TargetedManagedAppGroupType || (exports.TargetedManagedAppGroupType = TargetedManagedAppGroupType = {}));
// tslint:enable
// eslint-enable
