import { deserializeIntoIosManagedAppProtection } from './iosManagedAppProtection';
import { type ManagedAppProtection } from './managedAppProtection';
import { type TargetedManagedAppPolicyAssignment } from './targetedManagedAppPolicyAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetedManagedAppProtectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosManagedAppProtection;
export declare function deserializeIntoTargetedManagedAppProtection(targetedManagedAppProtection?: TargetedManagedAppProtection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetedManagedAppProtection(writer: SerializationWriter, targetedManagedAppProtection?: TargetedManagedAppProtection | undefined): void;
export interface TargetedManagedAppProtection extends ManagedAppProtection, Parsable {
    /**
     * Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     */
    assignments?: TargetedManagedAppPolicyAssignment[];
    /**
     * Indicates if the policy is deployed to any inclusion groups or not.
     */
    isAssigned?: boolean;
}
