"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTargetedManagedAppProtection = exports.deserializeIntoTargetedManagedAppProtection = exports.createTargetedManagedAppProtectionFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const androidManagedAppProtection_1 = require("./androidManagedAppProtection");
const iosManagedAppProtection_1 = require("./iosManagedAppProtection");
const managedAppProtection_1 = require("./managedAppProtection");
const targetedManagedAppPolicyAssignment_1 = require("./targetedManagedAppPolicyAssignment");
function createTargetedManagedAppProtectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.androidManagedAppProtection":
                    return androidManagedAppProtection_1.deserializeIntoAndroidManagedAppProtection;
                case "#microsoft.graph.iosManagedAppProtection":
                    return iosManagedAppProtection_1.deserializeIntoIosManagedAppProtection;
            }
        }
    }
    return deserializeIntoTargetedManagedAppProtection;
}
exports.createTargetedManagedAppProtectionFromDiscriminatorValue = createTargetedManagedAppProtectionFromDiscriminatorValue;
function deserializeIntoTargetedManagedAppProtection(targetedManagedAppProtection = {}) {
    return Object.assign(Object.assign({}, (0, managedAppProtection_1.deserializeIntoManagedAppProtection)(targetedManagedAppProtection)), { "assignments": n => { targetedManagedAppProtection.assignments = n.getCollectionOfObjectValues(targetedManagedAppPolicyAssignment_1.createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue); }, "isAssigned": n => { targetedManagedAppProtection.isAssigned = n.getBooleanValue(); } });
}
exports.deserializeIntoTargetedManagedAppProtection = deserializeIntoTargetedManagedAppProtection;
function serializeTargetedManagedAppProtection(writer, targetedManagedAppProtection = {}) {
    (0, managedAppProtection_1.serializeManagedAppProtection)(writer, targetedManagedAppProtection);
    writer.writeCollectionOfObjectValues("assignments", targetedManagedAppProtection.assignments, targetedManagedAppPolicyAssignment_1.serializeTargetedManagedAppPolicyAssignment);
    writer.writeBooleanValue("isAssigned", targetedManagedAppProtection.isAssigned);
}
exports.serializeTargetedManagedAppProtection = serializeTargetedManagedAppProtection;
// tslint:enable
// eslint-enable
