"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeam = exports.deserializeIntoTeam = exports.createTeamFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const channel_1 = require("./channel");
const conversationMember_1 = require("./conversationMember");
const entity_1 = require("./entity");
const group_1 = require("./group");
const profilePhoto_1 = require("./profilePhoto");
const resourceSpecificPermissionGrant_1 = require("./resourceSpecificPermissionGrant");
const schedule_1 = require("./schedule");
const teamFunSettings_1 = require("./teamFunSettings");
const teamGuestSettings_1 = require("./teamGuestSettings");
const teamMemberSettings_1 = require("./teamMemberSettings");
const teamMessagingSettings_1 = require("./teamMessagingSettings");
const teamsAppInstallation_1 = require("./teamsAppInstallation");
const teamsAsyncOperation_1 = require("./teamsAsyncOperation");
const teamSpecialization_1 = require("./teamSpecialization");
const teamsTemplate_1 = require("./teamsTemplate");
const teamSummary_1 = require("./teamSummary");
const teamVisibilityType_1 = require("./teamVisibilityType");
const teamworkTag_1 = require("./teamworkTag");
function createTeamFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeam;
}
exports.createTeamFromDiscriminatorValue = createTeamFromDiscriminatorValue;
function deserializeIntoTeam(team = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(team)), { "allChannels": n => { team.allChannels = n.getCollectionOfObjectValues(channel_1.createChannelFromDiscriminatorValue); }, "channels": n => { team.channels = n.getCollectionOfObjectValues(channel_1.createChannelFromDiscriminatorValue); }, "classification": n => { team.classification = n.getStringValue(); }, "createdDateTime": n => { team.createdDateTime = n.getDateValue(); }, "description": n => { team.description = n.getStringValue(); }, "displayName": n => { team.displayName = n.getStringValue(); }, "funSettings": n => { team.funSettings = n.getObjectValue(teamFunSettings_1.createTeamFunSettingsFromDiscriminatorValue); }, "group": n => { team.group = n.getObjectValue(group_1.createGroupFromDiscriminatorValue); }, "guestSettings": n => { team.guestSettings = n.getObjectValue(teamGuestSettings_1.createTeamGuestSettingsFromDiscriminatorValue); }, "incomingChannels": n => { team.incomingChannels = n.getCollectionOfObjectValues(channel_1.createChannelFromDiscriminatorValue); }, "installedApps": n => { team.installedApps = n.getCollectionOfObjectValues(teamsAppInstallation_1.createTeamsAppInstallationFromDiscriminatorValue); }, "internalId": n => { team.internalId = n.getStringValue(); }, "isArchived": n => { team.isArchived = n.getBooleanValue(); }, "members": n => { team.members = n.getCollectionOfObjectValues(conversationMember_1.createConversationMemberFromDiscriminatorValue); }, "memberSettings": n => { team.memberSettings = n.getObjectValue(teamMemberSettings_1.createTeamMemberSettingsFromDiscriminatorValue); }, "messagingSettings": n => { team.messagingSettings = n.getObjectValue(teamMessagingSettings_1.createTeamMessagingSettingsFromDiscriminatorValue); }, "operations": n => { team.operations = n.getCollectionOfObjectValues(teamsAsyncOperation_1.createTeamsAsyncOperationFromDiscriminatorValue); }, "permissionGrants": n => { team.permissionGrants = n.getCollectionOfObjectValues(resourceSpecificPermissionGrant_1.createResourceSpecificPermissionGrantFromDiscriminatorValue); }, "photo": n => { team.photo = n.getObjectValue(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "primaryChannel": n => { team.primaryChannel = n.getObjectValue(channel_1.createChannelFromDiscriminatorValue); }, "schedule": n => { team.schedule = n.getObjectValue(schedule_1.createScheduleFromDiscriminatorValue); }, "specialization": n => { team.specialization = n.getEnumValue(teamSpecialization_1.TeamSpecialization); }, "summary": n => { team.summary = n.getObjectValue(teamSummary_1.createTeamSummaryFromDiscriminatorValue); }, "tags": n => { team.tags = n.getCollectionOfObjectValues(teamworkTag_1.createTeamworkTagFromDiscriminatorValue); }, "template": n => { team.template = n.getObjectValue(teamsTemplate_1.createTeamsTemplateFromDiscriminatorValue); }, "tenantId": n => { team.tenantId = n.getStringValue(); }, "visibility": n => { team.visibility = n.getEnumValue(teamVisibilityType_1.TeamVisibilityType); }, "webUrl": n => { team.webUrl = n.getStringValue(); } });
}
exports.deserializeIntoTeam = deserializeIntoTeam;
function serializeTeam(writer, team = {}) {
    (0, entity_1.serializeEntity)(writer, team);
    writer.writeCollectionOfObjectValues("allChannels", team.allChannels, channel_1.serializeChannel);
    writer.writeCollectionOfObjectValues("channels", team.channels, channel_1.serializeChannel);
    writer.writeStringValue("classification", team.classification);
    writer.writeDateValue("createdDateTime", team.createdDateTime);
    writer.writeStringValue("description", team.description);
    writer.writeStringValue("displayName", team.displayName);
    writer.writeObjectValue("funSettings", team.funSettings, teamFunSettings_1.serializeTeamFunSettings);
    writer.writeObjectValue("group", team.group, group_1.serializeGroup);
    writer.writeObjectValue("guestSettings", team.guestSettings, teamGuestSettings_1.serializeTeamGuestSettings);
    writer.writeCollectionOfObjectValues("incomingChannels", team.incomingChannels, channel_1.serializeChannel);
    writer.writeCollectionOfObjectValues("installedApps", team.installedApps, teamsAppInstallation_1.serializeTeamsAppInstallation);
    writer.writeStringValue("internalId", team.internalId);
    writer.writeBooleanValue("isArchived", team.isArchived);
    writer.writeCollectionOfObjectValues("members", team.members, conversationMember_1.serializeConversationMember);
    writer.writeObjectValue("memberSettings", team.memberSettings, teamMemberSettings_1.serializeTeamMemberSettings);
    writer.writeObjectValue("messagingSettings", team.messagingSettings, teamMessagingSettings_1.serializeTeamMessagingSettings);
    writer.writeCollectionOfObjectValues("operations", team.operations, teamsAsyncOperation_1.serializeTeamsAsyncOperation);
    writer.writeCollectionOfObjectValues("permissionGrants", team.permissionGrants, resourceSpecificPermissionGrant_1.serializeResourceSpecificPermissionGrant);
    writer.writeObjectValue("photo", team.photo, profilePhoto_1.serializeProfilePhoto);
    writer.writeObjectValue("primaryChannel", team.primaryChannel, channel_1.serializeChannel);
    writer.writeObjectValue("schedule", team.schedule, schedule_1.serializeSchedule);
    writer.writeEnumValue("specialization", team.specialization);
    writer.writeObjectValue("summary", team.summary, teamSummary_1.serializeTeamSummary);
    writer.writeCollectionOfObjectValues("tags", team.tags, teamworkTag_1.serializeTeamworkTag);
    writer.writeObjectValue("template", team.template, teamsTemplate_1.serializeTeamsTemplate);
    writer.writeStringValue("tenantId", team.tenantId);
    writer.writeEnumValue("visibility", team.visibility);
    writer.writeStringValue("webUrl", team.webUrl);
}
exports.serializeTeam = serializeTeam;
// tslint:enable
// eslint-enable
