import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamCreatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamCreatedEventMessageDetail;
export declare function deserializeIntoTeamCreatedEventMessageDetail(teamCreatedEventMessageDetail?: TeamCreatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamCreatedEventMessageDetail(writer: SerializationWriter, teamCreatedEventMessageDetail?: TeamCreatedEventMessageDetail | undefined): void;
export interface TeamCreatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Description for the team.
     */
    teamDescription?: string;
    /**
     * Display name of the team.
     */
    teamDisplayName?: string;
    /**
     * Unique identifier of the team.
     */
    teamId?: string;
}
