import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamDescriptionUpdatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamDescriptionUpdatedEventMessageDetail;
export declare function deserializeIntoTeamDescriptionUpdatedEventMessageDetail(teamDescriptionUpdatedEventMessageDetail?: TeamDescriptionUpdatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamDescriptionUpdatedEventMessageDetail(writer: SerializationWriter, teamDescriptionUpdatedEventMessageDetail?: TeamDescriptionUpdatedEventMessageDetail | undefined): void;
export interface TeamDescriptionUpdatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * The updated description for the team.
     */
    teamDescription?: string;
    /**
     * Unique identifier of the team.
     */
    teamId?: string;
}
