import { GiphyRatingType } from './giphyRatingType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamFunSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamFunSettings;
export declare function deserializeIntoTeamFunSettings(teamFunSettings?: TeamFunSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamFunSettings(writer: SerializationWriter, teamFunSettings?: TeamFunSettings | undefined): void;
export interface TeamFunSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If set to true, enables users to include custom memes.
     */
    allowCustomMemes?: boolean;
    /**
     * If set to true, enables Giphy use.
     */
    allowGiphy?: boolean;
    /**
     * If set to true, enables users to include stickers and memes.
     */
    allowStickersAndMemes?: boolean;
    /**
     * Giphy content rating. Possible values are: moderate, strict.
     */
    giphyContentRating?: GiphyRatingType;
    /**
     * The OdataType property
     */
    odataType?: string;
}
