import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamGuestSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamGuestSettings;
export declare function deserializeIntoTeamGuestSettings(teamGuestSettings?: TeamGuestSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamGuestSettings(writer: SerializationWriter, teamGuestSettings?: TeamGuestSettings | undefined): void;
export interface TeamGuestSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If set to true, guests can add and update channels.
     */
    allowCreateUpdateChannels?: boolean;
    /**
     * If set to true, guests can delete channels.
     */
    allowDeleteChannels?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
