import { deserializeIntoAssociatedTeamInfo } from './associatedTeamInfo';
import { type Entity } from './entity';
import { type Team } from './team';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssociatedTeamInfo;
export declare function deserializeIntoTeamInfo(teamInfo?: TeamInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamInfo(writer: SerializationWriter, teamInfo?: TeamInfo | undefined): void;
export interface TeamInfo extends Entity, Parsable {
    /**
     * The name of the team.
     */
    displayName?: string;
    /**
     * The team property
     */
    team?: Team;
    /**
     * The ID of the Microsoft Entra tenant.
     */
    tenantId?: string;
}
