import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamMemberSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamMemberSettings;
export declare function deserializeIntoTeamMemberSettings(teamMemberSettings?: TeamMemberSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamMemberSettings(writer: SerializationWriter, teamMemberSettings?: TeamMemberSettings | undefined): void;
export interface TeamMemberSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If set to true, members can add and remove apps.
     */
    allowAddRemoveApps?: boolean;
    /**
     * If set to true, members can add and update private channels.
     */
    allowCreatePrivateChannels?: boolean;
    /**
     * If set to true, members can add and update channels.
     */
    allowCreateUpdateChannels?: boolean;
    /**
     * If set to true, members can add, update, and remove connectors.
     */
    allowCreateUpdateRemoveConnectors?: boolean;
    /**
     * If set to true, members can add, update, and remove tabs.
     */
    allowCreateUpdateRemoveTabs?: boolean;
    /**
     * If set to true, members can delete channels.
     */
    allowDeleteChannels?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
