import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamMessagingSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamMessagingSettings;
export declare function deserializeIntoTeamMessagingSettings(teamMessagingSettings?: TeamMessagingSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamMessagingSettings(writer: SerializationWriter, teamMessagingSettings?: TeamMessagingSettings | undefined): void;
export interface TeamMessagingSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If set to true, @channel mentions are allowed.
     */
    allowChannelMentions?: boolean;
    /**
     * If set to true, owners can delete any message.
     */
    allowOwnerDeleteMessages?: boolean;
    /**
     * If set to true, @team mentions are allowed.
     */
    allowTeamMentions?: boolean;
    /**
     * If set to true, users can delete their messages.
     */
    allowUserDeleteMessages?: boolean;
    /**
     * If set to true, users can edit their messages.
     */
    allowUserEditMessages?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
