import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamSummary;
export declare function deserializeIntoTeamSummary(teamSummary?: TeamSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamSummary(writer: SerializationWriter, teamSummary?: TeamSummary | undefined): void;
export interface TeamSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of guests in a team.
     */
    guestsCount?: number;
    /**
     * Count of members in a team.
     */
    membersCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Count of owners in a team.
     */
    ownersCount?: number;
}
