"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeamSummary = exports.deserializeIntoTeamSummary = exports.createTeamSummaryFromDiscriminatorValue = void 0;
function createTeamSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeamSummary;
}
exports.createTeamSummaryFromDiscriminatorValue = createTeamSummaryFromDiscriminatorValue;
function deserializeIntoTeamSummary(teamSummary = {}) {
    return {
        "guestsCount": n => { teamSummary.guestsCount = n.getNumberValue(); },
        "membersCount": n => { teamSummary.membersCount = n.getNumberValue(); },
        "@odata.type": n => { teamSummary.odataType = n.getStringValue(); },
        "ownersCount": n => { teamSummary.ownersCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoTeamSummary = deserializeIntoTeamSummary;
function serializeTeamSummary(writer, teamSummary = {}) {
    writer.writeNumberValue("guestsCount", teamSummary.guestsCount);
    writer.writeNumberValue("membersCount", teamSummary.membersCount);
    writer.writeStringValue("@odata.type", teamSummary.odataType);
    writer.writeNumberValue("ownersCount", teamSummary.ownersCount);
    writer.writeAdditionalData(teamSummary.additionalData);
}
exports.serializeTeamSummary = serializeTeamSummary;
// tslint:enable
// eslint-enable
