import { type Entity } from './entity';
import { type TeamsAppDefinition } from './teamsAppDefinition';
import { TeamsAppDistributionMethod } from './teamsAppDistributionMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsApp;
export declare function deserializeIntoTeamsApp(teamsApp?: TeamsApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsApp(writer: SerializationWriter, teamsApp?: TeamsApp | undefined): void;
export interface TeamsApp extends Entity, Parsable {
    /**
     * The details for each version of the app.
     */
    appDefinitions?: TeamsAppDefinition[];
    /**
     * The name of the catalog app provided by the app developer in the Microsoft Teams zip app package.
     */
    displayName?: string;
    /**
     * The method of distribution for the app. Read-only.
     */
    distributionMethod?: TeamsAppDistributionMethod;
    /**
     * The ID of the catalog provided by the app developer in the Microsoft Teams zip app package.
     */
    externalId?: string;
}
