import { type TeamsAppPermissionSet } from './teamsAppPermissionSet';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppAuthorizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppAuthorization;
export declare function deserializeIntoTeamsAppAuthorization(teamsAppAuthorization?: TeamsAppAuthorization | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppAuthorization(writer: SerializationWriter, teamsAppAuthorization?: TeamsAppAuthorization | undefined): void;
export interface TeamsAppAuthorization extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Set of permissions required by the teamsApp.
     */
    requiredPermissionSet?: TeamsAppPermissionSet;
}
