import { type Entity } from './entity';
import { type IdentitySet } from './identitySet';
import { type TeamsAppAuthorization } from './teamsAppAuthorization';
import { TeamsAppPublishingState } from './teamsAppPublishingState';
import { type TeamworkBot } from './teamworkBot';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppDefinition;
export declare function deserializeIntoTeamsAppDefinition(teamsAppDefinition?: TeamsAppDefinition | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppDefinition(writer: SerializationWriter, teamsAppDefinition?: TeamsAppDefinition | undefined): void;
export interface TeamsAppDefinition extends Entity, Parsable {
    /**
     * Authorization requirements specified in the Teams app manifest.
     */
    authorization?: TeamsAppAuthorization;
    /**
     * The details of the bot specified in the Teams app manifest.
     */
    bot?: TeamworkBot;
    /**
     * The createdBy property
     */
    createdBy?: IdentitySet;
    /**
     * Verbose description of the application.
     */
    description?: string;
    /**
     * The name of the app provided by the app developer.
     */
    displayName?: string;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The published status of a specific version of a Teams app. Possible values are:submitted—The specific version of the Teams app has been submitted and is under review. published—The request to publish the specific version of the Teams app has been approved by the admin and the app is published.  rejected—The admin rejected the request to publish the specific version of the Teams app.
     */
    publishingState?: TeamsAppPublishingState;
    /**
     * Short description of the application.
     */
    shortDescription?: string;
    /**
     * The ID from the Teams app manifest.
     */
    teamsAppId?: string;
    /**
     * The version number of the application.
     */
    version?: string;
}
