import { type Entity } from './entity';
import { type TeamsApp } from './teamsApp';
import { type TeamsAppDefinition } from './teamsAppDefinition';
import { type TeamsAppPermissionSet } from './teamsAppPermissionSet';
import { deserializeIntoUserScopeTeamsAppInstallation } from './userScopeTeamsAppInstallation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppInstallationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserScopeTeamsAppInstallation;
export declare function deserializeIntoTeamsAppInstallation(teamsAppInstallation?: TeamsAppInstallation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppInstallation(writer: SerializationWriter, teamsAppInstallation?: TeamsAppInstallation | undefined): void;
export interface TeamsAppInstallation extends Entity, Parsable {
    /**
     * The set of resource-specific permissions consented to while installing or upgrading the teamsApp.
     */
    consentedPermissionSet?: TeamsAppPermissionSet;
    /**
     * The app that is installed.
     */
    teamsApp?: TeamsApp;
    /**
     * The details of this version of the app.
     */
    teamsAppDefinition?: TeamsAppDefinition;
}
