import { type Entity } from './entity';
import { type OperationError } from './operationError';
import { TeamsAsyncOperationStatus } from './teamsAsyncOperationStatus';
import { TeamsAsyncOperationType } from './teamsAsyncOperationType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAsyncOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAsyncOperation;
export declare function deserializeIntoTeamsAsyncOperation(teamsAsyncOperation?: TeamsAsyncOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAsyncOperation(writer: SerializationWriter, teamsAsyncOperation?: TeamsAsyncOperation | undefined): void;
export interface TeamsAsyncOperation extends Entity, Parsable {
    /**
     * Number of times the operation was attempted before being marked successful or failed.
     */
    attemptsCount?: number;
    /**
     * Time when the operation was created.
     */
    createdDateTime?: Date;
    /**
     * Any error that causes the async operation to fail.
     */
    errorEscaped?: OperationError;
    /**
     * Time when the async operation was last updated.
     */
    lastActionDateTime?: Date;
    /**
     * The operationType property
     */
    operationType?: TeamsAsyncOperationType;
    /**
     * The status property
     */
    status?: TeamsAsyncOperationStatus;
    /**
     * The ID of the object that's created or modified as result of this async operation, typically a team.
     */
    targetResourceId?: string;
    /**
     * The location of the object that's created or modified as result of this async operation. This URL should be treated as an opaque value and not parsed into its component paths.
     */
    targetResourceLocation?: string;
}
