import { type Entity } from './entity';
import { type TeamsApp } from './teamsApp';
import { type TeamsTabConfiguration } from './teamsTabConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsTabFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsTab;
export declare function deserializeIntoTeamsTab(teamsTab?: TeamsTab | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsTab(writer: SerializationWriter, teamsTab?: TeamsTab | undefined): void;
export interface TeamsTab extends Entity, Parsable {
    /**
     * Container for custom settings applied to a tab. The tab is considered configured only once this property is set.
     */
    configuration?: TeamsTabConfiguration;
    /**
     * Name of the tab.
     */
    displayName?: string;
    /**
     * The application that is linked to the tab. This can't be changed after tab creation.
     */
    teamsApp?: TeamsApp;
    /**
     * Deep link URL of the tab instance. Read only.
     */
    webUrl?: string;
}
