import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsTabConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsTabConfiguration;
export declare function deserializeIntoTeamsTabConfiguration(teamsTabConfiguration?: TeamsTabConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsTabConfiguration(writer: SerializationWriter, teamsTabConfiguration?: TeamsTabConfiguration | undefined): void;
export interface TeamsTabConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Url used for rendering tab contents in Teams. Required.
     */
    contentUrl?: string;
    /**
     * Identifier for the entity hosted by the tab provider.
     */
    entityId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Url called by Teams client when a Tab is removed using the Teams Client.
     */
    removeUrl?: string;
    /**
     * Url for showing tab contents outside of Teams.
     */
    websiteUrl?: string;
}
