import { type DeletedTeam } from './deletedTeam';
import { type Entity } from './entity';
import { type TeamsAppSettings } from './teamsAppSettings';
import { type WorkforceIntegration } from './workforceIntegration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamwork;
export declare function deserializeIntoTeamwork(teamwork?: Teamwork | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamwork(writer: SerializationWriter, teamwork?: Teamwork | undefined): void;
export interface Teamwork extends Entity, Parsable {
    /**
     * The deleted team.
     */
    deletedTeams?: DeletedTeam[];
    /**
     * Represents tenant-wide settings for all Teams apps in the tenant.
     */
    teamsAppSettings?: TeamsAppSettings;
    /**
     * The workforceIntegrations property
     */
    workforceIntegrations?: WorkforceIntegration[];
}
