import { type Identity } from './identity';
import { TeamworkApplicationIdentityType } from './teamworkApplicationIdentityType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkApplicationIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkApplicationIdentity;
export declare function deserializeIntoTeamworkApplicationIdentity(teamworkApplicationIdentity?: TeamworkApplicationIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkApplicationIdentity(writer: SerializationWriter, teamworkApplicationIdentity?: TeamworkApplicationIdentity | undefined): void;
export interface TeamworkApplicationIdentity extends Identity, Parsable {
    /**
     * Type of application that is referenced. Possible values are: aadApplication, bot, tenantBot, office365Connector, outgoingWebhook, and unknownFutureValue.
     */
    applicationIdentityType?: TeamworkApplicationIdentityType;
}
