import { deserializeIntoChatMessageHostedContent } from './chatMessageHostedContent';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkHostedContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageHostedContent;
export declare function deserializeIntoTeamworkHostedContent(teamworkHostedContent?: TeamworkHostedContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkHostedContent(writer: SerializationWriter, teamworkHostedContent?: TeamworkHostedContent | undefined): void;
export interface TeamworkHostedContent extends Entity, Parsable {
    /**
     * Write only. Bytes for the hosted content (such as images).
     */
    contentBytes?: string;
    /**
     * Write only. Content type. such as image/png, image/jpg.
     */
    contentType?: string;
}
