import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkOnlineMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkOnlineMeetingInfo;
export declare function deserializeIntoTeamworkOnlineMeetingInfo(teamworkOnlineMeetingInfo?: TeamworkOnlineMeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkOnlineMeetingInfo(writer: SerializationWriter, teamworkOnlineMeetingInfo?: TeamworkOnlineMeetingInfo | undefined): void;
export interface TeamworkOnlineMeetingInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The identifier of the calendar event associated with the meeting.
     */
    calendarEventId?: string;
    /**
     * The URL that users click to join or uniquely identify the meeting.
     */
    joinWebUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The organizer of the meeting.
     */
    organizer?: TeamworkUserIdentity;
}
