import { type Entity } from './entity';
import { type TeamworkTagMember } from './teamworkTagMember';
import { TeamworkTagType } from './teamworkTagType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkTagFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkTag;
export declare function deserializeIntoTeamworkTag(teamworkTag?: TeamworkTag | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkTag(writer: SerializationWriter, teamworkTag?: TeamworkTag | undefined): void;
export interface TeamworkTag extends Entity, Parsable {
    /**
     * The description of the tag as it appears to the user in Microsoft Teams. A teamworkTag can't have more than 200 teamworkTagMembers.
     */
    description?: string;
    /**
     * The name of the tag as it appears to the user in Microsoft Teams.
     */
    displayName?: string;
    /**
     * The number of users assigned to the tag.
     */
    memberCount?: number;
    /**
     * Users assigned to the tag.
     */
    members?: TeamworkTagMember[];
    /**
     * The type of the tag. Default is standard.
     */
    tagType?: TeamworkTagType;
    /**
     * ID of the team in which the tag is defined.
     */
    teamId?: string;
}
