import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkTagMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkTagMember;
export declare function deserializeIntoTeamworkTagMember(teamworkTagMember?: TeamworkTagMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkTagMember(writer: SerializationWriter, teamworkTagMember?: TeamworkTagMember | undefined): void;
export interface TeamworkTagMember extends Entity, Parsable {
    /**
     * The member's display name.
     */
    displayName?: string;
    /**
     * The ID of the tenant that the tag member is a part of.
     */
    tenantId?: string;
    /**
     * The user ID of the member.
     */
    userId?: string;
}
