import { type Identity } from './identity';
import { TeamworkUserIdentityType } from './teamworkUserIdentityType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkUserIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkUserIdentity;
export declare function deserializeIntoTeamworkUserIdentity(teamworkUserIdentity?: TeamworkUserIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkUserIdentity(writer: SerializationWriter, teamworkUserIdentity?: TeamworkUserIdentity | undefined): void;
export interface TeamworkUserIdentity extends Identity, Parsable {
    /**
     * Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, unknownFutureValue and emailUser.
     */
    userIdentityType?: TeamworkUserIdentityType;
}
