import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTelecomExpenseManagementPartnerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTelecomExpenseManagementPartner;
export declare function deserializeIntoTelecomExpenseManagementPartner(telecomExpenseManagementPartner?: TelecomExpenseManagementPartner | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTelecomExpenseManagementPartner(writer: SerializationWriter, telecomExpenseManagementPartner?: TelecomExpenseManagementPartner | undefined): void;
export interface TelecomExpenseManagementPartner extends Entity, Parsable {
    /**
     * Whether the partner's AAD app has been authorized to access Intune.
     */
    appAuthorized?: boolean;
    /**
     * Display name of the TEM partner.
     */
    displayName?: string;
    /**
     * Whether Intune's connection to the TEM service is currently enabled or disabled.
     */
    enabled?: boolean;
    /**
     * Timestamp of the last request sent to Intune by the TEM partner.
     */
    lastConnectionDateTime?: Date;
    /**
     * URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service.
     */
    url?: string;
}
