"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeleconferenceDeviceMediaQuality = exports.deserializeIntoTeleconferenceDeviceMediaQuality = exports.createTeleconferenceDeviceMediaQualityFromDiscriminatorValue = void 0;
const teleconferenceDeviceAudioQuality_1 = require("./teleconferenceDeviceAudioQuality");
const teleconferenceDeviceScreenSharingQuality_1 = require("./teleconferenceDeviceScreenSharingQuality");
const teleconferenceDeviceVideoQuality_1 = require("./teleconferenceDeviceVideoQuality");
function createTeleconferenceDeviceMediaQualityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.teleconferenceDeviceAudioQuality":
                    return teleconferenceDeviceAudioQuality_1.deserializeIntoTeleconferenceDeviceAudioQuality;
                case "#microsoft.graph.teleconferenceDeviceScreenSharingQuality":
                    return teleconferenceDeviceScreenSharingQuality_1.deserializeIntoTeleconferenceDeviceScreenSharingQuality;
                case "#microsoft.graph.teleconferenceDeviceVideoQuality":
                    return teleconferenceDeviceVideoQuality_1.deserializeIntoTeleconferenceDeviceVideoQuality;
            }
        }
    }
    return deserializeIntoTeleconferenceDeviceMediaQuality;
}
exports.createTeleconferenceDeviceMediaQualityFromDiscriminatorValue = createTeleconferenceDeviceMediaQualityFromDiscriminatorValue;
function deserializeIntoTeleconferenceDeviceMediaQuality(teleconferenceDeviceMediaQuality = {}) {
    return {
        "averageInboundJitter": n => { teleconferenceDeviceMediaQuality.averageInboundJitter = n.getDurationValue(); },
        "averageInboundPacketLossRateInPercentage": n => { teleconferenceDeviceMediaQuality.averageInboundPacketLossRateInPercentage = n.getNumberValue(); },
        "averageInboundRoundTripDelay": n => { teleconferenceDeviceMediaQuality.averageInboundRoundTripDelay = n.getDurationValue(); },
        "averageOutboundJitter": n => { teleconferenceDeviceMediaQuality.averageOutboundJitter = n.getDurationValue(); },
        "averageOutboundPacketLossRateInPercentage": n => { teleconferenceDeviceMediaQuality.averageOutboundPacketLossRateInPercentage = n.getNumberValue(); },
        "averageOutboundRoundTripDelay": n => { teleconferenceDeviceMediaQuality.averageOutboundRoundTripDelay = n.getDurationValue(); },
        "channelIndex": n => { teleconferenceDeviceMediaQuality.channelIndex = n.getNumberValue(); },
        "inboundPackets": n => { teleconferenceDeviceMediaQuality.inboundPackets = n.getNumberValue(); },
        "localIPAddress": n => { teleconferenceDeviceMediaQuality.localIPAddress = n.getStringValue(); },
        "localPort": n => { teleconferenceDeviceMediaQuality.localPort = n.getNumberValue(); },
        "maximumInboundJitter": n => { teleconferenceDeviceMediaQuality.maximumInboundJitter = n.getDurationValue(); },
        "maximumInboundPacketLossRateInPercentage": n => { teleconferenceDeviceMediaQuality.maximumInboundPacketLossRateInPercentage = n.getNumberValue(); },
        "maximumInboundRoundTripDelay": n => { teleconferenceDeviceMediaQuality.maximumInboundRoundTripDelay = n.getDurationValue(); },
        "maximumOutboundJitter": n => { teleconferenceDeviceMediaQuality.maximumOutboundJitter = n.getDurationValue(); },
        "maximumOutboundPacketLossRateInPercentage": n => { teleconferenceDeviceMediaQuality.maximumOutboundPacketLossRateInPercentage = n.getNumberValue(); },
        "maximumOutboundRoundTripDelay": n => { teleconferenceDeviceMediaQuality.maximumOutboundRoundTripDelay = n.getDurationValue(); },
        "mediaDuration": n => { teleconferenceDeviceMediaQuality.mediaDuration = n.getDurationValue(); },
        "networkLinkSpeedInBytes": n => { teleconferenceDeviceMediaQuality.networkLinkSpeedInBytes = n.getNumberValue(); },
        "@odata.type": n => { teleconferenceDeviceMediaQuality.odataType = n.getStringValue(); },
        "outboundPackets": n => { teleconferenceDeviceMediaQuality.outboundPackets = n.getNumberValue(); },
        "remoteIPAddress": n => { teleconferenceDeviceMediaQuality.remoteIPAddress = n.getStringValue(); },
        "remotePort": n => { teleconferenceDeviceMediaQuality.remotePort = n.getNumberValue(); },
    };
}
exports.deserializeIntoTeleconferenceDeviceMediaQuality = deserializeIntoTeleconferenceDeviceMediaQuality;
function serializeTeleconferenceDeviceMediaQuality(writer, teleconferenceDeviceMediaQuality = {}) {
    writer.writeDurationValue("averageInboundJitter", teleconferenceDeviceMediaQuality.averageInboundJitter);
    writer.writeNumberValue("averageInboundPacketLossRateInPercentage", teleconferenceDeviceMediaQuality.averageInboundPacketLossRateInPercentage);
    writer.writeDurationValue("averageInboundRoundTripDelay", teleconferenceDeviceMediaQuality.averageInboundRoundTripDelay);
    writer.writeDurationValue("averageOutboundJitter", teleconferenceDeviceMediaQuality.averageOutboundJitter);
    writer.writeNumberValue("averageOutboundPacketLossRateInPercentage", teleconferenceDeviceMediaQuality.averageOutboundPacketLossRateInPercentage);
    writer.writeDurationValue("averageOutboundRoundTripDelay", teleconferenceDeviceMediaQuality.averageOutboundRoundTripDelay);
    writer.writeNumberValue("channelIndex", teleconferenceDeviceMediaQuality.channelIndex);
    writer.writeNumberValue("inboundPackets", teleconferenceDeviceMediaQuality.inboundPackets);
    writer.writeStringValue("localIPAddress", teleconferenceDeviceMediaQuality.localIPAddress);
    writer.writeNumberValue("localPort", teleconferenceDeviceMediaQuality.localPort);
    writer.writeDurationValue("maximumInboundJitter", teleconferenceDeviceMediaQuality.maximumInboundJitter);
    writer.writeNumberValue("maximumInboundPacketLossRateInPercentage", teleconferenceDeviceMediaQuality.maximumInboundPacketLossRateInPercentage);
    writer.writeDurationValue("maximumInboundRoundTripDelay", teleconferenceDeviceMediaQuality.maximumInboundRoundTripDelay);
    writer.writeDurationValue("maximumOutboundJitter", teleconferenceDeviceMediaQuality.maximumOutboundJitter);
    writer.writeNumberValue("maximumOutboundPacketLossRateInPercentage", teleconferenceDeviceMediaQuality.maximumOutboundPacketLossRateInPercentage);
    writer.writeDurationValue("maximumOutboundRoundTripDelay", teleconferenceDeviceMediaQuality.maximumOutboundRoundTripDelay);
    writer.writeDurationValue("mediaDuration", teleconferenceDeviceMediaQuality.mediaDuration);
    writer.writeNumberValue("networkLinkSpeedInBytes", teleconferenceDeviceMediaQuality.networkLinkSpeedInBytes);
    writer.writeStringValue("@odata.type", teleconferenceDeviceMediaQuality.odataType);
    writer.writeNumberValue("outboundPackets", teleconferenceDeviceMediaQuality.outboundPackets);
    writer.writeStringValue("remoteIPAddress", teleconferenceDeviceMediaQuality.remoteIPAddress);
    writer.writeNumberValue("remotePort", teleconferenceDeviceMediaQuality.remotePort);
    writer.writeAdditionalData(teleconferenceDeviceMediaQuality.additionalData);
}
exports.serializeTeleconferenceDeviceMediaQuality = serializeTeleconferenceDeviceMediaQuality;
// tslint:enable
// eslint-enable
