import { type TeleconferenceDeviceMediaQuality } from './teleconferenceDeviceMediaQuality';
import { deserializeIntoTeleconferenceDeviceScreenSharingQuality } from './teleconferenceDeviceScreenSharingQuality';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeleconferenceDeviceVideoQualityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeleconferenceDeviceScreenSharingQuality;
export declare function deserializeIntoTeleconferenceDeviceVideoQuality(teleconferenceDeviceVideoQuality?: TeleconferenceDeviceVideoQuality | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeleconferenceDeviceVideoQuality(writer: SerializationWriter, teleconferenceDeviceVideoQuality?: TeleconferenceDeviceVideoQuality | undefined): void;
export interface TeleconferenceDeviceVideoQuality extends Parsable, TeleconferenceDeviceMediaQuality {
    /**
     * The average inbound stream video bit rate per second.
     */
    averageInboundBitRate?: number;
    /**
     * The average inbound stream video frame rate per second.
     */
    averageInboundFrameRate?: number;
    /**
     * The average outbound stream video bit rate per second.
     */
    averageOutboundBitRate?: number;
    /**
     * The average outbound stream video frame rate per second.
     */
    averageOutboundFrameRate?: number;
}
