"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeleconferenceDeviceVideoQuality = exports.deserializeIntoTeleconferenceDeviceVideoQuality = exports.createTeleconferenceDeviceVideoQualityFromDiscriminatorValue = void 0;
const teleconferenceDeviceMediaQuality_1 = require("./teleconferenceDeviceMediaQuality");
const teleconferenceDeviceScreenSharingQuality_1 = require("./teleconferenceDeviceScreenSharingQuality");
function createTeleconferenceDeviceVideoQualityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.teleconferenceDeviceScreenSharingQuality":
                    return teleconferenceDeviceScreenSharingQuality_1.deserializeIntoTeleconferenceDeviceScreenSharingQuality;
            }
        }
    }
    return deserializeIntoTeleconferenceDeviceVideoQuality;
}
exports.createTeleconferenceDeviceVideoQualityFromDiscriminatorValue = createTeleconferenceDeviceVideoQualityFromDiscriminatorValue;
function deserializeIntoTeleconferenceDeviceVideoQuality(teleconferenceDeviceVideoQuality = {}) {
    return Object.assign(Object.assign({}, (0, teleconferenceDeviceMediaQuality_1.deserializeIntoTeleconferenceDeviceMediaQuality)(teleconferenceDeviceVideoQuality)), { "averageInboundBitRate": n => { teleconferenceDeviceVideoQuality.averageInboundBitRate = n.getNumberValue(); }, "averageInboundFrameRate": n => { teleconferenceDeviceVideoQuality.averageInboundFrameRate = n.getNumberValue(); }, "averageOutboundBitRate": n => { teleconferenceDeviceVideoQuality.averageOutboundBitRate = n.getNumberValue(); }, "averageOutboundFrameRate": n => { teleconferenceDeviceVideoQuality.averageOutboundFrameRate = n.getNumberValue(); } });
}
exports.deserializeIntoTeleconferenceDeviceVideoQuality = deserializeIntoTeleconferenceDeviceVideoQuality;
function serializeTeleconferenceDeviceVideoQuality(writer, teleconferenceDeviceVideoQuality = {}) {
    (0, teleconferenceDeviceMediaQuality_1.serializeTeleconferenceDeviceMediaQuality)(writer, teleconferenceDeviceVideoQuality);
    writer.writeNumberValue("averageInboundBitRate", teleconferenceDeviceVideoQuality.averageInboundBitRate);
    writer.writeNumberValue("averageInboundFrameRate", teleconferenceDeviceVideoQuality.averageInboundFrameRate);
    writer.writeNumberValue("averageOutboundBitRate", teleconferenceDeviceVideoQuality.averageOutboundBitRate);
    writer.writeNumberValue("averageOutboundFrameRate", teleconferenceDeviceVideoQuality.averageOutboundFrameRate);
}
exports.serializeTeleconferenceDeviceVideoQuality = serializeTeleconferenceDeviceVideoQuality;
// tslint:enable
// eslint-enable
