import { type AppManagementConfiguration } from './appManagementConfiguration';
import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTenantAppManagementPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTenantAppManagementPolicy;
export declare function deserializeIntoTenantAppManagementPolicy(tenantAppManagementPolicy?: TenantAppManagementPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTenantAppManagementPolicy(writer: SerializationWriter, tenantAppManagementPolicy?: TenantAppManagementPolicy | undefined): void;
export interface TenantAppManagementPolicy extends Parsable, PolicyBase {
    /**
     * Restrictions that apply as default to all application objects in the tenant.
     */
    applicationRestrictions?: AppManagementConfiguration;
    /**
     * Denotes whether the policy is enabled. Default value is false.
     */
    isEnabled?: boolean;
    /**
     * Restrictions that apply as default to all service principal objects in the tenant.
     */
    servicePrincipalRestrictions?: AppManagementConfiguration;
}
