import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTenantInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTenantInformation;
export declare function deserializeIntoTenantInformation(tenantInformation?: TenantInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTenantInformation(writer: SerializationWriter, tenantInformation?: TenantInformation | undefined): void;
export interface TenantInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Primary domain name of a Microsoft Entra tenant.
     */
    defaultDomainName?: string;
    /**
     * Display name of a Microsoft Entra tenant.
     */
    displayName?: string;
    /**
     * Name shown to users that sign in to a Microsoft Entra tenant.
     */
    federationBrandName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Unique identifier of a Microsoft Entra tenant.
     */
    tenantId?: string;
}
