"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTenantInformation = exports.deserializeIntoTenantInformation = exports.createTenantInformationFromDiscriminatorValue = void 0;
function createTenantInformationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTenantInformation;
}
exports.createTenantInformationFromDiscriminatorValue = createTenantInformationFromDiscriminatorValue;
function deserializeIntoTenantInformation(tenantInformation = {}) {
    return {
        "defaultDomainName": n => { tenantInformation.defaultDomainName = n.getStringValue(); },
        "displayName": n => { tenantInformation.displayName = n.getStringValue(); },
        "federationBrandName": n => { tenantInformation.federationBrandName = n.getStringValue(); },
        "@odata.type": n => { tenantInformation.odataType = n.getStringValue(); },
        "tenantId": n => { tenantInformation.tenantId = n.getStringValue(); },
    };
}
exports.deserializeIntoTenantInformation = deserializeIntoTenantInformation;
function serializeTenantInformation(writer, tenantInformation = {}) {
    writer.writeStringValue("defaultDomainName", tenantInformation.defaultDomainName);
    writer.writeStringValue("displayName", tenantInformation.displayName);
    writer.writeStringValue("federationBrandName", tenantInformation.federationBrandName);
    writer.writeStringValue("@odata.type", tenantInformation.odataType);
    writer.writeStringValue("tenantId", tenantInformation.tenantId);
    writer.writeAdditionalData(tenantInformation.additionalData);
}
exports.serializeTenantInformation = serializeTenantInformation;
// tslint:enable
// eslint-enable
