import { type DelegatedAdminCustomer } from './delegatedAdminCustomer';
import { type DelegatedAdminRelationship } from './delegatedAdminRelationship';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTenantRelationshipFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTenantRelationship;
export declare function deserializeIntoTenantRelationship(tenantRelationship?: TenantRelationship | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTenantRelationship(writer: SerializationWriter, tenantRelationship?: TenantRelationship | undefined): void;
export interface TenantRelationship extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The customer who has a delegated admin relationship with a Microsoft partner.
     */
    delegatedAdminCustomers?: DelegatedAdminCustomer[];
    /**
     * The details of the delegated administrative privileges that a Microsoft partner has in a customer tenant.
     */
    delegatedAdminRelationships?: DelegatedAdminRelationship[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
