import { type Set } from './termStore/set';
import { type Term } from './termStore/term';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermColumn;
export declare function deserializeIntoTermColumn(termColumn?: TermColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermColumn(writer: SerializationWriter, termColumn?: TermColumn | undefined): void;
export interface TermColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether the column allows more than one value.
     */
    allowMultipleValues?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The parentTerm property
     */
    parentTerm?: Term;
    /**
     * Specifies whether to display the entire term path or only the term label.
     */
    showFullyQualifiedName?: boolean;
    /**
     * The termSet property
     */
    termSet?: Set;
}
