import { type Entity } from '../entity';
import { type Set } from './set';
import { TermGroupScope } from './termGroupScope';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroup;
export declare function deserializeIntoGroup(group?: Group | undefined): Record<string, (node: ParseNode) => void>;
export interface Group extends Entity, Parsable {
    /**
     * Date and time of the group creation. Read-only.
     */
    createdDateTime?: Date;
    /**
     * Description that gives details on the term usage.
     */
    description?: string;
    /**
     * Name of the group.
     */
    displayName?: string;
    /**
     * ID of the parent site of this group.
     */
    parentSiteId?: string;
    /**
     * Returns the type of the group. Possible values are: global, system, and siteCollection.
     */
    scope?: TermGroupScope;
    /**
     * All sets under the group in a term [store].
     */
    sets?: Set[];
}
export declare function serializeGroup(writer: SerializationWriter, group?: Group | undefined): void;
