import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocalizedDescriptionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocalizedDescription;
export declare function deserializeIntoLocalizedDescription(localizedDescription?: LocalizedDescription | undefined): Record<string, (node: ParseNode) => void>;
export interface LocalizedDescription extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The description in the localized language.
     */
    description?: string;
    /**
     * The language tag for the label.
     */
    languageTag?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeLocalizedDescription(writer: SerializationWriter, localizedDescription?: LocalizedDescription | undefined): void;
