"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLocalizedDescription = exports.deserializeIntoLocalizedDescription = exports.createLocalizedDescriptionFromDiscriminatorValue = void 0;
function createLocalizedDescriptionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLocalizedDescription;
}
exports.createLocalizedDescriptionFromDiscriminatorValue = createLocalizedDescriptionFromDiscriminatorValue;
function deserializeIntoLocalizedDescription(localizedDescription = {}) {
    return {
        "description": n => { localizedDescription.description = n.getStringValue(); },
        "languageTag": n => { localizedDescription.languageTag = n.getStringValue(); },
        "@odata.type": n => { localizedDescription.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLocalizedDescription = deserializeIntoLocalizedDescription;
function serializeLocalizedDescription(writer, localizedDescription = {}) {
    writer.writeStringValue("description", localizedDescription.description);
    writer.writeStringValue("languageTag", localizedDescription.languageTag);
    writer.writeStringValue("@odata.type", localizedDescription.odataType);
    writer.writeAdditionalData(localizedDescription.additionalData);
}
exports.serializeLocalizedDescription = serializeLocalizedDescription;
// tslint:enable
// eslint-enable
