import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocalizedLabelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocalizedLabel;
export declare function deserializeIntoLocalizedLabel(localizedLabel?: LocalizedLabel | undefined): Record<string, (node: ParseNode) => void>;
export interface LocalizedLabel extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether the label is the default label.
     */
    isDefault?: boolean;
    /**
     * The language tag for the label.
     */
    languageTag?: string;
    /**
     * The name of the label.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeLocalizedLabel(writer: SerializationWriter, localizedLabel?: LocalizedLabel | undefined): void;
