import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocalizedNameFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocalizedName;
export declare function deserializeIntoLocalizedName(localizedName?: LocalizedName | undefined): Record<string, (node: ParseNode) => void>;
export interface LocalizedName extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The language tag for the label.
     */
    languageTag?: string;
    /**
     * The name in the localized language.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeLocalizedName(writer: SerializationWriter, localizedName?: LocalizedName | undefined): void;
