import { type Entity } from '../entity';
import { RelationType } from './relationType';
import { type Set } from './set';
import { type Term } from './term';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRelationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRelation;
export declare function deserializeIntoRelation(relation?: Relation | undefined): Record<string, (node: ParseNode) => void>;
export interface Relation extends Entity, Parsable {
    /**
     * The from [term] of the relation. The term from which the relationship is defined. A null value would indicate the relation is directly with the [set].
     */
    fromTerm?: Term;
    /**
     * The type of relation. Possible values are: pin, reuse.
     */
    relationship?: RelationType;
    /**
     * The [set] in which the relation is relevant.
     */
    set?: Set;
    /**
     * The to [term] of the relation. The term to which the relationship is defined.
     */
    toTerm?: Term;
}
export declare function serializeRelation(writer: SerializationWriter, relation?: Relation | undefined): void;
