import { type Entity } from '../entity';
import { type KeyValue } from '../keyValue';
import { type Group } from './group';
import { type LocalizedName } from './localizedName';
import { type Relation } from './relation';
import { type Term } from './term';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSet;
export declare function deserializeIntoSet(set?: Set | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSet(writer: SerializationWriter, set?: Set | undefined): void;
export interface Set extends Entity, Parsable {
    /**
     * Children terms of set in term [store].
     */
    children?: Term[];
    /**
     * Date and time of set creation. Read-only.
     */
    createdDateTime?: Date;
    /**
     * Description that gives details on the term usage.
     */
    description?: string;
    /**
     * Name of the set for each languageTag.
     */
    localizedNames?: LocalizedName[];
    /**
     * The parentGroup property
     */
    parentGroup?: Group;
    /**
     * Custom properties for the set.
     */
    properties?: KeyValue[];
    /**
     * Indicates which terms have been pinned or reused directly under the set.
     */
    relations?: Relation[];
    /**
     * All the terms under the set.
     */
    terms?: Term[];
}
