import { type Entity } from '../entity';
import { type Group } from './group';
import { type Set } from './set';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStoreFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStore;
export declare function deserializeIntoStore(store?: Store | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStore(writer: SerializationWriter, store?: Store | undefined): void;
export interface Store extends Entity, Parsable {
    /**
     * Default language of the term store.
     */
    defaultLanguageTag?: string;
    /**
     * Collection of all groups available in the term store.
     */
    groups?: Group[];
    /**
     * List of languages for the term store.
     */
    languageTags?: string[];
    /**
     * Collection of all sets available in the term store. This relationship can only be used to load a specific term set.
     */
    sets?: Set[];
}
