import { type Entity } from '../entity';
import { type KeyValue } from '../keyValue';
import { type LocalizedDescription } from './localizedDescription';
import { type LocalizedLabel } from './localizedLabel';
import { type Relation } from './relation';
import { type Set } from './set';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTerm;
export declare function deserializeIntoTerm(term?: Term | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTerm(writer: SerializationWriter, term?: Term | undefined): void;
export interface Term extends Entity, Parsable {
    /**
     * Children of current term.
     */
    children?: Term[];
    /**
     * Date and time of term creation. Read-only.
     */
    createdDateTime?: Date;
    /**
     * Description about term that is dependent on the languageTag.
     */
    descriptions?: LocalizedDescription[];
    /**
     * Label metadata for a term.
     */
    labels?: LocalizedLabel[];
    /**
     * Last date and time of term modification. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * Collection of properties on the term.
     */
    properties?: KeyValue[];
    /**
     * To indicate which terms are related to the current term as either pinned or reused.
     */
    relations?: Relation[];
    /**
     * The [set] in which the term is created.
     */
    set?: Set;
}
