import { type Entity } from './entity';
import { type TermsAndConditions } from './termsAndConditions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsAndConditionsAcceptanceStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsAndConditionsAcceptanceStatus;
export declare function deserializeIntoTermsAndConditionsAcceptanceStatus(termsAndConditionsAcceptanceStatus?: TermsAndConditionsAcceptanceStatus | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsAndConditionsAcceptanceStatus(writer: SerializationWriter, termsAndConditionsAcceptanceStatus?: TermsAndConditionsAcceptanceStatus | undefined): void;
export interface TermsAndConditionsAcceptanceStatus extends Entity, Parsable {
    /**
     * DateTime when the terms were last accepted by the user.
     */
    acceptedDateTime?: Date;
    /**
     * Most recent version number of the T&C accepted by the user.
     */
    acceptedVersion?: number;
    /**
     * Navigation link to the terms and conditions that are assigned.
     */
    termsAndConditions?: TermsAndConditions;
    /**
     * Display name of the user whose acceptance the entity represents.
     */
    userDisplayName?: string;
    /**
     * The userPrincipalName of the User that accepted the term.
     */
    userPrincipalName?: string;
}
