import { type AdditionalDataHolder, type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsExpirationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsExpiration;
export declare function deserializeIntoTermsExpiration(termsExpiration?: TermsExpiration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsExpiration(writer: SerializationWriter, termsExpiration?: TermsExpiration | undefined): void;
export interface TermsExpiration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents the frequency at which the terms will expire, after its first expiration as set in startDateTime. The value is represented in ISO 8601 format for durations. For example, PT1M represents a time period of one month.
     */
    frequency?: Duration;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The DateTime when the agreement is set to expire for all users. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    startDateTime?: Date;
}
