"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTermsExpiration = exports.deserializeIntoTermsExpiration = exports.createTermsExpirationFromDiscriminatorValue = void 0;
function createTermsExpirationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTermsExpiration;
}
exports.createTermsExpirationFromDiscriminatorValue = createTermsExpirationFromDiscriminatorValue;
function deserializeIntoTermsExpiration(termsExpiration = {}) {
    return {
        "frequency": n => { termsExpiration.frequency = n.getDurationValue(); },
        "@odata.type": n => { termsExpiration.odataType = n.getStringValue(); },
        "startDateTime": n => { termsExpiration.startDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoTermsExpiration = deserializeIntoTermsExpiration;
function serializeTermsExpiration(writer, termsExpiration = {}) {
    writer.writeDurationValue("frequency", termsExpiration.frequency);
    writer.writeStringValue("@odata.type", termsExpiration.odataType);
    writer.writeDateValue("startDateTime", termsExpiration.startDateTime);
    writer.writeAdditionalData(termsExpiration.additionalData);
}
exports.serializeTermsExpiration = serializeTermsExpiration;
// tslint:enable
// eslint-enable
