import { type Agreement } from './agreement';
import { type AgreementAcceptance } from './agreementAcceptance';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsOfUseContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsOfUseContainer;
export declare function deserializeIntoTermsOfUseContainer(termsOfUseContainer?: TermsOfUseContainer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsOfUseContainer(writer: SerializationWriter, termsOfUseContainer?: TermsOfUseContainer | undefined): void;
export interface TermsOfUseContainer extends Entity, Parsable {
    /**
     * Represents the current status of a user's response to a company's customizable terms of use agreement.
     */
    agreementAcceptances?: AgreementAcceptance[];
    /**
     * Represents a tenant's customizable terms of use agreement that's created and managed with Microsoft Entra ID Governance.
     */
    agreements?: Agreement[];
}
