"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTextColumn = exports.deserializeIntoTextColumn = exports.createTextColumnFromDiscriminatorValue = void 0;
function createTextColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTextColumn;
}
exports.createTextColumnFromDiscriminatorValue = createTextColumnFromDiscriminatorValue;
function deserializeIntoTextColumn(textColumn = {}) {
    return {
        "allowMultipleLines": n => { textColumn.allowMultipleLines = n.getBooleanValue(); },
        "appendChangesToExistingText": n => { textColumn.appendChangesToExistingText = n.getBooleanValue(); },
        "linesForEditing": n => { textColumn.linesForEditing = n.getNumberValue(); },
        "maxLength": n => { textColumn.maxLength = n.getNumberValue(); },
        "@odata.type": n => { textColumn.odataType = n.getStringValue(); },
        "textType": n => { textColumn.textType = n.getStringValue(); },
    };
}
exports.deserializeIntoTextColumn = deserializeIntoTextColumn;
function serializeTextColumn(writer, textColumn = {}) {
    writer.writeBooleanValue("allowMultipleLines", textColumn.allowMultipleLines);
    writer.writeBooleanValue("appendChangesToExistingText", textColumn.appendChangesToExistingText);
    writer.writeNumberValue("linesForEditing", textColumn.linesForEditing);
    writer.writeNumberValue("maxLength", textColumn.maxLength);
    writer.writeStringValue("@odata.type", textColumn.odataType);
    writer.writeStringValue("textType", textColumn.textType);
    writer.writeAdditionalData(textColumn.additionalData);
}
exports.serializeTextColumn = serializeTextColumn;
// tslint:enable
// eslint-enable
