"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeThreatAssessmentRequest = exports.deserializeIntoThreatAssessmentRequest = exports.createThreatAssessmentRequestFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const emailFileAssessmentRequest_1 = require("./emailFileAssessmentRequest");
const entity_1 = require("./entity");
const fileAssessmentRequest_1 = require("./fileAssessmentRequest");
const identitySet_1 = require("./identitySet");
const mailAssessmentRequest_1 = require("./mailAssessmentRequest");
const threatAssessmentContentType_1 = require("./threatAssessmentContentType");
const threatAssessmentRequestSource_1 = require("./threatAssessmentRequestSource");
const threatAssessmentResult_1 = require("./threatAssessmentResult");
const threatAssessmentStatus_1 = require("./threatAssessmentStatus");
const threatCategory_1 = require("./threatCategory");
const threatExpectedAssessment_1 = require("./threatExpectedAssessment");
const urlAssessmentRequest_1 = require("./urlAssessmentRequest");
function createThreatAssessmentRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.emailFileAssessmentRequest":
                    return emailFileAssessmentRequest_1.deserializeIntoEmailFileAssessmentRequest;
                case "#microsoft.graph.fileAssessmentRequest":
                    return fileAssessmentRequest_1.deserializeIntoFileAssessmentRequest;
                case "#microsoft.graph.mailAssessmentRequest":
                    return mailAssessmentRequest_1.deserializeIntoMailAssessmentRequest;
                case "#microsoft.graph.urlAssessmentRequest":
                    return urlAssessmentRequest_1.deserializeIntoUrlAssessmentRequest;
            }
        }
    }
    return deserializeIntoThreatAssessmentRequest;
}
exports.createThreatAssessmentRequestFromDiscriminatorValue = createThreatAssessmentRequestFromDiscriminatorValue;
function deserializeIntoThreatAssessmentRequest(threatAssessmentRequest = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(threatAssessmentRequest)), { "category": n => { threatAssessmentRequest.category = n.getEnumValue(threatCategory_1.ThreatCategory); }, "contentType": n => { threatAssessmentRequest.contentType = n.getEnumValue(threatAssessmentContentType_1.ThreatAssessmentContentType); }, "createdBy": n => { threatAssessmentRequest.createdBy = n.getObjectValue(identitySet_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { threatAssessmentRequest.createdDateTime = n.getDateValue(); }, "expectedAssessment": n => { threatAssessmentRequest.expectedAssessment = n.getEnumValue(threatExpectedAssessment_1.ThreatExpectedAssessment); }, "requestSource": n => { threatAssessmentRequest.requestSource = n.getEnumValue(threatAssessmentRequestSource_1.ThreatAssessmentRequestSource); }, "results": n => { threatAssessmentRequest.results = n.getCollectionOfObjectValues(threatAssessmentResult_1.createThreatAssessmentResultFromDiscriminatorValue); }, "status": n => { threatAssessmentRequest.status = n.getEnumValue(threatAssessmentStatus_1.ThreatAssessmentStatus); } });
}
exports.deserializeIntoThreatAssessmentRequest = deserializeIntoThreatAssessmentRequest;
function serializeThreatAssessmentRequest(writer, threatAssessmentRequest = {}) {
    (0, entity_1.serializeEntity)(writer, threatAssessmentRequest);
    writer.writeEnumValue("category", threatAssessmentRequest.category);
    writer.writeEnumValue("contentType", threatAssessmentRequest.contentType);
    writer.writeObjectValue("createdBy", threatAssessmentRequest.createdBy, identitySet_1.serializeIdentitySet);
    writer.writeDateValue("createdDateTime", threatAssessmentRequest.createdDateTime);
    writer.writeEnumValue("expectedAssessment", threatAssessmentRequest.expectedAssessment);
    writer.writeEnumValue("requestSource", threatAssessmentRequest.requestSource);
    writer.writeCollectionOfObjectValues("results", threatAssessmentRequest.results, threatAssessmentResult_1.serializeThreatAssessmentResult);
    writer.writeEnumValue("status", threatAssessmentRequest.status);
}
exports.serializeThreatAssessmentRequest = serializeThreatAssessmentRequest;
// tslint:enable
// eslint-enable
