import { type Entity } from './entity';
import { ThreatAssessmentResultType } from './threatAssessmentResultType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThreatAssessmentResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThreatAssessmentResult;
export declare function deserializeIntoThreatAssessmentResult(threatAssessmentResult?: ThreatAssessmentResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThreatAssessmentResult(writer: SerializationWriter, threatAssessmentResult?: ThreatAssessmentResult | undefined): void;
export interface ThreatAssessmentResult extends Entity, Parsable {
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * The result message for each threat assessment.
     */
    message?: string;
    /**
     * The threat assessment result type. Possible values are: checkPolicy, rescan.
     */
    resultType?: ThreatAssessmentResultType;
}
