import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThumbnailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThumbnail;
export declare function deserializeIntoThumbnail(thumbnail?: Thumbnail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThumbnail(writer: SerializationWriter, thumbnail?: Thumbnail | undefined): void;
export interface Thumbnail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The content stream for the thumbnail.
     */
    content?: string;
    /**
     * The height of the thumbnail, in pixels.
     */
    height?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested.
     */
    sourceItemId?: string;
    /**
     * The URL used to fetch the thumbnail content.
     */
    url?: string;
    /**
     * The width of the thumbnail, in pixels.
     */
    width?: number;
}
