"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeThumbnail = exports.deserializeIntoThumbnail = exports.createThumbnailFromDiscriminatorValue = void 0;
function createThumbnailFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoThumbnail;
}
exports.createThumbnailFromDiscriminatorValue = createThumbnailFromDiscriminatorValue;
function deserializeIntoThumbnail(thumbnail = {}) {
    return {
        "content": n => { thumbnail.content = n.getStringValue(); },
        "height": n => { thumbnail.height = n.getNumberValue(); },
        "@odata.type": n => { thumbnail.odataType = n.getStringValue(); },
        "sourceItemId": n => { thumbnail.sourceItemId = n.getStringValue(); },
        "url": n => { thumbnail.url = n.getStringValue(); },
        "width": n => { thumbnail.width = n.getNumberValue(); },
    };
}
exports.deserializeIntoThumbnail = deserializeIntoThumbnail;
function serializeThumbnail(writer, thumbnail = {}) {
    writer.writeStringValue("content", thumbnail.content);
    writer.writeNumberValue("height", thumbnail.height);
    writer.writeStringValue("@odata.type", thumbnail.odataType);
    writer.writeStringValue("sourceItemId", thumbnail.sourceItemId);
    writer.writeStringValue("url", thumbnail.url);
    writer.writeNumberValue("width", thumbnail.width);
    writer.writeAdditionalData(thumbnail.additionalData);
}
exports.serializeThumbnail = serializeThumbnail;
// tslint:enable
// eslint-enable
