import { type Entity } from './entity';
import { type Thumbnail } from './thumbnail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThumbnailSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThumbnailSet;
export declare function deserializeIntoThumbnailSet(thumbnailSet?: ThumbnailSet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThumbnailSet(writer: SerializationWriter, thumbnailSet?: ThumbnailSet | undefined): void;
export interface ThumbnailSet extends Entity, Parsable {
    /**
     * A 1920x1920 scaled thumbnail.
     */
    large?: Thumbnail;
    /**
     * A 176x176 scaled thumbnail.
     */
    medium?: Thumbnail;
    /**
     * A 48x48 cropped thumbnail.
     */
    small?: Thumbnail;
    /**
     * A custom thumbnail image or the original image used to generate other thumbnails.
     */
    source?: Thumbnail;
}
