import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTicketInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTicketInfo;
export declare function deserializeIntoTicketInfo(ticketInfo?: TicketInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTicketInfo(writer: SerializationWriter, ticketInfo?: TicketInfo | undefined): void;
export interface TicketInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The ticket number.
     */
    ticketNumber?: string;
    /**
     * The description of the ticket system.
     */
    ticketSystem?: string;
}
