import { ActivityDomain } from './activityDomain';
import { type TimeSlot } from './timeSlot';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeConstraintFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeConstraint;
export declare function deserializeIntoTimeConstraint(timeConstraint?: TimeConstraint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeConstraint(writer: SerializationWriter, timeConstraint?: TimeConstraint | undefined): void;
export interface TimeConstraint extends AdditionalDataHolder, Parsable {
    /**
     * The nature of the activity, optional. The possible values are: work, personal, unrestricted, or unknown.
     */
    activityDomain?: ActivityDomain;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The timeSlots property
     */
    timeSlots?: TimeSlot[];
}
