import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type TimeOffItem } from './timeOffItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOff;
export declare function deserializeIntoTimeOff(timeOff?: TimeOff | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOff(writer: SerializationWriter, timeOff?: TimeOff | undefined): void;
export interface TimeOff extends ChangeTrackedEntity, Parsable {
    /**
     * The draft version of this timeOff that is viewable by managers. Required.
     */
    draftTimeOff?: TimeOffItem;
    /**
     * The shared version of this timeOff that is viewable by both employees and managers. Required.
     */
    sharedTimeOff?: TimeOffItem;
    /**
     * ID of the user assigned to the timeOff. Required.
     */
    userId?: string;
}
