import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { TimeOffReasonIconType } from './timeOffReasonIconType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffReasonFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffReason;
export declare function deserializeIntoTimeOffReason(timeOffReason?: TimeOffReason | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffReason(writer: SerializationWriter, timeOffReason?: TimeOffReason | undefined): void;
export interface TimeOffReason extends ChangeTrackedEntity, Parsable {
    /**
     * The name of the timeOffReason. Required.
     */
    displayName?: string;
    /**
     * Supported icon types are: none, car, calendar, running, plane, firstAid, doctor, notWorking, clock, juryDuty, globe, cup, phone, weather, umbrella, piggyBank, dog, cake, trafficCone, pin, sunny. Required.
     */
    iconType?: TimeOffReasonIconType;
    /**
     * Indicates whether the timeOffReason can be used when creating new entities or updating existing ones. Required.
     */
    isActive?: boolean;
}
