import { type ScheduleChangeRequest } from './scheduleChangeRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffRequest;
export declare function deserializeIntoTimeOffRequest(timeOffRequest?: TimeOffRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffRequest(writer: SerializationWriter, timeOffRequest?: TimeOffRequest | undefined): void;
export interface TimeOffRequest extends Parsable, ScheduleChangeRequest {
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    endDateTime?: Date;
    /**
     * The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     */
    startDateTime?: Date;
    /**
     * The reason for the time off.
     */
    timeOffReasonId?: string;
}
