import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter, type TimeOnly } from '@microsoft/kiota-abstractions';
export declare function createTimeRangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeRange;
export declare function deserializeIntoTimeRange(timeRange?: TimeRange | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeRange(writer: SerializationWriter, timeRange?: TimeRange | undefined): void;
export interface TimeRange extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * End time for the time range.
     */
    endTime?: TimeOnly;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Start time for the time range.
     */
    startTime?: TimeOnly;
}
