"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTimeRange = exports.deserializeIntoTimeRange = exports.createTimeRangeFromDiscriminatorValue = void 0;
function createTimeRangeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTimeRange;
}
exports.createTimeRangeFromDiscriminatorValue = createTimeRangeFromDiscriminatorValue;
function deserializeIntoTimeRange(timeRange = {}) {
    return {
        "endTime": n => { timeRange.endTime = n.getTimeOnlyValue(); },
        "@odata.type": n => { timeRange.odataType = n.getStringValue(); },
        "startTime": n => { timeRange.startTime = n.getTimeOnlyValue(); },
    };
}
exports.deserializeIntoTimeRange = deserializeIntoTimeRange;
function serializeTimeRange(writer, timeRange = {}) {
    writer.writeTimeOnlyValue("endTime", timeRange.endTime);
    writer.writeStringValue("@odata.type", timeRange.odataType);
    writer.writeTimeOnlyValue("startTime", timeRange.startTime);
    writer.writeAdditionalData(timeRange.additionalData);
}
exports.serializeTimeRange = serializeTimeRange;
// tslint:enable
// eslint-enable
