import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeSlotFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeSlot;
export declare function deserializeIntoTimeSlot(timeSlot?: TimeSlot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeSlot(writer: SerializationWriter, timeSlot?: TimeSlot | undefined): void;
export interface TimeSlot extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The end property
     */
    end?: DateTimeTimeZone;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The start property
     */
    start?: DateTimeTimeZone;
}
