import { deserializeIntoCustomTimeZone } from './customTimeZone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeZoneBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTimeZone;
export declare function deserializeIntoTimeZoneBase(timeZoneBase?: TimeZoneBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeZoneBase(writer: SerializationWriter, timeZoneBase?: TimeZoneBase | undefined): void;
export interface TimeZoneBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of a time zone. It can be a standard time zone name such as 'Hawaii-Aleutian Standard Time', or 'Customized Time Zone' for a custom time zone.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
