import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeZoneInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeZoneInformation;
export declare function deserializeIntoTimeZoneInformation(timeZoneInformation?: TimeZoneInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeZoneInformation(writer: SerializationWriter, timeZoneInformation?: TimeZoneInformation | undefined): void;
export interface TimeZoneInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * An identifier for the time zone.
     */
    alias?: string;
    /**
     * A display string that represents the time zone.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
