"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTodoTask = exports.deserializeIntoTodoTask = exports.createTodoTaskFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attachmentBase_1 = require("./attachmentBase");
const attachmentSession_1 = require("./attachmentSession");
const checklistItem_1 = require("./checklistItem");
const dateTimeTimeZone_1 = require("./dateTimeTimeZone");
const entity_1 = require("./entity");
const extension_1 = require("./extension");
const importance_1 = require("./importance");
const itemBody_1 = require("./itemBody");
const linkedResource_1 = require("./linkedResource");
const patternedRecurrence_1 = require("./patternedRecurrence");
const taskStatus_1 = require("./taskStatus");
function createTodoTaskFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTodoTask;
}
exports.createTodoTaskFromDiscriminatorValue = createTodoTaskFromDiscriminatorValue;
function deserializeIntoTodoTask(todoTask = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(todoTask)), { "attachments": n => { todoTask.attachments = n.getCollectionOfObjectValues(attachmentBase_1.createAttachmentBaseFromDiscriminatorValue); }, "attachmentSessions": n => { todoTask.attachmentSessions = n.getCollectionOfObjectValues(attachmentSession_1.createAttachmentSessionFromDiscriminatorValue); }, "body": n => { todoTask.body = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "bodyLastModifiedDateTime": n => { todoTask.bodyLastModifiedDateTime = n.getDateValue(); }, "categories": n => { todoTask.categories = n.getCollectionOfPrimitiveValues(); }, "checklistItems": n => { todoTask.checklistItems = n.getCollectionOfObjectValues(checklistItem_1.createChecklistItemFromDiscriminatorValue); }, "completedDateTime": n => { todoTask.completedDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "createdDateTime": n => { todoTask.createdDateTime = n.getDateValue(); }, "dueDateTime": n => { todoTask.dueDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "extensions": n => { todoTask.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "hasAttachments": n => { todoTask.hasAttachments = n.getBooleanValue(); }, "importance": n => { todoTask.importance = n.getEnumValue(importance_1.Importance); }, "isReminderOn": n => { todoTask.isReminderOn = n.getBooleanValue(); }, "lastModifiedDateTime": n => { todoTask.lastModifiedDateTime = n.getDateValue(); }, "linkedResources": n => { todoTask.linkedResources = n.getCollectionOfObjectValues(linkedResource_1.createLinkedResourceFromDiscriminatorValue); }, "recurrence": n => { todoTask.recurrence = n.getObjectValue(patternedRecurrence_1.createPatternedRecurrenceFromDiscriminatorValue); }, "reminderDateTime": n => { todoTask.reminderDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "startDateTime": n => { todoTask.startDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "status": n => { todoTask.status = n.getEnumValue(taskStatus_1.TaskStatus); }, "title": n => { todoTask.title = n.getStringValue(); } });
}
exports.deserializeIntoTodoTask = deserializeIntoTodoTask;
function serializeTodoTask(writer, todoTask = {}) {
    (0, entity_1.serializeEntity)(writer, todoTask);
    writer.writeCollectionOfObjectValues("attachments", todoTask.attachments, attachmentBase_1.serializeAttachmentBase);
    writer.writeCollectionOfObjectValues("attachmentSessions", todoTask.attachmentSessions, attachmentSession_1.serializeAttachmentSession);
    writer.writeObjectValue("body", todoTask.body, itemBody_1.serializeItemBody);
    writer.writeDateValue("bodyLastModifiedDateTime", todoTask.bodyLastModifiedDateTime);
    writer.writeCollectionOfPrimitiveValues("categories", todoTask.categories);
    writer.writeCollectionOfObjectValues("checklistItems", todoTask.checklistItems, checklistItem_1.serializeChecklistItem);
    writer.writeObjectValue("completedDateTime", todoTask.completedDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeDateValue("createdDateTime", todoTask.createdDateTime);
    writer.writeObjectValue("dueDateTime", todoTask.dueDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeCollectionOfObjectValues("extensions", todoTask.extensions, extension_1.serializeExtension);
    writer.writeBooleanValue("hasAttachments", todoTask.hasAttachments);
    writer.writeEnumValue("importance", todoTask.importance);
    writer.writeBooleanValue("isReminderOn", todoTask.isReminderOn);
    writer.writeDateValue("lastModifiedDateTime", todoTask.lastModifiedDateTime);
    writer.writeCollectionOfObjectValues("linkedResources", todoTask.linkedResources, linkedResource_1.serializeLinkedResource);
    writer.writeObjectValue("recurrence", todoTask.recurrence, patternedRecurrence_1.serializePatternedRecurrence);
    writer.writeObjectValue("reminderDateTime", todoTask.reminderDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeObjectValue("startDateTime", todoTask.startDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeEnumValue("status", todoTask.status);
    writer.writeStringValue("title", todoTask.title);
}
exports.serializeTodoTask = serializeTodoTask;
// tslint:enable
// eslint-enable
