import { type Entity } from './entity';
import { type Extension } from './extension';
import { type TodoTask } from './todoTask';
import { WellknownListName } from './wellknownListName';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTodoTaskListFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTodoTaskList;
export declare function deserializeIntoTodoTaskList(todoTaskList?: TodoTaskList | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTodoTaskList(writer: SerializationWriter, todoTaskList?: TodoTaskList | undefined): void;
export interface TodoTaskList extends Entity, Parsable {
    /**
     * The name of the task list.
     */
    displayName?: string;
    /**
     * The collection of open extensions defined for the task list. Nullable.
     */
    extensions?: Extension[];
    /**
     * True if the user is owner of the given task list.
     */
    isOwner?: boolean;
    /**
     * True if the task list is shared with other users
     */
    isShared?: boolean;
    /**
     * The tasks in this task list. Read-only. Nullable.
     */
    tasks?: TodoTask[];
    /**
     * The wellknownListName property
     */
    wellknownListName?: WellknownListName;
}
