import { Tone } from './tone';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createToneInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoToneInfo;
export declare function deserializeIntoToneInfo(toneInfo?: ToneInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeToneInfo(writer: SerializationWriter, toneInfo?: ToneInfo | undefined): void;
export interface ToneInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * An incremental identifier used for ordering DTMF events.
     */
    sequenceId?: number;
    /**
     * The tone property
     */
    tone?: Tone;
}
