import { type AssignedTrainingInfo } from './assignedTrainingInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingEventsContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingEventsContent;
export declare function deserializeIntoTrainingEventsContent(trainingEventsContent?: TrainingEventsContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingEventsContent(writer: SerializationWriter, trainingEventsContent?: TrainingEventsContent | undefined): void;
export interface TrainingEventsContent extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * List of assigned trainings and their information in an attack simulation and training campaign.
     */
    assignedTrainingsInfos?: AssignedTrainingInfo[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of users who were assigned trainings in an attack simulation and training campaign.
     */
    trainingsAssignedUserCount?: number;
}
