import { type EmailIdentity } from './emailIdentity';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingLanguageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingLanguageDetail;
export declare function deserializeIntoTrainingLanguageDetail(trainingLanguageDetail?: TrainingLanguageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingLanguageDetail(writer: SerializationWriter, trainingLanguageDetail?: TrainingLanguageDetail | undefined): void;
export interface TrainingLanguageDetail extends Entity, Parsable {
    /**
     * Language specific content for the training.
     */
    content?: string;
    /**
     * Identity of the user who created the language details.
     */
    createdBy?: EmailIdentity;
    /**
     * Date and time when the language details were created. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    createdDateTime?: Date;
    /**
     * Description as defined by the user.
     */
    description?: string;
    /**
     * Display name as defined by the user.
     */
    displayName?: string;
    /**
     * Indicates whether the training has a default language.
     */
    isDefaultLangauge?: boolean;
    /**
     * Identity of the user who last modified the details.
     */
    lastModifiedBy?: EmailIdentity;
    /**
     * Date and time when the trainingLanguageDetail was last modified. The timestamp type represents date and time information using ISO 8601 format and is always in UTC. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     */
    lastModifiedDateTime?: Date;
    /**
     * Content locale for the training detail.
     */
    locale?: string;
}
