import { type BaseEndUserNotification } from './baseEndUserNotification';
import { type EndUserNotificationSetting } from './endUserNotificationSetting';
import { type TrainingReminderNotification } from './trainingReminderNotification';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingNotificationSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingNotificationSetting;
export declare function deserializeIntoTrainingNotificationSetting(trainingNotificationSetting?: TrainingNotificationSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingNotificationSetting(writer: SerializationWriter, trainingNotificationSetting?: TrainingNotificationSetting | undefined): void;
export interface TrainingNotificationSetting extends EndUserNotificationSetting, Parsable {
    /**
     * Training assignment details.
     */
    trainingAssignment?: BaseEndUserNotification;
    /**
     * Training reminder details.
     */
    trainingReminder?: TrainingReminderNotification;
}
