import { type BaseEndUserNotification } from './baseEndUserNotification';
import { NotificationDeliveryFrequency } from './notificationDeliveryFrequency';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingReminderNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingReminderNotification;
export declare function deserializeIntoTrainingReminderNotification(trainingReminderNotification?: TrainingReminderNotification | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingReminderNotification(writer: SerializationWriter, trainingReminderNotification?: TrainingReminderNotification | undefined): void;
export interface TrainingReminderNotification extends BaseEndUserNotification, Parsable {
    /**
     * Configurable frequency for the reminder email introduced during simulation creation. Possible values are: unknown, weekly, biWeekly, unknownFutureValue.
     */
    deliveryFrequency?: NotificationDeliveryFrequency;
}
