import { deserializeIntoCustomTrainingSetting } from './customTrainingSetting';
import { TrainingSettingType } from './trainingSettingType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTrainingSetting;
export declare function deserializeIntoTrainingSetting(trainingSetting?: TrainingSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingSetting(writer: SerializationWriter, trainingSetting?: TrainingSetting | undefined): void;
export interface TrainingSetting extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Type of setting. Possible values are: microsoftCustom, microsoftManaged, noTraining, custom, unknownFutureValue.
     */
    settingType?: TrainingSettingType;
}
