"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTrainingSetting = exports.deserializeIntoTrainingSetting = exports.createTrainingSettingFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const customTrainingSetting_1 = require("./customTrainingSetting");
const microsoftCustomTrainingSetting_1 = require("./microsoftCustomTrainingSetting");
const microsoftManagedTrainingSetting_1 = require("./microsoftManagedTrainingSetting");
const microsoftTrainingAssignmentMapping_1 = require("./microsoftTrainingAssignmentMapping");
const noTrainingSetting_1 = require("./noTrainingSetting");
const trainingSettingType_1 = require("./trainingSettingType");
function createTrainingSettingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.customTrainingSetting":
                    return customTrainingSetting_1.deserializeIntoCustomTrainingSetting;
                case "#microsoft.graph.microsoftCustomTrainingSetting":
                    return microsoftCustomTrainingSetting_1.deserializeIntoMicrosoftCustomTrainingSetting;
                case "#microsoft.graph.microsoftManagedTrainingSetting":
                    return microsoftManagedTrainingSetting_1.deserializeIntoMicrosoftManagedTrainingSetting;
                case "#microsoft.graph.microsoftTrainingAssignmentMapping":
                    return microsoftTrainingAssignmentMapping_1.deserializeIntoMicrosoftTrainingAssignmentMapping;
                case "#microsoft.graph.noTrainingSetting":
                    return noTrainingSetting_1.deserializeIntoNoTrainingSetting;
            }
        }
    }
    return deserializeIntoTrainingSetting;
}
exports.createTrainingSettingFromDiscriminatorValue = createTrainingSettingFromDiscriminatorValue;
function deserializeIntoTrainingSetting(trainingSetting = {}) {
    return {
        "@odata.type": n => { trainingSetting.odataType = n.getStringValue(); },
        "settingType": n => { trainingSetting.settingType = n.getEnumValue(trainingSettingType_1.TrainingSettingType); },
    };
}
exports.deserializeIntoTrainingSetting = deserializeIntoTrainingSetting;
function serializeTrainingSetting(writer, trainingSetting = {}) {
    writer.writeStringValue("@odata.type", trainingSetting.odataType);
    writer.writeEnumValue("settingType", trainingSetting.settingType);
    writer.writeAdditionalData(trainingSetting.additionalData);
}
exports.serializeTrainingSetting = serializeTrainingSetting;
// tslint:enable
// eslint-enable
