import { type Entity } from './entity';
import { type ResourceReference } from './resourceReference';
import { type ResourceVisualization } from './resourceVisualization';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrendingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrending;
export declare function deserializeIntoTrending(trending?: Trending | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrending(writer: SerializationWriter, trending?: Trending | undefined): void;
export interface Trending extends Entity, Parsable {
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * Used for navigating to the trending document.
     */
    resource?: Entity;
    /**
     * Reference properties of the trending document, such as the url and type of the document.
     */
    resourceReference?: ResourceReference;
    /**
     * Properties that you can use to visualize the document in your experience.
     */
    resourceVisualization?: ResourceVisualization;
    /**
     * Value indicating how much the document is currently trending. The larger the number, the more the document is currently trending around the user (the more relevant it is). Returned documents are sorted by this value.
     */
    weight?: number;
}
