import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRole;
export declare function deserializeIntoUnifiedRole(unifiedRole?: UnifiedRole | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRole(writer: SerializationWriter, unifiedRole?: UnifiedRole | undefined): void;
export interface UnifiedRole extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The unified role definition ID of the directory role. Refer to unifiedRoleDefinition resource.
     */
    roleDefinitionId?: string;
}
