import { type RequestSchedule } from './requestSchedule';
import { type UnifiedRoleEligibilitySchedule } from './unifiedRoleEligibilitySchedule';
import { type UnifiedRoleScheduleBase } from './unifiedRoleScheduleBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleAssignmentScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleAssignmentSchedule;
export declare function deserializeIntoUnifiedRoleAssignmentSchedule(unifiedRoleAssignmentSchedule?: UnifiedRoleAssignmentSchedule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleAssignmentSchedule(writer: SerializationWriter, unifiedRoleAssignmentSchedule?: UnifiedRoleAssignmentSchedule | undefined): void;
export interface UnifiedRoleAssignmentSchedule extends Parsable, UnifiedRoleScheduleBase {
    /**
     * If the request is from an eligible administrator to activate a role, this parameter will show the related eligible assignment for that activation. Otherwise, it is null. Supports $expand.
     */
    activatedUsing?: UnifiedRoleEligibilitySchedule;
    /**
     * Type of the assignment which can either be Assigned or Activated. Supports $filter (eq, ne).
     */
    assignmentType?: string;
    /**
     * How the assignments is inherited. It can either be Inherited, Direct, or Group. It can further imply whether the unifiedRoleAssignmentSchedule can be managed by the caller. Supports $filter (eq, ne).
     */
    memberType?: string;
    /**
     * The period of the role assignment. It can represent a single occurrence or multiple recurrences.
     */
    scheduleInfo?: RequestSchedule;
}
