import { type UnifiedRoleEligibilityScheduleInstance } from './unifiedRoleEligibilityScheduleInstance';
import { type UnifiedRoleScheduleInstanceBase } from './unifiedRoleScheduleInstanceBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleAssignmentScheduleInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleAssignmentScheduleInstance;
export declare function deserializeIntoUnifiedRoleAssignmentScheduleInstance(unifiedRoleAssignmentScheduleInstance?: UnifiedRoleAssignmentScheduleInstance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleAssignmentScheduleInstance(writer: SerializationWriter, unifiedRoleAssignmentScheduleInstance?: UnifiedRoleAssignmentScheduleInstance | undefined): void;
export interface UnifiedRoleAssignmentScheduleInstance extends Parsable, UnifiedRoleScheduleInstanceBase {
    /**
     * If the request is from an eligible administrator to activate a role, this parameter will show the related eligible assignment for that activation. Otherwise, it is null. Supports $expand.
     */
    activatedUsing?: UnifiedRoleEligibilityScheduleInstance;
    /**
     * Type of the assignment which can either be Assigned or Activated. Supports $filter (eq, ne).
     */
    assignmentType?: string;
    /**
     * The end date of the schedule instance.
     */
    endDateTime?: Date;
    /**
     * How the assignments is inherited. It can either be Inherited, Direct, or Group. It can further imply whether the unifiedRoleAssignmentSchedule can be managed by the caller. Supports $filter (eq, ne).
     */
    memberType?: string;
    /**
     * The identifier of the role assignment in Microsoft Entra. Supports $filter (eq, ne).
     */
    roleAssignmentOriginId?: string;
    /**
     * The identifier of the unifiedRoleAssignmentSchedule object from which this instance was created. Supports $filter (eq, ne).
     */
    roleAssignmentScheduleId?: string;
    /**
     * When this instance starts.
     */
    startDateTime?: Date;
}
