import { type RequestSchedule } from './requestSchedule';
import { type UnifiedRoleScheduleBase } from './unifiedRoleScheduleBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleEligibilityScheduleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleEligibilitySchedule;
export declare function deserializeIntoUnifiedRoleEligibilitySchedule(unifiedRoleEligibilitySchedule?: UnifiedRoleEligibilitySchedule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleEligibilitySchedule(writer: SerializationWriter, unifiedRoleEligibilitySchedule?: UnifiedRoleEligibilitySchedule | undefined): void;
export interface UnifiedRoleEligibilitySchedule extends Parsable, UnifiedRoleScheduleBase {
    /**
     * How the role eligibility is inherited. It can either be Inherited, Direct, or Group. It can further imply whether the unifiedRoleEligibilitySchedule can be managed by the caller. Supports $filter (eq, ne).
     */
    memberType?: string;
    /**
     * The period of the role eligibility.
     */
    scheduleInfo?: RequestSchedule;
}
