import { type UnifiedRoleScheduleInstanceBase } from './unifiedRoleScheduleInstanceBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleEligibilityScheduleInstance;
export declare function deserializeIntoUnifiedRoleEligibilityScheduleInstance(unifiedRoleEligibilityScheduleInstance?: UnifiedRoleEligibilityScheduleInstance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleEligibilityScheduleInstance(writer: SerializationWriter, unifiedRoleEligibilityScheduleInstance?: UnifiedRoleEligibilityScheduleInstance | undefined): void;
export interface UnifiedRoleEligibilityScheduleInstance extends Parsable, UnifiedRoleScheduleInstanceBase {
    /**
     * The end date of the schedule instance.
     */
    endDateTime?: Date;
    /**
     * How the role eligibility is inherited. It can either be Inherited, Direct, or Group. It can further imply whether the unifiedRoleEligibilitySchedule can be managed by the caller. Supports $filter (eq, ne).
     */
    memberType?: string;
    /**
     * The identifier of the unifiedRoleEligibilitySchedule object from which this instance was created. Supports $filter (eq, ne).
     */
    roleEligibilityScheduleId?: string;
    /**
     * When this instance starts.
     */
    startDateTime?: Date;
}
