import { type Entity } from './entity';
import { type UnifiedRoleManagementPolicy } from './unifiedRoleManagementPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyAssignment;
export declare function deserializeIntoUnifiedRoleManagementPolicyAssignment(unifiedRoleManagementPolicyAssignment?: UnifiedRoleManagementPolicyAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyAssignment(writer: SerializationWriter, unifiedRoleManagementPolicyAssignment?: UnifiedRoleManagementPolicyAssignment | undefined): void;
export interface UnifiedRoleManagementPolicyAssignment extends Entity, Parsable {
    /**
     * The policy that's associated with a policy assignment. Supports $expand and a nested $expand of the rules and effectiveRules relationships for the policy.
     */
    policy?: UnifiedRoleManagementPolicy;
    /**
     * The id of the policy. Inherited from entity.
     */
    policyId?: string;
    /**
     * For Microsoft Entra roles policy, it's the identifier of the role definition object where the policy applies. For PIM for groups membership and ownership, it's either member or owner. Supports $filter (eq).
     */
    roleDefinitionId?: string;
    /**
     * The identifier of the scope where the policy is assigned.  Can be / for the tenant or a group ID. Required.
     */
    scopeId?: string;
    /**
     * The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group. Required.
     */
    scopeType?: string;
}
