import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Duration, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyExpirationRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyExpirationRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyExpirationRule(unifiedRoleManagementPolicyExpirationRule?: UnifiedRoleManagementPolicyExpirationRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyExpirationRule(writer: SerializationWriter, unifiedRoleManagementPolicyExpirationRule?: UnifiedRoleManagementPolicyExpirationRule | undefined): void;
export interface UnifiedRoleManagementPolicyExpirationRule extends Parsable, UnifiedRoleManagementPolicyRule {
    /**
     * Indicates whether expiration is required or if it's a permanently active assignment or eligibility.
     */
    isExpirationRequired?: boolean;
    /**
     * The maximum duration allowed for eligibility or assignment that isn't permanent. Required when isExpirationRequired is true.
     */
    maximumDuration?: Duration;
}
