import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyNotificationRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyNotificationRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyNotificationRule(unifiedRoleManagementPolicyNotificationRule?: UnifiedRoleManagementPolicyNotificationRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyNotificationRule(writer: SerializationWriter, unifiedRoleManagementPolicyNotificationRule?: UnifiedRoleManagementPolicyNotificationRule | undefined): void;
export interface UnifiedRoleManagementPolicyNotificationRule extends Parsable, UnifiedRoleManagementPolicyRule {
    /**
     * Indicates whether a default recipient will receive the notification email.
     */
    isDefaultRecipientsEnabled?: boolean;
    /**
     * The level of notification. The possible values are None, Critical, All.
     */
    notificationLevel?: string;
    /**
     * The list of recipients of the email notifications.
     */
    notificationRecipients?: string[];
    /**
     * The type of notification. Only Email is supported.
     */
    notificationType?: string;
    /**
     * The type of recipient of the notification. The possible values are Requestor, Approver, Admin.
     */
    recipientType?: string;
}
