import { type Entity } from './entity';
import { deserializeIntoUnifiedRoleManagementPolicyApprovalRule } from './unifiedRoleManagementPolicyApprovalRule';
import { deserializeIntoUnifiedRoleManagementPolicyAuthenticationContextRule } from './unifiedRoleManagementPolicyAuthenticationContextRule';
import { deserializeIntoUnifiedRoleManagementPolicyEnablementRule } from './unifiedRoleManagementPolicyEnablementRule';
import { deserializeIntoUnifiedRoleManagementPolicyExpirationRule } from './unifiedRoleManagementPolicyExpirationRule';
import { deserializeIntoUnifiedRoleManagementPolicyNotificationRule } from './unifiedRoleManagementPolicyNotificationRule';
import { type UnifiedRoleManagementPolicyRuleTarget } from './unifiedRoleManagementPolicyRuleTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyApprovalRule | typeof deserializeIntoUnifiedRoleManagementPolicyAuthenticationContextRule | typeof deserializeIntoUnifiedRoleManagementPolicyEnablementRule | typeof deserializeIntoUnifiedRoleManagementPolicyExpirationRule | typeof deserializeIntoUnifiedRoleManagementPolicyNotificationRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyRule(unifiedRoleManagementPolicyRule?: UnifiedRoleManagementPolicyRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyRule(writer: SerializationWriter, unifiedRoleManagementPolicyRule?: UnifiedRoleManagementPolicyRule | undefined): void;
export interface UnifiedRoleManagementPolicyRule extends Entity, Parsable {
    /**
     * Defines details of scope that's targeted by role management policy rule. The details can include the principal type, the role assignment type, and actions affecting a role. Supports $filter (eq, ne).
     */
    target?: UnifiedRoleManagementPolicyRuleTarget;
}
