"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnifiedRoleScheduleBase = exports.deserializeIntoUnifiedRoleScheduleBase = exports.createUnifiedRoleScheduleBaseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const appScope_1 = require("./appScope");
const directoryObject_1 = require("./directoryObject");
const entity_1 = require("./entity");
const unifiedRoleAssignmentSchedule_1 = require("./unifiedRoleAssignmentSchedule");
const unifiedRoleDefinition_1 = require("./unifiedRoleDefinition");
const unifiedRoleEligibilitySchedule_1 = require("./unifiedRoleEligibilitySchedule");
function createUnifiedRoleScheduleBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.unifiedRoleAssignmentSchedule":
                    return unifiedRoleAssignmentSchedule_1.deserializeIntoUnifiedRoleAssignmentSchedule;
                case "#microsoft.graph.unifiedRoleEligibilitySchedule":
                    return unifiedRoleEligibilitySchedule_1.deserializeIntoUnifiedRoleEligibilitySchedule;
            }
        }
    }
    return deserializeIntoUnifiedRoleScheduleBase;
}
exports.createUnifiedRoleScheduleBaseFromDiscriminatorValue = createUnifiedRoleScheduleBaseFromDiscriminatorValue;
function deserializeIntoUnifiedRoleScheduleBase(unifiedRoleScheduleBase = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(unifiedRoleScheduleBase)), { "appScope": n => { unifiedRoleScheduleBase.appScope = n.getObjectValue(appScope_1.createAppScopeFromDiscriminatorValue); }, "appScopeId": n => { unifiedRoleScheduleBase.appScopeId = n.getStringValue(); }, "createdDateTime": n => { unifiedRoleScheduleBase.createdDateTime = n.getDateValue(); }, "createdUsing": n => { unifiedRoleScheduleBase.createdUsing = n.getStringValue(); }, "directoryScope": n => { unifiedRoleScheduleBase.directoryScope = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "directoryScopeId": n => { unifiedRoleScheduleBase.directoryScopeId = n.getStringValue(); }, "modifiedDateTime": n => { unifiedRoleScheduleBase.modifiedDateTime = n.getDateValue(); }, "principal": n => { unifiedRoleScheduleBase.principal = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "principalId": n => { unifiedRoleScheduleBase.principalId = n.getStringValue(); }, "roleDefinition": n => { unifiedRoleScheduleBase.roleDefinition = n.getObjectValue(unifiedRoleDefinition_1.createUnifiedRoleDefinitionFromDiscriminatorValue); }, "roleDefinitionId": n => { unifiedRoleScheduleBase.roleDefinitionId = n.getStringValue(); }, "status": n => { unifiedRoleScheduleBase.status = n.getStringValue(); } });
}
exports.deserializeIntoUnifiedRoleScheduleBase = deserializeIntoUnifiedRoleScheduleBase;
function serializeUnifiedRoleScheduleBase(writer, unifiedRoleScheduleBase = {}) {
    (0, entity_1.serializeEntity)(writer, unifiedRoleScheduleBase);
    writer.writeObjectValue("appScope", unifiedRoleScheduleBase.appScope, appScope_1.serializeAppScope);
    writer.writeStringValue("appScopeId", unifiedRoleScheduleBase.appScopeId);
    writer.writeDateValue("createdDateTime", unifiedRoleScheduleBase.createdDateTime);
    writer.writeStringValue("createdUsing", unifiedRoleScheduleBase.createdUsing);
    writer.writeObjectValue("directoryScope", unifiedRoleScheduleBase.directoryScope, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("directoryScopeId", unifiedRoleScheduleBase.directoryScopeId);
    writer.writeDateValue("modifiedDateTime", unifiedRoleScheduleBase.modifiedDateTime);
    writer.writeObjectValue("principal", unifiedRoleScheduleBase.principal, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("principalId", unifiedRoleScheduleBase.principalId);
    writer.writeObjectValue("roleDefinition", unifiedRoleScheduleBase.roleDefinition, unifiedRoleDefinition_1.serializeUnifiedRoleDefinition);
    writer.writeStringValue("roleDefinitionId", unifiedRoleScheduleBase.roleDefinitionId);
    writer.writeStringValue("status", unifiedRoleScheduleBase.status);
}
exports.serializeUnifiedRoleScheduleBase = serializeUnifiedRoleScheduleBase;
// tslint:enable
// eslint-enable
