import { AuthenticationMethodModes } from './authenticationMethodModes';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateAllowedCombinationsResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateAllowedCombinationsResult;
export declare function deserializeIntoUpdateAllowedCombinationsResult(updateAllowedCombinationsResult?: UpdateAllowedCombinationsResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateAllowedCombinationsResult(writer: SerializationWriter, updateAllowedCombinationsResult?: UpdateAllowedCombinationsResult | undefined): void;
export interface UpdateAllowedCombinationsResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Information about why the updateAllowedCombinations action was successful or failed.
     */
    additionalInformation?: string;
    /**
     * References to existing Conditional Access policies that use this authentication strength.
     */
    conditionalAccessReferences?: string[];
    /**
     * The list of current authentication method combinations allowed by the authentication strength.
     */
    currentCombinations?: AuthenticationMethodModes[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The list of former authentication method combinations allowed by the authentication strength before they were updated through the updateAllowedCombinations action.
     */
    previousCombinations?: AuthenticationMethodModes[];
}
