import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUsageDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUsageDetails;
export declare function deserializeIntoUsageDetails(usageDetails?: UsageDetails | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUsageDetails(writer: SerializationWriter, usageDetails?: UsageDetails | undefined): void;
export interface UsageDetails extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The date and time the resource was last accessed by the user. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    lastAccessedDateTime?: Date;
    /**
     * The date and time the resource was last modified by the user. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    lastModifiedDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
