import { type Entity } from './entity';
import { type ResourceReference } from './resourceReference';
import { type ResourceVisualization } from './resourceVisualization';
import { type UsageDetails } from './usageDetails';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUsedInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUsedInsight;
export declare function deserializeIntoUsedInsight(usedInsight?: UsedInsight | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUsedInsight(writer: SerializationWriter, usedInsight?: UsedInsight | undefined): void;
export interface UsedInsight extends Entity, Parsable {
    /**
     * Information about when the item was last viewed or modified by the user. Read only.
     */
    lastUsed?: UsageDetails;
    /**
     * Used for navigating to the item that was used. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     */
    resource?: Entity;
    /**
     * Reference properties of the used document, such as the url and type of the document. Read-only
     */
    resourceReference?: ResourceReference;
    /**
     * Properties that you can use to visualize the document in your experience. Read-only
     */
    resourceVisualization?: ResourceVisualization;
}
