"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUser = exports.deserializeIntoUser = exports.createUserFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const agreementAcceptance_1 = require("./agreementAcceptance");
const appRoleAssignment_1 = require("./appRoleAssignment");
const assignedLicense_1 = require("./assignedLicense");
const assignedPlan_1 = require("./assignedPlan");
const authentication_1 = require("./authentication");
const authorizationInfo_1 = require("./authorizationInfo");
const calendar_1 = require("./calendar");
const calendarGroup_1 = require("./calendarGroup");
const chat_1 = require("./chat");
const contact_1 = require("./contact");
const contactFolder_1 = require("./contactFolder");
const customSecurityAttributeValue_1 = require("./customSecurityAttributeValue");
const deviceManagementTroubleshootingEvent_1 = require("./deviceManagementTroubleshootingEvent");
const directoryObject_1 = require("./directoryObject");
const drive_1 = require("./drive");
const employeeExperienceUser_1 = require("./employeeExperienceUser");
const employeeOrgData_1 = require("./employeeOrgData");
const event_1 = require("./event");
const extension_1 = require("./extension");
const inferenceClassification_1 = require("./inferenceClassification");
const licenseAssignmentState_1 = require("./licenseAssignmentState");
const licenseDetails_1 = require("./licenseDetails");
const mailboxSettings_1 = require("./mailboxSettings");
const mailFolder_1 = require("./mailFolder");
const managedAppRegistration_1 = require("./managedAppRegistration");
const managedDevice_1 = require("./managedDevice");
const message_1 = require("./message");
const oAuth2PermissionGrant_1 = require("./oAuth2PermissionGrant");
const objectIdentity_1 = require("./objectIdentity");
const officeGraphInsights_1 = require("./officeGraphInsights");
const onenote_1 = require("./onenote");
const onlineMeeting_1 = require("./onlineMeeting");
const onPremisesExtensionAttributes_1 = require("./onPremisesExtensionAttributes");
const onPremisesProvisioningError_1 = require("./onPremisesProvisioningError");
const outlookUser_1 = require("./outlookUser");
const passwordProfile_1 = require("./passwordProfile");
const person_1 = require("./person");
const plannerUser_1 = require("./plannerUser");
const presence_1 = require("./presence");
const profilePhoto_1 = require("./profilePhoto");
const provisionedPlan_1 = require("./provisionedPlan");
const scopedRoleMembership_1 = require("./scopedRoleMembership");
const serviceProvisioningError_1 = require("./serviceProvisioningError");
const signInActivity_1 = require("./signInActivity");
const site_1 = require("./site");
const team_1 = require("./team");
const todo_1 = require("./todo");
const userActivity_1 = require("./userActivity");
const userPrint_1 = require("./userPrint");
const userSettings_1 = require("./userSettings");
const userTeamwork_1 = require("./userTeamwork");
function createUserFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUser;
}
exports.createUserFromDiscriminatorValue = createUserFromDiscriminatorValue;
function deserializeIntoUser(user = {}) {
    return Object.assign(Object.assign({}, (0, directoryObject_1.deserializeIntoDirectoryObject)(user)), { "aboutMe": n => { user.aboutMe = n.getStringValue(); }, "accountEnabled": n => { user.accountEnabled = n.getBooleanValue(); }, "activities": n => { user.activities = n.getCollectionOfObjectValues(userActivity_1.createUserActivityFromDiscriminatorValue); }, "ageGroup": n => { user.ageGroup = n.getStringValue(); }, "agreementAcceptances": n => { user.agreementAcceptances = n.getCollectionOfObjectValues(agreementAcceptance_1.createAgreementAcceptanceFromDiscriminatorValue); }, "appRoleAssignments": n => { user.appRoleAssignments = n.getCollectionOfObjectValues(appRoleAssignment_1.createAppRoleAssignmentFromDiscriminatorValue); }, "assignedLicenses": n => { user.assignedLicenses = n.getCollectionOfObjectValues(assignedLicense_1.createAssignedLicenseFromDiscriminatorValue); }, "assignedPlans": n => { user.assignedPlans = n.getCollectionOfObjectValues(assignedPlan_1.createAssignedPlanFromDiscriminatorValue); }, "authentication": n => { user.authentication = n.getObjectValue(authentication_1.createAuthenticationFromDiscriminatorValue); }, "authorizationInfo": n => { user.authorizationInfo = n.getObjectValue(authorizationInfo_1.createAuthorizationInfoFromDiscriminatorValue); }, "birthday": n => { user.birthday = n.getDateValue(); }, "businessPhones": n => { user.businessPhones = n.getCollectionOfPrimitiveValues(); }, "calendar": n => { user.calendar = n.getObjectValue(calendar_1.createCalendarFromDiscriminatorValue); }, "calendarGroups": n => { user.calendarGroups = n.getCollectionOfObjectValues(calendarGroup_1.createCalendarGroupFromDiscriminatorValue); }, "calendars": n => { user.calendars = n.getCollectionOfObjectValues(calendar_1.createCalendarFromDiscriminatorValue); }, "calendarView": n => { user.calendarView = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "chats": n => { user.chats = n.getCollectionOfObjectValues(chat_1.createChatFromDiscriminatorValue); }, "city": n => { user.city = n.getStringValue(); }, "companyName": n => { user.companyName = n.getStringValue(); }, "consentProvidedForMinor": n => { user.consentProvidedForMinor = n.getStringValue(); }, "contactFolders": n => { user.contactFolders = n.getCollectionOfObjectValues(contactFolder_1.createContactFolderFromDiscriminatorValue); }, "contacts": n => { user.contacts = n.getCollectionOfObjectValues(contact_1.createContactFromDiscriminatorValue); }, "country": n => { user.country = n.getStringValue(); }, "createdDateTime": n => { user.createdDateTime = n.getDateValue(); }, "createdObjects": n => { user.createdObjects = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "creationType": n => { user.creationType = n.getStringValue(); }, "customSecurityAttributes": n => { user.customSecurityAttributes = n.getObjectValue(customSecurityAttributeValue_1.createCustomSecurityAttributeValueFromDiscriminatorValue); }, "department": n => { user.department = n.getStringValue(); }, "deviceEnrollmentLimit": n => { user.deviceEnrollmentLimit = n.getNumberValue(); }, "deviceManagementTroubleshootingEvents": n => { user.deviceManagementTroubleshootingEvents = n.getCollectionOfObjectValues(deviceManagementTroubleshootingEvent_1.createDeviceManagementTroubleshootingEventFromDiscriminatorValue); }, "directReports": n => { user.directReports = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "displayName": n => { user.displayName = n.getStringValue(); }, "drive": n => { user.drive = n.getObjectValue(drive_1.createDriveFromDiscriminatorValue); }, "drives": n => { user.drives = n.getCollectionOfObjectValues(drive_1.createDriveFromDiscriminatorValue); }, "employeeExperience": n => { user.employeeExperience = n.getObjectValue(employeeExperienceUser_1.createEmployeeExperienceUserFromDiscriminatorValue); }, "employeeHireDate": n => { user.employeeHireDate = n.getDateValue(); }, "employeeId": n => { user.employeeId = n.getStringValue(); }, "employeeLeaveDateTime": n => { user.employeeLeaveDateTime = n.getDateValue(); }, "employeeOrgData": n => { user.employeeOrgData = n.getObjectValue(employeeOrgData_1.createEmployeeOrgDataFromDiscriminatorValue); }, "employeeType": n => { user.employeeType = n.getStringValue(); }, "events": n => { user.events = n.getCollectionOfObjectValues(event_1.createEventFromDiscriminatorValue); }, "extensions": n => { user.extensions = n.getCollectionOfObjectValues(extension_1.createExtensionFromDiscriminatorValue); }, "externalUserState": n => { user.externalUserState = n.getStringValue(); }, "externalUserStateChangeDateTime": n => { user.externalUserStateChangeDateTime = n.getDateValue(); }, "faxNumber": n => { user.faxNumber = n.getStringValue(); }, "followedSites": n => { user.followedSites = n.getCollectionOfObjectValues(site_1.createSiteFromDiscriminatorValue); }, "givenName": n => { user.givenName = n.getStringValue(); }, "hireDate": n => { user.hireDate = n.getDateValue(); }, "identities": n => { user.identities = n.getCollectionOfObjectValues(objectIdentity_1.createObjectIdentityFromDiscriminatorValue); }, "imAddresses": n => { user.imAddresses = n.getCollectionOfPrimitiveValues(); }, "inferenceClassification": n => { user.inferenceClassification = n.getObjectValue(inferenceClassification_1.createInferenceClassificationFromDiscriminatorValue); }, "insights": n => { user.insights = n.getObjectValue(officeGraphInsights_1.createOfficeGraphInsightsFromDiscriminatorValue); }, "interests": n => { user.interests = n.getCollectionOfPrimitiveValues(); }, "isResourceAccount": n => { user.isResourceAccount = n.getBooleanValue(); }, "jobTitle": n => { user.jobTitle = n.getStringValue(); }, "joinedTeams": n => { user.joinedTeams = n.getCollectionOfObjectValues(team_1.createTeamFromDiscriminatorValue); }, "lastPasswordChangeDateTime": n => { user.lastPasswordChangeDateTime = n.getDateValue(); }, "legalAgeGroupClassification": n => { user.legalAgeGroupClassification = n.getStringValue(); }, "licenseAssignmentStates": n => { user.licenseAssignmentStates = n.getCollectionOfObjectValues(licenseAssignmentState_1.createLicenseAssignmentStateFromDiscriminatorValue); }, "licenseDetails": n => { user.licenseDetails = n.getCollectionOfObjectValues(licenseDetails_1.createLicenseDetailsFromDiscriminatorValue); }, "mail": n => { user.mail = n.getStringValue(); }, "mailboxSettings": n => { user.mailboxSettings = n.getObjectValue(mailboxSettings_1.createMailboxSettingsFromDiscriminatorValue); }, "mailFolders": n => { user.mailFolders = n.getCollectionOfObjectValues(mailFolder_1.createMailFolderFromDiscriminatorValue); }, "mailNickname": n => { user.mailNickname = n.getStringValue(); }, "managedAppRegistrations": n => { user.managedAppRegistrations = n.getCollectionOfObjectValues(managedAppRegistration_1.createManagedAppRegistrationFromDiscriminatorValue); }, "managedDevices": n => { user.managedDevices = n.getCollectionOfObjectValues(managedDevice_1.createManagedDeviceFromDiscriminatorValue); }, "manager": n => { user.manager = n.getObjectValue(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "memberOf": n => { user.memberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "messages": n => { user.messages = n.getCollectionOfObjectValues(message_1.createMessageFromDiscriminatorValue); }, "mobilePhone": n => { user.mobilePhone = n.getStringValue(); }, "mySite": n => { user.mySite = n.getStringValue(); }, "oauth2PermissionGrants": n => { user.oauth2PermissionGrants = n.getCollectionOfObjectValues(oAuth2PermissionGrant_1.createOAuth2PermissionGrantFromDiscriminatorValue); }, "officeLocation": n => { user.officeLocation = n.getStringValue(); }, "onenote": n => { user.onenote = n.getObjectValue(onenote_1.createOnenoteFromDiscriminatorValue); }, "onlineMeetings": n => { user.onlineMeetings = n.getCollectionOfObjectValues(onlineMeeting_1.createOnlineMeetingFromDiscriminatorValue); }, "onPremisesDistinguishedName": n => { user.onPremisesDistinguishedName = n.getStringValue(); }, "onPremisesDomainName": n => { user.onPremisesDomainName = n.getStringValue(); }, "onPremisesExtensionAttributes": n => { user.onPremisesExtensionAttributes = n.getObjectValue(onPremisesExtensionAttributes_1.createOnPremisesExtensionAttributesFromDiscriminatorValue); }, "onPremisesImmutableId": n => { user.onPremisesImmutableId = n.getStringValue(); }, "onPremisesLastSyncDateTime": n => { user.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesProvisioningErrors": n => { user.onPremisesProvisioningErrors = n.getCollectionOfObjectValues(onPremisesProvisioningError_1.createOnPremisesProvisioningErrorFromDiscriminatorValue); }, "onPremisesSamAccountName": n => { user.onPremisesSamAccountName = n.getStringValue(); }, "onPremisesSecurityIdentifier": n => { user.onPremisesSecurityIdentifier = n.getStringValue(); }, "onPremisesSyncEnabled": n => { user.onPremisesSyncEnabled = n.getBooleanValue(); }, "onPremisesUserPrincipalName": n => { user.onPremisesUserPrincipalName = n.getStringValue(); }, "otherMails": n => { user.otherMails = n.getCollectionOfPrimitiveValues(); }, "outlook": n => { user.outlook = n.getObjectValue(outlookUser_1.createOutlookUserFromDiscriminatorValue); }, "ownedDevices": n => { user.ownedDevices = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "ownedObjects": n => { user.ownedObjects = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "passwordPolicies": n => { user.passwordPolicies = n.getStringValue(); }, "passwordProfile": n => { user.passwordProfile = n.getObjectValue(passwordProfile_1.createPasswordProfileFromDiscriminatorValue); }, "pastProjects": n => { user.pastProjects = n.getCollectionOfPrimitiveValues(); }, "people": n => { user.people = n.getCollectionOfObjectValues(person_1.createPersonFromDiscriminatorValue); }, "photo": n => { user.photo = n.getObjectValue(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "photos": n => { user.photos = n.getCollectionOfObjectValues(profilePhoto_1.createProfilePhotoFromDiscriminatorValue); }, "planner": n => { user.planner = n.getObjectValue(plannerUser_1.createPlannerUserFromDiscriminatorValue); }, "postalCode": n => { user.postalCode = n.getStringValue(); }, "preferredDataLocation": n => { user.preferredDataLocation = n.getStringValue(); }, "preferredLanguage": n => { user.preferredLanguage = n.getStringValue(); }, "preferredName": n => { user.preferredName = n.getStringValue(); }, "presence": n => { user.presence = n.getObjectValue(presence_1.createPresenceFromDiscriminatorValue); }, "print": n => { user.print = n.getObjectValue(userPrint_1.createUserPrintFromDiscriminatorValue); }, "provisionedPlans": n => { user.provisionedPlans = n.getCollectionOfObjectValues(provisionedPlan_1.createProvisionedPlanFromDiscriminatorValue); }, "proxyAddresses": n => { user.proxyAddresses = n.getCollectionOfPrimitiveValues(); }, "registeredDevices": n => { user.registeredDevices = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "responsibilities": n => { user.responsibilities = n.getCollectionOfPrimitiveValues(); }, "schools": n => { user.schools = n.getCollectionOfPrimitiveValues(); }, "scopedRoleMemberOf": n => { user.scopedRoleMemberOf = n.getCollectionOfObjectValues(scopedRoleMembership_1.createScopedRoleMembershipFromDiscriminatorValue); }, "securityIdentifier": n => { user.securityIdentifier = n.getStringValue(); }, "serviceProvisioningErrors": n => { user.serviceProvisioningErrors = n.getCollectionOfObjectValues(serviceProvisioningError_1.createServiceProvisioningErrorFromDiscriminatorValue); }, "settings": n => { user.settings = n.getObjectValue(userSettings_1.createUserSettingsFromDiscriminatorValue); }, "showInAddressList": n => { user.showInAddressList = n.getBooleanValue(); }, "signInActivity": n => { user.signInActivity = n.getObjectValue(signInActivity_1.createSignInActivityFromDiscriminatorValue); }, "signInSessionsValidFromDateTime": n => { user.signInSessionsValidFromDateTime = n.getDateValue(); }, "skills": n => { user.skills = n.getCollectionOfPrimitiveValues(); }, "state": n => { user.state = n.getStringValue(); }, "streetAddress": n => { user.streetAddress = n.getStringValue(); }, "surname": n => { user.surname = n.getStringValue(); }, "teamwork": n => { user.teamwork = n.getObjectValue(userTeamwork_1.createUserTeamworkFromDiscriminatorValue); }, "todo": n => { user.todo = n.getObjectValue(todo_1.createTodoFromDiscriminatorValue); }, "transitiveMemberOf": n => { user.transitiveMemberOf = n.getCollectionOfObjectValues(directoryObject_1.createDirectoryObjectFromDiscriminatorValue); }, "usageLocation": n => { user.usageLocation = n.getStringValue(); }, "userPrincipalName": n => { user.userPrincipalName = n.getStringValue(); }, "userType": n => { user.userType = n.getStringValue(); } });
}
exports.deserializeIntoUser = deserializeIntoUser;
function serializeUser(writer, user = {}) {
    (0, directoryObject_1.serializeDirectoryObject)(writer, user);
    writer.writeStringValue("aboutMe", user.aboutMe);
    writer.writeBooleanValue("accountEnabled", user.accountEnabled);
    writer.writeCollectionOfObjectValues("activities", user.activities, userActivity_1.serializeUserActivity);
    writer.writeStringValue("ageGroup", user.ageGroup);
    writer.writeCollectionOfObjectValues("agreementAcceptances", user.agreementAcceptances, agreementAcceptance_1.serializeAgreementAcceptance);
    writer.writeCollectionOfObjectValues("appRoleAssignments", user.appRoleAssignments, appRoleAssignment_1.serializeAppRoleAssignment);
    writer.writeCollectionOfObjectValues("assignedLicenses", user.assignedLicenses, assignedLicense_1.serializeAssignedLicense);
    writer.writeCollectionOfObjectValues("assignedPlans", user.assignedPlans, assignedPlan_1.serializeAssignedPlan);
    writer.writeObjectValue("authentication", user.authentication, authentication_1.serializeAuthentication);
    writer.writeObjectValue("authorizationInfo", user.authorizationInfo, authorizationInfo_1.serializeAuthorizationInfo);
    writer.writeDateValue("birthday", user.birthday);
    writer.writeCollectionOfPrimitiveValues("businessPhones", user.businessPhones);
    writer.writeObjectValue("calendar", user.calendar, calendar_1.serializeCalendar);
    writer.writeCollectionOfObjectValues("calendarGroups", user.calendarGroups, calendarGroup_1.serializeCalendarGroup);
    writer.writeCollectionOfObjectValues("calendars", user.calendars, calendar_1.serializeCalendar);
    writer.writeCollectionOfObjectValues("calendarView", user.calendarView, event_1.serializeEvent);
    writer.writeCollectionOfObjectValues("chats", user.chats, chat_1.serializeChat);
    writer.writeStringValue("city", user.city);
    writer.writeStringValue("companyName", user.companyName);
    writer.writeStringValue("consentProvidedForMinor", user.consentProvidedForMinor);
    writer.writeCollectionOfObjectValues("contactFolders", user.contactFolders, contactFolder_1.serializeContactFolder);
    writer.writeCollectionOfObjectValues("contacts", user.contacts, contact_1.serializeContact);
    writer.writeStringValue("country", user.country);
    writer.writeDateValue("createdDateTime", user.createdDateTime);
    writer.writeCollectionOfObjectValues("createdObjects", user.createdObjects, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("creationType", user.creationType);
    writer.writeObjectValue("customSecurityAttributes", user.customSecurityAttributes, customSecurityAttributeValue_1.serializeCustomSecurityAttributeValue);
    writer.writeStringValue("department", user.department);
    writer.writeNumberValue("deviceEnrollmentLimit", user.deviceEnrollmentLimit);
    writer.writeCollectionOfObjectValues("deviceManagementTroubleshootingEvents", user.deviceManagementTroubleshootingEvents, deviceManagementTroubleshootingEvent_1.serializeDeviceManagementTroubleshootingEvent);
    writer.writeCollectionOfObjectValues("directReports", user.directReports, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("displayName", user.displayName);
    writer.writeObjectValue("drive", user.drive, drive_1.serializeDrive);
    writer.writeCollectionOfObjectValues("drives", user.drives, drive_1.serializeDrive);
    writer.writeObjectValue("employeeExperience", user.employeeExperience, employeeExperienceUser_1.serializeEmployeeExperienceUser);
    writer.writeDateValue("employeeHireDate", user.employeeHireDate);
    writer.writeStringValue("employeeId", user.employeeId);
    writer.writeDateValue("employeeLeaveDateTime", user.employeeLeaveDateTime);
    writer.writeObjectValue("employeeOrgData", user.employeeOrgData, employeeOrgData_1.serializeEmployeeOrgData);
    writer.writeStringValue("employeeType", user.employeeType);
    writer.writeCollectionOfObjectValues("events", user.events, event_1.serializeEvent);
    writer.writeCollectionOfObjectValues("extensions", user.extensions, extension_1.serializeExtension);
    writer.writeStringValue("externalUserState", user.externalUserState);
    writer.writeDateValue("externalUserStateChangeDateTime", user.externalUserStateChangeDateTime);
    writer.writeStringValue("faxNumber", user.faxNumber);
    writer.writeCollectionOfObjectValues("followedSites", user.followedSites, site_1.serializeSite);
    writer.writeStringValue("givenName", user.givenName);
    writer.writeDateValue("hireDate", user.hireDate);
    writer.writeCollectionOfObjectValues("identities", user.identities, objectIdentity_1.serializeObjectIdentity);
    writer.writeCollectionOfPrimitiveValues("imAddresses", user.imAddresses);
    writer.writeObjectValue("inferenceClassification", user.inferenceClassification, inferenceClassification_1.serializeInferenceClassification);
    writer.writeObjectValue("insights", user.insights, officeGraphInsights_1.serializeOfficeGraphInsights);
    writer.writeCollectionOfPrimitiveValues("interests", user.interests);
    writer.writeBooleanValue("isResourceAccount", user.isResourceAccount);
    writer.writeStringValue("jobTitle", user.jobTitle);
    writer.writeCollectionOfObjectValues("joinedTeams", user.joinedTeams, team_1.serializeTeam);
    writer.writeDateValue("lastPasswordChangeDateTime", user.lastPasswordChangeDateTime);
    writer.writeStringValue("legalAgeGroupClassification", user.legalAgeGroupClassification);
    writer.writeCollectionOfObjectValues("licenseAssignmentStates", user.licenseAssignmentStates, licenseAssignmentState_1.serializeLicenseAssignmentState);
    writer.writeCollectionOfObjectValues("licenseDetails", user.licenseDetails, licenseDetails_1.serializeLicenseDetails);
    writer.writeStringValue("mail", user.mail);
    writer.writeObjectValue("mailboxSettings", user.mailboxSettings, mailboxSettings_1.serializeMailboxSettings);
    writer.writeCollectionOfObjectValues("mailFolders", user.mailFolders, mailFolder_1.serializeMailFolder);
    writer.writeStringValue("mailNickname", user.mailNickname);
    writer.writeCollectionOfObjectValues("managedAppRegistrations", user.managedAppRegistrations, managedAppRegistration_1.serializeManagedAppRegistration);
    writer.writeCollectionOfObjectValues("managedDevices", user.managedDevices, managedDevice_1.serializeManagedDevice);
    writer.writeObjectValue("manager", user.manager, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("memberOf", user.memberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("messages", user.messages, message_1.serializeMessage);
    writer.writeStringValue("mobilePhone", user.mobilePhone);
    writer.writeStringValue("mySite", user.mySite);
    writer.writeCollectionOfObjectValues("oauth2PermissionGrants", user.oauth2PermissionGrants, oAuth2PermissionGrant_1.serializeOAuth2PermissionGrant);
    writer.writeStringValue("officeLocation", user.officeLocation);
    writer.writeObjectValue("onenote", user.onenote, onenote_1.serializeOnenote);
    writer.writeCollectionOfObjectValues("onlineMeetings", user.onlineMeetings, onlineMeeting_1.serializeOnlineMeeting);
    writer.writeStringValue("onPremisesDistinguishedName", user.onPremisesDistinguishedName);
    writer.writeStringValue("onPremisesDomainName", user.onPremisesDomainName);
    writer.writeObjectValue("onPremisesExtensionAttributes", user.onPremisesExtensionAttributes, onPremisesExtensionAttributes_1.serializeOnPremisesExtensionAttributes);
    writer.writeStringValue("onPremisesImmutableId", user.onPremisesImmutableId);
    writer.writeDateValue("onPremisesLastSyncDateTime", user.onPremisesLastSyncDateTime);
    writer.writeCollectionOfObjectValues("onPremisesProvisioningErrors", user.onPremisesProvisioningErrors, onPremisesProvisioningError_1.serializeOnPremisesProvisioningError);
    writer.writeStringValue("onPremisesSamAccountName", user.onPremisesSamAccountName);
    writer.writeStringValue("onPremisesSecurityIdentifier", user.onPremisesSecurityIdentifier);
    writer.writeBooleanValue("onPremisesSyncEnabled", user.onPremisesSyncEnabled);
    writer.writeStringValue("onPremisesUserPrincipalName", user.onPremisesUserPrincipalName);
    writer.writeCollectionOfPrimitiveValues("otherMails", user.otherMails);
    writer.writeObjectValue("outlook", user.outlook, outlookUser_1.serializeOutlookUser);
    writer.writeCollectionOfObjectValues("ownedDevices", user.ownedDevices, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfObjectValues("ownedObjects", user.ownedObjects, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("passwordPolicies", user.passwordPolicies);
    writer.writeObjectValue("passwordProfile", user.passwordProfile, passwordProfile_1.serializePasswordProfile);
    writer.writeCollectionOfPrimitiveValues("pastProjects", user.pastProjects);
    writer.writeCollectionOfObjectValues("people", user.people, person_1.serializePerson);
    writer.writeObjectValue("photo", user.photo, profilePhoto_1.serializeProfilePhoto);
    writer.writeCollectionOfObjectValues("photos", user.photos, profilePhoto_1.serializeProfilePhoto);
    writer.writeObjectValue("planner", user.planner, plannerUser_1.serializePlannerUser);
    writer.writeStringValue("postalCode", user.postalCode);
    writer.writeStringValue("preferredDataLocation", user.preferredDataLocation);
    writer.writeStringValue("preferredLanguage", user.preferredLanguage);
    writer.writeStringValue("preferredName", user.preferredName);
    writer.writeObjectValue("presence", user.presence, presence_1.serializePresence);
    writer.writeObjectValue("print", user.print, userPrint_1.serializeUserPrint);
    writer.writeCollectionOfObjectValues("provisionedPlans", user.provisionedPlans, provisionedPlan_1.serializeProvisionedPlan);
    writer.writeCollectionOfPrimitiveValues("proxyAddresses", user.proxyAddresses);
    writer.writeCollectionOfObjectValues("registeredDevices", user.registeredDevices, directoryObject_1.serializeDirectoryObject);
    writer.writeCollectionOfPrimitiveValues("responsibilities", user.responsibilities);
    writer.writeCollectionOfPrimitiveValues("schools", user.schools);
    writer.writeCollectionOfObjectValues("scopedRoleMemberOf", user.scopedRoleMemberOf, scopedRoleMembership_1.serializeScopedRoleMembership);
    writer.writeStringValue("securityIdentifier", user.securityIdentifier);
    writer.writeCollectionOfObjectValues("serviceProvisioningErrors", user.serviceProvisioningErrors, serviceProvisioningError_1.serializeServiceProvisioningError);
    writer.writeObjectValue("settings", user.settings, userSettings_1.serializeUserSettings);
    writer.writeBooleanValue("showInAddressList", user.showInAddressList);
    writer.writeObjectValue("signInActivity", user.signInActivity, signInActivity_1.serializeSignInActivity);
    writer.writeDateValue("signInSessionsValidFromDateTime", user.signInSessionsValidFromDateTime);
    writer.writeCollectionOfPrimitiveValues("skills", user.skills);
    writer.writeStringValue("state", user.state);
    writer.writeStringValue("streetAddress", user.streetAddress);
    writer.writeStringValue("surname", user.surname);
    writer.writeObjectValue("teamwork", user.teamwork, userTeamwork_1.serializeUserTeamwork);
    writer.writeObjectValue("todo", user.todo, todo_1.serializeTodo);
    writer.writeCollectionOfObjectValues("transitiveMemberOf", user.transitiveMemberOf, directoryObject_1.serializeDirectoryObject);
    writer.writeStringValue("usageLocation", user.usageLocation);
    writer.writeStringValue("userPrincipalName", user.userPrincipalName);
    writer.writeStringValue("userType", user.userType);
}
exports.serializeUser = serializeUser;
// tslint:enable
// eslint-enable
