import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserAttributeValuesItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserAttributeValuesItem;
export declare function deserializeIntoUserAttributeValuesItem(userAttributeValuesItem?: UserAttributeValuesItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserAttributeValuesItem(writer: SerializationWriter, userAttributeValuesItem?: UserAttributeValuesItem | undefined): void;
export interface UserAttributeValuesItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Determines whether the value is set as the default.
     */
    isDefault?: boolean;
    /**
     * The display name of the property displayed to the user in the user flow.
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The value that is set when this item is selected.
     */
    value?: string;
}
