import { type Approval } from './approval';
import { type Request } from './request';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserConsentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserConsentRequest;
export declare function deserializeIntoUserConsentRequest(userConsentRequest?: UserConsentRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserConsentRequest(writer: SerializationWriter, userConsentRequest?: UserConsentRequest | undefined): void;
export interface UserConsentRequest extends Parsable, Request {
    /**
     * Approval decisions associated with a request.
     */
    approval?: Approval;
    /**
     * The user's justification for requiring access to the app. Supports $filter (eq only) and $orderby.
     */
    reason?: string;
}
