import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetailsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails;
export declare function deserializeIntoUserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails(userExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails?: UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails(writer: SerializationWriter, userExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails?: UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails | undefined): void;
export interface UserExperienceAnalyticsAppHealthAppPerformanceByAppVersionDetails extends Entity, Parsable {
    /**
     * The number of crashes for the app. Valid values -2147483648 to 2147483647
     */
    appCrashCount?: number;
    /**
     * The friendly name of the application.
     */
    appDisplayName?: string;
    /**
     * The name of the application.
     */
    appName?: string;
    /**
     * The publisher of the application.
     */
    appPublisher?: string;
    /**
     * The version of the application.
     */
    appVersion?: string;
    /**
     * The total number of devices that have reported one or more application crashes for this application and version. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    deviceCountWithCrashes?: number;
    /**
     * When TRUE, indicates the version of application is the latest version for that application that is in use. When FALSE, indicates the version is not the latest version. FALSE by default. Supports: $select, $OrderBy.
     */
    isLatestUsedVersion?: boolean;
    /**
     * When TRUE, indicates the version of application is the most used version for that application. When FALSE, indicates the version is not the most used version. FALSE by default. Supports: $select, $OrderBy. Read-only.
     */
    isMostUsedVersion?: boolean;
}
