import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAppHealthAppPerformanceByOSVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAppHealthAppPerformanceByOSVersion;
export declare function deserializeIntoUserExperienceAnalyticsAppHealthAppPerformanceByOSVersion(userExperienceAnalyticsAppHealthAppPerformanceByOSVersion?: UserExperienceAnalyticsAppHealthAppPerformanceByOSVersion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAppHealthAppPerformanceByOSVersion(writer: SerializationWriter, userExperienceAnalyticsAppHealthAppPerformanceByOSVersion?: UserExperienceAnalyticsAppHealthAppPerformanceByOSVersion | undefined): void;
export interface UserExperienceAnalyticsAppHealthAppPerformanceByOSVersion extends Entity, Parsable {
    /**
     * The number of devices where the application has been active. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    activeDeviceCount?: number;
    /**
     * The number of crashes for the application. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    appCrashCount?: number;
    /**
     * The friendly name of the application. Possible values are: Outlook, Excel. Supports: $select, $OrderBy. Read-only.
     */
    appDisplayName?: string;
    /**
     * The name of the application. Possible values are: outlook.exe, excel.exe. Supports: $select, $OrderBy. Read-only.
     */
    appName?: string;
    /**
     * The publisher of the application. Supports: $select, $OrderBy. Read-only.
     */
    appPublisher?: string;
    /**
     * The total usage time of the application in minutes. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    appUsageDuration?: number;
    /**
     * The mean time to failure for the application in minutes. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    meanTimeToFailureInMinutes?: number;
    /**
     * The OS build number of the application. Supports: $select, $OrderBy. Read-only.
     */
    osBuildNumber?: string;
    /**
     * The OS version of the application. Supports: $select, $OrderBy. Read-only.
     */
    osVersion?: string;
}
