import { type Entity } from './entity';
import { UserExperienceAnalyticsHealthState } from './userExperienceAnalyticsHealthState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAppHealthDeviceModelPerformanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAppHealthDeviceModelPerformance;
export declare function deserializeIntoUserExperienceAnalyticsAppHealthDeviceModelPerformance(userExperienceAnalyticsAppHealthDeviceModelPerformance?: UserExperienceAnalyticsAppHealthDeviceModelPerformance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAppHealthDeviceModelPerformance(writer: SerializationWriter, userExperienceAnalyticsAppHealthDeviceModelPerformance?: UserExperienceAnalyticsAppHealthDeviceModelPerformance | undefined): void;
export interface UserExperienceAnalyticsAppHealthDeviceModelPerformance extends Entity, Parsable {
    /**
     * The number of active devices for the model. Valid values 0 to 2147483647. Supports: $filter, $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    activeDeviceCount?: number;
    /**
     * The manufacturer name of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceManufacturer?: string;
    /**
     * The model name of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceModel?: string;
    /**
     * The healthStatus property
     */
    healthStatus?: UserExperienceAnalyticsHealthState;
    /**
     * The mean time to failure for the application in minutes. Valid values 0 to 2147483647. Supports: $filter, $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    meanTimeToFailureInMinutes?: number;
    /**
     * The application health score of the device model. Valid values 0 to 100. Supports: $filter, $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    modelAppHealthScore?: number;
}
