import { type Entity } from './entity';
import { UserExperienceAnalyticsHealthState } from './userExperienceAnalyticsHealthState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAppHealthDevicePerformanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAppHealthDevicePerformance;
export declare function deserializeIntoUserExperienceAnalyticsAppHealthDevicePerformance(userExperienceAnalyticsAppHealthDevicePerformance?: UserExperienceAnalyticsAppHealthDevicePerformance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAppHealthDevicePerformance(writer: SerializationWriter, userExperienceAnalyticsAppHealthDevicePerformance?: UserExperienceAnalyticsAppHealthDevicePerformance | undefined): void;
export interface UserExperienceAnalyticsAppHealthDevicePerformance extends Entity, Parsable {
    /**
     * The number of application crashes for the device. Valid values 0 to 2147483647. Supports: $filter, $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    appCrashCount?: number;
    /**
     * The number of application hangs for the device. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    appHangCount?: number;
    /**
     * The number of distinct application crashes for the device. Valid values 0 to 2147483647. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    crashedAppCount?: number;
    /**
     * The application health score of the device. Valid values 0 to 100. Supports: $filter, $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    deviceAppHealthScore?: number;
    /**
     * The name of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceDisplayName?: string;
    /**
     * The Intune device id of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceId?: string;
    /**
     * The manufacturer name of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceManufacturer?: string;
    /**
     * The model name of the device. Supports: $select, $OrderBy. Read-only.
     */
    deviceModel?: string;
    /**
     * The healthStatus property
     */
    healthStatus?: UserExperienceAnalyticsHealthState;
    /**
     * The mean time to failure for the application in minutes. Valid values 0 to 2147483647. Supports: $filter, $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    meanTimeToFailureInMinutes?: number;
    /**
     * The date and time when the statistics were last computed. The value cannot be modified and is automatically populated when the statistics are computed. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2022 would look like this: '2022-01-01T00:00:00Z'. Returned by default. Read-only.
     */
    processedDateTime?: Date;
}
