import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAutopilotDevicesSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary;
export declare function deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary(userExperienceAnalyticsAutopilotDevicesSummary?: UserExperienceAnalyticsAutopilotDevicesSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAutopilotDevicesSummary(writer: SerializationWriter, userExperienceAnalyticsAutopilotDevicesSummary?: UserExperienceAnalyticsAutopilotDevicesSummary | undefined): void;
export interface UserExperienceAnalyticsAutopilotDevicesSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The count of intune devices that are not autopilot registerd. Read-only.
     */
    devicesNotAutopilotRegistered?: number;
    /**
     * The count of intune devices not autopilot profile assigned. Read-only.
     */
    devicesWithoutAutopilotProfileAssigned?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The count of windows 10 devices that are Intune and co-managed. Read-only.
     */
    totalWindows10DevicesWithoutTenantAttached?: number;
}
