import { type Entity } from './entity';
import { type UserExperienceAnalyticsCategory } from './userExperienceAnalyticsCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsBaselineFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsBaseline;
export declare function deserializeIntoUserExperienceAnalyticsBaseline(userExperienceAnalyticsBaseline?: UserExperienceAnalyticsBaseline | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsBaseline(writer: SerializationWriter, userExperienceAnalyticsBaseline?: UserExperienceAnalyticsBaseline | undefined): void;
export interface UserExperienceAnalyticsBaseline extends Entity, Parsable {
    /**
     * The scores and insights for the application health metrics.
     */
    appHealthMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The scores and insights for the battery health metrics.
     */
    batteryHealthMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The scores and insights for the best practices metrics.
     */
    bestPracticesMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The date the custom baseline was created. The value cannot be modified and is automatically populated when the baseline is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'. Returned by default.
     */
    createdDateTime?: Date;
    /**
     * The scores and insights for the device boot performance metrics.
     */
    deviceBootPerformanceMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The name of the baseline.
     */
    displayName?: string;
    /**
     * When TRUE, indicates the current baseline is the commercial median baseline. When FALSE, indicates it is a custom baseline. FALSE by default.
     */
    isBuiltIn?: boolean;
    /**
     * The scores and insights for the reboot analytics metrics.
     */
    rebootAnalyticsMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The scores and insights for the resource performance metrics.
     */
    resourcePerformanceMetrics?: UserExperienceAnalyticsCategory;
    /**
     * The scores and insights for the work from anywhere metrics.
     */
    workFromAnywhereMetrics?: UserExperienceAnalyticsCategory;
}
