import { type Entity } from './entity';
import { type UserExperienceAnalyticsInsight } from './userExperienceAnalyticsInsight';
import { type UserExperienceAnalyticsMetric } from './userExperienceAnalyticsMetric';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsCategoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsCategory;
export declare function deserializeIntoUserExperienceAnalyticsCategory(userExperienceAnalyticsCategory?: UserExperienceAnalyticsCategory | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsCategory(writer: SerializationWriter, userExperienceAnalyticsCategory?: UserExperienceAnalyticsCategory | undefined): void;
export interface UserExperienceAnalyticsCategory extends Entity, Parsable {
    /**
     * The insights for the category. Read-only.
     */
    insights?: UserExperienceAnalyticsInsight[];
    /**
     * The metric values for the user experience analytics category. Read-only.
     */
    metricValues?: UserExperienceAnalyticsMetric[];
}
