import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceStartupProcessFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceStartupProcess;
export declare function deserializeIntoUserExperienceAnalyticsDeviceStartupProcess(userExperienceAnalyticsDeviceStartupProcess?: UserExperienceAnalyticsDeviceStartupProcess | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceStartupProcess(writer: SerializationWriter, userExperienceAnalyticsDeviceStartupProcess?: UserExperienceAnalyticsDeviceStartupProcess | undefined): void;
export interface UserExperienceAnalyticsDeviceStartupProcess extends Entity, Parsable {
    /**
     * The Intune device id of the device. Supports: $select, $OrderBy. Read-only.
     */
    managedDeviceId?: string;
    /**
     * The name of the process. Examples: outlook, excel. Supports: $select, $OrderBy. Read-only.
     */
    processName?: string;
    /**
     * The product name of the process. Examples: Microsoft Outlook, Microsoft Excel. Supports: $select, $OrderBy. Read-only.
     */
    productName?: string;
    /**
     * The publisher of the process. Examples: Microsoft Corporation, Contoso Corp. Supports: $select, $OrderBy. Read-only.
     */
    publisher?: string;
    /**
     * The impact of startup process on device boot time in milliseconds. Supports: $select, $OrderBy. Read-only.
     */
    startupImpactInMs?: number;
}
