import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceStartupProcessPerformanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceStartupProcessPerformance;
export declare function deserializeIntoUserExperienceAnalyticsDeviceStartupProcessPerformance(userExperienceAnalyticsDeviceStartupProcessPerformance?: UserExperienceAnalyticsDeviceStartupProcessPerformance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceStartupProcessPerformance(writer: SerializationWriter, userExperienceAnalyticsDeviceStartupProcessPerformance?: UserExperienceAnalyticsDeviceStartupProcessPerformance | undefined): void;
export interface UserExperienceAnalyticsDeviceStartupProcessPerformance extends Entity, Parsable {
    /**
     * The count of devices which initiated this process on startup. Supports: $filter, $select, $OrderBy. Read-only.
     */
    deviceCount?: number;
    /**
     * The median impact of startup process on device boot time in milliseconds. Supports: $filter, $select, $OrderBy. Read-only.
     */
    medianImpactInMs?: number;
    /**
     * The name of the startup process. Examples: outlook, excel. Supports: $select, $OrderBy. Read-only.
     */
    processName?: string;
    /**
     * The product name of the startup process. Examples: Microsoft Outlook, Microsoft Excel. Supports: $select, $OrderBy. Read-only.
     */
    productName?: string;
    /**
     * The publisher of the startup process. Examples: Microsoft Corporation, Contoso Corp. Supports: $select, $OrderBy. Read-only.
     */
    publisher?: string;
    /**
     * The total impact of startup process on device boot time in milliseconds. Supports: $filter, $select, $OrderBy. Read-only.
     */
    totalImpactInMs?: number;
}
