import { UserExperienceAnalyticsInsightSeverity } from './userExperienceAnalyticsInsightSeverity';
import { type UserExperienceAnalyticsInsightValue } from './userExperienceAnalyticsInsightValue';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsInsight;
export declare function deserializeIntoUserExperienceAnalyticsInsight(userExperienceAnalyticsInsight?: UserExperienceAnalyticsInsight | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsInsight(writer: SerializationWriter, userExperienceAnalyticsInsight?: UserExperienceAnalyticsInsight | undefined): void;
export interface UserExperienceAnalyticsInsight extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier of the user experience analytics insight.
     */
    insightId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates severity of insights. Possible values are: None, Informational, Warning, Error.
     */
    severity?: UserExperienceAnalyticsInsightSeverity;
    /**
     * The unique identifier of the user experience analytics metric.
     */
    userExperienceAnalyticsMetricId?: string;
    /**
     * The value of the user experience analytics insight.
     */
    values?: UserExperienceAnalyticsInsightValue[];
}
