"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserExperienceAnalyticsInsightValue = exports.deserializeIntoUserExperienceAnalyticsInsightValue = exports.createUserExperienceAnalyticsInsightValueFromDiscriminatorValue = void 0;
const insightValueDouble_1 = require("./insightValueDouble");
const insightValueInt_1 = require("./insightValueInt");
function createUserExperienceAnalyticsInsightValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.insightValueDouble":
                    return insightValueDouble_1.deserializeIntoInsightValueDouble;
                case "#microsoft.graph.insightValueInt":
                    return insightValueInt_1.deserializeIntoInsightValueInt;
            }
        }
    }
    return deserializeIntoUserExperienceAnalyticsInsightValue;
}
exports.createUserExperienceAnalyticsInsightValueFromDiscriminatorValue = createUserExperienceAnalyticsInsightValueFromDiscriminatorValue;
function deserializeIntoUserExperienceAnalyticsInsightValue(userExperienceAnalyticsInsightValue = {}) {
    return {
        "@odata.type": n => { userExperienceAnalyticsInsightValue.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUserExperienceAnalyticsInsightValue = deserializeIntoUserExperienceAnalyticsInsightValue;
function serializeUserExperienceAnalyticsInsightValue(writer, userExperienceAnalyticsInsightValue = {}) {
    writer.writeStringValue("@odata.type", userExperienceAnalyticsInsightValue.odataType);
    writer.writeAdditionalData(userExperienceAnalyticsInsightValue.additionalData);
}
exports.serializeUserExperienceAnalyticsInsightValue = serializeUserExperienceAnalyticsInsightValue;
// tslint:enable
// eslint-enable
