import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsMetricFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsMetric;
export declare function deserializeIntoUserExperienceAnalyticsMetric(userExperienceAnalyticsMetric?: UserExperienceAnalyticsMetric | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsMetric(writer: SerializationWriter, userExperienceAnalyticsMetric?: UserExperienceAnalyticsMetric | undefined): void;
export interface UserExperienceAnalyticsMetric extends Entity, Parsable {
    /**
     * The unit of the user experience analytics metric. Examples: none, percentage, count, seconds, score.
     */
    unit?: string;
    /**
     * The value of the user experience analytics metric.
     */
    value?: number;
}
