import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsMetricHistoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsMetricHistory;
export declare function deserializeIntoUserExperienceAnalyticsMetricHistory(userExperienceAnalyticsMetricHistory?: UserExperienceAnalyticsMetricHistory | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsMetricHistory(writer: SerializationWriter, userExperienceAnalyticsMetricHistory?: UserExperienceAnalyticsMetricHistory | undefined): void;
export interface UserExperienceAnalyticsMetricHistory extends Entity, Parsable {
    /**
     * The Intune device id of the device.
     */
    deviceId?: string;
    /**
     * The metric date time. The value cannot be modified and is automatically populated when the metric is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'. Returned by default.
     */
    metricDateTime?: Date;
    /**
     * The user experience analytics metric type.
     */
    metricType?: string;
}
