"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserExperienceAnalyticsOperatingSystemRestartCategory = void 0;
/**
 * Operating System restart category.
 */
var UserExperienceAnalyticsOperatingSystemRestartCategory;
(function (UserExperienceAnalyticsOperatingSystemRestartCategory) {
    /** Default. Set to unknown if device operating system restart category has not yet been calculated. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["Unknown"] = "unknown";
    /** Indicates that the device operating system restart is along with an update. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["RestartWithUpdate"] = "restartWithUpdate";
    /** Indicates that the device operating system restart is without update. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["RestartWithoutUpdate"] = "restartWithoutUpdate";
    /** Indicates that the device operating system restart is due to a specific stop error. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["BlueScreen"] = "blueScreen";
    /** Indicates that the device operating system restart is due to shutdown with update. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["ShutdownWithUpdate"] = "shutdownWithUpdate";
    /** Indicates that the device operating system restart is due to shutdown without update. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["ShutdownWithoutUpdate"] = "shutdownWithoutUpdate";
    /** Indicates that the device operating system restart is due to update long power-button press. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["LongPowerButtonPress"] = "longPowerButtonPress";
    /** Indicates that the device operating system restart is due to boot error. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["BootError"] = "bootError";
    /** Indicates that the device operating system restarted after an update. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["Update"] = "update";
    /** Evolvable enumeration sentinel value. Do not use. */
    UserExperienceAnalyticsOperatingSystemRestartCategory["UnknownFutureValue"] = "unknownFutureValue";
})(UserExperienceAnalyticsOperatingSystemRestartCategory || (exports.UserExperienceAnalyticsOperatingSystemRestartCategory = UserExperienceAnalyticsOperatingSystemRestartCategory = {}));
// tslint:enable
// eslint-enable
