import { type UserExperienceAnalyticsAutopilotDevicesSummary } from './userExperienceAnalyticsAutopilotDevicesSummary';
import { type UserExperienceAnalyticsCloudIdentityDevicesSummary } from './userExperienceAnalyticsCloudIdentityDevicesSummary';
import { type UserExperienceAnalyticsCloudManagementDevicesSummary } from './userExperienceAnalyticsCloudManagementDevicesSummary';
import { type UserExperienceAnalyticsWindows10DevicesSummary } from './userExperienceAnalyticsWindows10DevicesSummary';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsWorkFromAnywhereDevicesSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsWorkFromAnywhereDevicesSummary;
export declare function deserializeIntoUserExperienceAnalyticsWorkFromAnywhereDevicesSummary(userExperienceAnalyticsWorkFromAnywhereDevicesSummary?: UserExperienceAnalyticsWorkFromAnywhereDevicesSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsWorkFromAnywhereDevicesSummary(writer: SerializationWriter, userExperienceAnalyticsWorkFromAnywhereDevicesSummary?: UserExperienceAnalyticsWorkFromAnywhereDevicesSummary | undefined): void;
export interface UserExperienceAnalyticsWorkFromAnywhereDevicesSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The user experience analytics work from anywhere Autopilot devices summary. Read-only.
     */
    autopilotDevicesSummary?: UserExperienceAnalyticsAutopilotDevicesSummary;
    /**
     * The user experience analytics work from anywhere Cloud Identity devices summary. Read-only.
     */
    cloudIdentityDevicesSummary?: UserExperienceAnalyticsCloudIdentityDevicesSummary;
    /**
     * The user experience analytics work from anywhere Cloud management devices summary. Read-only.
     */
    cloudManagementDevicesSummary?: UserExperienceAnalyticsCloudManagementDevicesSummary;
    /**
     * Total number of co-managed devices. Read-only. Valid values -2147483648 to 2147483647
     */
    coManagedDevices?: number;
    /**
     * The count of intune devices that are not autopilot registerd. Read-only. Valid values -2147483648 to 2147483647
     */
    devicesNotAutopilotRegistered?: number;
    /**
     * The count of intune devices not autopilot profile assigned. Read-only. Valid values -2147483648 to 2147483647
     */
    devicesWithoutAutopilotProfileAssigned?: number;
    /**
     * The count of devices that are not cloud identity. Read-only. Valid values -2147483648 to 2147483647
     */
    devicesWithoutCloudIdentity?: number;
    /**
     * The count of intune devices that are not autopilot registerd. Read-only. Valid values -2147483648 to 2147483647
     */
    intuneDevices?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total count of tenant attach devices. Read-only. Valid values -2147483648 to 2147483647
     */
    tenantAttachDevices?: number;
    /**
     * The total count of devices. Read-only. Valid values -2147483648 to 2147483647
     */
    totalDevices?: number;
    /**
     * The count of Windows 10 devices that have unsupported OS versions. Read-only. Valid values -2147483648 to 2147483647
     */
    unsupportedOSversionDevices?: number;
    /**
     * The count of windows 10 devices. Read-only. Valid values -2147483648 to 2147483647
     */
    windows10Devices?: number;
    /**
     * The user experience analytics work from anywhere Windows 10 devices summary. Read-only.
     */
    windows10DevicesSummary?: UserExperienceAnalyticsWindows10DevicesSummary;
    /**
     * The count of windows 10 devices that are Intune and co-managed. Read-only. Valid values -2147483648 to 2147483647
     */
    windows10DevicesWithoutTenantAttach?: number;
}
