import { type Entity } from './entity';
import { UserExperienceAnalyticsHealthState } from './userExperienceAnalyticsHealthState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsWorkFromAnywhereModelPerformanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsWorkFromAnywhereModelPerformance;
export declare function deserializeIntoUserExperienceAnalyticsWorkFromAnywhereModelPerformance(userExperienceAnalyticsWorkFromAnywhereModelPerformance?: UserExperienceAnalyticsWorkFromAnywhereModelPerformance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsWorkFromAnywhereModelPerformance(writer: SerializationWriter, userExperienceAnalyticsWorkFromAnywhereModelPerformance?: UserExperienceAnalyticsWorkFromAnywhereModelPerformance | undefined): void;
export interface UserExperienceAnalyticsWorkFromAnywhereModelPerformance extends Entity, Parsable {
    /**
     * The cloud identity score of the device model. Valid values 0 to 100. Value -1 means associated score is unavailable. Supports: $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    cloudIdentityScore?: number;
    /**
     * The cloud management score of the device model. Valid values 0 to 100. Value -1 means associated score is unavailable. Supports: $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    cloudManagementScore?: number;
    /**
     * The cloud provisioning score of the device model.  Valid values 0 to 100. Value -1 means associated score is unavailable. Supports: $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    cloudProvisioningScore?: number;
    /**
     * The healthStatus property
     */
    healthStatus?: UserExperienceAnalyticsHealthState;
    /**
     * The manufacturer name of the device. Supports: $select, $OrderBy. Read-only.
     */
    manufacturer?: string;
    /**
     * The model name of the device. Supports: $select, $OrderBy. Read-only.
     */
    model?: string;
    /**
     * The devices count for the model. Supports: $select, $OrderBy. Read-only. Valid values -2147483648 to 2147483647
     */
    modelDeviceCount?: number;
    /**
     * The window score of the device model. Valid values 0 to 100. Value -1 means associated score is unavailable. Supports: $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    windowsScore?: number;
    /**
     * The work from anywhere score of the device model. Valid values 0 to 100. Value -1 means associated score is unavailable. Supports: $select, $OrderBy. Read-only. Valid values -1.79769313486232E+308 to 1.79769313486232E+308
     */
    workFromAnywhereScore?: number;
}
