import { type IdentityApiConnector } from './identityApiConnector';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserFlowApiConnectorConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserFlowApiConnectorConfiguration;
export declare function deserializeIntoUserFlowApiConnectorConfiguration(userFlowApiConnectorConfiguration?: UserFlowApiConnectorConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserFlowApiConnectorConfiguration(writer: SerializationWriter, userFlowApiConnectorConfiguration?: UserFlowApiConnectorConfiguration | undefined): void;
export interface UserFlowApiConnectorConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The postAttributeCollection property
     */
    postAttributeCollection?: IdentityApiConnector;
    /**
     * The postFederationSignup property
     */
    postFederationSignup?: IdentityApiConnector;
}
