import { type Entity } from './entity';
import { type UserFlowLanguagePage } from './userFlowLanguagePage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserFlowLanguageConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserFlowLanguageConfiguration;
export declare function deserializeIntoUserFlowLanguageConfiguration(userFlowLanguageConfiguration?: UserFlowLanguageConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserFlowLanguageConfiguration(writer: SerializationWriter, userFlowLanguageConfiguration?: UserFlowLanguageConfiguration | undefined): void;
export interface UserFlowLanguageConfiguration extends Entity, Parsable {
    /**
     * Collection of pages with the default content to display in a user flow for a specified language. This collection doesn't allow any kind of modification.
     */
    defaultPages?: UserFlowLanguagePage[];
    /**
     * The language name to display. This property is read-only.
     */
    displayName?: string;
    /**
     * Indicates whether the language is enabled within the user flow.
     */
    isEnabled?: boolean;
    /**
     * Collection of pages with the overrides messages to display in a user flow for a specified language. This collection only allows you to modify the content of the page, any other modification isn't allowed (creation or deletion of pages).
     */
    overridesPages?: UserFlowLanguagePage[];
}
