import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserIdentity;
export declare function deserializeIntoUserIdentity(userIdentity?: UserIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserIdentity(writer: SerializationWriter, userIdentity?: UserIdentity | undefined): void;
export interface UserIdentity extends Identity, Parsable {
    /**
     * Indicates the client IP address used by user performing the activity (audit log only).
     */
    ipAddress?: string;
    /**
     * The userPrincipalName attribute of the user.
     */
    userPrincipalName?: string;
}
