import { type DeviceInstallState } from './deviceInstallState';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserInstallStateSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserInstallStateSummary;
export declare function deserializeIntoUserInstallStateSummary(userInstallStateSummary?: UserInstallStateSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserInstallStateSummary(writer: SerializationWriter, userInstallStateSummary?: UserInstallStateSummary | undefined): void;
export interface UserInstallStateSummary extends Entity, Parsable {
    /**
     * The install state of the eBook.
     */
    deviceStates?: DeviceInstallState[];
    /**
     * Failed Device Count.
     */
    failedDeviceCount?: number;
    /**
     * Installed Device Count.
     */
    installedDeviceCount?: number;
    /**
     * Not installed device count.
     */
    notInstalledDeviceCount?: number;
    /**
     * User name.
     */
    userName?: string;
}
