import { AuthenticationMethodFeature } from './authenticationMethodFeature';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserRegistrationFeatureCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserRegistrationFeatureCount;
export declare function deserializeIntoUserRegistrationFeatureCount(userRegistrationFeatureCount?: UserRegistrationFeatureCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserRegistrationFeatureCount(writer: SerializationWriter, userRegistrationFeatureCount?: UserRegistrationFeatureCount | undefined): void;
export interface UserRegistrationFeatureCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The feature property
     */
    feature?: AuthenticationMethodFeature;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of users.
     */
    userCount?: number;
}
