import { IncludedUserRoles } from './includedUserRoles';
import { IncludedUserTypes } from './includedUserTypes';
import { type UserRegistrationFeatureCount } from './userRegistrationFeatureCount';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserRegistrationFeatureSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserRegistrationFeatureSummary;
export declare function deserializeIntoUserRegistrationFeatureSummary(userRegistrationFeatureSummary?: UserRegistrationFeatureSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserRegistrationFeatureSummary(writer: SerializationWriter, userRegistrationFeatureSummary?: UserRegistrationFeatureSummary | undefined): void;
export interface UserRegistrationFeatureSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total number of users accounts, excluding those that are blocked.
     */
    totalUserCount?: number;
    /**
     * Number of users registered or capable for multi-factor authentication, self-service password reset, and passwordless authentication.
     */
    userRegistrationFeatureCounts?: UserRegistrationFeatureCount[];
    /**
     * The role type of the user. Possible values are: all, privilegedAdmin, admin, user, unknownFutureValue.
     */
    userRoles?: IncludedUserRoles;
    /**
     * User type. Possible values are: all, member, guest, unknownFutureValue.
     */
    userTypes?: IncludedUserTypes;
}
