import { IncludedUserRoles } from './includedUserRoles';
import { IncludedUserTypes } from './includedUserTypes';
import { type UserRegistrationMethodCount } from './userRegistrationMethodCount';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserRegistrationMethodSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserRegistrationMethodSummary;
export declare function deserializeIntoUserRegistrationMethodSummary(userRegistrationMethodSummary?: UserRegistrationMethodSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserRegistrationMethodSummary(writer: SerializationWriter, userRegistrationMethodSummary?: UserRegistrationMethodSummary | undefined): void;
export interface UserRegistrationMethodSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total number of users in the tenant.
     */
    totalUserCount?: number;
    /**
     * Number of users registered for each authentication method.
     */
    userRegistrationMethodCounts?: UserRegistrationMethodCount[];
    /**
     * The role type of the user. Possible values are: all, privilegedAdmin, admin, user, unknownFutureValue.
     */
    userRoles?: IncludedUserRoles;
    /**
     * User type. Possible values are: all, member, guest, unknownFutureValue.
     */
    userTypes?: IncludedUserTypes;
}
