import { type AssociatedTeamInfo } from './associatedTeamInfo';
import { type Entity } from './entity';
import { type UserScopeTeamsAppInstallation } from './userScopeTeamsAppInstallation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserTeamworkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserTeamwork;
export declare function deserializeIntoUserTeamwork(userTeamwork?: UserTeamwork | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserTeamwork(writer: SerializationWriter, userTeamwork?: UserTeamwork | undefined): void;
export interface UserTeamwork extends Entity, Parsable {
    /**
     * The list of associatedTeamInfo objects that a user is associated with.
     */
    associatedTeams?: AssociatedTeamInfo[];
    /**
     * The apps installed in the personal scope of this user.
     */
    installedApps?: UserScopeTeamsAppInstallation[];
}
