import { TrainingStatus } from './trainingStatus';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserTrainingStatusInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserTrainingStatusInfo;
export declare function deserializeIntoUserTrainingStatusInfo(userTrainingStatusInfo?: UserTrainingStatusInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserTrainingStatusInfo(writer: SerializationWriter, userTrainingStatusInfo?: UserTrainingStatusInfo | undefined): void;
export interface UserTrainingStatusInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Date and time of assignment of the training to the user.
     */
    assignedDateTime?: Date;
    /**
     * Date and time of completion of the training by the user.
     */
    completionDateTime?: Date;
    /**
     * Display name of the assigned training.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status of the training assigned to the user. Possible values are: unknown, assigned, inProgress, completed, overdue, unknownFutureValue.
     */
    trainingStatus?: TrainingStatus;
}
