"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVerifiedDomain = exports.deserializeIntoVerifiedDomain = exports.createVerifiedDomainFromDiscriminatorValue = void 0;
function createVerifiedDomainFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVerifiedDomain;
}
exports.createVerifiedDomainFromDiscriminatorValue = createVerifiedDomainFromDiscriminatorValue;
function deserializeIntoVerifiedDomain(verifiedDomain = {}) {
    return {
        "capabilities": n => { verifiedDomain.capabilities = n.getStringValue(); },
        "isDefault": n => { verifiedDomain.isDefault = n.getBooleanValue(); },
        "isInitial": n => { verifiedDomain.isInitial = n.getBooleanValue(); },
        "name": n => { verifiedDomain.name = n.getStringValue(); },
        "@odata.type": n => { verifiedDomain.odataType = n.getStringValue(); },
        "type": n => { verifiedDomain.type = n.getStringValue(); },
    };
}
exports.deserializeIntoVerifiedDomain = deserializeIntoVerifiedDomain;
function serializeVerifiedDomain(writer, verifiedDomain = {}) {
    writer.writeStringValue("capabilities", verifiedDomain.capabilities);
    writer.writeBooleanValue("isDefault", verifiedDomain.isDefault);
    writer.writeBooleanValue("isInitial", verifiedDomain.isInitial);
    writer.writeStringValue("name", verifiedDomain.name);
    writer.writeStringValue("@odata.type", verifiedDomain.odataType);
    writer.writeStringValue("type", verifiedDomain.type);
    writer.writeAdditionalData(verifiedDomain.additionalData);
}
exports.serializeVerifiedDomain = serializeVerifiedDomain;
// tslint:enable
// eslint-enable
