import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVideoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVideo;
export declare function deserializeIntoVideo(video?: Video | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVideo(writer: SerializationWriter, video?: Video | undefined): void;
export interface Video extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Number of audio bits per sample.
     */
    audioBitsPerSample?: number;
    /**
     * Number of audio channels.
     */
    audioChannels?: number;
    /**
     * Name of the audio format (AAC, MP3, etc.).
     */
    audioFormat?: string;
    /**
     * Number of audio samples per second.
     */
    audioSamplesPerSecond?: number;
    /**
     * Bit rate of the video in bits per second.
     */
    bitrate?: number;
    /**
     * Duration of the file in milliseconds.
     */
    duration?: number;
    /**
     * 'Four character code' name of the video format.
     */
    fourCC?: string;
    /**
     * Frame rate of the video.
     */
    frameRate?: number;
    /**
     * Height of the video, in pixels.
     */
    height?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Width of the video, in pixels.
     */
    width?: number;
}
