"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVideo = exports.deserializeIntoVideo = exports.createVideoFromDiscriminatorValue = void 0;
function createVideoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVideo;
}
exports.createVideoFromDiscriminatorValue = createVideoFromDiscriminatorValue;
function deserializeIntoVideo(video = {}) {
    return {
        "audioBitsPerSample": n => { video.audioBitsPerSample = n.getNumberValue(); },
        "audioChannels": n => { video.audioChannels = n.getNumberValue(); },
        "audioFormat": n => { video.audioFormat = n.getStringValue(); },
        "audioSamplesPerSecond": n => { video.audioSamplesPerSecond = n.getNumberValue(); },
        "bitrate": n => { video.bitrate = n.getNumberValue(); },
        "duration": n => { video.duration = n.getNumberValue(); },
        "fourCC": n => { video.fourCC = n.getStringValue(); },
        "frameRate": n => { video.frameRate = n.getNumberValue(); },
        "height": n => { video.height = n.getNumberValue(); },
        "@odata.type": n => { video.odataType = n.getStringValue(); },
        "width": n => { video.width = n.getNumberValue(); },
    };
}
exports.deserializeIntoVideo = deserializeIntoVideo;
function serializeVideo(writer, video = {}) {
    writer.writeNumberValue("audioBitsPerSample", video.audioBitsPerSample);
    writer.writeNumberValue("audioChannels", video.audioChannels);
    writer.writeStringValue("audioFormat", video.audioFormat);
    writer.writeNumberValue("audioSamplesPerSecond", video.audioSamplesPerSecond);
    writer.writeNumberValue("bitrate", video.bitrate);
    writer.writeNumberValue("duration", video.duration);
    writer.writeStringValue("fourCC", video.fourCC);
    writer.writeNumberValue("frameRate", video.frameRate);
    writer.writeNumberValue("height", video.height);
    writer.writeStringValue("@odata.type", video.odataType);
    writer.writeNumberValue("width", video.width);
    writer.writeAdditionalData(video.additionalData);
}
exports.serializeVideo = serializeVideo;
// tslint:enable
// eslint-enable
