import { type CommunicationsIdentitySet } from './communicationsIdentitySet';
import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type Entity } from './entity';
import { type ItemBody } from './itemBody';
import { type VirtualEventSession } from './virtualEventSession';
import { VirtualEventStatus } from './virtualEventStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEvent;
export declare function deserializeIntoVirtualEvent(virtualEvent?: VirtualEvent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEvent(writer: SerializationWriter, virtualEvent?: VirtualEvent | undefined): void;
export interface VirtualEvent extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: CommunicationsIdentitySet;
    /**
     * The description property
     */
    description?: ItemBody;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The sessions property
     */
    sessions?: VirtualEventSession[];
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
    /**
     * The status property
     */
    status?: VirtualEventStatus;
}
