"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVirtualEvent = exports.deserializeIntoVirtualEvent = exports.createVirtualEventFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const communicationsIdentitySet_1 = require("./communicationsIdentitySet");
const dateTimeTimeZone_1 = require("./dateTimeTimeZone");
const entity_1 = require("./entity");
const itemBody_1 = require("./itemBody");
const virtualEventSession_1 = require("./virtualEventSession");
const virtualEventStatus_1 = require("./virtualEventStatus");
const virtualEventWebinar_1 = require("./virtualEventWebinar");
function createVirtualEventFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.virtualEventWebinar":
                    return virtualEventWebinar_1.deserializeIntoVirtualEventWebinar;
            }
        }
    }
    return deserializeIntoVirtualEvent;
}
exports.createVirtualEventFromDiscriminatorValue = createVirtualEventFromDiscriminatorValue;
function deserializeIntoVirtualEvent(virtualEvent = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(virtualEvent)), { "createdBy": n => { virtualEvent.createdBy = n.getObjectValue(communicationsIdentitySet_1.createCommunicationsIdentitySetFromDiscriminatorValue); }, "description": n => { virtualEvent.description = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); }, "displayName": n => { virtualEvent.displayName = n.getStringValue(); }, "endDateTime": n => { virtualEvent.endDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "sessions": n => { virtualEvent.sessions = n.getCollectionOfObjectValues(virtualEventSession_1.createVirtualEventSessionFromDiscriminatorValue); }, "startDateTime": n => { virtualEvent.startDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "status": n => { virtualEvent.status = n.getEnumValue(virtualEventStatus_1.VirtualEventStatus); } });
}
exports.deserializeIntoVirtualEvent = deserializeIntoVirtualEvent;
function serializeVirtualEvent(writer, virtualEvent = {}) {
    (0, entity_1.serializeEntity)(writer, virtualEvent);
    writer.writeObjectValue("createdBy", virtualEvent.createdBy, communicationsIdentitySet_1.serializeCommunicationsIdentitySet);
    writer.writeObjectValue("description", virtualEvent.description, itemBody_1.serializeItemBody);
    writer.writeStringValue("displayName", virtualEvent.displayName);
    writer.writeObjectValue("endDateTime", virtualEvent.endDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeCollectionOfObjectValues("sessions", virtualEvent.sessions, virtualEventSession_1.serializeVirtualEventSession);
    writer.writeObjectValue("startDateTime", virtualEvent.startDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeEnumValue("status", virtualEvent.status);
}
exports.serializeVirtualEvent = serializeVirtualEvent;
// tslint:enable
// eslint-enable
