import { type Entity } from './entity';
import { VirtualEventAttendeeRegistrationStatus } from './virtualEventAttendeeRegistrationStatus';
import { type VirtualEventRegistrationQuestionAnswer } from './virtualEventRegistrationQuestionAnswer';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventRegistrationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventRegistration;
export declare function deserializeIntoVirtualEventRegistration(virtualEventRegistration?: VirtualEventRegistration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventRegistration(writer: SerializationWriter, virtualEventRegistration?: VirtualEventRegistration | undefined): void;
export interface VirtualEventRegistration extends Entity, Parsable {
    /**
     * The cancelationDateTime property
     */
    cancelationDateTime?: Date;
    /**
     * The email property
     */
    email?: string;
    /**
     * The firstName property
     */
    firstName?: string;
    /**
     * The lastName property
     */
    lastName?: string;
    /**
     * The registrationDateTime property
     */
    registrationDateTime?: Date;
    /**
     * The registrationQuestionAnswers property
     */
    registrationQuestionAnswers?: VirtualEventRegistrationQuestionAnswer[];
    /**
     * The status property
     */
    status?: VirtualEventAttendeeRegistrationStatus;
    /**
     * The userId property
     */
    userId?: string;
}
