import { type CommunicationsUserIdentity } from './communicationsUserIdentity';
import { MeetingAudience } from './meetingAudience';
import { type VirtualEvent } from './virtualEvent';
import { type VirtualEventRegistration } from './virtualEventRegistration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventWebinarFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventWebinar;
export declare function deserializeIntoVirtualEventWebinar(virtualEventWebinar?: VirtualEventWebinar | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventWebinar(writer: SerializationWriter, virtualEventWebinar?: VirtualEventWebinar | undefined): void;
export interface VirtualEventWebinar extends Parsable, VirtualEvent {
    /**
     * The audience property
     */
    audience?: MeetingAudience;
    /**
     * The coOrganizers property
     */
    coOrganizers?: CommunicationsUserIdentity[];
    /**
     * The registrations property
     */
    registrations?: VirtualEventRegistration[];
}
