import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVoiceAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVoiceAuthenticationMethodConfiguration;
export declare function deserializeIntoVoiceAuthenticationMethodConfiguration(voiceAuthenticationMethodConfiguration?: VoiceAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVoiceAuthenticationMethodConfiguration(writer: SerializationWriter, voiceAuthenticationMethodConfiguration?: VoiceAuthenticationMethodConfiguration | undefined): void;
export interface VoiceAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * A collection of groups that are enabled to use the authentication method. Expanded by default.
     */
    includeTargets?: AuthenticationMethodTarget[];
    /**
     * true if users can register office phones, otherwise, false.
     */
    isOfficePhoneAllowed?: boolean;
}
