import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVppLicensingTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVppLicensingType;
export declare function deserializeIntoVppLicensingType(vppLicensingType?: VppLicensingType | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVppLicensingType(writer: SerializationWriter, vppLicensingType?: VppLicensingType | undefined): void;
export interface VppLicensingType extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Whether the program supports the device licensing type.
     */
    supportsDeviceLicensing?: boolean;
    /**
     * Whether the program supports the user licensing type.
     */
    supportsUserLicensing?: boolean;
}
