import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWatermarkProtectionValuesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWatermarkProtectionValues;
export declare function deserializeIntoWatermarkProtectionValues(watermarkProtectionValues?: WatermarkProtectionValues | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWatermarkProtectionValues(writer: SerializationWriter, watermarkProtectionValues?: WatermarkProtectionValues | undefined): void;
export interface WatermarkProtectionValues extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether to apply a watermark to any shared content.
     */
    isEnabledForContentSharing?: boolean;
    /**
     * Indicates whether to apply a watermark to everyone's video feed.
     */
    isEnabledForVideo?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
