import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWebAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWebApp;
export declare function deserializeIntoWebApp(webApp?: WebApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWebApp(writer: SerializationWriter, webApp?: WebApp | undefined): void;
export interface WebApp extends MobileApp, Parsable {
    /**
     * The web app URL. This property cannot be PATCHed.
     */
    appUrl?: string;
    /**
     * Whether or not to use managed browser. This property is only applicable for Android and IOS.
     */
    useManagedBrowser?: boolean;
}
