import { type ImplicitGrantSettings } from './implicitGrantSettings';
import { type RedirectUriSettings } from './redirectUriSettings';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWebApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWebApplication;
export declare function deserializeIntoWebApplication(webApplication?: WebApplication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWebApplication(writer: SerializationWriter, webApplication?: WebApplication | undefined): void;
export interface WebApplication extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Home page or landing page of the application.
     */
    homePageUrl?: string;
    /**
     * Specifies whether this web application can request tokens using the OAuth 2.0 implicit flow.
     */
    implicitGrantSettings?: ImplicitGrantSettings;
    /**
     * Specifies the URL that is used by Microsoft's authorization service to log out a user using front-channel, back-channel or SAML logout protocols.
     */
    logoutUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies the URLs where user tokens are sent for sign-in, or the redirect URIs where OAuth 2.0 authorization codes and access tokens are sent.
     */
    redirectUris?: string[];
    /**
     * The redirectUriSettings property
     */
    redirectUriSettings?: RedirectUriSettings[];
}
