import { WebsiteType } from './websiteType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWebsiteFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWebsite;
export declare function deserializeIntoWebsite(website?: Website | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWebsite(writer: SerializationWriter, website?: Website | undefined): void;
export interface Website extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The URL of the website.
     */
    address?: string;
    /**
     * The display name of the web site.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The possible values are: other, home, work, blog, profile.
     */
    type?: WebsiteType;
}
