import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type MobileAppInstallTimeSettings } from './mobileAppInstallTimeSettings';
import { Win32LobAppDeliveryOptimizationPriority } from './win32LobAppDeliveryOptimizationPriority';
import { Win32LobAppNotification } from './win32LobAppNotification';
import { type Win32LobAppRestartSettings } from './win32LobAppRestartSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppAssignmentSettings;
export declare function deserializeIntoWin32LobAppAssignmentSettings(win32LobAppAssignmentSettings?: Win32LobAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppAssignmentSettings(writer: SerializationWriter, win32LobAppAssignmentSettings?: Win32LobAppAssignmentSettings | undefined): void;
export interface Win32LobAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * Contains value for delivery optimization priority.
     */
    deliveryOptimizationPriority?: Win32LobAppDeliveryOptimizationPriority;
    /**
     * The install time settings to apply for this app assignment.
     */
    installTimeSettings?: MobileAppInstallTimeSettings;
    /**
     * Contains value for notification status.
     */
    notifications?: Win32LobAppNotification;
    /**
     * The reboot settings to apply for this app assignment.
     */
    restartSettings?: Win32LobAppRestartSettings;
}
