import { Win32LobAppFileSystemOperationType } from './win32LobAppFileSystemOperationType';
import { type Win32LobAppRule } from './win32LobAppRule';
import { Win32LobAppRuleOperator } from './win32LobAppRuleOperator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppFileSystemRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppFileSystemRule;
export declare function deserializeIntoWin32LobAppFileSystemRule(win32LobAppFileSystemRule?: Win32LobAppFileSystemRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppFileSystemRule(writer: SerializationWriter, win32LobAppFileSystemRule?: Win32LobAppFileSystemRule | undefined): void;
export interface Win32LobAppFileSystemRule extends Parsable, Win32LobAppRule {
    /**
     * A value indicating whether to expand environment variables in the 32-bit context on 64-bit systems.
     */
    check32BitOn64System?: boolean;
    /**
     * The file or folder comparison value.
     */
    comparisonValue?: string;
    /**
     * The file or folder name to look up.
     */
    fileOrFolderName?: string;
    /**
     * Contains all supported file system detection type.
     */
    operationType?: Win32LobAppFileSystemOperationType;
    /**
     * Contains properties for detection operator.
     */
    operator?: Win32LobAppRuleOperator;
    /**
     * The file or folder path to look up.
     */
    path?: string;
}
