import { RunAsAccountType } from './runAsAccountType';
import { Win32LobAppRestartBehavior } from './win32LobAppRestartBehavior';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppInstallExperienceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppInstallExperience;
export declare function deserializeIntoWin32LobAppInstallExperience(win32LobAppInstallExperience?: Win32LobAppInstallExperience | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppInstallExperience(writer: SerializationWriter, win32LobAppInstallExperience?: Win32LobAppInstallExperience | undefined): void;
export interface Win32LobAppInstallExperience extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates the type of restart action.
     */
    deviceRestartBehavior?: Win32LobAppRestartBehavior;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the type of execution context the app runs in.
     */
    runAsAccount?: RunAsAccountType;
}
