import { Win32LobAppMsiPackageType } from './win32LobAppMsiPackageType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppMsiInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppMsiInformation;
export declare function deserializeIntoWin32LobAppMsiInformation(win32LobAppMsiInformation?: Win32LobAppMsiInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppMsiInformation(writer: SerializationWriter, win32LobAppMsiInformation?: Win32LobAppMsiInformation | undefined): void;
export interface Win32LobAppMsiInformation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Indicates the package type of an MSI Win32LobApp.
     */
    packageType?: Win32LobAppMsiPackageType;
    /**
     * The MSI product code.
     */
    productCode?: string;
    /**
     * The MSI product name.
     */
    productName?: string;
    /**
     * The MSI product version.
     */
    productVersion?: string;
    /**
     * The MSI publisher.
     */
    publisher?: string;
    /**
     * Whether the MSI app requires the machine to reboot to complete installation.
     */
    requiresReboot?: boolean;
    /**
     * The MSI upgrade code.
     */
    upgradeCode?: string;
}
