import { RunAsAccountType } from './runAsAccountType';
import { Win32LobAppPowerShellScriptRuleOperationType } from './win32LobAppPowerShellScriptRuleOperationType';
import { type Win32LobAppRule } from './win32LobAppRule';
import { Win32LobAppRuleOperator } from './win32LobAppRuleOperator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppPowerShellScriptRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppPowerShellScriptRule;
export declare function deserializeIntoWin32LobAppPowerShellScriptRule(win32LobAppPowerShellScriptRule?: Win32LobAppPowerShellScriptRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppPowerShellScriptRule(writer: SerializationWriter, win32LobAppPowerShellScriptRule?: Win32LobAppPowerShellScriptRule | undefined): void;
export interface Win32LobAppPowerShellScriptRule extends Parsable, Win32LobAppRule {
    /**
     * The script output comparison value. Do not specify a value if the rule is used for detection.
     */
    comparisonValue?: string;
    /**
     * The display name for the rule. Do not specify this value if the rule is used for detection.
     */
    displayName?: string;
    /**
     * A value indicating whether a signature check is enforced.
     */
    enforceSignatureCheck?: boolean;
    /**
     * Contains all supported Powershell Script output detection type.
     */
    operationType?: Win32LobAppPowerShellScriptRuleOperationType;
    /**
     * Contains properties for detection operator.
     */
    operator?: Win32LobAppRuleOperator;
    /**
     * A value indicating whether the script should run as 32-bit.
     */
    runAs32Bit?: boolean;
    /**
     * The execution context of the script. Do not specify this value if the rule is used for detection. Script detection rules will run in the same context as the associated app install context. Possible values are: system, user.
     */
    runAsAccount?: RunAsAccountType;
    /**
     * The base64-encoded script content.
     */
    scriptContent?: string;
}
