import { Win32LobAppRegistryRuleOperationType } from './win32LobAppRegistryRuleOperationType';
import { type Win32LobAppRule } from './win32LobAppRule';
import { Win32LobAppRuleOperator } from './win32LobAppRuleOperator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppRegistryRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppRegistryRule;
export declare function deserializeIntoWin32LobAppRegistryRule(win32LobAppRegistryRule?: Win32LobAppRegistryRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppRegistryRule(writer: SerializationWriter, win32LobAppRegistryRule?: Win32LobAppRegistryRule | undefined): void;
export interface Win32LobAppRegistryRule extends Parsable, Win32LobAppRule {
    /**
     * A value indicating whether to search the 32-bit registry on 64-bit systems.
     */
    check32BitOn64System?: boolean;
    /**
     * The registry comparison value.
     */
    comparisonValue?: string;
    /**
     * The full path of the registry entry containing the value to detect.
     */
    keyPath?: string;
    /**
     * Contains all supported registry data detection type.
     */
    operationType?: Win32LobAppRegistryRuleOperationType;
    /**
     * Contains properties for detection operator.
     */
    operator?: Win32LobAppRuleOperator;
    /**
     * The name of the registry value to detect.
     */
    valueName?: string;
}
