import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppRestartSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppRestartSettings;
export declare function deserializeIntoWin32LobAppRestartSettings(win32LobAppRestartSettings?: Win32LobAppRestartSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppRestartSettings(writer: SerializationWriter, win32LobAppRestartSettings?: Win32LobAppRestartSettings | undefined): void;
export interface Win32LobAppRestartSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The number of minutes before the restart time to display the countdown dialog for pending restarts.
     */
    countdownDisplayBeforeRestartInMinutes?: number;
    /**
     * The number of minutes to wait before restarting the device after an app installation.
     */
    gracePeriodInMinutes?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The number of minutes to snooze the restart notification dialog when the snooze button is selected.
     */
    restartNotificationSnoozeDurationInMinutes?: number;
}
