import { deserializeIntoWin32LobAppFileSystemRule } from './win32LobAppFileSystemRule';
import { Win32LobAppRuleType } from './win32LobAppRuleType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppFileSystemRule;
export declare function deserializeIntoWin32LobAppRule(win32LobAppRule?: Win32LobAppRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppRule(writer: SerializationWriter, win32LobAppRule?: Win32LobAppRule | undefined): void;
export interface Win32LobAppRule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Contains rule types for Win32 LOB apps.
     */
    ruleType?: Win32LobAppRuleType;
}
