"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWin32LobAppRule = exports.deserializeIntoWin32LobAppRule = exports.createWin32LobAppRuleFromDiscriminatorValue = void 0;
const win32LobAppFileSystemRule_1 = require("./win32LobAppFileSystemRule");
const win32LobAppPowerShellScriptRule_1 = require("./win32LobAppPowerShellScriptRule");
const win32LobAppProductCodeRule_1 = require("./win32LobAppProductCodeRule");
const win32LobAppRegistryRule_1 = require("./win32LobAppRegistryRule");
const win32LobAppRuleType_1 = require("./win32LobAppRuleType");
function createWin32LobAppRuleFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.win32LobAppFileSystemRule":
                    return win32LobAppFileSystemRule_1.deserializeIntoWin32LobAppFileSystemRule;
                case "#microsoft.graph.win32LobAppPowerShellScriptRule":
                    return win32LobAppPowerShellScriptRule_1.deserializeIntoWin32LobAppPowerShellScriptRule;
                case "#microsoft.graph.win32LobAppProductCodeRule":
                    return win32LobAppProductCodeRule_1.deserializeIntoWin32LobAppProductCodeRule;
                case "#microsoft.graph.win32LobAppRegistryRule":
                    return win32LobAppRegistryRule_1.deserializeIntoWin32LobAppRegistryRule;
            }
        }
    }
    return deserializeIntoWin32LobAppRule;
}
exports.createWin32LobAppRuleFromDiscriminatorValue = createWin32LobAppRuleFromDiscriminatorValue;
function deserializeIntoWin32LobAppRule(win32LobAppRule = {}) {
    return {
        "@odata.type": n => { win32LobAppRule.odataType = n.getStringValue(); },
        "ruleType": n => { win32LobAppRule.ruleType = n.getEnumValue(win32LobAppRuleType_1.Win32LobAppRuleType); },
    };
}
exports.deserializeIntoWin32LobAppRule = deserializeIntoWin32LobAppRule;
function serializeWin32LobAppRule(writer, win32LobAppRule = {}) {
    writer.writeStringValue("@odata.type", win32LobAppRule.odataType);
    writer.writeEnumValue("ruleType", win32LobAppRule.ruleType);
    writer.writeAdditionalData(win32LobAppRule.additionalData);
}
exports.serializeWin32LobAppRule = serializeWin32LobAppRule;
// tslint:enable
// eslint-enable
