import { type DeviceConfiguration } from './deviceConfiguration';
import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindows10CustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindows10CustomConfiguration;
export declare function deserializeIntoWindows10CustomConfiguration(windows10CustomConfiguration?: Windows10CustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindows10CustomConfiguration(writer: SerializationWriter, windows10CustomConfiguration?: Windows10CustomConfiguration | undefined): void;
export interface Windows10CustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * OMA settings. This collection can contain a maximum of 1000 elements.
     */
    omaSettings?: OmaSetting[];
}
