"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindows10GeneralConfiguration = exports.deserializeIntoWindows10GeneralConfiguration = exports.createWindows10GeneralConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const defenderCloudBlockLevelType_1 = require("./defenderCloudBlockLevelType");
const defenderDetectedMalwareActions_1 = require("./defenderDetectedMalwareActions");
const defenderMonitorFileActivity_1 = require("./defenderMonitorFileActivity");
const defenderPromptForSampleSubmission_1 = require("./defenderPromptForSampleSubmission");
const defenderScanType_1 = require("./defenderScanType");
const deviceConfiguration_1 = require("./deviceConfiguration");
const diagnosticDataSubmissionMode_1 = require("./diagnosticDataSubmissionMode");
const edgeCookiePolicy_1 = require("./edgeCookiePolicy");
const edgeSearchEngineBase_1 = require("./edgeSearchEngineBase");
const requiredPasswordType_1 = require("./requiredPasswordType");
const safeSearchFilterType_1 = require("./safeSearchFilterType");
const stateManagementSetting_1 = require("./stateManagementSetting");
const visibilitySetting_1 = require("./visibilitySetting");
const weeklySchedule_1 = require("./weeklySchedule");
const windows10NetworkProxyServer_1 = require("./windows10NetworkProxyServer");
const windowsSpotlightEnablementSettings_1 = require("./windowsSpotlightEnablementSettings");
const windowsStartMenuAppListVisibilityType_1 = require("./windowsStartMenuAppListVisibilityType");
const windowsStartMenuModeType_1 = require("./windowsStartMenuModeType");
function createWindows10GeneralConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindows10GeneralConfiguration;
}
exports.createWindows10GeneralConfigurationFromDiscriminatorValue = createWindows10GeneralConfigurationFromDiscriminatorValue;
function deserializeIntoWindows10GeneralConfiguration(windows10GeneralConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, deviceConfiguration_1.deserializeIntoDeviceConfiguration)(windows10GeneralConfiguration)), { "accountsBlockAddingNonMicrosoftAccountEmail": n => { windows10GeneralConfiguration.accountsBlockAddingNonMicrosoftAccountEmail = n.getBooleanValue(); }, "antiTheftModeBlocked": n => { windows10GeneralConfiguration.antiTheftModeBlocked = n.getBooleanValue(); }, "appsAllowTrustedAppsSideloading": n => { windows10GeneralConfiguration.appsAllowTrustedAppsSideloading = n.getEnumValue(stateManagementSetting_1.StateManagementSetting); }, "appsBlockWindowsStoreOriginatedApps": n => { windows10GeneralConfiguration.appsBlockWindowsStoreOriginatedApps = n.getBooleanValue(); }, "bluetoothAllowedServices": n => { windows10GeneralConfiguration.bluetoothAllowedServices = n.getCollectionOfPrimitiveValues(); }, "bluetoothBlockAdvertising": n => { windows10GeneralConfiguration.bluetoothBlockAdvertising = n.getBooleanValue(); }, "bluetoothBlockDiscoverableMode": n => { windows10GeneralConfiguration.bluetoothBlockDiscoverableMode = n.getBooleanValue(); }, "bluetoothBlocked": n => { windows10GeneralConfiguration.bluetoothBlocked = n.getBooleanValue(); }, "bluetoothBlockPrePairing": n => { windows10GeneralConfiguration.bluetoothBlockPrePairing = n.getBooleanValue(); }, "cameraBlocked": n => { windows10GeneralConfiguration.cameraBlocked = n.getBooleanValue(); }, "cellularBlockDataWhenRoaming": n => { windows10GeneralConfiguration.cellularBlockDataWhenRoaming = n.getBooleanValue(); }, "cellularBlockVpn": n => { windows10GeneralConfiguration.cellularBlockVpn = n.getBooleanValue(); }, "cellularBlockVpnWhenRoaming": n => { windows10GeneralConfiguration.cellularBlockVpnWhenRoaming = n.getBooleanValue(); }, "certificatesBlockManualRootCertificateInstallation": n => { windows10GeneralConfiguration.certificatesBlockManualRootCertificateInstallation = n.getBooleanValue(); }, "connectedDevicesServiceBlocked": n => { windows10GeneralConfiguration.connectedDevicesServiceBlocked = n.getBooleanValue(); }, "copyPasteBlocked": n => { windows10GeneralConfiguration.copyPasteBlocked = n.getBooleanValue(); }, "cortanaBlocked": n => { windows10GeneralConfiguration.cortanaBlocked = n.getBooleanValue(); }, "defenderBlockEndUserAccess": n => { windows10GeneralConfiguration.defenderBlockEndUserAccess = n.getBooleanValue(); }, "defenderCloudBlockLevel": n => { windows10GeneralConfiguration.defenderCloudBlockLevel = n.getEnumValue(defenderCloudBlockLevelType_1.DefenderCloudBlockLevelType); }, "defenderDaysBeforeDeletingQuarantinedMalware": n => { windows10GeneralConfiguration.defenderDaysBeforeDeletingQuarantinedMalware = n.getNumberValue(); }, "defenderDetectedMalwareActions": n => { windows10GeneralConfiguration.defenderDetectedMalwareActions = n.getObjectValue(defenderDetectedMalwareActions_1.createDefenderDetectedMalwareActionsFromDiscriminatorValue); }, "defenderFileExtensionsToExclude": n => { windows10GeneralConfiguration.defenderFileExtensionsToExclude = n.getCollectionOfPrimitiveValues(); }, "defenderFilesAndFoldersToExclude": n => { windows10GeneralConfiguration.defenderFilesAndFoldersToExclude = n.getCollectionOfPrimitiveValues(); }, "defenderMonitorFileActivity": n => { windows10GeneralConfiguration.defenderMonitorFileActivity = n.getEnumValue(defenderMonitorFileActivity_1.DefenderMonitorFileActivity); }, "defenderProcessesToExclude": n => { windows10GeneralConfiguration.defenderProcessesToExclude = n.getCollectionOfPrimitiveValues(); }, "defenderPromptForSampleSubmission": n => { windows10GeneralConfiguration.defenderPromptForSampleSubmission = n.getEnumValue(defenderPromptForSampleSubmission_1.DefenderPromptForSampleSubmission); }, "defenderRequireBehaviorMonitoring": n => { windows10GeneralConfiguration.defenderRequireBehaviorMonitoring = n.getBooleanValue(); }, "defenderRequireCloudProtection": n => { windows10GeneralConfiguration.defenderRequireCloudProtection = n.getBooleanValue(); }, "defenderRequireNetworkInspectionSystem": n => { windows10GeneralConfiguration.defenderRequireNetworkInspectionSystem = n.getBooleanValue(); }, "defenderRequireRealTimeMonitoring": n => { windows10GeneralConfiguration.defenderRequireRealTimeMonitoring = n.getBooleanValue(); }, "defenderScanArchiveFiles": n => { windows10GeneralConfiguration.defenderScanArchiveFiles = n.getBooleanValue(); }, "defenderScanDownloads": n => { windows10GeneralConfiguration.defenderScanDownloads = n.getBooleanValue(); }, "defenderScanIncomingMail": n => { windows10GeneralConfiguration.defenderScanIncomingMail = n.getBooleanValue(); }, "defenderScanMappedNetworkDrivesDuringFullScan": n => { windows10GeneralConfiguration.defenderScanMappedNetworkDrivesDuringFullScan = n.getBooleanValue(); }, "defenderScanMaxCpu": n => { windows10GeneralConfiguration.defenderScanMaxCpu = n.getNumberValue(); }, "defenderScanNetworkFiles": n => { windows10GeneralConfiguration.defenderScanNetworkFiles = n.getBooleanValue(); }, "defenderScanRemovableDrivesDuringFullScan": n => { windows10GeneralConfiguration.defenderScanRemovableDrivesDuringFullScan = n.getBooleanValue(); }, "defenderScanScriptsLoadedInInternetExplorer": n => { windows10GeneralConfiguration.defenderScanScriptsLoadedInInternetExplorer = n.getBooleanValue(); }, "defenderScanType": n => { windows10GeneralConfiguration.defenderScanType = n.getEnumValue(defenderScanType_1.DefenderScanType); }, "defenderScheduledQuickScanTime": n => { windows10GeneralConfiguration.defenderScheduledQuickScanTime = n.getTimeOnlyValue(); }, "defenderScheduledScanTime": n => { windows10GeneralConfiguration.defenderScheduledScanTime = n.getTimeOnlyValue(); }, "defenderSignatureUpdateIntervalInHours": n => { windows10GeneralConfiguration.defenderSignatureUpdateIntervalInHours = n.getNumberValue(); }, "defenderSystemScanSchedule": n => { windows10GeneralConfiguration.defenderSystemScanSchedule = n.getEnumValue(weeklySchedule_1.WeeklySchedule); }, "developerUnlockSetting": n => { windows10GeneralConfiguration.developerUnlockSetting = n.getEnumValue(stateManagementSetting_1.StateManagementSetting); }, "deviceManagementBlockFactoryResetOnMobile": n => { windows10GeneralConfiguration.deviceManagementBlockFactoryResetOnMobile = n.getBooleanValue(); }, "deviceManagementBlockManualUnenroll": n => { windows10GeneralConfiguration.deviceManagementBlockManualUnenroll = n.getBooleanValue(); }, "diagnosticsDataSubmissionMode": n => { windows10GeneralConfiguration.diagnosticsDataSubmissionMode = n.getEnumValue(diagnosticDataSubmissionMode_1.DiagnosticDataSubmissionMode); }, "edgeAllowStartPagesModification": n => { windows10GeneralConfiguration.edgeAllowStartPagesModification = n.getBooleanValue(); }, "edgeBlockAccessToAboutFlags": n => { windows10GeneralConfiguration.edgeBlockAccessToAboutFlags = n.getBooleanValue(); }, "edgeBlockAddressBarDropdown": n => { windows10GeneralConfiguration.edgeBlockAddressBarDropdown = n.getBooleanValue(); }, "edgeBlockAutofill": n => { windows10GeneralConfiguration.edgeBlockAutofill = n.getBooleanValue(); }, "edgeBlockCompatibilityList": n => { windows10GeneralConfiguration.edgeBlockCompatibilityList = n.getBooleanValue(); }, "edgeBlockDeveloperTools": n => { windows10GeneralConfiguration.edgeBlockDeveloperTools = n.getBooleanValue(); }, "edgeBlocked": n => { windows10GeneralConfiguration.edgeBlocked = n.getBooleanValue(); }, "edgeBlockExtensions": n => { windows10GeneralConfiguration.edgeBlockExtensions = n.getBooleanValue(); }, "edgeBlockInPrivateBrowsing": n => { windows10GeneralConfiguration.edgeBlockInPrivateBrowsing = n.getBooleanValue(); }, "edgeBlockJavaScript": n => { windows10GeneralConfiguration.edgeBlockJavaScript = n.getBooleanValue(); }, "edgeBlockLiveTileDataCollection": n => { windows10GeneralConfiguration.edgeBlockLiveTileDataCollection = n.getBooleanValue(); }, "edgeBlockPasswordManager": n => { windows10GeneralConfiguration.edgeBlockPasswordManager = n.getBooleanValue(); }, "edgeBlockPopups": n => { windows10GeneralConfiguration.edgeBlockPopups = n.getBooleanValue(); }, "edgeBlockSearchSuggestions": n => { windows10GeneralConfiguration.edgeBlockSearchSuggestions = n.getBooleanValue(); }, "edgeBlockSendingDoNotTrackHeader": n => { windows10GeneralConfiguration.edgeBlockSendingDoNotTrackHeader = n.getBooleanValue(); }, "edgeBlockSendingIntranetTrafficToInternetExplorer": n => { windows10GeneralConfiguration.edgeBlockSendingIntranetTrafficToInternetExplorer = n.getBooleanValue(); }, "edgeClearBrowsingDataOnExit": n => { windows10GeneralConfiguration.edgeClearBrowsingDataOnExit = n.getBooleanValue(); }, "edgeCookiePolicy": n => { windows10GeneralConfiguration.edgeCookiePolicy = n.getEnumValue(edgeCookiePolicy_1.EdgeCookiePolicy); }, "edgeDisableFirstRunPage": n => { windows10GeneralConfiguration.edgeDisableFirstRunPage = n.getBooleanValue(); }, "edgeEnterpriseModeSiteListLocation": n => { windows10GeneralConfiguration.edgeEnterpriseModeSiteListLocation = n.getStringValue(); }, "edgeFirstRunUrl": n => { windows10GeneralConfiguration.edgeFirstRunUrl = n.getStringValue(); }, "edgeHomepageUrls": n => { windows10GeneralConfiguration.edgeHomepageUrls = n.getCollectionOfPrimitiveValues(); }, "edgeRequireSmartScreen": n => { windows10GeneralConfiguration.edgeRequireSmartScreen = n.getBooleanValue(); }, "edgeSearchEngine": n => { windows10GeneralConfiguration.edgeSearchEngine = n.getObjectValue(edgeSearchEngineBase_1.createEdgeSearchEngineBaseFromDiscriminatorValue); }, "edgeSendIntranetTrafficToInternetExplorer": n => { windows10GeneralConfiguration.edgeSendIntranetTrafficToInternetExplorer = n.getBooleanValue(); }, "edgeSyncFavoritesWithInternetExplorer": n => { windows10GeneralConfiguration.edgeSyncFavoritesWithInternetExplorer = n.getBooleanValue(); }, "enterpriseCloudPrintDiscoveryEndPoint": n => { windows10GeneralConfiguration.enterpriseCloudPrintDiscoveryEndPoint = n.getStringValue(); }, "enterpriseCloudPrintDiscoveryMaxLimit": n => { windows10GeneralConfiguration.enterpriseCloudPrintDiscoveryMaxLimit = n.getNumberValue(); }, "enterpriseCloudPrintMopriaDiscoveryResourceIdentifier": n => { windows10GeneralConfiguration.enterpriseCloudPrintMopriaDiscoveryResourceIdentifier = n.getStringValue(); }, "enterpriseCloudPrintOAuthAuthority": n => { windows10GeneralConfiguration.enterpriseCloudPrintOAuthAuthority = n.getStringValue(); }, "enterpriseCloudPrintOAuthClientIdentifier": n => { windows10GeneralConfiguration.enterpriseCloudPrintOAuthClientIdentifier = n.getStringValue(); }, "enterpriseCloudPrintResourceIdentifier": n => { windows10GeneralConfiguration.enterpriseCloudPrintResourceIdentifier = n.getStringValue(); }, "experienceBlockDeviceDiscovery": n => { windows10GeneralConfiguration.experienceBlockDeviceDiscovery = n.getBooleanValue(); }, "experienceBlockErrorDialogWhenNoSIM": n => { windows10GeneralConfiguration.experienceBlockErrorDialogWhenNoSIM = n.getBooleanValue(); }, "experienceBlockTaskSwitcher": n => { windows10GeneralConfiguration.experienceBlockTaskSwitcher = n.getBooleanValue(); }, "gameDvrBlocked": n => { windows10GeneralConfiguration.gameDvrBlocked = n.getBooleanValue(); }, "internetSharingBlocked": n => { windows10GeneralConfiguration.internetSharingBlocked = n.getBooleanValue(); }, "locationServicesBlocked": n => { windows10GeneralConfiguration.locationServicesBlocked = n.getBooleanValue(); }, "lockScreenAllowTimeoutConfiguration": n => { windows10GeneralConfiguration.lockScreenAllowTimeoutConfiguration = n.getBooleanValue(); }, "lockScreenBlockActionCenterNotifications": n => { windows10GeneralConfiguration.lockScreenBlockActionCenterNotifications = n.getBooleanValue(); }, "lockScreenBlockCortana": n => { windows10GeneralConfiguration.lockScreenBlockCortana = n.getBooleanValue(); }, "lockScreenBlockToastNotifications": n => { windows10GeneralConfiguration.lockScreenBlockToastNotifications = n.getBooleanValue(); }, "lockScreenTimeoutInSeconds": n => { windows10GeneralConfiguration.lockScreenTimeoutInSeconds = n.getNumberValue(); }, "logonBlockFastUserSwitching": n => { windows10GeneralConfiguration.logonBlockFastUserSwitching = n.getBooleanValue(); }, "microsoftAccountBlocked": n => { windows10GeneralConfiguration.microsoftAccountBlocked = n.getBooleanValue(); }, "microsoftAccountBlockSettingsSync": n => { windows10GeneralConfiguration.microsoftAccountBlockSettingsSync = n.getBooleanValue(); }, "networkProxyApplySettingsDeviceWide": n => { windows10GeneralConfiguration.networkProxyApplySettingsDeviceWide = n.getBooleanValue(); }, "networkProxyAutomaticConfigurationUrl": n => { windows10GeneralConfiguration.networkProxyAutomaticConfigurationUrl = n.getStringValue(); }, "networkProxyDisableAutoDetect": n => { windows10GeneralConfiguration.networkProxyDisableAutoDetect = n.getBooleanValue(); }, "networkProxyServer": n => { windows10GeneralConfiguration.networkProxyServer = n.getObjectValue(windows10NetworkProxyServer_1.createWindows10NetworkProxyServerFromDiscriminatorValue); }, "nfcBlocked": n => { windows10GeneralConfiguration.nfcBlocked = n.getBooleanValue(); }, "oneDriveDisableFileSync": n => { windows10GeneralConfiguration.oneDriveDisableFileSync = n.getBooleanValue(); }, "passwordBlockSimple": n => { windows10GeneralConfiguration.passwordBlockSimple = n.getBooleanValue(); }, "passwordExpirationDays": n => { windows10GeneralConfiguration.passwordExpirationDays = n.getNumberValue(); }, "passwordMinimumCharacterSetCount": n => { windows10GeneralConfiguration.passwordMinimumCharacterSetCount = n.getNumberValue(); }, "passwordMinimumLength": n => { windows10GeneralConfiguration.passwordMinimumLength = n.getNumberValue(); }, "passwordMinutesOfInactivityBeforeScreenTimeout": n => { windows10GeneralConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout = n.getNumberValue(); }, "passwordPreviousPasswordBlockCount": n => { windows10GeneralConfiguration.passwordPreviousPasswordBlockCount = n.getNumberValue(); }, "passwordRequired": n => { windows10GeneralConfiguration.passwordRequired = n.getBooleanValue(); }, "passwordRequiredType": n => { windows10GeneralConfiguration.passwordRequiredType = n.getEnumValue(requiredPasswordType_1.RequiredPasswordType); }, "passwordRequireWhenResumeFromIdleState": n => { windows10GeneralConfiguration.passwordRequireWhenResumeFromIdleState = n.getBooleanValue(); }, "passwordSignInFailureCountBeforeFactoryReset": n => { windows10GeneralConfiguration.passwordSignInFailureCountBeforeFactoryReset = n.getNumberValue(); }, "personalizationDesktopImageUrl": n => { windows10GeneralConfiguration.personalizationDesktopImageUrl = n.getStringValue(); }, "personalizationLockScreenImageUrl": n => { windows10GeneralConfiguration.personalizationLockScreenImageUrl = n.getStringValue(); }, "privacyAdvertisingId": n => { windows10GeneralConfiguration.privacyAdvertisingId = n.getEnumValue(stateManagementSetting_1.StateManagementSetting); }, "privacyAutoAcceptPairingAndConsentPrompts": n => { windows10GeneralConfiguration.privacyAutoAcceptPairingAndConsentPrompts = n.getBooleanValue(); }, "privacyBlockInputPersonalization": n => { windows10GeneralConfiguration.privacyBlockInputPersonalization = n.getBooleanValue(); }, "resetProtectionModeBlocked": n => { windows10GeneralConfiguration.resetProtectionModeBlocked = n.getBooleanValue(); }, "safeSearchFilter": n => { windows10GeneralConfiguration.safeSearchFilter = n.getEnumValue(safeSearchFilterType_1.SafeSearchFilterType); }, "screenCaptureBlocked": n => { windows10GeneralConfiguration.screenCaptureBlocked = n.getBooleanValue(); }, "searchBlockDiacritics": n => { windows10GeneralConfiguration.searchBlockDiacritics = n.getBooleanValue(); }, "searchDisableAutoLanguageDetection": n => { windows10GeneralConfiguration.searchDisableAutoLanguageDetection = n.getBooleanValue(); }, "searchDisableIndexerBackoff": n => { windows10GeneralConfiguration.searchDisableIndexerBackoff = n.getBooleanValue(); }, "searchDisableIndexingEncryptedItems": n => { windows10GeneralConfiguration.searchDisableIndexingEncryptedItems = n.getBooleanValue(); }, "searchDisableIndexingRemovableDrive": n => { windows10GeneralConfiguration.searchDisableIndexingRemovableDrive = n.getBooleanValue(); }, "searchEnableAutomaticIndexSizeManangement": n => { windows10GeneralConfiguration.searchEnableAutomaticIndexSizeManangement = n.getBooleanValue(); }, "searchEnableRemoteQueries": n => { windows10GeneralConfiguration.searchEnableRemoteQueries = n.getBooleanValue(); }, "settingsBlockAccountsPage": n => { windows10GeneralConfiguration.settingsBlockAccountsPage = n.getBooleanValue(); }, "settingsBlockAddProvisioningPackage": n => { windows10GeneralConfiguration.settingsBlockAddProvisioningPackage = n.getBooleanValue(); }, "settingsBlockAppsPage": n => { windows10GeneralConfiguration.settingsBlockAppsPage = n.getBooleanValue(); }, "settingsBlockChangeLanguage": n => { windows10GeneralConfiguration.settingsBlockChangeLanguage = n.getBooleanValue(); }, "settingsBlockChangePowerSleep": n => { windows10GeneralConfiguration.settingsBlockChangePowerSleep = n.getBooleanValue(); }, "settingsBlockChangeRegion": n => { windows10GeneralConfiguration.settingsBlockChangeRegion = n.getBooleanValue(); }, "settingsBlockChangeSystemTime": n => { windows10GeneralConfiguration.settingsBlockChangeSystemTime = n.getBooleanValue(); }, "settingsBlockDevicesPage": n => { windows10GeneralConfiguration.settingsBlockDevicesPage = n.getBooleanValue(); }, "settingsBlockEaseOfAccessPage": n => { windows10GeneralConfiguration.settingsBlockEaseOfAccessPage = n.getBooleanValue(); }, "settingsBlockEditDeviceName": n => { windows10GeneralConfiguration.settingsBlockEditDeviceName = n.getBooleanValue(); }, "settingsBlockGamingPage": n => { windows10GeneralConfiguration.settingsBlockGamingPage = n.getBooleanValue(); }, "settingsBlockNetworkInternetPage": n => { windows10GeneralConfiguration.settingsBlockNetworkInternetPage = n.getBooleanValue(); }, "settingsBlockPersonalizationPage": n => { windows10GeneralConfiguration.settingsBlockPersonalizationPage = n.getBooleanValue(); }, "settingsBlockPrivacyPage": n => { windows10GeneralConfiguration.settingsBlockPrivacyPage = n.getBooleanValue(); }, "settingsBlockRemoveProvisioningPackage": n => { windows10GeneralConfiguration.settingsBlockRemoveProvisioningPackage = n.getBooleanValue(); }, "settingsBlockSettingsApp": n => { windows10GeneralConfiguration.settingsBlockSettingsApp = n.getBooleanValue(); }, "settingsBlockSystemPage": n => { windows10GeneralConfiguration.settingsBlockSystemPage = n.getBooleanValue(); }, "settingsBlockTimeLanguagePage": n => { windows10GeneralConfiguration.settingsBlockTimeLanguagePage = n.getBooleanValue(); }, "settingsBlockUpdateSecurityPage": n => { windows10GeneralConfiguration.settingsBlockUpdateSecurityPage = n.getBooleanValue(); }, "sharedUserAppDataAllowed": n => { windows10GeneralConfiguration.sharedUserAppDataAllowed = n.getBooleanValue(); }, "smartScreenBlockPromptOverride": n => { windows10GeneralConfiguration.smartScreenBlockPromptOverride = n.getBooleanValue(); }, "smartScreenBlockPromptOverrideForFiles": n => { windows10GeneralConfiguration.smartScreenBlockPromptOverrideForFiles = n.getBooleanValue(); }, "smartScreenEnableAppInstallControl": n => { windows10GeneralConfiguration.smartScreenEnableAppInstallControl = n.getBooleanValue(); }, "startBlockUnpinningAppsFromTaskbar": n => { windows10GeneralConfiguration.startBlockUnpinningAppsFromTaskbar = n.getBooleanValue(); }, "startMenuAppListVisibility": n => { windows10GeneralConfiguration.startMenuAppListVisibility = n.getCollectionOfEnumValues(windowsStartMenuAppListVisibilityType_1.WindowsStartMenuAppListVisibilityType); }, "startMenuHideChangeAccountSettings": n => { windows10GeneralConfiguration.startMenuHideChangeAccountSettings = n.getBooleanValue(); }, "startMenuHideFrequentlyUsedApps": n => { windows10GeneralConfiguration.startMenuHideFrequentlyUsedApps = n.getBooleanValue(); }, "startMenuHideHibernate": n => { windows10GeneralConfiguration.startMenuHideHibernate = n.getBooleanValue(); }, "startMenuHideLock": n => { windows10GeneralConfiguration.startMenuHideLock = n.getBooleanValue(); }, "startMenuHidePowerButton": n => { windows10GeneralConfiguration.startMenuHidePowerButton = n.getBooleanValue(); }, "startMenuHideRecentJumpLists": n => { windows10GeneralConfiguration.startMenuHideRecentJumpLists = n.getBooleanValue(); }, "startMenuHideRecentlyAddedApps": n => { windows10GeneralConfiguration.startMenuHideRecentlyAddedApps = n.getBooleanValue(); }, "startMenuHideRestartOptions": n => { windows10GeneralConfiguration.startMenuHideRestartOptions = n.getBooleanValue(); }, "startMenuHideShutDown": n => { windows10GeneralConfiguration.startMenuHideShutDown = n.getBooleanValue(); }, "startMenuHideSignOut": n => { windows10GeneralConfiguration.startMenuHideSignOut = n.getBooleanValue(); }, "startMenuHideSleep": n => { windows10GeneralConfiguration.startMenuHideSleep = n.getBooleanValue(); }, "startMenuHideSwitchAccount": n => { windows10GeneralConfiguration.startMenuHideSwitchAccount = n.getBooleanValue(); }, "startMenuHideUserTile": n => { windows10GeneralConfiguration.startMenuHideUserTile = n.getBooleanValue(); }, "startMenuLayoutEdgeAssetsXml": n => { windows10GeneralConfiguration.startMenuLayoutEdgeAssetsXml = n.getStringValue(); }, "startMenuLayoutXml": n => { windows10GeneralConfiguration.startMenuLayoutXml = n.getStringValue(); }, "startMenuMode": n => { windows10GeneralConfiguration.startMenuMode = n.getEnumValue(windowsStartMenuModeType_1.WindowsStartMenuModeType); }, "startMenuPinnedFolderDocuments": n => { windows10GeneralConfiguration.startMenuPinnedFolderDocuments = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderDownloads": n => { windows10GeneralConfiguration.startMenuPinnedFolderDownloads = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderFileExplorer": n => { windows10GeneralConfiguration.startMenuPinnedFolderFileExplorer = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderHomeGroup": n => { windows10GeneralConfiguration.startMenuPinnedFolderHomeGroup = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderMusic": n => { windows10GeneralConfiguration.startMenuPinnedFolderMusic = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderNetwork": n => { windows10GeneralConfiguration.startMenuPinnedFolderNetwork = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderPersonalFolder": n => { windows10GeneralConfiguration.startMenuPinnedFolderPersonalFolder = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderPictures": n => { windows10GeneralConfiguration.startMenuPinnedFolderPictures = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderSettings": n => { windows10GeneralConfiguration.startMenuPinnedFolderSettings = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "startMenuPinnedFolderVideos": n => { windows10GeneralConfiguration.startMenuPinnedFolderVideos = n.getEnumValue(visibilitySetting_1.VisibilitySetting); }, "storageBlockRemovableStorage": n => { windows10GeneralConfiguration.storageBlockRemovableStorage = n.getBooleanValue(); }, "storageRequireMobileDeviceEncryption": n => { windows10GeneralConfiguration.storageRequireMobileDeviceEncryption = n.getBooleanValue(); }, "storageRestrictAppDataToSystemVolume": n => { windows10GeneralConfiguration.storageRestrictAppDataToSystemVolume = n.getBooleanValue(); }, "storageRestrictAppInstallToSystemVolume": n => { windows10GeneralConfiguration.storageRestrictAppInstallToSystemVolume = n.getBooleanValue(); }, "tenantLockdownRequireNetworkDuringOutOfBoxExperience": n => { windows10GeneralConfiguration.tenantLockdownRequireNetworkDuringOutOfBoxExperience = n.getBooleanValue(); }, "usbBlocked": n => { windows10GeneralConfiguration.usbBlocked = n.getBooleanValue(); }, "voiceRecordingBlocked": n => { windows10GeneralConfiguration.voiceRecordingBlocked = n.getBooleanValue(); }, "webRtcBlockLocalhostIpAddress": n => { windows10GeneralConfiguration.webRtcBlockLocalhostIpAddress = n.getBooleanValue(); }, "wiFiBlockAutomaticConnectHotspots": n => { windows10GeneralConfiguration.wiFiBlockAutomaticConnectHotspots = n.getBooleanValue(); }, "wiFiBlocked": n => { windows10GeneralConfiguration.wiFiBlocked = n.getBooleanValue(); }, "wiFiBlockManualConfiguration": n => { windows10GeneralConfiguration.wiFiBlockManualConfiguration = n.getBooleanValue(); }, "wiFiScanInterval": n => { windows10GeneralConfiguration.wiFiScanInterval = n.getNumberValue(); }, "windowsSpotlightBlockConsumerSpecificFeatures": n => { windows10GeneralConfiguration.windowsSpotlightBlockConsumerSpecificFeatures = n.getBooleanValue(); }, "windowsSpotlightBlocked": n => { windows10GeneralConfiguration.windowsSpotlightBlocked = n.getBooleanValue(); }, "windowsSpotlightBlockOnActionCenter": n => { windows10GeneralConfiguration.windowsSpotlightBlockOnActionCenter = n.getBooleanValue(); }, "windowsSpotlightBlockTailoredExperiences": n => { windows10GeneralConfiguration.windowsSpotlightBlockTailoredExperiences = n.getBooleanValue(); }, "windowsSpotlightBlockThirdPartyNotifications": n => { windows10GeneralConfiguration.windowsSpotlightBlockThirdPartyNotifications = n.getBooleanValue(); }, "windowsSpotlightBlockWelcomeExperience": n => { windows10GeneralConfiguration.windowsSpotlightBlockWelcomeExperience = n.getBooleanValue(); }, "windowsSpotlightBlockWindowsTips": n => { windows10GeneralConfiguration.windowsSpotlightBlockWindowsTips = n.getBooleanValue(); }, "windowsSpotlightConfigureOnLockScreen": n => { windows10GeneralConfiguration.windowsSpotlightConfigureOnLockScreen = n.getEnumValue(windowsSpotlightEnablementSettings_1.WindowsSpotlightEnablementSettings); }, "windowsStoreBlockAutoUpdate": n => { windows10GeneralConfiguration.windowsStoreBlockAutoUpdate = n.getBooleanValue(); }, "windowsStoreBlocked": n => { windows10GeneralConfiguration.windowsStoreBlocked = n.getBooleanValue(); }, "windowsStoreEnablePrivateStoreOnly": n => { windows10GeneralConfiguration.windowsStoreEnablePrivateStoreOnly = n.getBooleanValue(); }, "wirelessDisplayBlockProjectionToThisDevice": n => { windows10GeneralConfiguration.wirelessDisplayBlockProjectionToThisDevice = n.getBooleanValue(); }, "wirelessDisplayBlockUserInputFromReceiver": n => { windows10GeneralConfiguration.wirelessDisplayBlockUserInputFromReceiver = n.getBooleanValue(); }, "wirelessDisplayRequirePinForPairing": n => { windows10GeneralConfiguration.wirelessDisplayRequirePinForPairing = n.getBooleanValue(); } });
}
exports.deserializeIntoWindows10GeneralConfiguration = deserializeIntoWindows10GeneralConfiguration;
function serializeWindows10GeneralConfiguration(writer, windows10GeneralConfiguration = {}) {
    (0, deviceConfiguration_1.serializeDeviceConfiguration)(writer, windows10GeneralConfiguration);
    writer.writeBooleanValue("accountsBlockAddingNonMicrosoftAccountEmail", windows10GeneralConfiguration.accountsBlockAddingNonMicrosoftAccountEmail);
    writer.writeBooleanValue("antiTheftModeBlocked", windows10GeneralConfiguration.antiTheftModeBlocked);
    writer.writeEnumValue("appsAllowTrustedAppsSideloading", windows10GeneralConfiguration.appsAllowTrustedAppsSideloading);
    writer.writeBooleanValue("appsBlockWindowsStoreOriginatedApps", windows10GeneralConfiguration.appsBlockWindowsStoreOriginatedApps);
    writer.writeCollectionOfPrimitiveValues("bluetoothAllowedServices", windows10GeneralConfiguration.bluetoothAllowedServices);
    writer.writeBooleanValue("bluetoothBlockAdvertising", windows10GeneralConfiguration.bluetoothBlockAdvertising);
    writer.writeBooleanValue("bluetoothBlockDiscoverableMode", windows10GeneralConfiguration.bluetoothBlockDiscoverableMode);
    writer.writeBooleanValue("bluetoothBlocked", windows10GeneralConfiguration.bluetoothBlocked);
    writer.writeBooleanValue("bluetoothBlockPrePairing", windows10GeneralConfiguration.bluetoothBlockPrePairing);
    writer.writeBooleanValue("cameraBlocked", windows10GeneralConfiguration.cameraBlocked);
    writer.writeBooleanValue("cellularBlockDataWhenRoaming", windows10GeneralConfiguration.cellularBlockDataWhenRoaming);
    writer.writeBooleanValue("cellularBlockVpn", windows10GeneralConfiguration.cellularBlockVpn);
    writer.writeBooleanValue("cellularBlockVpnWhenRoaming", windows10GeneralConfiguration.cellularBlockVpnWhenRoaming);
    writer.writeBooleanValue("certificatesBlockManualRootCertificateInstallation", windows10GeneralConfiguration.certificatesBlockManualRootCertificateInstallation);
    writer.writeBooleanValue("connectedDevicesServiceBlocked", windows10GeneralConfiguration.connectedDevicesServiceBlocked);
    writer.writeBooleanValue("copyPasteBlocked", windows10GeneralConfiguration.copyPasteBlocked);
    writer.writeBooleanValue("cortanaBlocked", windows10GeneralConfiguration.cortanaBlocked);
    writer.writeBooleanValue("defenderBlockEndUserAccess", windows10GeneralConfiguration.defenderBlockEndUserAccess);
    writer.writeEnumValue("defenderCloudBlockLevel", windows10GeneralConfiguration.defenderCloudBlockLevel);
    writer.writeNumberValue("defenderDaysBeforeDeletingQuarantinedMalware", windows10GeneralConfiguration.defenderDaysBeforeDeletingQuarantinedMalware);
    writer.writeObjectValue("defenderDetectedMalwareActions", windows10GeneralConfiguration.defenderDetectedMalwareActions, defenderDetectedMalwareActions_1.serializeDefenderDetectedMalwareActions);
    writer.writeCollectionOfPrimitiveValues("defenderFileExtensionsToExclude", windows10GeneralConfiguration.defenderFileExtensionsToExclude);
    writer.writeCollectionOfPrimitiveValues("defenderFilesAndFoldersToExclude", windows10GeneralConfiguration.defenderFilesAndFoldersToExclude);
    writer.writeEnumValue("defenderMonitorFileActivity", windows10GeneralConfiguration.defenderMonitorFileActivity);
    writer.writeCollectionOfPrimitiveValues("defenderProcessesToExclude", windows10GeneralConfiguration.defenderProcessesToExclude);
    writer.writeEnumValue("defenderPromptForSampleSubmission", windows10GeneralConfiguration.defenderPromptForSampleSubmission);
    writer.writeBooleanValue("defenderRequireBehaviorMonitoring", windows10GeneralConfiguration.defenderRequireBehaviorMonitoring);
    writer.writeBooleanValue("defenderRequireCloudProtection", windows10GeneralConfiguration.defenderRequireCloudProtection);
    writer.writeBooleanValue("defenderRequireNetworkInspectionSystem", windows10GeneralConfiguration.defenderRequireNetworkInspectionSystem);
    writer.writeBooleanValue("defenderRequireRealTimeMonitoring", windows10GeneralConfiguration.defenderRequireRealTimeMonitoring);
    writer.writeBooleanValue("defenderScanArchiveFiles", windows10GeneralConfiguration.defenderScanArchiveFiles);
    writer.writeBooleanValue("defenderScanDownloads", windows10GeneralConfiguration.defenderScanDownloads);
    writer.writeBooleanValue("defenderScanIncomingMail", windows10GeneralConfiguration.defenderScanIncomingMail);
    writer.writeBooleanValue("defenderScanMappedNetworkDrivesDuringFullScan", windows10GeneralConfiguration.defenderScanMappedNetworkDrivesDuringFullScan);
    writer.writeNumberValue("defenderScanMaxCpu", windows10GeneralConfiguration.defenderScanMaxCpu);
    writer.writeBooleanValue("defenderScanNetworkFiles", windows10GeneralConfiguration.defenderScanNetworkFiles);
    writer.writeBooleanValue("defenderScanRemovableDrivesDuringFullScan", windows10GeneralConfiguration.defenderScanRemovableDrivesDuringFullScan);
    writer.writeBooleanValue("defenderScanScriptsLoadedInInternetExplorer", windows10GeneralConfiguration.defenderScanScriptsLoadedInInternetExplorer);
    writer.writeEnumValue("defenderScanType", windows10GeneralConfiguration.defenderScanType);
    writer.writeTimeOnlyValue("defenderScheduledQuickScanTime", windows10GeneralConfiguration.defenderScheduledQuickScanTime);
    writer.writeTimeOnlyValue("defenderScheduledScanTime", windows10GeneralConfiguration.defenderScheduledScanTime);
    writer.writeNumberValue("defenderSignatureUpdateIntervalInHours", windows10GeneralConfiguration.defenderSignatureUpdateIntervalInHours);
    writer.writeEnumValue("defenderSystemScanSchedule", windows10GeneralConfiguration.defenderSystemScanSchedule);
    writer.writeEnumValue("developerUnlockSetting", windows10GeneralConfiguration.developerUnlockSetting);
    writer.writeBooleanValue("deviceManagementBlockFactoryResetOnMobile", windows10GeneralConfiguration.deviceManagementBlockFactoryResetOnMobile);
    writer.writeBooleanValue("deviceManagementBlockManualUnenroll", windows10GeneralConfiguration.deviceManagementBlockManualUnenroll);
    writer.writeEnumValue("diagnosticsDataSubmissionMode", windows10GeneralConfiguration.diagnosticsDataSubmissionMode);
    writer.writeBooleanValue("edgeAllowStartPagesModification", windows10GeneralConfiguration.edgeAllowStartPagesModification);
    writer.writeBooleanValue("edgeBlockAccessToAboutFlags", windows10GeneralConfiguration.edgeBlockAccessToAboutFlags);
    writer.writeBooleanValue("edgeBlockAddressBarDropdown", windows10GeneralConfiguration.edgeBlockAddressBarDropdown);
    writer.writeBooleanValue("edgeBlockAutofill", windows10GeneralConfiguration.edgeBlockAutofill);
    writer.writeBooleanValue("edgeBlockCompatibilityList", windows10GeneralConfiguration.edgeBlockCompatibilityList);
    writer.writeBooleanValue("edgeBlockDeveloperTools", windows10GeneralConfiguration.edgeBlockDeveloperTools);
    writer.writeBooleanValue("edgeBlocked", windows10GeneralConfiguration.edgeBlocked);
    writer.writeBooleanValue("edgeBlockExtensions", windows10GeneralConfiguration.edgeBlockExtensions);
    writer.writeBooleanValue("edgeBlockInPrivateBrowsing", windows10GeneralConfiguration.edgeBlockInPrivateBrowsing);
    writer.writeBooleanValue("edgeBlockJavaScript", windows10GeneralConfiguration.edgeBlockJavaScript);
    writer.writeBooleanValue("edgeBlockLiveTileDataCollection", windows10GeneralConfiguration.edgeBlockLiveTileDataCollection);
    writer.writeBooleanValue("edgeBlockPasswordManager", windows10GeneralConfiguration.edgeBlockPasswordManager);
    writer.writeBooleanValue("edgeBlockPopups", windows10GeneralConfiguration.edgeBlockPopups);
    writer.writeBooleanValue("edgeBlockSearchSuggestions", windows10GeneralConfiguration.edgeBlockSearchSuggestions);
    writer.writeBooleanValue("edgeBlockSendingDoNotTrackHeader", windows10GeneralConfiguration.edgeBlockSendingDoNotTrackHeader);
    writer.writeBooleanValue("edgeBlockSendingIntranetTrafficToInternetExplorer", windows10GeneralConfiguration.edgeBlockSendingIntranetTrafficToInternetExplorer);
    writer.writeBooleanValue("edgeClearBrowsingDataOnExit", windows10GeneralConfiguration.edgeClearBrowsingDataOnExit);
    writer.writeEnumValue("edgeCookiePolicy", windows10GeneralConfiguration.edgeCookiePolicy);
    writer.writeBooleanValue("edgeDisableFirstRunPage", windows10GeneralConfiguration.edgeDisableFirstRunPage);
    writer.writeStringValue("edgeEnterpriseModeSiteListLocation", windows10GeneralConfiguration.edgeEnterpriseModeSiteListLocation);
    writer.writeStringValue("edgeFirstRunUrl", windows10GeneralConfiguration.edgeFirstRunUrl);
    writer.writeCollectionOfPrimitiveValues("edgeHomepageUrls", windows10GeneralConfiguration.edgeHomepageUrls);
    writer.writeBooleanValue("edgeRequireSmartScreen", windows10GeneralConfiguration.edgeRequireSmartScreen);
    writer.writeObjectValue("edgeSearchEngine", windows10GeneralConfiguration.edgeSearchEngine, edgeSearchEngineBase_1.serializeEdgeSearchEngineBase);
    writer.writeBooleanValue("edgeSendIntranetTrafficToInternetExplorer", windows10GeneralConfiguration.edgeSendIntranetTrafficToInternetExplorer);
    writer.writeBooleanValue("edgeSyncFavoritesWithInternetExplorer", windows10GeneralConfiguration.edgeSyncFavoritesWithInternetExplorer);
    writer.writeStringValue("enterpriseCloudPrintDiscoveryEndPoint", windows10GeneralConfiguration.enterpriseCloudPrintDiscoveryEndPoint);
    writer.writeNumberValue("enterpriseCloudPrintDiscoveryMaxLimit", windows10GeneralConfiguration.enterpriseCloudPrintDiscoveryMaxLimit);
    writer.writeStringValue("enterpriseCloudPrintMopriaDiscoveryResourceIdentifier", windows10GeneralConfiguration.enterpriseCloudPrintMopriaDiscoveryResourceIdentifier);
    writer.writeStringValue("enterpriseCloudPrintOAuthAuthority", windows10GeneralConfiguration.enterpriseCloudPrintOAuthAuthority);
    writer.writeStringValue("enterpriseCloudPrintOAuthClientIdentifier", windows10GeneralConfiguration.enterpriseCloudPrintOAuthClientIdentifier);
    writer.writeStringValue("enterpriseCloudPrintResourceIdentifier", windows10GeneralConfiguration.enterpriseCloudPrintResourceIdentifier);
    writer.writeBooleanValue("experienceBlockDeviceDiscovery", windows10GeneralConfiguration.experienceBlockDeviceDiscovery);
    writer.writeBooleanValue("experienceBlockErrorDialogWhenNoSIM", windows10GeneralConfiguration.experienceBlockErrorDialogWhenNoSIM);
    writer.writeBooleanValue("experienceBlockTaskSwitcher", windows10GeneralConfiguration.experienceBlockTaskSwitcher);
    writer.writeBooleanValue("gameDvrBlocked", windows10GeneralConfiguration.gameDvrBlocked);
    writer.writeBooleanValue("internetSharingBlocked", windows10GeneralConfiguration.internetSharingBlocked);
    writer.writeBooleanValue("locationServicesBlocked", windows10GeneralConfiguration.locationServicesBlocked);
    writer.writeBooleanValue("lockScreenAllowTimeoutConfiguration", windows10GeneralConfiguration.lockScreenAllowTimeoutConfiguration);
    writer.writeBooleanValue("lockScreenBlockActionCenterNotifications", windows10GeneralConfiguration.lockScreenBlockActionCenterNotifications);
    writer.writeBooleanValue("lockScreenBlockCortana", windows10GeneralConfiguration.lockScreenBlockCortana);
    writer.writeBooleanValue("lockScreenBlockToastNotifications", windows10GeneralConfiguration.lockScreenBlockToastNotifications);
    writer.writeNumberValue("lockScreenTimeoutInSeconds", windows10GeneralConfiguration.lockScreenTimeoutInSeconds);
    writer.writeBooleanValue("logonBlockFastUserSwitching", windows10GeneralConfiguration.logonBlockFastUserSwitching);
    writer.writeBooleanValue("microsoftAccountBlocked", windows10GeneralConfiguration.microsoftAccountBlocked);
    writer.writeBooleanValue("microsoftAccountBlockSettingsSync", windows10GeneralConfiguration.microsoftAccountBlockSettingsSync);
    writer.writeBooleanValue("networkProxyApplySettingsDeviceWide", windows10GeneralConfiguration.networkProxyApplySettingsDeviceWide);
    writer.writeStringValue("networkProxyAutomaticConfigurationUrl", windows10GeneralConfiguration.networkProxyAutomaticConfigurationUrl);
    writer.writeBooleanValue("networkProxyDisableAutoDetect", windows10GeneralConfiguration.networkProxyDisableAutoDetect);
    writer.writeObjectValue("networkProxyServer", windows10GeneralConfiguration.networkProxyServer, windows10NetworkProxyServer_1.serializeWindows10NetworkProxyServer);
    writer.writeBooleanValue("nfcBlocked", windows10GeneralConfiguration.nfcBlocked);
    writer.writeBooleanValue("oneDriveDisableFileSync", windows10GeneralConfiguration.oneDriveDisableFileSync);
    writer.writeBooleanValue("passwordBlockSimple", windows10GeneralConfiguration.passwordBlockSimple);
    writer.writeNumberValue("passwordExpirationDays", windows10GeneralConfiguration.passwordExpirationDays);
    writer.writeNumberValue("passwordMinimumCharacterSetCount", windows10GeneralConfiguration.passwordMinimumCharacterSetCount);
    writer.writeNumberValue("passwordMinimumLength", windows10GeneralConfiguration.passwordMinimumLength);
    writer.writeNumberValue("passwordMinutesOfInactivityBeforeScreenTimeout", windows10GeneralConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout);
    writer.writeNumberValue("passwordPreviousPasswordBlockCount", windows10GeneralConfiguration.passwordPreviousPasswordBlockCount);
    writer.writeBooleanValue("passwordRequired", windows10GeneralConfiguration.passwordRequired);
    writer.writeEnumValue("passwordRequiredType", windows10GeneralConfiguration.passwordRequiredType);
    writer.writeBooleanValue("passwordRequireWhenResumeFromIdleState", windows10GeneralConfiguration.passwordRequireWhenResumeFromIdleState);
    writer.writeNumberValue("passwordSignInFailureCountBeforeFactoryReset", windows10GeneralConfiguration.passwordSignInFailureCountBeforeFactoryReset);
    writer.writeStringValue("personalizationDesktopImageUrl", windows10GeneralConfiguration.personalizationDesktopImageUrl);
    writer.writeStringValue("personalizationLockScreenImageUrl", windows10GeneralConfiguration.personalizationLockScreenImageUrl);
    writer.writeEnumValue("privacyAdvertisingId", windows10GeneralConfiguration.privacyAdvertisingId);
    writer.writeBooleanValue("privacyAutoAcceptPairingAndConsentPrompts", windows10GeneralConfiguration.privacyAutoAcceptPairingAndConsentPrompts);
    writer.writeBooleanValue("privacyBlockInputPersonalization", windows10GeneralConfiguration.privacyBlockInputPersonalization);
    writer.writeBooleanValue("resetProtectionModeBlocked", windows10GeneralConfiguration.resetProtectionModeBlocked);
    writer.writeEnumValue("safeSearchFilter", windows10GeneralConfiguration.safeSearchFilter);
    writer.writeBooleanValue("screenCaptureBlocked", windows10GeneralConfiguration.screenCaptureBlocked);
    writer.writeBooleanValue("searchBlockDiacritics", windows10GeneralConfiguration.searchBlockDiacritics);
    writer.writeBooleanValue("searchDisableAutoLanguageDetection", windows10GeneralConfiguration.searchDisableAutoLanguageDetection);
    writer.writeBooleanValue("searchDisableIndexerBackoff", windows10GeneralConfiguration.searchDisableIndexerBackoff);
    writer.writeBooleanValue("searchDisableIndexingEncryptedItems", windows10GeneralConfiguration.searchDisableIndexingEncryptedItems);
    writer.writeBooleanValue("searchDisableIndexingRemovableDrive", windows10GeneralConfiguration.searchDisableIndexingRemovableDrive);
    writer.writeBooleanValue("searchEnableAutomaticIndexSizeManangement", windows10GeneralConfiguration.searchEnableAutomaticIndexSizeManangement);
    writer.writeBooleanValue("searchEnableRemoteQueries", windows10GeneralConfiguration.searchEnableRemoteQueries);
    writer.writeBooleanValue("settingsBlockAccountsPage", windows10GeneralConfiguration.settingsBlockAccountsPage);
    writer.writeBooleanValue("settingsBlockAddProvisioningPackage", windows10GeneralConfiguration.settingsBlockAddProvisioningPackage);
    writer.writeBooleanValue("settingsBlockAppsPage", windows10GeneralConfiguration.settingsBlockAppsPage);
    writer.writeBooleanValue("settingsBlockChangeLanguage", windows10GeneralConfiguration.settingsBlockChangeLanguage);
    writer.writeBooleanValue("settingsBlockChangePowerSleep", windows10GeneralConfiguration.settingsBlockChangePowerSleep);
    writer.writeBooleanValue("settingsBlockChangeRegion", windows10GeneralConfiguration.settingsBlockChangeRegion);
    writer.writeBooleanValue("settingsBlockChangeSystemTime", windows10GeneralConfiguration.settingsBlockChangeSystemTime);
    writer.writeBooleanValue("settingsBlockDevicesPage", windows10GeneralConfiguration.settingsBlockDevicesPage);
    writer.writeBooleanValue("settingsBlockEaseOfAccessPage", windows10GeneralConfiguration.settingsBlockEaseOfAccessPage);
    writer.writeBooleanValue("settingsBlockEditDeviceName", windows10GeneralConfiguration.settingsBlockEditDeviceName);
    writer.writeBooleanValue("settingsBlockGamingPage", windows10GeneralConfiguration.settingsBlockGamingPage);
    writer.writeBooleanValue("settingsBlockNetworkInternetPage", windows10GeneralConfiguration.settingsBlockNetworkInternetPage);
    writer.writeBooleanValue("settingsBlockPersonalizationPage", windows10GeneralConfiguration.settingsBlockPersonalizationPage);
    writer.writeBooleanValue("settingsBlockPrivacyPage", windows10GeneralConfiguration.settingsBlockPrivacyPage);
    writer.writeBooleanValue("settingsBlockRemoveProvisioningPackage", windows10GeneralConfiguration.settingsBlockRemoveProvisioningPackage);
    writer.writeBooleanValue("settingsBlockSettingsApp", windows10GeneralConfiguration.settingsBlockSettingsApp);
    writer.writeBooleanValue("settingsBlockSystemPage", windows10GeneralConfiguration.settingsBlockSystemPage);
    writer.writeBooleanValue("settingsBlockTimeLanguagePage", windows10GeneralConfiguration.settingsBlockTimeLanguagePage);
    writer.writeBooleanValue("settingsBlockUpdateSecurityPage", windows10GeneralConfiguration.settingsBlockUpdateSecurityPage);
    writer.writeBooleanValue("sharedUserAppDataAllowed", windows10GeneralConfiguration.sharedUserAppDataAllowed);
    writer.writeBooleanValue("smartScreenBlockPromptOverride", windows10GeneralConfiguration.smartScreenBlockPromptOverride);
    writer.writeBooleanValue("smartScreenBlockPromptOverrideForFiles", windows10GeneralConfiguration.smartScreenBlockPromptOverrideForFiles);
    writer.writeBooleanValue("smartScreenEnableAppInstallControl", windows10GeneralConfiguration.smartScreenEnableAppInstallControl);
    writer.writeBooleanValue("startBlockUnpinningAppsFromTaskbar", windows10GeneralConfiguration.startBlockUnpinningAppsFromTaskbar);
    writer.writeEnumValue("startMenuAppListVisibility", windows10GeneralConfiguration.startMenuAppListVisibility);
    writer.writeBooleanValue("startMenuHideChangeAccountSettings", windows10GeneralConfiguration.startMenuHideChangeAccountSettings);
    writer.writeBooleanValue("startMenuHideFrequentlyUsedApps", windows10GeneralConfiguration.startMenuHideFrequentlyUsedApps);
    writer.writeBooleanValue("startMenuHideHibernate", windows10GeneralConfiguration.startMenuHideHibernate);
    writer.writeBooleanValue("startMenuHideLock", windows10GeneralConfiguration.startMenuHideLock);
    writer.writeBooleanValue("startMenuHidePowerButton", windows10GeneralConfiguration.startMenuHidePowerButton);
    writer.writeBooleanValue("startMenuHideRecentJumpLists", windows10GeneralConfiguration.startMenuHideRecentJumpLists);
    writer.writeBooleanValue("startMenuHideRecentlyAddedApps", windows10GeneralConfiguration.startMenuHideRecentlyAddedApps);
    writer.writeBooleanValue("startMenuHideRestartOptions", windows10GeneralConfiguration.startMenuHideRestartOptions);
    writer.writeBooleanValue("startMenuHideShutDown", windows10GeneralConfiguration.startMenuHideShutDown);
    writer.writeBooleanValue("startMenuHideSignOut", windows10GeneralConfiguration.startMenuHideSignOut);
    writer.writeBooleanValue("startMenuHideSleep", windows10GeneralConfiguration.startMenuHideSleep);
    writer.writeBooleanValue("startMenuHideSwitchAccount", windows10GeneralConfiguration.startMenuHideSwitchAccount);
    writer.writeBooleanValue("startMenuHideUserTile", windows10GeneralConfiguration.startMenuHideUserTile);
    writer.writeStringValue("startMenuLayoutEdgeAssetsXml", windows10GeneralConfiguration.startMenuLayoutEdgeAssetsXml);
    writer.writeStringValue("startMenuLayoutXml", windows10GeneralConfiguration.startMenuLayoutXml);
    writer.writeEnumValue("startMenuMode", windows10GeneralConfiguration.startMenuMode);
    writer.writeEnumValue("startMenuPinnedFolderDocuments", windows10GeneralConfiguration.startMenuPinnedFolderDocuments);
    writer.writeEnumValue("startMenuPinnedFolderDownloads", windows10GeneralConfiguration.startMenuPinnedFolderDownloads);
    writer.writeEnumValue("startMenuPinnedFolderFileExplorer", windows10GeneralConfiguration.startMenuPinnedFolderFileExplorer);
    writer.writeEnumValue("startMenuPinnedFolderHomeGroup", windows10GeneralConfiguration.startMenuPinnedFolderHomeGroup);
    writer.writeEnumValue("startMenuPinnedFolderMusic", windows10GeneralConfiguration.startMenuPinnedFolderMusic);
    writer.writeEnumValue("startMenuPinnedFolderNetwork", windows10GeneralConfiguration.startMenuPinnedFolderNetwork);
    writer.writeEnumValue("startMenuPinnedFolderPersonalFolder", windows10GeneralConfiguration.startMenuPinnedFolderPersonalFolder);
    writer.writeEnumValue("startMenuPinnedFolderPictures", windows10GeneralConfiguration.startMenuPinnedFolderPictures);
    writer.writeEnumValue("startMenuPinnedFolderSettings", windows10GeneralConfiguration.startMenuPinnedFolderSettings);
    writer.writeEnumValue("startMenuPinnedFolderVideos", windows10GeneralConfiguration.startMenuPinnedFolderVideos);
    writer.writeBooleanValue("storageBlockRemovableStorage", windows10GeneralConfiguration.storageBlockRemovableStorage);
    writer.writeBooleanValue("storageRequireMobileDeviceEncryption", windows10GeneralConfiguration.storageRequireMobileDeviceEncryption);
    writer.writeBooleanValue("storageRestrictAppDataToSystemVolume", windows10GeneralConfiguration.storageRestrictAppDataToSystemVolume);
    writer.writeBooleanValue("storageRestrictAppInstallToSystemVolume", windows10GeneralConfiguration.storageRestrictAppInstallToSystemVolume);
    writer.writeBooleanValue("tenantLockdownRequireNetworkDuringOutOfBoxExperience", windows10GeneralConfiguration.tenantLockdownRequireNetworkDuringOutOfBoxExperience);
    writer.writeBooleanValue("usbBlocked", windows10GeneralConfiguration.usbBlocked);
    writer.writeBooleanValue("voiceRecordingBlocked", windows10GeneralConfiguration.voiceRecordingBlocked);
    writer.writeBooleanValue("webRtcBlockLocalhostIpAddress", windows10GeneralConfiguration.webRtcBlockLocalhostIpAddress);
    writer.writeBooleanValue("wiFiBlockAutomaticConnectHotspots", windows10GeneralConfiguration.wiFiBlockAutomaticConnectHotspots);
    writer.writeBooleanValue("wiFiBlocked", windows10GeneralConfiguration.wiFiBlocked);
    writer.writeBooleanValue("wiFiBlockManualConfiguration", windows10GeneralConfiguration.wiFiBlockManualConfiguration);
    writer.writeNumberValue("wiFiScanInterval", windows10GeneralConfiguration.wiFiScanInterval);
    writer.writeBooleanValue("windowsSpotlightBlockConsumerSpecificFeatures", windows10GeneralConfiguration.windowsSpotlightBlockConsumerSpecificFeatures);
    writer.writeBooleanValue("windowsSpotlightBlocked", windows10GeneralConfiguration.windowsSpotlightBlocked);
    writer.writeBooleanValue("windowsSpotlightBlockOnActionCenter", windows10GeneralConfiguration.windowsSpotlightBlockOnActionCenter);
    writer.writeBooleanValue("windowsSpotlightBlockTailoredExperiences", windows10GeneralConfiguration.windowsSpotlightBlockTailoredExperiences);
    writer.writeBooleanValue("windowsSpotlightBlockThirdPartyNotifications", windows10GeneralConfiguration.windowsSpotlightBlockThirdPartyNotifications);
    writer.writeBooleanValue("windowsSpotlightBlockWelcomeExperience", windows10GeneralConfiguration.windowsSpotlightBlockWelcomeExperience);
    writer.writeBooleanValue("windowsSpotlightBlockWindowsTips", windows10GeneralConfiguration.windowsSpotlightBlockWindowsTips);
    writer.writeEnumValue("windowsSpotlightConfigureOnLockScreen", windows10GeneralConfiguration.windowsSpotlightConfigureOnLockScreen);
    writer.writeBooleanValue("windowsStoreBlockAutoUpdate", windows10GeneralConfiguration.windowsStoreBlockAutoUpdate);
    writer.writeBooleanValue("windowsStoreBlocked", windows10GeneralConfiguration.windowsStoreBlocked);
    writer.writeBooleanValue("windowsStoreEnablePrivateStoreOnly", windows10GeneralConfiguration.windowsStoreEnablePrivateStoreOnly);
    writer.writeBooleanValue("wirelessDisplayBlockProjectionToThisDevice", windows10GeneralConfiguration.wirelessDisplayBlockProjectionToThisDevice);
    writer.writeBooleanValue("wirelessDisplayBlockUserInputFromReceiver", windows10GeneralConfiguration.wirelessDisplayBlockUserInputFromReceiver);
    writer.writeBooleanValue("wirelessDisplayRequirePinForPairing", windows10GeneralConfiguration.wirelessDisplayRequirePinForPairing);
}
exports.serializeWindows10GeneralConfiguration = serializeWindows10GeneralConfiguration;
// tslint:enable
// eslint-enable
