import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindows10NetworkProxyServerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindows10NetworkProxyServer;
export declare function deserializeIntoWindows10NetworkProxyServer(windows10NetworkProxyServer?: Windows10NetworkProxyServer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindows10NetworkProxyServer(writer: SerializationWriter, windows10NetworkProxyServer?: Windows10NetworkProxyServer | undefined): void;
export interface Windows10NetworkProxyServer extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Address to the proxy server. Specify an address in the format [':']
     */
    address?: string;
    /**
     * Addresses that should not use the proxy server. The system will not use the proxy server for addresses beginning with what is specified in this node.
     */
    exceptions?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Specifies whether the proxy server should be used for local (intranet) addresses.
     */
    useForLocalAddresses?: boolean;
}
