import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindows10SecureAssessmentConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindows10SecureAssessmentConfiguration;
export declare function deserializeIntoWindows10SecureAssessmentConfiguration(windows10SecureAssessmentConfiguration?: Windows10SecureAssessmentConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindows10SecureAssessmentConfiguration(writer: SerializationWriter, windows10SecureAssessmentConfiguration?: Windows10SecureAssessmentConfiguration | undefined): void;
export interface Windows10SecureAssessmentConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Indicates whether or not to allow the app from printing during the test.
     */
    allowPrinting?: boolean;
    /**
     * Indicates whether or not to allow screen capture capability during a test.
     */
    allowScreenCapture?: boolean;
    /**
     * Indicates whether or not to allow text suggestions during the test.
     */
    allowTextSuggestion?: boolean;
    /**
     * The account used to configure the Windows device for taking the test. The user can be a domain account (domain/user), an AAD account (username@tenant.com) or a local account (username).
     */
    configurationAccount?: string;
    /**
     * Url link to an assessment that's automatically loaded when the secure assessment browser is launched. It has to be a valid Url (http[s]://msdn.microsoft.com/).
     */
    launchUri?: string;
}
