import { type DeviceCompliancePolicy } from './deviceCompliancePolicy';
import { RequiredPasswordType } from './requiredPasswordType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindows81CompliancePolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindows81CompliancePolicy;
export declare function deserializeIntoWindows81CompliancePolicy(windows81CompliancePolicy?: Windows81CompliancePolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindows81CompliancePolicy(writer: SerializationWriter, windows81CompliancePolicy?: Windows81CompliancePolicy | undefined): void;
export interface Windows81CompliancePolicy extends DeviceCompliancePolicy, Parsable {
    /**
     * Maximum Windows 8.1 version.
     */
    osMaximumVersion?: string;
    /**
     * Minimum Windows 8.1 version.
     */
    osMinimumVersion?: string;
    /**
     * Indicates whether or not to block simple password.
     */
    passwordBlockSimple?: boolean;
    /**
     * Password expiration in days.
     */
    passwordExpirationDays?: number;
    /**
     * The number of character sets required in the password.
     */
    passwordMinimumCharacterSetCount?: number;
    /**
     * The minimum password length.
     */
    passwordMinimumLength?: number;
    /**
     * Minutes of inactivity before a password is required.
     */
    passwordMinutesOfInactivityBeforeLock?: number;
    /**
     * The number of previous passwords to prevent re-use of. Valid values 0 to 24
     */
    passwordPreviousPasswordBlockCount?: number;
    /**
     * Require a password to unlock Windows device.
     */
    passwordRequired?: boolean;
    /**
     * Possible values of required passwords.
     */
    passwordRequiredType?: RequiredPasswordType;
    /**
     * Indicates whether or not to require encryption on a windows 8.1 device.
     */
    storageRequireEncryption?: boolean;
}
