"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindows81GeneralConfiguration = exports.deserializeIntoWindows81GeneralConfiguration = exports.createWindows81GeneralConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const deviceConfiguration_1 = require("./deviceConfiguration");
const internetSiteSecurityLevel_1 = require("./internetSiteSecurityLevel");
const requiredPasswordType_1 = require("./requiredPasswordType");
const siteSecurityLevel_1 = require("./siteSecurityLevel");
const windowsUserAccountControlSettings_1 = require("./windowsUserAccountControlSettings");
function createWindows81GeneralConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindows81GeneralConfiguration;
}
exports.createWindows81GeneralConfigurationFromDiscriminatorValue = createWindows81GeneralConfigurationFromDiscriminatorValue;
function deserializeIntoWindows81GeneralConfiguration(windows81GeneralConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, deviceConfiguration_1.deserializeIntoDeviceConfiguration)(windows81GeneralConfiguration)), { "accountsBlockAddingNonMicrosoftAccountEmail": n => { windows81GeneralConfiguration.accountsBlockAddingNonMicrosoftAccountEmail = n.getBooleanValue(); }, "applyOnlyToWindows81": n => { windows81GeneralConfiguration.applyOnlyToWindows81 = n.getBooleanValue(); }, "browserBlockAutofill": n => { windows81GeneralConfiguration.browserBlockAutofill = n.getBooleanValue(); }, "browserBlockAutomaticDetectionOfIntranetSites": n => { windows81GeneralConfiguration.browserBlockAutomaticDetectionOfIntranetSites = n.getBooleanValue(); }, "browserBlockEnterpriseModeAccess": n => { windows81GeneralConfiguration.browserBlockEnterpriseModeAccess = n.getBooleanValue(); }, "browserBlockJavaScript": n => { windows81GeneralConfiguration.browserBlockJavaScript = n.getBooleanValue(); }, "browserBlockPlugins": n => { windows81GeneralConfiguration.browserBlockPlugins = n.getBooleanValue(); }, "browserBlockPopups": n => { windows81GeneralConfiguration.browserBlockPopups = n.getBooleanValue(); }, "browserBlockSendingDoNotTrackHeader": n => { windows81GeneralConfiguration.browserBlockSendingDoNotTrackHeader = n.getBooleanValue(); }, "browserBlockSingleWordEntryOnIntranetSites": n => { windows81GeneralConfiguration.browserBlockSingleWordEntryOnIntranetSites = n.getBooleanValue(); }, "browserEnterpriseModeSiteListLocation": n => { windows81GeneralConfiguration.browserEnterpriseModeSiteListLocation = n.getStringValue(); }, "browserInternetSecurityLevel": n => { windows81GeneralConfiguration.browserInternetSecurityLevel = n.getEnumValue(internetSiteSecurityLevel_1.InternetSiteSecurityLevel); }, "browserIntranetSecurityLevel": n => { windows81GeneralConfiguration.browserIntranetSecurityLevel = n.getEnumValue(siteSecurityLevel_1.SiteSecurityLevel); }, "browserLoggingReportLocation": n => { windows81GeneralConfiguration.browserLoggingReportLocation = n.getStringValue(); }, "browserRequireFirewall": n => { windows81GeneralConfiguration.browserRequireFirewall = n.getBooleanValue(); }, "browserRequireFraudWarning": n => { windows81GeneralConfiguration.browserRequireFraudWarning = n.getBooleanValue(); }, "browserRequireHighSecurityForRestrictedSites": n => { windows81GeneralConfiguration.browserRequireHighSecurityForRestrictedSites = n.getBooleanValue(); }, "browserRequireSmartScreen": n => { windows81GeneralConfiguration.browserRequireSmartScreen = n.getBooleanValue(); }, "browserTrustedSitesSecurityLevel": n => { windows81GeneralConfiguration.browserTrustedSitesSecurityLevel = n.getEnumValue(siteSecurityLevel_1.SiteSecurityLevel); }, "cellularBlockDataRoaming": n => { windows81GeneralConfiguration.cellularBlockDataRoaming = n.getBooleanValue(); }, "diagnosticsBlockDataSubmission": n => { windows81GeneralConfiguration.diagnosticsBlockDataSubmission = n.getBooleanValue(); }, "passwordBlockPicturePasswordAndPin": n => { windows81GeneralConfiguration.passwordBlockPicturePasswordAndPin = n.getBooleanValue(); }, "passwordExpirationDays": n => { windows81GeneralConfiguration.passwordExpirationDays = n.getNumberValue(); }, "passwordMinimumCharacterSetCount": n => { windows81GeneralConfiguration.passwordMinimumCharacterSetCount = n.getNumberValue(); }, "passwordMinimumLength": n => { windows81GeneralConfiguration.passwordMinimumLength = n.getNumberValue(); }, "passwordMinutesOfInactivityBeforeScreenTimeout": n => { windows81GeneralConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout = n.getNumberValue(); }, "passwordPreviousPasswordBlockCount": n => { windows81GeneralConfiguration.passwordPreviousPasswordBlockCount = n.getNumberValue(); }, "passwordRequiredType": n => { windows81GeneralConfiguration.passwordRequiredType = n.getEnumValue(requiredPasswordType_1.RequiredPasswordType); }, "passwordSignInFailureCountBeforeFactoryReset": n => { windows81GeneralConfiguration.passwordSignInFailureCountBeforeFactoryReset = n.getNumberValue(); }, "storageRequireDeviceEncryption": n => { windows81GeneralConfiguration.storageRequireDeviceEncryption = n.getBooleanValue(); }, "updatesRequireAutomaticUpdates": n => { windows81GeneralConfiguration.updatesRequireAutomaticUpdates = n.getBooleanValue(); }, "userAccountControlSettings": n => { windows81GeneralConfiguration.userAccountControlSettings = n.getEnumValue(windowsUserAccountControlSettings_1.WindowsUserAccountControlSettings); }, "workFoldersUrl": n => { windows81GeneralConfiguration.workFoldersUrl = n.getStringValue(); } });
}
exports.deserializeIntoWindows81GeneralConfiguration = deserializeIntoWindows81GeneralConfiguration;
function serializeWindows81GeneralConfiguration(writer, windows81GeneralConfiguration = {}) {
    (0, deviceConfiguration_1.serializeDeviceConfiguration)(writer, windows81GeneralConfiguration);
    writer.writeBooleanValue("accountsBlockAddingNonMicrosoftAccountEmail", windows81GeneralConfiguration.accountsBlockAddingNonMicrosoftAccountEmail);
    writer.writeBooleanValue("browserBlockAutofill", windows81GeneralConfiguration.browserBlockAutofill);
    writer.writeBooleanValue("browserBlockAutomaticDetectionOfIntranetSites", windows81GeneralConfiguration.browserBlockAutomaticDetectionOfIntranetSites);
    writer.writeBooleanValue("browserBlockEnterpriseModeAccess", windows81GeneralConfiguration.browserBlockEnterpriseModeAccess);
    writer.writeBooleanValue("browserBlockJavaScript", windows81GeneralConfiguration.browserBlockJavaScript);
    writer.writeBooleanValue("browserBlockPlugins", windows81GeneralConfiguration.browserBlockPlugins);
    writer.writeBooleanValue("browserBlockPopups", windows81GeneralConfiguration.browserBlockPopups);
    writer.writeBooleanValue("browserBlockSendingDoNotTrackHeader", windows81GeneralConfiguration.browserBlockSendingDoNotTrackHeader);
    writer.writeBooleanValue("browserBlockSingleWordEntryOnIntranetSites", windows81GeneralConfiguration.browserBlockSingleWordEntryOnIntranetSites);
    writer.writeStringValue("browserEnterpriseModeSiteListLocation", windows81GeneralConfiguration.browserEnterpriseModeSiteListLocation);
    writer.writeEnumValue("browserInternetSecurityLevel", windows81GeneralConfiguration.browserInternetSecurityLevel);
    writer.writeEnumValue("browserIntranetSecurityLevel", windows81GeneralConfiguration.browserIntranetSecurityLevel);
    writer.writeStringValue("browserLoggingReportLocation", windows81GeneralConfiguration.browserLoggingReportLocation);
    writer.writeBooleanValue("browserRequireFirewall", windows81GeneralConfiguration.browserRequireFirewall);
    writer.writeBooleanValue("browserRequireFraudWarning", windows81GeneralConfiguration.browserRequireFraudWarning);
    writer.writeBooleanValue("browserRequireHighSecurityForRestrictedSites", windows81GeneralConfiguration.browserRequireHighSecurityForRestrictedSites);
    writer.writeBooleanValue("browserRequireSmartScreen", windows81GeneralConfiguration.browserRequireSmartScreen);
    writer.writeEnumValue("browserTrustedSitesSecurityLevel", windows81GeneralConfiguration.browserTrustedSitesSecurityLevel);
    writer.writeBooleanValue("cellularBlockDataRoaming", windows81GeneralConfiguration.cellularBlockDataRoaming);
    writer.writeBooleanValue("diagnosticsBlockDataSubmission", windows81GeneralConfiguration.diagnosticsBlockDataSubmission);
    writer.writeBooleanValue("passwordBlockPicturePasswordAndPin", windows81GeneralConfiguration.passwordBlockPicturePasswordAndPin);
    writer.writeNumberValue("passwordExpirationDays", windows81GeneralConfiguration.passwordExpirationDays);
    writer.writeNumberValue("passwordMinimumCharacterSetCount", windows81GeneralConfiguration.passwordMinimumCharacterSetCount);
    writer.writeNumberValue("passwordMinimumLength", windows81GeneralConfiguration.passwordMinimumLength);
    writer.writeNumberValue("passwordMinutesOfInactivityBeforeScreenTimeout", windows81GeneralConfiguration.passwordMinutesOfInactivityBeforeScreenTimeout);
    writer.writeNumberValue("passwordPreviousPasswordBlockCount", windows81GeneralConfiguration.passwordPreviousPasswordBlockCount);
    writer.writeEnumValue("passwordRequiredType", windows81GeneralConfiguration.passwordRequiredType);
    writer.writeNumberValue("passwordSignInFailureCountBeforeFactoryReset", windows81GeneralConfiguration.passwordSignInFailureCountBeforeFactoryReset);
    writer.writeBooleanValue("storageRequireDeviceEncryption", windows81GeneralConfiguration.storageRequireDeviceEncryption);
    writer.writeBooleanValue("updatesRequireAutomaticUpdates", windows81GeneralConfiguration.updatesRequireAutomaticUpdates);
    writer.writeEnumValue("userAccountControlSettings", windows81GeneralConfiguration.userAccountControlSettings);
    writer.writeStringValue("workFoldersUrl", windows81GeneralConfiguration.workFoldersUrl);
}
exports.serializeWindows81GeneralConfiguration = serializeWindows81GeneralConfiguration;
// tslint:enable
// eslint-enable
