import { type MobileLobApp } from './mobileLobApp';
import { WindowsArchitecture } from './windowsArchitecture';
import { type WindowsMinimumOperatingSystem } from './windowsMinimumOperatingSystem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsAppXFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsAppX;
export declare function deserializeIntoWindowsAppX(windowsAppX?: WindowsAppX | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsAppX(writer: SerializationWriter, windowsAppX?: WindowsAppX | undefined): void;
export interface WindowsAppX extends MobileLobApp, Parsable {
    /**
     * Contains properties for Windows architecture.
     */
    applicableArchitectures?: WindowsArchitecture[];
    /**
     * The identity name of the uploaded app package. For example: 'Contoso.DemoApp'.
     */
    identityName?: string;
    /**
     * The identity publisher hash of the uploaded app package. This is the hash of the publisher from the manifest. For example: 'AB82CD0XYZ'.
     */
    identityPublisherHash?: string;
    /**
     * The identity resource identifier of the uploaded app package. For example: 'TestResourceId'.
     */
    identityResourceIdentifier?: string;
    /**
     * The identity version of the uploaded app package. For example: '1.0.0.0'.
     */
    identityVersion?: string;
    /**
     * When TRUE, indicates that the app is a bundle. When FALSE, indicates that the app is not a bundle. By default, property is set to FALSE.
     */
    isBundle?: boolean;
    /**
     * The minimum operating system required for a Windows mobile app.
     */
    minimumSupportedOperatingSystem?: WindowsMinimumOperatingSystem;
}
