import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDefenderAdvancedThreatProtectionConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDefenderAdvancedThreatProtectionConfiguration;
export declare function deserializeIntoWindowsDefenderAdvancedThreatProtectionConfiguration(windowsDefenderAdvancedThreatProtectionConfiguration?: WindowsDefenderAdvancedThreatProtectionConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDefenderAdvancedThreatProtectionConfiguration(writer: SerializationWriter, windowsDefenderAdvancedThreatProtectionConfiguration?: WindowsDefenderAdvancedThreatProtectionConfiguration | undefined): void;
export interface WindowsDefenderAdvancedThreatProtectionConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Windows Defender AdvancedThreatProtection 'Allow Sample Sharing' Rule
     */
    allowSampleSharing?: boolean;
    /**
     * Expedite Windows Defender Advanced Threat Protection telemetry reporting frequency.
     */
    enableExpeditedTelemetryReporting?: boolean;
}
