"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsDefenderProductStatus = void 0;
/**
 * Product Status of Windows Defender
 */
var WindowsDefenderProductStatus;
(function (WindowsDefenderProductStatus) {
    /** No status */
    WindowsDefenderProductStatus["NoStatus"] = "noStatus";
    /** Service not running */
    WindowsDefenderProductStatus["ServiceNotRunning"] = "serviceNotRunning";
    /** Service started without any malware protection engine */
    WindowsDefenderProductStatus["ServiceStartedWithoutMalwareProtection"] = "serviceStartedWithoutMalwareProtection";
    /** Pending full scan due to threat action */
    WindowsDefenderProductStatus["PendingFullScanDueToThreatAction"] = "pendingFullScanDueToThreatAction";
    /** Pending reboot due to threat action */
    WindowsDefenderProductStatus["PendingRebootDueToThreatAction"] = "pendingRebootDueToThreatAction";
    /** Pending manual steps due to threat action  */
    WindowsDefenderProductStatus["PendingManualStepsDueToThreatAction"] = "pendingManualStepsDueToThreatAction";
    /** AV signatures out of date */
    WindowsDefenderProductStatus["AvSignaturesOutOfDate"] = "avSignaturesOutOfDate";
    /** AS signatures out of date */
    WindowsDefenderProductStatus["AsSignaturesOutOfDate"] = "asSignaturesOutOfDate";
    /** No quick scan has happened for a specified period */
    WindowsDefenderProductStatus["NoQuickScanHappenedForSpecifiedPeriod"] = "noQuickScanHappenedForSpecifiedPeriod";
    /** No full scan has happened for a specified period */
    WindowsDefenderProductStatus["NoFullScanHappenedForSpecifiedPeriod"] = "noFullScanHappenedForSpecifiedPeriod";
    /** System initiated scan in progress */
    WindowsDefenderProductStatus["SystemInitiatedScanInProgress"] = "systemInitiatedScanInProgress";
    /** System initiated clean in progress */
    WindowsDefenderProductStatus["SystemInitiatedCleanInProgress"] = "systemInitiatedCleanInProgress";
    /** There are samples pending submission */
    WindowsDefenderProductStatus["SamplesPendingSubmission"] = "samplesPendingSubmission";
    /** Product running in evaluation mode */
    WindowsDefenderProductStatus["ProductRunningInEvaluationMode"] = "productRunningInEvaluationMode";
    /** Product running in non-genuine Windows mode */
    WindowsDefenderProductStatus["ProductRunningInNonGenuineMode"] = "productRunningInNonGenuineMode";
    /** Product expired */
    WindowsDefenderProductStatus["ProductExpired"] = "productExpired";
    /** Off-line scan required */
    WindowsDefenderProductStatus["OfflineScanRequired"] = "offlineScanRequired";
    /** Service is shutting down as part of system shutdown */
    WindowsDefenderProductStatus["ServiceShutdownAsPartOfSystemShutdown"] = "serviceShutdownAsPartOfSystemShutdown";
    /** Threat remediation failed critically */
    WindowsDefenderProductStatus["ThreatRemediationFailedCritically"] = "threatRemediationFailedCritically";
    /** Threat remediation failed non-critically */
    WindowsDefenderProductStatus["ThreatRemediationFailedNonCritically"] = "threatRemediationFailedNonCritically";
    /** No status flags set (well initialized state) */
    WindowsDefenderProductStatus["NoStatusFlagsSet"] = "noStatusFlagsSet";
    /** Platform is out of date */
    WindowsDefenderProductStatus["PlatformOutOfDate"] = "platformOutOfDate";
    /** Platform update is in progress */
    WindowsDefenderProductStatus["PlatformUpdateInProgress"] = "platformUpdateInProgress";
    /** Platform is about to be outdated */
    WindowsDefenderProductStatus["PlatformAboutToBeOutdated"] = "platformAboutToBeOutdated";
    /** Signature or platform end of life is past or is impending */
    WindowsDefenderProductStatus["SignatureOrPlatformEndOfLifeIsPastOrIsImpending"] = "signatureOrPlatformEndOfLifeIsPastOrIsImpending";
    /** Windows SMode signatures still in use on non-Win10S install */
    WindowsDefenderProductStatus["WindowsSModeSignaturesInUseOnNonWin10SInstall"] = "windowsSModeSignaturesInUseOnNonWin10SInstall";
})(WindowsDefenderProductStatus || (exports.WindowsDefenderProductStatus = WindowsDefenderProductStatus = {}));
// tslint:enable
// eslint-enable
