"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsDeliveryOptimizationMode = void 0;
/**
 * Delivery optimization mode for peer distribution
 */
var WindowsDeliveryOptimizationMode;
(function (WindowsDeliveryOptimizationMode) {
    /** Allow the user to set. */
    WindowsDeliveryOptimizationMode["UserDefined"] = "userDefined";
    /** HTTP only, no peering */
    WindowsDeliveryOptimizationMode["HttpOnly"] = "httpOnly";
    /** OS default – Http blended with peering behind the same network address translator */
    WindowsDeliveryOptimizationMode["HttpWithPeeringNat"] = "httpWithPeeringNat";
    /** HTTP blended with peering across a private group */
    WindowsDeliveryOptimizationMode["HttpWithPeeringPrivateGroup"] = "httpWithPeeringPrivateGroup";
    /** HTTP blended with Internet peering */
    WindowsDeliveryOptimizationMode["HttpWithInternetPeering"] = "httpWithInternetPeering";
    /** Simple download mode with no peering */
    WindowsDeliveryOptimizationMode["SimpleDownload"] = "simpleDownload";
    /** Bypass mode. Do not use Delivery Optimization and use BITS instead */
    WindowsDeliveryOptimizationMode["BypassMode"] = "bypassMode";
})(WindowsDeliveryOptimizationMode || (exports.WindowsDeliveryOptimizationMode = WindowsDeliveryOptimizationMode = {}));
// tslint:enable
// eslint-enable
