"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsDeviceAccount = exports.deserializeIntoWindowsDeviceAccount = exports.createWindowsDeviceAccountFromDiscriminatorValue = void 0;
const windowsDeviceADAccount_1 = require("./windowsDeviceADAccount");
const windowsDeviceAzureADAccount_1 = require("./windowsDeviceAzureADAccount");
function createWindowsDeviceAccountFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.windowsDeviceADAccount":
                    return windowsDeviceADAccount_1.deserializeIntoWindowsDeviceADAccount;
                case "#microsoft.graph.windowsDeviceAzureADAccount":
                    return windowsDeviceAzureADAccount_1.deserializeIntoWindowsDeviceAzureADAccount;
            }
        }
    }
    return deserializeIntoWindowsDeviceAccount;
}
exports.createWindowsDeviceAccountFromDiscriminatorValue = createWindowsDeviceAccountFromDiscriminatorValue;
function deserializeIntoWindowsDeviceAccount(windowsDeviceAccount = {}) {
    return {
        "@odata.type": n => { windowsDeviceAccount.odataType = n.getStringValue(); },
        "password": n => { windowsDeviceAccount.password = n.getStringValue(); },
    };
}
exports.deserializeIntoWindowsDeviceAccount = deserializeIntoWindowsDeviceAccount;
function serializeWindowsDeviceAccount(writer, windowsDeviceAccount = {}) {
    writer.writeStringValue("@odata.type", windowsDeviceAccount.odataType);
    writer.writeStringValue("password", windowsDeviceAccount.password);
    writer.writeAdditionalData(windowsDeviceAccount.additionalData);
}
exports.serializeWindowsDeviceAccount = serializeWindowsDeviceAccount;
// tslint:enable
// eslint-enable
