"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsDeviceType = void 0;
/**
 * Contains properties for Windows device type. Multiple values can be selected. Default value is `none`.
 */
var WindowsDeviceType;
(function (WindowsDeviceType) {
    /** No device types supported. Default value. */
    WindowsDeviceType["None"] = "none";
    /** Indicates support for Desktop Windows device type. */
    WindowsDeviceType["Desktop"] = "desktop";
    /** Indicates support for Mobile Windows device type. */
    WindowsDeviceType["Mobile"] = "mobile";
    /** Indicates support for Holographic Windows device type. */
    WindowsDeviceType["Holographic"] = "holographic";
    /** Indicates support for Team Windows device type. */
    WindowsDeviceType["Team"] = "team";
    /** Evolvable enumeration sentinel value. Do not use. */
    WindowsDeviceType["UnknownFutureValue"] = "unknownFutureValue";
})(WindowsDeviceType || (exports.WindowsDeviceType = WindowsDeviceType = {}));
// tslint:enable
// eslint-enable
