"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsInformationProtection = exports.deserializeIntoWindowsInformationProtection = exports.createWindowsInformationProtectionFromDiscriminatorValue = void 0;
const managedAppPolicy_1 = require("./managedAppPolicy");
const mdmWindowsInformationProtectionPolicy_1 = require("./mdmWindowsInformationProtectionPolicy");
const targetedManagedAppPolicyAssignment_1 = require("./targetedManagedAppPolicyAssignment");
const windowsInformationProtectionApp_1 = require("./windowsInformationProtectionApp");
const windowsInformationProtectionAppLockerFile_1 = require("./windowsInformationProtectionAppLockerFile");
const windowsInformationProtectionDataRecoveryCertificate_1 = require("./windowsInformationProtectionDataRecoveryCertificate");
const windowsInformationProtectionEnforcementLevel_1 = require("./windowsInformationProtectionEnforcementLevel");
const windowsInformationProtectionIPRangeCollection_1 = require("./windowsInformationProtectionIPRangeCollection");
const windowsInformationProtectionPolicy_1 = require("./windowsInformationProtectionPolicy");
const windowsInformationProtectionProxiedDomainCollection_1 = require("./windowsInformationProtectionProxiedDomainCollection");
const windowsInformationProtectionResourceCollection_1 = require("./windowsInformationProtectionResourceCollection");
function createWindowsInformationProtectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.mdmWindowsInformationProtectionPolicy":
                    return mdmWindowsInformationProtectionPolicy_1.deserializeIntoMdmWindowsInformationProtectionPolicy;
                case "#microsoft.graph.windowsInformationProtectionPolicy":
                    return windowsInformationProtectionPolicy_1.deserializeIntoWindowsInformationProtectionPolicy;
            }
        }
    }
    return deserializeIntoWindowsInformationProtection;
}
exports.createWindowsInformationProtectionFromDiscriminatorValue = createWindowsInformationProtectionFromDiscriminatorValue;
function deserializeIntoWindowsInformationProtection(windowsInformationProtection = {}) {
    return Object.assign(Object.assign({}, (0, managedAppPolicy_1.deserializeIntoManagedAppPolicy)(windowsInformationProtection)), { "assignments": n => { windowsInformationProtection.assignments = n.getCollectionOfObjectValues(targetedManagedAppPolicyAssignment_1.createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue); }, "azureRightsManagementServicesAllowed": n => { windowsInformationProtection.azureRightsManagementServicesAllowed = n.getBooleanValue(); }, "dataRecoveryCertificate": n => { windowsInformationProtection.dataRecoveryCertificate = n.getObjectValue(windowsInformationProtectionDataRecoveryCertificate_1.createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue); }, "enforcementLevel": n => { windowsInformationProtection.enforcementLevel = n.getEnumValue(windowsInformationProtectionEnforcementLevel_1.WindowsInformationProtectionEnforcementLevel); }, "enterpriseDomain": n => { windowsInformationProtection.enterpriseDomain = n.getStringValue(); }, "enterpriseInternalProxyServers": n => { windowsInformationProtection.enterpriseInternalProxyServers = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseIPRanges": n => { windowsInformationProtection.enterpriseIPRanges = n.getCollectionOfObjectValues(windowsInformationProtectionIPRangeCollection_1.createWindowsInformationProtectionIPRangeCollectionFromDiscriminatorValue); }, "enterpriseIPRangesAreAuthoritative": n => { windowsInformationProtection.enterpriseIPRangesAreAuthoritative = n.getBooleanValue(); }, "enterpriseNetworkDomainNames": n => { windowsInformationProtection.enterpriseNetworkDomainNames = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProtectedDomainNames": n => { windowsInformationProtection.enterpriseProtectedDomainNames = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProxiedDomains": n => { windowsInformationProtection.enterpriseProxiedDomains = n.getCollectionOfObjectValues(windowsInformationProtectionProxiedDomainCollection_1.createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue); }, "enterpriseProxyServers": n => { windowsInformationProtection.enterpriseProxyServers = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProxyServersAreAuthoritative": n => { windowsInformationProtection.enterpriseProxyServersAreAuthoritative = n.getBooleanValue(); }, "exemptAppLockerFiles": n => { windowsInformationProtection.exemptAppLockerFiles = n.getCollectionOfObjectValues(windowsInformationProtectionAppLockerFile_1.createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue); }, "exemptApps": n => { windowsInformationProtection.exemptApps = n.getCollectionOfObjectValues(windowsInformationProtectionApp_1.createWindowsInformationProtectionAppFromDiscriminatorValue); }, "iconsVisible": n => { windowsInformationProtection.iconsVisible = n.getBooleanValue(); }, "indexingEncryptedStoresOrItemsBlocked": n => { windowsInformationProtection.indexingEncryptedStoresOrItemsBlocked = n.getBooleanValue(); }, "isAssigned": n => { windowsInformationProtection.isAssigned = n.getBooleanValue(); }, "neutralDomainResources": n => { windowsInformationProtection.neutralDomainResources = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "protectedAppLockerFiles": n => { windowsInformationProtection.protectedAppLockerFiles = n.getCollectionOfObjectValues(windowsInformationProtectionAppLockerFile_1.createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue); }, "protectedApps": n => { windowsInformationProtection.protectedApps = n.getCollectionOfObjectValues(windowsInformationProtectionApp_1.createWindowsInformationProtectionAppFromDiscriminatorValue); }, "protectionUnderLockConfigRequired": n => { windowsInformationProtection.protectionUnderLockConfigRequired = n.getBooleanValue(); }, "revokeOnUnenrollDisabled": n => { windowsInformationProtection.revokeOnUnenrollDisabled = n.getBooleanValue(); }, "rightsManagementServicesTemplateId": n => { windowsInformationProtection.rightsManagementServicesTemplateId = n.getGuidValue(); }, "smbAutoEncryptedFileExtensions": n => { windowsInformationProtection.smbAutoEncryptedFileExtensions = n.getCollectionOfObjectValues(windowsInformationProtectionResourceCollection_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); } });
}
exports.deserializeIntoWindowsInformationProtection = deserializeIntoWindowsInformationProtection;
function serializeWindowsInformationProtection(writer, windowsInformationProtection = {}) {
    (0, managedAppPolicy_1.serializeManagedAppPolicy)(writer, windowsInformationProtection);
    writer.writeCollectionOfObjectValues("assignments", windowsInformationProtection.assignments, targetedManagedAppPolicyAssignment_1.serializeTargetedManagedAppPolicyAssignment);
    writer.writeBooleanValue("azureRightsManagementServicesAllowed", windowsInformationProtection.azureRightsManagementServicesAllowed);
    writer.writeObjectValue("dataRecoveryCertificate", windowsInformationProtection.dataRecoveryCertificate, windowsInformationProtectionDataRecoveryCertificate_1.serializeWindowsInformationProtectionDataRecoveryCertificate);
    writer.writeEnumValue("enforcementLevel", windowsInformationProtection.enforcementLevel);
    writer.writeStringValue("enterpriseDomain", windowsInformationProtection.enterpriseDomain);
    writer.writeCollectionOfObjectValues("enterpriseInternalProxyServers", windowsInformationProtection.enterpriseInternalProxyServers, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
    writer.writeCollectionOfObjectValues("enterpriseIPRanges", windowsInformationProtection.enterpriseIPRanges, windowsInformationProtectionIPRangeCollection_1.serializeWindowsInformationProtectionIPRangeCollection);
    writer.writeBooleanValue("enterpriseIPRangesAreAuthoritative", windowsInformationProtection.enterpriseIPRangesAreAuthoritative);
    writer.writeCollectionOfObjectValues("enterpriseNetworkDomainNames", windowsInformationProtection.enterpriseNetworkDomainNames, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
    writer.writeCollectionOfObjectValues("enterpriseProtectedDomainNames", windowsInformationProtection.enterpriseProtectedDomainNames, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
    writer.writeCollectionOfObjectValues("enterpriseProxiedDomains", windowsInformationProtection.enterpriseProxiedDomains, windowsInformationProtectionProxiedDomainCollection_1.serializeWindowsInformationProtectionProxiedDomainCollection);
    writer.writeCollectionOfObjectValues("enterpriseProxyServers", windowsInformationProtection.enterpriseProxyServers, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
    writer.writeBooleanValue("enterpriseProxyServersAreAuthoritative", windowsInformationProtection.enterpriseProxyServersAreAuthoritative);
    writer.writeCollectionOfObjectValues("exemptAppLockerFiles", windowsInformationProtection.exemptAppLockerFiles, windowsInformationProtectionAppLockerFile_1.serializeWindowsInformationProtectionAppLockerFile);
    writer.writeCollectionOfObjectValues("exemptApps", windowsInformationProtection.exemptApps, windowsInformationProtectionApp_1.serializeWindowsInformationProtectionApp);
    writer.writeBooleanValue("iconsVisible", windowsInformationProtection.iconsVisible);
    writer.writeBooleanValue("indexingEncryptedStoresOrItemsBlocked", windowsInformationProtection.indexingEncryptedStoresOrItemsBlocked);
    writer.writeBooleanValue("isAssigned", windowsInformationProtection.isAssigned);
    writer.writeCollectionOfObjectValues("neutralDomainResources", windowsInformationProtection.neutralDomainResources, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
    writer.writeCollectionOfObjectValues("protectedAppLockerFiles", windowsInformationProtection.protectedAppLockerFiles, windowsInformationProtectionAppLockerFile_1.serializeWindowsInformationProtectionAppLockerFile);
    writer.writeCollectionOfObjectValues("protectedApps", windowsInformationProtection.protectedApps, windowsInformationProtectionApp_1.serializeWindowsInformationProtectionApp);
    writer.writeBooleanValue("protectionUnderLockConfigRequired", windowsInformationProtection.protectionUnderLockConfigRequired);
    writer.writeBooleanValue("revokeOnUnenrollDisabled", windowsInformationProtection.revokeOnUnenrollDisabled);
    writer.writeGuidValue("rightsManagementServicesTemplateId", windowsInformationProtection.rightsManagementServicesTemplateId);
    writer.writeCollectionOfObjectValues("smbAutoEncryptedFileExtensions", windowsInformationProtection.smbAutoEncryptedFileExtensions, windowsInformationProtectionResourceCollection_1.serializeWindowsInformationProtectionResourceCollection);
}
exports.serializeWindowsInformationProtection = serializeWindowsInformationProtection;
// tslint:enable
// eslint-enable
