import { deserializeIntoWindowsInformationProtectionDesktopApp } from './windowsInformationProtectionDesktopApp';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionDesktopApp;
export declare function deserializeIntoWindowsInformationProtectionApp(windowsInformationProtectionApp?: WindowsInformationProtectionApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionApp(writer: SerializationWriter, windowsInformationProtectionApp?: WindowsInformationProtectionApp | undefined): void;
export interface WindowsInformationProtectionApp extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * If true, app is denied protection or exemption.
     */
    denied?: boolean;
    /**
     * The app's description.
     */
    description?: string;
    /**
     * App display name.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The product name.
     */
    productName?: string;
    /**
     * The publisher name
     */
    publisherName?: string;
}
