"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsInformationProtectionApp = exports.deserializeIntoWindowsInformationProtectionApp = exports.createWindowsInformationProtectionAppFromDiscriminatorValue = void 0;
const windowsInformationProtectionDesktopApp_1 = require("./windowsInformationProtectionDesktopApp");
const windowsInformationProtectionStoreApp_1 = require("./windowsInformationProtectionStoreApp");
function createWindowsInformationProtectionAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.windowsInformationProtectionDesktopApp":
                    return windowsInformationProtectionDesktopApp_1.deserializeIntoWindowsInformationProtectionDesktopApp;
                case "#microsoft.graph.windowsInformationProtectionStoreApp":
                    return windowsInformationProtectionStoreApp_1.deserializeIntoWindowsInformationProtectionStoreApp;
            }
        }
    }
    return deserializeIntoWindowsInformationProtectionApp;
}
exports.createWindowsInformationProtectionAppFromDiscriminatorValue = createWindowsInformationProtectionAppFromDiscriminatorValue;
function deserializeIntoWindowsInformationProtectionApp(windowsInformationProtectionApp = {}) {
    return {
        "denied": n => { windowsInformationProtectionApp.denied = n.getBooleanValue(); },
        "description": n => { windowsInformationProtectionApp.description = n.getStringValue(); },
        "displayName": n => { windowsInformationProtectionApp.displayName = n.getStringValue(); },
        "@odata.type": n => { windowsInformationProtectionApp.odataType = n.getStringValue(); },
        "productName": n => { windowsInformationProtectionApp.productName = n.getStringValue(); },
        "publisherName": n => { windowsInformationProtectionApp.publisherName = n.getStringValue(); },
    };
}
exports.deserializeIntoWindowsInformationProtectionApp = deserializeIntoWindowsInformationProtectionApp;
function serializeWindowsInformationProtectionApp(writer, windowsInformationProtectionApp = {}) {
    writer.writeBooleanValue("denied", windowsInformationProtectionApp.denied);
    writer.writeStringValue("description", windowsInformationProtectionApp.description);
    writer.writeStringValue("displayName", windowsInformationProtectionApp.displayName);
    writer.writeStringValue("@odata.type", windowsInformationProtectionApp.odataType);
    writer.writeStringValue("productName", windowsInformationProtectionApp.productName);
    writer.writeStringValue("publisherName", windowsInformationProtectionApp.publisherName);
    writer.writeAdditionalData(windowsInformationProtectionApp.additionalData);
}
exports.serializeWindowsInformationProtectionApp = serializeWindowsInformationProtectionApp;
// tslint:enable
// eslint-enable
