import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionAppLockerFile;
export declare function deserializeIntoWindowsInformationProtectionAppLockerFile(windowsInformationProtectionAppLockerFile?: WindowsInformationProtectionAppLockerFile | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionAppLockerFile(writer: SerializationWriter, windowsInformationProtectionAppLockerFile?: WindowsInformationProtectionAppLockerFile | undefined): void;
export interface WindowsInformationProtectionAppLockerFile extends Entity, Parsable {
    /**
     * The friendly name
     */
    displayName?: string;
    /**
     * File as a byte array
     */
    file?: string;
    /**
     * SHA256 hash of the file
     */
    fileHash?: string;
    /**
     * Version of the entity.
     */
    version?: string;
}
