import { MicrosoftEdgeChannel } from './microsoftEdgeChannel';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMicrosoftEdgeAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMicrosoftEdgeApp;
export declare function deserializeIntoWindowsMicrosoftEdgeApp(windowsMicrosoftEdgeApp?: WindowsMicrosoftEdgeApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMicrosoftEdgeApp(writer: SerializationWriter, windowsMicrosoftEdgeApp?: WindowsMicrosoftEdgeApp | undefined): void;
export interface WindowsMicrosoftEdgeApp extends MobileApp, Parsable {
    /**
     * The enum to specify the channels for Microsoft Edge apps.
     */
    channel?: MicrosoftEdgeChannel;
    /**
     * The language locale to use when the Edge app displays text to the user.
     */
    displayLanguageLocale?: string;
}
