import { type MobileLobApp } from './mobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMobileMSIFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMobileMSI;
export declare function deserializeIntoWindowsMobileMSI(windowsMobileMSI?: WindowsMobileMSI | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMobileMSI(writer: SerializationWriter, windowsMobileMSI?: WindowsMobileMSI | undefined): void;
export interface WindowsMobileMSI extends MobileLobApp, Parsable {
    /**
     * The command line.
     */
    commandLine?: string;
    /**
     * A boolean to control whether the app's version will be used to detect the app after it is installed on a device. Set this to true for Windows Mobile MSI Line of Business (LoB) apps that use a self update feature.
     */
    ignoreVersionDetection?: boolean;
    /**
     * The product code.
     */
    productCode?: string;
    /**
     * The product version of Windows Mobile MSI Line of Business (LoB) app.
     */
    productVersion?: string;
}
