import { type MobileContainedApp } from './mobileContainedApp';
import { type MobileLobApp } from './mobileLobApp';
import { WindowsArchitecture } from './windowsArchitecture';
import { WindowsDeviceType } from './windowsDeviceType';
import { type WindowsMinimumOperatingSystem } from './windowsMinimumOperatingSystem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsUniversalAppXFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUniversalAppX;
export declare function deserializeIntoWindowsUniversalAppX(windowsUniversalAppX?: WindowsUniversalAppX | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUniversalAppX(writer: SerializationWriter, windowsUniversalAppX?: WindowsUniversalAppX | undefined): void;
export interface WindowsUniversalAppX extends MobileLobApp, Parsable {
    /**
     * Contains properties for Windows architecture.
     */
    applicableArchitectures?: WindowsArchitecture[];
    /**
     * Contains properties for Windows device type. Multiple values can be selected. Default value is `none`.
     */
    applicableDeviceTypes?: WindowsDeviceType[];
    /**
     * The collection of contained apps in the committed mobileAppContent of a windowsUniversalAppX app.
     */
    committedContainedApps?: MobileContainedApp[];
    /**
     * The Identity Name.
     */
    identityName?: string;
    /**
     * The Identity Publisher Hash.
     */
    identityPublisherHash?: string;
    /**
     * The Identity Resource Identifier.
     */
    identityResourceIdentifier?: string;
    /**
     * The identity version.
     */
    identityVersion?: string;
    /**
     * Whether or not the app is a bundle.
     */
    isBundle?: boolean;
    /**
     * The minimum operating system required for a Windows mobile app.
     */
    minimumSupportedOperatingSystem?: WindowsMinimumOperatingSystem;
}
