"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsUpdateForBusinessConfiguration = exports.deserializeIntoWindowsUpdateForBusinessConfiguration = exports.createWindowsUpdateForBusinessConfigurationFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const automaticUpdateMode_1 = require("./automaticUpdateMode");
const autoRestartNotificationDismissalMethod_1 = require("./autoRestartNotificationDismissalMethod");
const deviceConfiguration_1 = require("./deviceConfiguration");
const enablement_1 = require("./enablement");
const prereleaseFeatures_1 = require("./prereleaseFeatures");
const windowsDeliveryOptimizationMode_1 = require("./windowsDeliveryOptimizationMode");
const windowsUpdateForBusinessUpdateWeeks_1 = require("./windowsUpdateForBusinessUpdateWeeks");
const windowsUpdateInstallScheduleType_1 = require("./windowsUpdateInstallScheduleType");
const windowsUpdateNotificationDisplayOption_1 = require("./windowsUpdateNotificationDisplayOption");
const windowsUpdateType_1 = require("./windowsUpdateType");
function createWindowsUpdateForBusinessConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsUpdateForBusinessConfiguration;
}
exports.createWindowsUpdateForBusinessConfigurationFromDiscriminatorValue = createWindowsUpdateForBusinessConfigurationFromDiscriminatorValue;
function deserializeIntoWindowsUpdateForBusinessConfiguration(windowsUpdateForBusinessConfiguration = {}) {
    return Object.assign(Object.assign({}, (0, deviceConfiguration_1.deserializeIntoDeviceConfiguration)(windowsUpdateForBusinessConfiguration)), { "allowWindows11Upgrade": n => { windowsUpdateForBusinessConfiguration.allowWindows11Upgrade = n.getBooleanValue(); }, "automaticUpdateMode": n => { windowsUpdateForBusinessConfiguration.automaticUpdateMode = n.getEnumValue(automaticUpdateMode_1.AutomaticUpdateMode); }, "autoRestartNotificationDismissal": n => { windowsUpdateForBusinessConfiguration.autoRestartNotificationDismissal = n.getEnumValue(autoRestartNotificationDismissalMethod_1.AutoRestartNotificationDismissalMethod); }, "businessReadyUpdatesOnly": n => { windowsUpdateForBusinessConfiguration.businessReadyUpdatesOnly = n.getEnumValue(windowsUpdateType_1.WindowsUpdateType); }, "deadlineForFeatureUpdatesInDays": n => { windowsUpdateForBusinessConfiguration.deadlineForFeatureUpdatesInDays = n.getNumberValue(); }, "deadlineForQualityUpdatesInDays": n => { windowsUpdateForBusinessConfiguration.deadlineForQualityUpdatesInDays = n.getNumberValue(); }, "deadlineGracePeriodInDays": n => { windowsUpdateForBusinessConfiguration.deadlineGracePeriodInDays = n.getNumberValue(); }, "deliveryOptimizationMode": n => { windowsUpdateForBusinessConfiguration.deliveryOptimizationMode = n.getEnumValue(windowsDeliveryOptimizationMode_1.WindowsDeliveryOptimizationMode); }, "driversExcluded": n => { windowsUpdateForBusinessConfiguration.driversExcluded = n.getBooleanValue(); }, "engagedRestartDeadlineInDays": n => { windowsUpdateForBusinessConfiguration.engagedRestartDeadlineInDays = n.getNumberValue(); }, "engagedRestartSnoozeScheduleInDays": n => { windowsUpdateForBusinessConfiguration.engagedRestartSnoozeScheduleInDays = n.getNumberValue(); }, "engagedRestartTransitionScheduleInDays": n => { windowsUpdateForBusinessConfiguration.engagedRestartTransitionScheduleInDays = n.getNumberValue(); }, "featureUpdatesDeferralPeriodInDays": n => { windowsUpdateForBusinessConfiguration.featureUpdatesDeferralPeriodInDays = n.getNumberValue(); }, "featureUpdatesPaused": n => { windowsUpdateForBusinessConfiguration.featureUpdatesPaused = n.getBooleanValue(); }, "featureUpdatesPauseExpiryDateTime": n => { windowsUpdateForBusinessConfiguration.featureUpdatesPauseExpiryDateTime = n.getDateValue(); }, "featureUpdatesPauseStartDate": n => { windowsUpdateForBusinessConfiguration.featureUpdatesPauseStartDate = n.getDateOnlyValue(); }, "featureUpdatesRollbackStartDateTime": n => { windowsUpdateForBusinessConfiguration.featureUpdatesRollbackStartDateTime = n.getDateValue(); }, "featureUpdatesRollbackWindowInDays": n => { windowsUpdateForBusinessConfiguration.featureUpdatesRollbackWindowInDays = n.getNumberValue(); }, "featureUpdatesWillBeRolledBack": n => { windowsUpdateForBusinessConfiguration.featureUpdatesWillBeRolledBack = n.getBooleanValue(); }, "installationSchedule": n => { windowsUpdateForBusinessConfiguration.installationSchedule = n.getObjectValue(windowsUpdateInstallScheduleType_1.createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue); }, "microsoftUpdateServiceAllowed": n => { windowsUpdateForBusinessConfiguration.microsoftUpdateServiceAllowed = n.getBooleanValue(); }, "postponeRebootUntilAfterDeadline": n => { windowsUpdateForBusinessConfiguration.postponeRebootUntilAfterDeadline = n.getBooleanValue(); }, "prereleaseFeatures": n => { windowsUpdateForBusinessConfiguration.prereleaseFeatures = n.getEnumValue(prereleaseFeatures_1.PrereleaseFeatures); }, "qualityUpdatesDeferralPeriodInDays": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesDeferralPeriodInDays = n.getNumberValue(); }, "qualityUpdatesPaused": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesPaused = n.getBooleanValue(); }, "qualityUpdatesPauseExpiryDateTime": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesPauseExpiryDateTime = n.getDateValue(); }, "qualityUpdatesPauseStartDate": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesPauseStartDate = n.getDateOnlyValue(); }, "qualityUpdatesRollbackStartDateTime": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesRollbackStartDateTime = n.getDateValue(); }, "qualityUpdatesWillBeRolledBack": n => { windowsUpdateForBusinessConfiguration.qualityUpdatesWillBeRolledBack = n.getBooleanValue(); }, "scheduleImminentRestartWarningInMinutes": n => { windowsUpdateForBusinessConfiguration.scheduleImminentRestartWarningInMinutes = n.getNumberValue(); }, "scheduleRestartWarningInHours": n => { windowsUpdateForBusinessConfiguration.scheduleRestartWarningInHours = n.getNumberValue(); }, "skipChecksBeforeRestart": n => { windowsUpdateForBusinessConfiguration.skipChecksBeforeRestart = n.getBooleanValue(); }, "updateNotificationLevel": n => { windowsUpdateForBusinessConfiguration.updateNotificationLevel = n.getEnumValue(windowsUpdateNotificationDisplayOption_1.WindowsUpdateNotificationDisplayOption); }, "updateWeeks": n => { windowsUpdateForBusinessConfiguration.updateWeeks = n.getCollectionOfEnumValues(windowsUpdateForBusinessUpdateWeeks_1.WindowsUpdateForBusinessUpdateWeeks); }, "userPauseAccess": n => { windowsUpdateForBusinessConfiguration.userPauseAccess = n.getEnumValue(enablement_1.Enablement); }, "userWindowsUpdateScanAccess": n => { windowsUpdateForBusinessConfiguration.userWindowsUpdateScanAccess = n.getEnumValue(enablement_1.Enablement); } });
}
exports.deserializeIntoWindowsUpdateForBusinessConfiguration = deserializeIntoWindowsUpdateForBusinessConfiguration;
function serializeWindowsUpdateForBusinessConfiguration(writer, windowsUpdateForBusinessConfiguration = {}) {
    (0, deviceConfiguration_1.serializeDeviceConfiguration)(writer, windowsUpdateForBusinessConfiguration);
    writer.writeBooleanValue("allowWindows11Upgrade", windowsUpdateForBusinessConfiguration.allowWindows11Upgrade);
    writer.writeEnumValue("automaticUpdateMode", windowsUpdateForBusinessConfiguration.automaticUpdateMode);
    writer.writeEnumValue("autoRestartNotificationDismissal", windowsUpdateForBusinessConfiguration.autoRestartNotificationDismissal);
    writer.writeEnumValue("businessReadyUpdatesOnly", windowsUpdateForBusinessConfiguration.businessReadyUpdatesOnly);
    writer.writeNumberValue("deadlineForFeatureUpdatesInDays", windowsUpdateForBusinessConfiguration.deadlineForFeatureUpdatesInDays);
    writer.writeNumberValue("deadlineForQualityUpdatesInDays", windowsUpdateForBusinessConfiguration.deadlineForQualityUpdatesInDays);
    writer.writeNumberValue("deadlineGracePeriodInDays", windowsUpdateForBusinessConfiguration.deadlineGracePeriodInDays);
    writer.writeEnumValue("deliveryOptimizationMode", windowsUpdateForBusinessConfiguration.deliveryOptimizationMode);
    writer.writeBooleanValue("driversExcluded", windowsUpdateForBusinessConfiguration.driversExcluded);
    writer.writeNumberValue("engagedRestartDeadlineInDays", windowsUpdateForBusinessConfiguration.engagedRestartDeadlineInDays);
    writer.writeNumberValue("engagedRestartSnoozeScheduleInDays", windowsUpdateForBusinessConfiguration.engagedRestartSnoozeScheduleInDays);
    writer.writeNumberValue("engagedRestartTransitionScheduleInDays", windowsUpdateForBusinessConfiguration.engagedRestartTransitionScheduleInDays);
    writer.writeNumberValue("featureUpdatesDeferralPeriodInDays", windowsUpdateForBusinessConfiguration.featureUpdatesDeferralPeriodInDays);
    writer.writeBooleanValue("featureUpdatesPaused", windowsUpdateForBusinessConfiguration.featureUpdatesPaused);
    writer.writeDateValue("featureUpdatesPauseExpiryDateTime", windowsUpdateForBusinessConfiguration.featureUpdatesPauseExpiryDateTime);
    writer.writeDateValue("featureUpdatesRollbackStartDateTime", windowsUpdateForBusinessConfiguration.featureUpdatesRollbackStartDateTime);
    writer.writeNumberValue("featureUpdatesRollbackWindowInDays", windowsUpdateForBusinessConfiguration.featureUpdatesRollbackWindowInDays);
    writer.writeBooleanValue("featureUpdatesWillBeRolledBack", windowsUpdateForBusinessConfiguration.featureUpdatesWillBeRolledBack);
    writer.writeObjectValue("installationSchedule", windowsUpdateForBusinessConfiguration.installationSchedule, windowsUpdateInstallScheduleType_1.serializeWindowsUpdateInstallScheduleType);
    writer.writeBooleanValue("microsoftUpdateServiceAllowed", windowsUpdateForBusinessConfiguration.microsoftUpdateServiceAllowed);
    writer.writeBooleanValue("postponeRebootUntilAfterDeadline", windowsUpdateForBusinessConfiguration.postponeRebootUntilAfterDeadline);
    writer.writeEnumValue("prereleaseFeatures", windowsUpdateForBusinessConfiguration.prereleaseFeatures);
    writer.writeNumberValue("qualityUpdatesDeferralPeriodInDays", windowsUpdateForBusinessConfiguration.qualityUpdatesDeferralPeriodInDays);
    writer.writeBooleanValue("qualityUpdatesPaused", windowsUpdateForBusinessConfiguration.qualityUpdatesPaused);
    writer.writeDateValue("qualityUpdatesPauseExpiryDateTime", windowsUpdateForBusinessConfiguration.qualityUpdatesPauseExpiryDateTime);
    writer.writeDateValue("qualityUpdatesRollbackStartDateTime", windowsUpdateForBusinessConfiguration.qualityUpdatesRollbackStartDateTime);
    writer.writeBooleanValue("qualityUpdatesWillBeRolledBack", windowsUpdateForBusinessConfiguration.qualityUpdatesWillBeRolledBack);
    writer.writeNumberValue("scheduleImminentRestartWarningInMinutes", windowsUpdateForBusinessConfiguration.scheduleImminentRestartWarningInMinutes);
    writer.writeNumberValue("scheduleRestartWarningInHours", windowsUpdateForBusinessConfiguration.scheduleRestartWarningInHours);
    writer.writeBooleanValue("skipChecksBeforeRestart", windowsUpdateForBusinessConfiguration.skipChecksBeforeRestart);
    writer.writeEnumValue("updateNotificationLevel", windowsUpdateForBusinessConfiguration.updateNotificationLevel);
    writer.writeEnumValue("updateWeeks", windowsUpdateForBusinessConfiguration.updateWeeks);
    writer.writeEnumValue("userPauseAccess", windowsUpdateForBusinessConfiguration.userPauseAccess);
    writer.writeEnumValue("userWindowsUpdateScanAccess", windowsUpdateForBusinessConfiguration.userWindowsUpdateScanAccess);
}
exports.serializeWindowsUpdateForBusinessConfiguration = serializeWindowsUpdateForBusinessConfiguration;
// tslint:enable
// eslint-enable
