"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsUpdateInstallScheduleType = exports.deserializeIntoWindowsUpdateInstallScheduleType = exports.createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue = void 0;
const windowsUpdateActiveHoursInstall_1 = require("./windowsUpdateActiveHoursInstall");
const windowsUpdateScheduledInstall_1 = require("./windowsUpdateScheduledInstall");
function createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.windowsUpdateActiveHoursInstall":
                    return windowsUpdateActiveHoursInstall_1.deserializeIntoWindowsUpdateActiveHoursInstall;
                case "#microsoft.graph.windowsUpdateScheduledInstall":
                    return windowsUpdateScheduledInstall_1.deserializeIntoWindowsUpdateScheduledInstall;
            }
        }
    }
    return deserializeIntoWindowsUpdateInstallScheduleType;
}
exports.createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue = createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue;
function deserializeIntoWindowsUpdateInstallScheduleType(windowsUpdateInstallScheduleType = {}) {
    return {
        "@odata.type": n => { windowsUpdateInstallScheduleType.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWindowsUpdateInstallScheduleType = deserializeIntoWindowsUpdateInstallScheduleType;
function serializeWindowsUpdateInstallScheduleType(writer, windowsUpdateInstallScheduleType = {}) {
    writer.writeStringValue("@odata.type", windowsUpdateInstallScheduleType.odataType);
    writer.writeAdditionalData(windowsUpdateInstallScheduleType.additionalData);
}
exports.serializeWindowsUpdateInstallScheduleType = serializeWindowsUpdateInstallScheduleType;
// tslint:enable
// eslint-enable
