import { WeeklySchedule } from './weeklySchedule';
import { type WindowsUpdateInstallScheduleType } from './windowsUpdateInstallScheduleType';
import { type Parsable, type ParseNode, type SerializationWriter, type TimeOnly } from '@microsoft/kiota-abstractions';
export declare function createWindowsUpdateScheduledInstallFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUpdateScheduledInstall;
export declare function deserializeIntoWindowsUpdateScheduledInstall(windowsUpdateScheduledInstall?: WindowsUpdateScheduledInstall | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUpdateScheduledInstall(writer: SerializationWriter, windowsUpdateScheduledInstall?: WindowsUpdateScheduledInstall | undefined): void;
export interface WindowsUpdateScheduledInstall extends Parsable, WindowsUpdateInstallScheduleType {
    /**
     * Possible values for a weekly schedule.
     */
    scheduledInstallDay?: WeeklySchedule;
    /**
     * Scheduled Install Time during day
     */
    scheduledInstallTime?: TimeOnly;
}
