import { type Entity } from './entity';
import { type WorkbookApplication } from './workbookApplication';
import { type WorkbookComment } from './workbookComment';
import { type WorkbookFunctions } from './workbookFunctions';
import { type WorkbookNamedItem } from './workbookNamedItem';
import { type WorkbookOperation } from './workbookOperation';
import { type WorkbookTable } from './workbookTable';
import { type WorkbookWorksheet } from './workbookWorksheet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbook;
export declare function deserializeIntoWorkbook(workbook?: Workbook | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbook(writer: SerializationWriter, workbook?: Workbook | undefined): void;
export interface Workbook extends Entity, Parsable {
    /**
     * The application property
     */
    application?: WorkbookApplication;
    /**
     * Represents a collection of comments in a workbook.
     */
    comments?: WorkbookComment[];
    /**
     * The functions property
     */
    functions?: WorkbookFunctions;
    /**
     * Represents a collection of workbooks scoped named items (named ranges and constants). Read-only.
     */
    names?: WorkbookNamedItem[];
    /**
     * The status of workbook operations. Getting an operation collection is not supported, but you can get the status of a long-running operation if the Location header is returned in the response. Read-only.
     */
    operations?: WorkbookOperation[];
    /**
     * Represents a collection of tables associated with the workbook. Read-only.
     */
    tables?: WorkbookTable[];
    /**
     * Represents a collection of worksheets associated with the workbook. Read-only.
     */
    worksheets?: WorkbookWorksheet[];
}
