import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type WorkbookChartFont } from './workbookChartFont';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartAreaFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartAreaFormat;
export declare function deserializeIntoWorkbookChartAreaFormat(workbookChartAreaFormat?: WorkbookChartAreaFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartAreaFormat(writer: SerializationWriter, workbookChartAreaFormat?: WorkbookChartAreaFormat | undefined): void;
export interface WorkbookChartAreaFormat extends Entity, Parsable {
    /**
     * Represents the fill format of an object, which includes background formatting information. Read-only.
     */
    fill?: WorkbookChartFill;
    /**
     * Represents the font attributes (font name, font size, color, etc.) for the current object. Read-only.
     */
    font?: WorkbookChartFont;
}
