import { type Entity } from './entity';
import { type WorkbookChartAxis } from './workbookChartAxis';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartAxesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartAxes;
export declare function deserializeIntoWorkbookChartAxes(workbookChartAxes?: WorkbookChartAxes | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartAxes(writer: SerializationWriter, workbookChartAxes?: WorkbookChartAxes | undefined): void;
export interface WorkbookChartAxes extends Entity, Parsable {
    /**
     * Represents the category axis in a chart. Read-only.
     */
    categoryAxis?: WorkbookChartAxis;
    /**
     * Represents the series axis of a 3-dimensional chart. Read-only.
     */
    seriesAxis?: WorkbookChartAxis;
    /**
     * Represents the value axis in an axis. Read-only.
     */
    valueAxis?: WorkbookChartAxis;
}
