import { type Entity } from './entity';
import { type WorkbookChartFont } from './workbookChartFont';
import { type WorkbookChartLineFormat } from './workbookChartLineFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartAxisFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartAxisFormat;
export declare function deserializeIntoWorkbookChartAxisFormat(workbookChartAxisFormat?: WorkbookChartAxisFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartAxisFormat(writer: SerializationWriter, workbookChartAxisFormat?: WorkbookChartAxisFormat | undefined): void;
export interface WorkbookChartAxisFormat extends Entity, Parsable {
    /**
     * Represents the font attributes (font name, font size, color, etc.) for a chart axis element. Read-only.
     */
    font?: WorkbookChartFont;
    /**
     * Represents chart line formatting. Read-only.
     */
    line?: WorkbookChartLineFormat;
}
