import { type Entity } from './entity';
import { type WorkbookChartAxisTitleFormat } from './workbookChartAxisTitleFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartAxisTitleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartAxisTitle;
export declare function deserializeIntoWorkbookChartAxisTitle(workbookChartAxisTitle?: WorkbookChartAxisTitle | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartAxisTitle(writer: SerializationWriter, workbookChartAxisTitle?: WorkbookChartAxisTitle | undefined): void;
export interface WorkbookChartAxisTitle extends Entity, Parsable {
    /**
     * Represents the formatting of chart axis title. Read-only.
     */
    format?: WorkbookChartAxisTitleFormat;
    /**
     * Represents the axis title.
     */
    text?: string;
    /**
     * A boolean that specifies the visibility of an axis title.
     */
    visible?: boolean;
}
