import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type WorkbookChartFont } from './workbookChartFont';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartDataLabelFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartDataLabelFormat;
export declare function deserializeIntoWorkbookChartDataLabelFormat(workbookChartDataLabelFormat?: WorkbookChartDataLabelFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartDataLabelFormat(writer: SerializationWriter, workbookChartDataLabelFormat?: WorkbookChartDataLabelFormat | undefined): void;
export interface WorkbookChartDataLabelFormat extends Entity, Parsable {
    /**
     * Represents the fill format of the current chart data label. Read-only.
     */
    fill?: WorkbookChartFill;
    /**
     * Represents the font attributes (font name, font size, color, etc.) for a chart data label. Read-only.
     */
    font?: WorkbookChartFont;
}
