import { type Entity } from './entity';
import { type WorkbookChartDataLabelFormat } from './workbookChartDataLabelFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartDataLabelsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartDataLabels;
export declare function deserializeIntoWorkbookChartDataLabels(workbookChartDataLabels?: WorkbookChartDataLabels | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartDataLabels(writer: SerializationWriter, workbookChartDataLabels?: WorkbookChartDataLabels | undefined): void;
export interface WorkbookChartDataLabels extends Entity, Parsable {
    /**
     * Represents the format of chart data labels, which includes fill and font formatting. Read-only.
     */
    format?: WorkbookChartDataLabelFormat;
    /**
     * DataLabelPosition value that represents the position of the data label. The possible values are: None, Center, InsideEnd, InsideBase, OutsideEnd, Left, Right, Top, Bottom, BestFit, Callout.
     */
    position?: string;
    /**
     * String representing the separator used for the data labels on a chart.
     */
    separator?: string;
    /**
     * Boolean value representing if the data label bubble size is visible or not.
     */
    showBubbleSize?: boolean;
    /**
     * Boolean value representing if the data label category name is visible or not.
     */
    showCategoryName?: boolean;
    /**
     * Boolean value representing if the data label legend key is visible or not.
     */
    showLegendKey?: boolean;
    /**
     * Boolean value representing if the data label percentage is visible or not.
     */
    showPercentage?: boolean;
    /**
     * Boolean value representing if the data label series name is visible or not.
     */
    showSeriesName?: boolean;
    /**
     * Boolean value representing if the data label value is visible or not.
     */
    showValue?: boolean;
}
