import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartFontFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartFont;
export declare function deserializeIntoWorkbookChartFont(workbookChartFont?: WorkbookChartFont | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartFont(writer: SerializationWriter, workbookChartFont?: WorkbookChartFont | undefined): void;
export interface WorkbookChartFont extends Entity, Parsable {
    /**
     * Represents the bold status of font.
     */
    bold?: boolean;
    /**
     * HTML color code representation of the text color. for example #FF0000 represents Red.
     */
    color?: string;
    /**
     * Represents the italic status of the font.
     */
    italic?: boolean;
    /**
     * Font name (for example 'Calibri')
     */
    name?: string;
    /**
     * Size of the font (for example 11)
     */
    size?: number;
    /**
     * Type of underline applied to the font. The possible values are: None, Single.
     */
    underline?: string;
}
