import { type Entity } from './entity';
import { type WorkbookChartLegendFormat } from './workbookChartLegendFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartLegendFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartLegend;
export declare function deserializeIntoWorkbookChartLegend(workbookChartLegend?: WorkbookChartLegend | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartLegend(writer: SerializationWriter, workbookChartLegend?: WorkbookChartLegend | undefined): void;
export interface WorkbookChartLegend extends Entity, Parsable {
    /**
     * Represents the formatting of a chart legend, which includes fill and font formatting. Read-only.
     */
    format?: WorkbookChartLegendFormat;
    /**
     * Boolean value for whether the chart legend should overlap with the main body of the chart.
     */
    overlay?: boolean;
    /**
     * Represents the position of the legend on the chart. The possible values are: Top, Bottom, Left, Right, Corner, Custom.
     */
    position?: string;
    /**
     * A boolean value the represents the visibility of a ChartLegend object.
     */
    visible?: boolean;
}
