import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type WorkbookChartFont } from './workbookChartFont';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartLegendFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartLegendFormat;
export declare function deserializeIntoWorkbookChartLegendFormat(workbookChartLegendFormat?: WorkbookChartLegendFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartLegendFormat(writer: SerializationWriter, workbookChartLegendFormat?: WorkbookChartLegendFormat | undefined): void;
export interface WorkbookChartLegendFormat extends Entity, Parsable {
    /**
     * Represents the fill format of an object, which includes background formating information. Read-only.
     */
    fill?: WorkbookChartFill;
    /**
     * Represents the font attributes such as font name, font size, color, etc. of a chart legend. Read-only.
     */
    font?: WorkbookChartFont;
}
