import { type Entity } from './entity';
import { type Json } from './json';
import { type WorkbookChartPointFormat } from './workbookChartPointFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartPointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartPoint;
export declare function deserializeIntoWorkbookChartPoint(workbookChartPoint?: WorkbookChartPoint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartPoint(writer: SerializationWriter, workbookChartPoint?: WorkbookChartPoint | undefined): void;
export interface WorkbookChartPoint extends Entity, Parsable {
    /**
     * Encapsulates the format properties chart point. Read-only.
     */
    format?: WorkbookChartPointFormat;
    /**
     * Returns the value of a chart point. Read-only.
     */
    value?: Json;
}
