import { type Entity } from './entity';
import { type WorkbookChartPoint } from './workbookChartPoint';
import { type WorkbookChartSeriesFormat } from './workbookChartSeriesFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartSeriesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartSeries;
export declare function deserializeIntoWorkbookChartSeries(workbookChartSeries?: WorkbookChartSeries | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartSeries(writer: SerializationWriter, workbookChartSeries?: WorkbookChartSeries | undefined): void;
export interface WorkbookChartSeries extends Entity, Parsable {
    /**
     * Represents the formatting of a chart series, which includes fill and line formatting. Read-only.
     */
    format?: WorkbookChartSeriesFormat;
    /**
     * Represents the name of a series in a chart.
     */
    name?: string;
    /**
     * Represents a collection of all points in the series. Read-only.
     */
    points?: WorkbookChartPoint[];
}
