import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type WorkbookChartLineFormat } from './workbookChartLineFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartSeriesFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartSeriesFormat;
export declare function deserializeIntoWorkbookChartSeriesFormat(workbookChartSeriesFormat?: WorkbookChartSeriesFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartSeriesFormat(writer: SerializationWriter, workbookChartSeriesFormat?: WorkbookChartSeriesFormat | undefined): void;
export interface WorkbookChartSeriesFormat extends Entity, Parsable {
    /**
     * Represents the fill format of a chart series, which includes background formatting information. Read-only.
     */
    fill?: WorkbookChartFill;
    /**
     * Represents line formatting. Read-only.
     */
    line?: WorkbookChartLineFormat;
}
