import { type Entity } from './entity';
import { type WorkbookChartTitleFormat } from './workbookChartTitleFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartTitleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartTitle;
export declare function deserializeIntoWorkbookChartTitle(workbookChartTitle?: WorkbookChartTitle | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartTitle(writer: SerializationWriter, workbookChartTitle?: WorkbookChartTitle | undefined): void;
export interface WorkbookChartTitle extends Entity, Parsable {
    /**
     * Represents the formatting of a chart title, which includes fill and font formatting. Read-only.
     */
    format?: WorkbookChartTitleFormat;
    /**
     * Boolean value representing if the chart title will overlay the chart or not.
     */
    overlay?: boolean;
    /**
     * Represents the title text of a chart.
     */
    text?: string;
    /**
     * A boolean value that represents the visibility of a chart title object.
     */
    visible?: boolean;
}
