import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type WorkbookChartFont } from './workbookChartFont';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartTitleFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartTitleFormat;
export declare function deserializeIntoWorkbookChartTitleFormat(workbookChartTitleFormat?: WorkbookChartTitleFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartTitleFormat(writer: SerializationWriter, workbookChartTitleFormat?: WorkbookChartTitleFormat | undefined): void;
export interface WorkbookChartTitleFormat extends Entity, Parsable {
    /**
     * Represents the fill format of an object, which includes background formatting information. Read-only.
     */
    fill?: WorkbookChartFill;
    /**
     * Represents the font attributes (font name, font size, color, etc.) for the current object. Read-only.
     */
    font?: WorkbookChartFont;
}
