import { type Entity } from './entity';
import { type WorkbookCommentReply } from './workbookCommentReply';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookCommentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookComment;
export declare function deserializeIntoWorkbookComment(workbookComment?: WorkbookComment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookComment(writer: SerializationWriter, workbookComment?: WorkbookComment | undefined): void;
export interface WorkbookComment extends Entity, Parsable {
    /**
     * The content of comment.
     */
    content?: string;
    /**
     * Indicates the type for the comment.
     */
    contentType?: string;
    /**
     * The replies property
     */
    replies?: WorkbookCommentReply[];
}
