import { type Json } from './json';
import { type WorkbookIcon } from './workbookIcon';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFilterCriteriaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookFilterCriteria;
export declare function deserializeIntoWorkbookFilterCriteria(workbookFilterCriteria?: WorkbookFilterCriteria | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookFilterCriteria(writer: SerializationWriter, workbookFilterCriteria?: WorkbookFilterCriteria | undefined): void;
export interface WorkbookFilterCriteria extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The color property
     */
    color?: string;
    /**
     * The criterion1 property
     */
    criterion1?: string;
    /**
     * The criterion2 property
     */
    criterion2?: string;
    /**
     * The dynamicCriteria property
     */
    dynamicCriteria?: string;
    /**
     * The filterOn property
     */
    filterOn?: string;
    /**
     * The icon property
     */
    icon?: WorkbookIcon;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The operator property
     */
    operator?: string;
    /**
     * The values property
     */
    values?: Json;
}
