import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFormatProtectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookFormatProtection;
export declare function deserializeIntoWorkbookFormatProtection(workbookFormatProtection?: WorkbookFormatProtection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookFormatProtection(writer: SerializationWriter, workbookFormatProtection?: WorkbookFormatProtection | undefined): void;
export interface WorkbookFormatProtection extends Entity, Parsable {
    /**
     * Indicates if Excel hides the formula for the cells in the range. A null value indicates that the entire range doesn't have uniform formula hidden setting.
     */
    formulaHidden?: boolean;
    /**
     * Indicates if Excel locks the cells in the object. A null value indicates that the entire range doesn't have uniform lock setting.
     */
    locked?: boolean;
}
