import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookIconFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookIcon;
export declare function deserializeIntoWorkbookIcon(workbookIcon?: WorkbookIcon | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookIcon(writer: SerializationWriter, workbookIcon?: WorkbookIcon | undefined): void;
export interface WorkbookIcon extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents the index of the icon in the given set.
     */
    index?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents the set that the icon is part of. The possible values are: Invalid, ThreeArrows, ThreeArrowsGray, ThreeFlags, ThreeTrafficLights1, ThreeTrafficLights2, ThreeSigns, ThreeSymbols, ThreeSymbols2, FourArrows, FourArrowsGray, FourRedToBlack, FourRating, FourTrafficLights, FiveArrows, FiveArrowsGray, FiveRating, FiveQuarters, ThreeStars, ThreeTriangles, FiveBoxes.
     */
    set?: string;
}
