import { type Entity } from './entity';
import { type WorkbookOperationError } from './workbookOperationError';
import { WorkbookOperationStatus } from './workbookOperationStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookOperation;
export declare function deserializeIntoWorkbookOperation(workbookOperation?: WorkbookOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookOperation(writer: SerializationWriter, workbookOperation?: WorkbookOperation | undefined): void;
export interface WorkbookOperation extends Entity, Parsable {
    /**
     * The error returned by the operation.
     */
    errorEscaped?: WorkbookOperationError;
    /**
     * The resource URI for the result.
     */
    resourceLocation?: string;
    /**
     * The status property
     */
    status?: WorkbookOperationStatus;
}
