import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookOperationErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookOperationError;
export declare function deserializeIntoWorkbookOperationError(workbookOperationError?: WorkbookOperationError | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookOperationError(writer: SerializationWriter, workbookOperationError?: WorkbookOperationError | undefined): void;
export interface WorkbookOperationError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * The innerError property
     */
    innerError?: WorkbookOperationError;
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
