import { type Entity } from './entity';
import { type WorkbookWorksheet } from './workbookWorksheet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookPivotTableFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookPivotTable;
export declare function deserializeIntoWorkbookPivotTable(workbookPivotTable?: WorkbookPivotTable | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookPivotTable(writer: SerializationWriter, workbookPivotTable?: WorkbookPivotTable | undefined): void;
export interface WorkbookPivotTable extends Entity, Parsable {
    /**
     * Name of the PivotTable.
     */
    name?: string;
    /**
     * The worksheet containing the current PivotTable. Read-only.
     */
    worksheet?: WorkbookWorksheet;
}
