import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookRangeBorderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookRangeBorder;
export declare function deserializeIntoWorkbookRangeBorder(workbookRangeBorder?: WorkbookRangeBorder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookRangeBorder(writer: SerializationWriter, workbookRangeBorder?: WorkbookRangeBorder | undefined): void;
export interface WorkbookRangeBorder extends Entity, Parsable {
    /**
     * HTML color code representing the color of the border line, of the form #RRGGBB (for example 'FFA500') or as a named HTML color (for example 'orange').
     */
    color?: string;
    /**
     * Constant value that indicates the specific side of the border. The possible values are: EdgeTop, EdgeBottom, EdgeLeft, EdgeRight, InsideVertical, InsideHorizontal, DiagonalDown, DiagonalUp. Read-only.
     */
    sideIndex?: string;
    /**
     * One of the constants of line style specifying the line style for the border. The possible values are: None, Continuous, Dash, DashDot, DashDotDot, Dot, Double, SlantDashDot.
     */
    style?: string;
    /**
     * Specifies the weight of the border around a range. The possible values are: Hairline, Thin, Medium, Thick.
     */
    weight?: string;
}
