import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookRangeFontFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookRangeFont;
export declare function deserializeIntoWorkbookRangeFont(workbookRangeFont?: WorkbookRangeFont | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookRangeFont(writer: SerializationWriter, workbookRangeFont?: WorkbookRangeFont | undefined): void;
export interface WorkbookRangeFont extends Entity, Parsable {
    /**
     * Represents the bold status of font.
     */
    bold?: boolean;
    /**
     * HTML color code representation of the text color. for example #FF0000 represents Red.
     */
    color?: string;
    /**
     * Represents the italic status of the font.
     */
    italic?: boolean;
    /**
     * Font name (for example 'Calibri')
     */
    name?: string;
    /**
     * Font size.
     */
    size?: number;
    /**
     * Type of underline applied to the font. The possible values are: None, Single, Double, SingleAccountant, DoubleAccountant.
     */
    underline?: string;
}
