import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookSessionInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookSessionInfo;
export declare function deserializeIntoWorkbookSessionInfo(workbookSessionInfo?: WorkbookSessionInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookSessionInfo(writer: SerializationWriter, workbookSessionInfo?: WorkbookSessionInfo | undefined): void;
export interface WorkbookSessionInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * ID of the workbook session.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * true for persistent session. false for non-persistent session (view mode)
     */
    persistChanges?: boolean;
}
