import { type Entity } from './entity';
import { type Json } from './json';
import { type WorkbookFilter } from './workbookFilter';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableColumn;
export declare function deserializeIntoWorkbookTableColumn(workbookTableColumn?: WorkbookTableColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableColumn(writer: SerializationWriter, workbookTableColumn?: WorkbookTableColumn | undefined): void;
export interface WorkbookTableColumn extends Entity, Parsable {
    /**
     * Retrieve the filter applied to the column. Read-only.
     */
    filter?: WorkbookFilter;
    /**
     * Returns the index number of the column within the columns collection of the table. Zero-indexed. Read-only.
     */
    index?: number;
    /**
     * Returns the name of the table column.
     */
    name?: string;
    /**
     * Represents the raw values of the specified range. The data returned could be of type string, number, or a boolean. Cell that contain an error will return the error string.
     */
    values?: Json;
}
