import { type Entity } from './entity';
import { type Json } from './json';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableRowFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableRow;
export declare function deserializeIntoWorkbookTableRow(workbookTableRow?: WorkbookTableRow | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableRow(writer: SerializationWriter, workbookTableRow?: WorkbookTableRow | undefined): void;
export interface WorkbookTableRow extends Entity, Parsable {
    /**
     * Returns the index number of the row within the rows collection of the table. Zero-indexed. Read-only.
     */
    index?: number;
    /**
     * Represents the raw values of the specified range. The data returned could be of type string, number, or a boolean. Cell that contain an error will return the error string.
     */
    values?: Json;
}
