import { type Entity } from './entity';
import { type WorkbookSortField } from './workbookSortField';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableSortFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableSort;
export declare function deserializeIntoWorkbookTableSort(workbookTableSort?: WorkbookTableSort | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableSort(writer: SerializationWriter, workbookTableSort?: WorkbookTableSort | undefined): void;
export interface WorkbookTableSort extends Entity, Parsable {
    /**
     * Represents the current conditions used to last sort the table. Read-only.
     */
    fields?: WorkbookSortField[];
    /**
     * Represents whether the casing impacted the last sort of the table. Read-only.
     */
    matchCase?: boolean;
    /**
     * Represents Chinese character ordering method last used to sort the table. The possible values are: PinYin, StrokeCount. Read-only.
     */
    method?: string;
}
