import { type Entity } from './entity';
import { type WorkbookChart } from './workbookChart';
import { type WorkbookNamedItem } from './workbookNamedItem';
import { type WorkbookPivotTable } from './workbookPivotTable';
import { type WorkbookTable } from './workbookTable';
import { type WorkbookWorksheetProtection } from './workbookWorksheetProtection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookWorksheetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookWorksheet;
export declare function deserializeIntoWorkbookWorksheet(workbookWorksheet?: WorkbookWorksheet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookWorksheet(writer: SerializationWriter, workbookWorksheet?: WorkbookWorksheet | undefined): void;
export interface WorkbookWorksheet extends Entity, Parsable {
    /**
     * Returns collection of charts that are part of the worksheet. Read-only.
     */
    charts?: WorkbookChart[];
    /**
     * The display name of the worksheet.
     */
    name?: string;
    /**
     * Returns collection of names that are associated with the worksheet. Read-only.
     */
    names?: WorkbookNamedItem[];
    /**
     * Collection of PivotTables that are part of the worksheet.
     */
    pivotTables?: WorkbookPivotTable[];
    /**
     * The zero-based position of the worksheet within the workbook.
     */
    position?: number;
    /**
     * Returns sheet protection object for a worksheet. Read-only.
     */
    protection?: WorkbookWorksheetProtection;
    /**
     * Collection of tables that are part of the worksheet. Read-only.
     */
    tables?: WorkbookTable[];
    /**
     * The Visibility of the worksheet. The possible values are: Visible, Hidden, VeryHidden.
     */
    visibility?: string;
}
