import { type Entity } from './entity';
import { type WorkbookWorksheetProtectionOptions } from './workbookWorksheetProtectionOptions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookWorksheetProtectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookWorksheetProtection;
export declare function deserializeIntoWorkbookWorksheetProtection(workbookWorksheetProtection?: WorkbookWorksheetProtection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookWorksheetProtection(writer: SerializationWriter, workbookWorksheetProtection?: WorkbookWorksheetProtection | undefined): void;
export interface WorkbookWorksheetProtection extends Entity, Parsable {
    /**
     * Sheet protection options. Read-only.
     */
    options?: WorkbookWorksheetProtectionOptions;
    /**
     * Indicates if the worksheet is protected.  Read-only.
     */
    protected?: boolean;
}
