import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type WorkforceIntegrationEncryption } from './workforceIntegrationEncryption';
import { WorkforceIntegrationSupportedEntities } from './workforceIntegrationSupportedEntities';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkforceIntegrationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkforceIntegration;
export declare function deserializeIntoWorkforceIntegration(workforceIntegration?: WorkforceIntegration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkforceIntegration(writer: SerializationWriter, workforceIntegration?: WorkforceIntegration | undefined): void;
export interface WorkforceIntegration extends ChangeTrackedEntity, Parsable {
    /**
     * API version for the call back URL. Start with 1.
     */
    apiVersion?: number;
    /**
     * Name of the workforce integration.
     */
    displayName?: string;
    /**
     * The workforce integration encryption resource.
     */
    encryption?: WorkforceIntegrationEncryption;
    /**
     * Indicates whether this workforce integration is currently active and available.
     */
    isActive?: boolean;
    /**
     * The Shifts entities supported for synchronous change notifications. Shifts will make a call back to the url provided on client changes on those entities added here. By default, no entities are supported for change notifications. Possible values are: none, shift, swapRequest, userShiftPreferences, openshift, openShiftRequest, offerShiftRequest, unknownFutureValue.
     */
    supportedEntities?: WorkforceIntegrationSupportedEntities[];
    /**
     * Workforce Integration URL for callbacks from the Shifts service.
     */
    url?: string;
}
