import { WorkforceIntegrationEncryptionProtocol } from './workforceIntegrationEncryptionProtocol';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkforceIntegrationEncryptionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkforceIntegrationEncryption;
export declare function deserializeIntoWorkforceIntegrationEncryption(workforceIntegrationEncryption?: WorkforceIntegrationEncryption | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkforceIntegrationEncryption(writer: SerializationWriter, workforceIntegrationEncryption?: WorkforceIntegrationEncryption | undefined): void;
export interface WorkforceIntegrationEncryption extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Possible values are: sharedSecret, unknownFutureValue.
     */
    protocol?: WorkforceIntegrationEncryptionProtocol;
    /**
     * Encryption shared secret.
     */
    secret?: string;
}
