import { DayOfWeek } from './dayOfWeek';
import { type TimeZoneBase } from './timeZoneBase';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter, type TimeOnly } from '@microsoft/kiota-abstractions';
export declare function createWorkingHoursFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkingHours;
export declare function deserializeIntoWorkingHours(workingHours?: WorkingHours | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkingHours(writer: SerializationWriter, workingHours?: WorkingHours | undefined): void;
export interface WorkingHours extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The days of the week on which the user works.
     */
    daysOfWeek?: DayOfWeek[];
    /**
     * The time of the day that the user stops working.
     */
    endTime?: TimeOnly;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The time of the day that the user starts working.
     */
    startTime?: TimeOnly;
    /**
     * The time zone to which the working hours apply.
     */
    timeZone?: TimeZoneBase;
}
