import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { type X509CertificateAuthenticationModeConfiguration } from './x509CertificateAuthenticationModeConfiguration';
import { type X509CertificateUserBinding } from './x509CertificateUserBinding';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createX509CertificateAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoX509CertificateAuthenticationMethodConfiguration;
export declare function deserializeIntoX509CertificateAuthenticationMethodConfiguration(x509CertificateAuthenticationMethodConfiguration?: X509CertificateAuthenticationMethodConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeX509CertificateAuthenticationMethodConfiguration(writer: SerializationWriter, x509CertificateAuthenticationMethodConfiguration?: X509CertificateAuthenticationMethodConfiguration | undefined): void;
export interface X509CertificateAuthenticationMethodConfiguration extends AuthenticationMethodConfiguration, Parsable {
    /**
     * Defines strong authentication configurations. This configuration includes the default authentication mode and the different rules for strong authentication bindings.
     */
    authenticationModeConfiguration?: X509CertificateAuthenticationModeConfiguration;
    /**
     * Defines fields in the X.509 certificate that map to attributes of the Microsoft Entra user object in order to bind the certificate to the user. The priority of the object determines the order in which the binding is carried out. The first binding that matches will be used and the rest ignored.
     */
    certificateUserBindings?: X509CertificateUserBinding[];
    /**
     * A collection of groups that are enabled to use the authentication method.
     */
    includeTargets?: AuthenticationMethodTarget[];
}
