import { X509CertificateAuthenticationMode } from './x509CertificateAuthenticationMode';
import { type X509CertificateRule } from './x509CertificateRule';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createX509CertificateAuthenticationModeConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoX509CertificateAuthenticationModeConfiguration;
export declare function deserializeIntoX509CertificateAuthenticationModeConfiguration(x509CertificateAuthenticationModeConfiguration?: X509CertificateAuthenticationModeConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeX509CertificateAuthenticationModeConfiguration(writer: SerializationWriter, x509CertificateAuthenticationModeConfiguration?: X509CertificateAuthenticationModeConfiguration | undefined): void;
export interface X509CertificateAuthenticationModeConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Rules are configured in addition to the authentication mode to bind a specific x509CertificateRuleType to an x509CertificateAuthenticationMode. For example, bind the policyOID with identifier 1.32.132.343 to x509CertificateMultiFactor authentication mode.
     */
    rules?: X509CertificateRule[];
    /**
     * The type of strong authentication mode. The possible values are: x509CertificateSingleFactor, x509CertificateMultiFactor, unknownFutureValue.
     */
    x509CertificateAuthenticationDefaultMode?: X509CertificateAuthenticationMode;
}
