import { X509CertificateAuthenticationMode } from './x509CertificateAuthenticationMode';
import { X509CertificateRuleType } from './x509CertificateRuleType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createX509CertificateRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoX509CertificateRule;
export declare function deserializeIntoX509CertificateRule(x509CertificateRule?: X509CertificateRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeX509CertificateRule(writer: SerializationWriter, x509CertificateRule?: X509CertificateRule | undefined): void;
export interface X509CertificateRule extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The identifier of the X.509 certificate. Required.
     */
    identifier?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of strong authentication mode. The possible values are: x509CertificateSingleFactor, x509CertificateMultiFactor, unknownFutureValue. Required.
     */
    x509CertificateAuthenticationMode?: X509CertificateAuthenticationMode;
    /**
     * The type of the X.509 certificate mode configuration rule. The possible values are: issuerSubject, policyOID, unknownFutureValue. Required.
     */
    x509CertificateRuleType?: X509CertificateRuleType;
}
