import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createX509CertificateUserBindingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoX509CertificateUserBinding;
export declare function deserializeIntoX509CertificateUserBinding(x509CertificateUserBinding?: X509CertificateUserBinding | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeX509CertificateUserBinding(writer: SerializationWriter, x509CertificateUserBinding?: X509CertificateUserBinding | undefined): void;
export interface X509CertificateUserBinding extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The priority of the binding. Microsoft Entra ID uses the binding with the highest priority. This value must be a non-negative integer and unique in the collection of objects in the certificateUserBindings property of an x509CertificateAuthenticationMethodConfiguration object. Required
     */
    priority?: number;
    /**
     * Defines the Microsoft Entra user property of the user object to use for the binding. The possible values are: userPrincipalName, onPremisesUserPrincipalName, certificateUserIds. Required.
     */
    userProperty?: string;
    /**
     * The field on the X.509 certificate to use for the binding. The possible values are: PrincipalName, RFC822Name, SubjectKeyIdentifier, SHA1PublicKey.
     */
    x509CertificateField?: string;
}
