import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMemberObjectsPostRequestBody;
export declare function createGetMemberObjectsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMemberObjectsPostResponse;
export declare function deserializeIntoGetMemberObjectsPostRequestBody(getMemberObjectsPostRequestBody?: GetMemberObjectsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetMemberObjectsPostResponse(getMemberObjectsPostResponse?: GetMemberObjectsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMemberObjectsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The securityEnabledOnly property
     */
    securityEnabledOnly?: boolean;
}
export interface GetMemberObjectsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: string[];
}
export declare function serializeGetMemberObjectsPostRequestBody(writer: SerializationWriter, getMemberObjectsPostRequestBody?: GetMemberObjectsPostRequestBody | undefined): void;
export declare function serializeGetMemberObjectsPostResponse(writer: SerializationWriter, getMemberObjectsPostResponse?: GetMemberObjectsPostResponse | undefined): void;
/**
 * Provides operations to call the getMemberObjects method.
 */
export declare class GetMemberObjectsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetMemberObjectsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Return all IDs for the groups, administrative units, and directory roles that a user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. Note: Only users and role-enabled groups can be members of directory roles.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetMemberObjectsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getmemberobjects?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetMemberObjectsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetMemberObjectsPostResponse | undefined>;
    /**
     * Return all IDs for the groups, administrative units, and directory roles that a user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. Note: Only users and role-enabled groups can be members of directory roles.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetMemberObjectsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getMemberObjectsRequestBuilder
     */
    withUrl(rawUrl: string): GetMemberObjectsRequestBuilder;
}
