"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMemberObjectsRequestBuilder = exports.serializeGetMemberObjectsPostResponse = exports.serializeGetMemberObjectsPostRequestBody = exports.deserializeIntoGetMemberObjectsPostResponse = exports.deserializeIntoGetMemberObjectsPostRequestBody = exports.createGetMemberObjectsPostResponseFromDiscriminatorValue = exports.createGetMemberObjectsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetMemberObjectsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMemberObjectsPostRequestBody;
}
exports.createGetMemberObjectsPostRequestBodyFromDiscriminatorValue = createGetMemberObjectsPostRequestBodyFromDiscriminatorValue;
function createGetMemberObjectsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMemberObjectsPostResponse;
}
exports.createGetMemberObjectsPostResponseFromDiscriminatorValue = createGetMemberObjectsPostResponseFromDiscriminatorValue;
function deserializeIntoGetMemberObjectsPostRequestBody(getMemberObjectsPostRequestBody = {}) {
    return {
        "securityEnabledOnly": n => { getMemberObjectsPostRequestBody.securityEnabledOnly = n.getBooleanValue(); },
    };
}
exports.deserializeIntoGetMemberObjectsPostRequestBody = deserializeIntoGetMemberObjectsPostRequestBody;
function deserializeIntoGetMemberObjectsPostResponse(getMemberObjectsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getMemberObjectsPostResponse)), { "value": n => { getMemberObjectsPostResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoGetMemberObjectsPostResponse = deserializeIntoGetMemberObjectsPostResponse;
function serializeGetMemberObjectsPostRequestBody(writer, getMemberObjectsPostRequestBody = {}) {
    writer.writeBooleanValue("securityEnabledOnly", getMemberObjectsPostRequestBody.securityEnabledOnly);
    writer.writeAdditionalData(getMemberObjectsPostRequestBody.additionalData);
}
exports.serializeGetMemberObjectsPostRequestBody = serializeGetMemberObjectsPostRequestBody;
function serializeGetMemberObjectsPostResponse(writer, getMemberObjectsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getMemberObjectsPostResponse);
    writer.writeCollectionOfPrimitiveValues("value", getMemberObjectsPostResponse.value);
}
exports.serializeGetMemberObjectsPostResponse = serializeGetMemberObjectsPostResponse;
/**
 * Provides operations to call the getMemberObjects method.
 */
class GetMemberObjectsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetMemberObjectsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/organization/{organization%2Did}/getMemberObjects");
    }
    ;
    /**
     * Return all IDs for the groups, administrative units, and directory roles that a user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. Note: Only users and role-enabled groups can be members of directory roles.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetMemberObjectsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getmemberobjects?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetMemberObjectsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Return all IDs for the groups, administrative units, and directory roles that a user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. Note: Only users and role-enabled groups can be members of directory roles.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetMemberObjectsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getMemberObjectsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetMemberObjectsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetMemberObjectsRequestBuilder = GetMemberObjectsRequestBuilder;
// tslint:enable
// eslint-enable
