import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetMobileDeviceManagementAuthorityPostResponse;
export declare function deserializeIntoSetMobileDeviceManagementAuthorityPostResponse(setMobileDeviceManagementAuthorityPostResponse?: SetMobileDeviceManagementAuthorityPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetMobileDeviceManagementAuthorityPostResponse(writer: SerializationWriter, setMobileDeviceManagementAuthorityPostResponse?: SetMobileDeviceManagementAuthorityPostResponse | undefined): void;
export interface SetMobileDeviceManagementAuthorityPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: number;
}
/**
 * Provides operations to call the setMobileDeviceManagementAuthority method.
 */
export declare class SetMobileDeviceManagementAuthorityRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetMobileDeviceManagementAuthorityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Set mobile device management authority
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SetMobileDeviceManagementAuthorityPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-organization-setmobiledevicemanagementauthority?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<SetMobileDeviceManagementAuthorityPostResponse | undefined>;
    /**
     * Set mobile device management authority
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setMobileDeviceManagementAuthorityRequestBuilder
     */
    withUrl(rawUrl: string): SetMobileDeviceManagementAuthorityRequestBuilder;
}
