"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetMobileDeviceManagementAuthorityRequestBuilder = exports.serializeSetMobileDeviceManagementAuthorityPostResponse = exports.deserializeIntoSetMobileDeviceManagementAuthorityPostResponse = exports.createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetMobileDeviceManagementAuthorityPostResponse;
}
exports.createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue = createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue;
function deserializeIntoSetMobileDeviceManagementAuthorityPostResponse(setMobileDeviceManagementAuthorityPostResponse = {}) {
    return {
        "value": n => { setMobileDeviceManagementAuthorityPostResponse.value = n.getNumberValue(); },
    };
}
exports.deserializeIntoSetMobileDeviceManagementAuthorityPostResponse = deserializeIntoSetMobileDeviceManagementAuthorityPostResponse;
function serializeSetMobileDeviceManagementAuthorityPostResponse(writer, setMobileDeviceManagementAuthorityPostResponse = {}) {
    writer.writeNumberValue("value", setMobileDeviceManagementAuthorityPostResponse.value);
    writer.writeAdditionalData(setMobileDeviceManagementAuthorityPostResponse.additionalData);
}
exports.serializeSetMobileDeviceManagementAuthorityPostResponse = serializeSetMobileDeviceManagementAuthorityPostResponse;
/**
 * Provides operations to call the setMobileDeviceManagementAuthority method.
 */
class SetMobileDeviceManagementAuthorityRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetMobileDeviceManagementAuthorityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/organization/{organization%2Did}/setMobileDeviceManagementAuthority");
    }
    ;
    /**
     * Set mobile device management authority
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SetMobileDeviceManagementAuthorityPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-organization-setmobiledevicemanagementauthority?view=graph-rest-1.0|Find more info here}
     */
    post(requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSetMobileDeviceManagementAuthorityPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Set mobile device management authority
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setMobileDeviceManagementAuthorityRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetMobileDeviceManagementAuthorityRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetMobileDeviceManagementAuthorityRequestBuilder = SetMobileDeviceManagementAuthorityRequestBuilder;
// tslint:enable
// eslint-enable
