"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMemberGroupsRequestBuilder = exports.serializeGetMemberGroupsPostResponse = exports.serializeGetMemberGroupsPostRequestBody = exports.deserializeIntoGetMemberGroupsPostResponse = exports.deserializeIntoGetMemberGroupsPostRequestBody = exports.createGetMemberGroupsPostResponseFromDiscriminatorValue = exports.createGetMemberGroupsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetMemberGroupsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMemberGroupsPostRequestBody;
}
exports.createGetMemberGroupsPostRequestBodyFromDiscriminatorValue = createGetMemberGroupsPostRequestBodyFromDiscriminatorValue;
function createGetMemberGroupsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMemberGroupsPostResponse;
}
exports.createGetMemberGroupsPostResponseFromDiscriminatorValue = createGetMemberGroupsPostResponseFromDiscriminatorValue;
function deserializeIntoGetMemberGroupsPostRequestBody(getMemberGroupsPostRequestBody = {}) {
    return {
        "securityEnabledOnly": n => { getMemberGroupsPostRequestBody.securityEnabledOnly = n.getBooleanValue(); },
    };
}
exports.deserializeIntoGetMemberGroupsPostRequestBody = deserializeIntoGetMemberGroupsPostRequestBody;
function deserializeIntoGetMemberGroupsPostResponse(getMemberGroupsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getMemberGroupsPostResponse)), { "value": n => { getMemberGroupsPostResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoGetMemberGroupsPostResponse = deserializeIntoGetMemberGroupsPostResponse;
function serializeGetMemberGroupsPostRequestBody(writer, getMemberGroupsPostRequestBody = {}) {
    writer.writeBooleanValue("securityEnabledOnly", getMemberGroupsPostRequestBody.securityEnabledOnly);
    writer.writeAdditionalData(getMemberGroupsPostRequestBody.additionalData);
}
exports.serializeGetMemberGroupsPostRequestBody = serializeGetMemberGroupsPostRequestBody;
function serializeGetMemberGroupsPostResponse(writer, getMemberGroupsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getMemberGroupsPostResponse);
    writer.writeCollectionOfPrimitiveValues("value", getMemberGroupsPostResponse.value);
}
exports.serializeGetMemberGroupsPostResponse = serializeGetMemberGroupsPostResponse;
/**
 * Provides operations to call the getMemberGroups method.
 */
class GetMemberGroupsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetMemberGroupsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/permissionGrants/{resourceSpecificPermissionGrant%2Did}/getMemberGroups");
    }
    ;
    /**
     * Return all the group IDs for the groups that the specified user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. This API returns up to 11,000 group IDs. If more than 11,000 results are available, it returns a 400 Bad Request error with the Directory_ResultSizeLimitExceeded error code. As a workaround, use the List group transitive memberOf API.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetMemberGroupsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/directoryobject-getmembergroups?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetMemberGroupsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Return all the group IDs for the groups that the specified user, group, service principal, organizational contact, device, or directory object is a member of. This function is transitive. This API returns up to 11,000 group IDs. If more than 11,000 results are available, it returns a 400 Bad Request error with the Directory_ResultSizeLimitExceeded error code. As a workaround, use the List group transitive memberOf API.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetMemberGroupsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getMemberGroupsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetMemberGroupsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetMemberGroupsRequestBuilder = GetMemberGroupsRequestBuilder;
// tslint:enable
// eslint-enable
