import { CountRequestBuilder } from './count/';
import { GraphRoomRequestBuilder } from './graphRoom/';
import { GraphRoomListRequestBuilder } from './graphRoomList/';
import { PlaceItemRequestBuilder } from './item/';
import { BaseRequestBuilder, type RequestAdapter } from '@microsoft/kiota-abstractions';
/**
 * Builds and executes requests for operations under /places
 */
export declare class PlacesRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Casts the previous resource to room.
     */
    get graphRoom(): GraphRoomRequestBuilder;
    /**
     * Casts the previous resource to roomList.
     */
    get graphRoomList(): GraphRoomListRequestBuilder;
    /**
     * Provides operations to manage the collection of place entities.
     * @param placeId The unique identifier of place
     * @returns a PlaceItemRequestBuilder
     */
    byPlaceId(placeId: string): PlaceItemRequestBuilder;
    /**
     * Instantiates a new PlacesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
}
