"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlacesRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const count_1 = require("./count/");
const graphRoom_1 = require("./graphRoom/");
const graphRoomList_1 = require("./graphRoomList/");
const item_1 = require("./item/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Builds and executes requests for operations under /places
 */
class PlacesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count() {
        return new count_1.CountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to room.
     */
    get graphRoom() {
        return new graphRoom_1.GraphRoomRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Casts the previous resource to roomList.
     */
    get graphRoomList() {
        return new graphRoomList_1.GraphRoomListRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the collection of place entities.
     * @param placeId The unique identifier of place
     * @returns a PlaceItemRequestBuilder
     */
    byPlaceId(placeId) {
        if (!placeId)
            throw new Error("placeId cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["place%2Did"] = placeId;
        return new item_1.PlaceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Instantiates a new PlacesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/places");
    }
    ;
}
exports.PlacesRequestBuilder = PlacesRequestBuilder;
// tslint:enable
// eslint-enable
