"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateAllowedCombinationsRequestBuilder = exports.serializeUpdateAllowedCombinationsPostRequestBody = exports.deserializeIntoUpdateAllowedCombinationsPostRequestBody = exports.createUpdateAllowedCombinationsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodModes_1 = require("../../../../models/authenticationMethodModes");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const updateAllowedCombinationsResult_1 = require("../../../../models/updateAllowedCombinationsResult");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createUpdateAllowedCombinationsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUpdateAllowedCombinationsPostRequestBody;
}
exports.createUpdateAllowedCombinationsPostRequestBodyFromDiscriminatorValue = createUpdateAllowedCombinationsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoUpdateAllowedCombinationsPostRequestBody(updateAllowedCombinationsPostRequestBody = {}) {
    return {
        "allowedCombinations": n => { updateAllowedCombinationsPostRequestBody.allowedCombinations = n.getCollectionOfEnumValues(authenticationMethodModes_1.AuthenticationMethodModes); },
    };
}
exports.deserializeIntoUpdateAllowedCombinationsPostRequestBody = deserializeIntoUpdateAllowedCombinationsPostRequestBody;
function serializeUpdateAllowedCombinationsPostRequestBody(writer, updateAllowedCombinationsPostRequestBody = {}) {
    if (updateAllowedCombinationsPostRequestBody.allowedCombinations)
        writer.writeEnumValue("allowedCombinations", ...updateAllowedCombinationsPostRequestBody.allowedCombinations);
    writer.writeAdditionalData(updateAllowedCombinationsPostRequestBody.additionalData);
}
exports.serializeUpdateAllowedCombinationsPostRequestBody = serializeUpdateAllowedCombinationsPostRequestBody;
/**
 * Provides operations to call the updateAllowedCombinations method.
 */
class UpdateAllowedCombinationsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UpdateAllowedCombinationsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/policies/authenticationStrengthPolicies/{authenticationStrengthPolicy%2Did}/updateAllowedCombinations");
    }
    ;
    /**
     * Update the allowedCombinations property of an authenticationStrengthPolicy object. To update other properties of an authenticationStrengthPolicy object, use the Update authenticationStrengthPolicy method.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UpdateAllowedCombinationsResult
     * @see {@link https://learn.microsoft.com/graph/api/authenticationstrengthpolicy-updateallowedcombinations?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, updateAllowedCombinationsResult_1.createUpdateAllowedCombinationsResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the allowedCombinations property of an authenticationStrengthPolicy object. To update other properties of an authenticationStrengthPolicy object, use the Update authenticationStrengthPolicy method.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeUpdateAllowedCombinationsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a updateAllowedCombinationsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UpdateAllowedCombinationsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UpdateAllowedCombinationsRequestBuilder = UpdateAllowedCombinationsRequestBuilder;
// tslint:enable
// eslint-enable
