"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PoliciesRequestBuilder = void 0;
const oDataError_1 = require("../models/oDataErrors/oDataError");
const policyRoot_1 = require("../models/policyRoot");
const activityBasedTimeoutPolicies_1 = require("./activityBasedTimeoutPolicies/");
const adminConsentRequestPolicy_1 = require("./adminConsentRequestPolicy/");
const appManagementPolicies_1 = require("./appManagementPolicies/");
const authenticationFlowsPolicy_1 = require("./authenticationFlowsPolicy/");
const authenticationMethodsPolicy_1 = require("./authenticationMethodsPolicy/");
const authenticationStrengthPolicies_1 = require("./authenticationStrengthPolicies/");
const authorizationPolicy_1 = require("./authorizationPolicy/");
const claimsMappingPolicies_1 = require("./claimsMappingPolicies/");
const conditionalAccessPolicies_1 = require("./conditionalAccessPolicies/");
const crossTenantAccessPolicy_1 = require("./crossTenantAccessPolicy/");
const defaultAppManagementPolicy_1 = require("./defaultAppManagementPolicy/");
const featureRolloutPolicies_1 = require("./featureRolloutPolicies/");
const homeRealmDiscoveryPolicies_1 = require("./homeRealmDiscoveryPolicies/");
const identitySecurityDefaultsEnforcementPolicy_1 = require("./identitySecurityDefaultsEnforcementPolicy/");
const permissionGrantPolicies_1 = require("./permissionGrantPolicies/");
const roleManagementPolicies_1 = require("./roleManagementPolicies/");
const roleManagementPolicyAssignments_1 = require("./roleManagementPolicyAssignments/");
const tokenIssuancePolicies_1 = require("./tokenIssuancePolicies/");
const tokenLifetimePolicies_1 = require("./tokenLifetimePolicies/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the policyRoot singleton.
 */
class PoliciesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the activityBasedTimeoutPolicies property of the microsoft.graph.policyRoot entity.
     */
    get activityBasedTimeoutPolicies() {
        return new activityBasedTimeoutPolicies_1.ActivityBasedTimeoutPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the adminConsentRequestPolicy property of the microsoft.graph.policyRoot entity.
     */
    get adminConsentRequestPolicy() {
        return new adminConsentRequestPolicy_1.AdminConsentRequestPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appManagementPolicies property of the microsoft.graph.policyRoot entity.
     */
    get appManagementPolicies() {
        return new appManagementPolicies_1.AppManagementPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authenticationFlowsPolicy property of the microsoft.graph.policyRoot entity.
     */
    get authenticationFlowsPolicy() {
        return new authenticationFlowsPolicy_1.AuthenticationFlowsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authenticationMethodsPolicy property of the microsoft.graph.policyRoot entity.
     */
    get authenticationMethodsPolicy() {
        return new authenticationMethodsPolicy_1.AuthenticationMethodsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authenticationStrengthPolicies property of the microsoft.graph.policyRoot entity.
     */
    get authenticationStrengthPolicies() {
        return new authenticationStrengthPolicies_1.AuthenticationStrengthPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authorizationPolicy property of the microsoft.graph.policyRoot entity.
     */
    get authorizationPolicy() {
        return new authorizationPolicy_1.AuthorizationPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the claimsMappingPolicies property of the microsoft.graph.policyRoot entity.
     */
    get claimsMappingPolicies() {
        return new claimsMappingPolicies_1.ClaimsMappingPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the conditionalAccessPolicies property of the microsoft.graph.policyRoot entity.
     */
    get conditionalAccessPolicies() {
        return new conditionalAccessPolicies_1.ConditionalAccessPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the crossTenantAccessPolicy property of the microsoft.graph.policyRoot entity.
     */
    get crossTenantAccessPolicy() {
        return new crossTenantAccessPolicy_1.CrossTenantAccessPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the defaultAppManagementPolicy property of the microsoft.graph.policyRoot entity.
     */
    get defaultAppManagementPolicy() {
        return new defaultAppManagementPolicy_1.DefaultAppManagementPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the featureRolloutPolicies property of the microsoft.graph.policyRoot entity.
     */
    get featureRolloutPolicies() {
        return new featureRolloutPolicies_1.FeatureRolloutPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the homeRealmDiscoveryPolicies property of the microsoft.graph.policyRoot entity.
     */
    get homeRealmDiscoveryPolicies() {
        return new homeRealmDiscoveryPolicies_1.HomeRealmDiscoveryPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the identitySecurityDefaultsEnforcementPolicy property of the microsoft.graph.policyRoot entity.
     */
    get identitySecurityDefaultsEnforcementPolicy() {
        return new identitySecurityDefaultsEnforcementPolicy_1.IdentitySecurityDefaultsEnforcementPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the permissionGrantPolicies property of the microsoft.graph.policyRoot entity.
     */
    get permissionGrantPolicies() {
        return new permissionGrantPolicies_1.PermissionGrantPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the roleManagementPolicies property of the microsoft.graph.policyRoot entity.
     */
    get roleManagementPolicies() {
        return new roleManagementPolicies_1.RoleManagementPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the roleManagementPolicyAssignments property of the microsoft.graph.policyRoot entity.
     */
    get roleManagementPolicyAssignments() {
        return new roleManagementPolicyAssignments_1.RoleManagementPolicyAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the tokenIssuancePolicies property of the microsoft.graph.policyRoot entity.
     */
    get tokenIssuancePolicies() {
        return new tokenIssuancePolicies_1.TokenIssuancePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the tokenLifetimePolicies property of the microsoft.graph.policyRoot entity.
     */
    get tokenLifetimePolicies() {
        return new tokenLifetimePolicies_1.TokenLifetimePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new PoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/policies{?%24select,%24expand}");
    }
    ;
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PolicyRoot
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, policyRoot_1.createPolicyRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update policies
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PolicyRoot
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, policyRoot_1.createPolicyRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, policiesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update policies
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, policyRoot_1.serializePolicyRoot);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a policiesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new PoliciesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.PoliciesRequestBuilder = PoliciesRequestBuilder;
const policiesRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
