"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationMethodsRequestBuilder = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const authenticationMethodsRoot_1 = require("../../models/authenticationMethodsRoot");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const userRegistrationDetails_1 = require("./userRegistrationDetails/");
const usersRegisteredByFeature_1 = require("./usersRegisteredByFeature/");
const usersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRoles_1 = require("./usersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRoles/");
const usersRegisteredByMethod_1 = require("./usersRegisteredByMethod/");
const usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRoles_1 = require("./usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRoles/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the authenticationMethods property of the microsoft.graph.reportRoot entity.
 */
class AuthenticationMethodsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the userRegistrationDetails property of the microsoft.graph.authenticationMethodsRoot entity.
     */
    get userRegistrationDetails() {
        return new userRegistrationDetails_1.UserRegistrationDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the usersRegisteredByFeature method.
     */
    get usersRegisteredByFeature() {
        return new usersRegisteredByFeature_1.UsersRegisteredByFeatureRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the usersRegisteredByMethod method.
     */
    get usersRegisteredByMethod() {
        return new usersRegisteredByMethod_1.UsersRegisteredByMethodRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new AuthenticationMethodsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/reports/authenticationMethods{?%24select,%24expand}");
    }
    ;
    /**
     * Delete navigation property authenticationMethods for reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Container for navigation properties for Microsoft Entra authentication methods resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthenticationMethodsRoot
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, authenticationMethodsRoot_1.createAuthenticationMethodsRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the navigation property authenticationMethods in reports
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthenticationMethodsRoot
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, authenticationMethodsRoot_1.createAuthenticationMethodsRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete navigation property authenticationMethods for reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Container for navigation properties for Microsoft Entra authentication methods resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, authenticationMethodsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property authenticationMethods in reports
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, authenticationMethodsRoot_1.serializeAuthenticationMethodsRoot);
        return requestInfo;
    }
    ;
    /**
     * Provides operations to call the usersRegisteredByFeature method.
     * @param includedUserRoles Usage: includedUserRoles='{includedUserRoles}'
     * @param includedUserTypes Usage: includedUserTypes='{includedUserTypes}'
     * @returns a usersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRolesRequestBuilder
     */
    usersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRoles(includedUserRoles, includedUserTypes) {
        if (!includedUserRoles)
            throw new Error("includedUserRoles cannot be undefined");
        if (!includedUserTypes)
            throw new Error("includedUserTypes cannot be undefined");
        return new usersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRoles_1.UsersRegisteredByFeatureWithIncludedUserTypesWithIncludedUserRolesRequestBuilder(this.pathParameters, this.requestAdapter, includedUserRoles, includedUserTypes);
    }
    ;
    /**
     * Provides operations to call the usersRegisteredByMethod method.
     * @param includedUserRoles Usage: includedUserRoles='{includedUserRoles}'
     * @param includedUserTypes Usage: includedUserTypes='{includedUserTypes}'
     * @returns a usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder
     */
    usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRoles(includedUserRoles, includedUserTypes) {
        if (!includedUserRoles)
            throw new Error("includedUserRoles cannot be undefined");
        if (!includedUserTypes)
            throw new Error("includedUserTypes cannot be undefined");
        return new usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRoles_1.UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder(this.pathParameters, this.requestAdapter, includedUserRoles, includedUserTypes);
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a authenticationMethodsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AuthenticationMethodsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AuthenticationMethodsRequestBuilder = AuthenticationMethodsRequestBuilder;
const authenticationMethodsRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
