import { type UserRegistrationMethodSummary } from '../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
/**
 * Provides operations to call the usersRegisteredByMethod method.
 */
export declare class UsersRegisteredByMethodRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UsersRegisteredByMethodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function usersRegisteredByMethod
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserRegistrationMethodSummary
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<UserRegistrationMethodSummary | undefined>;
    /**
     * Invoke function usersRegisteredByMethod
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a usersRegisteredByMethodRequestBuilder
     */
    withUrl(rawUrl: string): UsersRegisteredByMethodRequestBuilder;
}
