"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const userRegistrationMethodSummary_1 = require("../../../models/userRegistrationMethodSummary");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to call the usersRegisteredByMethod method.
 */
class UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder and sets the default values.
     * @param includedUserRoles Usage: includedUserRoles='{includedUserRoles}'
     * @param includedUserTypes Usage: includedUserTypes='{includedUserTypes}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, includedUserRoles, includedUserTypes) {
        super(pathParameters, requestAdapter, "{+baseurl}/reports/authenticationMethods/usersRegisteredByMethod(includedUserTypes='{includedUserTypes}',includedUserRoles='{includedUserRoles}')");
        this.pathParameters["includedUserRoles"] = includedUserRoles;
        this.pathParameters["includedUserTypes"] = includedUserTypes;
    }
    ;
    /**
     * Invoke function usersRegisteredByMethod
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UserRegistrationMethodSummary
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, userRegistrationMethodSummary_1.createUserRegistrationMethodSummaryFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function usersRegisteredByMethod
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a usersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder = UsersRegisteredByMethodWithIncludedUserTypesWithIncludedUserRolesRequestBuilder;
// tslint:enable
// eslint-enable
