import { type ReportRoot } from '../models/reportRoot';
import { AuthenticationMethodsRequestBuilder } from './authenticationMethods/';
import { DailyPrintUsageByPrinterRequestBuilder } from './dailyPrintUsageByPrinter/';
import { DailyPrintUsageByUserRequestBuilder } from './dailyPrintUsageByUser/';
import { DeviceConfigurationDeviceActivityRequestBuilder } from './deviceConfigurationDeviceActivity/';
import { DeviceConfigurationUserActivityRequestBuilder } from './deviceConfigurationUserActivity/';
import { GetEmailActivityCountsWithPeriodRequestBuilder } from './getEmailActivityCountsWithPeriod/';
import { GetEmailActivityUserCountsWithPeriodRequestBuilder } from './getEmailActivityUserCountsWithPeriod/';
import { GetEmailActivityUserDetailWithDateRequestBuilder } from './getEmailActivityUserDetailWithDate/';
import { GetEmailActivityUserDetailWithPeriodRequestBuilder } from './getEmailActivityUserDetailWithPeriod/';
import { GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageAppsUserCountsWithPeriod/';
import { GetEmailAppUsageUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageUserCountsWithPeriod/';
import { GetEmailAppUsageUserDetailWithDateRequestBuilder } from './getEmailAppUsageUserDetailWithDate/';
import { GetEmailAppUsageUserDetailWithPeriodRequestBuilder } from './getEmailAppUsageUserDetailWithPeriod/';
import { GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder } from './getEmailAppUsageVersionsUserCountsWithPeriod/';
import { GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime/';
import { GetM365AppPlatformUserCountsWithPeriodRequestBuilder } from './getM365AppPlatformUserCountsWithPeriod/';
import { GetM365AppUserCountsWithPeriodRequestBuilder } from './getM365AppUserCountsWithPeriod/';
import { GetM365AppUserDetailWithDateRequestBuilder } from './getM365AppUserDetailWithDate/';
import { GetM365AppUserDetailWithPeriodRequestBuilder } from './getM365AppUserDetailWithPeriod/';
import { GetMailboxUsageDetailWithPeriodRequestBuilder } from './getMailboxUsageDetailWithPeriod/';
import { GetMailboxUsageMailboxCountsWithPeriodRequestBuilder } from './getMailboxUsageMailboxCountsWithPeriod/';
import { GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder } from './getMailboxUsageQuotaStatusMailboxCountsWithPeriod/';
import { GetMailboxUsageStorageWithPeriodRequestBuilder } from './getMailboxUsageStorageWithPeriod/';
import { GetOffice365ActivationCountsRequestBuilder } from './getOffice365ActivationCounts/';
import { GetOffice365ActivationsUserCountsRequestBuilder } from './getOffice365ActivationsUserCounts/';
import { GetOffice365ActivationsUserDetailRequestBuilder } from './getOffice365ActivationsUserDetail/';
import { GetOffice365ActiveUserCountsWithPeriodRequestBuilder } from './getOffice365ActiveUserCountsWithPeriod/';
import { GetOffice365ActiveUserDetailWithDateRequestBuilder } from './getOffice365ActiveUserDetailWithDate/';
import { GetOffice365ActiveUserDetailWithPeriodRequestBuilder } from './getOffice365ActiveUserDetailWithPeriod/';
import { GetOffice365GroupsActivityCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityCountsWithPeriod/';
import { GetOffice365GroupsActivityDetailWithDateRequestBuilder } from './getOffice365GroupsActivityDetailWithDate/';
import { GetOffice365GroupsActivityDetailWithPeriodRequestBuilder } from './getOffice365GroupsActivityDetailWithPeriod/';
import { GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityFileCountsWithPeriod/';
import { GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder } from './getOffice365GroupsActivityGroupCountsWithPeriod/';
import { GetOffice365GroupsActivityStorageWithPeriodRequestBuilder } from './getOffice365GroupsActivityStorageWithPeriod/';
import { GetOffice365ServicesUserCountsWithPeriodRequestBuilder } from './getOffice365ServicesUserCountsWithPeriod/';
import { GetOneDriveActivityFileCountsWithPeriodRequestBuilder } from './getOneDriveActivityFileCountsWithPeriod/';
import { GetOneDriveActivityUserCountsWithPeriodRequestBuilder } from './getOneDriveActivityUserCountsWithPeriod/';
import { GetOneDriveActivityUserDetailWithDateRequestBuilder } from './getOneDriveActivityUserDetailWithDate/';
import { GetOneDriveActivityUserDetailWithPeriodRequestBuilder } from './getOneDriveActivityUserDetailWithPeriod/';
import { GetOneDriveUsageAccountCountsWithPeriodRequestBuilder } from './getOneDriveUsageAccountCountsWithPeriod/';
import { GetOneDriveUsageAccountDetailWithDateRequestBuilder } from './getOneDriveUsageAccountDetailWithDate/';
import { GetOneDriveUsageAccountDetailWithPeriodRequestBuilder } from './getOneDriveUsageAccountDetailWithPeriod/';
import { GetOneDriveUsageFileCountsWithPeriodRequestBuilder } from './getOneDriveUsageFileCountsWithPeriod/';
import { GetOneDriveUsageStorageWithPeriodRequestBuilder } from './getOneDriveUsageStorageWithPeriod/';
import { GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime/';
import { GetSharePointActivityFileCountsWithPeriodRequestBuilder } from './getSharePointActivityFileCountsWithPeriod/';
import { GetSharePointActivityPagesWithPeriodRequestBuilder } from './getSharePointActivityPagesWithPeriod/';
import { GetSharePointActivityUserCountsWithPeriodRequestBuilder } from './getSharePointActivityUserCountsWithPeriod/';
import { GetSharePointActivityUserDetailWithDateRequestBuilder } from './getSharePointActivityUserDetailWithDate/';
import { GetSharePointActivityUserDetailWithPeriodRequestBuilder } from './getSharePointActivityUserDetailWithPeriod/';
import { GetSharePointSiteUsageDetailWithDateRequestBuilder } from './getSharePointSiteUsageDetailWithDate/';
import { GetSharePointSiteUsageDetailWithPeriodRequestBuilder } from './getSharePointSiteUsageDetailWithPeriod/';
import { GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder } from './getSharePointSiteUsageFileCountsWithPeriod/';
import { GetSharePointSiteUsagePagesWithPeriodRequestBuilder } from './getSharePointSiteUsagePagesWithPeriod/';
import { GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder } from './getSharePointSiteUsageSiteCountsWithPeriod/';
import { GetSharePointSiteUsageStorageWithPeriodRequestBuilder } from './getSharePointSiteUsageStorageWithPeriod/';
import { GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessActivityCountsWithPeriod/';
import { GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessActivityUserCountsWithPeriod/';
import { GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder } from './getSkypeForBusinessActivityUserDetailWithDate/';
import { GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder } from './getSkypeForBusinessActivityUserDetailWithPeriod/';
import { GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod/';
import { GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageUserCountsWithPeriod/';
import { GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder } from './getSkypeForBusinessDeviceUsageUserDetailWithDate/';
import { GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder } from './getSkypeForBusinessDeviceUsageUserDetailWithPeriod/';
import { GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityCountsWithPeriod/';
import { GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod/';
import { GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessOrganizerActivityUserCountsWithPeriod/';
import { GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityCountsWithPeriod/';
import { GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod/';
import { GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessParticipantActivityUserCountsWithPeriod/';
import { GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityCountsWithPeriod/';
import { GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod/';
import { GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder } from './getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod/';
import { GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getTeamsDeviceUsageDistributionUserCountsWithPeriod/';
import { GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder } from './getTeamsDeviceUsageUserCountsWithPeriod/';
import { GetTeamsDeviceUsageUserDetailWithDateRequestBuilder } from './getTeamsDeviceUsageUserDetailWithDate/';
import { GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder } from './getTeamsDeviceUsageUserDetailWithPeriod/';
import { GetTeamsTeamActivityCountsWithPeriodRequestBuilder } from './getTeamsTeamActivityCountsWithPeriod/';
import { GetTeamsTeamActivityDetailWithDateRequestBuilder } from './getTeamsTeamActivityDetailWithDate/';
import { GetTeamsTeamActivityDetailWithPeriodRequestBuilder } from './getTeamsTeamActivityDetailWithPeriod/';
import { GetTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder } from './getTeamsTeamActivityDistributionCountsWithPeriod/';
import { GetTeamsTeamCountsWithPeriodRequestBuilder } from './getTeamsTeamCountsWithPeriod/';
import { GetTeamsUserActivityCountsWithPeriodRequestBuilder } from './getTeamsUserActivityCountsWithPeriod/';
import { GetTeamsUserActivityUserCountsWithPeriodRequestBuilder } from './getTeamsUserActivityUserCountsWithPeriod/';
import { GetTeamsUserActivityUserDetailWithDateRequestBuilder } from './getTeamsUserActivityUserDetailWithDate/';
import { GetTeamsUserActivityUserDetailWithPeriodRequestBuilder } from './getTeamsUserActivityUserDetailWithPeriod/';
import { GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder } from './getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime/';
import { GetYammerActivityCountsWithPeriodRequestBuilder } from './getYammerActivityCountsWithPeriod/';
import { GetYammerActivityUserCountsWithPeriodRequestBuilder } from './getYammerActivityUserCountsWithPeriod/';
import { GetYammerActivityUserDetailWithDateRequestBuilder } from './getYammerActivityUserDetailWithDate/';
import { GetYammerActivityUserDetailWithPeriodRequestBuilder } from './getYammerActivityUserDetailWithPeriod/';
import { GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder } from './getYammerDeviceUsageDistributionUserCountsWithPeriod/';
import { GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder } from './getYammerDeviceUsageUserCountsWithPeriod/';
import { GetYammerDeviceUsageUserDetailWithDateRequestBuilder } from './getYammerDeviceUsageUserDetailWithDate/';
import { GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder } from './getYammerDeviceUsageUserDetailWithPeriod/';
import { GetYammerGroupsActivityCountsWithPeriodRequestBuilder } from './getYammerGroupsActivityCountsWithPeriod/';
import { GetYammerGroupsActivityDetailWithDateRequestBuilder } from './getYammerGroupsActivityDetailWithDate/';
import { GetYammerGroupsActivityDetailWithPeriodRequestBuilder } from './getYammerGroupsActivityDetailWithPeriod/';
import { GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder } from './getYammerGroupsActivityGroupCountsWithPeriod/';
import { ManagedDeviceEnrollmentFailureDetailsRequestBuilder } from './managedDeviceEnrollmentFailureDetails/';
import { ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder } from './managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken/';
import { ManagedDeviceEnrollmentTopFailuresRequestBuilder } from './managedDeviceEnrollmentTopFailures/';
import { ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder } from './managedDeviceEnrollmentTopFailuresWithPeriod/';
import { MonthlyPrintUsageByPrinterRequestBuilder } from './monthlyPrintUsageByPrinter/';
import { MonthlyPrintUsageByUserRequestBuilder } from './monthlyPrintUsageByUser/';
import { SecurityRequestBuilder } from './security/';
import { BaseRequestBuilder, RequestInformation, type DateOnly, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ReportsRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the reportRoot singleton.
 */
export declare class ReportsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the authenticationMethods property of the microsoft.graph.reportRoot entity.
     */
    get authenticationMethods(): AuthenticationMethodsRequestBuilder;
    /**
     * Provides operations to manage the dailyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByPrinter(): DailyPrintUsageByPrinterRequestBuilder;
    /**
     * Provides operations to manage the dailyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByUser(): DailyPrintUsageByUserRequestBuilder;
    /**
     * Provides operations to call the deviceConfigurationDeviceActivity method.
     */
    get deviceConfigurationDeviceActivity(): DeviceConfigurationDeviceActivityRequestBuilder;
    /**
     * Provides operations to call the deviceConfigurationUserActivity method.
     */
    get deviceConfigurationUserActivity(): DeviceConfigurationUserActivityRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationCounts method.
     */
    get getOffice365ActivationCounts(): GetOffice365ActivationCountsRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationsUserCounts method.
     */
    get getOffice365ActivationsUserCounts(): GetOffice365ActivationsUserCountsRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActivationsUserDetail method.
     */
    get getOffice365ActivationsUserDetail(): GetOffice365ActivationsUserDetailRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     */
    get managedDeviceEnrollmentFailureDetails(): ManagedDeviceEnrollmentFailureDetailsRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     */
    get managedDeviceEnrollmentTopFailures(): ManagedDeviceEnrollmentTopFailuresRequestBuilder;
    /**
     * Provides operations to manage the monthlyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByPrinter(): MonthlyPrintUsageByPrinterRequestBuilder;
    /**
     * Provides operations to manage the monthlyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByUser(): MonthlyPrintUsageByUserRequestBuilder;
    /**
     * Provides operations to manage the security property of the microsoft.graph.reportRoot entity.
     */
    get security(): SecurityRequestBuilder;
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<ReportsRequestBuilderGetQueryParameters> | undefined): Promise<ReportRoot | undefined>;
    /**
     * Provides operations to call the getEmailActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityCountsWithPeriodRequestBuilder
     */
    getEmailActivityCountsWithPeriod(period: string | undefined): GetEmailActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserCountsWithPeriodRequestBuilder
     */
    getEmailActivityUserCountsWithPeriod(period: string | undefined): GetEmailActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailActivityUserDetailWithDateRequestBuilder
     */
    getEmailActivityUserDetailWithDate(date: DateOnly | undefined): GetEmailActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserDetailWithPeriodRequestBuilder
     */
    getEmailActivityUserDetailWithPeriod(period: string | undefined): GetEmailActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageAppsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageAppsUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailAppUsageUserDetailWithDateRequestBuilder
     */
    getEmailAppUsageUserDetailWithDate(date: DateOnly | undefined): GetEmailAppUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserDetailWithPeriodRequestBuilder
     */
    getEmailAppUsageUserDetailWithPeriod(period: string | undefined): GetEmailAppUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getEmailAppUsageVersionsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageVersionsUserCountsWithPeriod(period: string | undefined): GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getGroupArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param groupId Usage: groupId='{groupId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, groupId: string | undefined, startDateTime: Date | undefined): GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getM365AppPlatformUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppPlatformUserCountsWithPeriodRequestBuilder
     */
    getM365AppPlatformUserCountsWithPeriod(period: string | undefined): GetM365AppPlatformUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getM365AppUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserCountsWithPeriodRequestBuilder
     */
    getM365AppUserCountsWithPeriod(period: string | undefined): GetM365AppUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param date Usage: date={date}
     * @returns a getM365AppUserDetailWithDateRequestBuilder
     */
    getM365AppUserDetailWithDate(date: DateOnly | undefined): GetM365AppUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserDetailWithPeriodRequestBuilder
     */
    getM365AppUserDetailWithPeriod(period: string | undefined): GetM365AppUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageDetailWithPeriodRequestBuilder
     */
    getMailboxUsageDetailWithPeriod(period: string | undefined): GetMailboxUsageDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageMailboxCountsWithPeriod(period: string | undefined): GetMailboxUsageMailboxCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageQuotaStatusMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageQuotaStatusMailboxCountsWithPeriod(period: string | undefined): GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getMailboxUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageStorageWithPeriodRequestBuilder
     */
    getMailboxUsageStorageWithPeriod(period: string | undefined): GetMailboxUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserCountsWithPeriodRequestBuilder
     */
    getOffice365ActiveUserCountsWithPeriod(period: string | undefined): GetOffice365ActiveUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365ActiveUserDetailWithDateRequestBuilder
     */
    getOffice365ActiveUserDetailWithDate(date: DateOnly | undefined): GetOffice365ActiveUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserDetailWithPeriodRequestBuilder
     */
    getOffice365ActiveUserDetailWithPeriod(period: string | undefined): GetOffice365ActiveUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365GroupsActivityDetailWithDateRequestBuilder
     */
    getOffice365GroupsActivityDetailWithDate(date: DateOnly | undefined): GetOffice365GroupsActivityDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityDetailWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityDetailWithPeriod(period: string | undefined): GetOffice365GroupsActivityDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityFileCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityGroupCountsWithPeriod(period: string | undefined): GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365GroupsActivityStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityStorageWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityStorageWithPeriod(period: string | undefined): GetOffice365GroupsActivityStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOffice365ServicesUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ServicesUserCountsWithPeriodRequestBuilder
     */
    getOffice365ServicesUserCountsWithPeriod(period: string | undefined): GetOffice365ServicesUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityFileCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityFileCountsWithPeriod(period: string | undefined): GetOneDriveActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityUserCountsWithPeriod(period: string | undefined): GetOneDriveActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveActivityUserDetailWithDateRequestBuilder
     */
    getOneDriveActivityUserDetailWithDate(date: DateOnly | undefined): GetOneDriveActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserDetailWithPeriodRequestBuilder
     */
    getOneDriveActivityUserDetailWithPeriod(period: string | undefined): GetOneDriveActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountCountsWithPeriod(period: string | undefined): GetOneDriveUsageAccountCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveUsageAccountDetailWithDateRequestBuilder
     */
    getOneDriveUsageAccountDetailWithDate(date: DateOnly | undefined): GetOneDriveUsageAccountDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountDetailWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountDetailWithPeriod(period: string | undefined): GetOneDriveUsageAccountDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageFileCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageFileCountsWithPeriod(period: string | undefined): GetOneDriveUsageFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getOneDriveUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageStorageWithPeriodRequestBuilder
     */
    getOneDriveUsageStorageWithPeriod(period: string | undefined): GetOneDriveUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getPrinterArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param printerId Usage: printerId='{printerId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, printerId: string | undefined, startDateTime: Date | undefined): GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityFileCountsWithPeriodRequestBuilder
     */
    getSharePointActivityFileCountsWithPeriod(period: string | undefined): GetSharePointActivityFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityPages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityPagesWithPeriodRequestBuilder
     */
    getSharePointActivityPagesWithPeriod(period: string | undefined): GetSharePointActivityPagesWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserCountsWithPeriodRequestBuilder
     */
    getSharePointActivityUserCountsWithPeriod(period: string | undefined): GetSharePointActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointActivityUserDetailWithDateRequestBuilder
     */
    getSharePointActivityUserDetailWithDate(date: DateOnly | undefined): GetSharePointActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserDetailWithPeriodRequestBuilder
     */
    getSharePointActivityUserDetailWithPeriod(period: string | undefined): GetSharePointActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointSiteUsageDetailWithDateRequestBuilder
     */
    getSharePointSiteUsageDetailWithDate(date: DateOnly | undefined): GetSharePointSiteUsageDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageDetailWithPeriodRequestBuilder
     */
    getSharePointSiteUsageDetailWithPeriod(period: string | undefined): GetSharePointSiteUsageDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageFileCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageFileCountsWithPeriod(period: string | undefined): GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsagePages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsagePagesWithPeriodRequestBuilder
     */
    getSharePointSiteUsagePagesWithPeriod(period: string | undefined): GetSharePointSiteUsagePagesWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageSiteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageSiteCountsWithPeriod(period: string | undefined): GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSharePointSiteUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageStorageWithPeriodRequestBuilder
     */
    getSharePointSiteUsageStorageWithPeriod(period: string | undefined): GetSharePointSiteUsageStorageWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessActivityUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithDate(date: DateOnly | undefined): GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithPeriod(period: string | undefined): GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithPeriod(period: string | undefined): GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod(period: string | undefined): GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserCountsWithPeriod(period: string | undefined): GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsDeviceUsageUserDetailWithDateRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetTeamsDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithPeriod(period: string | undefined): GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsTeamActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityCountsWithPeriod(period: string | undefined): GetTeamsTeamActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsTeamActivityDetailWithDateRequestBuilder
     */
    getTeamsTeamActivityDetailWithDate(date: DateOnly | undefined): GetTeamsTeamActivityDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDetailWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDetailWithPeriod(period: string | undefined): GetTeamsTeamActivityDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsTeamActivityDistributionCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDistributionCountsWithPeriod(period: string | undefined): GetTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsTeamCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamCountsWithPeriodRequestBuilder
     */
    getTeamsTeamCountsWithPeriod(period: string | undefined): GetTeamsTeamCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityCountsWithPeriod(period: string | undefined): GetTeamsUserActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserCountsWithPeriod(period: string | undefined): GetTeamsUserActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsUserActivityUserDetailWithDateRequestBuilder
     */
    getTeamsUserActivityUserDetailWithDate(date: DateOnly | undefined): GetTeamsUserActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserDetailWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserDetailWithPeriod(period: string | undefined): GetTeamsUserActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getUserArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @param userId Usage: userId='{userId}'
     * @returns a getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime(endDateTime: Date | undefined, startDateTime: Date | undefined, userId: string | undefined): GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityCountsWithPeriodRequestBuilder
     */
    getYammerActivityCountsWithPeriod(period: string | undefined): GetYammerActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserCountsWithPeriodRequestBuilder
     */
    getYammerActivityUserCountsWithPeriod(period: string | undefined): GetYammerActivityUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerActivityUserDetailWithDateRequestBuilder
     */
    getYammerActivityUserDetailWithDate(date: DateOnly | undefined): GetYammerActivityUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserDetailWithPeriodRequestBuilder
     */
    getYammerActivityUserDetailWithPeriod(period: string | undefined): GetYammerActivityUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageDistributionUserCountsWithPeriod(period: string | undefined): GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserCountsWithPeriod(period: string | undefined): GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerDeviceUsageUserDetailWithDateRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithDate(date: DateOnly | undefined): GetYammerDeviceUsageUserDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithPeriod(period: string | undefined): GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityCountsWithPeriod(period: string | undefined): GetYammerGroupsActivityCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerGroupsActivityDetailWithDateRequestBuilder
     */
    getYammerGroupsActivityDetailWithDate(date: DateOnly | undefined): GetYammerGroupsActivityDetailWithDateRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityDetailWithPeriodRequestBuilder
     */
    getYammerGroupsActivityDetailWithPeriod(period: string | undefined): GetYammerGroupsActivityDetailWithPeriodRequestBuilder;
    /**
     * Provides operations to call the getYammerGroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityGroupCountsWithPeriod(period: string | undefined): GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     * @param filter Usage: filter='{filter}'
     * @param skip Usage: skip={skip}
     * @param skipToken Usage: skipToken='{skipToken}'
     * @param top Usage: top={top}
     * @returns a managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder
     */
    managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken(filter: string | undefined, skip: number | undefined, skipToken: string | undefined, top: number | undefined): ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     * @param period Usage: period='{period}'
     * @returns a managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder
     */
    managedDeviceEnrollmentTopFailuresWithPeriod(period: string | undefined): ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: ReportRoot, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ReportRoot | undefined>;
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ReportsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ReportRoot, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reportsRequestBuilder
     */
    withUrl(rawUrl: string): ReportsRequestBuilder;
}
