"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportsRequestBuilder = void 0;
const oDataError_1 = require("../models/oDataErrors/oDataError");
const reportRoot_1 = require("../models/reportRoot");
const authenticationMethods_1 = require("./authenticationMethods/");
const dailyPrintUsageByPrinter_1 = require("./dailyPrintUsageByPrinter/");
const dailyPrintUsageByUser_1 = require("./dailyPrintUsageByUser/");
const deviceConfigurationDeviceActivity_1 = require("./deviceConfigurationDeviceActivity/");
const deviceConfigurationUserActivity_1 = require("./deviceConfigurationUserActivity/");
const getEmailActivityCountsWithPeriod_1 = require("./getEmailActivityCountsWithPeriod/");
const getEmailActivityUserCountsWithPeriod_1 = require("./getEmailActivityUserCountsWithPeriod/");
const getEmailActivityUserDetailWithDate_1 = require("./getEmailActivityUserDetailWithDate/");
const getEmailActivityUserDetailWithPeriod_1 = require("./getEmailActivityUserDetailWithPeriod/");
const getEmailAppUsageAppsUserCountsWithPeriod_1 = require("./getEmailAppUsageAppsUserCountsWithPeriod/");
const getEmailAppUsageUserCountsWithPeriod_1 = require("./getEmailAppUsageUserCountsWithPeriod/");
const getEmailAppUsageUserDetailWithDate_1 = require("./getEmailAppUsageUserDetailWithDate/");
const getEmailAppUsageUserDetailWithPeriod_1 = require("./getEmailAppUsageUserDetailWithPeriod/");
const getEmailAppUsageVersionsUserCountsWithPeriod_1 = require("./getEmailAppUsageVersionsUserCountsWithPeriod/");
const getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime_1 = require("./getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime/");
const getM365AppPlatformUserCountsWithPeriod_1 = require("./getM365AppPlatformUserCountsWithPeriod/");
const getM365AppUserCountsWithPeriod_1 = require("./getM365AppUserCountsWithPeriod/");
const getM365AppUserDetailWithDate_1 = require("./getM365AppUserDetailWithDate/");
const getM365AppUserDetailWithPeriod_1 = require("./getM365AppUserDetailWithPeriod/");
const getMailboxUsageDetailWithPeriod_1 = require("./getMailboxUsageDetailWithPeriod/");
const getMailboxUsageMailboxCountsWithPeriod_1 = require("./getMailboxUsageMailboxCountsWithPeriod/");
const getMailboxUsageQuotaStatusMailboxCountsWithPeriod_1 = require("./getMailboxUsageQuotaStatusMailboxCountsWithPeriod/");
const getMailboxUsageStorageWithPeriod_1 = require("./getMailboxUsageStorageWithPeriod/");
const getOffice365ActivationCounts_1 = require("./getOffice365ActivationCounts/");
const getOffice365ActivationsUserCounts_1 = require("./getOffice365ActivationsUserCounts/");
const getOffice365ActivationsUserDetail_1 = require("./getOffice365ActivationsUserDetail/");
const getOffice365ActiveUserCountsWithPeriod_1 = require("./getOffice365ActiveUserCountsWithPeriod/");
const getOffice365ActiveUserDetailWithDate_1 = require("./getOffice365ActiveUserDetailWithDate/");
const getOffice365ActiveUserDetailWithPeriod_1 = require("./getOffice365ActiveUserDetailWithPeriod/");
const getOffice365GroupsActivityCountsWithPeriod_1 = require("./getOffice365GroupsActivityCountsWithPeriod/");
const getOffice365GroupsActivityDetailWithDate_1 = require("./getOffice365GroupsActivityDetailWithDate/");
const getOffice365GroupsActivityDetailWithPeriod_1 = require("./getOffice365GroupsActivityDetailWithPeriod/");
const getOffice365GroupsActivityFileCountsWithPeriod_1 = require("./getOffice365GroupsActivityFileCountsWithPeriod/");
const getOffice365GroupsActivityGroupCountsWithPeriod_1 = require("./getOffice365GroupsActivityGroupCountsWithPeriod/");
const getOffice365GroupsActivityStorageWithPeriod_1 = require("./getOffice365GroupsActivityStorageWithPeriod/");
const getOffice365ServicesUserCountsWithPeriod_1 = require("./getOffice365ServicesUserCountsWithPeriod/");
const getOneDriveActivityFileCountsWithPeriod_1 = require("./getOneDriveActivityFileCountsWithPeriod/");
const getOneDriveActivityUserCountsWithPeriod_1 = require("./getOneDriveActivityUserCountsWithPeriod/");
const getOneDriveActivityUserDetailWithDate_1 = require("./getOneDriveActivityUserDetailWithDate/");
const getOneDriveActivityUserDetailWithPeriod_1 = require("./getOneDriveActivityUserDetailWithPeriod/");
const getOneDriveUsageAccountCountsWithPeriod_1 = require("./getOneDriveUsageAccountCountsWithPeriod/");
const getOneDriveUsageAccountDetailWithDate_1 = require("./getOneDriveUsageAccountDetailWithDate/");
const getOneDriveUsageAccountDetailWithPeriod_1 = require("./getOneDriveUsageAccountDetailWithPeriod/");
const getOneDriveUsageFileCountsWithPeriod_1 = require("./getOneDriveUsageFileCountsWithPeriod/");
const getOneDriveUsageStorageWithPeriod_1 = require("./getOneDriveUsageStorageWithPeriod/");
const getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime_1 = require("./getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime/");
const getSharePointActivityFileCountsWithPeriod_1 = require("./getSharePointActivityFileCountsWithPeriod/");
const getSharePointActivityPagesWithPeriod_1 = require("./getSharePointActivityPagesWithPeriod/");
const getSharePointActivityUserCountsWithPeriod_1 = require("./getSharePointActivityUserCountsWithPeriod/");
const getSharePointActivityUserDetailWithDate_1 = require("./getSharePointActivityUserDetailWithDate/");
const getSharePointActivityUserDetailWithPeriod_1 = require("./getSharePointActivityUserDetailWithPeriod/");
const getSharePointSiteUsageDetailWithDate_1 = require("./getSharePointSiteUsageDetailWithDate/");
const getSharePointSiteUsageDetailWithPeriod_1 = require("./getSharePointSiteUsageDetailWithPeriod/");
const getSharePointSiteUsageFileCountsWithPeriod_1 = require("./getSharePointSiteUsageFileCountsWithPeriod/");
const getSharePointSiteUsagePagesWithPeriod_1 = require("./getSharePointSiteUsagePagesWithPeriod/");
const getSharePointSiteUsageSiteCountsWithPeriod_1 = require("./getSharePointSiteUsageSiteCountsWithPeriod/");
const getSharePointSiteUsageStorageWithPeriod_1 = require("./getSharePointSiteUsageStorageWithPeriod/");
const getSkypeForBusinessActivityCountsWithPeriod_1 = require("./getSkypeForBusinessActivityCountsWithPeriod/");
const getSkypeForBusinessActivityUserCountsWithPeriod_1 = require("./getSkypeForBusinessActivityUserCountsWithPeriod/");
const getSkypeForBusinessActivityUserDetailWithDate_1 = require("./getSkypeForBusinessActivityUserDetailWithDate/");
const getSkypeForBusinessActivityUserDetailWithPeriod_1 = require("./getSkypeForBusinessActivityUserDetailWithPeriod/");
const getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod_1 = require("./getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod/");
const getSkypeForBusinessDeviceUsageUserCountsWithPeriod_1 = require("./getSkypeForBusinessDeviceUsageUserCountsWithPeriod/");
const getSkypeForBusinessDeviceUsageUserDetailWithDate_1 = require("./getSkypeForBusinessDeviceUsageUserDetailWithDate/");
const getSkypeForBusinessDeviceUsageUserDetailWithPeriod_1 = require("./getSkypeForBusinessDeviceUsageUserDetailWithPeriod/");
const getSkypeForBusinessOrganizerActivityCountsWithPeriod_1 = require("./getSkypeForBusinessOrganizerActivityCountsWithPeriod/");
const getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod_1 = require("./getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod/");
const getSkypeForBusinessOrganizerActivityUserCountsWithPeriod_1 = require("./getSkypeForBusinessOrganizerActivityUserCountsWithPeriod/");
const getSkypeForBusinessParticipantActivityCountsWithPeriod_1 = require("./getSkypeForBusinessParticipantActivityCountsWithPeriod/");
const getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod_1 = require("./getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod/");
const getSkypeForBusinessParticipantActivityUserCountsWithPeriod_1 = require("./getSkypeForBusinessParticipantActivityUserCountsWithPeriod/");
const getSkypeForBusinessPeerToPeerActivityCountsWithPeriod_1 = require("./getSkypeForBusinessPeerToPeerActivityCountsWithPeriod/");
const getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod_1 = require("./getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod/");
const getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod_1 = require("./getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod/");
const getTeamsDeviceUsageDistributionUserCountsWithPeriod_1 = require("./getTeamsDeviceUsageDistributionUserCountsWithPeriod/");
const getTeamsDeviceUsageUserCountsWithPeriod_1 = require("./getTeamsDeviceUsageUserCountsWithPeriod/");
const getTeamsDeviceUsageUserDetailWithDate_1 = require("./getTeamsDeviceUsageUserDetailWithDate/");
const getTeamsDeviceUsageUserDetailWithPeriod_1 = require("./getTeamsDeviceUsageUserDetailWithPeriod/");
const getTeamsTeamActivityCountsWithPeriod_1 = require("./getTeamsTeamActivityCountsWithPeriod/");
const getTeamsTeamActivityDetailWithDate_1 = require("./getTeamsTeamActivityDetailWithDate/");
const getTeamsTeamActivityDetailWithPeriod_1 = require("./getTeamsTeamActivityDetailWithPeriod/");
const getTeamsTeamActivityDistributionCountsWithPeriod_1 = require("./getTeamsTeamActivityDistributionCountsWithPeriod/");
const getTeamsTeamCountsWithPeriod_1 = require("./getTeamsTeamCountsWithPeriod/");
const getTeamsUserActivityCountsWithPeriod_1 = require("./getTeamsUserActivityCountsWithPeriod/");
const getTeamsUserActivityUserCountsWithPeriod_1 = require("./getTeamsUserActivityUserCountsWithPeriod/");
const getTeamsUserActivityUserDetailWithDate_1 = require("./getTeamsUserActivityUserDetailWithDate/");
const getTeamsUserActivityUserDetailWithPeriod_1 = require("./getTeamsUserActivityUserDetailWithPeriod/");
const getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime_1 = require("./getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime/");
const getYammerActivityCountsWithPeriod_1 = require("./getYammerActivityCountsWithPeriod/");
const getYammerActivityUserCountsWithPeriod_1 = require("./getYammerActivityUserCountsWithPeriod/");
const getYammerActivityUserDetailWithDate_1 = require("./getYammerActivityUserDetailWithDate/");
const getYammerActivityUserDetailWithPeriod_1 = require("./getYammerActivityUserDetailWithPeriod/");
const getYammerDeviceUsageDistributionUserCountsWithPeriod_1 = require("./getYammerDeviceUsageDistributionUserCountsWithPeriod/");
const getYammerDeviceUsageUserCountsWithPeriod_1 = require("./getYammerDeviceUsageUserCountsWithPeriod/");
const getYammerDeviceUsageUserDetailWithDate_1 = require("./getYammerDeviceUsageUserDetailWithDate/");
const getYammerDeviceUsageUserDetailWithPeriod_1 = require("./getYammerDeviceUsageUserDetailWithPeriod/");
const getYammerGroupsActivityCountsWithPeriod_1 = require("./getYammerGroupsActivityCountsWithPeriod/");
const getYammerGroupsActivityDetailWithDate_1 = require("./getYammerGroupsActivityDetailWithDate/");
const getYammerGroupsActivityDetailWithPeriod_1 = require("./getYammerGroupsActivityDetailWithPeriod/");
const getYammerGroupsActivityGroupCountsWithPeriod_1 = require("./getYammerGroupsActivityGroupCountsWithPeriod/");
const managedDeviceEnrollmentFailureDetails_1 = require("./managedDeviceEnrollmentFailureDetails/");
const managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken_1 = require("./managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken/");
const managedDeviceEnrollmentTopFailures_1 = require("./managedDeviceEnrollmentTopFailures/");
const managedDeviceEnrollmentTopFailuresWithPeriod_1 = require("./managedDeviceEnrollmentTopFailuresWithPeriod/");
const monthlyPrintUsageByPrinter_1 = require("./monthlyPrintUsageByPrinter/");
const monthlyPrintUsageByUser_1 = require("./monthlyPrintUsageByUser/");
const security_1 = require("./security/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the reportRoot singleton.
 */
class ReportsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the authenticationMethods property of the microsoft.graph.reportRoot entity.
     */
    get authenticationMethods() {
        return new authenticationMethods_1.AuthenticationMethodsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the dailyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByPrinter() {
        return new dailyPrintUsageByPrinter_1.DailyPrintUsageByPrinterRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the dailyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get dailyPrintUsageByUser() {
        return new dailyPrintUsageByUser_1.DailyPrintUsageByUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deviceConfigurationDeviceActivity method.
     */
    get deviceConfigurationDeviceActivity() {
        return new deviceConfigurationDeviceActivity_1.DeviceConfigurationDeviceActivityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the deviceConfigurationUserActivity method.
     */
    get deviceConfigurationUserActivity() {
        return new deviceConfigurationUserActivity_1.DeviceConfigurationUserActivityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationCounts method.
     */
    get getOffice365ActivationCounts() {
        return new getOffice365ActivationCounts_1.GetOffice365ActivationCountsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationsUserCounts method.
     */
    get getOffice365ActivationsUserCounts() {
        return new getOffice365ActivationsUserCounts_1.GetOffice365ActivationsUserCountsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getOffice365ActivationsUserDetail method.
     */
    get getOffice365ActivationsUserDetail() {
        return new getOffice365ActivationsUserDetail_1.GetOffice365ActivationsUserDetailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     */
    get managedDeviceEnrollmentFailureDetails() {
        return new managedDeviceEnrollmentFailureDetails_1.ManagedDeviceEnrollmentFailureDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     */
    get managedDeviceEnrollmentTopFailures() {
        return new managedDeviceEnrollmentTopFailures_1.ManagedDeviceEnrollmentTopFailuresRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the monthlyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByPrinter() {
        return new monthlyPrintUsageByPrinter_1.MonthlyPrintUsageByPrinterRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the monthlyPrintUsageByUser property of the microsoft.graph.reportRoot entity.
     */
    get monthlyPrintUsageByUser() {
        return new monthlyPrintUsageByUser_1.MonthlyPrintUsageByUserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the security property of the microsoft.graph.reportRoot entity.
     */
    get security() {
        return new security_1.SecurityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/reports{?%24select,%24expand}");
    }
    ;
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, reportRoot_1.createReportRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityCountsWithPeriodRequestBuilder
     */
    getEmailActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityCountsWithPeriod_1.GetEmailActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserCountsWithPeriodRequestBuilder
     */
    getEmailActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityUserCountsWithPeriod_1.GetEmailActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailActivityUserDetailWithDateRequestBuilder
     */
    getEmailActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getEmailActivityUserDetailWithDate_1.GetEmailActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getEmailActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailActivityUserDetailWithPeriodRequestBuilder
     */
    getEmailActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailActivityUserDetailWithPeriod_1.GetEmailActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageAppsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageAppsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageAppsUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageAppsUserCountsWithPeriod_1.GetEmailAppUsageAppsUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageUserCountsWithPeriod_1.GetEmailAppUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getEmailAppUsageUserDetailWithDateRequestBuilder
     */
    getEmailAppUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getEmailAppUsageUserDetailWithDate_1.GetEmailAppUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageUserDetailWithPeriodRequestBuilder
     */
    getEmailAppUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageUserDetailWithPeriod_1.GetEmailAppUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getEmailAppUsageVersionsUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder
     */
    getEmailAppUsageVersionsUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getEmailAppUsageVersionsUserCountsWithPeriod_1.GetEmailAppUsageVersionsUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getGroupArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param groupId Usage: groupId='{groupId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime(endDateTime, groupId, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!groupId)
            throw new Error("groupId cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new getGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTime_1.GetGroupArchivedPrintJobsWithGroupIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, groupId, startDateTime);
    }
    ;
    /**
     * Provides operations to call the getM365AppPlatformUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppPlatformUserCountsWithPeriodRequestBuilder
     */
    getM365AppPlatformUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppPlatformUserCountsWithPeriod_1.GetM365AppPlatformUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserCountsWithPeriodRequestBuilder
     */
    getM365AppUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppUserCountsWithPeriod_1.GetM365AppUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param date Usage: date={date}
     * @returns a getM365AppUserDetailWithDateRequestBuilder
     */
    getM365AppUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getM365AppUserDetailWithDate_1.GetM365AppUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getM365AppUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getM365AppUserDetailWithPeriodRequestBuilder
     */
    getM365AppUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getM365AppUserDetailWithPeriod_1.GetM365AppUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageDetailWithPeriodRequestBuilder
     */
    getMailboxUsageDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageDetailWithPeriod_1.GetMailboxUsageDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageMailboxCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageMailboxCountsWithPeriod_1.GetMailboxUsageMailboxCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageQuotaStatusMailboxCounts method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder
     */
    getMailboxUsageQuotaStatusMailboxCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageQuotaStatusMailboxCountsWithPeriod_1.GetMailboxUsageQuotaStatusMailboxCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getMailboxUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getMailboxUsageStorageWithPeriodRequestBuilder
     */
    getMailboxUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getMailboxUsageStorageWithPeriod_1.GetMailboxUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserCountsWithPeriodRequestBuilder
     */
    getOffice365ActiveUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ActiveUserCountsWithPeriod_1.GetOffice365ActiveUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365ActiveUserDetailWithDateRequestBuilder
     */
    getOffice365ActiveUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOffice365ActiveUserDetailWithDate_1.GetOffice365ActiveUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOffice365ActiveUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ActiveUserDetailWithPeriodRequestBuilder
     */
    getOffice365ActiveUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ActiveUserDetailWithPeriod_1.GetOffice365ActiveUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityCountsWithPeriod_1.GetOffice365GroupsActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getOffice365GroupsActivityDetailWithDateRequestBuilder
     */
    getOffice365GroupsActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOffice365GroupsActivityDetailWithDate_1.GetOffice365GroupsActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityDetailWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityDetailWithPeriod_1.GetOffice365GroupsActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityFileCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityFileCountsWithPeriod_1.GetOffice365GroupsActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityGroupCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityGroupCountsWithPeriod_1.GetOffice365GroupsActivityGroupCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365GroupsActivityStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365GroupsActivityStorageWithPeriodRequestBuilder
     */
    getOffice365GroupsActivityStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365GroupsActivityStorageWithPeriod_1.GetOffice365GroupsActivityStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOffice365ServicesUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOffice365ServicesUserCountsWithPeriodRequestBuilder
     */
    getOffice365ServicesUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOffice365ServicesUserCountsWithPeriod_1.GetOffice365ServicesUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityFileCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityFileCountsWithPeriod_1.GetOneDriveActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserCountsWithPeriodRequestBuilder
     */
    getOneDriveActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityUserCountsWithPeriod_1.GetOneDriveActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveActivityUserDetailWithDateRequestBuilder
     */
    getOneDriveActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOneDriveActivityUserDetailWithDate_1.GetOneDriveActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOneDriveActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveActivityUserDetailWithPeriodRequestBuilder
     */
    getOneDriveActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveActivityUserDetailWithPeriod_1.GetOneDriveActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageAccountCountsWithPeriod_1.GetOneDriveUsageAccountCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param date Usage: date={date}
     * @returns a getOneDriveUsageAccountDetailWithDateRequestBuilder
     */
    getOneDriveUsageAccountDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getOneDriveUsageAccountDetailWithDate_1.GetOneDriveUsageAccountDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageAccountDetail method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageAccountDetailWithPeriodRequestBuilder
     */
    getOneDriveUsageAccountDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageAccountDetailWithPeriod_1.GetOneDriveUsageAccountDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageFileCountsWithPeriodRequestBuilder
     */
    getOneDriveUsageFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageFileCountsWithPeriod_1.GetOneDriveUsageFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getOneDriveUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getOneDriveUsageStorageWithPeriodRequestBuilder
     */
    getOneDriveUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getOneDriveUsageStorageWithPeriod_1.GetOneDriveUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getPrinterArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param printerId Usage: printerId='{printerId}'
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @returns a getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime(endDateTime, printerId, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!printerId)
            throw new Error("printerId cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new getPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTime_1.GetPrinterArchivedPrintJobsWithPrinterIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, printerId, startDateTime);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityFileCountsWithPeriodRequestBuilder
     */
    getSharePointActivityFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityFileCountsWithPeriod_1.GetSharePointActivityFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityPages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityPagesWithPeriodRequestBuilder
     */
    getSharePointActivityPagesWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityPagesWithPeriod_1.GetSharePointActivityPagesWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserCountsWithPeriodRequestBuilder
     */
    getSharePointActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityUserCountsWithPeriod_1.GetSharePointActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointActivityUserDetailWithDateRequestBuilder
     */
    getSharePointActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSharePointActivityUserDetailWithDate_1.GetSharePointActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSharePointActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointActivityUserDetailWithPeriodRequestBuilder
     */
    getSharePointActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointActivityUserDetailWithPeriod_1.GetSharePointActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param date Usage: date={date}
     * @returns a getSharePointSiteUsageDetailWithDateRequestBuilder
     */
    getSharePointSiteUsageDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSharePointSiteUsageDetailWithDate_1.GetSharePointSiteUsageDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageDetailWithPeriodRequestBuilder
     */
    getSharePointSiteUsageDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageDetailWithPeriod_1.GetSharePointSiteUsageDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageFileCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageFileCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageFileCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageFileCountsWithPeriod_1.GetSharePointSiteUsageFileCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsagePages method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsagePagesWithPeriodRequestBuilder
     */
    getSharePointSiteUsagePagesWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsagePagesWithPeriod_1.GetSharePointSiteUsagePagesWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageSiteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageSiteCountsWithPeriodRequestBuilder
     */
    getSharePointSiteUsageSiteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageSiteCountsWithPeriod_1.GetSharePointSiteUsageSiteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSharePointSiteUsageStorage method.
     * @param period Usage: period='{period}'
     * @returns a getSharePointSiteUsageStorageWithPeriodRequestBuilder
     */
    getSharePointSiteUsageStorageWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSharePointSiteUsageStorageWithPeriod_1.GetSharePointSiteUsageStorageWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityCountsWithPeriod_1.GetSkypeForBusinessActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityUserCountsWithPeriod_1.GetSkypeForBusinessActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessActivityUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSkypeForBusinessActivityUserDetailWithDate_1.GetSkypeForBusinessActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessActivityUserDetailWithPeriod_1.GetSkypeForBusinessActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriod_1.GetSkypeForBusinessDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserCountsWithPeriod_1.GetSkypeForBusinessDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserDetailWithDate_1.GetSkypeForBusinessDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getSkypeForBusinessDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessDeviceUsageUserDetailWithPeriod_1.GetSkypeForBusinessDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityCountsWithPeriod_1.GetSkypeForBusinessOrganizerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityMinuteCountsWithPeriod_1.GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessOrganizerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessOrganizerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessOrganizerActivityUserCountsWithPeriod_1.GetSkypeForBusinessOrganizerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityCountsWithPeriod_1.GetSkypeForBusinessParticipantActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityMinuteCountsWithPeriod_1.GetSkypeForBusinessParticipantActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessParticipantActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessParticipantActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessParticipantActivityUserCountsWithPeriod_1.GetSkypeForBusinessParticipantActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityCountsWithPeriod_1.GetSkypeForBusinessPeerToPeerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityMinuteCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriod_1.GetSkypeForBusinessPeerToPeerActivityMinuteCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getSkypeForBusinessPeerToPeerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder
     */
    getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getSkypeForBusinessPeerToPeerActivityUserCountsWithPeriod_1.GetSkypeForBusinessPeerToPeerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageDistributionUserCountsWithPeriod_1.GetTeamsDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageUserCountsWithPeriod_1.GetTeamsDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsDeviceUsageUserDetailWithDateRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsDeviceUsageUserDetailWithDate_1.GetTeamsDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getTeamsDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsDeviceUsageUserDetailWithPeriod_1.GetTeamsDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityCountsWithPeriod_1.GetTeamsTeamActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsTeamActivityDetailWithDateRequestBuilder
     */
    getTeamsTeamActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsTeamActivityDetailWithDate_1.GetTeamsTeamActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDetailWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityDetailWithPeriod_1.GetTeamsTeamActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamActivityDistributionCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder
     */
    getTeamsTeamActivityDistributionCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamActivityDistributionCountsWithPeriod_1.GetTeamsTeamActivityDistributionCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsTeamCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsTeamCountsWithPeriodRequestBuilder
     */
    getTeamsTeamCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsTeamCountsWithPeriod_1.GetTeamsTeamCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityCountsWithPeriod_1.GetTeamsUserActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserCountsWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityUserCountsWithPeriod_1.GetTeamsUserActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getTeamsUserActivityUserDetailWithDateRequestBuilder
     */
    getTeamsUserActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getTeamsUserActivityUserDetailWithDate_1.GetTeamsUserActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getTeamsUserActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getTeamsUserActivityUserDetailWithPeriodRequestBuilder
     */
    getTeamsUserActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getTeamsUserActivityUserDetailWithPeriod_1.GetTeamsUserActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getUserArchivedPrintJobs method.
     * @param endDateTime Usage: endDateTime={endDateTime}
     * @param startDateTime Usage: startDateTime={startDateTime}
     * @param userId Usage: userId='{userId}'
     * @returns a getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime(endDateTime, startDateTime, userId) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        if (!userId)
            throw new Error("userId cannot be undefined");
        return new getUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTime_1.GetUserArchivedPrintJobsWithUserIdWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime, userId);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityCountsWithPeriodRequestBuilder
     */
    getYammerActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityCountsWithPeriod_1.GetYammerActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserCountsWithPeriodRequestBuilder
     */
    getYammerActivityUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityUserCountsWithPeriod_1.GetYammerActivityUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerActivityUserDetailWithDateRequestBuilder
     */
    getYammerActivityUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerActivityUserDetailWithDate_1.GetYammerActivityUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerActivityUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerActivityUserDetailWithPeriodRequestBuilder
     */
    getYammerActivityUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerActivityUserDetailWithPeriod_1.GetYammerActivityUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageDistributionUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageDistributionUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageDistributionUserCountsWithPeriod_1.GetYammerDeviceUsageDistributionUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserCountsWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageUserCountsWithPeriod_1.GetYammerDeviceUsageUserCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerDeviceUsageUserDetailWithDateRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerDeviceUsageUserDetailWithDate_1.GetYammerDeviceUsageUserDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerDeviceUsageUserDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerDeviceUsageUserDetailWithPeriodRequestBuilder
     */
    getYammerDeviceUsageUserDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerDeviceUsageUserDetailWithPeriod_1.GetYammerDeviceUsageUserDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityCountsWithPeriod_1.GetYammerGroupsActivityCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param date Usage: date={date}
     * @returns a getYammerGroupsActivityDetailWithDateRequestBuilder
     */
    getYammerGroupsActivityDetailWithDate(date) {
        if (!date)
            throw new Error("date cannot be undefined");
        return new getYammerGroupsActivityDetailWithDate_1.GetYammerGroupsActivityDetailWithDateRequestBuilder(this.pathParameters, this.requestAdapter, date);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityDetail method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityDetailWithPeriodRequestBuilder
     */
    getYammerGroupsActivityDetailWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityDetailWithPeriod_1.GetYammerGroupsActivityDetailWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the getYammerGroupsActivityGroupCounts method.
     * @param period Usage: period='{period}'
     * @returns a getYammerGroupsActivityGroupCountsWithPeriodRequestBuilder
     */
    getYammerGroupsActivityGroupCountsWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new getYammerGroupsActivityGroupCountsWithPeriod_1.GetYammerGroupsActivityGroupCountsWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Provides operations to call the managedDeviceEnrollmentFailureDetails method.
     * @param filter Usage: filter='{filter}'
     * @param skip Usage: skip={skip}
     * @param skipToken Usage: skipToken='{skipToken}'
     * @param top Usage: top={top}
     * @returns a managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder
     */
    managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken(filter, skip, skipToken, top) {
        if (!filter)
            throw new Error("filter cannot be undefined");
        if (!skip)
            throw new Error("skip cannot be undefined");
        if (!skipToken)
            throw new Error("skipToken cannot be undefined");
        if (!top)
            throw new Error("top cannot be undefined");
        return new managedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipToken_1.ManagedDeviceEnrollmentFailureDetailsWithSkipWithTopWithFilterWithSkipTokenRequestBuilder(this.pathParameters, this.requestAdapter, filter, skip, skipToken, top);
    }
    ;
    /**
     * Provides operations to call the managedDeviceEnrollmentTopFailures method.
     * @param period Usage: period='{period}'
     * @returns a managedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder
     */
    managedDeviceEnrollmentTopFailuresWithPeriod(period) {
        if (!period)
            throw new Error("period cannot be undefined");
        return new managedDeviceEnrollmentTopFailuresWithPeriod_1.ManagedDeviceEnrollmentTopFailuresWithPeriodRequestBuilder(this.pathParameters, this.requestAdapter, period);
    }
    ;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReportRoot
     * @see {@link https://learn.microsoft.com/graph/api/intune-deviceconfig-reportroot-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, reportRoot_1.createReportRootFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Read properties and relationships of the reportRoot object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, reportsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a reportRoot object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, reportRoot_1.serializeReportRoot);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reportsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReportsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReportsRequestBuilder = ReportsRequestBuilder;
const reportsRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
