"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAttackSimulationRepeatOffendersRequestBuilder = exports.serializeGetAttackSimulationRepeatOffendersGetResponse = exports.deserializeIntoGetAttackSimulationRepeatOffendersGetResponse = exports.createGetAttackSimulationRepeatOffendersGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attackSimulationRepeatOffender_1 = require("../../../models/attackSimulationRepeatOffender");
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetAttackSimulationRepeatOffendersGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetAttackSimulationRepeatOffendersGetResponse;
}
exports.createGetAttackSimulationRepeatOffendersGetResponseFromDiscriminatorValue = createGetAttackSimulationRepeatOffendersGetResponseFromDiscriminatorValue;
function deserializeIntoGetAttackSimulationRepeatOffendersGetResponse(getAttackSimulationRepeatOffendersGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getAttackSimulationRepeatOffendersGetResponse)), { "value": n => { getAttackSimulationRepeatOffendersGetResponse.value = n.getCollectionOfObjectValues(attackSimulationRepeatOffender_1.createAttackSimulationRepeatOffenderFromDiscriminatorValue); } });
}
exports.deserializeIntoGetAttackSimulationRepeatOffendersGetResponse = deserializeIntoGetAttackSimulationRepeatOffendersGetResponse;
function serializeGetAttackSimulationRepeatOffendersGetResponse(writer, getAttackSimulationRepeatOffendersGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getAttackSimulationRepeatOffendersGetResponse);
    writer.writeCollectionOfObjectValues("value", getAttackSimulationRepeatOffendersGetResponse.value, attackSimulationRepeatOffender_1.serializeAttackSimulationRepeatOffender);
}
exports.serializeGetAttackSimulationRepeatOffendersGetResponse = serializeGetAttackSimulationRepeatOffendersGetResponse;
/**
 * Provides operations to call the getAttackSimulationRepeatOffenders method.
 */
class GetAttackSimulationRepeatOffendersRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetAttackSimulationRepeatOffendersRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/reports/security/getAttackSimulationRepeatOffenders(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Invoke function getAttackSimulationRepeatOffenders
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAttackSimulationRepeatOffendersGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetAttackSimulationRepeatOffendersGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getAttackSimulationRepeatOffenders
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getAttackSimulationRepeatOffendersRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAttackSimulationRepeatOffendersRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetAttackSimulationRepeatOffendersRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetAttackSimulationRepeatOffendersRequestBuilder = GetAttackSimulationRepeatOffendersRequestBuilder;
const getAttackSimulationRepeatOffendersRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
