import { type AttackSimulationSimulationUserCoverage } from '../../../models/attackSimulationSimulationUserCoverage';
import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAttackSimulationSimulationUserCoverageGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAttackSimulationSimulationUserCoverageGetResponse;
export declare function deserializeIntoGetAttackSimulationSimulationUserCoverageGetResponse(getAttackSimulationSimulationUserCoverageGetResponse?: GetAttackSimulationSimulationUserCoverageGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAttackSimulationSimulationUserCoverageGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttackSimulationSimulationUserCoverage[];
}
export interface GetAttackSimulationSimulationUserCoverageRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetAttackSimulationSimulationUserCoverageGetResponse(writer: SerializationWriter, getAttackSimulationSimulationUserCoverageGetResponse?: GetAttackSimulationSimulationUserCoverageGetResponse | undefined): void;
/**
 * Provides operations to call the getAttackSimulationSimulationUserCoverage method.
 */
export declare class GetAttackSimulationSimulationUserCoverageRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetAttackSimulationSimulationUserCoverageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getAttackSimulationSimulationUserCoverage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAttackSimulationSimulationUserCoverageGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetAttackSimulationSimulationUserCoverageRequestBuilderGetQueryParameters> | undefined): Promise<GetAttackSimulationSimulationUserCoverageGetResponse | undefined>;
    /**
     * Invoke function getAttackSimulationSimulationUserCoverage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetAttackSimulationSimulationUserCoverageRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAttackSimulationSimulationUserCoverageRequestBuilder
     */
    withUrl(rawUrl: string): GetAttackSimulationSimulationUserCoverageRequestBuilder;
}
