import { type AttackSimulationTrainingUserCoverage } from '../../../models/attackSimulationTrainingUserCoverage';
import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetAttackSimulationTrainingUserCoverageGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetAttackSimulationTrainingUserCoverageGetResponse;
export declare function deserializeIntoGetAttackSimulationTrainingUserCoverageGetResponse(getAttackSimulationTrainingUserCoverageGetResponse?: GetAttackSimulationTrainingUserCoverageGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetAttackSimulationTrainingUserCoverageGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttackSimulationTrainingUserCoverage[];
}
export interface GetAttackSimulationTrainingUserCoverageRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetAttackSimulationTrainingUserCoverageGetResponse(writer: SerializationWriter, getAttackSimulationTrainingUserCoverageGetResponse?: GetAttackSimulationTrainingUserCoverageGetResponse | undefined): void;
/**
 * Provides operations to call the getAttackSimulationTrainingUserCoverage method.
 */
export declare class GetAttackSimulationTrainingUserCoverageRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetAttackSimulationTrainingUserCoverageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getAttackSimulationTrainingUserCoverage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetAttackSimulationTrainingUserCoverageGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetAttackSimulationTrainingUserCoverageRequestBuilderGetQueryParameters> | undefined): Promise<GetAttackSimulationTrainingUserCoverageGetResponse | undefined>;
    /**
     * Invoke function getAttackSimulationTrainingUserCoverage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetAttackSimulationTrainingUserCoverageRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getAttackSimulationTrainingUserCoverageRequestBuilder
     */
    withUrl(rawUrl: string): GetAttackSimulationTrainingUserCoverageRequestBuilder;
}
