import { type BaseCollectionPaginationCountResponse } from '../../models/baseCollectionPaginationCountResponse';
import { type SearchRequest } from '../../models/searchRequest';
import { type SearchResponse } from '../../models/searchResponse';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createQueryPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQueryPostRequestBody;
export declare function createQueryPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoQueryPostResponse;
export declare function deserializeIntoQueryPostRequestBody(queryPostRequestBody?: QueryPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoQueryPostResponse(queryPostResponse?: QueryPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface QueryPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The requests property
     */
    requests?: SearchRequest[];
}
export interface QueryPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SearchResponse[];
}
export declare function serializeQueryPostRequestBody(writer: SerializationWriter, queryPostRequestBody?: QueryPostRequestBody | undefined): void;
export declare function serializeQueryPostResponse(writer: SerializationWriter, queryPostResponse?: QueryPostResponse | undefined): void;
/**
 * Provides operations to call the query method.
 */
export declare class QueryRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new QueryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Runs the query specified in the request body. Search results are provided in the response.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of QueryPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/search-query?view=graph-rest-1.0|Find more info here}
     */
    post(body: QueryPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<QueryPostResponse | undefined>;
    /**
     * Runs the query specified in the request body. Search results are provided in the response.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: QueryPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a queryRequestBuilder
     */
    withUrl(rawUrl: string): QueryRequestBuilder;
}
