"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryRequestBuilder = exports.serializeQueryPostResponse = exports.serializeQueryPostRequestBody = exports.deserializeIntoQueryPostResponse = exports.deserializeIntoQueryPostRequestBody = exports.createQueryPostResponseFromDiscriminatorValue = exports.createQueryPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const searchRequest_1 = require("../../models/searchRequest");
const searchResponse_1 = require("../../models/searchResponse");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createQueryPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoQueryPostRequestBody;
}
exports.createQueryPostRequestBodyFromDiscriminatorValue = createQueryPostRequestBodyFromDiscriminatorValue;
function createQueryPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoQueryPostResponse;
}
exports.createQueryPostResponseFromDiscriminatorValue = createQueryPostResponseFromDiscriminatorValue;
function deserializeIntoQueryPostRequestBody(queryPostRequestBody = {}) {
    return {
        "requests": n => { queryPostRequestBody.requests = n.getCollectionOfObjectValues(searchRequest_1.createSearchRequestFromDiscriminatorValue); },
    };
}
exports.deserializeIntoQueryPostRequestBody = deserializeIntoQueryPostRequestBody;
function deserializeIntoQueryPostResponse(queryPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(queryPostResponse)), { "value": n => { queryPostResponse.value = n.getCollectionOfObjectValues(searchResponse_1.createSearchResponseFromDiscriminatorValue); } });
}
exports.deserializeIntoQueryPostResponse = deserializeIntoQueryPostResponse;
function serializeQueryPostRequestBody(writer, queryPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("requests", queryPostRequestBody.requests, searchRequest_1.serializeSearchRequest);
    writer.writeAdditionalData(queryPostRequestBody.additionalData);
}
exports.serializeQueryPostRequestBody = serializeQueryPostRequestBody;
function serializeQueryPostResponse(writer, queryPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, queryPostResponse);
    writer.writeCollectionOfObjectValues("value", queryPostResponse.value, searchResponse_1.serializeSearchResponse);
}
exports.serializeQueryPostResponse = serializeQueryPostResponse;
/**
 * Provides operations to call the query method.
 */
class QueryRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new QueryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/search/query");
    }
    ;
    /**
     * Runs the query specified in the request body. Search results are provided in the response.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of QueryPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/search-query?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createQueryPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Runs the query specified in the request body. Search results are provided in the response.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeQueryPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a queryRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new QueryRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.QueryRequestBuilder = QueryRequestBuilder;
// tslint:enable
// eslint-enable
