import { type LoginPage } from '../../../../models/loginPage';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface LoginPageItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the loginPages property of the microsoft.graph.attackSimulationRoot entity.
 */
export declare class LoginPageItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new LoginPageItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property loginPages for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Represents an attack simulation training login page.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LoginPage
     */
    get(requestConfiguration?: RequestConfiguration<LoginPageItemRequestBuilderGetQueryParameters> | undefined): Promise<LoginPage | undefined>;
    /**
     * Update the navigation property loginPages in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of LoginPage
     */
    patch(body: LoginPage, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<LoginPage | undefined>;
    /**
     * Delete navigation property loginPages for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Represents an attack simulation training login page.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<LoginPageItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property loginPages in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: LoginPage, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a LoginPageItemRequestBuilder
     */
    withUrl(rawUrl: string): LoginPageItemRequestBuilder;
}
