"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphSecurityRemoveHoldRequestBuilder = exports.serializeRemoveHoldPostRequestBody = exports.deserializeIntoRemoveHoldPostRequestBody = exports.createRemoveHoldPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRemoveHoldPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemoveHoldPostRequestBody;
}
exports.createRemoveHoldPostRequestBodyFromDiscriminatorValue = createRemoveHoldPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRemoveHoldPostRequestBody(removeHoldPostRequestBody = {}) {
    return {
        "ids": n => { removeHoldPostRequestBody.ids = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoRemoveHoldPostRequestBody = deserializeIntoRemoveHoldPostRequestBody;
function serializeRemoveHoldPostRequestBody(writer, removeHoldPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("ids", removeHoldPostRequestBody.ids);
    writer.writeAdditionalData(removeHoldPostRequestBody.additionalData);
}
exports.serializeRemoveHoldPostRequestBody = serializeRemoveHoldPostRequestBody;
/**
 * Provides operations to call the removeHold method.
 */
class MicrosoftGraphSecurityRemoveHoldRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityRemoveHoldRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/security/cases/ediscoveryCases/{ediscoveryCase%2Did}/custodians/microsoft.graph.security.removeHold");
    }
    ;
    /**
     * Invoke action removeHold
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action removeHold
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRemoveHoldPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityRemoveHoldRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphSecurityRemoveHoldRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphSecurityRemoveHoldRequestBuilder = MicrosoftGraphSecurityRemoveHoldRequestBuilder;
// tslint:enable
// eslint-enable
