import { AdditionalDataOptions } from '../../../../../../../models/security/additionalDataOptions';
import { type EdiscoverySearch } from '../../../../../../../models/security/ediscoverySearch';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddToReviewSetPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The additionalDataOptions property
     */
    additionalDataOptions?: AdditionalDataOptions[];
    /**
     * The search property
     */
    search?: EdiscoverySearch;
}
export declare function createAddToReviewSetPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddToReviewSetPostRequestBody;
export declare function deserializeIntoAddToReviewSetPostRequestBody(addToReviewSetPostRequestBody?: AddToReviewSetPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddToReviewSetPostRequestBody(writer: SerializationWriter, addToReviewSetPostRequestBody?: AddToReviewSetPostRequestBody | undefined): void;
/**
 * Provides operations to call the addToReviewSet method.
 */
export declare class MicrosoftGraphSecurityAddToReviewSetRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityAddToReviewSetRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Start the process of adding a collection from Microsoft 365 services to a review set. After the operation is created, you can get the status of the operation by retrieving the Location parameter from the response headers. The location provides a URL that will return a Add to review set operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/security-ediscoveryreviewset-addtoreviewset?view=graph-rest-1.0|Find more info here}
     */
    post(body: AddToReviewSetPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Start the process of adding a collection from Microsoft 365 services to a review set. After the operation is created, you can get the status of the operation by retrieving the Location parameter from the response headers. The location provides a URL that will return a Add to review set operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: AddToReviewSetPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityAddToReviewSetRequestBuilder
     */
    withUrl(rawUrl: string): MicrosoftGraphSecurityAddToReviewSetRequestBuilder;
}
