"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphSecurityApplyTagsRequestBuilder = exports.serializeApplyTagsPostRequestBody = exports.deserializeIntoApplyTagsPostRequestBody = exports.createApplyTagsPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const ediscoveryReviewTag_1 = require("../../../../../../../../../models/security/ediscoveryReviewTag");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createApplyTagsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoApplyTagsPostRequestBody;
}
exports.createApplyTagsPostRequestBodyFromDiscriminatorValue = createApplyTagsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoApplyTagsPostRequestBody(applyTagsPostRequestBody = {}) {
    return {
        "tagsToAdd": n => { applyTagsPostRequestBody.tagsToAdd = n.getCollectionOfObjectValues(ediscoveryReviewTag_1.createEdiscoveryReviewTagFromDiscriminatorValue); },
        "tagsToRemove": n => { applyTagsPostRequestBody.tagsToRemove = n.getCollectionOfObjectValues(ediscoveryReviewTag_1.createEdiscoveryReviewTagFromDiscriminatorValue); },
    };
}
exports.deserializeIntoApplyTagsPostRequestBody = deserializeIntoApplyTagsPostRequestBody;
function serializeApplyTagsPostRequestBody(writer, applyTagsPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("tagsToAdd", applyTagsPostRequestBody.tagsToAdd, ediscoveryReviewTag_1.serializeEdiscoveryReviewTag);
    writer.writeCollectionOfObjectValues("tagsToRemove", applyTagsPostRequestBody.tagsToRemove, ediscoveryReviewTag_1.serializeEdiscoveryReviewTag);
    writer.writeAdditionalData(applyTagsPostRequestBody.additionalData);
}
exports.serializeApplyTagsPostRequestBody = serializeApplyTagsPostRequestBody;
/**
 * Provides operations to call the applyTags method.
 */
class MicrosoftGraphSecurityApplyTagsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityApplyTagsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/security/cases/ediscoveryCases/{ediscoveryCase%2Did}/reviewSets/{ediscoveryReviewSet%2Did}/queries/{ediscoveryReviewSetQuery%2Did}/microsoft.graph.security.applyTags");
    }
    ;
    /**
     * Apply tags to files in an eDiscovery review set. For details, see Tag documents in a review set in eDiscovery.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/security-ediscoveryreviewsetquery-applytags?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Apply tags to files in an eDiscovery review set. For details, see Tag documents in a review set in eDiscovery.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeApplyTagsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityApplyTagsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphSecurityApplyTagsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphSecurityApplyTagsRequestBuilder = MicrosoftGraphSecurityApplyTagsRequestBuilder;
// tslint:enable
// eslint-enable
