"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphSecurityPurgeDataRequestBuilder = exports.serializePurgeDataPostRequestBody = exports.deserializeIntoPurgeDataPostRequestBody = exports.createPurgeDataPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const purgeAreas_1 = require("../../../../../../../models/security/purgeAreas");
const purgeType_1 = require("../../../../../../../models/security/purgeType");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createPurgeDataPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPurgeDataPostRequestBody;
}
exports.createPurgeDataPostRequestBodyFromDiscriminatorValue = createPurgeDataPostRequestBodyFromDiscriminatorValue;
function deserializeIntoPurgeDataPostRequestBody(purgeDataPostRequestBody = {}) {
    return {
        "purgeAreas": n => { purgeDataPostRequestBody.purgeAreas = n.getCollectionOfEnumValues(purgeAreas_1.PurgeAreas); },
        "purgeType": n => { purgeDataPostRequestBody.purgeType = n.getEnumValue(purgeType_1.PurgeType); },
    };
}
exports.deserializeIntoPurgeDataPostRequestBody = deserializeIntoPurgeDataPostRequestBody;
function serializePurgeDataPostRequestBody(writer, purgeDataPostRequestBody = {}) {
    writer.writeEnumValue("purgeAreas", purgeDataPostRequestBody.purgeAreas);
    writer.writeEnumValue("purgeType", purgeDataPostRequestBody.purgeType);
    writer.writeAdditionalData(purgeDataPostRequestBody.additionalData);
}
exports.serializePurgeDataPostRequestBody = serializePurgeDataPostRequestBody;
/**
 * Provides operations to call the purgeData method.
 */
class MicrosoftGraphSecurityPurgeDataRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityPurgeDataRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/security/cases/ediscoveryCases/{ediscoveryCase%2Did}/searches/{ediscoverySearch%2Did}/microsoft.graph.security.purgeData");
    }
    ;
    /**
     * Delete Microsoft Teams messages contained in an eDiscovery search. You can collect and purge the following categories of Teams content:- Teams 1:1 chats - Chat messages, posts, and attachments shared in a Teams conversation between two people. Teams 1:1 chats are also called *conversations*.- Teams group chats - Chat messages, posts, and attachments shared in a Teams conversation between three or more people. Also called *1:N* chats or *group conversations*.- Teams channels - Chat messages, posts, replies, and attachments shared in a standard Teams channel.- Private channels - Message posts, replies, and attachments shared in a private Teams channel.- Shared channels - Message posts, replies, and attachments shared in a shared Teams channel. For more information about purging Teams messages, see:- eDiscovery solution series: Data spillage scenario - Search and purge- eDiscovery (Premium) workflow for content in Microsoft Teams
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/security-ediscoverysearch-purgedata?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Delete Microsoft Teams messages contained in an eDiscovery search. You can collect and purge the following categories of Teams content:- Teams 1:1 chats - Chat messages, posts, and attachments shared in a Teams conversation between two people. Teams 1:1 chats are also called *conversations*.- Teams group chats - Chat messages, posts, and attachments shared in a Teams conversation between three or more people. Also called *1:N* chats or *group conversations*.- Teams channels - Chat messages, posts, replies, and attachments shared in a standard Teams channel.- Private channels - Message posts, replies, and attachments shared in a private Teams channel.- Shared channels - Message posts, replies, and attachments shared in a shared Teams channel. For more information about purging Teams messages, see:- eDiscovery solution series: Data spillage scenario - Search and purge- eDiscovery (Premium) workflow for content in Microsoft Teams
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializePurgeDataPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityPurgeDataRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphSecurityPurgeDataRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphSecurityPurgeDataRequestBuilder = MicrosoftGraphSecurityPurgeDataRequestBuilder;
// tslint:enable
// eslint-enable
