import { type BaseCollectionPaginationCountResponse } from '../../../../../../models/baseCollectionPaginationCountResponse';
import { type EdiscoveryReviewTag } from '../../../../../../models/security/ediscoveryReviewTag';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AsHierarchyGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoveryReviewTag[];
}
export declare function createAsHierarchyGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAsHierarchyGetResponse;
export declare function deserializeIntoAsHierarchyGetResponse(asHierarchyGetResponse?: AsHierarchyGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftGraphSecurityAsHierarchyRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeAsHierarchyGetResponse(writer: SerializationWriter, asHierarchyGetResponse?: AsHierarchyGetResponse | undefined): void;
/**
 * Provides operations to call the asHierarchy method.
 */
export declare class MicrosoftGraphSecurityAsHierarchyRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityAsHierarchyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function asHierarchy
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AsHierarchyGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<MicrosoftGraphSecurityAsHierarchyRequestBuilderGetQueryParameters> | undefined): Promise<AsHierarchyGetResponse | undefined>;
    /**
     * Invoke function asHierarchy
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MicrosoftGraphSecurityAsHierarchyRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityAsHierarchyRequestBuilder
     */
    withUrl(rawUrl: string): MicrosoftGraphSecurityAsHierarchyRequestBuilder;
}
