"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphSecurityAsHierarchyRequestBuilder = exports.serializeAsHierarchyGetResponse = exports.deserializeIntoAsHierarchyGetResponse = exports.createAsHierarchyGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const ediscoveryReviewTag_1 = require("../../../../../../models/security/ediscoveryReviewTag");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAsHierarchyGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAsHierarchyGetResponse;
}
exports.createAsHierarchyGetResponseFromDiscriminatorValue = createAsHierarchyGetResponseFromDiscriminatorValue;
function deserializeIntoAsHierarchyGetResponse(asHierarchyGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(asHierarchyGetResponse)), { "value": n => { asHierarchyGetResponse.value = n.getCollectionOfObjectValues(ediscoveryReviewTag_1.createEdiscoveryReviewTagFromDiscriminatorValue); } });
}
exports.deserializeIntoAsHierarchyGetResponse = deserializeIntoAsHierarchyGetResponse;
function serializeAsHierarchyGetResponse(writer, asHierarchyGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, asHierarchyGetResponse);
    writer.writeCollectionOfObjectValues("value", asHierarchyGetResponse.value, ediscoveryReviewTag_1.serializeEdiscoveryReviewTag);
}
exports.serializeAsHierarchyGetResponse = serializeAsHierarchyGetResponse;
/**
 * Provides operations to call the asHierarchy method.
 */
class MicrosoftGraphSecurityAsHierarchyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityAsHierarchyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/security/cases/ediscoveryCases/{ediscoveryCase%2Did}/tags/microsoft.graph.security.asHierarchy(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function asHierarchy
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AsHierarchyGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAsHierarchyGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function asHierarchy
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, microsoftGraphSecurityAsHierarchyRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityAsHierarchyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphSecurityAsHierarchyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphSecurityAsHierarchyRequestBuilder = MicrosoftGraphSecurityAsHierarchyRequestBuilder;
const microsoftGraphSecurityAsHierarchyRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
