"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftGraphSecurityRunHuntingQueryRequestBuilder = exports.serializeRunHuntingQueryPostRequestBody = exports.deserializeIntoRunHuntingQueryPostRequestBody = exports.createRunHuntingQueryPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const huntingQueryResults_1 = require("../../models/security/huntingQueryResults");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRunHuntingQueryPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRunHuntingQueryPostRequestBody;
}
exports.createRunHuntingQueryPostRequestBodyFromDiscriminatorValue = createRunHuntingQueryPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRunHuntingQueryPostRequestBody(runHuntingQueryPostRequestBody = {}) {
    return {
        "query": n => { runHuntingQueryPostRequestBody.query = n.getStringValue(); },
    };
}
exports.deserializeIntoRunHuntingQueryPostRequestBody = deserializeIntoRunHuntingQueryPostRequestBody;
function serializeRunHuntingQueryPostRequestBody(writer, runHuntingQueryPostRequestBody = {}) {
    writer.writeStringValue("query", runHuntingQueryPostRequestBody.query);
    writer.writeAdditionalData(runHuntingQueryPostRequestBody.additionalData);
}
exports.serializeRunHuntingQueryPostRequestBody = serializeRunHuntingQueryPostRequestBody;
/**
 * Provides operations to call the runHuntingQuery method.
 */
class MicrosoftGraphSecurityRunHuntingQueryRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new MicrosoftGraphSecurityRunHuntingQueryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/security/microsoft.graph.security.runHuntingQuery");
    }
    ;
    /**
     * Invoke action runHuntingQuery
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of HuntingQueryResults
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, huntingQueryResults_1.createHuntingQueryResultsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action runHuntingQuery
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRunHuntingQueryPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a microsoftGraphSecurityRunHuntingQueryRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new MicrosoftGraphSecurityRunHuntingQueryRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.MicrosoftGraphSecurityRunHuntingQueryRequestBuilder = MicrosoftGraphSecurityRunHuntingQueryRequestBuilder;
// tslint:enable
// eslint-enable
