import { type AuthoredNote } from '../../../../../models/authoredNote';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface AuthoredNoteItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the notes property of the microsoft.graph.subjectRightsRequest entity.
 */
export declare class AuthoredNoteItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AuthoredNoteItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property notes for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * List of notes associated with the request.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthoredNote
     */
    get(requestConfiguration?: RequestConfiguration<AuthoredNoteItemRequestBuilderGetQueryParameters> | undefined): Promise<AuthoredNote | undefined>;
    /**
     * Update the navigation property notes in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AuthoredNote
     */
    patch(body: AuthoredNote, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<AuthoredNote | undefined>;
    /**
     * Delete navigation property notes for security
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * List of notes associated with the request.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AuthoredNoteItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property notes in security
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: AuthoredNote, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a AuthoredNoteItemRequestBuilder
     */
    withUrl(rawUrl: string): AuthoredNoteItemRequestBuilder;
}
