import { type Artifact } from '../../../../../models/security/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ArtifactRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the artifact property of the microsoft.graph.security.indicator entity.
 */
export declare class ArtifactRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ArtifactRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The artifact related to this indicator.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Artifact
     */
    get(requestConfiguration?: RequestConfiguration<ArtifactRequestBuilderGetQueryParameters> | undefined): Promise<Artifact | undefined>;
    /**
     * The artifact related to this indicator.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ArtifactRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a artifactRequestBuilder
     */
    withUrl(rawUrl: string): ArtifactRequestBuilder;
}
