import { type SslCertificate } from '../../../../../models/security/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface MostRecentSslCertificateRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the mostRecentSslCertificate property of the microsoft.graph.security.hostPort entity.
 */
export declare class MostRecentSslCertificateRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MostRecentSslCertificateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The most recent sslCertificate used to communicate on the port.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SslCertificate
     */
    get(requestConfiguration?: RequestConfiguration<MostRecentSslCertificateRequestBuilderGetQueryParameters> | undefined): Promise<SslCertificate | undefined>;
    /**
     * The most recent sslCertificate used to communicate on the port.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MostRecentSslCertificateRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a mostRecentSslCertificateRequestBuilder
     */
    withUrl(rawUrl: string): MostRecentSslCertificateRequestBuilder;
}
