import { type PassiveDnsRecord } from '../../../../../../models/security/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface PassiveDnsRecordItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the passiveDnsReverse property of the microsoft.graph.security.host entity.
 */
export declare class PassiveDnsRecordItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new PassiveDnsRecordItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Reverse passive DNS retrieval about this host.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of PassiveDnsRecord
     */
    get(requestConfiguration?: RequestConfiguration<PassiveDnsRecordItemRequestBuilderGetQueryParameters> | undefined): Promise<PassiveDnsRecord | undefined>;
    /**
     * Reverse passive DNS retrieval about this host.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<PassiveDnsRecordItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a PassiveDnsRecordItemRequestBuilder
     */
    withUrl(rawUrl: string): PassiveDnsRecordItemRequestBuilder;
}
