import { type HostSslCertificate } from '../../../../../../models/security/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface HostSslCertificateItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the sslCertificates property of the microsoft.graph.security.host entity.
 */
export declare class HostSslCertificateItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new HostSslCertificateItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The hostSslCertificates that are associated with this host.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of HostSslCertificate
     */
    get(requestConfiguration?: RequestConfiguration<HostSslCertificateItemRequestBuilderGetQueryParameters> | undefined): Promise<HostSslCertificate | undefined>;
    /**
     * The hostSslCertificates that are associated with this host.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<HostSslCertificateItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a HostSslCertificateItemRequestBuilder
     */
    withUrl(rawUrl: string): HostSslCertificateItemRequestBuilder;
}
