import { type RetentionEventType } from '../../../../../models/security/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface RetentionEventTypeRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the retentionEventType property of the microsoft.graph.security.retentionEvent entity.
 */
export declare class RetentionEventTypeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new RetentionEventTypeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Specifies the event that will start the retention period for labels that use this event type when an event is created.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of RetentionEventType
     */
    get(requestConfiguration?: RequestConfiguration<RetentionEventTypeRequestBuilderGetQueryParameters> | undefined): Promise<RetentionEventType | undefined>;
    /**
     * Specifies the event that will start the retention period for labels that use this event type when an event is created.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<RetentionEventTypeRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a retentionEventTypeRequestBuilder
     */
    withUrl(rawUrl: string): RetentionEventTypeRequestBuilder;
}
