"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddTokenSigningCertificateRequestBuilder = exports.serializeAddTokenSigningCertificatePostRequestBody = exports.deserializeIntoAddTokenSigningCertificatePostRequestBody = exports.createAddTokenSigningCertificatePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const selfSignedCertificate_1 = require("../../../models/selfSignedCertificate");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAddTokenSigningCertificatePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAddTokenSigningCertificatePostRequestBody;
}
exports.createAddTokenSigningCertificatePostRequestBodyFromDiscriminatorValue = createAddTokenSigningCertificatePostRequestBodyFromDiscriminatorValue;
function deserializeIntoAddTokenSigningCertificatePostRequestBody(addTokenSigningCertificatePostRequestBody = {}) {
    return {
        "displayName": n => { addTokenSigningCertificatePostRequestBody.displayName = n.getStringValue(); },
        "endDateTime": n => { addTokenSigningCertificatePostRequestBody.endDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoAddTokenSigningCertificatePostRequestBody = deserializeIntoAddTokenSigningCertificatePostRequestBody;
function serializeAddTokenSigningCertificatePostRequestBody(writer, addTokenSigningCertificatePostRequestBody = {}) {
    writer.writeStringValue("displayName", addTokenSigningCertificatePostRequestBody.displayName);
    writer.writeDateValue("endDateTime", addTokenSigningCertificatePostRequestBody.endDateTime);
    writer.writeAdditionalData(addTokenSigningCertificatePostRequestBody.additionalData);
}
exports.serializeAddTokenSigningCertificatePostRequestBody = serializeAddTokenSigningCertificatePostRequestBody;
/**
 * Provides operations to call the addTokenSigningCertificate method.
 */
class AddTokenSigningCertificateRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AddTokenSigningCertificateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/addTokenSigningCertificate");
    }
    ;
    /**
     * Create a self-signed signing certificate and return a selfSignedCertificate object, which is the public part of the generated certificate.  The self-signed signing certificate is composed of the following objects, which are added to the servicePrincipal: + The keyCredentials object with the following objects:    + A private key object with usage set to Sign.    + A public key object with usage set to Verify.+ The passwordCredentials object.  All the objects have the same value of customKeyIdentifier. The passwordCredential is used to open the PFX file (private key). It and the associated private key object have the same value of keyId. When set during creation through the displayName property, the subject of the certificate cannot be updated. The startDateTime is set to the same time the certificate is created using the action. The endDateTime can be up to three years after the certificate is created.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SelfSignedCertificate
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-addtokensigningcertificate?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, selfSignedCertificate_1.createSelfSignedCertificateFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create a self-signed signing certificate and return a selfSignedCertificate object, which is the public part of the generated certificate.  The self-signed signing certificate is composed of the following objects, which are added to the servicePrincipal: + The keyCredentials object with the following objects:    + A private key object with usage set to Sign.    + A public key object with usage set to Verify.+ The passwordCredentials object.  All the objects have the same value of customKeyIdentifier. The passwordCredential is used to open the PFX file (private key). It and the associated private key object have the same value of keyId. When set during creation through the displayName property, the subject of the certificate cannot be updated. The startDateTime is set to the same time the certificate is created using the action. The endDateTime can be up to three years after the certificate is created.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeAddTokenSigningCertificatePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a addTokenSigningCertificateRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AddTokenSigningCertificateRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AddTokenSigningCertificateRequestBuilder = AddTokenSigningCertificateRequestBuilder;
// tslint:enable
// eslint-enable
