import { type ServicePrincipal } from '../../models/servicePrincipal';
import { AddKeyRequestBuilder } from './addKey/';
import { AddPasswordRequestBuilder } from './addPassword/';
import { AddTokenSigningCertificateRequestBuilder } from './addTokenSigningCertificate/';
import { AppManagementPoliciesRequestBuilder } from './appManagementPolicies/';
import { AppRoleAssignedToRequestBuilder } from './appRoleAssignedTo/';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/';
import { ClaimsMappingPoliciesRequestBuilder } from './claimsMappingPolicies/';
import { CreatedObjectsRequestBuilder } from './createdObjects/';
import { DelegatedPermissionClassificationsRequestBuilder } from './delegatedPermissionClassifications/';
import { EndpointsRequestBuilder } from './endpoints/';
import { FederatedIdentityCredentialsRequestBuilder } from './federatedIdentityCredentials/';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/';
import { HomeRealmDiscoveryPoliciesRequestBuilder } from './homeRealmDiscoveryPolicies/';
import { MemberOfRequestBuilder } from './memberOf/';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/';
import { OwnedObjectsRequestBuilder } from './ownedObjects/';
import { OwnersRequestBuilder } from './owners/';
import { RemoteDesktopSecurityConfigurationRequestBuilder } from './remoteDesktopSecurityConfiguration/';
import { RemoveKeyRequestBuilder } from './removeKey/';
import { RemovePasswordRequestBuilder } from './removePassword/';
import { RestoreRequestBuilder } from './restore/';
import { SynchronizationRequestBuilder } from './synchronization/';
import { TokenIssuancePoliciesRequestBuilder } from './tokenIssuancePolicies/';
import { TokenLifetimePoliciesRequestBuilder } from './tokenLifetimePolicies/';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface ServicePrincipalItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the collection of servicePrincipal entities.
 */
export declare class ServicePrincipalItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to call the addKey method.
     */
    get addKey(): AddKeyRequestBuilder;
    /**
     * Provides operations to call the addPassword method.
     */
    get addPassword(): AddPasswordRequestBuilder;
    /**
     * Provides operations to call the addTokenSigningCertificate method.
     */
    get addTokenSigningCertificate(): AddTokenSigningCertificateRequestBuilder;
    /**
     * Provides operations to manage the appManagementPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get appManagementPolicies(): AppManagementPoliciesRequestBuilder;
    /**
     * Provides operations to manage the appRoleAssignedTo property of the microsoft.graph.servicePrincipal entity.
     */
    get appRoleAssignedTo(): AppRoleAssignedToRequestBuilder;
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.servicePrincipal entity.
     */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the claimsMappingPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get claimsMappingPolicies(): ClaimsMappingPoliciesRequestBuilder;
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.servicePrincipal entity.
     */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /**
     * Provides operations to manage the delegatedPermissionClassifications property of the microsoft.graph.servicePrincipal entity.
     */
    get delegatedPermissionClassifications(): DelegatedPermissionClassificationsRequestBuilder;
    /**
     * Provides operations to manage the endpoints property of the microsoft.graph.servicePrincipal entity.
     */
    get endpoints(): EndpointsRequestBuilder;
    /**
     * Provides operations to manage the federatedIdentityCredentials property of the microsoft.graph.servicePrincipal entity.
     */
    get federatedIdentityCredentials(): FederatedIdentityCredentialsRequestBuilder;
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the homeRealmDiscoveryPolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get homeRealmDiscoveryPolicies(): HomeRealmDiscoveryPoliciesRequestBuilder;
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.servicePrincipal entity.
     */
    get memberOf(): MemberOfRequestBuilder;
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.servicePrincipal entity.
     */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.servicePrincipal entity.
     */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /**
     * Provides operations to manage the owners property of the microsoft.graph.servicePrincipal entity.
     */
    get owners(): OwnersRequestBuilder;
    /**
     * Provides operations to manage the remoteDesktopSecurityConfiguration property of the microsoft.graph.servicePrincipal entity.
     */
    get remoteDesktopSecurityConfiguration(): RemoteDesktopSecurityConfigurationRequestBuilder;
    /**
     * Provides operations to call the removeKey method.
     */
    get removeKey(): RemoveKeyRequestBuilder;
    /**
     * Provides operations to call the removePassword method.
     */
    get removePassword(): RemovePasswordRequestBuilder;
    /**
     * Provides operations to call the restore method.
     */
    get restore(): RestoreRequestBuilder;
    /**
     * Provides operations to manage the synchronization property of the microsoft.graph.servicePrincipal entity.
     */
    get synchronization(): SynchronizationRequestBuilder;
    /**
     * Provides operations to manage the tokenIssuancePolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get tokenIssuancePolicies(): TokenIssuancePoliciesRequestBuilder;
    /**
     * Provides operations to manage the tokenLifetimePolicies property of the microsoft.graph.servicePrincipal entity.
     */
    get tokenLifetimePolicies(): TokenLifetimePoliciesRequestBuilder;
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.servicePrincipal entity.
     */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /**
     * Instantiates a new ServicePrincipalItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete a servicePrincipal object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Retrieve the properties and relationships of a servicePrincipal object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ServicePrincipal
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<ServicePrincipalItemRequestBuilderGetQueryParameters> | undefined): Promise<ServicePrincipal | undefined>;
    /**
     * Update entity in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ServicePrincipal
     */
    patch(body: ServicePrincipal, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ServicePrincipal | undefined>;
    /**
     * Delete a servicePrincipal object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Retrieve the properties and relationships of a servicePrincipal object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<ServicePrincipalItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update entity in servicePrincipals
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: ServicePrincipal, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a ServicePrincipalItemRequestBuilder
     */
    withUrl(rawUrl: string): ServicePrincipalItemRequestBuilder;
}
