"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemovePasswordRequestBuilder = exports.serializeRemovePasswordPostRequestBody = exports.deserializeIntoRemovePasswordPostRequestBody = exports.createRemovePasswordPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRemovePasswordPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRemovePasswordPostRequestBody;
}
exports.createRemovePasswordPostRequestBodyFromDiscriminatorValue = createRemovePasswordPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRemovePasswordPostRequestBody(removePasswordPostRequestBody = {}) {
    return {
        "keyId": n => { removePasswordPostRequestBody.keyId = n.getGuidValue(); },
    };
}
exports.deserializeIntoRemovePasswordPostRequestBody = deserializeIntoRemovePasswordPostRequestBody;
function serializeRemovePasswordPostRequestBody(writer, removePasswordPostRequestBody = {}) {
    writer.writeGuidValue("keyId", removePasswordPostRequestBody.keyId);
    writer.writeAdditionalData(removePasswordPostRequestBody.additionalData);
}
exports.serializeRemovePasswordPostRequestBody = serializeRemovePasswordPostRequestBody;
/**
 * Provides operations to call the removePassword method.
 */
class RemovePasswordRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RemovePasswordRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/removePassword");
    }
    ;
    /**
     * Remove a password from a servicePrincipal object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/serviceprincipal-removepassword?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Remove a password from a servicePrincipal object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRemovePasswordPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a removePasswordRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RemovePasswordRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RemovePasswordRequestBuilder = RemovePasswordRequestBuilder;
// tslint:enable
// eslint-enable
