import { type StringKeyStringValuePair } from '../../../../../../models/stringKeyStringValuePair';
import { type SynchronizationJobApplicationParameters } from '../../../../../../models/synchronizationJobApplicationParameters';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisionOnDemandPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisionOnDemandPostRequestBody;
export declare function deserializeIntoProvisionOnDemandPostRequestBody(provisionOnDemandPostRequestBody?: ProvisionOnDemandPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisionOnDemandPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The parameters property
     */
    parameters?: SynchronizationJobApplicationParameters[];
}
export declare function serializeProvisionOnDemandPostRequestBody(writer: SerializationWriter, provisionOnDemandPostRequestBody?: ProvisionOnDemandPostRequestBody | undefined): void;
/**
 * Provides operations to call the provisionOnDemand method.
 */
export declare class ProvisionOnDemandRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ProvisionOnDemandRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Select a user and provision the account on-demand. The rate limit for this API is 5 requests per 10 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of StringKeyStringValuePair
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationjob-provisionondemand?view=graph-rest-1.0|Find more info here}
     */
    post(body: ProvisionOnDemandPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<StringKeyStringValuePair | undefined>;
    /**
     * Select a user and provision the account on-demand. The rate limit for this API is 5 requests per 10 seconds.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ProvisionOnDemandPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a provisionOnDemandRequestBuilder
     */
    withUrl(rawUrl: string): ProvisionOnDemandRequestBuilder;
}
