"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestartRequestBuilder = exports.serializeRestartPostRequestBody = exports.deserializeIntoRestartPostRequestBody = exports.createRestartPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const synchronizationJobRestartCriteria_1 = require("../../../../../../models/synchronizationJobRestartCriteria");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createRestartPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRestartPostRequestBody;
}
exports.createRestartPostRequestBodyFromDiscriminatorValue = createRestartPostRequestBodyFromDiscriminatorValue;
function deserializeIntoRestartPostRequestBody(restartPostRequestBody = {}) {
    return {
        "criteria": n => { restartPostRequestBody.criteria = n.getObjectValue(synchronizationJobRestartCriteria_1.createSynchronizationJobRestartCriteriaFromDiscriminatorValue); },
    };
}
exports.deserializeIntoRestartPostRequestBody = deserializeIntoRestartPostRequestBody;
function serializeRestartPostRequestBody(writer, restartPostRequestBody = {}) {
    writer.writeObjectValue("criteria", restartPostRequestBody.criteria, synchronizationJobRestartCriteria_1.serializeSynchronizationJobRestartCriteria);
    writer.writeAdditionalData(restartPostRequestBody.additionalData);
}
exports.serializeRestartPostRequestBody = serializeRestartPostRequestBody;
/**
 * Provides operations to call the restart method.
 */
class RestartRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new RestartRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/synchronization/jobs/{synchronizationJob%2Did}/restart");
    }
    ;
    /**
     * Restart a stopped synchronization job, forcing it to reprocess all the objects in the directory. Optionally clears existing the synchronization state and previous errors.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationjob-restart?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Restart a stopped synchronization job, forcing it to reprocess all the objects in the directory. Optionally clears existing the synchronization state and previous errors.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeRestartPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a restartRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new RestartRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.RestartRequestBuilder = RestartRequestBuilder;
// tslint:enable
// eslint-enable
