"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterOperatorsRequestBuilder = exports.serializeFilterOperatorsGetResponse = exports.deserializeIntoFilterOperatorsGetResponse = exports.createFilterOperatorsGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../../../models/baseCollectionPaginationCountResponse");
const filterOperatorSchema_1 = require("../../../../../../../models/filterOperatorSchema");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFilterOperatorsGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFilterOperatorsGetResponse;
}
exports.createFilterOperatorsGetResponseFromDiscriminatorValue = createFilterOperatorsGetResponseFromDiscriminatorValue;
function deserializeIntoFilterOperatorsGetResponse(filterOperatorsGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(filterOperatorsGetResponse)), { "value": n => { filterOperatorsGetResponse.value = n.getCollectionOfObjectValues(filterOperatorSchema_1.createFilterOperatorSchemaFromDiscriminatorValue); } });
}
exports.deserializeIntoFilterOperatorsGetResponse = deserializeIntoFilterOperatorsGetResponse;
function serializeFilterOperatorsGetResponse(writer, filterOperatorsGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, filterOperatorsGetResponse);
    writer.writeCollectionOfObjectValues("value", filterOperatorsGetResponse.value, filterOperatorSchema_1.serializeFilterOperatorSchema);
}
exports.serializeFilterOperatorsGetResponse = serializeFilterOperatorsGetResponse;
/**
 * Provides operations to call the filterOperators method.
 */
class FilterOperatorsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FilterOperatorsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/synchronization/jobs/{synchronizationJob%2Did}/schema/filterOperators(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FilterOperatorsGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createFilterOperatorsGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function filterOperators
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, filterOperatorsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a filterOperatorsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FilterOperatorsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FilterOperatorsRequestBuilder = FilterOperatorsRequestBuilder;
const filterOperatorsRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
