"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionsRequestBuilder = exports.serializeFunctionsGetResponse = exports.deserializeIntoFunctionsGetResponse = exports.createFunctionsGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attributeMappingFunctionSchema_1 = require("../../../../../../../models/attributeMappingFunctionSchema");
const baseCollectionPaginationCountResponse_1 = require("../../../../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFunctionsGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFunctionsGetResponse;
}
exports.createFunctionsGetResponseFromDiscriminatorValue = createFunctionsGetResponseFromDiscriminatorValue;
function deserializeIntoFunctionsGetResponse(functionsGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(functionsGetResponse)), { "value": n => { functionsGetResponse.value = n.getCollectionOfObjectValues(attributeMappingFunctionSchema_1.createAttributeMappingFunctionSchemaFromDiscriminatorValue); } });
}
exports.deserializeIntoFunctionsGetResponse = deserializeIntoFunctionsGetResponse;
function serializeFunctionsGetResponse(writer, functionsGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, functionsGetResponse);
    writer.writeCollectionOfObjectValues("value", functionsGetResponse.value, attributeMappingFunctionSchema_1.serializeAttributeMappingFunctionSchema);
}
exports.serializeFunctionsGetResponse = serializeFunctionsGetResponse;
/**
 * Provides operations to call the functions method.
 */
class FunctionsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FunctionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/synchronization/jobs/{synchronizationJob%2Did}/schema/functions(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function functions
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of FunctionsGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createFunctionsGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function functions
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, functionsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a functionsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FunctionsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FunctionsRequestBuilder = FunctionsRequestBuilder;
const functionsRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
