import { type AttributeDefinition } from '../../../../../../../models/attributeDefinition';
import { type ExpressionInputObject } from '../../../../../../../models/expressionInputObject';
import { type ParseExpressionResponse } from '../../../../../../../models/parseExpressionResponse';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParseExpressionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParseExpressionPostRequestBody;
export declare function deserializeIntoParseExpressionPostRequestBody(parseExpressionPostRequestBody?: ParseExpressionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface ParseExpressionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The expression property
     */
    expression?: string;
    /**
     * The targetAttributeDefinition property
     */
    targetAttributeDefinition?: AttributeDefinition;
    /**
     * The testInputObject property
     */
    testInputObject?: ExpressionInputObject;
}
export declare function serializeParseExpressionPostRequestBody(writer: SerializationWriter, parseExpressionPostRequestBody?: ParseExpressionPostRequestBody | undefined): void;
/**
 * Provides operations to call the parseExpression method.
 */
export declare class ParseExpressionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new ParseExpressionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Parse a given string expression into an attributeMappingSource object. For more information about expressions, see Writing Expressions for Attribute Mappings in Microsoft Entra ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ParseExpressionResponse
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationschema-parseexpression?view=graph-rest-1.0|Find more info here}
     */
    post(body: ParseExpressionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<ParseExpressionResponse | undefined>;
    /**
     * Parse a given string expression into an attributeMappingSource object. For more information about expressions, see Writing Expressions for Attribute Mappings in Microsoft Entra ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: ParseExpressionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a parseExpressionRequestBuilder
     */
    withUrl(rawUrl: string): ParseExpressionRequestBuilder;
}
