"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParseExpressionRequestBuilder = exports.serializeParseExpressionPostRequestBody = exports.deserializeIntoParseExpressionPostRequestBody = exports.createParseExpressionPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attributeDefinition_1 = require("../../../../../../../models/attributeDefinition");
const expressionInputObject_1 = require("../../../../../../../models/expressionInputObject");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const parseExpressionResponse_1 = require("../../../../../../../models/parseExpressionResponse");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createParseExpressionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoParseExpressionPostRequestBody;
}
exports.createParseExpressionPostRequestBodyFromDiscriminatorValue = createParseExpressionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoParseExpressionPostRequestBody(parseExpressionPostRequestBody = {}) {
    return {
        "expression": n => { parseExpressionPostRequestBody.expression = n.getStringValue(); },
        "targetAttributeDefinition": n => { parseExpressionPostRequestBody.targetAttributeDefinition = n.getObjectValue(attributeDefinition_1.createAttributeDefinitionFromDiscriminatorValue); },
        "testInputObject": n => { parseExpressionPostRequestBody.testInputObject = n.getObjectValue(expressionInputObject_1.createExpressionInputObjectFromDiscriminatorValue); },
    };
}
exports.deserializeIntoParseExpressionPostRequestBody = deserializeIntoParseExpressionPostRequestBody;
function serializeParseExpressionPostRequestBody(writer, parseExpressionPostRequestBody = {}) {
    writer.writeStringValue("expression", parseExpressionPostRequestBody.expression);
    writer.writeObjectValue("targetAttributeDefinition", parseExpressionPostRequestBody.targetAttributeDefinition, attributeDefinition_1.serializeAttributeDefinition);
    writer.writeObjectValue("testInputObject", parseExpressionPostRequestBody.testInputObject, expressionInputObject_1.serializeExpressionInputObject);
    writer.writeAdditionalData(parseExpressionPostRequestBody.additionalData);
}
exports.serializeParseExpressionPostRequestBody = serializeParseExpressionPostRequestBody;
/**
 * Provides operations to call the parseExpression method.
 */
class ParseExpressionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ParseExpressionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/servicePrincipals/{servicePrincipal%2Did}/synchronization/templates/{synchronizationTemplate%2Did}/schema/parseExpression");
    }
    ;
    /**
     * Parse a given string expression into an attributeMappingSource object. For more information about expressions, see Writing Expressions for Attribute Mappings in Microsoft Entra ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ParseExpressionResponse
     * @see {@link https://learn.microsoft.com/graph/api/synchronization-synchronizationschema-parseexpression?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, parseExpressionResponse_1.createParseExpressionResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Parse a given string expression into an attributeMappingSource object. For more information about expressions, see Writing Expressions for Attribute Mappings in Microsoft Entra ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeParseExpressionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a parseExpressionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ParseExpressionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ParseExpressionRequestBuilder = ParseExpressionRequestBuilder;
// tslint:enable
// eslint-enable
