"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrantRequestBuilder = exports.serializeGrantPostResponse = exports.serializeGrantPostRequestBody = exports.deserializeIntoGrantPostResponse = exports.deserializeIntoGrantPostRequestBody = exports.createGrantPostResponseFromDiscriminatorValue = exports.createGrantPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const driveRecipient_1 = require("../../../../models/driveRecipient");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const permission_1 = require("../../../../models/permission");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGrantPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGrantPostRequestBody;
}
exports.createGrantPostRequestBodyFromDiscriminatorValue = createGrantPostRequestBodyFromDiscriminatorValue;
function createGrantPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGrantPostResponse;
}
exports.createGrantPostResponseFromDiscriminatorValue = createGrantPostResponseFromDiscriminatorValue;
function deserializeIntoGrantPostRequestBody(grantPostRequestBody = {}) {
    return {
        "recipients": n => { grantPostRequestBody.recipients = n.getCollectionOfObjectValues(driveRecipient_1.createDriveRecipientFromDiscriminatorValue); },
        "roles": n => { grantPostRequestBody.roles = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoGrantPostRequestBody = deserializeIntoGrantPostRequestBody;
function deserializeIntoGrantPostResponse(grantPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(grantPostResponse)), { "value": n => { grantPostResponse.value = n.getCollectionOfObjectValues(permission_1.createPermissionFromDiscriminatorValue); } });
}
exports.deserializeIntoGrantPostResponse = deserializeIntoGrantPostResponse;
function serializeGrantPostRequestBody(writer, grantPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("recipients", grantPostRequestBody.recipients, driveRecipient_1.serializeDriveRecipient);
    writer.writeCollectionOfPrimitiveValues("roles", grantPostRequestBody.roles);
    writer.writeAdditionalData(grantPostRequestBody.additionalData);
}
exports.serializeGrantPostRequestBody = serializeGrantPostRequestBody;
function serializeGrantPostResponse(writer, grantPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, grantPostResponse);
    writer.writeCollectionOfObjectValues("value", grantPostResponse.value, permission_1.serializePermission);
}
exports.serializeGrantPostResponse = serializeGrantPostResponse;
/**
 * Provides operations to call the grant method.
 */
class GrantRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GrantRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/shares/{sharedDriveItem%2Did}/permission/grant");
    }
    ;
    /**
     * Grant users access to a link represented by a [permission][].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GrantPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/permission-grant?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGrantPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Grant users access to a link represented by a [permission][].
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGrantPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a grantRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GrantRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GrantRequestBuilder = GrantRequestBuilder;
// tslint:enable
// eslint-enable
