import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type ContentType } from '../../../../models/contentType';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetCompatibleHubContentTypesGetResponse;
export declare function deserializeIntoGetCompatibleHubContentTypesGetResponse(getCompatibleHubContentTypesGetResponse?: GetCompatibleHubContentTypesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetCompatibleHubContentTypesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ContentType[];
}
export interface GetCompatibleHubContentTypesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetCompatibleHubContentTypesGetResponse(writer: SerializationWriter, getCompatibleHubContentTypesGetResponse?: GetCompatibleHubContentTypesGetResponse | undefined): void;
/**
 * Provides operations to call the getCompatibleHubContentTypes method.
 */
export declare class GetCompatibleHubContentTypesRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetCompatibleHubContentTypesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getCompatibleHubContentTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetCompatibleHubContentTypesGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetCompatibleHubContentTypesRequestBuilderGetQueryParameters> | undefined): Promise<GetCompatibleHubContentTypesGetResponse | undefined>;
    /**
     * Invoke function getCompatibleHubContentTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetCompatibleHubContentTypesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getCompatibleHubContentTypesRequestBuilder
     */
    withUrl(rawUrl: string): GetCompatibleHubContentTypesRequestBuilder;
}
