"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyToDefaultContentLocationRequestBuilder = exports.serializeCopyToDefaultContentLocationPostRequestBody = exports.deserializeIntoCopyToDefaultContentLocationPostRequestBody = exports.createCopyToDefaultContentLocationPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const itemReference_1 = require("../../../../../models/itemReference");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyToDefaultContentLocationPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToDefaultContentLocationPostRequestBody;
}
exports.createCopyToDefaultContentLocationPostRequestBodyFromDiscriminatorValue = createCopyToDefaultContentLocationPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToDefaultContentLocationPostRequestBody(copyToDefaultContentLocationPostRequestBody = {}) {
    return {
        "destinationFileName": n => { copyToDefaultContentLocationPostRequestBody.destinationFileName = n.getStringValue(); },
        "sourceFile": n => { copyToDefaultContentLocationPostRequestBody.sourceFile = n.getObjectValue(itemReference_1.createItemReferenceFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCopyToDefaultContentLocationPostRequestBody = deserializeIntoCopyToDefaultContentLocationPostRequestBody;
function serializeCopyToDefaultContentLocationPostRequestBody(writer, copyToDefaultContentLocationPostRequestBody = {}) {
    writer.writeStringValue("destinationFileName", copyToDefaultContentLocationPostRequestBody.destinationFileName);
    writer.writeObjectValue("sourceFile", copyToDefaultContentLocationPostRequestBody.sourceFile, itemReference_1.serializeItemReference);
    writer.writeAdditionalData(copyToDefaultContentLocationPostRequestBody.additionalData);
}
exports.serializeCopyToDefaultContentLocationPostRequestBody = serializeCopyToDefaultContentLocationPostRequestBody;
/**
 * Provides operations to call the copyToDefaultContentLocation method.
 */
class CopyToDefaultContentLocationRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyToDefaultContentLocationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/sites/{site%2Did}/contentTypes/{contentType%2Did}/copyToDefaultContentLocation");
    }
    ;
    /**
     * Copy a file to a default content location in a [content type][contentType]. The file can then be added as a default file or template via a POST operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/contenttype-copytodefaultcontentlocation?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Copy a file to a default content location in a [content type][contentType]. The file can then be added as a default file or template via a POST operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyToDefaultContentLocationPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyToDefaultContentLocationRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyToDefaultContentLocationRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyToDefaultContentLocationRequestBuilder = CopyToDefaultContentLocationRequestBuilder;
// tslint:enable
// eslint-enable
