import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ItemActivityStat } from '../../../models/itemActivityStat';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetActivitiesByIntervalGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetActivitiesByIntervalGetResponse;
export declare function deserializeIntoGetActivitiesByIntervalGetResponse(getActivitiesByIntervalGetResponse?: GetActivitiesByIntervalGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetActivitiesByIntervalGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ItemActivityStat[];
}
export interface GetActivitiesByIntervalRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetActivitiesByIntervalGetResponse(writer: SerializationWriter, getActivitiesByIntervalGetResponse?: GetActivitiesByIntervalGetResponse | undefined): void;
/**
 * Provides operations to call the getActivitiesByInterval method.
 */
export declare class GetActivitiesByIntervalRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetActivitiesByIntervalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getActivitiesByInterval
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetActivitiesByIntervalGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetActivitiesByIntervalRequestBuilderGetQueryParameters> | undefined): Promise<GetActivitiesByIntervalGetResponse | undefined>;
    /**
     * Invoke function getActivitiesByInterval
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetActivitiesByIntervalRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getActivitiesByIntervalRequestBuilder
     */
    withUrl(rawUrl: string): GetActivitiesByIntervalRequestBuilder;
}
