"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetCompatibleHubContentTypesRequestBuilder = exports.serializeGetCompatibleHubContentTypesGetResponse = exports.deserializeIntoGetCompatibleHubContentTypesGetResponse = exports.createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../../models/baseCollectionPaginationCountResponse");
const contentType_1 = require("../../../../../../models/contentType");
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetCompatibleHubContentTypesGetResponse;
}
exports.createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue = createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue;
function deserializeIntoGetCompatibleHubContentTypesGetResponse(getCompatibleHubContentTypesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getCompatibleHubContentTypesGetResponse)), { "value": n => { getCompatibleHubContentTypesGetResponse.value = n.getCollectionOfObjectValues(contentType_1.createContentTypeFromDiscriminatorValue); } });
}
exports.deserializeIntoGetCompatibleHubContentTypesGetResponse = deserializeIntoGetCompatibleHubContentTypesGetResponse;
function serializeGetCompatibleHubContentTypesGetResponse(writer, getCompatibleHubContentTypesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getCompatibleHubContentTypesGetResponse);
    writer.writeCollectionOfObjectValues("value", getCompatibleHubContentTypesGetResponse.value, contentType_1.serializeContentType);
}
exports.serializeGetCompatibleHubContentTypesGetResponse = serializeGetCompatibleHubContentTypesGetResponse;
/**
 * Provides operations to call the getCompatibleHubContentTypes method.
 */
class GetCompatibleHubContentTypesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetCompatibleHubContentTypesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/sites/{site%2Did}/lists/{list%2Did}/contentTypes/getCompatibleHubContentTypes(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Invoke function getCompatibleHubContentTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetCompatibleHubContentTypesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetCompatibleHubContentTypesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getCompatibleHubContentTypes
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getCompatibleHubContentTypesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getCompatibleHubContentTypesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetCompatibleHubContentTypesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetCompatibleHubContentTypesRequestBuilder = GetCompatibleHubContentTypesRequestBuilder;
const getCompatibleHubContentTypesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
