import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIsPublishedGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIsPublishedGetResponse;
export declare function deserializeIntoIsPublishedGetResponse(isPublishedGetResponse?: IsPublishedGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IsPublishedGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: boolean;
}
export declare function serializeIsPublishedGetResponse(writer: SerializationWriter, isPublishedGetResponse?: IsPublishedGetResponse | undefined): void;
/**
 * Provides operations to call the isPublished method.
 */
export declare class IsPublishedRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new IsPublishedRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function isPublished
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of IsPublishedGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<IsPublishedGetResponse | undefined>;
    /**
     * Invoke function isPublished
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a isPublishedRequestBuilder
     */
    withUrl(rawUrl: string): IsPublishedRequestBuilder;
}
