"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetNotebookFromWebUrlRequestBuilder = exports.serializeGetNotebookFromWebUrlPostRequestBody = exports.deserializeIntoGetNotebookFromWebUrlPostRequestBody = exports.createGetNotebookFromWebUrlPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const copyNotebookModel_1 = require("../../../../../models/copyNotebookModel");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetNotebookFromWebUrlPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetNotebookFromWebUrlPostRequestBody;
}
exports.createGetNotebookFromWebUrlPostRequestBodyFromDiscriminatorValue = createGetNotebookFromWebUrlPostRequestBodyFromDiscriminatorValue;
function deserializeIntoGetNotebookFromWebUrlPostRequestBody(getNotebookFromWebUrlPostRequestBody = {}) {
    return {
        "webUrl": n => { getNotebookFromWebUrlPostRequestBody.webUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoGetNotebookFromWebUrlPostRequestBody = deserializeIntoGetNotebookFromWebUrlPostRequestBody;
function serializeGetNotebookFromWebUrlPostRequestBody(writer, getNotebookFromWebUrlPostRequestBody = {}) {
    writer.writeStringValue("webUrl", getNotebookFromWebUrlPostRequestBody.webUrl);
    writer.writeAdditionalData(getNotebookFromWebUrlPostRequestBody.additionalData);
}
exports.serializeGetNotebookFromWebUrlPostRequestBody = serializeGetNotebookFromWebUrlPostRequestBody;
/**
 * Provides operations to call the getNotebookFromWebUrl method.
 */
class GetNotebookFromWebUrlRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetNotebookFromWebUrlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/sites/{site%2Did}/onenote/notebooks/getNotebookFromWebUrl");
    }
    ;
    /**
     * Retrieve the properties and relationships of a notebook object by using its URL path. The location can be user notebooks on Microsoft 365, group notebooks, or SharePoint site-hosted team notebooks on Microsoft 365.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CopyNotebookModel
     * @see {@link https://learn.microsoft.com/graph/api/notebook-getnotebookfromweburl?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, copyNotebookModel_1.createCopyNotebookModelFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Retrieve the properties and relationships of a notebook object by using its URL path. The location can be user notebooks on Microsoft 365, group notebooks, or SharePoint site-hosted team notebooks on Microsoft 365.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetNotebookFromWebUrlPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getNotebookFromWebUrlRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetNotebookFromWebUrlRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetNotebookFromWebUrlRequestBuilder = GetNotebookFromWebUrlRequestBuilder;
// tslint:enable
// eslint-enable
