"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder = exports.serializeGetRecentNotebooksWithIncludePersonalNotebooksGetResponse = exports.deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse = exports.createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const recentNotebook_1 = require("../../../../../models/recentNotebook");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse;
}
exports.createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue = createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue;
function deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse(getRecentNotebooksWithIncludePersonalNotebooksGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getRecentNotebooksWithIncludePersonalNotebooksGetResponse)), { "value": n => { getRecentNotebooksWithIncludePersonalNotebooksGetResponse.value = n.getCollectionOfObjectValues(recentNotebook_1.createRecentNotebookFromDiscriminatorValue); } });
}
exports.deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse = deserializeIntoGetRecentNotebooksWithIncludePersonalNotebooksGetResponse;
function serializeGetRecentNotebooksWithIncludePersonalNotebooksGetResponse(writer, getRecentNotebooksWithIncludePersonalNotebooksGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getRecentNotebooksWithIncludePersonalNotebooksGetResponse);
    writer.writeCollectionOfObjectValues("value", getRecentNotebooksWithIncludePersonalNotebooksGetResponse.value, recentNotebook_1.serializeRecentNotebook);
}
exports.serializeGetRecentNotebooksWithIncludePersonalNotebooksGetResponse = serializeGetRecentNotebooksWithIncludePersonalNotebooksGetResponse;
/**
 * Provides operations to call the getRecentNotebooks method.
 */
class GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder and sets the default values.
     * @param includePersonalNotebooks Usage: includePersonalNotebooks={includePersonalNotebooks}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, includePersonalNotebooks) {
        super(pathParameters, requestAdapter, "{+baseurl}/sites/{site%2Did}/onenote/notebooks/getRecentNotebooks(includePersonalNotebooks={includePersonalNotebooks}){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["includePersonalNotebooks"] = includePersonalNotebooks;
    }
    ;
    /**
     * Invoke function getRecentNotebooks
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetRecentNotebooksWithIncludePersonalNotebooksGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetRecentNotebooksWithIncludePersonalNotebooksGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getRecentNotebooks
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getRecentNotebooksWithIncludePersonalNotebooksRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getRecentNotebooksWithIncludePersonalNotebooksRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder = GetRecentNotebooksWithIncludePersonalNotebooksRequestBuilder;
const getRecentNotebooksWithIncludePersonalNotebooksRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
