import { type OnenotePatchContentCommand } from '../../../../../../../../../../models/onenotePatchContentCommand';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePatchContentPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePatchContentPostRequestBody;
export declare function deserializeIntoOnenotePatchContentPostRequestBody(onenotePatchContentPostRequestBody?: OnenotePatchContentPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePatchContentPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The commands property
     */
    commands?: OnenotePatchContentCommand[];
}
export declare function serializeOnenotePatchContentPostRequestBody(writer: SerializationWriter, onenotePatchContentPostRequestBody?: OnenotePatchContentPostRequestBody | undefined): void;
/**
 * Provides operations to call the onenotePatchContent method.
 */
export declare class OnenotePatchContentRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new OnenotePatchContentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action onenotePatchContent
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: OnenotePatchContentPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action onenotePatchContent
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: OnenotePatchContentPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a onenotePatchContentRequestBuilder
     */
    withUrl(rawUrl: string): OnenotePatchContentRequestBuilder;
}
