"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyToSectionRequestBuilder = exports.serializeCopyToSectionPostRequestBody = exports.deserializeIntoCopyToSectionPostRequestBody = exports.createCopyToSectionPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const onenoteOperation_1 = require("../../../../../../../../../../models/onenoteOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyToSectionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyToSectionPostRequestBody;
}
exports.createCopyToSectionPostRequestBodyFromDiscriminatorValue = createCopyToSectionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyToSectionPostRequestBody(copyToSectionPostRequestBody = {}) {
    return {
        "groupId": n => { copyToSectionPostRequestBody.groupId = n.getStringValue(); },
        "id": n => { copyToSectionPostRequestBody.id = n.getStringValue(); },
        "siteCollectionId": n => { copyToSectionPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyToSectionPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyToSectionPostRequestBody = deserializeIntoCopyToSectionPostRequestBody;
function serializeCopyToSectionPostRequestBody(writer, copyToSectionPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyToSectionPostRequestBody.groupId);
    writer.writeStringValue("id", copyToSectionPostRequestBody.id);
    writer.writeStringValue("siteCollectionId", copyToSectionPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyToSectionPostRequestBody.siteId);
    writer.writeAdditionalData(copyToSectionPostRequestBody.additionalData);
}
exports.serializeCopyToSectionPostRequestBody = serializeCopyToSectionPostRequestBody;
/**
 * Provides operations to call the copyToSection method.
 */
class CopyToSectionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyToSectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/sites/{site%2Did}/onenote/sectionGroups/{sectionGroup%2Did}/sections/{onenoteSection%2Did}/pages/{onenotePage%2Did}/copyToSection");
    }
    ;
    /**
     * Copy a page to a specific section. For copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnenoteOperation
     * @see {@link https://learn.microsoft.com/graph/api/page-copytosection?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, onenoteOperation_1.createOnenoteOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Copy a page to a specific section. For copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyToSectionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyToSectionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyToSectionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyToSectionRequestBuilder = CopyToSectionRequestBuilder;
// tslint:enable
// eslint-enable
