import { type Term } from '../../../../../../../../../../../models/termStore/term';
import { RelationsRequestBuilder } from './relations/';
import { SetRequestBuilder } from './set/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface TermItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the children property of the microsoft.graph.termStore.term entity.
 */
export declare class TermItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the relations property of the microsoft.graph.termStore.term entity.
     */
    get relations(): RelationsRequestBuilder;
    /**
     * Provides operations to manage the set property of the microsoft.graph.termStore.term entity.
     */
    get set(): SetRequestBuilder;
    /**
     * Instantiates a new TermItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property children for sites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Children of current term.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Term
     */
    get(requestConfiguration?: RequestConfiguration<TermItemRequestBuilderGetQueryParameters> | undefined): Promise<Term | undefined>;
    /**
     * Update the navigation property children in sites
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Term
     */
    patch(body: Term, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<Term | undefined>;
    /**
     * Delete navigation property children for sites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Children of current term.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<TermItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property children in sites
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: Term, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a TermItemRequestBuilder
     */
    withUrl(rawUrl: string): TermItemRequestBuilder;
}
