import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type DateTimeTimeZone } from '../../../../models/dateTimeTimeZone';
import { type StaffAvailabilityItem } from '../../../../models/staffAvailabilityItem';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetStaffAvailabilityPostRequestBody;
export declare function createGetStaffAvailabilityPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetStaffAvailabilityPostResponse;
export declare function deserializeIntoGetStaffAvailabilityPostRequestBody(getStaffAvailabilityPostRequestBody?: GetStaffAvailabilityPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetStaffAvailabilityPostResponse(getStaffAvailabilityPostResponse?: GetStaffAvailabilityPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetStaffAvailabilityPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The staffIds property
     */
    staffIds?: string[];
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
}
export interface GetStaffAvailabilityPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: StaffAvailabilityItem[];
}
export declare function serializeGetStaffAvailabilityPostRequestBody(writer: SerializationWriter, getStaffAvailabilityPostRequestBody?: GetStaffAvailabilityPostRequestBody | undefined): void;
export declare function serializeGetStaffAvailabilityPostResponse(writer: SerializationWriter, getStaffAvailabilityPostResponse?: GetStaffAvailabilityPostResponse | undefined): void;
/**
 * Provides operations to call the getStaffAvailability method.
 */
export declare class GetStaffAvailabilityRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetStaffAvailabilityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetStaffAvailabilityPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/bookingbusiness-getstaffavailability?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetStaffAvailabilityPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetStaffAvailabilityPostResponse | undefined>;
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetStaffAvailabilityPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getStaffAvailabilityRequestBuilder
     */
    withUrl(rawUrl: string): GetStaffAvailabilityRequestBuilder;
}
