"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetStaffAvailabilityRequestBuilder = exports.serializeGetStaffAvailabilityPostResponse = exports.serializeGetStaffAvailabilityPostRequestBody = exports.deserializeIntoGetStaffAvailabilityPostResponse = exports.deserializeIntoGetStaffAvailabilityPostRequestBody = exports.createGetStaffAvailabilityPostResponseFromDiscriminatorValue = exports.createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const dateTimeTimeZone_1 = require("../../../../models/dateTimeTimeZone");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const staffAvailabilityItem_1 = require("../../../../models/staffAvailabilityItem");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetStaffAvailabilityPostRequestBody;
}
exports.createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue = createGetStaffAvailabilityPostRequestBodyFromDiscriminatorValue;
function createGetStaffAvailabilityPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetStaffAvailabilityPostResponse;
}
exports.createGetStaffAvailabilityPostResponseFromDiscriminatorValue = createGetStaffAvailabilityPostResponseFromDiscriminatorValue;
function deserializeIntoGetStaffAvailabilityPostRequestBody(getStaffAvailabilityPostRequestBody = {}) {
    return {
        "endDateTime": n => { getStaffAvailabilityPostRequestBody.endDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); },
        "staffIds": n => { getStaffAvailabilityPostRequestBody.staffIds = n.getCollectionOfPrimitiveValues(); },
        "startDateTime": n => { getStaffAvailabilityPostRequestBody.startDateTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); },
    };
}
exports.deserializeIntoGetStaffAvailabilityPostRequestBody = deserializeIntoGetStaffAvailabilityPostRequestBody;
function deserializeIntoGetStaffAvailabilityPostResponse(getStaffAvailabilityPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getStaffAvailabilityPostResponse)), { "value": n => { getStaffAvailabilityPostResponse.value = n.getCollectionOfObjectValues(staffAvailabilityItem_1.createStaffAvailabilityItemFromDiscriminatorValue); } });
}
exports.deserializeIntoGetStaffAvailabilityPostResponse = deserializeIntoGetStaffAvailabilityPostResponse;
function serializeGetStaffAvailabilityPostRequestBody(writer, getStaffAvailabilityPostRequestBody = {}) {
    writer.writeObjectValue("endDateTime", getStaffAvailabilityPostRequestBody.endDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeCollectionOfPrimitiveValues("staffIds", getStaffAvailabilityPostRequestBody.staffIds);
    writer.writeObjectValue("startDateTime", getStaffAvailabilityPostRequestBody.startDateTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeAdditionalData(getStaffAvailabilityPostRequestBody.additionalData);
}
exports.serializeGetStaffAvailabilityPostRequestBody = serializeGetStaffAvailabilityPostRequestBody;
function serializeGetStaffAvailabilityPostResponse(writer, getStaffAvailabilityPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getStaffAvailabilityPostResponse);
    writer.writeCollectionOfObjectValues("value", getStaffAvailabilityPostResponse.value, staffAvailabilityItem_1.serializeStaffAvailabilityItem);
}
exports.serializeGetStaffAvailabilityPostResponse = serializeGetStaffAvailabilityPostResponse;
/**
 * Provides operations to call the getStaffAvailability method.
 */
class GetStaffAvailabilityRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetStaffAvailabilityRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/solutions/bookingBusinesses/{bookingBusiness%2Did}/getStaffAvailability");
    }
    ;
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetStaffAvailabilityPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/bookingbusiness-getstaffavailability?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetStaffAvailabilityPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get the availability information of staff members of a Microsoft Bookings calendar.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetStaffAvailabilityPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getStaffAvailabilityRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetStaffAvailabilityRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetStaffAvailabilityRequestBuilder = GetStaffAvailabilityRequestBuilder;
// tslint:enable
// eslint-enable
