import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type VirtualEventWebinar } from '../../../../models/virtualEventWebinar';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse;
export declare function deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse(getByUserIdAndRoleWithUserIdWithRoleGetResponse?: GetByUserIdAndRoleWithUserIdWithRoleGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetByUserIdAndRoleWithUserIdWithRoleGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEventWebinar[];
}
export interface GetByUserIdAndRoleWithUserIdWithRoleRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetByUserIdAndRoleWithUserIdWithRoleGetResponse(writer: SerializationWriter, getByUserIdAndRoleWithUserIdWithRoleGetResponse?: GetByUserIdAndRoleWithUserIdWithRoleGetResponse | undefined): void;
/**
 * Provides operations to call the getByUserIdAndRole method.
 */
export declare class GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param role Usage: role='{role}'
     * @param userId Usage: userId='{userId}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, role?: string | undefined, userId?: string | undefined);
    /**
     * Invoke function getByUserIdAndRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByUserIdAndRoleWithUserIdWithRoleGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetByUserIdAndRoleWithUserIdWithRoleRequestBuilderGetQueryParameters> | undefined): Promise<GetByUserIdAndRoleWithUserIdWithRoleGetResponse | undefined>;
    /**
     * Invoke function getByUserIdAndRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetByUserIdAndRoleWithUserIdWithRoleRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByUserIdAndRoleWithUserIdWithRoleRequestBuilder
     */
    withUrl(rawUrl: string): GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder;
}
