"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder = exports.serializeGetByUserIdAndRoleWithUserIdWithRoleGetResponse = exports.deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse = exports.createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const virtualEventWebinar_1 = require("../../../../models/virtualEventWebinar");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse;
}
exports.createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue = createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue;
function deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse(getByUserIdAndRoleWithUserIdWithRoleGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getByUserIdAndRoleWithUserIdWithRoleGetResponse)), { "value": n => { getByUserIdAndRoleWithUserIdWithRoleGetResponse.value = n.getCollectionOfObjectValues(virtualEventWebinar_1.createVirtualEventWebinarFromDiscriminatorValue); } });
}
exports.deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse = deserializeIntoGetByUserIdAndRoleWithUserIdWithRoleGetResponse;
function serializeGetByUserIdAndRoleWithUserIdWithRoleGetResponse(writer, getByUserIdAndRoleWithUserIdWithRoleGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getByUserIdAndRoleWithUserIdWithRoleGetResponse);
    writer.writeCollectionOfObjectValues("value", getByUserIdAndRoleWithUserIdWithRoleGetResponse.value, virtualEventWebinar_1.serializeVirtualEventWebinar);
}
exports.serializeGetByUserIdAndRoleWithUserIdWithRoleGetResponse = serializeGetByUserIdAndRoleWithUserIdWithRoleGetResponse;
/**
 * Provides operations to call the getByUserIdAndRole method.
 */
class GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param role Usage: role='{role}'
     * @param userId Usage: userId='{userId}'
     */
    constructor(pathParameters, requestAdapter, role, userId) {
        super(pathParameters, requestAdapter, "{+baseurl}/solutions/virtualEvents/webinars/getByUserIdAndRole(userId='{userId}',role='{role}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["role"] = role;
        this.pathParameters["userId"] = userId;
    }
    ;
    /**
     * Invoke function getByUserIdAndRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByUserIdAndRoleWithUserIdWithRoleGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetByUserIdAndRoleWithUserIdWithRoleGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getByUserIdAndRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getByUserIdAndRoleWithUserIdWithRoleRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByUserIdAndRoleWithUserIdWithRoleRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder = GetByUserIdAndRoleWithUserIdWithRoleRequestBuilder;
const getByUserIdAndRoleWithUserIdWithRoleRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
