import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type VirtualEventWebinar } from '../../../../models/virtualEventWebinar';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetByUserRoleWithRoleGetResponse;
export declare function deserializeIntoGetByUserRoleWithRoleGetResponse(getByUserRoleWithRoleGetResponse?: GetByUserRoleWithRoleGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetByUserRoleWithRoleGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEventWebinar[];
}
export interface GetByUserRoleWithRoleRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetByUserRoleWithRoleGetResponse(writer: SerializationWriter, getByUserRoleWithRoleGetResponse?: GetByUserRoleWithRoleGetResponse | undefined): void;
/**
 * Provides operations to call the getByUserRole method.
 */
export declare class GetByUserRoleWithRoleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetByUserRoleWithRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param role Usage: role='{role}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, role?: string | undefined);
    /**
     * Invoke function getByUserRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByUserRoleWithRoleGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetByUserRoleWithRoleRequestBuilderGetQueryParameters> | undefined): Promise<GetByUserRoleWithRoleGetResponse | undefined>;
    /**
     * Invoke function getByUserRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetByUserRoleWithRoleRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByUserRoleWithRoleRequestBuilder
     */
    withUrl(rawUrl: string): GetByUserRoleWithRoleRequestBuilder;
}
