"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetByUserRoleWithRoleRequestBuilder = exports.serializeGetByUserRoleWithRoleGetResponse = exports.deserializeIntoGetByUserRoleWithRoleGetResponse = exports.createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const virtualEventWebinar_1 = require("../../../../models/virtualEventWebinar");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetByUserRoleWithRoleGetResponse;
}
exports.createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue = createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue;
function deserializeIntoGetByUserRoleWithRoleGetResponse(getByUserRoleWithRoleGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getByUserRoleWithRoleGetResponse)), { "value": n => { getByUserRoleWithRoleGetResponse.value = n.getCollectionOfObjectValues(virtualEventWebinar_1.createVirtualEventWebinarFromDiscriminatorValue); } });
}
exports.deserializeIntoGetByUserRoleWithRoleGetResponse = deserializeIntoGetByUserRoleWithRoleGetResponse;
function serializeGetByUserRoleWithRoleGetResponse(writer, getByUserRoleWithRoleGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getByUserRoleWithRoleGetResponse);
    writer.writeCollectionOfObjectValues("value", getByUserRoleWithRoleGetResponse.value, virtualEventWebinar_1.serializeVirtualEventWebinar);
}
exports.serializeGetByUserRoleWithRoleGetResponse = serializeGetByUserRoleWithRoleGetResponse;
/**
 * Provides operations to call the getByUserRole method.
 */
class GetByUserRoleWithRoleRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetByUserRoleWithRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param role Usage: role='{role}'
     */
    constructor(pathParameters, requestAdapter, role) {
        super(pathParameters, requestAdapter, "{+baseurl}/solutions/virtualEvents/webinars/getByUserRole(role='{role}'){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
        this.pathParameters["role"] = role;
    }
    ;
    /**
     * Invoke function getByUserRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetByUserRoleWithRoleGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetByUserRoleWithRoleGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getByUserRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getByUserRoleWithRoleRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getByUserRoleWithRoleRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetByUserRoleWithRoleRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetByUserRoleWithRoleRequestBuilder = GetByUserRoleWithRoleRequestBuilder;
const getByUserRoleWithRoleRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
