"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendActivityNotificationToRecipientsRequestBuilder = exports.serializeSendActivityNotificationToRecipientsPostRequestBody = exports.deserializeIntoSendActivityNotificationToRecipientsPostRequestBody = exports.createSendActivityNotificationToRecipientsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const itemBody_1 = require("../../models/itemBody");
const keyValuePair_1 = require("../../models/keyValuePair");
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const teamworkActivityTopic_1 = require("../../models/teamworkActivityTopic");
const teamworkNotificationRecipient_1 = require("../../models/teamworkNotificationRecipient");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSendActivityNotificationToRecipientsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSendActivityNotificationToRecipientsPostRequestBody;
}
exports.createSendActivityNotificationToRecipientsPostRequestBodyFromDiscriminatorValue = createSendActivityNotificationToRecipientsPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSendActivityNotificationToRecipientsPostRequestBody(sendActivityNotificationToRecipientsPostRequestBody = {}) {
    return {
        "activityType": n => { sendActivityNotificationToRecipientsPostRequestBody.activityType = n.getStringValue(); },
        "chainId": n => { sendActivityNotificationToRecipientsPostRequestBody.chainId = n.getNumberValue(); },
        "previewText": n => { sendActivityNotificationToRecipientsPostRequestBody.previewText = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); },
        "recipients": n => { sendActivityNotificationToRecipientsPostRequestBody.recipients = n.getCollectionOfObjectValues(teamworkNotificationRecipient_1.createTeamworkNotificationRecipientFromDiscriminatorValue); },
        "teamsAppId": n => { sendActivityNotificationToRecipientsPostRequestBody.teamsAppId = n.getStringValue(); },
        "templateParameters": n => { sendActivityNotificationToRecipientsPostRequestBody.templateParameters = n.getCollectionOfObjectValues(keyValuePair_1.createKeyValuePairFromDiscriminatorValue); },
        "topic": n => { sendActivityNotificationToRecipientsPostRequestBody.topic = n.getObjectValue(teamworkActivityTopic_1.createTeamworkActivityTopicFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSendActivityNotificationToRecipientsPostRequestBody = deserializeIntoSendActivityNotificationToRecipientsPostRequestBody;
function serializeSendActivityNotificationToRecipientsPostRequestBody(writer, sendActivityNotificationToRecipientsPostRequestBody = {}) {
    writer.writeStringValue("activityType", sendActivityNotificationToRecipientsPostRequestBody.activityType);
    writer.writeNumberValue("chainId", sendActivityNotificationToRecipientsPostRequestBody.chainId);
    writer.writeObjectValue("previewText", sendActivityNotificationToRecipientsPostRequestBody.previewText, itemBody_1.serializeItemBody);
    writer.writeCollectionOfObjectValues("recipients", sendActivityNotificationToRecipientsPostRequestBody.recipients, teamworkNotificationRecipient_1.serializeTeamworkNotificationRecipient);
    writer.writeStringValue("teamsAppId", sendActivityNotificationToRecipientsPostRequestBody.teamsAppId);
    writer.writeCollectionOfObjectValues("templateParameters", sendActivityNotificationToRecipientsPostRequestBody.templateParameters, keyValuePair_1.serializeKeyValuePair);
    writer.writeObjectValue("topic", sendActivityNotificationToRecipientsPostRequestBody.topic, teamworkActivityTopic_1.serializeTeamworkActivityTopic);
    writer.writeAdditionalData(sendActivityNotificationToRecipientsPostRequestBody.additionalData);
}
exports.serializeSendActivityNotificationToRecipientsPostRequestBody = serializeSendActivityNotificationToRecipientsPostRequestBody;
/**
 * Provides operations to call the sendActivityNotificationToRecipients method.
 */
class SendActivityNotificationToRecipientsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SendActivityNotificationToRecipientsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/teamwork/sendActivityNotificationToRecipients");
    }
    ;
    /**
     * Send activity feed notifications to multiple users, in bulk.  For more details about sending notifications and the requirements for doing so, seesending Teams activity notifications.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/teamwork-sendactivitynotificationtorecipients?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Send activity feed notifications to multiple users, in bulk.  For more details about sending notifications and the requirements for doing so, seesending Teams activity notifications.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSendActivityNotificationToRecipientsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sendActivityNotificationToRecipientsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SendActivityNotificationToRecipientsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SendActivityNotificationToRecipientsRequestBuilder = SendActivityNotificationToRecipientsRequestBuilder;
// tslint:enable
// eslint-enable
