import { type DelegatedAdminServiceManagementDetail } from '../../../../../models/delegatedAdminServiceManagementDetail';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface DelegatedAdminServiceManagementDetailItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the serviceManagementDetails property of the microsoft.graph.delegatedAdminCustomer entity.
 */
export declare class DelegatedAdminServiceManagementDetailItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DelegatedAdminServiceManagementDetailItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property serviceManagementDetails for tenantRelationships
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Contains the management details of a service in the customer tenant that's managed by delegated administration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DelegatedAdminServiceManagementDetail
     */
    get(requestConfiguration?: RequestConfiguration<DelegatedAdminServiceManagementDetailItemRequestBuilderGetQueryParameters> | undefined): Promise<DelegatedAdminServiceManagementDetail | undefined>;
    /**
     * Update the navigation property serviceManagementDetails in tenantRelationships
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DelegatedAdminServiceManagementDetail
     */
    patch(body: DelegatedAdminServiceManagementDetail, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DelegatedAdminServiceManagementDetail | undefined>;
    /**
     * Delete navigation property serviceManagementDetails for tenantRelationships
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Contains the management details of a service in the customer tenant that's managed by delegated administration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DelegatedAdminServiceManagementDetailItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the navigation property serviceManagementDetails in tenantRelationships
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DelegatedAdminServiceManagementDetail, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a DelegatedAdminServiceManagementDetailItemRequestBuilder
     */
    withUrl(rawUrl: string): DelegatedAdminServiceManagementDetailItemRequestBuilder;
}
