import { type DelegatedAdminAccessAssignment } from '../../../../../models/delegatedAdminAccessAssignment';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface DelegatedAdminAccessAssignmentItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the accessAssignments property of the microsoft.graph.delegatedAdminRelationship entity.
 */
export declare class DelegatedAdminAccessAssignmentItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new DelegatedAdminAccessAssignmentItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete a delegatedAdminAccessAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/delegatedadminaccessassignment-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read the properties of a delegatedAdminAccessAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DelegatedAdminAccessAssignment
     * @see {@link https://learn.microsoft.com/graph/api/delegatedadminaccessassignment-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<DelegatedAdminAccessAssignmentItemRequestBuilderGetQueryParameters> | undefined): Promise<DelegatedAdminAccessAssignment | undefined>;
    /**
     * Update the properties of a delegatedAdminAccessAssignment object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DelegatedAdminAccessAssignment
     * @see {@link https://learn.microsoft.com/graph/api/delegatedadminaccessassignment-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: DelegatedAdminAccessAssignment, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<DelegatedAdminAccessAssignment | undefined>;
    /**
     * Delete a delegatedAdminAccessAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read the properties of a delegatedAdminAccessAssignment object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<DelegatedAdminAccessAssignmentItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a delegatedAdminAccessAssignment object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: DelegatedAdminAccessAssignment, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a DelegatedAdminAccessAssignmentItemRequestBuilder
     */
    withUrl(rawUrl: string): DelegatedAdminAccessAssignmentItemRequestBuilder;
}
