import { type TenantInformation } from '../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
/**
 * Provides operations to call the findTenantInformationByTenantId method.
 */
export declare class FindTenantInformationByTenantIdWithTenantIdRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new FindTenantInformationByTenantIdWithTenantIdRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param tenantId Usage: tenantId='{tenantId}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, tenantId?: string | undefined);
    /**
     * Invoke function findTenantInformationByTenantId
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TenantInformation
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<TenantInformation | undefined>;
    /**
     * Invoke function findTenantInformationByTenantId
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a findTenantInformationByTenantIdWithTenantIdRequestBuilder
     */
    withUrl(rawUrl: string): FindTenantInformationByTenantIdWithTenantIdRequestBuilder;
}
