"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllowedCalendarSharingRolesWithUserRequestBuilder = exports.serializeAllowedCalendarSharingRolesWithUserGetResponse = exports.deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse = exports.createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const calendarRoleType_1 = require("../../../../models/calendarRoleType");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse;
}
exports.createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue = createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue;
function deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse(allowedCalendarSharingRolesWithUserGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(allowedCalendarSharingRolesWithUserGetResponse)), { "value": n => { allowedCalendarSharingRolesWithUserGetResponse.value = n.getCollectionOfEnumValues(calendarRoleType_1.CalendarRoleType); } });
}
exports.deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse = deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse;
function serializeAllowedCalendarSharingRolesWithUserGetResponse(writer, allowedCalendarSharingRolesWithUserGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, allowedCalendarSharingRolesWithUserGetResponse);
    if (allowedCalendarSharingRolesWithUserGetResponse.value)
        writer.writeEnumValue("value", ...allowedCalendarSharingRolesWithUserGetResponse.value);
}
exports.serializeAllowedCalendarSharingRolesWithUserGetResponse = serializeAllowedCalendarSharingRolesWithUserGetResponse;
/**
 * Provides operations to call the allowedCalendarSharingRoles method.
 */
class AllowedCalendarSharingRolesWithUserRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new AllowedCalendarSharingRolesWithUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param User Usage: User='{User}'
     */
    constructor(pathParameters, requestAdapter, user) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/calendar/allowedCalendarSharingRoles(User='{User}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["User"] = user;
    }
    ;
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AllowedCalendarSharingRolesWithUserGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, allowedCalendarSharingRolesWithUserRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a allowedCalendarSharingRolesWithUserRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new AllowedCalendarSharingRolesWithUserRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.AllowedCalendarSharingRolesWithUserRequestBuilder = AllowedCalendarSharingRolesWithUserRequestBuilder;
const allowedCalendarSharingRolesWithUserRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
