"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateUploadSessionRequestBuilder = exports.serializeCreateUploadSessionPostRequestBody = exports.deserializeIntoCreateUploadSessionPostRequestBody = exports.createCreateUploadSessionPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attachmentItem_1 = require("../../../../../../../../../../models/attachmentItem");
const oDataError_1 = require("../../../../../../../../../../models/oDataErrors/oDataError");
const uploadSession_1 = require("../../../../../../../../../../models/uploadSession");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateUploadSessionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateUploadSessionPostRequestBody;
}
exports.createCreateUploadSessionPostRequestBodyFromDiscriminatorValue = createCreateUploadSessionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateUploadSessionPostRequestBody(createUploadSessionPostRequestBody = {}) {
    return {
        "attachmentItem": n => { createUploadSessionPostRequestBody.attachmentItem = n.getObjectValue(attachmentItem_1.createAttachmentItemFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCreateUploadSessionPostRequestBody = deserializeIntoCreateUploadSessionPostRequestBody;
function serializeCreateUploadSessionPostRequestBody(writer, createUploadSessionPostRequestBody = {}) {
    writer.writeObjectValue("AttachmentItem", createUploadSessionPostRequestBody.attachmentItem, attachmentItem_1.serializeAttachmentItem);
    writer.writeAdditionalData(createUploadSessionPostRequestBody.additionalData);
}
exports.serializeCreateUploadSessionPostRequestBody = serializeCreateUploadSessionPostRequestBody;
/**
 * Provides operations to call the createUploadSession method.
 */
class CreateUploadSessionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateUploadSessionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/calendarGroups/{calendarGroup%2Did}/calendars/{calendar%2Did}/calendarView/{event%2Did}/attachments/createUploadSession");
    }
    ;
    /**
     * Create an upload session that allows an app to iteratively upload ranges of a file, so as to attach the file to the specified Outlook item. The item can be a message or event. Use this approach to attach a file if the file size is between 3 MB and 150 MB. To attach a file that's smaller than 3 MB, do a POST operation on the attachments navigation property of the Outlook item; see how to do this for a message or for an event. As part of the response, this action returns an upload URL that you can use in subsequent sequential PUT queries. Request headers for each PUT operation let you specify the exact range of bytes to be uploaded. This allows transfer to be resumed, in case the network connection is dropped during upload. The following are the steps to attach a file to an Outlook item using an upload session: See attach large files to Outlook messages or events for an example.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UploadSession
     * @see {@link https://learn.microsoft.com/graph/api/attachment-createuploadsession?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, uploadSession_1.createUploadSessionFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create an upload session that allows an app to iteratively upload ranges of a file, so as to attach the file to the specified Outlook item. The item can be a message or event. Use this approach to attach a file if the file size is between 3 MB and 150 MB. To attach a file that's smaller than 3 MB, do a POST operation on the attachments navigation property of the Outlook item; see how to do this for a message or for an event. As part of the response, this action returns an upload URL that you can use in subsequent sequential PUT queries. Request headers for each PUT operation let you specify the exact range of bytes to be uploaded. This allows transfer to be resumed, in case the network connection is dropped during upload. The following are the steps to attach a file to an Outlook item using an upload session: See attach large files to Outlook messages or events for an example.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateUploadSessionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createUploadSessionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateUploadSessionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateUploadSessionRequestBuilder = CreateUploadSessionRequestBuilder;
// tslint:enable
// eslint-enable
