"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SnoozeReminderRequestBuilder = exports.serializeSnoozeReminderPostRequestBody = exports.deserializeIntoSnoozeReminderPostRequestBody = exports.createSnoozeReminderPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const dateTimeTimeZone_1 = require("../../../../../../../../../../../models/dateTimeTimeZone");
const oDataError_1 = require("../../../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSnoozeReminderPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSnoozeReminderPostRequestBody;
}
exports.createSnoozeReminderPostRequestBodyFromDiscriminatorValue = createSnoozeReminderPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSnoozeReminderPostRequestBody(snoozeReminderPostRequestBody = {}) {
    return {
        "newReminderTime": n => { snoozeReminderPostRequestBody.newReminderTime = n.getObjectValue(dateTimeTimeZone_1.createDateTimeTimeZoneFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSnoozeReminderPostRequestBody = deserializeIntoSnoozeReminderPostRequestBody;
function serializeSnoozeReminderPostRequestBody(writer, snoozeReminderPostRequestBody = {}) {
    writer.writeObjectValue("NewReminderTime", snoozeReminderPostRequestBody.newReminderTime, dateTimeTimeZone_1.serializeDateTimeTimeZone);
    writer.writeAdditionalData(snoozeReminderPostRequestBody.additionalData);
}
exports.serializeSnoozeReminderPostRequestBody = serializeSnoozeReminderPostRequestBody;
/**
 * Provides operations to call the snoozeReminder method.
 */
class SnoozeReminderRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SnoozeReminderRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/calendarGroups/{calendarGroup%2Did}/calendars/{calendar%2Did}/calendarView/{event%2Did}/instances/{event%2Did1}/snoozeReminder");
    }
    ;
    /**
     * Postpone a reminder for an event in a user calendar until a new time.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/event-snoozereminder?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Postpone a reminder for an event in a user calendar until a new time.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSnoozeReminderPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a snoozeReminderRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SnoozeReminderRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SnoozeReminderRequestBuilder = SnoozeReminderRequestBuilder;
// tslint:enable
// eslint-enable
