import { type BaseCollectionPaginationCountResponse } from '../../../../../models/baseCollectionPaginationCountResponse';
import { CalendarRoleType } from '../../../../../models/calendarRoleType';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AllowedCalendarSharingRolesWithUserGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CalendarRoleType[];
}
export interface AllowedCalendarSharingRolesWithUserRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function createAllowedCalendarSharingRolesWithUserGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse;
export declare function deserializeIntoAllowedCalendarSharingRolesWithUserGetResponse(allowedCalendarSharingRolesWithUserGetResponse?: AllowedCalendarSharingRolesWithUserGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAllowedCalendarSharingRolesWithUserGetResponse(writer: SerializationWriter, allowedCalendarSharingRolesWithUserGetResponse?: AllowedCalendarSharingRolesWithUserGetResponse | undefined): void;
/**
 * Provides operations to call the allowedCalendarSharingRoles method.
 */
export declare class AllowedCalendarSharingRolesWithUserRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new AllowedCalendarSharingRolesWithUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param User Usage: User='{User}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, user?: string | undefined);
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AllowedCalendarSharingRolesWithUserGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<AllowedCalendarSharingRolesWithUserRequestBuilderGetQueryParameters> | undefined): Promise<AllowedCalendarSharingRolesWithUserGetResponse | undefined>;
    /**
     * Invoke function allowedCalendarSharingRoles
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AllowedCalendarSharingRolesWithUserRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a allowedCalendarSharingRolesWithUserRequestBuilder
     */
    withUrl(rawUrl: string): AllowedCalendarSharingRolesWithUserRequestBuilder;
}
