import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetReactionPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetReactionPostRequestBody;
export declare function deserializeIntoSetReactionPostRequestBody(setReactionPostRequestBody?: SetReactionPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetReactionPostRequestBody(writer: SerializationWriter, setReactionPostRequestBody?: SetReactionPostRequestBody | undefined): void;
export interface SetReactionPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The reactionType property
     */
    reactionType?: string;
}
/**
 * Provides operations to call the setReaction method.
 */
export declare class SetReactionRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetReactionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action setReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body: SetReactionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Invoke action setReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetReactionPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setReactionRequestBuilder
     */
    withUrl(rawUrl: string): SetReactionRequestBuilder;
}
