"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendActivityNotificationRequestBuilder = exports.serializeSendActivityNotificationPostRequestBody = exports.deserializeIntoSendActivityNotificationPostRequestBody = exports.createSendActivityNotificationPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const itemBody_1 = require("../../../../../models/itemBody");
const keyValuePair_1 = require("../../../../../models/keyValuePair");
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const teamworkActivityTopic_1 = require("../../../../../models/teamworkActivityTopic");
const teamworkNotificationRecipient_1 = require("../../../../../models/teamworkNotificationRecipient");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSendActivityNotificationPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSendActivityNotificationPostRequestBody;
}
exports.createSendActivityNotificationPostRequestBodyFromDiscriminatorValue = createSendActivityNotificationPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSendActivityNotificationPostRequestBody(sendActivityNotificationPostRequestBody = {}) {
    return {
        "activityType": n => { sendActivityNotificationPostRequestBody.activityType = n.getStringValue(); },
        "chainId": n => { sendActivityNotificationPostRequestBody.chainId = n.getNumberValue(); },
        "previewText": n => { sendActivityNotificationPostRequestBody.previewText = n.getObjectValue(itemBody_1.createItemBodyFromDiscriminatorValue); },
        "recipient": n => { sendActivityNotificationPostRequestBody.recipient = n.getObjectValue(teamworkNotificationRecipient_1.createTeamworkNotificationRecipientFromDiscriminatorValue); },
        "templateParameters": n => { sendActivityNotificationPostRequestBody.templateParameters = n.getCollectionOfObjectValues(keyValuePair_1.createKeyValuePairFromDiscriminatorValue); },
        "topic": n => { sendActivityNotificationPostRequestBody.topic = n.getObjectValue(teamworkActivityTopic_1.createTeamworkActivityTopicFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSendActivityNotificationPostRequestBody = deserializeIntoSendActivityNotificationPostRequestBody;
function serializeSendActivityNotificationPostRequestBody(writer, sendActivityNotificationPostRequestBody = {}) {
    writer.writeStringValue("activityType", sendActivityNotificationPostRequestBody.activityType);
    writer.writeNumberValue("chainId", sendActivityNotificationPostRequestBody.chainId);
    writer.writeObjectValue("previewText", sendActivityNotificationPostRequestBody.previewText, itemBody_1.serializeItemBody);
    writer.writeObjectValue("recipient", sendActivityNotificationPostRequestBody.recipient, teamworkNotificationRecipient_1.serializeTeamworkNotificationRecipient);
    writer.writeCollectionOfObjectValues("templateParameters", sendActivityNotificationPostRequestBody.templateParameters, keyValuePair_1.serializeKeyValuePair);
    writer.writeObjectValue("topic", sendActivityNotificationPostRequestBody.topic, teamworkActivityTopic_1.serializeTeamworkActivityTopic);
    writer.writeAdditionalData(sendActivityNotificationPostRequestBody.additionalData);
}
exports.serializeSendActivityNotificationPostRequestBody = serializeSendActivityNotificationPostRequestBody;
/**
 * Provides operations to call the sendActivityNotification method.
 */
class SendActivityNotificationRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SendActivityNotificationRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/chats/{chat%2Did}/sendActivityNotification");
    }
    ;
    /**
     * Send an activity feed notification in scope of a chat. For more details about sending notifications and the requirements for doing so, see sending Teams activity notifications.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/chat-sendactivitynotification?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Send an activity feed notification in scope of a chat. For more details about sending notifications and the requirements for doing so, see sending Teams activity notifications.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSendActivityNotificationPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sendActivityNotificationRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SendActivityNotificationRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SendActivityNotificationRequestBuilder = SendActivityNotificationRequestBuilder;
// tslint:enable
// eslint-enable
