"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeltaRequestBuilder = exports.serializeDeltaGetResponse = exports.deserializeIntoDeltaGetResponse = exports.createDeltaGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseDeltaFunctionResponse_1 = require("../../../../../../models/baseDeltaFunctionResponse");
const contact_1 = require("../../../../../../models/contact");
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createDeltaGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeltaGetResponse;
}
exports.createDeltaGetResponseFromDiscriminatorValue = createDeltaGetResponseFromDiscriminatorValue;
function deserializeIntoDeltaGetResponse(deltaGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseDeltaFunctionResponse_1.deserializeIntoBaseDeltaFunctionResponse)(deltaGetResponse)), { "value": n => { deltaGetResponse.value = n.getCollectionOfObjectValues(contact_1.createContactFromDiscriminatorValue); } });
}
exports.deserializeIntoDeltaGetResponse = deserializeIntoDeltaGetResponse;
function serializeDeltaGetResponse(writer, deltaGetResponse = {}) {
    (0, baseDeltaFunctionResponse_1.serializeBaseDeltaFunctionResponse)(writer, deltaGetResponse);
    writer.writeCollectionOfObjectValues("value", deltaGetResponse.value, contact_1.serializeContact);
}
exports.serializeDeltaGetResponse = serializeDeltaGetResponse;
/**
 * Provides operations to call the delta method.
 */
class DeltaRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new DeltaRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/contactFolders/{contactFolder%2Did}/contacts/delta(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Get a set of contacts that have been added, deleted, or updated in a specified folder. A delta function call for contacts in a folder is similar to a GET request, except that by appropriately applying state tokens in one or more of these calls, you can query for incremental changes in the contacts in that folder. This allows you to maintain and synchronize a local store of a user's contacts without having to fetch the entire set of contacts from the server every time.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeltaGetResponse
     * @see {@link https://learn.microsoft.com/graph/api/contact-delta?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createDeltaGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get a set of contacts that have been added, deleted, or updated in a specified folder. A delta function call for contacts in a folder is similar to a GET request, except that by appropriately applying state tokens in one or more of these calls, you can query for incremental changes in the contacts in that folder. This allows you to maintain and synchronize a local store of a user's contacts without having to fetch the entire set of contacts from the server every time.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, deltaRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a deltaRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new DeltaRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.DeltaRequestBuilder = DeltaRequestBuilder;
const deltaRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
