"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder = void 0;
const deviceAndAppManagementData_1 = require("../../../models/deviceAndAppManagementData");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to call the exportDeviceAndAppManagementData method.
 */
class ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param skip Usage: skip={skip}
     * @param top Usage: top={top}
     */
    constructor(pathParameters, requestAdapter, skip, top) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/exportDeviceAndAppManagementData(skip={skip},top={top})");
        this.pathParameters["skip"] = skip;
        this.pathParameters["top"] = top;
    }
    ;
    /**
     * Invoke function exportDeviceAndAppManagementData
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DeviceAndAppManagementData
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, deviceAndAppManagementData_1.createDeviceAndAppManagementDataFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function exportDeviceAndAppManagementData
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder = ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder;
// tslint:enable
// eslint-enable
