"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExportPersonalDataRequestBuilder = exports.serializeExportPersonalDataPostRequestBody = exports.deserializeIntoExportPersonalDataPostRequestBody = exports.createExportPersonalDataPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createExportPersonalDataPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoExportPersonalDataPostRequestBody;
}
exports.createExportPersonalDataPostRequestBodyFromDiscriminatorValue = createExportPersonalDataPostRequestBodyFromDiscriminatorValue;
function deserializeIntoExportPersonalDataPostRequestBody(exportPersonalDataPostRequestBody = {}) {
    return {
        "storageLocation": n => { exportPersonalDataPostRequestBody.storageLocation = n.getStringValue(); },
    };
}
exports.deserializeIntoExportPersonalDataPostRequestBody = deserializeIntoExportPersonalDataPostRequestBody;
function serializeExportPersonalDataPostRequestBody(writer, exportPersonalDataPostRequestBody = {}) {
    writer.writeStringValue("storageLocation", exportPersonalDataPostRequestBody.storageLocation);
    writer.writeAdditionalData(exportPersonalDataPostRequestBody.additionalData);
}
exports.serializeExportPersonalDataPostRequestBody = serializeExportPersonalDataPostRequestBody;
/**
 * Provides operations to call the exportPersonalData method.
 */
class ExportPersonalDataRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ExportPersonalDataRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/exportPersonalData");
    }
    ;
    /**
     * Submit a data policy operation request from a company administrator or an application to export an organizational user's data. This data includes the user's data stored in OneDrive and their activity reports. For more guidance about exporting data while complying with regulations, see Data Subject Requests and the GDPR and CCPA.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/user-exportpersonaldata?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Submit a data policy operation request from a company administrator or an application to export an organizational user's data. This data includes the user's data stored in OneDrive and their activity reports. For more guidance about exporting data while complying with regulations, see Data Subject Requests and the GDPR and CCPA.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeExportPersonalDataPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a exportPersonalDataRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ExportPersonalDataRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ExportPersonalDataRequestBuilder = ExportPersonalDataRequestBuilder;
// tslint:enable
// eslint-enable
