"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindMeetingTimesRequestBuilder = exports.serializeFindMeetingTimesPostRequestBody = exports.deserializeIntoFindMeetingTimesPostRequestBody = exports.createFindMeetingTimesPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attendeeBase_1 = require("../../../models/attendeeBase");
const locationConstraint_1 = require("../../../models/locationConstraint");
const meetingTimeSuggestionsResult_1 = require("../../../models/meetingTimeSuggestionsResult");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const timeConstraint_1 = require("../../../models/timeConstraint");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createFindMeetingTimesPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFindMeetingTimesPostRequestBody;
}
exports.createFindMeetingTimesPostRequestBodyFromDiscriminatorValue = createFindMeetingTimesPostRequestBodyFromDiscriminatorValue;
function deserializeIntoFindMeetingTimesPostRequestBody(findMeetingTimesPostRequestBody = {}) {
    return {
        "attendees": n => { findMeetingTimesPostRequestBody.attendees = n.getCollectionOfObjectValues(attendeeBase_1.createAttendeeBaseFromDiscriminatorValue); },
        "isOrganizerOptional": n => { findMeetingTimesPostRequestBody.isOrganizerOptional = n.getBooleanValue(); },
        "locationConstraint": n => { findMeetingTimesPostRequestBody.locationConstraint = n.getObjectValue(locationConstraint_1.createLocationConstraintFromDiscriminatorValue); },
        "maxCandidates": n => { findMeetingTimesPostRequestBody.maxCandidates = n.getNumberValue(); },
        "meetingDuration": n => { findMeetingTimesPostRequestBody.meetingDuration = n.getDurationValue(); },
        "minimumAttendeePercentage": n => { findMeetingTimesPostRequestBody.minimumAttendeePercentage = n.getNumberValue(); },
        "returnSuggestionReasons": n => { findMeetingTimesPostRequestBody.returnSuggestionReasons = n.getBooleanValue(); },
        "timeConstraint": n => { findMeetingTimesPostRequestBody.timeConstraint = n.getObjectValue(timeConstraint_1.createTimeConstraintFromDiscriminatorValue); },
    };
}
exports.deserializeIntoFindMeetingTimesPostRequestBody = deserializeIntoFindMeetingTimesPostRequestBody;
function serializeFindMeetingTimesPostRequestBody(writer, findMeetingTimesPostRequestBody = {}) {
    writer.writeCollectionOfObjectValues("attendees", findMeetingTimesPostRequestBody.attendees, attendeeBase_1.serializeAttendeeBase);
    writer.writeBooleanValue("isOrganizerOptional", findMeetingTimesPostRequestBody.isOrganizerOptional);
    writer.writeObjectValue("locationConstraint", findMeetingTimesPostRequestBody.locationConstraint, locationConstraint_1.serializeLocationConstraint);
    writer.writeNumberValue("maxCandidates", findMeetingTimesPostRequestBody.maxCandidates);
    writer.writeDurationValue("meetingDuration", findMeetingTimesPostRequestBody.meetingDuration);
    writer.writeNumberValue("minimumAttendeePercentage", findMeetingTimesPostRequestBody.minimumAttendeePercentage);
    writer.writeBooleanValue("returnSuggestionReasons", findMeetingTimesPostRequestBody.returnSuggestionReasons);
    writer.writeObjectValue("timeConstraint", findMeetingTimesPostRequestBody.timeConstraint, timeConstraint_1.serializeTimeConstraint);
    writer.writeAdditionalData(findMeetingTimesPostRequestBody.additionalData);
}
exports.serializeFindMeetingTimesPostRequestBody = serializeFindMeetingTimesPostRequestBody;
/**
 * Provides operations to call the findMeetingTimes method.
 */
class FindMeetingTimesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new FindMeetingTimesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/findMeetingTimes");
    }
    ;
    /**
     * Suggest meeting times and locations based on organizer and attendee availability, and time or location constraints specified as parameters. If findMeetingTimes cannot return any meeting suggestions, the response would indicate a reason in the emptySuggestionsReason property. Based on this value, you can better adjust the parameters and call findMeetingTimes again. The algorithm used to suggest meeting times and locations undergoes fine-tuning from time to time. In scenarios like test environments where the input parameters and calendar data remain static, expect that the suggested results may differ over time.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MeetingTimeSuggestionsResult
     * @see {@link https://learn.microsoft.com/graph/api/user-findmeetingtimes?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, meetingTimeSuggestionsResult_1.createMeetingTimeSuggestionsResultFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Suggest meeting times and locations based on organizer and attendee availability, and time or location constraints specified as parameters. If findMeetingTimes cannot return any meeting suggestions, the response would indicate a reason in the emptySuggestionsReason property. Based on this value, you can better adjust the parameters and call findMeetingTimes again. The algorithm used to suggest meeting times and locations undergoes fine-tuning from time to time. In scenarios like test environments where the input parameters and calendar data remain static, expect that the suggested results may differ over time.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeFindMeetingTimesPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a findMeetingTimesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FindMeetingTimesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FindMeetingTimesRequestBuilder = FindMeetingTimesRequestBuilder;
// tslint:enable
// eslint-enable
