import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type MailTips } from '../../../models/mailTips';
import { MailTipsType } from '../../../models/mailTipsType';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetMailTipsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMailTipsPostRequestBody;
export declare function createGetMailTipsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetMailTipsPostResponse;
export declare function deserializeIntoGetMailTipsPostRequestBody(getMailTipsPostRequestBody?: GetMailTipsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoGetMailTipsPostResponse(getMailTipsPostResponse?: GetMailTipsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetMailTipsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The EmailAddresses property
     */
    emailAddresses?: string[];
    /**
     * The MailTipsOptions property
     */
    mailTipsOptions?: MailTipsType[];
}
export interface GetMailTipsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MailTips[];
}
export declare function serializeGetMailTipsPostRequestBody(writer: SerializationWriter, getMailTipsPostRequestBody?: GetMailTipsPostRequestBody | undefined): void;
export declare function serializeGetMailTipsPostResponse(writer: SerializationWriter, getMailTipsPostResponse?: GetMailTipsPostResponse | undefined): void;
/**
 * Provides operations to call the getMailTips method.
 */
export declare class GetMailTipsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetMailTipsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the MailTips of one or more recipients as available to the signed-in user. Note that by making a POST call to the getMailTips action, you can request specific types of MailTips tobe returned for more than one recipient at one time. The requested MailTips are returned in a mailTips collection.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetMailTipsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/user-getmailtips?view=graph-rest-1.0|Find more info here}
     */
    post(body: GetMailTipsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetMailTipsPostResponse | undefined>;
    /**
     * Get the MailTips of one or more recipients as available to the signed-in user. Note that by making a POST call to the getMailTips action, you can request specific types of MailTips tobe returned for more than one recipient at one time. The requested MailTips are returned in a mailTips collection.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: GetMailTipsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getMailTipsRequestBuilder
     */
    withUrl(rawUrl: string): GetMailTipsRequestBuilder;
}
