"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMailTipsRequestBuilder = exports.serializeGetMailTipsPostResponse = exports.serializeGetMailTipsPostRequestBody = exports.deserializeIntoGetMailTipsPostResponse = exports.deserializeIntoGetMailTipsPostRequestBody = exports.createGetMailTipsPostResponseFromDiscriminatorValue = exports.createGetMailTipsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const mailTips_1 = require("../../../models/mailTips");
const mailTipsType_1 = require("../../../models/mailTipsType");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetMailTipsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMailTipsPostRequestBody;
}
exports.createGetMailTipsPostRequestBodyFromDiscriminatorValue = createGetMailTipsPostRequestBodyFromDiscriminatorValue;
function createGetMailTipsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetMailTipsPostResponse;
}
exports.createGetMailTipsPostResponseFromDiscriminatorValue = createGetMailTipsPostResponseFromDiscriminatorValue;
function deserializeIntoGetMailTipsPostRequestBody(getMailTipsPostRequestBody = {}) {
    return {
        "emailAddresses": n => { getMailTipsPostRequestBody.emailAddresses = n.getCollectionOfPrimitiveValues(); },
        "mailTipsOptions": n => { getMailTipsPostRequestBody.mailTipsOptions = n.getCollectionOfEnumValues(mailTipsType_1.MailTipsType); },
    };
}
exports.deserializeIntoGetMailTipsPostRequestBody = deserializeIntoGetMailTipsPostRequestBody;
function deserializeIntoGetMailTipsPostResponse(getMailTipsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getMailTipsPostResponse)), { "value": n => { getMailTipsPostResponse.value = n.getCollectionOfObjectValues(mailTips_1.createMailTipsFromDiscriminatorValue); } });
}
exports.deserializeIntoGetMailTipsPostResponse = deserializeIntoGetMailTipsPostResponse;
function serializeGetMailTipsPostRequestBody(writer, getMailTipsPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("EmailAddresses", getMailTipsPostRequestBody.emailAddresses);
    writer.writeEnumValue("MailTipsOptions", getMailTipsPostRequestBody.mailTipsOptions);
    writer.writeAdditionalData(getMailTipsPostRequestBody.additionalData);
}
exports.serializeGetMailTipsPostRequestBody = serializeGetMailTipsPostRequestBody;
function serializeGetMailTipsPostResponse(writer, getMailTipsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getMailTipsPostResponse);
    writer.writeCollectionOfObjectValues("value", getMailTipsPostResponse.value, mailTips_1.serializeMailTips);
}
exports.serializeGetMailTipsPostResponse = serializeGetMailTipsPostResponse;
/**
 * Provides operations to call the getMailTips method.
 */
class GetMailTipsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetMailTipsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/getMailTips");
    }
    ;
    /**
     * Get the MailTips of one or more recipients as available to the signed-in user. Note that by making a POST call to the getMailTips action, you can request specific types of MailTips tobe returned for more than one recipient at one time. The requested MailTips are returned in a mailTips collection.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetMailTipsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/user-getmailtips?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetMailTipsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get the MailTips of one or more recipients as available to the signed-in user. Note that by making a POST call to the getMailTips action, you can request specific types of MailTips tobe returned for more than one recipient at one time. The requested MailTips are returned in a mailTips collection.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeGetMailTipsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getMailTipsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetMailTipsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetMailTipsRequestBuilder = GetMailTipsRequestBuilder;
// tslint:enable
// eslint-enable
