import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ManagedAppDiagnosticStatus } from '../../../models/managedAppDiagnosticStatus';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetManagedAppDiagnosticStatusesGetResponse;
export declare function deserializeIntoGetManagedAppDiagnosticStatusesGetResponse(getManagedAppDiagnosticStatusesGetResponse?: GetManagedAppDiagnosticStatusesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetManagedAppDiagnosticStatusesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppDiagnosticStatus[];
}
export interface GetManagedAppDiagnosticStatusesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetManagedAppDiagnosticStatusesGetResponse(writer: SerializationWriter, getManagedAppDiagnosticStatusesGetResponse?: GetManagedAppDiagnosticStatusesGetResponse | undefined): void;
/**
 * Provides operations to call the getManagedAppDiagnosticStatuses method.
 */
export declare class GetManagedAppDiagnosticStatusesRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetManagedAppDiagnosticStatusesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets diagnostics validation status for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetManagedAppDiagnosticStatusesGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetManagedAppDiagnosticStatusesRequestBuilderGetQueryParameters> | undefined): Promise<GetManagedAppDiagnosticStatusesGetResponse | undefined>;
    /**
     * Gets diagnostics validation status for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetManagedAppDiagnosticStatusesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    withUrl(rawUrl: string): GetManagedAppDiagnosticStatusesRequestBuilder;
}
