"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetManagedAppDiagnosticStatusesRequestBuilder = exports.serializeGetManagedAppDiagnosticStatusesGetResponse = exports.deserializeIntoGetManagedAppDiagnosticStatusesGetResponse = exports.createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const managedAppDiagnosticStatus_1 = require("../../../models/managedAppDiagnosticStatus");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetManagedAppDiagnosticStatusesGetResponse;
}
exports.createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue = createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue;
function deserializeIntoGetManagedAppDiagnosticStatusesGetResponse(getManagedAppDiagnosticStatusesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getManagedAppDiagnosticStatusesGetResponse)), { "value": n => { getManagedAppDiagnosticStatusesGetResponse.value = n.getCollectionOfObjectValues(managedAppDiagnosticStatus_1.createManagedAppDiagnosticStatusFromDiscriminatorValue); } });
}
exports.deserializeIntoGetManagedAppDiagnosticStatusesGetResponse = deserializeIntoGetManagedAppDiagnosticStatusesGetResponse;
function serializeGetManagedAppDiagnosticStatusesGetResponse(writer, getManagedAppDiagnosticStatusesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getManagedAppDiagnosticStatusesGetResponse);
    writer.writeCollectionOfObjectValues("value", getManagedAppDiagnosticStatusesGetResponse.value, managedAppDiagnosticStatus_1.serializeManagedAppDiagnosticStatus);
}
exports.serializeGetManagedAppDiagnosticStatusesGetResponse = serializeGetManagedAppDiagnosticStatusesGetResponse;
/**
 * Provides operations to call the getManagedAppDiagnosticStatuses method.
 */
class GetManagedAppDiagnosticStatusesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetManagedAppDiagnosticStatusesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/getManagedAppDiagnosticStatuses(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Gets diagnostics validation status for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetManagedAppDiagnosticStatusesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetManagedAppDiagnosticStatusesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Gets diagnostics validation status for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getManagedAppDiagnosticStatusesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetManagedAppDiagnosticStatusesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetManagedAppDiagnosticStatusesRequestBuilder = GetManagedAppDiagnosticStatusesRequestBuilder;
const getManagedAppDiagnosticStatusesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
