import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ManagedAppPolicy } from '../../../models/managedAppPolicy';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetManagedAppPoliciesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetManagedAppPoliciesGetResponse;
export declare function deserializeIntoGetManagedAppPoliciesGetResponse(getManagedAppPoliciesGetResponse?: GetManagedAppPoliciesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetManagedAppPoliciesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppPolicy[];
}
export interface GetManagedAppPoliciesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
export declare function serializeGetManagedAppPoliciesGetResponse(writer: SerializationWriter, getManagedAppPoliciesGetResponse?: GetManagedAppPoliciesGetResponse | undefined): void;
/**
 * Provides operations to call the getManagedAppPolicies method.
 */
export declare class GetManagedAppPoliciesRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetManagedAppPoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets app restrictions for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetManagedAppPoliciesGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<GetManagedAppPoliciesRequestBuilderGetQueryParameters> | undefined): Promise<GetManagedAppPoliciesGetResponse | undefined>;
    /**
     * Gets app restrictions for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GetManagedAppPoliciesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    withUrl(rawUrl: string): GetManagedAppPoliciesRequestBuilder;
}
