"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetManagedAppPoliciesRequestBuilder = exports.serializeGetManagedAppPoliciesGetResponse = exports.deserializeIntoGetManagedAppPoliciesGetResponse = exports.createGetManagedAppPoliciesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const managedAppPolicy_1 = require("../../../models/managedAppPolicy");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetManagedAppPoliciesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetManagedAppPoliciesGetResponse;
}
exports.createGetManagedAppPoliciesGetResponseFromDiscriminatorValue = createGetManagedAppPoliciesGetResponseFromDiscriminatorValue;
function deserializeIntoGetManagedAppPoliciesGetResponse(getManagedAppPoliciesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getManagedAppPoliciesGetResponse)), { "value": n => { getManagedAppPoliciesGetResponse.value = n.getCollectionOfObjectValues(managedAppPolicy_1.createManagedAppPolicyFromDiscriminatorValue); } });
}
exports.deserializeIntoGetManagedAppPoliciesGetResponse = deserializeIntoGetManagedAppPoliciesGetResponse;
function serializeGetManagedAppPoliciesGetResponse(writer, getManagedAppPoliciesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getManagedAppPoliciesGetResponse);
    writer.writeCollectionOfObjectValues("value", getManagedAppPoliciesGetResponse.value, managedAppPolicy_1.serializeManagedAppPolicy);
}
exports.serializeGetManagedAppPoliciesGetResponse = serializeGetManagedAppPoliciesGetResponse;
/**
 * Provides operations to call the getManagedAppPolicies method.
 */
class GetManagedAppPoliciesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetManagedAppPoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/getManagedAppPolicies(){?%24top,%24skip,%24search,%24filter,%24count,%24select,%24orderby}");
    }
    ;
    /**
     * Gets app restrictions for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetManagedAppPoliciesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetManagedAppPoliciesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Gets app restrictions for a given user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getManagedAppPoliciesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetManagedAppPoliciesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetManagedAppPoliciesRequestBuilder = GetManagedAppPoliciesRequestBuilder;
const getManagedAppPoliciesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "orderby": "%24orderby",
    "search": "%24search",
    "select": "%24select",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
