"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetManagedDevicesWithAppFailuresRequestBuilder = exports.serializeGetManagedDevicesWithAppFailuresGetResponse = exports.deserializeIntoGetManagedDevicesWithAppFailuresGetResponse = exports.createGetManagedDevicesWithAppFailuresGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetManagedDevicesWithAppFailuresGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetManagedDevicesWithAppFailuresGetResponse;
}
exports.createGetManagedDevicesWithAppFailuresGetResponseFromDiscriminatorValue = createGetManagedDevicesWithAppFailuresGetResponseFromDiscriminatorValue;
function deserializeIntoGetManagedDevicesWithAppFailuresGetResponse(getManagedDevicesWithAppFailuresGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(getManagedDevicesWithAppFailuresGetResponse)), { "value": n => { getManagedDevicesWithAppFailuresGetResponse.value = n.getCollectionOfPrimitiveValues(); } });
}
exports.deserializeIntoGetManagedDevicesWithAppFailuresGetResponse = deserializeIntoGetManagedDevicesWithAppFailuresGetResponse;
function serializeGetManagedDevicesWithAppFailuresGetResponse(writer, getManagedDevicesWithAppFailuresGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, getManagedDevicesWithAppFailuresGetResponse);
    writer.writeCollectionOfPrimitiveValues("value", getManagedDevicesWithAppFailuresGetResponse.value);
}
exports.serializeGetManagedDevicesWithAppFailuresGetResponse = serializeGetManagedDevicesWithAppFailuresGetResponse;
/**
 * Provides operations to call the getManagedDevicesWithAppFailures method.
 */
class GetManagedDevicesWithAppFailuresRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetManagedDevicesWithAppFailuresRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/getManagedDevicesWithAppFailures(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Retrieves the list of devices with failed apps
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetManagedDevicesWithAppFailuresGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetManagedDevicesWithAppFailuresGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Retrieves the list of devices with failed apps
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, getManagedDevicesWithAppFailuresRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getManagedDevicesWithAppFailuresRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetManagedDevicesWithAppFailuresRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetManagedDevicesWithAppFailuresRequestBuilder = GetManagedDevicesWithAppFailuresRequestBuilder;
const getManagedDevicesWithAppFailuresRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
