import { type User } from '../../models/user';
import { ActivitiesRequestBuilder } from './activities/';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/';
import { AssignLicenseRequestBuilder } from './assignLicense/';
import { AuthenticationRequestBuilder } from './authentication/';
import { CalendarRequestBuilder } from './calendar/';
import { CalendarGroupsRequestBuilder } from './calendarGroups/';
import { CalendarsRequestBuilder } from './calendars/';
import { CalendarViewRequestBuilder } from './calendarView/';
import { ChangePasswordRequestBuilder } from './changePassword/';
import { ChatsRequestBuilder } from './chats/';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/';
import { ContactFoldersRequestBuilder } from './contactFolders/';
import { ContactsRequestBuilder } from './contacts/';
import { CreatedObjectsRequestBuilder } from './createdObjects/';
import { DeviceManagementTroubleshootingEventsRequestBuilder } from './deviceManagementTroubleshootingEvents/';
import { DirectReportsRequestBuilder } from './directReports/';
import { DriveRequestBuilder } from './drive/';
import { DrivesRequestBuilder } from './drives/';
import { EmployeeExperienceRequestBuilder } from './employeeExperience/';
import { EventsRequestBuilder } from './events/';
import { ExportDeviceAndAppManagementDataRequestBuilder } from './exportDeviceAndAppManagementData/';
import { ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder } from './exportDeviceAndAppManagementDataWithSkipWithTop/';
import { ExportPersonalDataRequestBuilder } from './exportPersonalData/';
import { ExtensionsRequestBuilder } from './extensions/';
import { FindMeetingTimesRequestBuilder } from './findMeetingTimes/';
import { FollowedSitesRequestBuilder } from './followedSites/';
import { GetMailTipsRequestBuilder } from './getMailTips/';
import { GetManagedAppDiagnosticStatusesRequestBuilder } from './getManagedAppDiagnosticStatuses/';
import { GetManagedAppPoliciesRequestBuilder } from './getManagedAppPolicies/';
import { GetManagedDevicesWithAppFailuresRequestBuilder } from './getManagedDevicesWithAppFailures/';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/';
import { InferenceClassificationRequestBuilder } from './inferenceClassification/';
import { InsightsRequestBuilder } from './insights/';
import { JoinedTeamsRequestBuilder } from './joinedTeams/';
import { LicenseDetailsRequestBuilder } from './licenseDetails/';
import { MailboxSettingsRequestBuilder } from './mailboxSettings/';
import { MailFoldersRequestBuilder } from './mailFolders/';
import { ManagedAppRegistrationsRequestBuilder } from './managedAppRegistrations/';
import { ManagedDevicesRequestBuilder } from './managedDevices/';
import { ManagerRequestBuilder } from './manager/';
import { MemberOfRequestBuilder } from './memberOf/';
import { MessagesRequestBuilder } from './messages/';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/';
import { OnenoteRequestBuilder } from './onenote/';
import { OnlineMeetingsRequestBuilder } from './onlineMeetings/';
import { OutlookRequestBuilder } from './outlook/';
import { OwnedDevicesRequestBuilder } from './ownedDevices/';
import { OwnedObjectsRequestBuilder } from './ownedObjects/';
import { PeopleRequestBuilder } from './people/';
import { PhotoRequestBuilder } from './photo/';
import { PhotosRequestBuilder } from './photos/';
import { PlannerRequestBuilder } from './planner/';
import { PresenceRequestBuilder } from './presence/';
import { RegisteredDevicesRequestBuilder } from './registeredDevices/';
import { ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder } from './reminderViewWithStartDateTimeWithEndDateTime/';
import { RemoveAllDevicesFromManagementRequestBuilder } from './removeAllDevicesFromManagement/';
import { ReprocessLicenseAssignmentRequestBuilder } from './reprocessLicenseAssignment/';
import { RestoreRequestBuilder } from './restore/';
import { RetryServiceProvisioningRequestBuilder } from './retryServiceProvisioning/';
import { RevokeSignInSessionsRequestBuilder } from './revokeSignInSessions/';
import { ScopedRoleMemberOfRequestBuilder } from './scopedRoleMemberOf/';
import { SendMailRequestBuilder } from './sendMail/';
import { ServiceProvisioningErrorsRequestBuilder } from './serviceProvisioningErrors/';
import { SettingsRequestBuilder } from './settings/';
import { TeamworkRequestBuilder } from './teamwork/';
import { TodoRequestBuilder } from './todo/';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/';
import { TranslateExchangeIdsRequestBuilder } from './translateExchangeIds/';
import { WipeManagedAppRegistrationsByDeviceTagRequestBuilder } from './wipeManagedAppRegistrationsByDeviceTag/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface UserItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the collection of user entities.
 */
export declare class UserItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to manage the activities property of the microsoft.graph.user entity.
     */
    get activities(): ActivitiesRequestBuilder;
    /**
     * Provides operations to manage the agreementAcceptances property of the microsoft.graph.user entity.
     */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.user entity.
     */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense(): AssignLicenseRequestBuilder;
    /**
     * Provides operations to manage the authentication property of the microsoft.graph.user entity.
     */
    get authentication(): AuthenticationRequestBuilder;
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.user entity.
     */
    get calendar(): CalendarRequestBuilder;
    /**
     * Provides operations to manage the calendarGroups property of the microsoft.graph.user entity.
     */
    get calendarGroups(): CalendarGroupsRequestBuilder;
    /**
     * Provides operations to manage the calendars property of the microsoft.graph.user entity.
     */
    get calendars(): CalendarsRequestBuilder;
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.user entity.
     */
    get calendarView(): CalendarViewRequestBuilder;
    /**
     * Provides operations to call the changePassword method.
     */
    get changePassword(): ChangePasswordRequestBuilder;
    /**
     * Provides operations to manage the chats property of the microsoft.graph.user entity.
     */
    get chats(): ChatsRequestBuilder;
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the contactFolders property of the microsoft.graph.user entity.
     */
    get contactFolders(): ContactFoldersRequestBuilder;
    /**
     * Provides operations to manage the contacts property of the microsoft.graph.user entity.
     */
    get contacts(): ContactsRequestBuilder;
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.user entity.
     */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /**
     * Provides operations to manage the deviceManagementTroubleshootingEvents property of the microsoft.graph.user entity.
     */
    get deviceManagementTroubleshootingEvents(): DeviceManagementTroubleshootingEventsRequestBuilder;
    /**
     * Provides operations to manage the directReports property of the microsoft.graph.user entity.
     */
    get directReports(): DirectReportsRequestBuilder;
    /**
     * Provides operations to manage the drive property of the microsoft.graph.user entity.
     */
    get drive(): DriveRequestBuilder;
    /**
     * Provides operations to manage the drives property of the microsoft.graph.user entity.
     */
    get drives(): DrivesRequestBuilder;
    /**
     * Provides operations to manage the employeeExperience property of the microsoft.graph.user entity.
     */
    get employeeExperience(): EmployeeExperienceRequestBuilder;
    /**
     * Provides operations to manage the events property of the microsoft.graph.user entity.
     */
    get events(): EventsRequestBuilder;
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     */
    get exportDeviceAndAppManagementData(): ExportDeviceAndAppManagementDataRequestBuilder;
    /**
     * Provides operations to call the exportPersonalData method.
     */
    get exportPersonalData(): ExportPersonalDataRequestBuilder;
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.user entity.
     */
    get extensions(): ExtensionsRequestBuilder;
    /**
     * Provides operations to call the findMeetingTimes method.
     */
    get findMeetingTimes(): FindMeetingTimesRequestBuilder;
    /**
     * Provides operations to manage the followedSites property of the microsoft.graph.user entity.
     */
    get followedSites(): FollowedSitesRequestBuilder;
    /**
     * Provides operations to call the getMailTips method.
     */
    get getMailTips(): GetMailTipsRequestBuilder;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     */
    get getManagedAppDiagnosticStatuses(): GetManagedAppDiagnosticStatusesRequestBuilder;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     */
    get getManagedAppPolicies(): GetManagedAppPoliciesRequestBuilder;
    /**
     * Provides operations to call the getManagedDevicesWithAppFailures method.
     */
    get getManagedDevicesWithAppFailures(): GetManagedDevicesWithAppFailuresRequestBuilder;
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /**
     * Provides operations to manage the inferenceClassification property of the microsoft.graph.user entity.
     */
    get inferenceClassification(): InferenceClassificationRequestBuilder;
    /**
     * Provides operations to manage the insights property of the microsoft.graph.user entity.
     */
    get insights(): InsightsRequestBuilder;
    /**
     * Provides operations to manage the joinedTeams property of the microsoft.graph.user entity.
     */
    get joinedTeams(): JoinedTeamsRequestBuilder;
    /**
     * Provides operations to manage the licenseDetails property of the microsoft.graph.user entity.
     */
    get licenseDetails(): LicenseDetailsRequestBuilder;
    /**
     * The mailboxSettings property
     */
    get mailboxSettings(): MailboxSettingsRequestBuilder;
    /**
     * Provides operations to manage the mailFolders property of the microsoft.graph.user entity.
     */
    get mailFolders(): MailFoldersRequestBuilder;
    /**
     * Provides operations to manage the managedAppRegistrations property of the microsoft.graph.user entity.
     */
    get managedAppRegistrations(): ManagedAppRegistrationsRequestBuilder;
    /**
     * Provides operations to manage the managedDevices property of the microsoft.graph.user entity.
     */
    get managedDevices(): ManagedDevicesRequestBuilder;
    /**
     * Provides operations to manage the manager property of the microsoft.graph.user entity.
     */
    get manager(): ManagerRequestBuilder;
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.user entity.
     */
    get memberOf(): MemberOfRequestBuilder;
    /**
     * Provides operations to manage the messages property of the microsoft.graph.user entity.
     */
    get messages(): MessagesRequestBuilder;
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.user entity.
     */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.user entity.
     */
    get onenote(): OnenoteRequestBuilder;
    /**
     * Provides operations to manage the onlineMeetings property of the microsoft.graph.user entity.
     */
    get onlineMeetings(): OnlineMeetingsRequestBuilder;
    /**
     * Provides operations to manage the outlook property of the microsoft.graph.user entity.
     */
    get outlook(): OutlookRequestBuilder;
    /**
     * Provides operations to manage the ownedDevices property of the microsoft.graph.user entity.
     */
    get ownedDevices(): OwnedDevicesRequestBuilder;
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.user entity.
     */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /**
     * Provides operations to manage the people property of the microsoft.graph.user entity.
     */
    get people(): PeopleRequestBuilder;
    /**
     * Provides operations to manage the photo property of the microsoft.graph.user entity.
     */
    get photo(): PhotoRequestBuilder;
    /**
     * Provides operations to manage the photos property of the microsoft.graph.user entity.
     */
    get photos(): PhotosRequestBuilder;
    /**
     * Provides operations to manage the planner property of the microsoft.graph.user entity.
     */
    get planner(): PlannerRequestBuilder;
    /**
     * Provides operations to manage the presence property of the microsoft.graph.user entity.
     */
    get presence(): PresenceRequestBuilder;
    /**
     * Provides operations to manage the registeredDevices property of the microsoft.graph.user entity.
     */
    get registeredDevices(): RegisteredDevicesRequestBuilder;
    /**
     * Provides operations to call the removeAllDevicesFromManagement method.
     */
    get removeAllDevicesFromManagement(): RemoveAllDevicesFromManagementRequestBuilder;
    /**
     * Provides operations to call the reprocessLicenseAssignment method.
     */
    get reprocessLicenseAssignment(): ReprocessLicenseAssignmentRequestBuilder;
    /**
     * Provides operations to call the restore method.
     */
    get restore(): RestoreRequestBuilder;
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning(): RetryServiceProvisioningRequestBuilder;
    /**
     * Provides operations to call the revokeSignInSessions method.
     */
    get revokeSignInSessions(): RevokeSignInSessionsRequestBuilder;
    /**
     * Provides operations to manage the scopedRoleMemberOf property of the microsoft.graph.user entity.
     */
    get scopedRoleMemberOf(): ScopedRoleMemberOfRequestBuilder;
    /**
     * Provides operations to call the sendMail method.
     */
    get sendMail(): SendMailRequestBuilder;
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors(): ServiceProvisioningErrorsRequestBuilder;
    /**
     * Provides operations to manage the settings property of the microsoft.graph.user entity.
     */
    get settings(): SettingsRequestBuilder;
    /**
     * Provides operations to manage the teamwork property of the microsoft.graph.user entity.
     */
    get teamwork(): TeamworkRequestBuilder;
    /**
     * Provides operations to manage the todo property of the microsoft.graph.user entity.
     */
    get todo(): TodoRequestBuilder;
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.user entity.
     */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /**
     * Provides operations to call the translateExchangeIds method.
     */
    get translateExchangeIds(): TranslateExchangeIdsRequestBuilder;
    /**
     * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
     */
    get wipeManagedAppRegistrationsByDeviceTag(): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Deletes a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     * @param skip Usage: skip={skip}
     * @param top Usage: top={top}
     * @returns a exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder
     */
    exportDeviceAndAppManagementDataWithSkipWithTop(skip: number | undefined, top: number | undefined): ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<UserItemRequestBuilderGetQueryParameters> | undefined): Promise<User | undefined>;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: User, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<User | undefined>;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime: string | undefined, startDateTime: string | undefined): ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Deletes a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<UserItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: User, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserItemRequestBuilder
     */
    withUrl(rawUrl: string): UserItemRequestBuilder;
}
