"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserItemRequestBuilder = void 0;
const oDataError_1 = require("../../models/oDataErrors/oDataError");
const user_1 = require("../../models/user");
const activities_1 = require("./activities/");
const agreementAcceptances_1 = require("./agreementAcceptances/");
const appRoleAssignments_1 = require("./appRoleAssignments/");
const assignLicense_1 = require("./assignLicense/");
const authentication_1 = require("./authentication/");
const calendar_1 = require("./calendar/");
const calendarGroups_1 = require("./calendarGroups/");
const calendars_1 = require("./calendars/");
const calendarView_1 = require("./calendarView/");
const changePassword_1 = require("./changePassword/");
const chats_1 = require("./chats/");
const checkMemberGroups_1 = require("./checkMemberGroups/");
const checkMemberObjects_1 = require("./checkMemberObjects/");
const contactFolders_1 = require("./contactFolders/");
const contacts_1 = require("./contacts/");
const createdObjects_1 = require("./createdObjects/");
const deviceManagementTroubleshootingEvents_1 = require("./deviceManagementTroubleshootingEvents/");
const directReports_1 = require("./directReports/");
const drive_1 = require("./drive/");
const drives_1 = require("./drives/");
const employeeExperience_1 = require("./employeeExperience/");
const events_1 = require("./events/");
const exportDeviceAndAppManagementData_1 = require("./exportDeviceAndAppManagementData/");
const exportDeviceAndAppManagementDataWithSkipWithTop_1 = require("./exportDeviceAndAppManagementDataWithSkipWithTop/");
const exportPersonalData_1 = require("./exportPersonalData/");
const extensions_1 = require("./extensions/");
const findMeetingTimes_1 = require("./findMeetingTimes/");
const followedSites_1 = require("./followedSites/");
const getMailTips_1 = require("./getMailTips/");
const getManagedAppDiagnosticStatuses_1 = require("./getManagedAppDiagnosticStatuses/");
const getManagedAppPolicies_1 = require("./getManagedAppPolicies/");
const getManagedDevicesWithAppFailures_1 = require("./getManagedDevicesWithAppFailures/");
const getMemberGroups_1 = require("./getMemberGroups/");
const getMemberObjects_1 = require("./getMemberObjects/");
const inferenceClassification_1 = require("./inferenceClassification/");
const insights_1 = require("./insights/");
const joinedTeams_1 = require("./joinedTeams/");
const licenseDetails_1 = require("./licenseDetails/");
const mailboxSettings_1 = require("./mailboxSettings/");
const mailFolders_1 = require("./mailFolders/");
const managedAppRegistrations_1 = require("./managedAppRegistrations/");
const managedDevices_1 = require("./managedDevices/");
const manager_1 = require("./manager/");
const memberOf_1 = require("./memberOf/");
const messages_1 = require("./messages/");
const oauth2PermissionGrants_1 = require("./oauth2PermissionGrants/");
const onenote_1 = require("./onenote/");
const onlineMeetings_1 = require("./onlineMeetings/");
const outlook_1 = require("./outlook/");
const ownedDevices_1 = require("./ownedDevices/");
const ownedObjects_1 = require("./ownedObjects/");
const people_1 = require("./people/");
const photo_1 = require("./photo/");
const photos_1 = require("./photos/");
const planner_1 = require("./planner/");
const presence_1 = require("./presence/");
const registeredDevices_1 = require("./registeredDevices/");
const reminderViewWithStartDateTimeWithEndDateTime_1 = require("./reminderViewWithStartDateTimeWithEndDateTime/");
const removeAllDevicesFromManagement_1 = require("./removeAllDevicesFromManagement/");
const reprocessLicenseAssignment_1 = require("./reprocessLicenseAssignment/");
const restore_1 = require("./restore/");
const retryServiceProvisioning_1 = require("./retryServiceProvisioning/");
const revokeSignInSessions_1 = require("./revokeSignInSessions/");
const scopedRoleMemberOf_1 = require("./scopedRoleMemberOf/");
const sendMail_1 = require("./sendMail/");
const serviceProvisioningErrors_1 = require("./serviceProvisioningErrors/");
const settings_1 = require("./settings/");
const teamwork_1 = require("./teamwork/");
const todo_1 = require("./todo/");
const transitiveMemberOf_1 = require("./transitiveMemberOf/");
const translateExchangeIds_1 = require("./translateExchangeIds/");
const wipeManagedAppRegistrationsByDeviceTag_1 = require("./wipeManagedAppRegistrationsByDeviceTag/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the collection of user entities.
 */
class UserItemRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to manage the activities property of the microsoft.graph.user entity.
     */
    get activities() {
        return new activities_1.ActivitiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the agreementAcceptances property of the microsoft.graph.user entity.
     */
    get agreementAcceptances() {
        return new agreementAcceptances_1.AgreementAcceptancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the appRoleAssignments property of the microsoft.graph.user entity.
     */
    get appRoleAssignments() {
        return new appRoleAssignments_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the assignLicense method.
     */
    get assignLicense() {
        return new assignLicense_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the authentication property of the microsoft.graph.user entity.
     */
    get authentication() {
        return new authentication_1.AuthenticationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendar property of the microsoft.graph.user entity.
     */
    get calendar() {
        return new calendar_1.CalendarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendarGroups property of the microsoft.graph.user entity.
     */
    get calendarGroups() {
        return new calendarGroups_1.CalendarGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendars property of the microsoft.graph.user entity.
     */
    get calendars() {
        return new calendars_1.CalendarsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the calendarView property of the microsoft.graph.user entity.
     */
    get calendarView() {
        return new calendarView_1.CalendarViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the changePassword method.
     */
    get changePassword() {
        return new changePassword_1.ChangePasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the chats property of the microsoft.graph.user entity.
     */
    get chats() {
        return new chats_1.ChatsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberGroups method.
     */
    get checkMemberGroups() {
        return new checkMemberGroups_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the checkMemberObjects method.
     */
    get checkMemberObjects() {
        return new checkMemberObjects_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the contactFolders property of the microsoft.graph.user entity.
     */
    get contactFolders() {
        return new contactFolders_1.ContactFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the contacts property of the microsoft.graph.user entity.
     */
    get contacts() {
        return new contacts_1.ContactsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the createdObjects property of the microsoft.graph.user entity.
     */
    get createdObjects() {
        return new createdObjects_1.CreatedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the deviceManagementTroubleshootingEvents property of the microsoft.graph.user entity.
     */
    get deviceManagementTroubleshootingEvents() {
        return new deviceManagementTroubleshootingEvents_1.DeviceManagementTroubleshootingEventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the directReports property of the microsoft.graph.user entity.
     */
    get directReports() {
        return new directReports_1.DirectReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drive property of the microsoft.graph.user entity.
     */
    get drive() {
        return new drive_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the drives property of the microsoft.graph.user entity.
     */
    get drives() {
        return new drives_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the employeeExperience property of the microsoft.graph.user entity.
     */
    get employeeExperience() {
        return new employeeExperience_1.EmployeeExperienceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the events property of the microsoft.graph.user entity.
     */
    get events() {
        return new events_1.EventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     */
    get exportDeviceAndAppManagementData() {
        return new exportDeviceAndAppManagementData_1.ExportDeviceAndAppManagementDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exportPersonalData method.
     */
    get exportPersonalData() {
        return new exportPersonalData_1.ExportPersonalDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the extensions property of the microsoft.graph.user entity.
     */
    get extensions() {
        return new extensions_1.ExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the findMeetingTimes method.
     */
    get findMeetingTimes() {
        return new findMeetingTimes_1.FindMeetingTimesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the followedSites property of the microsoft.graph.user entity.
     */
    get followedSites() {
        return new followedSites_1.FollowedSitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMailTips method.
     */
    get getMailTips() {
        return new getMailTips_1.GetMailTipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     */
    get getManagedAppDiagnosticStatuses() {
        return new getManagedAppDiagnosticStatuses_1.GetManagedAppDiagnosticStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedAppPolicies method.
     */
    get getManagedAppPolicies() {
        return new getManagedAppPolicies_1.GetManagedAppPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getManagedDevicesWithAppFailures method.
     */
    get getManagedDevicesWithAppFailures() {
        return new getManagedDevicesWithAppFailures_1.GetManagedDevicesWithAppFailuresRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberGroups method.
     */
    get getMemberGroups() {
        return new getMemberGroups_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the getMemberObjects method.
     */
    get getMemberObjects() {
        return new getMemberObjects_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the inferenceClassification property of the microsoft.graph.user entity.
     */
    get inferenceClassification() {
        return new inferenceClassification_1.InferenceClassificationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the insights property of the microsoft.graph.user entity.
     */
    get insights() {
        return new insights_1.InsightsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the joinedTeams property of the microsoft.graph.user entity.
     */
    get joinedTeams() {
        return new joinedTeams_1.JoinedTeamsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the licenseDetails property of the microsoft.graph.user entity.
     */
    get licenseDetails() {
        return new licenseDetails_1.LicenseDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The mailboxSettings property
     */
    get mailboxSettings() {
        return new mailboxSettings_1.MailboxSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the mailFolders property of the microsoft.graph.user entity.
     */
    get mailFolders() {
        return new mailFolders_1.MailFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedAppRegistrations property of the microsoft.graph.user entity.
     */
    get managedAppRegistrations() {
        return new managedAppRegistrations_1.ManagedAppRegistrationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the managedDevices property of the microsoft.graph.user entity.
     */
    get managedDevices() {
        return new managedDevices_1.ManagedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the manager property of the microsoft.graph.user entity.
     */
    get manager() {
        return new manager_1.ManagerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the memberOf property of the microsoft.graph.user entity.
     */
    get memberOf() {
        return new memberOf_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the messages property of the microsoft.graph.user entity.
     */
    get messages() {
        return new messages_1.MessagesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the oauth2PermissionGrants property of the microsoft.graph.user entity.
     */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrants_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the onenote property of the microsoft.graph.user entity.
     */
    get onenote() {
        return new onenote_1.OnenoteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the onlineMeetings property of the microsoft.graph.user entity.
     */
    get onlineMeetings() {
        return new onlineMeetings_1.OnlineMeetingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the outlook property of the microsoft.graph.user entity.
     */
    get outlook() {
        return new outlook_1.OutlookRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the ownedDevices property of the microsoft.graph.user entity.
     */
    get ownedDevices() {
        return new ownedDevices_1.OwnedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the ownedObjects property of the microsoft.graph.user entity.
     */
    get ownedObjects() {
        return new ownedObjects_1.OwnedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the people property of the microsoft.graph.user entity.
     */
    get people() {
        return new people_1.PeopleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photo property of the microsoft.graph.user entity.
     */
    get photo() {
        return new photo_1.PhotoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the photos property of the microsoft.graph.user entity.
     */
    get photos() {
        return new photos_1.PhotosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the planner property of the microsoft.graph.user entity.
     */
    get planner() {
        return new planner_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the presence property of the microsoft.graph.user entity.
     */
    get presence() {
        return new presence_1.PresenceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the registeredDevices property of the microsoft.graph.user entity.
     */
    get registeredDevices() {
        return new registeredDevices_1.RegisteredDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the removeAllDevicesFromManagement method.
     */
    get removeAllDevicesFromManagement() {
        return new removeAllDevicesFromManagement_1.RemoveAllDevicesFromManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the reprocessLicenseAssignment method.
     */
    get reprocessLicenseAssignment() {
        return new reprocessLicenseAssignment_1.ReprocessLicenseAssignmentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the restore method.
     */
    get restore() {
        return new restore_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the retryServiceProvisioning method.
     */
    get retryServiceProvisioning() {
        return new retryServiceProvisioning_1.RetryServiceProvisioningRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the revokeSignInSessions method.
     */
    get revokeSignInSessions() {
        return new revokeSignInSessions_1.RevokeSignInSessionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the scopedRoleMemberOf property of the microsoft.graph.user entity.
     */
    get scopedRoleMemberOf() {
        return new scopedRoleMemberOf_1.ScopedRoleMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sendMail method.
     */
    get sendMail() {
        return new sendMail_1.SendMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * The serviceProvisioningErrors property
     */
    get serviceProvisioningErrors() {
        return new serviceProvisioningErrors_1.ServiceProvisioningErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the settings property of the microsoft.graph.user entity.
     */
    get settings() {
        return new settings_1.SettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the teamwork property of the microsoft.graph.user entity.
     */
    get teamwork() {
        return new teamwork_1.TeamworkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the todo property of the microsoft.graph.user entity.
     */
    get todo() {
        return new todo_1.TodoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to manage the transitiveMemberOf property of the microsoft.graph.user entity.
     */
    get transitiveMemberOf() {
        return new transitiveMemberOf_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the translateExchangeIds method.
     */
    get translateExchangeIds() {
        return new translateExchangeIds_1.TranslateExchangeIdsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
     */
    get wipeManagedAppRegistrationsByDeviceTag() {
        return new wipeManagedAppRegistrationsByDeviceTag_1.WipeManagedAppRegistrationsByDeviceTagRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}{?%24select,%24expand}");
    }
    ;
    /**
     * Deletes a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Provides operations to call the exportDeviceAndAppManagementData method.
     * @param skip Usage: skip={skip}
     * @param top Usage: top={top}
     * @returns a exportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder
     */
    exportDeviceAndAppManagementDataWithSkipWithTop(skip, top) {
        if (!skip)
            throw new Error("skip cannot be undefined");
        if (!top)
            throw new Error("top cannot be undefined");
        return new exportDeviceAndAppManagementDataWithSkipWithTop_1.ExportDeviceAndAppManagementDataWithSkipWithTopRequestBuilder(this.pathParameters, this.requestAdapter, skip, top);
    }
    ;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, user_1.createUserFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of User
     * @see {@link https://learn.microsoft.com/graph/api/intune-onboarding-user-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, user_1.createUserFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new reminderViewWithStartDateTimeWithEndDateTime_1.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime);
    }
    ;
    /**
     * Deletes a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Read properties and relationships of the user object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, userItemRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a user object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, user_1.serializeUser);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a UserItemRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new UserItemRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.UserItemRequestBuilder = UserItemRequestBuilder;
const userItemRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
