import { type Entity } from '../../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface LastSharedMethodRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the lastSharedMethod property of the microsoft.graph.sharedInsight entity.
 */
export declare class LastSharedMethodRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new LastSharedMethodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get lastSharedMethod from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Entity
     */
    get(requestConfiguration?: RequestConfiguration<LastSharedMethodRequestBuilderGetQueryParameters> | undefined): Promise<Entity | undefined>;
    /**
     * Get lastSharedMethod from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<LastSharedMethodRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a lastSharedMethodRequestBuilder
     */
    withUrl(rawUrl: string): LastSharedMethodRequestBuilder;
}
