"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetReactionRequestBuilder = exports.serializeSetReactionPostRequestBody = exports.deserializeIntoSetReactionPostRequestBody = exports.createSetReactionPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetReactionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetReactionPostRequestBody;
}
exports.createSetReactionPostRequestBodyFromDiscriminatorValue = createSetReactionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetReactionPostRequestBody(setReactionPostRequestBody = {}) {
    return {
        "reactionType": n => { setReactionPostRequestBody.reactionType = n.getStringValue(); },
    };
}
exports.deserializeIntoSetReactionPostRequestBody = deserializeIntoSetReactionPostRequestBody;
function serializeSetReactionPostRequestBody(writer, setReactionPostRequestBody = {}) {
    writer.writeStringValue("reactionType", setReactionPostRequestBody.reactionType);
    writer.writeAdditionalData(setReactionPostRequestBody.additionalData);
}
exports.serializeSetReactionPostRequestBody = serializeSetReactionPostRequestBody;
/**
 * Provides operations to call the setReaction method.
 */
class SetReactionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetReactionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/joinedTeams/{team%2Did}/channels/{channel%2Did}/messages/{chatMessage%2Did}/setReaction");
    }
    ;
    /**
     * Invoke action setReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Invoke action setReaction
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetReactionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setReactionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetReactionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetReactionRequestBuilder = SetReactionRequestBuilder;
// tslint:enable
// eslint-enable
