"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateReplyRequestBuilder = exports.serializeCreateReplyPostRequestBody = exports.deserializeIntoCreateReplyPostRequestBody = exports.createCreateReplyPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const message_1 = require("../../../../../../../../../models/message");
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateReplyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateReplyPostRequestBody;
}
exports.createCreateReplyPostRequestBodyFromDiscriminatorValue = createCreateReplyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateReplyPostRequestBody(createReplyPostRequestBody = {}) {
    return {
        "comment": n => { createReplyPostRequestBody.comment = n.getStringValue(); },
        "message": n => { createReplyPostRequestBody.message = n.getObjectValue(message_1.createMessageFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCreateReplyPostRequestBody = deserializeIntoCreateReplyPostRequestBody;
function serializeCreateReplyPostRequestBody(writer, createReplyPostRequestBody = {}) {
    writer.writeStringValue("Comment", createReplyPostRequestBody.comment);
    writer.writeObjectValue("Message", createReplyPostRequestBody.message, message_1.serializeMessage);
    writer.writeAdditionalData(createReplyPostRequestBody.additionalData);
}
exports.serializeCreateReplyPostRequestBody = serializeCreateReplyPostRequestBody;
/**
 * Provides operations to call the createReply method.
 */
class CreateReplyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateReplyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/mailFolders/{mailFolder%2Did}/childFolders/{mailFolder%2Did1}/messages/{message%2Did}/createReply");
    }
    ;
    /**
     * Create a draft to reply to the sender of a message in either JSON or MIME format. When using JSON format:- Specify either a comment or the body property of the message parameter. Specifying both will return an HTTP 400 Bad Request error.- If replyTo is specified in the original message, per Internet Message Format (RFC 2822), you should send the reply to the recipients in replyTo, and not the recipients in from.- You can update the draft later to add reply content to the body or change other message properties. When using MIME format:- Provide the applicable Internet message headers and the MIME content, all encoded in base64 format in the request body.- Add any attachments and S/MIME properties to the MIME content. Send the draft message in a subsequent operation. Alternatively, reply to a message in a single operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Message
     * @see {@link https://learn.microsoft.com/graph/api/message-createreply?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, message_1.createMessageFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create a draft to reply to the sender of a message in either JSON or MIME format. When using JSON format:- Specify either a comment or the body property of the message parameter. Specifying both will return an HTTP 400 Bad Request error.- If replyTo is specified in the original message, per Internet Message Format (RFC 2822), you should send the reply to the recipients in replyTo, and not the recipients in from.- You can update the draft later to add reply content to the body or change other message properties. When using MIME format:- Provide the applicable Internet message headers and the MIME content, all encoded in base64 format in the request body.- Add any attachments and S/MIME properties to the MIME content. Send the draft message in a subsequent operation. Alternatively, reply to a message in a single operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateReplyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createReplyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateReplyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateReplyRequestBuilder = CreateReplyRequestBuilder;
// tslint:enable
// eslint-enable
