"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyRequestBuilder = exports.serializeCopyPostRequestBody = exports.deserializeIntoCopyPostRequestBody = exports.createCopyPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const message_1 = require("../../../../../../../models/message");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyPostRequestBody;
}
exports.createCopyPostRequestBodyFromDiscriminatorValue = createCopyPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyPostRequestBody(copyPostRequestBody = {}) {
    return {
        "destinationId": n => { copyPostRequestBody.destinationId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyPostRequestBody = deserializeIntoCopyPostRequestBody;
function serializeCopyPostRequestBody(writer, copyPostRequestBody = {}) {
    writer.writeStringValue("DestinationId", copyPostRequestBody.destinationId);
    writer.writeAdditionalData(copyPostRequestBody.additionalData);
}
exports.serializeCopyPostRequestBody = serializeCopyPostRequestBody;
/**
 * Provides operations to call the copy method.
 */
class CopyRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/mailFolders/{mailFolder%2Did}/messages/{message%2Did}/copy");
    }
    ;
    /**
     * Copy a message to a folder within the user's mailbox.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Message
     * @see {@link https://learn.microsoft.com/graph/api/message-copy?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, message_1.createMessageFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Copy a message to a folder within the user's mailbox.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyRequestBuilder = CopyRequestBuilder;
// tslint:enable
// eslint-enable
