"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateForwardRequestBuilder = exports.serializeCreateForwardPostRequestBody = exports.deserializeIntoCreateForwardPostRequestBody = exports.createCreateForwardPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const message_1 = require("../../../../../../../models/message");
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const recipient_1 = require("../../../../../../../models/recipient");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateForwardPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateForwardPostRequestBody;
}
exports.createCreateForwardPostRequestBodyFromDiscriminatorValue = createCreateForwardPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateForwardPostRequestBody(createForwardPostRequestBody = {}) {
    return {
        "comment": n => { createForwardPostRequestBody.comment = n.getStringValue(); },
        "message": n => { createForwardPostRequestBody.message = n.getObjectValue(message_1.createMessageFromDiscriminatorValue); },
        "toRecipients": n => { createForwardPostRequestBody.toRecipients = n.getCollectionOfObjectValues(recipient_1.createRecipientFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCreateForwardPostRequestBody = deserializeIntoCreateForwardPostRequestBody;
function serializeCreateForwardPostRequestBody(writer, createForwardPostRequestBody = {}) {
    writer.writeStringValue("Comment", createForwardPostRequestBody.comment);
    writer.writeObjectValue("Message", createForwardPostRequestBody.message, message_1.serializeMessage);
    writer.writeCollectionOfObjectValues("ToRecipients", createForwardPostRequestBody.toRecipients, recipient_1.serializeRecipient);
    writer.writeAdditionalData(createForwardPostRequestBody.additionalData);
}
exports.serializeCreateForwardPostRequestBody = serializeCreateForwardPostRequestBody;
/**
 * Provides operations to call the createForward method.
 */
class CreateForwardRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateForwardRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/mailFolders/{mailFolder%2Did}/messages/{message%2Did}/createForward");
    }
    ;
    /**
     * Create a draft to forward an existing message, in either JSON or MIME format. When using JSON format, you can:- Specify either a comment or the body property of the message parameter. Specifying both will return an HTTP 400 Bad Request error.- Specify either the toRecipients parameter or the toRecipients property of the message parameter. Specifying both or specifying neither will return an HTTP 400 Bad Request error.- Update the draft later to add content to the body or change other message properties. When using MIME format:- Provide the applicable Internet message headers and the MIME content, all encoded in base64 format in the request body.- Add any attachments and S/MIME properties to the MIME content. Send the draft message in a subsequent operation. Alternatively, forward a message in a single operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of Message
     * @see {@link https://learn.microsoft.com/graph/api/message-createforward?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, message_1.createMessageFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create a draft to forward an existing message, in either JSON or MIME format. When using JSON format, you can:- Specify either a comment or the body property of the message parameter. Specifying both will return an HTTP 400 Bad Request error.- Specify either the toRecipients parameter or the toRecipients property of the message parameter. Specifying both or specifying neither will return an HTTP 400 Bad Request error.- Update the draft later to add content to the body or change other message properties. When using MIME format:- Provide the applicable Internet message headers and the MIME content, all encoded in base64 format in the request body.- Add any attachments and S/MIME properties to the MIME content. Send the draft message in a subsequent operation. Alternatively, forward a message in a single operation.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateForwardPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createForwardRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateForwardRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateForwardRequestBuilder = CreateForwardRequestBuilder;
// tslint:enable
// eslint-enable
