import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCreateDownloadUrlPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCreateDownloadUrlPostResponse;
export interface CreateDownloadUrlPostResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function deserializeIntoCreateDownloadUrlPostResponse(createDownloadUrlPostResponse?: CreateDownloadUrlPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCreateDownloadUrlPostResponse(writer: SerializationWriter, createDownloadUrlPostResponse?: CreateDownloadUrlPostResponse | undefined): void;
/**
 * Provides operations to call the createDownloadUrl method.
 */
export declare class CreateDownloadUrlRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new CreateDownloadUrlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action createDownloadUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CreateDownloadUrlPostResponse
     */
    post(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<CreateDownloadUrlPostResponse | undefined>;
    /**
     * Invoke action createDownloadUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createDownloadUrlRequestBuilder
     */
    withUrl(rawUrl: string): CreateDownloadUrlRequestBuilder;
}
