"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateDownloadUrlRequestBuilder = exports.serializeCreateDownloadUrlPostResponse = exports.deserializeIntoCreateDownloadUrlPostResponse = exports.createCreateDownloadUrlPostResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateDownloadUrlPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateDownloadUrlPostResponse;
}
exports.createCreateDownloadUrlPostResponseFromDiscriminatorValue = createCreateDownloadUrlPostResponseFromDiscriminatorValue;
function deserializeIntoCreateDownloadUrlPostResponse(createDownloadUrlPostResponse = {}) {
    return {
        "value": n => { createDownloadUrlPostResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoCreateDownloadUrlPostResponse = deserializeIntoCreateDownloadUrlPostResponse;
function serializeCreateDownloadUrlPostResponse(writer, createDownloadUrlPostResponse = {}) {
    writer.writeStringValue("value", createDownloadUrlPostResponse.value);
    writer.writeAdditionalData(createDownloadUrlPostResponse.additionalData);
}
exports.serializeCreateDownloadUrlPostResponse = serializeCreateDownloadUrlPostResponse;
/**
 * Provides operations to call the createDownloadUrl method.
 */
class CreateDownloadUrlRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateDownloadUrlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/managedDevices/{managedDevice%2Did}/logCollectionRequests/{deviceLogCollectionResponse%2Did}/createDownloadUrl");
    }
    ;
    /**
     * Invoke action createDownloadUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of CreateDownloadUrlPostResponse
     */
    post(requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createCreateDownloadUrlPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke action createDownloadUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createDownloadUrlRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateDownloadUrlRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateDownloadUrlRequestBuilder = CreateDownloadUrlRequestBuilder;
// tslint:enable
// eslint-enable
