import { type UpdateWindowsDeviceAccountActionParameter } from '../../../../../models/updateWindowsDeviceAccountActionParameter';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateWindowsDeviceAccountPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateWindowsDeviceAccountPostRequestBody;
export declare function deserializeIntoUpdateWindowsDeviceAccountPostRequestBody(updateWindowsDeviceAccountPostRequestBody?: UpdateWindowsDeviceAccountPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateWindowsDeviceAccountPostRequestBody(writer: SerializationWriter, updateWindowsDeviceAccountPostRequestBody?: UpdateWindowsDeviceAccountPostRequestBody | undefined): void;
export interface UpdateWindowsDeviceAccountPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The updateWindowsDeviceAccountActionParameter property
     */
    updateWindowsDeviceAccountActionParameter?: UpdateWindowsDeviceAccountActionParameter;
}
/**
 * Provides operations to call the updateWindowsDeviceAccount method.
 */
export declare class UpdateWindowsDeviceAccountRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new UpdateWindowsDeviceAccountRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-updatewindowsdeviceaccount?view=graph-rest-1.0|Find more info here}
     */
    post(body: UpdateWindowsDeviceAccountPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: UpdateWindowsDeviceAccountPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a updateWindowsDeviceAccountRequestBuilder
     */
    withUrl(rawUrl: string): UpdateWindowsDeviceAccountRequestBuilder;
}
