"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsDefenderScanRequestBuilder = exports.serializeWindowsDefenderScanPostRequestBody = exports.deserializeIntoWindowsDefenderScanPostRequestBody = exports.createWindowsDefenderScanPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createWindowsDefenderScanPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsDefenderScanPostRequestBody;
}
exports.createWindowsDefenderScanPostRequestBodyFromDiscriminatorValue = createWindowsDefenderScanPostRequestBodyFromDiscriminatorValue;
function deserializeIntoWindowsDefenderScanPostRequestBody(windowsDefenderScanPostRequestBody = {}) {
    return {
        "quickScan": n => { windowsDefenderScanPostRequestBody.quickScan = n.getBooleanValue(); },
    };
}
exports.deserializeIntoWindowsDefenderScanPostRequestBody = deserializeIntoWindowsDefenderScanPostRequestBody;
function serializeWindowsDefenderScanPostRequestBody(writer, windowsDefenderScanPostRequestBody = {}) {
    writer.writeBooleanValue("quickScan", windowsDefenderScanPostRequestBody.quickScan);
    writer.writeAdditionalData(windowsDefenderScanPostRequestBody.additionalData);
}
exports.serializeWindowsDefenderScanPostRequestBody = serializeWindowsDefenderScanPostRequestBody;
/**
 * Provides operations to call the windowsDefenderScan method.
 */
class WindowsDefenderScanRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new WindowsDefenderScanRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/managedDevices/{managedDevice%2Did}/windowsDefenderScan");
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-windowsdefenderscan?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Not yet documented
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeWindowsDefenderScanPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a windowsDefenderScanRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new WindowsDefenderScanRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.WindowsDefenderScanRequestBuilder = WindowsDefenderScanRequestBuilder;
// tslint:enable
// eslint-enable
