import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWipePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWipePostRequestBody;
export declare function deserializeIntoWipePostRequestBody(wipePostRequestBody?: WipePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWipePostRequestBody(writer: SerializationWriter, wipePostRequestBody?: WipePostRequestBody | undefined): void;
export interface WipePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The keepEnrollmentData property
     */
    keepEnrollmentData?: boolean;
    /**
     * The keepUserData property
     */
    keepUserData?: boolean;
    /**
     * The macOsUnlockCode property
     */
    macOsUnlockCode?: string;
    /**
     * The persistEsimDataPlan property
     */
    persistEsimDataPlan?: boolean;
}
/**
 * Provides operations to call the wipe method.
 */
export declare class WipeRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new WipeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Wipe a device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-manageddevice-wipe?view=graph-rest-1.0|Find more info here}
     */
    post(body: WipePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Wipe a device
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: WipePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a wipeRequestBuilder
     */
    withUrl(rawUrl: string): WipeRequestBuilder;
}
