import { type DirectoryRole } from '../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GraphDirectoryRoleRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Casts the previous resource to directoryRole.
 */
export declare class GraphDirectoryRoleRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GraphDirectoryRoleRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.directoryRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of DirectoryRole
     */
    get(requestConfiguration?: RequestConfiguration<GraphDirectoryRoleRequestBuilderGetQueryParameters> | undefined): Promise<DirectoryRole | undefined>;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.directoryRole
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GraphDirectoryRoleRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphDirectoryRoleRequestBuilder
     */
    withUrl(rawUrl: string): GraphDirectoryRoleRequestBuilder;
}
