"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyNotebookRequestBuilder = exports.serializeCopyNotebookPostRequestBody = exports.deserializeIntoCopyNotebookPostRequestBody = exports.createCopyNotebookPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const onenoteOperation_1 = require("../../../../../../models/onenoteOperation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCopyNotebookPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCopyNotebookPostRequestBody;
}
exports.createCopyNotebookPostRequestBodyFromDiscriminatorValue = createCopyNotebookPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCopyNotebookPostRequestBody(copyNotebookPostRequestBody = {}) {
    return {
        "groupId": n => { copyNotebookPostRequestBody.groupId = n.getStringValue(); },
        "notebookFolder": n => { copyNotebookPostRequestBody.notebookFolder = n.getStringValue(); },
        "renameAs": n => { copyNotebookPostRequestBody.renameAs = n.getStringValue(); },
        "siteCollectionId": n => { copyNotebookPostRequestBody.siteCollectionId = n.getStringValue(); },
        "siteId": n => { copyNotebookPostRequestBody.siteId = n.getStringValue(); },
    };
}
exports.deserializeIntoCopyNotebookPostRequestBody = deserializeIntoCopyNotebookPostRequestBody;
function serializeCopyNotebookPostRequestBody(writer, copyNotebookPostRequestBody = {}) {
    writer.writeStringValue("groupId", copyNotebookPostRequestBody.groupId);
    writer.writeStringValue("notebookFolder", copyNotebookPostRequestBody.notebookFolder);
    writer.writeStringValue("renameAs", copyNotebookPostRequestBody.renameAs);
    writer.writeStringValue("siteCollectionId", copyNotebookPostRequestBody.siteCollectionId);
    writer.writeStringValue("siteId", copyNotebookPostRequestBody.siteId);
    writer.writeAdditionalData(copyNotebookPostRequestBody.additionalData);
}
exports.serializeCopyNotebookPostRequestBody = serializeCopyNotebookPostRequestBody;
/**
 * Provides operations to call the copyNotebook method.
 */
class CopyNotebookRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CopyNotebookRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/onenote/notebooks/{notebook%2Did}/copyNotebook");
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnenoteOperation
     * @see {@link https://learn.microsoft.com/graph/api/notebook-copynotebook?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, onenoteOperation_1.createOnenoteOperationFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * For Copy operations, you follow an asynchronous calling pattern:  First call the Copy action, and then poll the operation endpoint for the result.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCopyNotebookPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a copyNotebookRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CopyNotebookRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CopyNotebookRequestBuilder = CopyNotebookRequestBuilder;
// tslint:enable
// eslint-enable
