"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateOrGetRequestBuilder = exports.serializeCreateOrGetPostRequestBody = exports.deserializeIntoCreateOrGetPostRequestBody = exports.createCreateOrGetPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const chatInfo_1 = require("../../../../models/chatInfo");
const meetingParticipants_1 = require("../../../../models/meetingParticipants");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const onlineMeeting_1 = require("../../../../models/onlineMeeting");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateOrGetPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateOrGetPostRequestBody;
}
exports.createCreateOrGetPostRequestBodyFromDiscriminatorValue = createCreateOrGetPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateOrGetPostRequestBody(createOrGetPostRequestBody = {}) {
    return {
        "chatInfo": n => { createOrGetPostRequestBody.chatInfo = n.getObjectValue(chatInfo_1.createChatInfoFromDiscriminatorValue); },
        "endDateTime": n => { createOrGetPostRequestBody.endDateTime = n.getDateValue(); },
        "externalId": n => { createOrGetPostRequestBody.externalId = n.getStringValue(); },
        "participants": n => { createOrGetPostRequestBody.participants = n.getObjectValue(meetingParticipants_1.createMeetingParticipantsFromDiscriminatorValue); },
        "startDateTime": n => { createOrGetPostRequestBody.startDateTime = n.getDateValue(); },
        "subject": n => { createOrGetPostRequestBody.subject = n.getStringValue(); },
    };
}
exports.deserializeIntoCreateOrGetPostRequestBody = deserializeIntoCreateOrGetPostRequestBody;
function serializeCreateOrGetPostRequestBody(writer, createOrGetPostRequestBody = {}) {
    writer.writeObjectValue("chatInfo", createOrGetPostRequestBody.chatInfo, chatInfo_1.serializeChatInfo);
    writer.writeDateValue("endDateTime", createOrGetPostRequestBody.endDateTime);
    writer.writeStringValue("externalId", createOrGetPostRequestBody.externalId);
    writer.writeObjectValue("participants", createOrGetPostRequestBody.participants, meetingParticipants_1.serializeMeetingParticipants);
    writer.writeDateValue("startDateTime", createOrGetPostRequestBody.startDateTime);
    writer.writeStringValue("subject", createOrGetPostRequestBody.subject);
    writer.writeAdditionalData(createOrGetPostRequestBody.additionalData);
}
exports.serializeCreateOrGetPostRequestBody = serializeCreateOrGetPostRequestBody;
/**
 * Provides operations to call the createOrGet method.
 */
class CreateOrGetRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateOrGetRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/onlineMeetings/createOrGet");
    }
    ;
    /**
     * Create an onlineMeeting object with a custom specified external ID. If the external ID already exists, this API will return the onlineMeeting object with that external ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of OnlineMeeting
     * @see {@link https://learn.microsoft.com/graph/api/onlinemeeting-createorget?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, onlineMeeting_1.createOnlineMeetingFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create an onlineMeeting object with a custom specified external ID. If the external ID already exists, this API will return the onlineMeeting object with that external ID.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateOrGetPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createOrGetRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateOrGetRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateOrGetRequestBuilder = CreateOrGetRequestBuilder;
// tslint:enable
// eslint-enable
