import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse;
export declare function deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse(getVirtualAppointmentJoinWebUrlGetResponse?: GetVirtualAppointmentJoinWebUrlGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GetVirtualAppointmentJoinWebUrlGetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The value property
     */
    value?: string;
}
export declare function serializeGetVirtualAppointmentJoinWebUrlGetResponse(writer: SerializationWriter, getVirtualAppointmentJoinWebUrlGetResponse?: GetVirtualAppointmentJoinWebUrlGetResponse | undefined): void;
/**
 * Provides operations to call the getVirtualAppointmentJoinWebUrl method.
 */
export declare class GetVirtualAppointmentJoinWebUrlRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GetVirtualAppointmentJoinWebUrlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function getVirtualAppointmentJoinWebUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetVirtualAppointmentJoinWebUrlGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<GetVirtualAppointmentJoinWebUrlGetResponse | undefined>;
    /**
     * Invoke function getVirtualAppointmentJoinWebUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getVirtualAppointmentJoinWebUrlRequestBuilder
     */
    withUrl(rawUrl: string): GetVirtualAppointmentJoinWebUrlRequestBuilder;
}
