"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetVirtualAppointmentJoinWebUrlRequestBuilder = exports.serializeGetVirtualAppointmentJoinWebUrlGetResponse = exports.deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse = exports.createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse;
}
exports.createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue = createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue;
function deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse(getVirtualAppointmentJoinWebUrlGetResponse = {}) {
    return {
        "value": n => { getVirtualAppointmentJoinWebUrlGetResponse.value = n.getStringValue(); },
    };
}
exports.deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse = deserializeIntoGetVirtualAppointmentJoinWebUrlGetResponse;
function serializeGetVirtualAppointmentJoinWebUrlGetResponse(writer, getVirtualAppointmentJoinWebUrlGetResponse = {}) {
    writer.writeStringValue("value", getVirtualAppointmentJoinWebUrlGetResponse.value);
    writer.writeAdditionalData(getVirtualAppointmentJoinWebUrlGetResponse.additionalData);
}
exports.serializeGetVirtualAppointmentJoinWebUrlGetResponse = serializeGetVirtualAppointmentJoinWebUrlGetResponse;
/**
 * Provides operations to call the getVirtualAppointmentJoinWebUrl method.
 */
class GetVirtualAppointmentJoinWebUrlRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new GetVirtualAppointmentJoinWebUrlRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/onlineMeetings/{onlineMeeting%2Did}/getVirtualAppointmentJoinWebUrl()");
    }
    ;
    /**
     * Invoke function getVirtualAppointmentJoinWebUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of GetVirtualAppointmentJoinWebUrlGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createGetVirtualAppointmentJoinWebUrlGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function getVirtualAppointmentJoinWebUrl
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a getVirtualAppointmentJoinWebUrlRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new GetVirtualAppointmentJoinWebUrlRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.GetVirtualAppointmentJoinWebUrlRequestBuilder = GetVirtualAppointmentJoinWebUrlRequestBuilder;
// tslint:enable
// eslint-enable
