"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedLanguagesRequestBuilder = exports.serializeSupportedLanguagesGetResponse = exports.deserializeIntoSupportedLanguagesGetResponse = exports.createSupportedLanguagesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const localeInfo_1 = require("../../../../models/localeInfo");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSupportedLanguagesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSupportedLanguagesGetResponse;
}
exports.createSupportedLanguagesGetResponseFromDiscriminatorValue = createSupportedLanguagesGetResponseFromDiscriminatorValue;
function deserializeIntoSupportedLanguagesGetResponse(supportedLanguagesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(supportedLanguagesGetResponse)), { "value": n => { supportedLanguagesGetResponse.value = n.getCollectionOfObjectValues(localeInfo_1.createLocaleInfoFromDiscriminatorValue); } });
}
exports.deserializeIntoSupportedLanguagesGetResponse = deserializeIntoSupportedLanguagesGetResponse;
function serializeSupportedLanguagesGetResponse(writer, supportedLanguagesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, supportedLanguagesGetResponse);
    writer.writeCollectionOfObjectValues("value", supportedLanguagesGetResponse.value, localeInfo_1.serializeLocaleInfo);
}
exports.serializeSupportedLanguagesGetResponse = serializeSupportedLanguagesGetResponse;
/**
 * Provides operations to call the supportedLanguages method.
 */
class SupportedLanguagesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SupportedLanguagesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/outlook/supportedLanguages(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Get the list of locales and languages that are supported for the user, as configured on the user's mailbox server. When setting up an Outlook client, the user selects the preferred language from this supported list. You can subsequently get the preferred language bygetting the user's mailbox settings.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SupportedLanguagesGetResponse
     * @see {@link https://learn.microsoft.com/graph/api/outlookuser-supportedlanguages?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSupportedLanguagesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Get the list of locales and languages that are supported for the user, as configured on the user's mailbox server. When setting up an Outlook client, the user selects the preferred language from this supported list. You can subsequently get the preferred language bygetting the user's mailbox settings.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, supportedLanguagesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a supportedLanguagesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SupportedLanguagesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SupportedLanguagesRequestBuilder = SupportedLanguagesRequestBuilder;
const supportedLanguagesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
