import { type BaseCollectionPaginationCountResponse } from '../../../../models/baseCollectionPaginationCountResponse';
import { type TimeZoneInformation } from '../../../../models/timeZoneInformation';
import { BaseRequestBuilder, RequestInformation, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSupportedTimeZonesGetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSupportedTimeZonesGetResponse;
export declare function deserializeIntoSupportedTimeZonesGetResponse(supportedTimeZonesGetResponse?: SupportedTimeZonesGetResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSupportedTimeZonesGetResponse(writer: SerializationWriter, supportedTimeZonesGetResponse?: SupportedTimeZonesGetResponse | undefined): void;
export interface SupportedTimeZonesGetResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeZoneInformation[];
}
export interface SupportedTimeZonesRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Search items by search phrases
     */
    search?: string;
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to call the supportedTimeZones method.
 */
export declare class SupportedTimeZonesRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SupportedTimeZonesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SupportedTimeZonesGetResponse
     */
    get(requestConfiguration?: RequestConfiguration<SupportedTimeZonesRequestBuilderGetQueryParameters> | undefined): Promise<SupportedTimeZonesGetResponse | undefined>;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<SupportedTimeZonesRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a supportedTimeZonesRequestBuilder
     */
    withUrl(rawUrl: string): SupportedTimeZonesRequestBuilder;
}
