"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedTimeZonesRequestBuilder = exports.serializeSupportedTimeZonesGetResponse = exports.deserializeIntoSupportedTimeZonesGetResponse = exports.createSupportedTimeZonesGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const timeZoneInformation_1 = require("../../../../models/timeZoneInformation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSupportedTimeZonesGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSupportedTimeZonesGetResponse;
}
exports.createSupportedTimeZonesGetResponseFromDiscriminatorValue = createSupportedTimeZonesGetResponseFromDiscriminatorValue;
function deserializeIntoSupportedTimeZonesGetResponse(supportedTimeZonesGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(supportedTimeZonesGetResponse)), { "value": n => { supportedTimeZonesGetResponse.value = n.getCollectionOfObjectValues(timeZoneInformation_1.createTimeZoneInformationFromDiscriminatorValue); } });
}
exports.deserializeIntoSupportedTimeZonesGetResponse = deserializeIntoSupportedTimeZonesGetResponse;
function serializeSupportedTimeZonesGetResponse(writer, supportedTimeZonesGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, supportedTimeZonesGetResponse);
    writer.writeCollectionOfObjectValues("value", supportedTimeZonesGetResponse.value, timeZoneInformation_1.serializeTimeZoneInformation);
}
exports.serializeSupportedTimeZonesGetResponse = serializeSupportedTimeZonesGetResponse;
/**
 * Provides operations to call the supportedTimeZones method.
 */
class SupportedTimeZonesRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SupportedTimeZonesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/outlook/supportedTimeZones(){?%24top,%24skip,%24search,%24filter,%24count}");
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SupportedTimeZonesGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSupportedTimeZonesGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, supportedTimeZonesRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a supportedTimeZonesRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SupportedTimeZonesRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SupportedTimeZonesRequestBuilder = SupportedTimeZonesRequestBuilder;
const supportedTimeZonesRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
