"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SupportedTimeZonesWithTimeZoneStandardRequestBuilder = exports.serializeSupportedTimeZonesWithTimeZoneStandardGetResponse = exports.deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse = exports.createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const timeZoneInformation_1 = require("../../../../models/timeZoneInformation");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse;
}
exports.createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue = createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue;
function deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse(supportedTimeZonesWithTimeZoneStandardGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(supportedTimeZonesWithTimeZoneStandardGetResponse)), { "value": n => { supportedTimeZonesWithTimeZoneStandardGetResponse.value = n.getCollectionOfObjectValues(timeZoneInformation_1.createTimeZoneInformationFromDiscriminatorValue); } });
}
exports.deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse = deserializeIntoSupportedTimeZonesWithTimeZoneStandardGetResponse;
function serializeSupportedTimeZonesWithTimeZoneStandardGetResponse(writer, supportedTimeZonesWithTimeZoneStandardGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, supportedTimeZonesWithTimeZoneStandardGetResponse);
    writer.writeCollectionOfObjectValues("value", supportedTimeZonesWithTimeZoneStandardGetResponse.value, timeZoneInformation_1.serializeTimeZoneInformation);
}
exports.serializeSupportedTimeZonesWithTimeZoneStandardGetResponse = serializeSupportedTimeZonesWithTimeZoneStandardGetResponse;
/**
 * Provides operations to call the supportedTimeZones method.
 */
class SupportedTimeZonesWithTimeZoneStandardRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SupportedTimeZonesWithTimeZoneStandardRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param TimeZoneStandard Usage: TimeZoneStandard='{TimeZoneStandard}'
     */
    constructor(pathParameters, requestAdapter, timeZoneStandard) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/outlook/supportedTimeZones(TimeZoneStandard='{TimeZoneStandard}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["TimeZoneStandard"] = timeZoneStandard;
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of SupportedTimeZonesWithTimeZoneStandardGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createSupportedTimeZonesWithTimeZoneStandardGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function supportedTimeZones
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, supportedTimeZonesWithTimeZoneStandardRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a supportedTimeZonesWithTimeZoneStandardRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SupportedTimeZonesWithTimeZoneStandardRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SupportedTimeZonesWithTimeZoneStandardRequestBuilder = SupportedTimeZonesWithTimeZoneStandardRequestBuilder;
const supportedTimeZonesWithTimeZoneStandardRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
