import { type PresenceStatusMessage } from '../../../../models/presenceStatusMessage';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetStatusMessagePostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetStatusMessagePostRequestBody;
export declare function deserializeIntoSetStatusMessagePostRequestBody(setStatusMessagePostRequestBody?: SetStatusMessagePostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetStatusMessagePostRequestBody(writer: SerializationWriter, setStatusMessagePostRequestBody?: SetStatusMessagePostRequestBody | undefined): void;
export interface SetStatusMessagePostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The statusMessage property
     */
    statusMessage?: PresenceStatusMessage;
}
/**
 * Provides operations to call the setStatusMessage method.
 */
export declare class SetStatusMessageRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new SetStatusMessageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/presence-setstatusmessage?view=graph-rest-1.0|Find more info here}
     */
    post(body: SetStatusMessagePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: SetStatusMessagePostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setStatusMessageRequestBuilder
     */
    withUrl(rawUrl: string): SetStatusMessageRequestBuilder;
}
