"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetStatusMessageRequestBuilder = exports.serializeSetStatusMessagePostRequestBody = exports.deserializeIntoSetStatusMessagePostRequestBody = exports.createSetStatusMessagePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const presenceStatusMessage_1 = require("../../../../models/presenceStatusMessage");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetStatusMessagePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetStatusMessagePostRequestBody;
}
exports.createSetStatusMessagePostRequestBodyFromDiscriminatorValue = createSetStatusMessagePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetStatusMessagePostRequestBody(setStatusMessagePostRequestBody = {}) {
    return {
        "statusMessage": n => { setStatusMessagePostRequestBody.statusMessage = n.getObjectValue(presenceStatusMessage_1.createPresenceStatusMessageFromDiscriminatorValue); },
    };
}
exports.deserializeIntoSetStatusMessagePostRequestBody = deserializeIntoSetStatusMessagePostRequestBody;
function serializeSetStatusMessagePostRequestBody(writer, setStatusMessagePostRequestBody = {}) {
    writer.writeObjectValue("statusMessage", setStatusMessagePostRequestBody.statusMessage, presenceStatusMessage_1.serializePresenceStatusMessage);
    writer.writeAdditionalData(setStatusMessagePostRequestBody.additionalData);
}
exports.serializeSetStatusMessagePostRequestBody = serializeSetStatusMessagePostRequestBody;
/**
 * Provides operations to call the setStatusMessage method.
 */
class SetStatusMessageRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetStatusMessageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/presence/setStatusMessage");
    }
    ;
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/presence-setstatusmessage?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Set a presence status message for a user. An optional expiration date and time can be supplied.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetStatusMessagePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setStatusMessageRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetStatusMessageRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetStatusMessageRequestBuilder = SetStatusMessageRequestBuilder;
// tslint:enable
// eslint-enable
