"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetUserPreferredPresenceRequestBuilder = exports.serializeSetUserPreferredPresencePostRequestBody = exports.deserializeIntoSetUserPreferredPresencePostRequestBody = exports.createSetUserPreferredPresencePostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSetUserPreferredPresencePostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSetUserPreferredPresencePostRequestBody;
}
exports.createSetUserPreferredPresencePostRequestBodyFromDiscriminatorValue = createSetUserPreferredPresencePostRequestBodyFromDiscriminatorValue;
function deserializeIntoSetUserPreferredPresencePostRequestBody(setUserPreferredPresencePostRequestBody = {}) {
    return {
        "activity": n => { setUserPreferredPresencePostRequestBody.activity = n.getStringValue(); },
        "availability": n => { setUserPreferredPresencePostRequestBody.availability = n.getStringValue(); },
        "expirationDuration": n => { setUserPreferredPresencePostRequestBody.expirationDuration = n.getDurationValue(); },
    };
}
exports.deserializeIntoSetUserPreferredPresencePostRequestBody = deserializeIntoSetUserPreferredPresencePostRequestBody;
function serializeSetUserPreferredPresencePostRequestBody(writer, setUserPreferredPresencePostRequestBody = {}) {
    writer.writeStringValue("activity", setUserPreferredPresencePostRequestBody.activity);
    writer.writeStringValue("availability", setUserPreferredPresencePostRequestBody.availability);
    writer.writeDurationValue("expirationDuration", setUserPreferredPresencePostRequestBody.expirationDuration);
    writer.writeAdditionalData(setUserPreferredPresencePostRequestBody.additionalData);
}
exports.serializeSetUserPreferredPresencePostRequestBody = serializeSetUserPreferredPresencePostRequestBody;
/**
 * Provides operations to call the setUserPreferredPresence method.
 */
class SetUserPreferredPresenceRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SetUserPreferredPresenceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/presence/setUserPreferredPresence");
    }
    ;
    /**
     * Set the preferred availability and activity status for a user. If the preferred presence of a user is set, the user's presence shows as the preferred status. Preferred presence takes effect only when at least one presence session exists for the user. Otherwise, the user's presence shows as Offline. A presence session is created as a result of a successful setPresence operation, or if the user is signed in on a Microsoft Teams client. For more details, see presence sessions and time-out and expiration.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/presence-setuserpreferredpresence?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Set the preferred availability and activity status for a user. If the preferred presence of a user is set, the user's presence shows as the preferred status. Preferred presence takes effect only when at least one presence session exists for the user. Otherwise, the user's presence shows as Offline. A presence session is created as a result of a successful setPresence operation, or if the user is signed in on a Microsoft Teams client. For more details, see presence sessions and time-out and expiration.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSetUserPreferredPresencePostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a setUserPreferredPresenceRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SetUserPreferredPresenceRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SetUserPreferredPresenceRequestBuilder = SetUserPreferredPresenceRequestBuilder;
// tslint:enable
// eslint-enable
