import { type AppRoleAssignment } from '../../../../../models/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface GraphAppRoleAssignmentRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Casts the previous resource to appRoleAssignment.
 */
export declare class GraphAppRoleAssignmentRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new GraphAppRoleAssignmentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.appRoleAssignment
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AppRoleAssignment
     */
    get(requestConfiguration?: RequestConfiguration<GraphAppRoleAssignmentRequestBuilderGetQueryParameters> | undefined): Promise<AppRoleAssignment | undefined>;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.appRoleAssignment
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<GraphAppRoleAssignmentRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a graphAppRoleAssignmentRequestBuilder
     */
    withUrl(rawUrl: string): GraphAppRoleAssignmentRequestBuilder;
}
