"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder = exports.serializeReminderViewWithStartDateTimeWithEndDateTimeGetResponse = exports.deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse = exports.createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const reminder_1 = require("../../../models/reminder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse;
}
exports.createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue = createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue;
function deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse(reminderViewWithStartDateTimeWithEndDateTimeGetResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(reminderViewWithStartDateTimeWithEndDateTimeGetResponse)), { "value": n => { reminderViewWithStartDateTimeWithEndDateTimeGetResponse.value = n.getCollectionOfObjectValues(reminder_1.createReminderFromDiscriminatorValue); } });
}
exports.deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse = deserializeIntoReminderViewWithStartDateTimeWithEndDateTimeGetResponse;
function serializeReminderViewWithStartDateTimeWithEndDateTimeGetResponse(writer, reminderViewWithStartDateTimeWithEndDateTimeGetResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, reminderViewWithStartDateTimeWithEndDateTimeGetResponse);
    writer.writeCollectionOfObjectValues("value", reminderViewWithStartDateTimeWithEndDateTimeGetResponse.value, reminder_1.serializeReminder);
}
exports.serializeReminderViewWithStartDateTimeWithEndDateTimeGetResponse = serializeReminderViewWithStartDateTimeWithEndDateTimeGetResponse;
/**
 * Provides operations to call the reminderView method.
 */
class ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder and sets the default values.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     */
    constructor(pathParameters, requestAdapter, endDateTime, startDateTime) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/reminderView(StartDateTime='{StartDateTime}',EndDateTime='{EndDateTime}'){?%24top,%24skip,%24search,%24filter,%24count}");
        this.pathParameters["EndDateTime"] = endDateTime;
        this.pathParameters["StartDateTime"] = startDateTime;
    }
    ;
    /**
     * Invoke function reminderView
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of ReminderViewWithStartDateTimeWithEndDateTimeGetResponse
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createReminderViewWithStartDateTimeWithEndDateTimeGetResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Invoke function reminderView
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, reminderViewWithStartDateTimeWithEndDateTimeRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder = ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
const reminderViewWithStartDateTimeWithEndDateTimeRequestBuilderGetQueryParametersMapper = {
    "count": "%24count",
    "filter": "%24filter",
    "search": "%24search",
    "skip": "%24skip",
    "top": "%24top",
};
// tslint:enable
// eslint-enable
