"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendMailRequestBuilder = exports.serializeSendMailPostRequestBody = exports.deserializeIntoSendMailPostRequestBody = exports.createSendMailPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const message_1 = require("../../../models/message");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createSendMailPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSendMailPostRequestBody;
}
exports.createSendMailPostRequestBodyFromDiscriminatorValue = createSendMailPostRequestBodyFromDiscriminatorValue;
function deserializeIntoSendMailPostRequestBody(sendMailPostRequestBody = {}) {
    return {
        "message": n => { sendMailPostRequestBody.message = n.getObjectValue(message_1.createMessageFromDiscriminatorValue); },
        "saveToSentItems": n => { sendMailPostRequestBody.saveToSentItems = n.getBooleanValue(); },
    };
}
exports.deserializeIntoSendMailPostRequestBody = deserializeIntoSendMailPostRequestBody;
function serializeSendMailPostRequestBody(writer, sendMailPostRequestBody = {}) {
    writer.writeObjectValue("Message", sendMailPostRequestBody.message, message_1.serializeMessage);
    writer.writeBooleanValue("SaveToSentItems", sendMailPostRequestBody.saveToSentItems);
    writer.writeAdditionalData(sendMailPostRequestBody.additionalData);
}
exports.serializeSendMailPostRequestBody = serializeSendMailPostRequestBody;
/**
 * Provides operations to call the sendMail method.
 */
class SendMailRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new SendMailRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/sendMail");
    }
    ;
    /**
     * Send the message specified in the request body using either JSON or MIME format. When using JSON format, you can include a file attachment in the same sendMail action call. When using MIME format: This method saves the message in the Sent Items folder. Alternatively, create a draft message to send later. To learn more about the steps involved in the backend before a mail is delivered to recipients, see here.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/user-sendmail?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Send the message specified in the request body using either JSON or MIME format. When using JSON format, you can include a file attachment in the same sendMail action call. When using MIME format: This method saves the message in the Sent Items folder. Alternatively, create a draft message to send later. To learn more about the steps involved in the backend before a mail is delivered to recipients, see here.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeSendMailPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a sendMailRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new SendMailRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.SendMailRequestBuilder = SendMailRequestBuilder;
// tslint:enable
// eslint-enable
