import { type AttachmentSessionCollectionResponse } from '../../../../../../../../models/';
import { CountRequestBuilder } from './count/';
import { AttachmentSessionItemRequestBuilder } from './item/';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface AttachmentSessionsRequestBuilderGetQueryParameters {
    /**
     * Include count of items
     */
    count?: boolean;
    /**
     * Filter items by property values
     */
    filter?: string;
    /**
     * Order items by property values
     */
    orderby?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
    /**
     * Skip the first n items
     */
    skip?: number;
    /**
     * Show only the first n items
     */
    top?: number;
}
/**
 * Provides operations to manage the attachmentSessions property of the microsoft.graph.todoTask entity.
 */
export declare class AttachmentSessionsRequestBuilder extends BaseRequestBuilder {
    /**
     * Provides operations to count the resources in the collection.
     */
    get count(): CountRequestBuilder;
    /**
     * Provides operations to manage the attachmentSessions property of the microsoft.graph.todoTask entity.
     * @param attachmentSessionId The unique identifier of attachmentSession
     * @returns a AttachmentSessionItemRequestBuilder
     */
    byAttachmentSessionId(attachmentSessionId: string): AttachmentSessionItemRequestBuilder;
    /**
     * Instantiates a new AttachmentSessionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get attachmentSessions from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of AttachmentSessionCollectionResponse
     */
    get(requestConfiguration?: RequestConfiguration<AttachmentSessionsRequestBuilderGetQueryParameters> | undefined): Promise<AttachmentSessionCollectionResponse | undefined>;
    /**
     * Get attachmentSessions from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<AttachmentSessionsRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a attachmentSessionsRequestBuilder
     */
    withUrl(rawUrl: string): AttachmentSessionsRequestBuilder;
}
