"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateUploadSessionRequestBuilder = exports.serializeCreateUploadSessionPostRequestBody = exports.deserializeIntoCreateUploadSessionPostRequestBody = exports.createCreateUploadSessionPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const attachmentInfo_1 = require("../../../../../../../../../models/attachmentInfo");
const oDataError_1 = require("../../../../../../../../../models/oDataErrors/oDataError");
const uploadSession_1 = require("../../../../../../../../../models/uploadSession");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createCreateUploadSessionPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCreateUploadSessionPostRequestBody;
}
exports.createCreateUploadSessionPostRequestBodyFromDiscriminatorValue = createCreateUploadSessionPostRequestBodyFromDiscriminatorValue;
function deserializeIntoCreateUploadSessionPostRequestBody(createUploadSessionPostRequestBody = {}) {
    return {
        "attachmentInfo": n => { createUploadSessionPostRequestBody.attachmentInfo = n.getObjectValue(attachmentInfo_1.createAttachmentInfoFromDiscriminatorValue); },
    };
}
exports.deserializeIntoCreateUploadSessionPostRequestBody = deserializeIntoCreateUploadSessionPostRequestBody;
function serializeCreateUploadSessionPostRequestBody(writer, createUploadSessionPostRequestBody = {}) {
    writer.writeObjectValue("attachmentInfo", createUploadSessionPostRequestBody.attachmentInfo, attachmentInfo_1.serializeAttachmentInfo);
    writer.writeAdditionalData(createUploadSessionPostRequestBody.additionalData);
}
exports.serializeCreateUploadSessionPostRequestBody = serializeCreateUploadSessionPostRequestBody;
/**
 * Provides operations to call the createUploadSession method.
 */
class CreateUploadSessionRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new CreateUploadSessionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/todo/lists/{todoTaskList%2Did}/tasks/{todoTask%2Did}/attachments/createUploadSession");
    }
    ;
    /**
     * Create an upload session to iteratively upload ranges of a file as an attachment to a todoTask. As part of the response, this action returns an upload URL that you can use in subsequent sequential PUT queries. The request headers for each PUT operation let you specify the exact range of bytes to be uploaded. This allows the transfer to be resumed, in case the network connection is dropped during the upload. The following are the steps to attach a file to a Microsoft To Do task using an upload session: For an example that describes the end-to-end attachment process, see attach files to a To Do task.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of UploadSession
     * @see {@link https://learn.microsoft.com/graph/api/taskfileattachment-createuploadsession?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, uploadSession_1.createUploadSessionFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Create an upload session to iteratively upload ranges of a file as an attachment to a todoTask. As part of the response, this action returns an upload URL that you can use in subsequent sequential PUT queries. The request headers for each PUT operation let you specify the exact range of bytes to be uploaded. This allows the transfer to be resumed, in case the network connection is dropped during the upload. The following are the steps to attach a file to a Microsoft To Do task using an upload session: For an example that describes the end-to-end attachment process, see attach files to a To Do task.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeCreateUploadSessionPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a createUploadSessionRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new CreateUploadSessionRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.CreateUploadSessionRequestBuilder = CreateUploadSessionRequestBuilder;
// tslint:enable
// eslint-enable
