import { type BaseCollectionPaginationCountResponse } from '../../../models/baseCollectionPaginationCountResponse';
import { type ConvertIdResult } from '../../../models/convertIdResult';
import { ExchangeIdFormat } from '../../../models/exchangeIdFormat';
import { BaseRequestBuilder, RequestInformation, type AdditionalDataHolder, type Parsable, type ParseNode, type RequestAdapter, type RequestConfiguration, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTranslateExchangeIdsPostRequestBody;
export declare function createTranslateExchangeIdsPostResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTranslateExchangeIdsPostResponse;
export declare function deserializeIntoTranslateExchangeIdsPostRequestBody(translateExchangeIdsPostRequestBody?: TranslateExchangeIdsPostRequestBody | undefined): Record<string, (node: ParseNode) => void>;
export declare function deserializeIntoTranslateExchangeIdsPostResponse(translateExchangeIdsPostResponse?: TranslateExchangeIdsPostResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTranslateExchangeIdsPostRequestBody(writer: SerializationWriter, translateExchangeIdsPostRequestBody?: TranslateExchangeIdsPostRequestBody | undefined): void;
export declare function serializeTranslateExchangeIdsPostResponse(writer: SerializationWriter, translateExchangeIdsPostResponse?: TranslateExchangeIdsPostResponse | undefined): void;
export interface TranslateExchangeIdsPostRequestBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The InputIds property
     */
    inputIds?: string[];
    /**
     * The SourceIdType property
     */
    sourceIdType?: ExchangeIdFormat;
    /**
     * The TargetIdType property
     */
    targetIdType?: ExchangeIdFormat;
}
export interface TranslateExchangeIdsPostResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConvertIdResult[];
}
/**
 * Provides operations to call the translateExchangeIds method.
 */
export declare class TranslateExchangeIdsRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new TranslateExchangeIdsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Translate identifiers of Outlook-related resources between formats.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TranslateExchangeIdsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/user-translateexchangeids?view=graph-rest-1.0|Find more info here}
     */
    post(body: TranslateExchangeIdsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<TranslateExchangeIdsPostResponse | undefined>;
    /**
     * Translate identifiers of Outlook-related resources between formats.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body: TranslateExchangeIdsPostRequestBody, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a translateExchangeIdsRequestBuilder
     */
    withUrl(rawUrl: string): TranslateExchangeIdsRequestBuilder;
}
