"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TranslateExchangeIdsRequestBuilder = exports.serializeTranslateExchangeIdsPostResponse = exports.serializeTranslateExchangeIdsPostRequestBody = exports.deserializeIntoTranslateExchangeIdsPostResponse = exports.deserializeIntoTranslateExchangeIdsPostRequestBody = exports.createTranslateExchangeIdsPostResponseFromDiscriminatorValue = exports.createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const baseCollectionPaginationCountResponse_1 = require("../../../models/baseCollectionPaginationCountResponse");
const convertIdResult_1 = require("../../../models/convertIdResult");
const exchangeIdFormat_1 = require("../../../models/exchangeIdFormat");
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTranslateExchangeIdsPostRequestBody;
}
exports.createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue = createTranslateExchangeIdsPostRequestBodyFromDiscriminatorValue;
function createTranslateExchangeIdsPostResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTranslateExchangeIdsPostResponse;
}
exports.createTranslateExchangeIdsPostResponseFromDiscriminatorValue = createTranslateExchangeIdsPostResponseFromDiscriminatorValue;
function deserializeIntoTranslateExchangeIdsPostRequestBody(translateExchangeIdsPostRequestBody = {}) {
    return {
        "inputIds": n => { translateExchangeIdsPostRequestBody.inputIds = n.getCollectionOfPrimitiveValues(); },
        "sourceIdType": n => { translateExchangeIdsPostRequestBody.sourceIdType = n.getEnumValue(exchangeIdFormat_1.ExchangeIdFormat); },
        "targetIdType": n => { translateExchangeIdsPostRequestBody.targetIdType = n.getEnumValue(exchangeIdFormat_1.ExchangeIdFormat); },
    };
}
exports.deserializeIntoTranslateExchangeIdsPostRequestBody = deserializeIntoTranslateExchangeIdsPostRequestBody;
function deserializeIntoTranslateExchangeIdsPostResponse(translateExchangeIdsPostResponse = {}) {
    return Object.assign(Object.assign({}, (0, baseCollectionPaginationCountResponse_1.deserializeIntoBaseCollectionPaginationCountResponse)(translateExchangeIdsPostResponse)), { "value": n => { translateExchangeIdsPostResponse.value = n.getCollectionOfObjectValues(convertIdResult_1.createConvertIdResultFromDiscriminatorValue); } });
}
exports.deserializeIntoTranslateExchangeIdsPostResponse = deserializeIntoTranslateExchangeIdsPostResponse;
function serializeTranslateExchangeIdsPostRequestBody(writer, translateExchangeIdsPostRequestBody = {}) {
    writer.writeCollectionOfPrimitiveValues("InputIds", translateExchangeIdsPostRequestBody.inputIds);
    writer.writeEnumValue("SourceIdType", translateExchangeIdsPostRequestBody.sourceIdType);
    writer.writeEnumValue("TargetIdType", translateExchangeIdsPostRequestBody.targetIdType);
    writer.writeAdditionalData(translateExchangeIdsPostRequestBody.additionalData);
}
exports.serializeTranslateExchangeIdsPostRequestBody = serializeTranslateExchangeIdsPostRequestBody;
function serializeTranslateExchangeIdsPostResponse(writer, translateExchangeIdsPostResponse = {}) {
    (0, baseCollectionPaginationCountResponse_1.serializeBaseCollectionPaginationCountResponse)(writer, translateExchangeIdsPostResponse);
    writer.writeCollectionOfObjectValues("value", translateExchangeIdsPostResponse.value, convertIdResult_1.serializeConvertIdResult);
}
exports.serializeTranslateExchangeIdsPostResponse = serializeTranslateExchangeIdsPostResponse;
/**
 * Provides operations to call the translateExchangeIds method.
 */
class TranslateExchangeIdsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new TranslateExchangeIdsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/translateExchangeIds");
    }
    ;
    /**
     * Translate identifiers of Outlook-related resources between formats.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of TranslateExchangeIdsPostResponse
     * @see {@link https://learn.microsoft.com/graph/api/user-translateexchangeids?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, createTranslateExchangeIdsPostResponseFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Translate identifiers of Outlook-related resources between formats.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeTranslateExchangeIdsPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a translateExchangeIdsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new TranslateExchangeIdsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.TranslateExchangeIdsRequestBuilder = TranslateExchangeIdsRequestBuilder;
// tslint:enable
// eslint-enable
