"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WipeManagedAppRegistrationsByDeviceTagRequestBuilder = exports.serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody = exports.deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody = exports.createWipeManagedAppRegistrationsByDeviceTagPostRequestBodyFromDiscriminatorValue = void 0;
const oDataError_1 = require("../../../models/oDataErrors/oDataError");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
function createWipeManagedAppRegistrationsByDeviceTagPostRequestBodyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody;
}
exports.createWipeManagedAppRegistrationsByDeviceTagPostRequestBodyFromDiscriminatorValue = createWipeManagedAppRegistrationsByDeviceTagPostRequestBodyFromDiscriminatorValue;
function deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody(wipeManagedAppRegistrationsByDeviceTagPostRequestBody = {}) {
    return {
        "deviceTag": n => { wipeManagedAppRegistrationsByDeviceTagPostRequestBody.deviceTag = n.getStringValue(); },
    };
}
exports.deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody = deserializeIntoWipeManagedAppRegistrationsByDeviceTagPostRequestBody;
function serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody(writer, wipeManagedAppRegistrationsByDeviceTagPostRequestBody = {}) {
    writer.writeStringValue("deviceTag", wipeManagedAppRegistrationsByDeviceTagPostRequestBody.deviceTag);
    writer.writeAdditionalData(wipeManagedAppRegistrationsByDeviceTagPostRequestBody.additionalData);
}
exports.serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody = serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody;
/**
 * Provides operations to call the wipeManagedAppRegistrationsByDeviceTag method.
 */
class WipeManagedAppRegistrationsByDeviceTagRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Instantiates a new WipeManagedAppRegistrationsByDeviceTagRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/users/{user%2Did}/wipeManagedAppRegistrationsByDeviceTag");
    }
    ;
    /**
     * Issues a wipe operation on an app registration with specified device tag.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-mam-user-wipemanagedappregistrationsbydevicetag?view=graph-rest-1.0|Find more info here}
     */
    post(body, requestConfiguration) {
        const requestInfo = this.toPostRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Issues a wipe operation on an app registration with specified device tag.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPostRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.POST, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, serializeWipeManagedAppRegistrationsByDeviceTagPostRequestBody);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a wipeManagedAppRegistrationsByDeviceTagRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new WipeManagedAppRegistrationsByDeviceTagRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.WipeManagedAppRegistrationsByDeviceTagRequestBuilder = WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
// tslint:enable
// eslint-enable
