import { type MalwareStateForWindowsDevice } from '../../../../../models/malwareStateForWindowsDevice';
import { BaseRequestBuilder, RequestInformation, type RequestAdapter, type RequestConfiguration } from '@microsoft/kiota-abstractions';
export interface MalwareStateForWindowsDeviceItemRequestBuilderGetQueryParameters {
    /**
     * Expand related entities
     */
    expand?: string[];
    /**
     * Select properties to be returned
     */
    select?: string[];
}
/**
 * Provides operations to manage the deviceMalwareStates property of the microsoft.graph.windowsMalwareInformation entity.
 */
export declare class MalwareStateForWindowsDeviceItemRequestBuilder extends BaseRequestBuilder {
    /**
     * Instantiates a new MalwareStateForWindowsDeviceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Deletes a malwareStateForWindowsDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-malwarestateforwindowsdevice-delete?view=graph-rest-1.0|Find more info here}
     */
    delete(requestConfiguration?: RequestConfiguration<object> | undefined): Promise<void>;
    /**
     * Read properties and relationships of the malwareStateForWindowsDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MalwareStateForWindowsDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-malwarestateforwindowsdevice-get?view=graph-rest-1.0|Find more info here}
     */
    get(requestConfiguration?: RequestConfiguration<MalwareStateForWindowsDeviceItemRequestBuilderGetQueryParameters> | undefined): Promise<MalwareStateForWindowsDevice | undefined>;
    /**
     * Update the properties of a malwareStateForWindowsDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of MalwareStateForWindowsDevice
     * @see {@link https://learn.microsoft.com/graph/api/intune-devices-malwarestateforwindowsdevice-update?view=graph-rest-1.0|Find more info here}
     */
    patch(body: MalwareStateForWindowsDevice, requestConfiguration?: RequestConfiguration<object> | undefined): Promise<MalwareStateForWindowsDevice | undefined>;
    /**
     * Deletes a malwareStateForWindowsDevice.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Read properties and relationships of the malwareStateForWindowsDevice object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration?: RequestConfiguration<MalwareStateForWindowsDeviceItemRequestBuilderGetQueryParameters> | undefined): RequestInformation;
    /**
     * Update the properties of a malwareStateForWindowsDevice object.
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body: MalwareStateForWindowsDevice, requestConfiguration?: RequestConfiguration<object> | undefined): RequestInformation;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a MalwareStateForWindowsDeviceItemRequestBuilder
     */
    withUrl(rawUrl: string): MalwareStateForWindowsDeviceItemRequestBuilder;
}
