import { DefenderThreatAction } from './defenderThreatAction';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDefenderDetectedMalwareActionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDefenderDetectedMalwareActions;
export interface DefenderDetectedMalwareActions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Defender’s default action to take on detected Malware threats.
     */
    highSeverity?: DefenderThreatAction;
    /**
     * Defender’s default action to take on detected Malware threats.
     */
    lowSeverity?: DefenderThreatAction;
    /**
     * Defender’s default action to take on detected Malware threats.
     */
    moderateSeverity?: DefenderThreatAction;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Defender’s default action to take on detected Malware threats.
     */
    severeSeverity?: DefenderThreatAction;
}
export declare function deserializeIntoDefenderDetectedMalwareActions(defenderDetectedMalwareActions?: DefenderDetectedMalwareActions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDefenderDetectedMalwareActions(writer: SerializationWriter, defenderDetectedMalwareActions?: DefenderDetectedMalwareActions | undefined): void;
