"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMalware = exports.deserializeIntoMalware = exports.createMalwareFromDiscriminatorValue = void 0;
function createMalwareFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMalware;
}
exports.createMalwareFromDiscriminatorValue = createMalwareFromDiscriminatorValue;
function deserializeIntoMalware(malware = {}) {
    return {
        "description": n => { malware.description = n.getStringValue(); },
        "@odata.type": n => { malware.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMalware = deserializeIntoMalware;
function serializeMalware(writer, malware = {}) {
    writer.writeStringValue("description", malware.description);
    writer.writeStringValue("@odata.type", malware.odataType);
    writer.writeAdditionalData(malware.additionalData);
}
exports.serializeMalware = serializeMalware;
// tslint:enable
// eslint-enable
