import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMalwareStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMalwareState;
export declare function deserializeIntoMalwareState(malwareState?: MalwareState | undefined): Record<string, (node: ParseNode) => void>;
export interface MalwareState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Provider-generated malware category (for example, trojan, ransomware, etc.).
     */
    category?: string;
    /**
     * Provider-generated malware family (for example, 'wannacry,' 'notpetya,' etc.).
     */
    family?: string;
    /**
     * Provider-generated malware variant name (for example, Trojan:Win32/Powessere.H).
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Provider-determined severity of this malware.
     */
    severity?: string;
    /**
     * Indicates whether the detected file (malware/vulnerability) was running at the time of detection or was detected at rest on the disk.
     */
    wasRunning?: boolean;
}
export declare function serializeMalwareState(writer: SerializationWriter, malwareState?: MalwareState | undefined): void;
