"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMalwareState = exports.deserializeIntoMalwareState = exports.createMalwareStateFromDiscriminatorValue = void 0;
function createMalwareStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMalwareState;
}
exports.createMalwareStateFromDiscriminatorValue = createMalwareStateFromDiscriminatorValue;
function deserializeIntoMalwareState(malwareState = {}) {
    return {
        "category": n => { malwareState.category = n.getStringValue(); },
        "family": n => { malwareState.family = n.getStringValue(); },
        "name": n => { malwareState.name = n.getStringValue(); },
        "@odata.type": n => { malwareState.odataType = n.getStringValue(); },
        "severity": n => { malwareState.severity = n.getStringValue(); },
        "wasRunning": n => { malwareState.wasRunning = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMalwareState = deserializeIntoMalwareState;
function serializeMalwareState(writer, malwareState = {}) {
    writer.writeStringValue("category", malwareState.category);
    writer.writeStringValue("family", malwareState.family);
    writer.writeStringValue("name", malwareState.name);
    writer.writeStringValue("@odata.type", malwareState.odataType);
    writer.writeStringValue("severity", malwareState.severity);
    writer.writeBooleanValue("wasRunning", malwareState.wasRunning);
    writer.writeAdditionalData(malwareState.additionalData);
}
exports.serializeMalwareState = serializeMalwareState;
// tslint:enable
// eslint-enable
