import { type Entity } from './entity';
import { WindowsMalwareExecutionState } from './windowsMalwareExecutionState';
import { WindowsMalwareThreatState } from './windowsMalwareThreatState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMalwareStateForWindowsDeviceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMalwareStateForWindowsDevice;
export declare function deserializeIntoMalwareStateForWindowsDevice(malwareStateForWindowsDevice?: MalwareStateForWindowsDevice | undefined): Record<string, (node: ParseNode) => void>;
export interface MalwareStateForWindowsDevice extends Entity, Parsable {
    /**
     * Indicates the number of times the malware is detected
     */
    detectionCount?: number;
    /**
     * Indicates the name of the device being evaluated for malware state
     */
    deviceName?: string;
    /**
     * Indicates execution status of the malware. Possible values are: unknown, blocked, allowed, running, notRunning. Defaults to unknown. Possible values are: unknown, blocked, allowed, running, notRunning.
     */
    executionState?: WindowsMalwareExecutionState;
    /**
     * Initial detection datetime of the malware
     */
    initialDetectionDateTime?: Date;
    /**
     * The last time this particular threat was changed
     */
    lastStateChangeDateTime?: Date;
    /**
     * Indicates threat status of the malware. Possible values are: active, actionFailed, manualStepsRequired, fullScanRequired, rebootRequired, remediatedWithNonCriticalFailures, quarantined, removed, cleaned, allowed, noStatusCleared. defaults to noStatusCleared. Possible values are: active, actionFailed, manualStepsRequired, fullScanRequired, rebootRequired, remediatedWithNonCriticalFailures, quarantined, removed, cleaned, allowed, noStatusCleared.
     */
    threatState?: WindowsMalwareThreatState;
}
export declare function serializeMalwareStateForWindowsDevice(writer: SerializationWriter, malwareStateForWindowsDevice?: MalwareStateForWindowsDevice | undefined): void;
