"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVulnerability = exports.deserializeIntoVulnerability = exports.createVulnerabilityFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const entity_1 = require("../entity");
const article_1 = require("./article");
const cvssSummary_1 = require("./cvssSummary");
const formattedContent_1 = require("./formattedContent");
const hyperlink_1 = require("./hyperlink");
const vulnerabilityComponent_1 = require("./vulnerabilityComponent");
const vulnerabilitySeverity_1 = require("./vulnerabilitySeverity");
function createVulnerabilityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVulnerability;
}
exports.createVulnerabilityFromDiscriminatorValue = createVulnerabilityFromDiscriminatorValue;
function deserializeIntoVulnerability(vulnerability = {}) {
    return Object.assign(Object.assign({}, (0, entity_1.deserializeIntoEntity)(vulnerability)), { "activeExploitsObserved": n => { vulnerability.activeExploitsObserved = n.getBooleanValue(); }, "articles": n => { vulnerability.articles = n.getCollectionOfObjectValues(article_1.createArticleFromDiscriminatorValue); }, "commonWeaknessEnumerationIds": n => { vulnerability.commonWeaknessEnumerationIds = n.getCollectionOfPrimitiveValues(); }, "components": n => { vulnerability.components = n.getCollectionOfObjectValues(vulnerabilityComponent_1.createVulnerabilityComponentFromDiscriminatorValue); }, "createdDateTime": n => { vulnerability.createdDateTime = n.getDateValue(); }, "cvss2Summary": n => { vulnerability.cvss2Summary = n.getObjectValue(cvssSummary_1.createCvssSummaryFromDiscriminatorValue); }, "cvss3Summary": n => { vulnerability.cvss3Summary = n.getObjectValue(cvssSummary_1.createCvssSummaryFromDiscriminatorValue); }, "description": n => { vulnerability.description = n.getObjectValue(formattedContent_1.createFormattedContentFromDiscriminatorValue); }, "exploits": n => { vulnerability.exploits = n.getCollectionOfObjectValues(hyperlink_1.createHyperlinkFromDiscriminatorValue); }, "exploitsAvailable": n => { vulnerability.exploitsAvailable = n.getBooleanValue(); }, "hasChatter": n => { vulnerability.hasChatter = n.getBooleanValue(); }, "lastModifiedDateTime": n => { vulnerability.lastModifiedDateTime = n.getDateValue(); }, "priorityScore": n => { vulnerability.priorityScore = n.getNumberValue(); }, "publishedDateTime": n => { vulnerability.publishedDateTime = n.getDateValue(); }, "references": n => { vulnerability.references = n.getCollectionOfObjectValues(hyperlink_1.createHyperlinkFromDiscriminatorValue); }, "remediation": n => { vulnerability.remediation = n.getObjectValue(formattedContent_1.createFormattedContentFromDiscriminatorValue); }, "severity": n => { vulnerability.severity = n.getEnumValue(vulnerabilitySeverity_1.VulnerabilitySeverity); } });
}
exports.deserializeIntoVulnerability = deserializeIntoVulnerability;
function serializeVulnerability(writer, vulnerability = {}) {
    (0, entity_1.serializeEntity)(writer, vulnerability);
    writer.writeBooleanValue("activeExploitsObserved", vulnerability.activeExploitsObserved);
    writer.writeCollectionOfObjectValues("articles", vulnerability.articles, article_1.serializeArticle);
    writer.writeCollectionOfPrimitiveValues("commonWeaknessEnumerationIds", vulnerability.commonWeaknessEnumerationIds);
    writer.writeCollectionOfObjectValues("components", vulnerability.components, vulnerabilityComponent_1.serializeVulnerabilityComponent);
    writer.writeDateValue("createdDateTime", vulnerability.createdDateTime);
    writer.writeObjectValue("cvss2Summary", vulnerability.cvss2Summary, cvssSummary_1.serializeCvssSummary);
    writer.writeObjectValue("cvss3Summary", vulnerability.cvss3Summary, cvssSummary_1.serializeCvssSummary);
    writer.writeObjectValue("description", vulnerability.description, formattedContent_1.serializeFormattedContent);
    writer.writeCollectionOfObjectValues("exploits", vulnerability.exploits, hyperlink_1.serializeHyperlink);
    writer.writeBooleanValue("exploitsAvailable", vulnerability.exploitsAvailable);
    writer.writeBooleanValue("hasChatter", vulnerability.hasChatter);
    writer.writeDateValue("lastModifiedDateTime", vulnerability.lastModifiedDateTime);
    writer.writeNumberValue("priorityScore", vulnerability.priorityScore);
    writer.writeDateValue("publishedDateTime", vulnerability.publishedDateTime);
    writer.writeCollectionOfObjectValues("references", vulnerability.references, hyperlink_1.serializeHyperlink);
    writer.writeObjectValue("remediation", vulnerability.remediation, formattedContent_1.serializeFormattedContent);
    writer.writeEnumValue("severity", vulnerability.severity);
}
exports.serializeVulnerability = serializeVulnerability;
// tslint:enable
// eslint-enable
