import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVulnerabilityStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVulnerabilityState;
export declare function deserializeIntoVulnerabilityState(vulnerabilityState?: VulnerabilityState | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVulnerabilityState(writer: SerializationWriter, vulnerabilityState?: VulnerabilityState | undefined): void;
export interface VulnerabilityState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Common Vulnerabilities and Exposures (CVE) for the vulnerability.
     */
    cve?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Base Common Vulnerability Scoring System (CVSS) severity score for this vulnerability.
     */
    severity?: string;
    /**
     * Indicates whether the detected vulnerability (file) was running at the time of detection or was the file detected at rest on the disk.
     */
    wasRunning?: boolean;
}
