"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVulnerabilityState = exports.deserializeIntoVulnerabilityState = exports.createVulnerabilityStateFromDiscriminatorValue = void 0;
function createVulnerabilityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVulnerabilityState;
}
exports.createVulnerabilityStateFromDiscriminatorValue = createVulnerabilityStateFromDiscriminatorValue;
function deserializeIntoVulnerabilityState(vulnerabilityState = {}) {
    return {
        "cve": n => { vulnerabilityState.cve = n.getStringValue(); },
        "@odata.type": n => { vulnerabilityState.odataType = n.getStringValue(); },
        "severity": n => { vulnerabilityState.severity = n.getStringValue(); },
        "wasRunning": n => { vulnerabilityState.wasRunning = n.getBooleanValue(); },
    };
}
exports.deserializeIntoVulnerabilityState = deserializeIntoVulnerabilityState;
function serializeVulnerabilityState(writer, vulnerabilityState = {}) {
    writer.writeStringValue("cve", vulnerabilityState.cve);
    writer.writeStringValue("@odata.type", vulnerabilityState.odataType);
    writer.writeStringValue("severity", vulnerabilityState.severity);
    writer.writeBooleanValue("wasRunning", vulnerabilityState.wasRunning);
    writer.writeAdditionalData(vulnerabilityState.additionalData);
}
exports.serializeVulnerabilityState = serializeVulnerabilityState;
// tslint:enable
// eslint-enable
