import { WindowsMalwareCategory } from './windowsMalwareCategory';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareCategoryCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareCategoryCount;
export declare function deserializeIntoWindowsMalwareCategoryCount(windowsMalwareCategoryCount?: WindowsMalwareCategoryCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareCategoryCount(writer: SerializationWriter, windowsMalwareCategoryCount?: WindowsMalwareCategoryCount | undefined): void;
export interface WindowsMalwareCategoryCount extends AdditionalDataHolder, Parsable {
    /**
     * Count of active malware detections for this malware category. Valid values -2147483648 to 2147483647
     */
    activeMalwareDetectionCount?: number;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Malware category id
     */
    category?: WindowsMalwareCategory;
    /**
     * Count of devices with malware detections for this malware category
     */
    deviceCount?: number;
    /**
     * Count of distinct active malwares for this malware category. Valid values -2147483648 to 2147483647
     */
    distinctActiveMalwareCount?: number;
    /**
     * The Timestamp of the last update for the device count in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
