import { WindowsMalwareExecutionState } from './windowsMalwareExecutionState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareExecutionStateCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareExecutionStateCount;
export declare function deserializeIntoWindowsMalwareExecutionStateCount(windowsMalwareExecutionStateCount?: WindowsMalwareExecutionStateCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareExecutionStateCount(writer: SerializationWriter, windowsMalwareExecutionStateCount?: WindowsMalwareExecutionStateCount | undefined): void;
export interface WindowsMalwareExecutionStateCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of devices with malware detections for this malware execution state
     */
    deviceCount?: number;
    /**
     * Malware execution status
     */
    executionState?: WindowsMalwareExecutionState;
    /**
     * The Timestamp of the last update for the device count in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
}
