import { type Entity } from './entity';
import { type MalwareStateForWindowsDevice } from './malwareStateForWindowsDevice';
import { WindowsMalwareCategory } from './windowsMalwareCategory';
import { WindowsMalwareSeverity } from './windowsMalwareSeverity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareInformationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareInformation;
export declare function deserializeIntoWindowsMalwareInformation(windowsMalwareInformation?: WindowsMalwareInformation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareInformation(writer: SerializationWriter, windowsMalwareInformation?: WindowsMalwareInformation | undefined): void;
export interface WindowsMalwareInformation extends Entity, Parsable {
    /**
     * Indicates an informational URL to learn more about the malware
     */
    additionalInformationUrl?: string;
    /**
     * Category of the malware. Possible values are: invalid, adware, spyware, passwordStealer, trojanDownloader, worm, backdoor, remoteAccessTrojan, trojan, emailFlooder, keylogger, dialer, monitoringSoftware, browserModifier, cookie, browserPlugin, aolExploit, nuker, securityDisabler, jokeProgram, hostileActiveXControl, softwareBundler, stealthNotifier, settingsModifier, toolBar, remoteControlSoftware, trojanFtp, potentialUnwantedSoftware, icqExploit, trojanTelnet, exploit, filesharingProgram, malwareCreationTool, remoteControlSoftware, tool, trojanDenialOfService, trojanDropper, trojanMassMailer, trojanMonitoringSoftware, trojanProxyServer, virus, known, unknown, spp, behavior, vulnerability, policy, enterpriseUnwantedSoftware, ransom, hipsRule. default value is invalid. Possible values are: invalid, adware, spyware, passwordStealer, trojanDownloader, worm, backdoor, remoteAccessTrojan, trojan, emailFlooder, keylogger, dialer, monitoringSoftware, browserModifier, cookie, browserPlugin, aolExploit, nuker, securityDisabler, jokeProgram, hostileActiveXControl, softwareBundler, stealthNotifier, settingsModifier, toolBar, remoteControlSoftware, trojanFtp, potentialUnwantedSoftware, icqExploit, trojanTelnet, exploit, filesharingProgram, malwareCreationTool, remoteControlSoftware, tool, trojanDenialOfService, trojanDropper, trojanMassMailer, trojanMonitoringSoftware, trojanProxyServer, virus, known, unknown, spp, behavior, vulnerability, policy, enterpriseUnwantedSoftware, ransom, hipsRule.
     */
    category?: WindowsMalwareCategory;
    /**
     * List of devices affected by current malware with the malware state on each device
     */
    deviceMalwareStates?: MalwareStateForWindowsDevice[];
    /**
     * Indicates the name of the malware
     */
    displayName?: string;
    /**
     * Indicates the last time the malware was detected in UTC
     */
    lastDetectionDateTime?: Date;
    /**
     * Severity of the malware. Possible values are: unknown, low, moderate, high, severe. default is unknown. Possible values are: unknown, low, moderate, high, severe.
     */
    severity?: WindowsMalwareSeverity;
}
