import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareNameCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareNameCount;
export declare function deserializeIntoWindowsMalwareNameCount(windowsMalwareNameCount?: WindowsMalwareNameCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareNameCount(writer: SerializationWriter, windowsMalwareNameCount?: WindowsMalwareNameCount | undefined): void;
export interface WindowsMalwareNameCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of devices with malware dectected for this malware
     */
    deviceCount?: number;
    /**
     * The Timestamp of the last update for the device count in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * The unique identifier. This is malware identifier
     */
    malwareIdentifier?: string;
    /**
     * Malware name
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
