import { type OsVersionCount } from './osVersionCount';
import { type WindowsMalwareCategoryCount } from './windowsMalwareCategoryCount';
import { type WindowsMalwareExecutionStateCount } from './windowsMalwareExecutionStateCount';
import { type WindowsMalwareNameCount } from './windowsMalwareNameCount';
import { type WindowsMalwareSeverityCount } from './windowsMalwareSeverityCount';
import { type WindowsMalwareStateCount } from './windowsMalwareStateCount';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareOverview;
export declare function deserializeIntoWindowsMalwareOverview(windowsMalwareOverview?: WindowsMalwareOverview | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareOverview(writer: SerializationWriter, windowsMalwareOverview?: WindowsMalwareOverview | undefined): void;
export interface WindowsMalwareOverview extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * List of device counts per malware category
     */
    malwareCategorySummary?: WindowsMalwareCategoryCount[];
    /**
     * Count of devices with malware detected in the last 30 days
     */
    malwareDetectedDeviceCount?: number;
    /**
     * List of device counts per malware execution state
     */
    malwareExecutionStateSummary?: WindowsMalwareExecutionStateCount[];
    /**
     * List of device counts per malware
     */
    malwareNameSummary?: WindowsMalwareNameCount[];
    /**
     * List of active malware counts per malware severity
     */
    malwareSeveritySummary?: WindowsMalwareSeverityCount[];
    /**
     * List of device counts per malware state
     */
    malwareStateSummary?: WindowsMalwareStateCount[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * List of device counts with malware per windows OS version
     */
    osVersionsSummary?: OsVersionCount[];
    /**
     * Count of all distinct malwares detected across all devices. Valid values -2147483648 to 2147483647
     */
    totalDistinctMalwareCount?: number;
    /**
     * Count of all malware detections across all devices. Valid values -2147483648 to 2147483647
     */
    totalMalwareCount?: number;
}
