"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsMalwareOverview = exports.deserializeIntoWindowsMalwareOverview = exports.createWindowsMalwareOverviewFromDiscriminatorValue = void 0;
// tslint:disable
// eslint-disable
// Generated by Microsoft Kiota
const osVersionCount_1 = require("./osVersionCount");
const windowsMalwareCategoryCount_1 = require("./windowsMalwareCategoryCount");
const windowsMalwareExecutionStateCount_1 = require("./windowsMalwareExecutionStateCount");
const windowsMalwareNameCount_1 = require("./windowsMalwareNameCount");
const windowsMalwareSeverityCount_1 = require("./windowsMalwareSeverityCount");
const windowsMalwareStateCount_1 = require("./windowsMalwareStateCount");
function createWindowsMalwareOverviewFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsMalwareOverview;
}
exports.createWindowsMalwareOverviewFromDiscriminatorValue = createWindowsMalwareOverviewFromDiscriminatorValue;
function deserializeIntoWindowsMalwareOverview(windowsMalwareOverview = {}) {
    return {
        "malwareCategorySummary": n => { windowsMalwareOverview.malwareCategorySummary = n.getCollectionOfObjectValues(windowsMalwareCategoryCount_1.createWindowsMalwareCategoryCountFromDiscriminatorValue); },
        "malwareDetectedDeviceCount": n => { windowsMalwareOverview.malwareDetectedDeviceCount = n.getNumberValue(); },
        "malwareExecutionStateSummary": n => { windowsMalwareOverview.malwareExecutionStateSummary = n.getCollectionOfObjectValues(windowsMalwareExecutionStateCount_1.createWindowsMalwareExecutionStateCountFromDiscriminatorValue); },
        "malwareNameSummary": n => { windowsMalwareOverview.malwareNameSummary = n.getCollectionOfObjectValues(windowsMalwareNameCount_1.createWindowsMalwareNameCountFromDiscriminatorValue); },
        "malwareSeveritySummary": n => { windowsMalwareOverview.malwareSeveritySummary = n.getCollectionOfObjectValues(windowsMalwareSeverityCount_1.createWindowsMalwareSeverityCountFromDiscriminatorValue); },
        "malwareStateSummary": n => { windowsMalwareOverview.malwareStateSummary = n.getCollectionOfObjectValues(windowsMalwareStateCount_1.createWindowsMalwareStateCountFromDiscriminatorValue); },
        "@odata.type": n => { windowsMalwareOverview.odataType = n.getStringValue(); },
        "osVersionsSummary": n => { windowsMalwareOverview.osVersionsSummary = n.getCollectionOfObjectValues(osVersionCount_1.createOsVersionCountFromDiscriminatorValue); },
        "totalDistinctMalwareCount": n => { windowsMalwareOverview.totalDistinctMalwareCount = n.getNumberValue(); },
        "totalMalwareCount": n => { windowsMalwareOverview.totalMalwareCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoWindowsMalwareOverview = deserializeIntoWindowsMalwareOverview;
function serializeWindowsMalwareOverview(writer, windowsMalwareOverview = {}) {
    writer.writeCollectionOfObjectValues("malwareCategorySummary", windowsMalwareOverview.malwareCategorySummary, windowsMalwareCategoryCount_1.serializeWindowsMalwareCategoryCount);
    writer.writeNumberValue("malwareDetectedDeviceCount", windowsMalwareOverview.malwareDetectedDeviceCount);
    writer.writeCollectionOfObjectValues("malwareExecutionStateSummary", windowsMalwareOverview.malwareExecutionStateSummary, windowsMalwareExecutionStateCount_1.serializeWindowsMalwareExecutionStateCount);
    writer.writeCollectionOfObjectValues("malwareNameSummary", windowsMalwareOverview.malwareNameSummary, windowsMalwareNameCount_1.serializeWindowsMalwareNameCount);
    writer.writeCollectionOfObjectValues("malwareSeveritySummary", windowsMalwareOverview.malwareSeveritySummary, windowsMalwareSeverityCount_1.serializeWindowsMalwareSeverityCount);
    writer.writeCollectionOfObjectValues("malwareStateSummary", windowsMalwareOverview.malwareStateSummary, windowsMalwareStateCount_1.serializeWindowsMalwareStateCount);
    writer.writeStringValue("@odata.type", windowsMalwareOverview.odataType);
    writer.writeCollectionOfObjectValues("osVersionsSummary", windowsMalwareOverview.osVersionsSummary, osVersionCount_1.serializeOsVersionCount);
    writer.writeNumberValue("totalDistinctMalwareCount", windowsMalwareOverview.totalDistinctMalwareCount);
    writer.writeNumberValue("totalMalwareCount", windowsMalwareOverview.totalMalwareCount);
    writer.writeAdditionalData(windowsMalwareOverview.additionalData);
}
exports.serializeWindowsMalwareOverview = serializeWindowsMalwareOverview;
// tslint:enable
// eslint-enable
