import { WindowsMalwareSeverity } from './windowsMalwareSeverity';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareSeverityCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareSeverityCount;
export declare function deserializeIntoWindowsMalwareSeverityCount(windowsMalwareSeverityCount?: WindowsMalwareSeverityCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareSeverityCount(writer: SerializationWriter, windowsMalwareSeverityCount?: WindowsMalwareSeverityCount | undefined): void;
export interface WindowsMalwareSeverityCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of distinct malwares for this malware State. Valid values -2147483648 to 2147483647
     */
    distinctMalwareCount?: number;
    /**
     * The Timestamp of the last update for the WindowsMalwareSeverityCount in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * Count of threats detections for this malware severity. Valid values -2147483648 to 2147483647
     */
    malwareDetectionCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Malware severity
     */
    severity?: WindowsMalwareSeverity;
}
