import { WindowsMalwareThreatState } from './windowsMalwareThreatState';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMalwareStateCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMalwareStateCount;
export declare function deserializeIntoWindowsMalwareStateCount(windowsMalwareStateCount?: WindowsMalwareStateCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMalwareStateCount(writer: SerializationWriter, windowsMalwareStateCount?: WindowsMalwareStateCount | undefined): void;
export interface WindowsMalwareStateCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Count of devices with malware detections for this malware State
     */
    deviceCount?: number;
    /**
     * Count of distinct malwares for this malware State. Valid values -2147483648 to 2147483647
     */
    distinctMalwareCount?: number;
    /**
     * The Timestamp of the last update for the device count in UTC
     */
    lastUpdateDateTime?: Date;
    /**
     * Count of total malware detections for this malware State. Valid values -2147483648 to 2147483647
     */
    malwareDetectionCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Malware threat status
     */
    state?: WindowsMalwareThreatState;
}
